#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1654
#define LARGE_STATE_COUNT 225
#define SYMBOL_COUNT 234
#define ALIAS_COUNT 4
#define TOKEN_COUNT 105
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 28
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 124

enum ts_symbol_identifiers {
  anon_sym_LBRACE = 1,
  anon_sym_RBRACE = 2,
  anon_sym_impl = 3,
  anon_sym_of = 4,
  anon_sym_SEMI = 5,
  anon_sym_trait = 6,
  anon_sym_type = 7,
  anon_sym_COLON = 8,
  anon_sym_const = 9,
  anon_sym_EQ = 10,
  anon_sym_BANG = 11,
  anon_sym_POUND = 12,
  anon_sym_LBRACK = 13,
  anon_sym_RBRACK = 14,
  anon_sym_mod = 15,
  anon_sym_struct = 16,
  anon_sym_enum = 17,
  anon_sym_COMMA = 18,
  anon_sym_fn = 19,
  anon_sym_DASH_GT = 20,
  anon_sym_implicits = 21,
  anon_sym_let = 22,
  anon_sym_use = 23,
  anon_sym_COLON_COLON = 24,
  anon_sym_as = 25,
  anon_sym_STAR = 26,
  anon_sym_LPAREN = 27,
  anon_sym__ = 28,
  anon_sym_RPAREN = 29,
  anon_sym_u8 = 30,
  anon_sym_i8 = 31,
  anon_sym_u16 = 32,
  anon_sym_i16 = 33,
  anon_sym_u32 = 34,
  anon_sym_i32 = 35,
  anon_sym_u64 = 36,
  anon_sym_i64 = 37,
  anon_sym_u128 = 38,
  anon_sym_i128 = 39,
  anon_sym_usize = 40,
  anon_sym_bool = 41,
  anon_sym_ByteArray = 42,
  anon_sym_felt252 = 43,
  anon_sym_LT = 44,
  anon_sym_GT = 45,
  anon_sym_PLUS = 46,
  anon_sym_DASH = 47,
  anon_sym_SLASH = 48,
  anon_sym_PERCENT = 49,
  anon_sym_CARET = 50,
  anon_sym_TILDE = 51,
  anon_sym_AMP = 52,
  anon_sym_PIPE = 53,
  anon_sym_AMP_AMP = 54,
  anon_sym_PIPE_PIPE = 55,
  anon_sym_LT_LT = 56,
  anon_sym_GT_GT = 57,
  anon_sym_PLUS_EQ = 58,
  anon_sym_DASH_EQ = 59,
  anon_sym_STAR_EQ = 60,
  anon_sym_SLASH_EQ = 61,
  anon_sym_PERCENT_EQ = 62,
  anon_sym_CARET_EQ = 63,
  anon_sym_AMP_EQ = 64,
  anon_sym_PIPE_EQ = 65,
  anon_sym_EQ_EQ = 66,
  anon_sym_BANG_EQ = 67,
  anon_sym_GT_EQ = 68,
  anon_sym_LT_EQ = 69,
  anon_sym_AT = 70,
  anon_sym_DOT_DOT = 71,
  anon_sym_DOT = 72,
  anon_sym_EQ_GT = 73,
  anon_sym_QMARK = 74,
  anon_sym_break = 75,
  anon_sym_continue = 76,
  anon_sym_default = 77,
  anon_sym_if = 78,
  anon_sym_extern = 79,
  anon_sym_nopanic = 80,
  anon_sym_loop = 81,
  anon_sym_match = 82,
  anon_sym_pub = 83,
  anon_sym_return = 84,
  anon_sym_static = 85,
  anon_sym_while = 86,
  anon_sym_for = 87,
  sym_numeric_literal = 88,
  aux_sym_string_literal_token1 = 89,
  aux_sym_string_literal_token2 = 90,
  anon_sym_DQUOTE = 91,
  sym_shortstring_literal = 92,
  anon_sym_true = 93,
  anon_sym_false = 94,
  anon_sym_DOLLAR = 95,
  anon_sym_LT2 = 96,
  anon_sym_else = 97,
  anon_sym_in = 98,
  anon_sym_ref = 99,
  sym_identifier = 100,
  sym_mutable_specifier = 101,
  sym_super = 102,
  sym_crate = 103,
  sym_line_comment = 104,
  sym_source_file = 105,
  sym__statement = 106,
  sym_declaration_list = 107,
  sym_impl_item = 108,
  sym_trait_item = 109,
  sym_associated_type = 110,
  sym_associated_impl = 111,
  sym_const_item = 112,
  sym_macro_invocation = 113,
  sym_empty_statement = 114,
  sym_attribute_item = 115,
  sym_inner_attribute_item = 116,
  sym_attribute = 117,
  sym_mod_item = 118,
  sym_struct_item = 119,
  sym_enum_item = 120,
  sym_enum_variant_list = 121,
  sym_enum_variant = 122,
  sym_field_declaration_list = 123,
  sym_field_declaration = 124,
  sym_type_item = 125,
  sym_extern_type = 126,
  sym_external_function_item = 127,
  sym_function_item = 128,
  sym_function_signature_item = 129,
  sym_function = 130,
  sym_let_declaration = 131,
  sym_use_declaration = 132,
  sym__use_clause = 133,
  sym_scoped_use_list = 134,
  sym_use_list = 135,
  sym_use_as_clause = 136,
  sym_use_wildcard = 137,
  sym_parameters = 138,
  sym_parameter = 139,
  sym__type = 140,
  sym_type_parameters = 141,
  sym_const_parameter = 142,
  sym_constrained_type_parameter = 143,
  sym_generic_type = 144,
  sym_generic_type_with_turbofish = 145,
  sym_array_type = 146,
  sym_delim_token_tree = 147,
  sym__delim_tokens = 148,
  sym__pattern = 149,
  sym_tuple_pattern = 150,
  sym_slice_pattern = 151,
  sym_struct_pattern = 152,
  sym_field_pattern = 153,
  sym_field_initializer_list = 154,
  sym_shorthand_field_initializer = 155,
  sym_field_initializer = 156,
  sym_base_field_initializer = 157,
  sym_mut_pattern = 158,
  sym_or_pattern = 159,
  sym__literal = 160,
  sym__literal_pattern = 161,
  sym_negative_literal = 162,
  sym_string_literal = 163,
  sym_boolean_literal = 164,
  sym__non_delim_token = 165,
  sym_scoped_identifier = 166,
  sym_scoped_type_identifier_in_expression_position = 167,
  sym_scoped_type_identifier = 168,
  sym_tuple_type = 169,
  sym_unit_type = 170,
  sym_type_arguments = 171,
  sym_expression_statement = 172,
  sym_expression = 173,
  sym_generic_function = 174,
  sym_tuple_expression = 175,
  sym_return_expression = 176,
  sym_struct_expression = 177,
  sym_assignment_expression = 178,
  sym_break_expression = 179,
  sym_continue_expression = 180,
  sym_index_expression = 181,
  sym_array_expression = 182,
  sym_parenthesized_expression = 183,
  sym_unit_expression = 184,
  sym_compound_assignment_expr = 185,
  sym__expression_ending_with_block = 186,
  sym_unary_expression = 187,
  sym_try_expression = 188,
  sym_field_expression = 189,
  sym_block = 190,
  sym_if_expression = 191,
  sym__condition = 192,
  sym_let_condition = 193,
  sym_else_clause = 194,
  sym_match_expression = 195,
  sym_match_block = 196,
  sym_match_arm = 197,
  sym_last_match_arm = 198,
  sym_tuple_enum_pattern = 199,
  sym_match_pattern = 200,
  sym_while_expression = 201,
  sym_for_expression = 202,
  sym_loop_expression = 203,
  sym_binary_expression = 204,
  sym_snapshot_type = 205,
  sym_call_expression = 206,
  sym_arguments = 207,
  sym_named_argument = 208,
  sym_reference_expression = 209,
  sym_visibility_modifier = 210,
  sym_extern = 211,
  sym_nopanic = 212,
  sym_ref_specifier = 213,
  aux_sym_source_file_repeat1 = 214,
  aux_sym_declaration_list_repeat1 = 215,
  aux_sym_enum_variant_list_repeat1 = 216,
  aux_sym_enum_variant_list_repeat2 = 217,
  aux_sym_field_declaration_list_repeat1 = 218,
  aux_sym_function_repeat1 = 219,
  aux_sym_use_list_repeat1 = 220,
  aux_sym_parameters_repeat1 = 221,
  aux_sym_type_parameters_repeat1 = 222,
  aux_sym_delim_token_tree_repeat1 = 223,
  aux_sym__non_special_token_repeat1 = 224,
  aux_sym_tuple_pattern_repeat1 = 225,
  aux_sym_struct_pattern_repeat1 = 226,
  aux_sym_field_initializer_list_repeat1 = 227,
  aux_sym_type_arguments_repeat1 = 228,
  aux_sym_tuple_expression_repeat1 = 229,
  aux_sym_array_expression_repeat1 = 230,
  aux_sym_match_block_repeat1 = 231,
  aux_sym_match_arm_repeat1 = 232,
  aux_sym_arguments_repeat1 = 233,
  alias_sym_field_identifier = 234,
  alias_sym_primitive_type = 235,
  alias_sym_shorthand_field_identifier = 236,
  alias_sym_type_identifier = 237,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_impl] = "impl",
  [anon_sym_of] = "of",
  [anon_sym_SEMI] = ";",
  [anon_sym_trait] = "trait",
  [anon_sym_type] = "type",
  [anon_sym_COLON] = ":",
  [anon_sym_const] = "const",
  [anon_sym_EQ] = "=",
  [anon_sym_BANG] = "!",
  [anon_sym_POUND] = "#",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_mod] = "mod",
  [anon_sym_struct] = "struct",
  [anon_sym_enum] = "enum",
  [anon_sym_COMMA] = ",",
  [anon_sym_fn] = "fn",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_implicits] = "implicits",
  [anon_sym_let] = "let",
  [anon_sym_use] = "use",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_as] = "as",
  [anon_sym_STAR] = "*",
  [anon_sym_LPAREN] = "(",
  [anon_sym__] = "_",
  [anon_sym_RPAREN] = ")",
  [anon_sym_u8] = "identifier",
  [anon_sym_i8] = "identifier",
  [anon_sym_u16] = "identifier",
  [anon_sym_i16] = "identifier",
  [anon_sym_u32] = "identifier",
  [anon_sym_i32] = "identifier",
  [anon_sym_u64] = "identifier",
  [anon_sym_i64] = "identifier",
  [anon_sym_u128] = "identifier",
  [anon_sym_i128] = "identifier",
  [anon_sym_usize] = "identifier",
  [anon_sym_bool] = "identifier",
  [anon_sym_ByteArray] = "identifier",
  [anon_sym_felt252] = "identifier",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_CARET] = "^",
  [anon_sym_TILDE] = "~",
  [anon_sym_AMP] = "&",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_AT] = "@",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_DOT] = ".",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_QMARK] = "\?",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_default] = "default",
  [anon_sym_if] = "if",
  [anon_sym_extern] = "extern",
  [anon_sym_nopanic] = "nopanic",
  [anon_sym_loop] = "loop",
  [anon_sym_match] = "match",
  [anon_sym_pub] = "pub",
  [anon_sym_return] = "return",
  [anon_sym_static] = "static",
  [anon_sym_while] = "while",
  [anon_sym_for] = "for",
  [sym_numeric_literal] = "numeric_literal",
  [aux_sym_string_literal_token1] = "\"",
  [aux_sym_string_literal_token2] = "string_literal_token2",
  [anon_sym_DQUOTE] = "\"",
  [sym_shortstring_literal] = "shortstring_literal",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_LT2] = "<",
  [anon_sym_else] = "else",
  [anon_sym_in] = "in",
  [anon_sym_ref] = "ref",
  [sym_identifier] = "identifier",
  [sym_mutable_specifier] = "mutable_specifier",
  [sym_super] = "super",
  [sym_crate] = "crate",
  [sym_line_comment] = "line_comment",
  [sym_source_file] = "source_file",
  [sym__statement] = "_statement",
  [sym_declaration_list] = "declaration_list",
  [sym_impl_item] = "impl_item",
  [sym_trait_item] = "trait_item",
  [sym_associated_type] = "associated_type",
  [sym_associated_impl] = "associated_impl",
  [sym_const_item] = "const_item",
  [sym_macro_invocation] = "macro_invocation",
  [sym_empty_statement] = "empty_statement",
  [sym_attribute_item] = "attribute_item",
  [sym_inner_attribute_item] = "inner_attribute_item",
  [sym_attribute] = "attribute",
  [sym_mod_item] = "mod_item",
  [sym_struct_item] = "struct_item",
  [sym_enum_item] = "enum_item",
  [sym_enum_variant_list] = "enum_variant_list",
  [sym_enum_variant] = "enum_variant",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym_field_declaration] = "field_declaration",
  [sym_type_item] = "type_item",
  [sym_extern_type] = "extern_type",
  [sym_external_function_item] = "external_function_item",
  [sym_function_item] = "function_item",
  [sym_function_signature_item] = "function_signature_item",
  [sym_function] = "function",
  [sym_let_declaration] = "let_declaration",
  [sym_use_declaration] = "use_declaration",
  [sym__use_clause] = "_use_clause",
  [sym_scoped_use_list] = "scoped_use_list",
  [sym_use_list] = "use_list",
  [sym_use_as_clause] = "use_as_clause",
  [sym_use_wildcard] = "use_wildcard",
  [sym_parameters] = "parameters",
  [sym_parameter] = "parameter",
  [sym__type] = "_type",
  [sym_type_parameters] = "type_parameters",
  [sym_const_parameter] = "const_parameter",
  [sym_constrained_type_parameter] = "constrained_type_parameter",
  [sym_generic_type] = "generic_type",
  [sym_generic_type_with_turbofish] = "generic_type_with_turbofish",
  [sym_array_type] = "array_type",
  [sym_delim_token_tree] = "token_tree",
  [sym__delim_tokens] = "_delim_tokens",
  [sym__pattern] = "_pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_slice_pattern] = "slice_pattern",
  [sym_struct_pattern] = "struct_pattern",
  [sym_field_pattern] = "field_pattern",
  [sym_field_initializer_list] = "field_initializer_list",
  [sym_shorthand_field_initializer] = "shorthand_field_initializer",
  [sym_field_initializer] = "field_initializer",
  [sym_base_field_initializer] = "base_field_initializer",
  [sym_mut_pattern] = "mut_pattern",
  [sym_or_pattern] = "or_pattern",
  [sym__literal] = "_literal",
  [sym__literal_pattern] = "_literal_pattern",
  [sym_negative_literal] = "negative_literal",
  [sym_string_literal] = "string_literal",
  [sym_boolean_literal] = "boolean_literal",
  [sym__non_delim_token] = "_non_delim_token",
  [sym_scoped_identifier] = "scoped_identifier",
  [sym_scoped_type_identifier_in_expression_position] = "scoped_type_identifier",
  [sym_scoped_type_identifier] = "scoped_type_identifier",
  [sym_tuple_type] = "tuple_type",
  [sym_unit_type] = "unit_type",
  [sym_type_arguments] = "type_arguments",
  [sym_expression_statement] = "expression_statement",
  [sym_expression] = "expression",
  [sym_generic_function] = "generic_function",
  [sym_tuple_expression] = "tuple_expression",
  [sym_return_expression] = "return_expression",
  [sym_struct_expression] = "struct_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_break_expression] = "break_expression",
  [sym_continue_expression] = "continue_expression",
  [sym_index_expression] = "index_expression",
  [sym_array_expression] = "array_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_unit_expression] = "unit_expression",
  [sym_compound_assignment_expr] = "compound_assignment_expr",
  [sym__expression_ending_with_block] = "_expression_ending_with_block",
  [sym_unary_expression] = "unary_expression",
  [sym_try_expression] = "try_expression",
  [sym_field_expression] = "field_expression",
  [sym_block] = "block",
  [sym_if_expression] = "if_expression",
  [sym__condition] = "_condition",
  [sym_let_condition] = "let_condition",
  [sym_else_clause] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_arm] = "match_arm",
  [sym_last_match_arm] = "match_arm",
  [sym_tuple_enum_pattern] = "tuple_enum_pattern",
  [sym_match_pattern] = "match_pattern",
  [sym_while_expression] = "while_expression",
  [sym_for_expression] = "for_expression",
  [sym_loop_expression] = "loop_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_snapshot_type] = "snapshot_type",
  [sym_call_expression] = "call_expression",
  [sym_arguments] = "arguments",
  [sym_named_argument] = "named_argument",
  [sym_reference_expression] = "reference_expression",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_extern] = "extern",
  [sym_nopanic] = "nopanic",
  [sym_ref_specifier] = "ref_specifier",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym_enum_variant_list_repeat1] = "enum_variant_list_repeat1",
  [aux_sym_enum_variant_list_repeat2] = "enum_variant_list_repeat2",
  [aux_sym_field_declaration_list_repeat1] = "field_declaration_list_repeat1",
  [aux_sym_function_repeat1] = "function_repeat1",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_delim_token_tree_repeat1] = "delim_token_tree_repeat1",
  [aux_sym__non_special_token_repeat1] = "_non_special_token_repeat1",
  [aux_sym_tuple_pattern_repeat1] = "tuple_pattern_repeat1",
  [aux_sym_struct_pattern_repeat1] = "struct_pattern_repeat1",
  [aux_sym_field_initializer_list_repeat1] = "field_initializer_list_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_tuple_expression_repeat1] = "tuple_expression_repeat1",
  [aux_sym_array_expression_repeat1] = "array_expression_repeat1",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_arm_repeat1] = "match_arm_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_primitive_type] = "primitive_type",
  [alias_sym_shorthand_field_identifier] = "shorthand_field_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_impl] = anon_sym_impl,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_trait] = anon_sym_trait,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_mod] = anon_sym_mod,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_fn] = anon_sym_fn,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_implicits] = anon_sym_implicits,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_use] = anon_sym_use,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym__] = anon_sym__,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_u8] = sym_identifier,
  [anon_sym_i8] = sym_identifier,
  [anon_sym_u16] = sym_identifier,
  [anon_sym_i16] = sym_identifier,
  [anon_sym_u32] = sym_identifier,
  [anon_sym_i32] = sym_identifier,
  [anon_sym_u64] = sym_identifier,
  [anon_sym_i64] = sym_identifier,
  [anon_sym_u128] = sym_identifier,
  [anon_sym_i128] = sym_identifier,
  [anon_sym_usize] = sym_identifier,
  [anon_sym_bool] = sym_identifier,
  [anon_sym_ByteArray] = sym_identifier,
  [anon_sym_felt252] = sym_identifier,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym_nopanic] = anon_sym_nopanic,
  [anon_sym_loop] = anon_sym_loop,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_pub] = anon_sym_pub,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_for] = anon_sym_for,
  [sym_numeric_literal] = sym_numeric_literal,
  [aux_sym_string_literal_token1] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token2] = aux_sym_string_literal_token2,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym_shortstring_literal] = sym_shortstring_literal,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_LT2] = anon_sym_LT,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_ref] = anon_sym_ref,
  [sym_identifier] = sym_identifier,
  [sym_mutable_specifier] = sym_mutable_specifier,
  [sym_super] = sym_super,
  [sym_crate] = sym_crate,
  [sym_line_comment] = sym_line_comment,
  [sym_source_file] = sym_source_file,
  [sym__statement] = sym__statement,
  [sym_declaration_list] = sym_declaration_list,
  [sym_impl_item] = sym_impl_item,
  [sym_trait_item] = sym_trait_item,
  [sym_associated_type] = sym_associated_type,
  [sym_associated_impl] = sym_associated_impl,
  [sym_const_item] = sym_const_item,
  [sym_macro_invocation] = sym_macro_invocation,
  [sym_empty_statement] = sym_empty_statement,
  [sym_attribute_item] = sym_attribute_item,
  [sym_inner_attribute_item] = sym_inner_attribute_item,
  [sym_attribute] = sym_attribute,
  [sym_mod_item] = sym_mod_item,
  [sym_struct_item] = sym_struct_item,
  [sym_enum_item] = sym_enum_item,
  [sym_enum_variant_list] = sym_enum_variant_list,
  [sym_enum_variant] = sym_enum_variant,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym_field_declaration] = sym_field_declaration,
  [sym_type_item] = sym_type_item,
  [sym_extern_type] = sym_extern_type,
  [sym_external_function_item] = sym_external_function_item,
  [sym_function_item] = sym_function_item,
  [sym_function_signature_item] = sym_function_signature_item,
  [sym_function] = sym_function,
  [sym_let_declaration] = sym_let_declaration,
  [sym_use_declaration] = sym_use_declaration,
  [sym__use_clause] = sym__use_clause,
  [sym_scoped_use_list] = sym_scoped_use_list,
  [sym_use_list] = sym_use_list,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_use_wildcard] = sym_use_wildcard,
  [sym_parameters] = sym_parameters,
  [sym_parameter] = sym_parameter,
  [sym__type] = sym__type,
  [sym_type_parameters] = sym_type_parameters,
  [sym_const_parameter] = sym_const_parameter,
  [sym_constrained_type_parameter] = sym_constrained_type_parameter,
  [sym_generic_type] = sym_generic_type,
  [sym_generic_type_with_turbofish] = sym_generic_type_with_turbofish,
  [sym_array_type] = sym_array_type,
  [sym_delim_token_tree] = sym_delim_token_tree,
  [sym__delim_tokens] = sym__delim_tokens,
  [sym__pattern] = sym__pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_slice_pattern] = sym_slice_pattern,
  [sym_struct_pattern] = sym_struct_pattern,
  [sym_field_pattern] = sym_field_pattern,
  [sym_field_initializer_list] = sym_field_initializer_list,
  [sym_shorthand_field_initializer] = sym_shorthand_field_initializer,
  [sym_field_initializer] = sym_field_initializer,
  [sym_base_field_initializer] = sym_base_field_initializer,
  [sym_mut_pattern] = sym_mut_pattern,
  [sym_or_pattern] = sym_or_pattern,
  [sym__literal] = sym__literal,
  [sym__literal_pattern] = sym__literal_pattern,
  [sym_negative_literal] = sym_negative_literal,
  [sym_string_literal] = sym_string_literal,
  [sym_boolean_literal] = sym_boolean_literal,
  [sym__non_delim_token] = sym__non_delim_token,
  [sym_scoped_identifier] = sym_scoped_identifier,
  [sym_scoped_type_identifier_in_expression_position] = sym_scoped_type_identifier,
  [sym_scoped_type_identifier] = sym_scoped_type_identifier,
  [sym_tuple_type] = sym_tuple_type,
  [sym_unit_type] = sym_unit_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_expression_statement] = sym_expression_statement,
  [sym_expression] = sym_expression,
  [sym_generic_function] = sym_generic_function,
  [sym_tuple_expression] = sym_tuple_expression,
  [sym_return_expression] = sym_return_expression,
  [sym_struct_expression] = sym_struct_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_break_expression] = sym_break_expression,
  [sym_continue_expression] = sym_continue_expression,
  [sym_index_expression] = sym_index_expression,
  [sym_array_expression] = sym_array_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_unit_expression] = sym_unit_expression,
  [sym_compound_assignment_expr] = sym_compound_assignment_expr,
  [sym__expression_ending_with_block] = sym__expression_ending_with_block,
  [sym_unary_expression] = sym_unary_expression,
  [sym_try_expression] = sym_try_expression,
  [sym_field_expression] = sym_field_expression,
  [sym_block] = sym_block,
  [sym_if_expression] = sym_if_expression,
  [sym__condition] = sym__condition,
  [sym_let_condition] = sym_let_condition,
  [sym_else_clause] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_arm] = sym_match_arm,
  [sym_last_match_arm] = sym_match_arm,
  [sym_tuple_enum_pattern] = sym_tuple_enum_pattern,
  [sym_match_pattern] = sym_match_pattern,
  [sym_while_expression] = sym_while_expression,
  [sym_for_expression] = sym_for_expression,
  [sym_loop_expression] = sym_loop_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_snapshot_type] = sym_snapshot_type,
  [sym_call_expression] = sym_call_expression,
  [sym_arguments] = sym_arguments,
  [sym_named_argument] = sym_named_argument,
  [sym_reference_expression] = sym_reference_expression,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_extern] = sym_extern,
  [sym_nopanic] = sym_nopanic,
  [sym_ref_specifier] = sym_ref_specifier,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym_enum_variant_list_repeat1] = aux_sym_enum_variant_list_repeat1,
  [aux_sym_enum_variant_list_repeat2] = aux_sym_enum_variant_list_repeat2,
  [aux_sym_field_declaration_list_repeat1] = aux_sym_field_declaration_list_repeat1,
  [aux_sym_function_repeat1] = aux_sym_function_repeat1,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_delim_token_tree_repeat1] = aux_sym_delim_token_tree_repeat1,
  [aux_sym__non_special_token_repeat1] = aux_sym__non_special_token_repeat1,
  [aux_sym_tuple_pattern_repeat1] = aux_sym_tuple_pattern_repeat1,
  [aux_sym_struct_pattern_repeat1] = aux_sym_struct_pattern_repeat1,
  [aux_sym_field_initializer_list_repeat1] = aux_sym_field_initializer_list_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_tuple_expression_repeat1] = aux_sym_tuple_expression_repeat1,
  [aux_sym_array_expression_repeat1] = aux_sym_array_expression_repeat1,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_arm_repeat1] = aux_sym_match_arm_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_primitive_type] = alias_sym_primitive_type,
  [alias_sym_shorthand_field_identifier] = alias_sym_shorthand_field_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_impl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_trait] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mod] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implicits] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_use] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_i8] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_u16] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_i16] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_u32] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_i32] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_u64] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_i64] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_u128] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_i128] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_usize] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_ByteArray] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_felt252] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nopanic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_loop] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pub] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [sym_numeric_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_shortstring_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ref] = {
    .visible = true,
    .named = false,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_mutable_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_crate] = {
    .visible = true,
    .named = true,
  },
  [sym_line_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_impl_item] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_item] = {
    .visible = true,
    .named = true,
  },
  [sym_associated_type] = {
    .visible = true,
    .named = true,
  },
  [sym_associated_impl] = {
    .visible = true,
    .named = true,
  },
  [sym_const_item] = {
    .visible = true,
    .named = true,
  },
  [sym_macro_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_item] = {
    .visible = true,
    .named = true,
  },
  [sym_inner_attribute_item] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_mod_item] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_item] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_item] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_variant_list] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_variant] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_item] = {
    .visible = true,
    .named = true,
  },
  [sym_extern_type] = {
    .visible = true,
    .named = true,
  },
  [sym_external_function_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_signature_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_let_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__use_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_scoped_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_wildcard] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_const_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_constrained_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type_with_turbofish] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_delim_token_tree] = {
    .visible = true,
    .named = true,
  },
  [sym__delim_tokens] = {
    .visible = false,
    .named = true,
  },
  [sym__pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_field_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_shorthand_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_base_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_mut_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_or_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__literal_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_negative_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__non_delim_token] = {
    .visible = false,
    .named = true,
  },
  [sym_scoped_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_type_identifier_in_expression_position] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_unit_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_generic_function] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_return_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_break_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unit_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_assignment_expr] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_ending_with_block] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__condition] = {
    .visible = false,
    .named = true,
  },
  [sym_let_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_arm] = {
    .visible = true,
    .named = true,
  },
  [sym_last_match_arm] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_enum_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_match_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_loop_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_snapshot_type] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_named_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_extern] = {
    .visible = true,
    .named = true,
  },
  [sym_nopanic] = {
    .visible = true,
    .named = true,
  },
  [sym_ref_specifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_variant_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_variant_list_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_delim_token_tree_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__non_special_token_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_arm_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_body = 5,
  field_bound = 6,
  field_condition = 7,
  field_consequence = 8,
  field_element = 9,
  field_field = 10,
  field_function = 11,
  field_implicit_arguments = 12,
  field_left = 13,
  field_length = 14,
  field_list = 15,
  field_macro = 16,
  field_name = 17,
  field_operator = 18,
  field_parameters = 19,
  field_path = 20,
  field_pattern = 21,
  field_return_type = 22,
  field_right = 23,
  field_type = 24,
  field_type_arguments = 25,
  field_type_parameters = 26,
  field_value = 27,
  field_variant = 28,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_bound] = "bound",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_element] = "element",
  [field_field] = "field",
  [field_function] = "function",
  [field_implicit_arguments] = "implicit_arguments",
  [field_left] = "left",
  [field_length] = "length",
  [field_list] = "list",
  [field_macro] = "macro",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
  [field_variant] = "variant",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 0, .length = 1},
  [4] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 2},
  [7] = {.index = 3, .length = 2},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 7, .length = 2},
  [10] = {.index = 7, .length = 2},
  [11] = {.index = 9, .length = 2},
  [12] = {.index = 11, .length = 2},
  [13] = {.index = 11, .length = 2},
  [14] = {.index = 13, .length = 1},
  [15] = {.index = 11, .length = 2},
  [16] = {.index = 14, .length = 1},
  [17] = {.index = 15, .length = 1},
  [18] = {.index = 16, .length = 2},
  [19] = {.index = 16, .length = 2},
  [20] = {.index = 18, .length = 1},
  [21] = {.index = 16, .length = 2},
  [22] = {.index = 16, .length = 2},
  [23] = {.index = 19, .length = 2},
  [24] = {.index = 21, .length = 2},
  [25] = {.index = 23, .length = 2},
  [26] = {.index = 25, .length = 2},
  [27] = {.index = 27, .length = 1},
  [28] = {.index = 18, .length = 1},
  [29] = {.index = 19, .length = 2},
  [30] = {.index = 28, .length = 2},
  [31] = {.index = 16, .length = 2},
  [32] = {.index = 16, .length = 2},
  [33] = {.index = 19, .length = 2},
  [34] = {.index = 30, .length = 2},
  [35] = {.index = 32, .length = 3},
  [36] = {.index = 35, .length = 2},
  [37] = {.index = 35, .length = 2},
  [38] = {.index = 37, .length = 1},
  [41] = {.index = 38, .length = 2},
  [42] = {.index = 40, .length = 3},
  [43] = {.index = 43, .length = 1},
  [44] = {.index = 43, .length = 1},
  [45] = {.index = 44, .length = 1},
  [46] = {.index = 45, .length = 3},
  [47] = {.index = 48, .length = 3},
  [48] = {.index = 51, .length = 1},
  [49] = {.index = 52, .length = 1},
  [50] = {.index = 51, .length = 1},
  [51] = {.index = 53, .length = 1},
  [52] = {.index = 51, .length = 1},
  [53] = {.index = 54, .length = 2},
  [54] = {.index = 56, .length = 2},
  [55] = {.index = 54, .length = 2},
  [56] = {.index = 56, .length = 2},
  [57] = {.index = 58, .length = 3},
  [58] = {.index = 61, .length = 1},
  [59] = {.index = 62, .length = 2},
  [60] = {.index = 61, .length = 1},
  [61] = {.index = 62, .length = 2},
  [62] = {.index = 64, .length = 1},
  [63] = {.index = 65, .length = 1},
  [64] = {.index = 66, .length = 1},
  [65] = {.index = 67, .length = 2},
  [67] = {.index = 67, .length = 2},
  [68] = {.index = 27, .length = 1},
  [69] = {.index = 69, .length = 1},
  [70] = {.index = 70, .length = 1},
  [71] = {.index = 71, .length = 3},
  [72] = {.index = 74, .length = 4},
  [73] = {.index = 78, .length = 4},
  [74] = {.index = 0, .length = 1},
  [75] = {.index = 82, .length = 2},
  [76] = {.index = 84, .length = 2},
  [78] = {.index = 86, .length = 3},
  [79] = {.index = 89, .length = 2},
  [80] = {.index = 89, .length = 2},
  [81] = {.index = 91, .length = 2},
  [82] = {.index = 93, .length = 3},
  [83] = {.index = 96, .length = 1},
  [84] = {.index = 97, .length = 1},
  [86] = {.index = 98, .length = 1},
  [87] = {.index = 99, .length = 2},
  [88] = {.index = 101, .length = 3},
  [89] = {.index = 104, .length = 1},
  [90] = {.index = 105, .length = 2},
  [91] = {.index = 107, .length = 2},
  [92] = {.index = 109, .length = 4},
  [93] = {.index = 113, .length = 5},
  [94] = {.index = 118, .length = 4},
  [95] = {.index = 122, .length = 5},
  [96] = {.index = 127, .length = 2},
  [97] = {.index = 129, .length = 2},
  [98] = {.index = 131, .length = 2},
  [99] = {.index = 133, .length = 1},
  [100] = {.index = 134, .length = 2},
  [101] = {.index = 136, .length = 2},
  [102] = {.index = 136, .length = 2},
  [103] = {.index = 138, .length = 1},
  [104] = {.index = 139, .length = 2},
  [105] = {.index = 139, .length = 2},
  [106] = {.index = 141, .length = 2},
  [107] = {.index = 143, .length = 4},
  [108] = {.index = 147, .length = 3},
  [109] = {.index = 67, .length = 2},
  [110] = {.index = 150, .length = 5},
  [111] = {.index = 155, .length = 5},
  [112] = {.index = 160, .length = 6},
  [113] = {.index = 166, .length = 2},
  [114] = {.index = 168, .length = 3},
  [115] = {.index = 171, .length = 1},
  [116] = {.index = 172, .length = 2},
  [117] = {.index = 174, .length = 3},
  [118] = {.index = 177, .length = 2},
  [119] = {.index = 179, .length = 6},
  [120] = {.index = 185, .length = 6},
  [121] = {.index = 191, .length = 3},
  [122] = {.index = 194, .length = 3},
  [123] = {.index = 197, .length = 7},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 1},
  [1] =
    {field_body, 1},
  [2] =
    {field_value, 1},
  [3] =
    {field_body, 1},
    {field_name, 0},
  [5] =
    {field_arguments, 1},
    {field_function, 0},
  [7] =
    {field_body, 2},
    {field_name, 1},
  [9] =
    {field_name, 1},
    {field_parameters, 2},
  [11] =
    {field_type, 0},
    {field_type_arguments, 1},
  [13] =
    {field_pattern, 1},
  [14] =
    {field_list, 1},
  [15] =
    {field_argument, 1},
  [16] =
    {field_name, 2},
    {field_path, 0},
  [18] =
    {field_macro, 0},
  [19] =
    {field_type, 0},
    {field_type_arguments, 2},
  [21] =
    {field_condition, 1},
    {field_consequence, 2},
  [23] =
    {field_body, 2},
    {field_value, 1},
  [25] =
    {field_body, 2},
    {field_condition, 1},
  [27] =
    {field_value, 2},
  [28] =
    {field_function, 0},
    {field_type_arguments, 2},
  [30] =
    {field_left, 0},
    {field_right, 2},
  [32] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [35] =
    {field_field, 2},
    {field_value, 0},
  [37] =
    {field_body, 2},
  [38] =
    {field_name, 1},
    {field_type_parameters, 2},
  [40] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [43] =
    {field_arguments, 1},
  [44] =
    {field_variant, 0},
  [45] =
    {field_implicit_arguments, 3},
    {field_name, 1},
    {field_parameters, 2},
  [48] =
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [51] =
    {field_type, 0},
  [52] =
    {field_name, 0},
  [53] =
    {field_pattern, 2},
  [54] =
    {field_list, 2},
    {field_path, 0},
  [56] =
    {field_alias, 2},
    {field_path, 0},
  [58] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [61] =
    {field_name, 2},
  [62] =
    {field_body, 3},
    {field_name, 2},
  [64] =
    {field_argument, 2},
  [65] =
    {field_type, 1},
  [66] =
    {field_body, 4},
  [67] =
    {field_name, 1},
    {field_type, 3},
  [69] =
    {field_length, 3},
  [70] =
    {field_variant, 1},
  [71] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [74] =
    {field_implicit_arguments, 3},
    {field_implicit_arguments, 4},
    {field_name, 1},
    {field_parameters, 2},
  [78] =
    {field_implicit_arguments, 4},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [82] =
    {field_pattern, 1},
    {field_type, 3},
  [84] =
    {field_pattern, 1},
    {field_value, 3},
  [86] =
    {field_body, 4},
    {field_pattern, 1},
    {field_value, 3},
  [89] =
    {field_field, 0},
    {field_value, 2},
  [91] =
    {field_name, 2},
    {field_type_parameters, 3},
  [93] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [96] =
    {field_name, 3},
  [97] =
    {field_element, 1},
  [98] =
    {field_type_parameters, 2},
  [99] =
    {field_body, 5},
    {field_type_parameters, 2},
  [101] =
    {field_name, 1},
    {field_type, 4},
    {field_type_parameters, 2},
  [104] =
    {field_length, 4},
  [105] =
    {field_name, 0},
    {field_type, 2},
  [107] =
    {field_pattern, 0},
    {field_type, 2},
  [109] =
    {field_implicit_arguments, 5},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [113] =
    {field_implicit_arguments, 3},
    {field_implicit_arguments, 4},
    {field_implicit_arguments, 5},
    {field_name, 1},
    {field_parameters, 2},
  [118] =
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_type_parameters, 2},
  [122] =
    {field_implicit_arguments, 4},
    {field_implicit_arguments, 5},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [127] =
    {field_name, 0},
    {field_pattern, 2},
  [129] =
    {field_pattern, 2},
    {field_type, 4},
  [131] =
    {field_pattern, 2},
    {field_value, 4},
  [133] =
    {field_condition, 2},
  [134] =
    {field_pattern, 0},
    {field_value, 2},
  [136] =
    {field_field, 1},
    {field_value, 3},
  [138] =
    {field_body, 5},
  [139] =
    {field_name, 2},
    {field_type, 4},
  [141] =
    {field_name, 3},
    {field_type_parameters, 4},
  [143] =
    {field_bound, 3},
    {field_left, 0},
    {field_left, 1},
    {field_left, 2},
  [147] =
    {field_name, 1},
    {field_type, 3},
    {field_value, 5},
  [150] =
    {field_implicit_arguments, 5},
    {field_implicit_arguments, 6},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [155] =
    {field_implicit_arguments, 6},
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_type_parameters, 2},
  [160] =
    {field_implicit_arguments, 4},
    {field_implicit_arguments, 5},
    {field_implicit_arguments, 6},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [166] =
    {field_name, 1},
    {field_pattern, 3},
  [168] =
    {field_pattern, 1},
    {field_type, 3},
    {field_value, 5},
  [171] =
    {field_type_parameters, 3},
  [172] =
    {field_body, 6},
    {field_type_parameters, 3},
  [174] =
    {field_name, 2},
    {field_type, 5},
    {field_type_parameters, 3},
  [177] =
    {field_element, 1},
    {field_length, 3},
  [179] =
    {field_implicit_arguments, 5},
    {field_implicit_arguments, 6},
    {field_implicit_arguments, 7},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [185] =
    {field_implicit_arguments, 6},
    {field_implicit_arguments, 7},
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_type_parameters, 2},
  [191] =
    {field_pattern, 2},
    {field_type, 4},
    {field_value, 6},
  [194] =
    {field_name, 2},
    {field_type, 4},
    {field_value, 6},
  [197] =
    {field_implicit_arguments, 6},
    {field_implicit_arguments, 7},
    {field_implicit_arguments, 8},
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_type_parameters, 2},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [3] = {
    [1] = alias_sym_type_identifier,
  },
  [6] = {
    [0] = alias_sym_type_identifier,
  },
  [9] = {
    [1] = alias_sym_type_identifier,
  },
  [12] = {
    [0] = sym_identifier,
  },
  [13] = {
    [0] = alias_sym_type_identifier,
  },
  [19] = {
    [2] = alias_sym_type_identifier,
  },
  [20] = {
    [0] = sym_identifier,
  },
  [21] = {
    [0] = sym_identifier,
  },
  [22] = {
    [0] = sym_identifier,
    [2] = alias_sym_type_identifier,
  },
  [23] = {
    [0] = sym_identifier,
  },
  [29] = {
    [0] = alias_sym_type_identifier,
  },
  [31] = {
    [0] = sym_generic_type,
  },
  [32] = {
    [0] = sym_generic_type,
    [2] = alias_sym_type_identifier,
  },
  [37] = {
    [2] = alias_sym_field_identifier,
  },
  [39] = {
    [0] = alias_sym_primitive_type,
  },
  [40] = {
    [0] = alias_sym_type_identifier,
  },
  [41] = {
    [1] = alias_sym_type_identifier,
  },
  [42] = {
    [1] = alias_sym_type_identifier,
  },
  [44] = {
    [0] = sym_identifier,
  },
  [48] = {
    [0] = alias_sym_type_identifier,
  },
  [49] = {
    [0] = alias_sym_shorthand_field_identifier,
  },
  [52] = {
    [0] = sym_generic_type,
  },
  [55] = {
    [0] = sym_identifier,
  },
  [56] = {
    [0] = sym_identifier,
  },
  [58] = {
    [2] = alias_sym_type_identifier,
  },
  [59] = {
    [2] = alias_sym_type_identifier,
  },
  [65] = {
    [1] = alias_sym_type_identifier,
  },
  [66] = {
    [1] = alias_sym_type_identifier,
  },
  [68] = {
    [0] = sym_identifier,
  },
  [74] = {
    [1] = alias_sym_shorthand_field_identifier,
  },
  [77] = {
    [3] = sym_identifier,
  },
  [80] = {
    [0] = alias_sym_field_identifier,
  },
  [81] = {
    [2] = alias_sym_type_identifier,
  },
  [82] = {
    [2] = alias_sym_type_identifier,
  },
  [83] = {
    [3] = alias_sym_type_identifier,
  },
  [85] = {
    [2] = alias_sym_type_identifier,
  },
  [88] = {
    [1] = alias_sym_type_identifier,
  },
  [90] = {
    [0] = alias_sym_field_identifier,
  },
  [96] = {
    [0] = alias_sym_field_identifier,
  },
  [102] = {
    [1] = alias_sym_field_identifier,
  },
  [104] = {
    [2] = alias_sym_type_identifier,
  },
  [106] = {
    [3] = alias_sym_type_identifier,
  },
  [107] = {
    [1] = alias_sym_type_identifier,
  },
  [109] = {
    [1] = alias_sym_field_identifier,
  },
  [113] = {
    [1] = alias_sym_field_identifier,
  },
  [117] = {
    [2] = alias_sym_type_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_generic_type_with_turbofish, 2,
    sym_generic_type_with_turbofish,
    sym_generic_type,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 5,
  [6] = 5,
  [7] = 5,
  [8] = 2,
  [9] = 5,
  [10] = 2,
  [11] = 11,
  [12] = 12,
  [13] = 5,
  [14] = 2,
  [15] = 5,
  [16] = 12,
  [17] = 5,
  [18] = 2,
  [19] = 5,
  [20] = 2,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 24,
  [26] = 26,
  [27] = 27,
  [28] = 27,
  [29] = 29,
  [30] = 30,
  [31] = 26,
  [32] = 29,
  [33] = 26,
  [34] = 27,
  [35] = 30,
  [36] = 36,
  [37] = 24,
  [38] = 36,
  [39] = 30,
  [40] = 26,
  [41] = 29,
  [42] = 27,
  [43] = 24,
  [44] = 36,
  [45] = 30,
  [46] = 36,
  [47] = 24,
  [48] = 36,
  [49] = 30,
  [50] = 26,
  [51] = 27,
  [52] = 29,
  [53] = 29,
  [54] = 21,
  [55] = 22,
  [56] = 22,
  [57] = 21,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 63,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 67,
  [84] = 84,
  [85] = 75,
  [86] = 76,
  [87] = 81,
  [88] = 88,
  [89] = 88,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 93,
  [95] = 95,
  [96] = 92,
  [97] = 91,
  [98] = 98,
  [99] = 99,
  [100] = 99,
  [101] = 101,
  [102] = 95,
  [103] = 103,
  [104] = 104,
  [105] = 101,
  [106] = 103,
  [107] = 107,
  [108] = 107,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 110,
  [113] = 113,
  [114] = 111,
  [115] = 115,
  [116] = 115,
  [117] = 109,
  [118] = 113,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 119,
  [123] = 123,
  [124] = 121,
  [125] = 123,
  [126] = 126,
  [127] = 121,
  [128] = 121,
  [129] = 129,
  [130] = 123,
  [131] = 131,
  [132] = 131,
  [133] = 133,
  [134] = 133,
  [135] = 135,
  [136] = 136,
  [137] = 135,
  [138] = 138,
  [139] = 138,
  [140] = 140,
  [141] = 140,
  [142] = 140,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 147,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 143,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 148,
  [166] = 166,
  [167] = 167,
  [168] = 163,
  [169] = 145,
  [170] = 170,
  [171] = 171,
  [172] = 153,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 151,
  [177] = 177,
  [178] = 154,
  [179] = 163,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 152,
  [184] = 184,
  [185] = 184,
  [186] = 186,
  [187] = 187,
  [188] = 151,
  [189] = 155,
  [190] = 157,
  [191] = 149,
  [192] = 167,
  [193] = 193,
  [194] = 180,
  [195] = 147,
  [196] = 146,
  [197] = 145,
  [198] = 167,
  [199] = 158,
  [200] = 159,
  [201] = 173,
  [202] = 180,
  [203] = 154,
  [204] = 181,
  [205] = 181,
  [206] = 206,
  [207] = 206,
  [208] = 155,
  [209] = 157,
  [210] = 210,
  [211] = 211,
  [212] = 162,
  [213] = 158,
  [214] = 161,
  [215] = 152,
  [216] = 166,
  [217] = 159,
  [218] = 218,
  [219] = 143,
  [220] = 164,
  [221] = 162,
  [222] = 146,
  [223] = 223,
  [224] = 223,
  [225] = 77,
  [226] = 63,
  [227] = 67,
  [228] = 76,
  [229] = 81,
  [230] = 71,
  [231] = 75,
  [232] = 232,
  [233] = 232,
  [234] = 81,
  [235] = 235,
  [236] = 75,
  [237] = 237,
  [238] = 76,
  [239] = 235,
  [240] = 240,
  [241] = 84,
  [242] = 75,
  [243] = 81,
  [244] = 76,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 82,
  [255] = 80,
  [256] = 256,
  [257] = 70,
  [258] = 72,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 69,
  [264] = 79,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 68,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 74,
  [295] = 295,
  [296] = 296,
  [297] = 78,
  [298] = 76,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 81,
  [305] = 75,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 344,
  [347] = 344,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 348,
  [352] = 348,
  [353] = 349,
  [354] = 349,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 358,
  [362] = 360,
  [363] = 363,
  [364] = 363,
  [365] = 359,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 367,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 366,
  [377] = 374,
  [378] = 372,
  [379] = 370,
  [380] = 369,
  [381] = 375,
  [382] = 368,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 385,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 385,
  [395] = 384,
  [396] = 393,
  [397] = 386,
  [398] = 398,
  [399] = 388,
  [400] = 400,
  [401] = 391,
  [402] = 400,
  [403] = 403,
  [404] = 404,
  [405] = 403,
  [406] = 404,
  [407] = 404,
  [408] = 403,
  [409] = 327,
  [410] = 410,
  [411] = 410,
  [412] = 410,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 84,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 75,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 76,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 81,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 60,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 64,
  [494] = 65,
  [495] = 495,
  [496] = 290,
  [497] = 251,
  [498] = 327,
  [499] = 499,
  [500] = 308,
  [501] = 309,
  [502] = 252,
  [503] = 313,
  [504] = 248,
  [505] = 334,
  [506] = 333,
  [507] = 331,
  [508] = 270,
  [509] = 289,
  [510] = 271,
  [511] = 273,
  [512] = 274,
  [513] = 253,
  [514] = 262,
  [515] = 420,
  [516] = 259,
  [517] = 311,
  [518] = 340,
  [519] = 312,
  [520] = 249,
  [521] = 323,
  [522] = 324,
  [523] = 329,
  [524] = 337,
  [525] = 338,
  [526] = 299,
  [527] = 306,
  [528] = 275,
  [529] = 332,
  [530] = 318,
  [531] = 287,
  [532] = 277,
  [533] = 315,
  [534] = 272,
  [535] = 261,
  [536] = 317,
  [537] = 281,
  [538] = 307,
  [539] = 303,
  [540] = 330,
  [541] = 302,
  [542] = 542,
  [543] = 336,
  [544] = 542,
  [545] = 300,
  [546] = 278,
  [547] = 342,
  [548] = 301,
  [549] = 269,
  [550] = 310,
  [551] = 499,
  [552] = 335,
  [553] = 296,
  [554] = 295,
  [555] = 293,
  [556] = 292,
  [557] = 322,
  [558] = 321,
  [559] = 326,
  [560] = 328,
  [561] = 325,
  [562] = 341,
  [563] = 319,
  [564] = 291,
  [565] = 314,
  [566] = 285,
  [567] = 283,
  [568] = 250,
  [569] = 288,
  [570] = 256,
  [571] = 265,
  [572] = 266,
  [573] = 267,
  [574] = 284,
  [575] = 280,
  [576] = 268,
  [577] = 282,
  [578] = 578,
  [579] = 279,
  [580] = 276,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 426,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 420,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 427,
  [594] = 425,
  [595] = 595,
  [596] = 596,
  [597] = 587,
  [598] = 591,
  [599] = 424,
  [600] = 592,
  [601] = 601,
  [602] = 442,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 608,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 610,
  [616] = 616,
  [617] = 612,
  [618] = 604,
  [619] = 619,
  [620] = 610,
  [621] = 621,
  [622] = 622,
  [623] = 604,
  [624] = 624,
  [625] = 609,
  [626] = 610,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 416,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 327,
  [639] = 639,
  [640] = 640,
  [641] = 610,
  [642] = 604,
  [643] = 422,
  [644] = 613,
  [645] = 415,
  [646] = 646,
  [647] = 624,
  [648] = 640,
  [649] = 649,
  [650] = 603,
  [651] = 636,
  [652] = 652,
  [653] = 653,
  [654] = 604,
  [655] = 628,
  [656] = 652,
  [657] = 610,
  [658] = 604,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 610,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 653,
  [667] = 616,
  [668] = 433,
  [669] = 616,
  [670] = 670,
  [671] = 671,
  [672] = 418,
  [673] = 417,
  [674] = 674,
  [675] = 425,
  [676] = 607,
  [677] = 677,
  [678] = 619,
  [679] = 679,
  [680] = 419,
  [681] = 604,
  [682] = 441,
  [683] = 683,
  [684] = 677,
  [685] = 622,
  [686] = 424,
  [687] = 687,
  [688] = 610,
  [689] = 621,
  [690] = 614,
  [691] = 687,
  [692] = 692,
  [693] = 434,
  [694] = 604,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 698,
  [699] = 635,
  [700] = 426,
  [701] = 434,
  [702] = 607,
  [703] = 605,
  [704] = 442,
  [705] = 421,
  [706] = 706,
  [707] = 427,
  [708] = 84,
  [709] = 619,
  [710] = 710,
  [711] = 453,
  [712] = 461,
  [713] = 471,
  [714] = 475,
  [715] = 477,
  [716] = 478,
  [717] = 479,
  [718] = 480,
  [719] = 481,
  [720] = 482,
  [721] = 461,
  [722] = 436,
  [723] = 492,
  [724] = 433,
  [725] = 441,
  [726] = 726,
  [727] = 444,
  [728] = 728,
  [729] = 432,
  [730] = 730,
  [731] = 731,
  [732] = 429,
  [733] = 733,
  [734] = 734,
  [735] = 445,
  [736] = 439,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 472,
  [742] = 742,
  [743] = 743,
  [744] = 76,
  [745] = 269,
  [746] = 81,
  [747] = 75,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 742,
  [752] = 453,
  [753] = 471,
  [754] = 754,
  [755] = 462,
  [756] = 749,
  [757] = 462,
  [758] = 492,
  [759] = 475,
  [760] = 472,
  [761] = 761,
  [762] = 477,
  [763] = 478,
  [764] = 446,
  [765] = 765,
  [766] = 482,
  [767] = 738,
  [768] = 479,
  [769] = 769,
  [770] = 726,
  [771] = 710,
  [772] = 750,
  [773] = 754,
  [774] = 480,
  [775] = 327,
  [776] = 481,
  [777] = 777,
  [778] = 765,
  [779] = 748,
  [780] = 733,
  [781] = 737,
  [782] = 777,
  [783] = 470,
  [784] = 79,
  [785] = 459,
  [786] = 448,
  [787] = 469,
  [788] = 460,
  [789] = 68,
  [790] = 487,
  [791] = 74,
  [792] = 70,
  [793] = 60,
  [794] = 72,
  [795] = 64,
  [796] = 457,
  [797] = 485,
  [798] = 69,
  [799] = 451,
  [800] = 456,
  [801] = 455,
  [802] = 447,
  [803] = 452,
  [804] = 449,
  [805] = 486,
  [806] = 484,
  [807] = 489,
  [808] = 463,
  [809] = 809,
  [810] = 476,
  [811] = 80,
  [812] = 78,
  [813] = 490,
  [814] = 82,
  [815] = 464,
  [816] = 450,
  [817] = 466,
  [818] = 465,
  [819] = 495,
  [820] = 454,
  [821] = 467,
  [822] = 491,
  [823] = 468,
  [824] = 488,
  [825] = 473,
  [826] = 458,
  [827] = 65,
  [828] = 828,
  [829] = 483,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 833,
  [836] = 832,
  [837] = 373,
  [838] = 327,
  [839] = 839,
  [840] = 840,
  [841] = 841,
  [842] = 841,
  [843] = 840,
  [844] = 840,
  [845] = 841,
  [846] = 840,
  [847] = 840,
  [848] = 840,
  [849] = 840,
  [850] = 840,
  [851] = 851,
  [852] = 851,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 856,
  [857] = 857,
  [858] = 856,
  [859] = 422,
  [860] = 855,
  [861] = 853,
  [862] = 854,
  [863] = 419,
  [864] = 418,
  [865] = 421,
  [866] = 67,
  [867] = 63,
  [868] = 77,
  [869] = 71,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 875,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 854,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 856,
  [887] = 887,
  [888] = 855,
  [889] = 853,
  [890] = 883,
  [891] = 64,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 894,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 61,
  [904] = 904,
  [905] = 905,
  [906] = 60,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 895,
  [913] = 904,
  [914] = 893,
  [915] = 915,
  [916] = 916,
  [917] = 857,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 922,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 933,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 900,
  [945] = 894,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 919,
  [950] = 918,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 853,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 961,
  [964] = 900,
  [965] = 854,
  [966] = 966,
  [967] = 856,
  [968] = 968,
  [969] = 960,
  [970] = 855,
  [971] = 968,
  [972] = 966,
  [973] = 973,
  [974] = 870,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 976,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 870,
  [983] = 983,
  [984] = 984,
  [985] = 870,
  [986] = 986,
  [987] = 987,
  [988] = 874,
  [989] = 418,
  [990] = 990,
  [991] = 870,
  [992] = 874,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 897,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 419,
  [1003] = 1003,
  [1004] = 874,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 421,
  [1008] = 422,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 415,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1011,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 373,
  [1026] = 1026,
  [1027] = 1014,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 417,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1028,
  [1037] = 1037,
  [1038] = 874,
  [1039] = 1019,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 373,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1026,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1009,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 416,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1056,
  [1060] = 1054,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1064,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1068,
  [1073] = 1073,
  [1074] = 1062,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1070,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1073,
  [1081] = 1061,
  [1082] = 1071,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1083,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1085,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1091,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1091,
  [1099] = 1085,
  [1100] = 1083,
  [1101] = 1097,
  [1102] = 1094,
  [1103] = 1092,
  [1104] = 1095,
  [1105] = 1105,
  [1106] = 1088,
  [1107] = 1096,
  [1108] = 1076,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1069,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1076,
  [1116] = 1092,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1119,
  [1121] = 1118,
  [1122] = 1117,
  [1123] = 1091,
  [1124] = 1085,
  [1125] = 1069,
  [1126] = 1083,
  [1127] = 1127,
  [1128] = 1091,
  [1129] = 1085,
  [1130] = 1083,
  [1131] = 1091,
  [1132] = 1065,
  [1133] = 1085,
  [1134] = 1083,
  [1135] = 1097,
  [1136] = 1066,
  [1137] = 1094,
  [1138] = 1009,
  [1139] = 1092,
  [1140] = 1078,
  [1141] = 1088,
  [1142] = 1076,
  [1143] = 1089,
  [1144] = 1144,
  [1145] = 1110,
  [1146] = 1146,
  [1147] = 1086,
  [1148] = 1148,
  [1149] = 1111,
  [1150] = 1069,
  [1151] = 1113,
  [1152] = 1086,
  [1153] = 1114,
  [1154] = 1091,
  [1155] = 1085,
  [1156] = 1083,
  [1157] = 902,
  [1158] = 1070,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1073,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 64,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 921,
  [1175] = 1175,
  [1176] = 327,
  [1177] = 925,
  [1178] = 77,
  [1179] = 927,
  [1180] = 1180,
  [1181] = 60,
  [1182] = 71,
  [1183] = 1183,
  [1184] = 1114,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 61,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 63,
  [1198] = 67,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1021,
  [1202] = 327,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 932,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 930,
  [1212] = 1212,
  [1213] = 937,
  [1214] = 1214,
  [1215] = 1206,
  [1216] = 1216,
  [1217] = 1191,
  [1218] = 1166,
  [1219] = 1173,
  [1220] = 1220,
  [1221] = 954,
  [1222] = 1173,
  [1223] = 1214,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1212,
  [1228] = 1194,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 923,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 926,
  [1253] = 946,
  [1254] = 1165,
  [1255] = 1226,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 953,
  [1259] = 957,
  [1260] = 1232,
  [1261] = 956,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1237,
  [1265] = 1265,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1245,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1209,
  [1274] = 1274,
  [1275] = 948,
  [1276] = 943,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 942,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1233,
  [1283] = 955,
  [1284] = 935,
  [1285] = 938,
  [1286] = 916,
  [1287] = 931,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1236,
  [1291] = 1291,
  [1292] = 929,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1263,
  [1297] = 1265,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 924,
  [1304] = 1272,
  [1305] = 1305,
  [1306] = 1306,
  [1307] = 939,
  [1308] = 1288,
  [1309] = 1309,
  [1310] = 1274,
  [1311] = 920,
  [1312] = 1305,
  [1313] = 1302,
  [1314] = 1309,
  [1315] = 1247,
  [1316] = 1247,
  [1317] = 1207,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1204,
  [1321] = 1306,
  [1322] = 1196,
  [1323] = 940,
  [1324] = 1319,
  [1325] = 1169,
  [1326] = 1300,
  [1327] = 1167,
  [1328] = 1165,
  [1329] = 1301,
  [1330] = 1190,
  [1331] = 1299,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 941,
  [1335] = 1295,
  [1336] = 1251,
  [1337] = 1248,
  [1338] = 1172,
  [1339] = 1163,
  [1340] = 947,
  [1341] = 951,
  [1342] = 1298,
  [1343] = 1243,
  [1344] = 952,
  [1345] = 1318,
  [1346] = 1240,
  [1347] = 1239,
  [1348] = 1348,
  [1349] = 1229,
  [1350] = 1294,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1356,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1357,
  [1366] = 1357,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 882,
  [1379] = 65,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1385,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1375,
  [1402] = 1383,
  [1403] = 1385,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1390,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1382,
  [1411] = 1411,
  [1412] = 1404,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1363,
  [1416] = 1355,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1354,
  [1421] = 1370,
  [1422] = 1370,
  [1423] = 1376,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1351,
  [1427] = 1427,
  [1428] = 1414,
  [1429] = 1427,
  [1430] = 1430,
  [1431] = 1376,
  [1432] = 1432,
  [1433] = 1384,
  [1434] = 1434,
  [1435] = 1396,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1430,
  [1439] = 1353,
  [1440] = 1409,
  [1441] = 1432,
  [1442] = 1442,
  [1443] = 1404,
  [1444] = 1356,
  [1445] = 1445,
  [1446] = 1409,
  [1447] = 1447,
  [1448] = 1436,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1398,
  [1453] = 1451,
  [1454] = 1454,
  [1455] = 1436,
  [1456] = 1404,
  [1457] = 1360,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1409,
  [1461] = 1461,
  [1462] = 1419,
  [1463] = 1351,
  [1464] = 1432,
  [1465] = 1351,
  [1466] = 1430,
  [1467] = 1430,
  [1468] = 1468,
  [1469] = 1358,
  [1470] = 1470,
  [1471] = 1381,
  [1472] = 1409,
  [1473] = 1473,
  [1474] = 1424,
  [1475] = 1404,
  [1476] = 1427,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1361,
  [1480] = 1404,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1408,
  [1485] = 1442,
  [1486] = 1351,
  [1487] = 1409,
  [1488] = 1351,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1491,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1491,
  [1503] = 1503,
  [1504] = 1503,
  [1505] = 1505,
  [1506] = 1491,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1491,
  [1517] = 1517,
  [1518] = 1496,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1491,
  [1522] = 1508,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1503,
  [1529] = 1529,
  [1530] = 1491,
  [1531] = 1491,
  [1532] = 898,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1503,
  [1539] = 1539,
  [1540] = 1499,
  [1541] = 1517,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1547,
  [1549] = 1549,
  [1550] = 1495,
  [1551] = 1512,
  [1552] = 1515,
  [1553] = 1524,
  [1554] = 1500,
  [1555] = 1555,
  [1556] = 1507,
  [1557] = 1497,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1511,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1564,
  [1567] = 1567,
  [1568] = 1543,
  [1569] = 1510,
  [1570] = 1537,
  [1571] = 1489,
  [1572] = 1503,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1576,
  [1580] = 1580,
  [1581] = 1533,
  [1582] = 1536,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1519,
  [1586] = 1586,
  [1587] = 1573,
  [1588] = 1588,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1507,
  [1593] = 1593,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1546,
  [1600] = 1539,
  [1601] = 907,
  [1602] = 1602,
  [1603] = 1534,
  [1604] = 1535,
  [1605] = 1605,
  [1606] = 1517,
  [1607] = 1543,
  [1608] = 908,
  [1609] = 1535,
  [1610] = 1534,
  [1611] = 1598,
  [1612] = 1612,
  [1613] = 1593,
  [1614] = 1562,
  [1615] = 1577,
  [1616] = 1534,
  [1617] = 1617,
  [1618] = 1618,
  [1619] = 1543,
  [1620] = 1594,
  [1621] = 1534,
  [1622] = 1526,
  [1623] = 1543,
  [1624] = 1525,
  [1625] = 1543,
  [1626] = 1501,
  [1627] = 1602,
  [1628] = 1580,
  [1629] = 1589,
  [1630] = 1588,
  [1631] = 1631,
  [1632] = 1586,
  [1633] = 1633,
  [1634] = 1514,
  [1635] = 1635,
  [1636] = 1597,
  [1637] = 1618,
  [1638] = 1635,
  [1639] = 1583,
  [1640] = 1490,
  [1641] = 1510,
  [1642] = 1573,
  [1643] = 1586,
  [1644] = 1644,
  [1645] = 1586,
  [1646] = 1586,
  [1647] = 1527,
  [1648] = 1633,
  [1649] = 1523,
  [1650] = 1513,
  [1651] = 1505,
  [1652] = 1544,
  [1653] = 1612,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(250);
      ADVANCE_MAP(
        '!', 269,
        '"', 411,
        '#', 270,
        '$', 418,
        '%', 334,
        '&', 339,
        '\'', 24,
        '(', 292,
        ')', 295,
        '*', 291,
        '+', 329,
        ',', 279,
        '-', 332,
        '.', 362,
        '/', 333,
        '0', 392,
        ':', 262,
        ';', 256,
        '<', 419,
        '=', 267,
        '>', 327,
        '?', 364,
        '@', 359,
        'B', 207,
        '[', 271,
        ']', 272,
        '^', 336,
        '_', 293,
        'a', 180,
        'b', 19,
        'c', 18,
        'd', 122,
        'e', 148,
        'f', 94,
        'i', 63,
        'l', 123,
        'm', 99,
        'n', 164,
        'o', 130,
        'p', 201,
        'r', 110,
        's', 185,
        't', 173,
        'u', 64,
        'w', 134,
        '{', 251,
        '|', 341,
        '}', 252,
        '~', 337,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(394);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 269,
        '"', 406,
        '#', 270,
        '$', 418,
        '%', 334,
        '&', 339,
        '\'', 24,
        '(', 292,
        ')', 295,
        '*', 291,
        '+', 329,
        ',', 279,
        '-', 332,
        '.', 362,
        '/', 333,
        '0', 392,
        ':', 262,
        ';', 256,
        '<', 325,
        '=', 267,
        '>', 327,
        '?', 364,
        '@', 359,
        'B', 582,
        '[', 271,
        ']', 272,
        '^', 336,
        '_', 294,
        'b', 425,
        'c', 427,
        'd', 478,
        'e', 526,
        'f', 458,
        'i', 430,
        'l', 491,
        'm', 465,
        'n', 536,
        'p', 573,
        'r', 498,
        's', 563,
        't', 543,
        'u', 434,
        'w', 503,
        '{', 251,
        '|', 341,
        '}', 252,
        '~', 337,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(394);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 269,
        '"', 406,
        '%', 334,
        '&', 338,
        '\'', 24,
        '(', 292,
        ')', 295,
        '*', 291,
        '+', 329,
        ',', 279,
        '-', 331,
        '.', 361,
        '/', 333,
        '0', 392,
        ':', 262,
        ';', 256,
        '<', 325,
        '=', 266,
        '>', 327,
        '?', 364,
        '@', 359,
        'B', 582,
        '[', 271,
        ']', 272,
        '^', 335,
        '_', 404,
        'b', 425,
        'c', 428,
        'd', 478,
        'f', 459,
        'i', 431,
        'l', 533,
        'm', 468,
        'r', 479,
        's', 575,
        't', 552,
        'u', 435,
        'w', 503,
        '{', 251,
        '|', 342,
        '}', 252,
        '~', 337,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(394);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 269,
        '"', 406,
        '%', 334,
        '&', 338,
        '\'', 24,
        '(', 292,
        '*', 291,
        '+', 329,
        '-', 331,
        '.', 361,
        '/', 333,
        '0', 392,
        ':', 89,
        '<', 325,
        '=', 267,
        '>', 327,
        '?', 364,
        '@', 359,
        'B', 582,
        '[', 271,
        '^', 335,
        '_', 404,
        'b', 425,
        'c', 428,
        'd', 478,
        'f', 459,
        'i', 431,
        'l', 533,
        'm', 468,
        'r', 479,
        's', 575,
        't', 552,
        'u', 435,
        'w', 503,
        '{', 251,
        '|', 342,
        '~', 337,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(394);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 269,
        '%', 334,
        '&', 338,
        '(', 292,
        ')', 295,
        '*', 291,
        '+', 329,
        ',', 279,
        '-', 331,
        '.', 361,
        '/', 333,
        '0', 392,
        ':', 89,
        ';', 256,
        '<', 325,
        '=', 266,
        '>', 327,
        '?', 364,
        '[', 271,
        ']', 272,
        '^', 335,
        'a', 180,
        'e', 147,
        'i', 157,
        'n', 164,
        '{', 251,
        '|', 342,
        '}', 252,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (('1' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(394);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 268,
        '"', 406,
        '#', 270,
        '\'', 24,
        '(', 292,
        ')', 295,
        '*', 290,
        ',', 279,
        '-', 330,
        '/', 62,
        '0', 392,
        ':', 262,
        ';', 256,
        '<', 324,
        '=', 265,
        '@', 359,
        'B', 582,
        '[', 271,
        ']', 272,
        '_', 404,
        'b', 425,
        'c', 428,
        'd', 478,
        'f', 459,
        'i', 431,
        'l', 533,
        'm', 468,
        'r', 479,
        's', 575,
        't', 552,
        'u', 435,
        'w', 503,
        '{', 251,
        '~', 337,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(394);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 268,
        '"', 406,
        '\'', 24,
        '(', 292,
        '*', 290,
        '-', 330,
        '/', 62,
        '0', 392,
        ':', 89,
        '@', 359,
        'B', 582,
        '[', 271,
        '_', 404,
        'b', 425,
        'c', 428,
        'd', 478,
        'f', 459,
        'i', 431,
        'l', 491,
        'm', 468,
        'r', 479,
        's', 575,
        't', 552,
        'u', 435,
        'w', 503,
        '{', 251,
        '~', 337,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(394);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 268,
        '"', 406,
        '\'', 24,
        '(', 292,
        '*', 290,
        '-', 330,
        '/', 62,
        '0', 392,
        ':', 89,
        '@', 359,
        'B', 582,
        '[', 271,
        '_', 404,
        'b', 425,
        'c', 428,
        'd', 478,
        'f', 459,
        'i', 431,
        'l', 533,
        'm', 467,
        'r', 479,
        's', 575,
        't', 552,
        'u', 435,
        'w', 503,
        '{', 251,
        '~', 337,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(394);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 268,
        '(', 292,
        ')', 295,
        ',', 279,
        '-', 91,
        '/', 62,
        ':', 262,
        ';', 256,
        '<', 419,
        '=', 265,
        '>', 326,
        '[', 271,
        ']', 272,
        'i', 158,
        'n', 164,
        'o', 130,
        '{', 251,
        '|', 340,
        '}', 252,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 268,
        '(', 292,
        ',', 279,
        '/', 62,
        ':', 89,
        ';', 256,
        '<', 419,
        '=', 92,
        ']', 272,
        'i', 129,
        '{', 251,
        '|', 340,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 90,
        '"', 411,
        '#', 270,
        '%', 334,
        '&', 338,
        '(', 292,
        '*', 291,
        '+', 329,
        '-', 331,
        '.', 361,
        '/', 333,
        ':', 89,
        ';', 256,
        '<', 325,
        '=', 267,
        '>', 327,
        '?', 364,
        'B', 582,
        '[', 271,
        '^', 335,
        'b', 531,
        'c', 537,
        'd', 478,
        'e', 526,
        'f', 494,
        'i', 432,
        'l', 492,
        'm', 532,
        'p', 573,
        's', 565,
        't', 550,
        'u', 434,
        '|', 342,
        '}', 252,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(13);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 90,
        '"', 406,
        '#', 270,
        '%', 334,
        '&', 338,
        '\'', 24,
        '(', 292,
        '*', 291,
        '+', 329,
        ',', 279,
        '-', 331,
        '.', 361,
        '/', 333,
        '0', 392,
        ':', 89,
        '<', 325,
        '=', 266,
        '>', 327,
        '?', 364,
        'B', 582,
        '[', 271,
        '^', 335,
        '_', 294,
        'b', 426,
        'c', 429,
        'd', 478,
        'e', 520,
        'f', 460,
        'i', 433,
        'm', 579,
        's', 575,
        't', 552,
        'u', 435,
        '|', 342,
        '}', 252,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(11);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(394);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 90,
        '"', 406,
        '#', 270,
        '%', 334,
        '&', 338,
        '\'', 24,
        '(', 292,
        '*', 291,
        '+', 329,
        ',', 279,
        '-', 331,
        '.', 361,
        '/', 333,
        '0', 392,
        ':', 89,
        '<', 325,
        '=', 266,
        '>', 327,
        '?', 364,
        'B', 582,
        '[', 271,
        '^', 335,
        '_', 294,
        'b', 426,
        'c', 429,
        'd', 478,
        'f', 460,
        'i', 433,
        'm', 579,
        's', 575,
        't', 552,
        'u', 435,
        '|', 342,
        '}', 252,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(12);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(394);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 90,
        '#', 270,
        '%', 334,
        '&', 338,
        '(', 292,
        '*', 291,
        '+', 329,
        '-', 331,
        '.', 361,
        '/', 333,
        ':', 89,
        ';', 256,
        '<', 325,
        '=', 267,
        '>', 327,
        '?', 364,
        'B', 582,
        '[', 271,
        '^', 335,
        'b', 531,
        'c', 537,
        'd', 478,
        'e', 526,
        'f', 494,
        'i', 432,
        'l', 492,
        'm', 532,
        'p', 573,
        's', 565,
        't', 550,
        'u', 434,
        '|', 342,
        '}', 252,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(13);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 90,
        '%', 334,
        '&', 338,
        '(', 292,
        '*', 291,
        '+', 329,
        ',', 279,
        '-', 331,
        '.', 361,
        '/', 333,
        ':', 261,
        '<', 325,
        '=', 267,
        '>', 327,
        '?', 364,
        '[', 271,
        '^', 335,
        'e', 147,
        '|', 342,
        '}', 252,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '"', 406,
        '#', 270,
        '\'', 24,
        '(', 292,
        ')', 295,
        ',', 279,
        '-', 330,
        '/', 62,
        '0', 392,
        ':', 89,
        '@', 359,
        'B', 582,
        '[', 271,
        ']', 272,
        '_', 294,
        'b', 426,
        'c', 429,
        'd', 478,
        'f', 460,
        'i', 433,
        'm', 579,
        's', 575,
        't', 552,
        'u', 435,
        '|', 340,
        '}', 252,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(394);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '"', 406,
        '#', 270,
        '\'', 24,
        '(', 292,
        ')', 295,
        ',', 279,
        '-', 330,
        '/', 62,
        '0', 392,
        ':', 89,
        '@', 359,
        'B', 582,
        '[', 271,
        '_', 294,
        'b', 426,
        'c', 429,
        'd', 478,
        'f', 460,
        'i', 433,
        'm', 579,
        'r', 493,
        's', 575,
        't', 552,
        'u', 435,
        '|', 340,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(16);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(394);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '"', 406,
        '\'', 24,
        '(', 292,
        '-', 330,
        '/', 62,
        '0', 392,
        ':', 89,
        '>', 326,
        '@', 359,
        'B', 582,
        '[', 271,
        '_', 404,
        'b', 426,
        'c', 429,
        'd', 478,
        'f', 460,
        'i', 433,
        's', 575,
        't', 552,
        'u', 435,
        '{', 251,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(17);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(394);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 18:
      if (lookahead == '"') ADVANCE(406);
      if (lookahead == 'o') ADVANCE(159);
      if (lookahead == 'r') ADVANCE(102);
      END_STATE();
    case 19:
      if (lookahead == '"') ADVANCE(406);
      if (lookahead == 'o') ADVANCE(165);
      if (lookahead == 'r') ADVANCE(124);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '#', 270,
        '+', 328,
        '-', 330,
        '/', 62,
        ':', 89,
        '>', 326,
        'B', 582,
        'b', 531,
        'c', 537,
        'd', 478,
        'f', 495,
        'i', 432,
        's', 575,
        'u', 435,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 21:
      if (lookahead == '#') ADVANCE(270);
      if (lookahead == ',') ADVANCE(279);
      if (lookahead == '.') ADVANCE(61);
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == '0') ADVANCE(392);
      if (lookahead == '_') ADVANCE(404);
      if (lookahead == '}') ADVANCE(252);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(21);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(394);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 22:
      if (lookahead == '#') ADVANCE(270);
      if (lookahead == ',') ADVANCE(279);
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == 'p') ADVANCE(573);
      if (lookahead == '}') ADVANCE(252);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 23:
      if (lookahead == '\'') ADVANCE(413);
      END_STATE();
    case 24:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(245);
      if (lookahead != 0) ADVANCE(54);
      END_STATE();
    case 25:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(216);
      if (lookahead != 0) ADVANCE(26);
      END_STATE();
    case 26:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(214);
      if (lookahead != 0) ADVANCE(23);
      END_STATE();
    case 27:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(217);
      if (lookahead != 0) ADVANCE(25);
      END_STATE();
    case 28:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(218);
      if (lookahead != 0) ADVANCE(27);
      END_STATE();
    case 29:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(219);
      if (lookahead != 0) ADVANCE(28);
      END_STATE();
    case 30:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(220);
      if (lookahead != 0) ADVANCE(29);
      END_STATE();
    case 31:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(221);
      if (lookahead != 0) ADVANCE(30);
      END_STATE();
    case 32:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(222);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 33:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(223);
      if (lookahead != 0) ADVANCE(32);
      END_STATE();
    case 34:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(224);
      if (lookahead != 0) ADVANCE(33);
      END_STATE();
    case 35:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(225);
      if (lookahead != 0) ADVANCE(34);
      END_STATE();
    case 36:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(226);
      if (lookahead != 0) ADVANCE(35);
      END_STATE();
    case 37:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(227);
      if (lookahead != 0) ADVANCE(36);
      END_STATE();
    case 38:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(228);
      if (lookahead != 0) ADVANCE(37);
      END_STATE();
    case 39:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(229);
      if (lookahead != 0) ADVANCE(38);
      END_STATE();
    case 40:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(230);
      if (lookahead != 0) ADVANCE(39);
      END_STATE();
    case 41:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(231);
      if (lookahead != 0) ADVANCE(40);
      END_STATE();
    case 42:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(232);
      if (lookahead != 0) ADVANCE(41);
      END_STATE();
    case 43:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(233);
      if (lookahead != 0) ADVANCE(42);
      END_STATE();
    case 44:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(234);
      if (lookahead != 0) ADVANCE(43);
      END_STATE();
    case 45:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(235);
      if (lookahead != 0) ADVANCE(44);
      END_STATE();
    case 46:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(236);
      if (lookahead != 0) ADVANCE(45);
      END_STATE();
    case 47:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(237);
      if (lookahead != 0) ADVANCE(46);
      END_STATE();
    case 48:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(238);
      if (lookahead != 0) ADVANCE(47);
      END_STATE();
    case 49:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(239);
      if (lookahead != 0) ADVANCE(48);
      END_STATE();
    case 50:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(240);
      if (lookahead != 0) ADVANCE(49);
      END_STATE();
    case 51:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(241);
      if (lookahead != 0) ADVANCE(50);
      END_STATE();
    case 52:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(242);
      if (lookahead != 0) ADVANCE(51);
      END_STATE();
    case 53:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(243);
      if (lookahead != 0) ADVANCE(52);
      END_STATE();
    case 54:
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') ADVANCE(244);
      if (lookahead != 0) ADVANCE(53);
      END_STATE();
    case 55:
      ADVANCE_MAP(
        '(', 292,
        ')', 295,
        '*', 290,
        ',', 279,
        '/', 62,
        ':', 89,
        '@', 359,
        'B', 582,
        '[', 271,
        'b', 531,
        'd', 478,
        'f', 495,
        'i', 433,
        's', 575,
        'u', 435,
        '{', 251,
        '}', 252,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        '(', 292,
        '/', 62,
        ':', 89,
        ';', 256,
        '@', 359,
        'B', 582,
        '[', 271,
        'b', 531,
        'd', 478,
        'f', 495,
        'i', 433,
        'n', 536,
        's', 575,
        'u', 435,
        '{', 251,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 57:
      if (lookahead == '(') ADVANCE(292);
      if (lookahead == '/') ADVANCE(62);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 58:
      ADVANCE_MAP(
        ')', 295,
        ',', 279,
        '/', 62,
        ':', 261,
        ';', 256,
        '<', 324,
        '=', 265,
        '>', 326,
        ']', 272,
        'i', 158,
        'n', 164,
        'o', 130,
        '{', 251,
        '|', 340,
        '}', 252,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      END_STATE();
    case 59:
      if (lookahead == '*') ADVANCE(290);
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == '<') ADVANCE(419);
      if (lookahead == 's') ADVANCE(575);
      if (lookahead == '{') ADVANCE(251);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 60:
      if (lookahead == ',') ADVANCE(279);
      if (lookahead == '/') ADVANCE(62);
      if (lookahead == 'm') ADVANCE(579);
      if (lookahead == '}') ADVANCE(252);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 61:
      if (lookahead == '.') ADVANCE(360);
      END_STATE();
    case 62:
      if (lookahead == '/') ADVANCE(592);
      END_STATE();
    case 63:
      if (lookahead == '1') ADVANCE(67);
      if (lookahead == '3') ADVANCE(68);
      if (lookahead == '6') ADVANCE(78);
      if (lookahead == '8') ADVANCE(298);
      if (lookahead == 'f') ADVANCE(371);
      if (lookahead == 'm') ADVANCE(169);
      if (lookahead == 'n') ADVANCE(422);
      END_STATE();
    case 64:
      if (lookahead == '1') ADVANCE(73);
      if (lookahead == '3') ADVANCE(69);
      if (lookahead == '6') ADVANCE(79);
      if (lookahead == '8') ADVANCE(296);
      if (lookahead == 's') ADVANCE(111);
      END_STATE();
    case 65:
      if (lookahead == '1') ADVANCE(75);
      if (lookahead == '2') ADVANCE(81);
      if (lookahead == '3') ADVANCE(70);
      if (lookahead == '6') ADVANCE(80);
      if (lookahead == '8') ADVANCE(391);
      if (lookahead == 's') ADVANCE(143);
      END_STATE();
    case 66:
      if (lookahead == '1') ADVANCE(75);
      if (lookahead == '3') ADVANCE(70);
      if (lookahead == '6') ADVANCE(80);
      if (lookahead == '8') ADVANCE(391);
      END_STATE();
    case 67:
      if (lookahead == '2') ADVANCE(87);
      if (lookahead == '6') ADVANCE(302);
      END_STATE();
    case 68:
      if (lookahead == '2') ADVANCE(306);
      END_STATE();
    case 69:
      if (lookahead == '2') ADVANCE(304);
      END_STATE();
    case 70:
      if (lookahead == '2') ADVANCE(391);
      END_STATE();
    case 71:
      if (lookahead == '2') ADVANCE(322);
      END_STATE();
    case 72:
      if (lookahead == '2') ADVANCE(412);
      END_STATE();
    case 73:
      if (lookahead == '2') ADVANCE(88);
      if (lookahead == '6') ADVANCE(300);
      END_STATE();
    case 74:
      if (lookahead == '2') ADVANCE(83);
      END_STATE();
    case 75:
      if (lookahead == '2') ADVANCE(86);
      if (lookahead == '6') ADVANCE(391);
      END_STATE();
    case 76:
      if (lookahead == '2') ADVANCE(82);
      END_STATE();
    case 77:
      if (lookahead == '2') ADVANCE(84);
      END_STATE();
    case 78:
      if (lookahead == '4') ADVANCE(310);
      END_STATE();
    case 79:
      if (lookahead == '4') ADVANCE(308);
      END_STATE();
    case 80:
      if (lookahead == '4') ADVANCE(391);
      END_STATE();
    case 81:
      if (lookahead == '5') ADVANCE(85);
      END_STATE();
    case 82:
      if (lookahead == '5') ADVANCE(70);
      END_STATE();
    case 83:
      if (lookahead == '5') ADVANCE(71);
      END_STATE();
    case 84:
      if (lookahead == '5') ADVANCE(72);
      END_STATE();
    case 85:
      if (lookahead == '6') ADVANCE(391);
      END_STATE();
    case 86:
      if (lookahead == '8') ADVANCE(391);
      END_STATE();
    case 87:
      if (lookahead == '8') ADVANCE(314);
      END_STATE();
    case 88:
      if (lookahead == '8') ADVANCE(312);
      END_STATE();
    case 89:
      if (lookahead == ':') ADVANCE(288);
      END_STATE();
    case 90:
      if (lookahead == '=') ADVANCE(356);
      END_STATE();
    case 91:
      if (lookahead == '>') ADVANCE(282);
      END_STATE();
    case 92:
      if (lookahead == '>') ADVANCE(363);
      END_STATE();
    case 93:
      if (lookahead == 'A') ADVANCE(179);
      END_STATE();
    case 94:
      if (lookahead == 'a') ADVANCE(153);
      if (lookahead == 'e') ADVANCE(149);
      if (lookahead == 'n') ADVANCE(280);
      if (lookahead == 'o') ADVANCE(174);
      END_STATE();
    case 95:
      if (lookahead == 'a') ADVANCE(144);
      END_STATE();
    case 96:
      if (lookahead == 'a') ADVANCE(208);
      END_STATE();
    case 97:
      if (lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 98:
      if (lookahead == 'a') ADVANCE(141);
      if (lookahead == 'u') ADVANCE(115);
      END_STATE();
    case 99:
      if (lookahead == 'a') ADVANCE(187);
      if (lookahead == 'o') ADVANCE(109);
      if (lookahead == 'u') ADVANCE(188);
      END_STATE();
    case 100:
      if (lookahead == 'a') ADVANCE(205);
      END_STATE();
    case 101:
      if (lookahead == 'a') ADVANCE(196);
      if (lookahead == 'r') ADVANCE(203);
      END_STATE();
    case 102:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 103:
      if (lookahead == 'b') ADVANCE(381);
      END_STATE();
    case 104:
      if (lookahead == 'c') ADVANCE(385);
      END_STATE();
    case 105:
      if (lookahead == 'c') ADVANCE(375);
      END_STATE();
    case 106:
      if (lookahead == 'c') ADVANCE(135);
      END_STATE();
    case 107:
      if (lookahead == 'c') ADVANCE(191);
      END_STATE();
    case 108:
      if (lookahead == 'c') ADVANCE(142);
      END_STATE();
    case 109:
      if (lookahead == 'd') ADVANCE(273);
      END_STATE();
    case 110:
      if (lookahead == 'e') ADVANCE(131);
      END_STATE();
    case 111:
      if (lookahead == 'e') ADVANCE(286);
      if (lookahead == 'i') ADVANCE(209);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(391);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(420);
      END_STATE();
    case 115:
      if (lookahead == 'e') ADVANCE(414);
      END_STATE();
    case 116:
      if (lookahead == 'e') ADVANCE(259);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(591);
      END_STATE();
    case 118:
      if (lookahead == 'e') ADVANCE(416);
      END_STATE();
    case 119:
      if (lookahead == 'e') ADVANCE(316);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(387);
      END_STATE();
    case 121:
      if (lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 122:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(186);
      if (lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 124:
      if (lookahead == 'e') ADVANCE(95);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(176);
      END_STATE();
    case 126:
      if (lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 127:
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(155);
      END_STATE();
    case 129:
      if (lookahead == 'f') ADVANCE(371);
      END_STATE();
    case 130:
      if (lookahead == 'f') ADVANCE(255);
      END_STATE();
    case 131:
      if (lookahead == 'f') ADVANCE(423);
      if (lookahead == 't') ADVANCE(206);
      END_STATE();
    case 132:
      if (lookahead == 'f') ADVANCE(100);
      END_STATE();
    case 133:
      if (lookahead == 'f') ADVANCE(128);
      END_STATE();
    case 134:
      if (lookahead == 'h') ADVANCE(139);
      END_STATE();
    case 135:
      if (lookahead == 'h') ADVANCE(379);
      END_STATE();
    case 136:
      if (lookahead == 'i') ADVANCE(162);
      END_STATE();
    case 137:
      if (lookahead == 'i') ADVANCE(104);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(105);
      END_STATE();
    case 139:
      if (lookahead == 'i') ADVANCE(152);
      END_STATE();
    case 140:
      if (lookahead == 'i') ADVANCE(108);
      END_STATE();
    case 141:
      if (lookahead == 'i') ADVANCE(190);
      END_STATE();
    case 142:
      if (lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 143:
      if (lookahead == 'i') ADVANCE(210);
      END_STATE();
    case 144:
      if (lookahead == 'k') ADVANCE(365);
      END_STATE();
    case 145:
      if (lookahead == 'l') ADVANCE(318);
      END_STATE();
    case 146:
      if (lookahead == 'l') ADVANCE(253);
      END_STATE();
    case 147:
      if (lookahead == 'l') ADVANCE(182);
      END_STATE();
    case 148:
      if (lookahead == 'l') ADVANCE(182);
      if (lookahead == 'n') ADVANCE(202);
      if (lookahead == 'x') ADVANCE(197);
      END_STATE();
    case 149:
      if (lookahead == 'l') ADVANCE(194);
      END_STATE();
    case 150:
      if (lookahead == 'l') ADVANCE(140);
      END_STATE();
    case 151:
      if (lookahead == 'l') ADVANCE(192);
      END_STATE();
    case 152:
      if (lookahead == 'l') ADVANCE(120);
      END_STATE();
    case 153:
      if (lookahead == 'l') ADVANCE(184);
      END_STATE();
    case 154:
      if (lookahead == 'l') ADVANCE(199);
      END_STATE();
    case 155:
      if (lookahead == 'l') ADVANCE(200);
      END_STATE();
    case 156:
      if (lookahead == 'm') ADVANCE(277);
      END_STATE();
    case 157:
      if (lookahead == 'm') ADVANCE(170);
      END_STATE();
    case 158:
      if (lookahead == 'm') ADVANCE(170);
      if (lookahead == 'n') ADVANCE(422);
      END_STATE();
    case 159:
      if (lookahead == 'n') ADVANCE(183);
      END_STATE();
    case 160:
      if (lookahead == 'n') ADVANCE(373);
      END_STATE();
    case 161:
      if (lookahead == 'n') ADVANCE(383);
      END_STATE();
    case 162:
      if (lookahead == 'n') ADVANCE(204);
      END_STATE();
    case 163:
      if (lookahead == 'n') ADVANCE(138);
      END_STATE();
    case 164:
      if (lookahead == 'o') ADVANCE(168);
      END_STATE();
    case 165:
      if (lookahead == 'o') ADVANCE(145);
      END_STATE();
    case 166:
      if (lookahead == 'o') ADVANCE(167);
      END_STATE();
    case 167:
      if (lookahead == 'p') ADVANCE(377);
      END_STATE();
    case 168:
      if (lookahead == 'p') ADVANCE(97);
      END_STATE();
    case 169:
      if (lookahead == 'p') ADVANCE(146);
      END_STATE();
    case 170:
      if (lookahead == 'p') ADVANCE(150);
      END_STATE();
    case 171:
      if (lookahead == 'p') ADVANCE(126);
      END_STATE();
    case 172:
      if (lookahead == 'p') ADVANCE(116);
      END_STATE();
    case 173:
      if (lookahead == 'r') ADVANCE(98);
      if (lookahead == 'y') ADVANCE(172);
      END_STATE();
    case 174:
      if (lookahead == 'r') ADVANCE(389);
      END_STATE();
    case 175:
      if (lookahead == 'r') ADVANCE(589);
      END_STATE();
    case 176:
      if (lookahead == 'r') ADVANCE(160);
      END_STATE();
    case 177:
      if (lookahead == 'r') ADVANCE(161);
      END_STATE();
    case 178:
      if (lookahead == 'r') ADVANCE(96);
      END_STATE();
    case 179:
      if (lookahead == 'r') ADVANCE(178);
      END_STATE();
    case 180:
      if (lookahead == 's') ADVANCE(289);
      END_STATE();
    case 181:
      if (lookahead == 's') ADVANCE(283);
      END_STATE();
    case 182:
      if (lookahead == 's') ADVANCE(114);
      END_STATE();
    case 183:
      if (lookahead == 's') ADVANCE(189);
      if (lookahead == 't') ADVANCE(136);
      END_STATE();
    case 184:
      if (lookahead == 's') ADVANCE(118);
      END_STATE();
    case 185:
      if (lookahead == 't') ADVANCE(101);
      if (lookahead == 'u') ADVANCE(171);
      END_STATE();
    case 186:
      if (lookahead == 't') ADVANCE(284);
      END_STATE();
    case 187:
      if (lookahead == 't') ADVANCE(106);
      END_STATE();
    case 188:
      if (lookahead == 't') ADVANCE(587);
      END_STATE();
    case 189:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 190:
      if (lookahead == 't') ADVANCE(257);
      END_STATE();
    case 191:
      if (lookahead == 't') ADVANCE(275);
      END_STATE();
    case 192:
      if (lookahead == 't') ADVANCE(369);
      END_STATE();
    case 193:
      if (lookahead == 't') ADVANCE(181);
      END_STATE();
    case 194:
      if (lookahead == 't') ADVANCE(74);
      END_STATE();
    case 195:
      if (lookahead == 't') ADVANCE(113);
      END_STATE();
    case 196:
      if (lookahead == 't') ADVANCE(137);
      END_STATE();
    case 197:
      if (lookahead == 't') ADVANCE(125);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 199:
      if (lookahead == 't') ADVANCE(76);
      END_STATE();
    case 200:
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 201:
      if (lookahead == 'u') ADVANCE(103);
      END_STATE();
    case 202:
      if (lookahead == 'u') ADVANCE(156);
      END_STATE();
    case 203:
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 204:
      if (lookahead == 'u') ADVANCE(121);
      END_STATE();
    case 205:
      if (lookahead == 'u') ADVANCE(151);
      END_STATE();
    case 206:
      if (lookahead == 'u') ADVANCE(177);
      END_STATE();
    case 207:
      if (lookahead == 'y') ADVANCE(195);
      END_STATE();
    case 208:
      if (lookahead == 'y') ADVANCE(320);
      END_STATE();
    case 209:
      if (lookahead == 'z') ADVANCE(119);
      END_STATE();
    case 210:
      if (lookahead == 'z') ADVANCE(112);
      END_STATE();
    case 211:
      if (lookahead == '0' ||
          lookahead == '1' ||
          lookahead == '_') ADVANCE(396);
      END_STATE();
    case 212:
      if (('0' <= lookahead && lookahead <= '7') ||
          lookahead == '_') ADVANCE(398);
      END_STATE();
    case 213:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(402);
      END_STATE();
    case 214:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(23);
      END_STATE();
    case 215:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(410);
      END_STATE();
    case 216:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(26);
      END_STATE();
    case 217:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(25);
      END_STATE();
    case 218:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(27);
      END_STATE();
    case 219:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(28);
      END_STATE();
    case 220:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(29);
      END_STATE();
    case 221:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(30);
      END_STATE();
    case 222:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(31);
      END_STATE();
    case 223:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(32);
      END_STATE();
    case 224:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(33);
      END_STATE();
    case 225:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(34);
      END_STATE();
    case 226:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(35);
      END_STATE();
    case 227:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(36);
      END_STATE();
    case 228:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(37);
      END_STATE();
    case 229:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(38);
      END_STATE();
    case 230:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(39);
      END_STATE();
    case 231:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(40);
      END_STATE();
    case 232:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(41);
      END_STATE();
    case 233:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(42);
      END_STATE();
    case 234:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(43);
      END_STATE();
    case 235:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(44);
      END_STATE();
    case 236:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(45);
      END_STATE();
    case 237:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(46);
      END_STATE();
    case 238:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(47);
      END_STATE();
    case 239:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(48);
      END_STATE();
    case 240:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(49);
      END_STATE();
    case 241:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(50);
      END_STATE();
    case 242:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(51);
      END_STATE();
    case 243:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(52);
      END_STATE();
    case 244:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(53);
      END_STATE();
    case 245:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(54);
      END_STATE();
    case 246:
      if (eof) ADVANCE(250);
      ADVANCE_MAP(
        '!', 269,
        '"', 406,
        '#', 270,
        '$', 418,
        '%', 334,
        '&', 339,
        '\'', 24,
        '(', 292,
        ')', 295,
        '*', 291,
        '+', 329,
        ',', 279,
        '-', 332,
        '.', 362,
        '/', 333,
        '0', 392,
        ':', 262,
        ';', 256,
        '<', 419,
        '=', 267,
        '>', 327,
        '?', 364,
        '@', 359,
        'B', 207,
        '[', 271,
        ']', 272,
        '^', 336,
        '_', 293,
        'a', 180,
        'b', 19,
        'c', 18,
        'd', 122,
        'e', 148,
        'f', 94,
        'i', 63,
        'l', 123,
        'm', 99,
        'n', 164,
        'o', 130,
        'p', 201,
        'r', 110,
        's', 185,
        't', 173,
        'u', 64,
        'w', 134,
        '{', 251,
        '|', 341,
        '}', 252,
        '~', 337,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(394);
      END_STATE();
    case 247:
      if (eof) ADVANCE(250);
      ADVANCE_MAP(
        '!', 269,
        '"', 406,
        '#', 270,
        '%', 334,
        '&', 338,
        '\'', 24,
        '(', 292,
        ')', 295,
        '*', 291,
        '+', 329,
        ',', 279,
        '-', 331,
        '.', 361,
        '/', 333,
        '0', 392,
        ':', 89,
        ';', 256,
        '<', 325,
        '=', 266,
        '>', 327,
        '?', 364,
        '@', 359,
        'B', 582,
        '[', 271,
        ']', 272,
        '^', 335,
        '_', 404,
        'b', 425,
        'c', 427,
        'd', 478,
        'e', 526,
        'f', 458,
        'i', 430,
        'l', 491,
        'm', 466,
        'p', 573,
        'r', 479,
        's', 565,
        't', 543,
        'u', 434,
        'w', 503,
        '{', 251,
        '|', 342,
        '}', 252,
        '~', 337,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(394);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 248:
      if (eof) ADVANCE(250);
      ADVANCE_MAP(
        '!', 269,
        '"', 406,
        '#', 270,
        '%', 334,
        '&', 338,
        '\'', 24,
        '(', 292,
        '*', 291,
        '+', 329,
        '-', 331,
        '.', 361,
        '/', 333,
        '0', 392,
        ':', 89,
        ';', 256,
        '<', 325,
        '=', 266,
        '>', 327,
        '?', 364,
        '@', 359,
        'B', 582,
        '[', 271,
        '^', 335,
        '_', 404,
        'b', 425,
        'c', 427,
        'd', 478,
        'e', 519,
        'f', 458,
        'i', 430,
        'l', 491,
        'm', 466,
        'p', 573,
        'r', 479,
        's', 565,
        't', 543,
        'u', 434,
        'w', 503,
        '{', 251,
        '|', 342,
        '}', 252,
        '~', 337,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(248);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(394);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 249:
      if (eof) ADVANCE(250);
      ADVANCE_MAP(
        '!', 268,
        '"', 406,
        '#', 270,
        '\'', 24,
        '(', 292,
        ')', 295,
        '*', 290,
        ',', 279,
        '-', 330,
        '/', 62,
        '0', 392,
        ':', 262,
        ';', 256,
        '<', 419,
        '=', 265,
        '>', 326,
        '@', 359,
        'B', 582,
        '[', 271,
        ']', 272,
        '_', 404,
        'b', 425,
        'c', 427,
        'd', 478,
        'e', 526,
        'f', 458,
        'i', 430,
        'l', 491,
        'm', 466,
        'p', 573,
        'r', 479,
        's', 565,
        't', 543,
        'u', 434,
        'w', 503,
        '{', 251,
        '|', 340,
        '}', 252,
        '~', 337,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(394);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_impl);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_impl);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_trait);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_trait);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_type);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(288);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_const);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(355);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(355);
      if (lookahead == '>') ADVANCE(363);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(356);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_mod);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_mod);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_struct);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_enum);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_fn);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_fn);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_implicits);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_let);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_use);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_use);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(349);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '_') ADVANCE(393);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(394);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '_') ADVANCE(403);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(404);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_u8);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_u8);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_i8);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_i8);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_u16);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_u16);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_i16);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_i16);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_u32);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_u32);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_i32);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(anon_sym_i32);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_u64);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(anon_sym_u64);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_i64);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_i64);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_u128);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(anon_sym_u128);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_i128);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(anon_sym_i128);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_usize);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(anon_sym_usize);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(anon_sym_bool);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(anon_sym_bool);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(anon_sym_ByteArray);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_ByteArray);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(anon_sym_felt252);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(anon_sym_felt252);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(345);
      if (lookahead == '=') ADVANCE(358);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(357);
      if (lookahead == '>') ADVANCE(346);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(347);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(348);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(348);
      if (lookahead == '>') ADVANCE(282);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(592);
      if (lookahead == '=') ADVANCE(350);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(351);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(352);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(343);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(343);
      if (lookahead == '=') ADVANCE(353);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(354);
      if (lookahead == '|') ADVANCE(344);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(344);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(360);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym_break);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_continue);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_default);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(anon_sym_if);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(anon_sym_extern);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym_nopanic);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(anon_sym_nopanic);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_loop);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(anon_sym_loop);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(anon_sym_match);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_pub);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(anon_sym_pub);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_return);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_static);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(anon_sym_while);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym_for);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(sym_numeric_literal);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym_numeric_literal);
      if (lookahead == '_') ADVANCE(393);
      if (lookahead == 'b') ADVANCE(211);
      if (lookahead == 'o') ADVANCE(212);
      if (lookahead == 'x') ADVANCE(213);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(394);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(sym_numeric_literal);
      if (lookahead == '_') ADVANCE(393);
      if (lookahead == 'f') ADVANCE(127);
      if (lookahead == 'i') ADVANCE(66);
      if (lookahead == 'u') ADVANCE(65);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(394);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(sym_numeric_literal);
      if (lookahead == '_') ADVANCE(393);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(394);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym_numeric_literal);
      if (lookahead == '_') ADVANCE(395);
      if (lookahead == 'f') ADVANCE(127);
      if (lookahead == 'i') ADVANCE(66);
      if (lookahead == 'u') ADVANCE(65);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(396);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym_numeric_literal);
      if (lookahead == '_') ADVANCE(395);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(396);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(sym_numeric_literal);
      if (lookahead == '_') ADVANCE(397);
      if (lookahead == 'f') ADVANCE(127);
      if (lookahead == 'i') ADVANCE(66);
      if (lookahead == 'u') ADVANCE(65);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(398);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(sym_numeric_literal);
      if (lookahead == '_') ADVANCE(397);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(398);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(sym_numeric_literal);
      if (lookahead == '_') ADVANCE(400);
      if (lookahead == 'e') ADVANCE(401);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(402);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(sym_numeric_literal);
      if (lookahead == '_') ADVANCE(400);
      if (lookahead == 'f') ADVANCE(399);
      if (lookahead == 'i') ADVANCE(66);
      if (lookahead == 'u') ADVANCE(65);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(402);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(sym_numeric_literal);
      if (lookahead == '_') ADVANCE(400);
      if (lookahead == 'l') ADVANCE(199);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(402);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(sym_numeric_literal);
      if (lookahead == '_') ADVANCE(400);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(402);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(sym_numeric_literal);
      if (lookahead == '_') ADVANCE(403);
      if (lookahead == 'f') ADVANCE(499);
      if (lookahead == 'i') ADVANCE(437);
      if (lookahead == 'u') ADVANCE(436);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(404);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(sym_numeric_literal);
      if (lookahead == '_') ADVANCE(403);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(404);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(sym_numeric_literal);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == '\n') ADVANCE(410);
      if (lookahead == '"') ADVANCE(592);
      if (lookahead == '\\') ADVANCE(593);
      if (lookahead != 0) ADVANCE(407);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == '/') ADVANCE(409);
      if (lookahead == '\\') ADVANCE(215);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(408);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(410);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == '/') ADVANCE(407);
      if (lookahead == '\\') ADVANCE(215);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(410);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == '\\') ADVANCE(215);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(410);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(sym_shortstring_literal);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(sym_shortstring_literal);
      if (lookahead == '_') ADVANCE(133);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_true);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_false);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_LT2);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_else);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_ref);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_ref);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(406);
      if (lookahead == 'o') ADVANCE(534);
      if (lookahead == 'r') ADVANCE(480);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(406);
      if (lookahead == 'o') ADVANCE(534);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(406);
      if (lookahead == 'o') ADVANCE(523);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(406);
      if (lookahead == 'o') ADVANCE(530);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(406);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '1') ADVANCE(438);
      if (lookahead == '3') ADVANCE(439);
      if (lookahead == '6') ADVANCE(447);
      if (lookahead == '8') ADVANCE(299);
      if (lookahead == 'f') ADVANCE(372);
      if (lookahead == 'm') ADVANCE(539);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '1') ADVANCE(438);
      if (lookahead == '3') ADVANCE(439);
      if (lookahead == '6') ADVANCE(447);
      if (lookahead == '8') ADVANCE(299);
      if (lookahead == 'f') ADVANCE(372);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '1') ADVANCE(438);
      if (lookahead == '3') ADVANCE(439);
      if (lookahead == '6') ADVANCE(447);
      if (lookahead == '8') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(539);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '1') ADVANCE(438);
      if (lookahead == '3') ADVANCE(439);
      if (lookahead == '6') ADVANCE(447);
      if (lookahead == '8') ADVANCE(299);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '1') ADVANCE(443);
      if (lookahead == '3') ADVANCE(440);
      if (lookahead == '6') ADVANCE(448);
      if (lookahead == '8') ADVANCE(297);
      if (lookahead == 's') ADVANCE(481);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '1') ADVANCE(443);
      if (lookahead == '3') ADVANCE(440);
      if (lookahead == '6') ADVANCE(448);
      if (lookahead == '8') ADVANCE(297);
      if (lookahead == 's') ADVANCE(505);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '1') ADVANCE(445);
      if (lookahead == '2') ADVANCE(450);
      if (lookahead == '3') ADVANCE(441);
      if (lookahead == '6') ADVANCE(449);
      if (lookahead == '8') ADVANCE(405);
      if (lookahead == 's') ADVANCE(511);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '1') ADVANCE(445);
      if (lookahead == '3') ADVANCE(441);
      if (lookahead == '6') ADVANCE(449);
      if (lookahead == '8') ADVANCE(405);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '2') ADVANCE(455);
      if (lookahead == '6') ADVANCE(303);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '2') ADVANCE(307);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '2') ADVANCE(305);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '2') ADVANCE(405);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '2') ADVANCE(323);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '2') ADVANCE(456);
      if (lookahead == '6') ADVANCE(301);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '2') ADVANCE(452);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '2') ADVANCE(454);
      if (lookahead == '6') ADVANCE(405);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '2') ADVANCE(451);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '4') ADVANCE(311);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '4') ADVANCE(309);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '4') ADVANCE(405);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '5') ADVANCE(453);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '5') ADVANCE(441);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '5') ADVANCE(442);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '6') ADVANCE(405);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '8') ADVANCE(405);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '8') ADVANCE(315);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '8') ADVANCE(313);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'A') ADVANCE(551);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(513);
      if (lookahead == 'e') ADVANCE(516);
      if (lookahead == 'n') ADVANCE(281);
      if (lookahead == 'o') ADVANCE(544);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(513);
      if (lookahead == 'e') ADVANCE(516);
      if (lookahead == 'o') ADVANCE(544);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(513);
      if (lookahead == 'e') ADVANCE(516);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(512);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(510);
      if (lookahead == 'u') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(510);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(558);
      if (lookahead == 'o') ADVANCE(477);
      if (lookahead == 'u') ADVANCE(564);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(558);
      if (lookahead == 'o') ADVANCE(477);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(558);
      if (lookahead == 'u') ADVANCE(564);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(558);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(581);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(529);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'r') ADVANCE(576);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'b') ADVANCE(382);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(386);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(376);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(504);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(561);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(274);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(502);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(500);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(461);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(287);
      if (lookahead == 'i') ADVANCE(584);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(457);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(405);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(415);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(260);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(417);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(317);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(388);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(368);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(421);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(557);
      if (lookahead == 'o') ADVANCE(535);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(557);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(501);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(516);
      if (lookahead == 'n') ADVANCE(281);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(516);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(546);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(545);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(566);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(521);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(424);
      if (lookahead == 't') ADVANCE(577);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(424);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(469);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h') ADVANCE(509);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h') ADVANCE(380);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(584);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(528);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(473);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(474);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(518);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(560);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(585);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'k') ADVANCE(366);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(555);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(319);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(254);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(568);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(562);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(488);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(556);
      if (lookahead == 'n') ADVANCE(574);
      if (lookahead == 'x') ADVANCE(571);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(556);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(572);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'm') ADVANCE(278);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(553);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(374);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(384);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(574);
      if (lookahead == 'x') ADVANCE(571);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(554);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(580);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(508);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(569);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(534);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(477);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(535);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(514);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(538);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(540);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(527);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(378);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(515);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(470);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(497);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(485);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(463);
      if (lookahead == 'y') ADVANCE(542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(390);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(590);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(524);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(462);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(576);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(525);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(464);
      if (lookahead == 'y') ADVANCE(542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(547);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(578);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(559);
      if (lookahead == 't') ADVANCE(506);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(559);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(486);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(490);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(285);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(475);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(264);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(258);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(370);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(471);
      if (lookahead == 'u') ADVANCE(541);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(588);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(548);
      if (lookahead == 'u') ADVANCE(541);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(577);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(482);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(506);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(507);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(496);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(446);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(472);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(522);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(541);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(476);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(549);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(564);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(489);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(517);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'y') ADVANCE(567);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'y') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'z') ADVANCE(487);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'y')) ADVANCE(586);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'z') ADVANCE(483);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'y')) ADVANCE(586);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_mutable_specifier);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_mutable_specifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_super);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(586);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_crate);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_line_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(592);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_line_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(407);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 249},
  [2] = {.lex_state = 249},
  [3] = {.lex_state = 249},
  [4] = {.lex_state = 249},
  [5] = {.lex_state = 249},
  [6] = {.lex_state = 249},
  [7] = {.lex_state = 249},
  [8] = {.lex_state = 249},
  [9] = {.lex_state = 249},
  [10] = {.lex_state = 249},
  [11] = {.lex_state = 249},
  [12] = {.lex_state = 249},
  [13] = {.lex_state = 249},
  [14] = {.lex_state = 249},
  [15] = {.lex_state = 249},
  [16] = {.lex_state = 249},
  [17] = {.lex_state = 249},
  [18] = {.lex_state = 249},
  [19] = {.lex_state = 249},
  [20] = {.lex_state = 249},
  [21] = {.lex_state = 2},
  [22] = {.lex_state = 2},
  [23] = {.lex_state = 1},
  [24] = {.lex_state = 1},
  [25] = {.lex_state = 1},
  [26] = {.lex_state = 1},
  [27] = {.lex_state = 1},
  [28] = {.lex_state = 1},
  [29] = {.lex_state = 1},
  [30] = {.lex_state = 1},
  [31] = {.lex_state = 1},
  [32] = {.lex_state = 1},
  [33] = {.lex_state = 1},
  [34] = {.lex_state = 1},
  [35] = {.lex_state = 1},
  [36] = {.lex_state = 1},
  [37] = {.lex_state = 1},
  [38] = {.lex_state = 1},
  [39] = {.lex_state = 1},
  [40] = {.lex_state = 1},
  [41] = {.lex_state = 1},
  [42] = {.lex_state = 1},
  [43] = {.lex_state = 1},
  [44] = {.lex_state = 1},
  [45] = {.lex_state = 1},
  [46] = {.lex_state = 1},
  [47] = {.lex_state = 1},
  [48] = {.lex_state = 1},
  [49] = {.lex_state = 1},
  [50] = {.lex_state = 1},
  [51] = {.lex_state = 1},
  [52] = {.lex_state = 1},
  [53] = {.lex_state = 1},
  [54] = {.lex_state = 3},
  [55] = {.lex_state = 3},
  [56] = {.lex_state = 2},
  [57] = {.lex_state = 2},
  [58] = {.lex_state = 1},
  [59] = {.lex_state = 1},
  [60] = {.lex_state = 1},
  [61] = {.lex_state = 1},
  [62] = {.lex_state = 1},
  [63] = {.lex_state = 1},
  [64] = {.lex_state = 1},
  [65] = {.lex_state = 1},
  [66] = {.lex_state = 1},
  [67] = {.lex_state = 1},
  [68] = {.lex_state = 247},
  [69] = {.lex_state = 247},
  [70] = {.lex_state = 247},
  [71] = {.lex_state = 247},
  [72] = {.lex_state = 247},
  [73] = {.lex_state = 247},
  [74] = {.lex_state = 247},
  [75] = {.lex_state = 247},
  [76] = {.lex_state = 247},
  [77] = {.lex_state = 247},
  [78] = {.lex_state = 247},
  [79] = {.lex_state = 247},
  [80] = {.lex_state = 247},
  [81] = {.lex_state = 247},
  [82] = {.lex_state = 247},
  [83] = {.lex_state = 247},
  [84] = {.lex_state = 248},
  [85] = {.lex_state = 248},
  [86] = {.lex_state = 248},
  [87] = {.lex_state = 248},
  [88] = {.lex_state = 5},
  [89] = {.lex_state = 5},
  [90] = {.lex_state = 247},
  [91] = {.lex_state = 5},
  [92] = {.lex_state = 5},
  [93] = {.lex_state = 5},
  [94] = {.lex_state = 5},
  [95] = {.lex_state = 247},
  [96] = {.lex_state = 5},
  [97] = {.lex_state = 5},
  [98] = {.lex_state = 5},
  [99] = {.lex_state = 5},
  [100] = {.lex_state = 5},
  [101] = {.lex_state = 5},
  [102] = {.lex_state = 247},
  [103] = {.lex_state = 5},
  [104] = {.lex_state = 5},
  [105] = {.lex_state = 5},
  [106] = {.lex_state = 5},
  [107] = {.lex_state = 5},
  [108] = {.lex_state = 5},
  [109] = {.lex_state = 5},
  [110] = {.lex_state = 5},
  [111] = {.lex_state = 5},
  [112] = {.lex_state = 5},
  [113] = {.lex_state = 5},
  [114] = {.lex_state = 5},
  [115] = {.lex_state = 5},
  [116] = {.lex_state = 5},
  [117] = {.lex_state = 5},
  [118] = {.lex_state = 5},
  [119] = {.lex_state = 5},
  [120] = {.lex_state = 5},
  [121] = {.lex_state = 6},
  [122] = {.lex_state = 5},
  [123] = {.lex_state = 6},
  [124] = {.lex_state = 6},
  [125] = {.lex_state = 6},
  [126] = {.lex_state = 6},
  [127] = {.lex_state = 6},
  [128] = {.lex_state = 6},
  [129] = {.lex_state = 5},
  [130] = {.lex_state = 6},
  [131] = {.lex_state = 5},
  [132] = {.lex_state = 5},
  [133] = {.lex_state = 5},
  [134] = {.lex_state = 5},
  [135] = {.lex_state = 5},
  [136] = {.lex_state = 5},
  [137] = {.lex_state = 5},
  [138] = {.lex_state = 5},
  [139] = {.lex_state = 5},
  [140] = {.lex_state = 7},
  [141] = {.lex_state = 7},
  [142] = {.lex_state = 7},
  [143] = {.lex_state = 5},
  [144] = {.lex_state = 5},
  [145] = {.lex_state = 5},
  [146] = {.lex_state = 5},
  [147] = {.lex_state = 5},
  [148] = {.lex_state = 5},
  [149] = {.lex_state = 5},
  [150] = {.lex_state = 5},
  [151] = {.lex_state = 5},
  [152] = {.lex_state = 5},
  [153] = {.lex_state = 5},
  [154] = {.lex_state = 5},
  [155] = {.lex_state = 5},
  [156] = {.lex_state = 5},
  [157] = {.lex_state = 5},
  [158] = {.lex_state = 5},
  [159] = {.lex_state = 5},
  [160] = {.lex_state = 5},
  [161] = {.lex_state = 5},
  [162] = {.lex_state = 5},
  [163] = {.lex_state = 5},
  [164] = {.lex_state = 5},
  [165] = {.lex_state = 5},
  [166] = {.lex_state = 5},
  [167] = {.lex_state = 5},
  [168] = {.lex_state = 5},
  [169] = {.lex_state = 5},
  [170] = {.lex_state = 5},
  [171] = {.lex_state = 5},
  [172] = {.lex_state = 5},
  [173] = {.lex_state = 5},
  [174] = {.lex_state = 5},
  [175] = {.lex_state = 5},
  [176] = {.lex_state = 5},
  [177] = {.lex_state = 5},
  [178] = {.lex_state = 5},
  [179] = {.lex_state = 5},
  [180] = {.lex_state = 5},
  [181] = {.lex_state = 5},
  [182] = {.lex_state = 5},
  [183] = {.lex_state = 5},
  [184] = {.lex_state = 5},
  [185] = {.lex_state = 5},
  [186] = {.lex_state = 5},
  [187] = {.lex_state = 5},
  [188] = {.lex_state = 5},
  [189] = {.lex_state = 5},
  [190] = {.lex_state = 5},
  [191] = {.lex_state = 5},
  [192] = {.lex_state = 5},
  [193] = {.lex_state = 5},
  [194] = {.lex_state = 5},
  [195] = {.lex_state = 5},
  [196] = {.lex_state = 5},
  [197] = {.lex_state = 5},
  [198] = {.lex_state = 5},
  [199] = {.lex_state = 5},
  [200] = {.lex_state = 5},
  [201] = {.lex_state = 5},
  [202] = {.lex_state = 5},
  [203] = {.lex_state = 5},
  [204] = {.lex_state = 5},
  [205] = {.lex_state = 5},
  [206] = {.lex_state = 5},
  [207] = {.lex_state = 5},
  [208] = {.lex_state = 5},
  [209] = {.lex_state = 5},
  [210] = {.lex_state = 5},
  [211] = {.lex_state = 5},
  [212] = {.lex_state = 5},
  [213] = {.lex_state = 5},
  [214] = {.lex_state = 5},
  [215] = {.lex_state = 5},
  [216] = {.lex_state = 5},
  [217] = {.lex_state = 5},
  [218] = {.lex_state = 5},
  [219] = {.lex_state = 5},
  [220] = {.lex_state = 5},
  [221] = {.lex_state = 5},
  [222] = {.lex_state = 5},
  [223] = {.lex_state = 5},
  [224] = {.lex_state = 5},
  [225] = {.lex_state = 10},
  [226] = {.lex_state = 10},
  [227] = {.lex_state = 10},
  [228] = {.lex_state = 10},
  [229] = {.lex_state = 10},
  [230] = {.lex_state = 10},
  [231] = {.lex_state = 10},
  [232] = {.lex_state = 10},
  [233] = {.lex_state = 10},
  [234] = {.lex_state = 249},
  [235] = {.lex_state = 10},
  [236] = {.lex_state = 249},
  [237] = {.lex_state = 16},
  [238] = {.lex_state = 249},
  [239] = {.lex_state = 10},
  [240] = {.lex_state = 10},
  [241] = {.lex_state = 11},
  [242] = {.lex_state = 11},
  [243] = {.lex_state = 11},
  [244] = {.lex_state = 11},
  [245] = {.lex_state = 16},
  [246] = {.lex_state = 16},
  [247] = {.lex_state = 16},
  [248] = {.lex_state = 249},
  [249] = {.lex_state = 249},
  [250] = {.lex_state = 249},
  [251] = {.lex_state = 249},
  [252] = {.lex_state = 249},
  [253] = {.lex_state = 249},
  [254] = {.lex_state = 12},
  [255] = {.lex_state = 12},
  [256] = {.lex_state = 249},
  [257] = {.lex_state = 12},
  [258] = {.lex_state = 12},
  [259] = {.lex_state = 249},
  [260] = {.lex_state = 249},
  [261] = {.lex_state = 249},
  [262] = {.lex_state = 249},
  [263] = {.lex_state = 12},
  [264] = {.lex_state = 12},
  [265] = {.lex_state = 249},
  [266] = {.lex_state = 249},
  [267] = {.lex_state = 249},
  [268] = {.lex_state = 249},
  [269] = {.lex_state = 249},
  [270] = {.lex_state = 249},
  [271] = {.lex_state = 249},
  [272] = {.lex_state = 249},
  [273] = {.lex_state = 249},
  [274] = {.lex_state = 249},
  [275] = {.lex_state = 249},
  [276] = {.lex_state = 249},
  [277] = {.lex_state = 249},
  [278] = {.lex_state = 249},
  [279] = {.lex_state = 249},
  [280] = {.lex_state = 249},
  [281] = {.lex_state = 249},
  [282] = {.lex_state = 249},
  [283] = {.lex_state = 249},
  [284] = {.lex_state = 249},
  [285] = {.lex_state = 249},
  [286] = {.lex_state = 12},
  [287] = {.lex_state = 249},
  [288] = {.lex_state = 249},
  [289] = {.lex_state = 249},
  [290] = {.lex_state = 249},
  [291] = {.lex_state = 249},
  [292] = {.lex_state = 249},
  [293] = {.lex_state = 249},
  [294] = {.lex_state = 12},
  [295] = {.lex_state = 249},
  [296] = {.lex_state = 249},
  [297] = {.lex_state = 12},
  [298] = {.lex_state = 12},
  [299] = {.lex_state = 249},
  [300] = {.lex_state = 249},
  [301] = {.lex_state = 249},
  [302] = {.lex_state = 249},
  [303] = {.lex_state = 249},
  [304] = {.lex_state = 12},
  [305] = {.lex_state = 12},
  [306] = {.lex_state = 249},
  [307] = {.lex_state = 249},
  [308] = {.lex_state = 249},
  [309] = {.lex_state = 249},
  [310] = {.lex_state = 249},
  [311] = {.lex_state = 249},
  [312] = {.lex_state = 249},
  [313] = {.lex_state = 249},
  [314] = {.lex_state = 249},
  [315] = {.lex_state = 249},
  [316] = {.lex_state = 12},
  [317] = {.lex_state = 249},
  [318] = {.lex_state = 249},
  [319] = {.lex_state = 249},
  [320] = {.lex_state = 16},
  [321] = {.lex_state = 249},
  [322] = {.lex_state = 249},
  [323] = {.lex_state = 249},
  [324] = {.lex_state = 249},
  [325] = {.lex_state = 249},
  [326] = {.lex_state = 249},
  [327] = {.lex_state = 249},
  [328] = {.lex_state = 249},
  [329] = {.lex_state = 249},
  [330] = {.lex_state = 249},
  [331] = {.lex_state = 249},
  [332] = {.lex_state = 249},
  [333] = {.lex_state = 249},
  [334] = {.lex_state = 249},
  [335] = {.lex_state = 249},
  [336] = {.lex_state = 249},
  [337] = {.lex_state = 249},
  [338] = {.lex_state = 249},
  [339] = {.lex_state = 12},
  [340] = {.lex_state = 249},
  [341] = {.lex_state = 249},
  [342] = {.lex_state = 249},
  [343] = {.lex_state = 16},
  [344] = {.lex_state = 15},
  [345] = {.lex_state = 16},
  [346] = {.lex_state = 15},
  [347] = {.lex_state = 15},
  [348] = {.lex_state = 15},
  [349] = {.lex_state = 15},
  [350] = {.lex_state = 15},
  [351] = {.lex_state = 15},
  [352] = {.lex_state = 15},
  [353] = {.lex_state = 15},
  [354] = {.lex_state = 15},
  [355] = {.lex_state = 15},
  [356] = {.lex_state = 15},
  [357] = {.lex_state = 15},
  [358] = {.lex_state = 15},
  [359] = {.lex_state = 15},
  [360] = {.lex_state = 15},
  [361] = {.lex_state = 15},
  [362] = {.lex_state = 15},
  [363] = {.lex_state = 15},
  [364] = {.lex_state = 15},
  [365] = {.lex_state = 15},
  [366] = {.lex_state = 15},
  [367] = {.lex_state = 15},
  [368] = {.lex_state = 15},
  [369] = {.lex_state = 15},
  [370] = {.lex_state = 15},
  [371] = {.lex_state = 15},
  [372] = {.lex_state = 15},
  [373] = {.lex_state = 5},
  [374] = {.lex_state = 15},
  [375] = {.lex_state = 15},
  [376] = {.lex_state = 15},
  [377] = {.lex_state = 15},
  [378] = {.lex_state = 15},
  [379] = {.lex_state = 15},
  [380] = {.lex_state = 15},
  [381] = {.lex_state = 15},
  [382] = {.lex_state = 15},
  [383] = {.lex_state = 15},
  [384] = {.lex_state = 15},
  [385] = {.lex_state = 15},
  [386] = {.lex_state = 15},
  [387] = {.lex_state = 15},
  [388] = {.lex_state = 15},
  [389] = {.lex_state = 15},
  [390] = {.lex_state = 15},
  [391] = {.lex_state = 15},
  [392] = {.lex_state = 15},
  [393] = {.lex_state = 15},
  [394] = {.lex_state = 15},
  [395] = {.lex_state = 15},
  [396] = {.lex_state = 15},
  [397] = {.lex_state = 15},
  [398] = {.lex_state = 15},
  [399] = {.lex_state = 15},
  [400] = {.lex_state = 15},
  [401] = {.lex_state = 15},
  [402] = {.lex_state = 15},
  [403] = {.lex_state = 17},
  [404] = {.lex_state = 17},
  [405] = {.lex_state = 17},
  [406] = {.lex_state = 17},
  [407] = {.lex_state = 17},
  [408] = {.lex_state = 17},
  [409] = {.lex_state = 5},
  [410] = {.lex_state = 17},
  [411] = {.lex_state = 17},
  [412] = {.lex_state = 17},
  [413] = {.lex_state = 17},
  [414] = {.lex_state = 5},
  [415] = {.lex_state = 4},
  [416] = {.lex_state = 4},
  [417] = {.lex_state = 4},
  [418] = {.lex_state = 4},
  [419] = {.lex_state = 4},
  [420] = {.lex_state = 2},
  [421] = {.lex_state = 4},
  [422] = {.lex_state = 4},
  [423] = {.lex_state = 4},
  [424] = {.lex_state = 2},
  [425] = {.lex_state = 2},
  [426] = {.lex_state = 2},
  [427] = {.lex_state = 2},
  [428] = {.lex_state = 56},
  [429] = {.lex_state = 2},
  [430] = {.lex_state = 56},
  [431] = {.lex_state = 4},
  [432] = {.lex_state = 2},
  [433] = {.lex_state = 2},
  [434] = {.lex_state = 2},
  [435] = {.lex_state = 2},
  [436] = {.lex_state = 2},
  [437] = {.lex_state = 4},
  [438] = {.lex_state = 56},
  [439] = {.lex_state = 2},
  [440] = {.lex_state = 56},
  [441] = {.lex_state = 2},
  [442] = {.lex_state = 2},
  [443] = {.lex_state = 4},
  [444] = {.lex_state = 2},
  [445] = {.lex_state = 2},
  [446] = {.lex_state = 2},
  [447] = {.lex_state = 2},
  [448] = {.lex_state = 2},
  [449] = {.lex_state = 2},
  [450] = {.lex_state = 2},
  [451] = {.lex_state = 2},
  [452] = {.lex_state = 2},
  [453] = {.lex_state = 2},
  [454] = {.lex_state = 2},
  [455] = {.lex_state = 2},
  [456] = {.lex_state = 2},
  [457] = {.lex_state = 2},
  [458] = {.lex_state = 2},
  [459] = {.lex_state = 2},
  [460] = {.lex_state = 2},
  [461] = {.lex_state = 2},
  [462] = {.lex_state = 2},
  [463] = {.lex_state = 2},
  [464] = {.lex_state = 2},
  [465] = {.lex_state = 2},
  [466] = {.lex_state = 2},
  [467] = {.lex_state = 2},
  [468] = {.lex_state = 2},
  [469] = {.lex_state = 2},
  [470] = {.lex_state = 2},
  [471] = {.lex_state = 2},
  [472] = {.lex_state = 2},
  [473] = {.lex_state = 2},
  [474] = {.lex_state = 2},
  [475] = {.lex_state = 2},
  [476] = {.lex_state = 2},
  [477] = {.lex_state = 2},
  [478] = {.lex_state = 2},
  [479] = {.lex_state = 2},
  [480] = {.lex_state = 2},
  [481] = {.lex_state = 2},
  [482] = {.lex_state = 2},
  [483] = {.lex_state = 2},
  [484] = {.lex_state = 2},
  [485] = {.lex_state = 2},
  [486] = {.lex_state = 2},
  [487] = {.lex_state = 2},
  [488] = {.lex_state = 2},
  [489] = {.lex_state = 2},
  [490] = {.lex_state = 2},
  [491] = {.lex_state = 2},
  [492] = {.lex_state = 2},
  [493] = {.lex_state = 2},
  [494] = {.lex_state = 2},
  [495] = {.lex_state = 2},
  [496] = {.lex_state = 10},
  [497] = {.lex_state = 10},
  [498] = {.lex_state = 10},
  [499] = {.lex_state = 2},
  [500] = {.lex_state = 10},
  [501] = {.lex_state = 10},
  [502] = {.lex_state = 10},
  [503] = {.lex_state = 10},
  [504] = {.lex_state = 10},
  [505] = {.lex_state = 10},
  [506] = {.lex_state = 10},
  [507] = {.lex_state = 10},
  [508] = {.lex_state = 10},
  [509] = {.lex_state = 10},
  [510] = {.lex_state = 10},
  [511] = {.lex_state = 10},
  [512] = {.lex_state = 10},
  [513] = {.lex_state = 10},
  [514] = {.lex_state = 10},
  [515] = {.lex_state = 3},
  [516] = {.lex_state = 10},
  [517] = {.lex_state = 10},
  [518] = {.lex_state = 10},
  [519] = {.lex_state = 10},
  [520] = {.lex_state = 10},
  [521] = {.lex_state = 10},
  [522] = {.lex_state = 10},
  [523] = {.lex_state = 10},
  [524] = {.lex_state = 10},
  [525] = {.lex_state = 10},
  [526] = {.lex_state = 10},
  [527] = {.lex_state = 10},
  [528] = {.lex_state = 10},
  [529] = {.lex_state = 10},
  [530] = {.lex_state = 10},
  [531] = {.lex_state = 10},
  [532] = {.lex_state = 10},
  [533] = {.lex_state = 10},
  [534] = {.lex_state = 10},
  [535] = {.lex_state = 10},
  [536] = {.lex_state = 10},
  [537] = {.lex_state = 10},
  [538] = {.lex_state = 10},
  [539] = {.lex_state = 10},
  [540] = {.lex_state = 10},
  [541] = {.lex_state = 10},
  [542] = {.lex_state = 2},
  [543] = {.lex_state = 10},
  [544] = {.lex_state = 2},
  [545] = {.lex_state = 10},
  [546] = {.lex_state = 10},
  [547] = {.lex_state = 10},
  [548] = {.lex_state = 10},
  [549] = {.lex_state = 10},
  [550] = {.lex_state = 10},
  [551] = {.lex_state = 2},
  [552] = {.lex_state = 10},
  [553] = {.lex_state = 10},
  [554] = {.lex_state = 10},
  [555] = {.lex_state = 10},
  [556] = {.lex_state = 10},
  [557] = {.lex_state = 10},
  [558] = {.lex_state = 10},
  [559] = {.lex_state = 10},
  [560] = {.lex_state = 10},
  [561] = {.lex_state = 10},
  [562] = {.lex_state = 10},
  [563] = {.lex_state = 10},
  [564] = {.lex_state = 10},
  [565] = {.lex_state = 10},
  [566] = {.lex_state = 10},
  [567] = {.lex_state = 10},
  [568] = {.lex_state = 10},
  [569] = {.lex_state = 10},
  [570] = {.lex_state = 10},
  [571] = {.lex_state = 10},
  [572] = {.lex_state = 10},
  [573] = {.lex_state = 10},
  [574] = {.lex_state = 10},
  [575] = {.lex_state = 10},
  [576] = {.lex_state = 10},
  [577] = {.lex_state = 10},
  [578] = {.lex_state = 15},
  [579] = {.lex_state = 10},
  [580] = {.lex_state = 10},
  [581] = {.lex_state = 55},
  [582] = {.lex_state = 20},
  [583] = {.lex_state = 20},
  [584] = {.lex_state = 3},
  [585] = {.lex_state = 55},
  [586] = {.lex_state = 20},
  [587] = {.lex_state = 2},
  [588] = {.lex_state = 20},
  [589] = {.lex_state = 2},
  [590] = {.lex_state = 20},
  [591] = {.lex_state = 2},
  [592] = {.lex_state = 2},
  [593] = {.lex_state = 3},
  [594] = {.lex_state = 3},
  [595] = {.lex_state = 20},
  [596] = {.lex_state = 20},
  [597] = {.lex_state = 2},
  [598] = {.lex_state = 2},
  [599] = {.lex_state = 3},
  [600] = {.lex_state = 2},
  [601] = {.lex_state = 55},
  [602] = {.lex_state = 3},
  [603] = {.lex_state = 55},
  [604] = {.lex_state = 2},
  [605] = {.lex_state = 55},
  [606] = {.lex_state = 20},
  [607] = {.lex_state = 55},
  [608] = {.lex_state = 2},
  [609] = {.lex_state = 55},
  [610] = {.lex_state = 2},
  [611] = {.lex_state = 2},
  [612] = {.lex_state = 55},
  [613] = {.lex_state = 55},
  [614] = {.lex_state = 55},
  [615] = {.lex_state = 2},
  [616] = {.lex_state = 2},
  [617] = {.lex_state = 55},
  [618] = {.lex_state = 2},
  [619] = {.lex_state = 2},
  [620] = {.lex_state = 2},
  [621] = {.lex_state = 55},
  [622] = {.lex_state = 55},
  [623] = {.lex_state = 2},
  [624] = {.lex_state = 55},
  [625] = {.lex_state = 55},
  [626] = {.lex_state = 2},
  [627] = {.lex_state = 20},
  [628] = {.lex_state = 55},
  [629] = {.lex_state = 2},
  [630] = {.lex_state = 2},
  [631] = {.lex_state = 2},
  [632] = {.lex_state = 55},
  [633] = {.lex_state = 3},
  [634] = {.lex_state = 55},
  [635] = {.lex_state = 2},
  [636] = {.lex_state = 55},
  [637] = {.lex_state = 2},
  [638] = {.lex_state = 16},
  [639] = {.lex_state = 2},
  [640] = {.lex_state = 55},
  [641] = {.lex_state = 2},
  [642] = {.lex_state = 2},
  [643] = {.lex_state = 3},
  [644] = {.lex_state = 55},
  [645] = {.lex_state = 3},
  [646] = {.lex_state = 15},
  [647] = {.lex_state = 55},
  [648] = {.lex_state = 55},
  [649] = {.lex_state = 20},
  [650] = {.lex_state = 55},
  [651] = {.lex_state = 55},
  [652] = {.lex_state = 55},
  [653] = {.lex_state = 55},
  [654] = {.lex_state = 2},
  [655] = {.lex_state = 55},
  [656] = {.lex_state = 55},
  [657] = {.lex_state = 2},
  [658] = {.lex_state = 2},
  [659] = {.lex_state = 2},
  [660] = {.lex_state = 55},
  [661] = {.lex_state = 2},
  [662] = {.lex_state = 2},
  [663] = {.lex_state = 55},
  [664] = {.lex_state = 55},
  [665] = {.lex_state = 2},
  [666] = {.lex_state = 55},
  [667] = {.lex_state = 2},
  [668] = {.lex_state = 3},
  [669] = {.lex_state = 2},
  [670] = {.lex_state = 20},
  [671] = {.lex_state = 2},
  [672] = {.lex_state = 3},
  [673] = {.lex_state = 3},
  [674] = {.lex_state = 2},
  [675] = {.lex_state = 2},
  [676] = {.lex_state = 55},
  [677] = {.lex_state = 2},
  [678] = {.lex_state = 2},
  [679] = {.lex_state = 55},
  [680] = {.lex_state = 3},
  [681] = {.lex_state = 2},
  [682] = {.lex_state = 3},
  [683] = {.lex_state = 2},
  [684] = {.lex_state = 2},
  [685] = {.lex_state = 55},
  [686] = {.lex_state = 2},
  [687] = {.lex_state = 2},
  [688] = {.lex_state = 2},
  [689] = {.lex_state = 55},
  [690] = {.lex_state = 55},
  [691] = {.lex_state = 2},
  [692] = {.lex_state = 55},
  [693] = {.lex_state = 3},
  [694] = {.lex_state = 2},
  [695] = {.lex_state = 2},
  [696] = {.lex_state = 15},
  [697] = {.lex_state = 55},
  [698] = {.lex_state = 2},
  [699] = {.lex_state = 2},
  [700] = {.lex_state = 2},
  [701] = {.lex_state = 2},
  [702] = {.lex_state = 55},
  [703] = {.lex_state = 55},
  [704] = {.lex_state = 2},
  [705] = {.lex_state = 3},
  [706] = {.lex_state = 55},
  [707] = {.lex_state = 2},
  [708] = {.lex_state = 14},
  [709] = {.lex_state = 2},
  [710] = {.lex_state = 3},
  [711] = {.lex_state = 2},
  [712] = {.lex_state = 2},
  [713] = {.lex_state = 2},
  [714] = {.lex_state = 2},
  [715] = {.lex_state = 2},
  [716] = {.lex_state = 2},
  [717] = {.lex_state = 2},
  [718] = {.lex_state = 2},
  [719] = {.lex_state = 2},
  [720] = {.lex_state = 2},
  [721] = {.lex_state = 3},
  [722] = {.lex_state = 3},
  [723] = {.lex_state = 2},
  [724] = {.lex_state = 2},
  [725] = {.lex_state = 2},
  [726] = {.lex_state = 2},
  [727] = {.lex_state = 3},
  [728] = {.lex_state = 15},
  [729] = {.lex_state = 3},
  [730] = {.lex_state = 2},
  [731] = {.lex_state = 15},
  [732] = {.lex_state = 3},
  [733] = {.lex_state = 2},
  [734] = {.lex_state = 2},
  [735] = {.lex_state = 3},
  [736] = {.lex_state = 3},
  [737] = {.lex_state = 2},
  [738] = {.lex_state = 2},
  [739] = {.lex_state = 2},
  [740] = {.lex_state = 2},
  [741] = {.lex_state = 2},
  [742] = {.lex_state = 2},
  [743] = {.lex_state = 2},
  [744] = {.lex_state = 14},
  [745] = {.lex_state = 15},
  [746] = {.lex_state = 14},
  [747] = {.lex_state = 14},
  [748] = {.lex_state = 2},
  [749] = {.lex_state = 2},
  [750] = {.lex_state = 2},
  [751] = {.lex_state = 2},
  [752] = {.lex_state = 3},
  [753] = {.lex_state = 3},
  [754] = {.lex_state = 2},
  [755] = {.lex_state = 3},
  [756] = {.lex_state = 3},
  [757] = {.lex_state = 2},
  [758] = {.lex_state = 3},
  [759] = {.lex_state = 3},
  [760] = {.lex_state = 3},
  [761] = {.lex_state = 2},
  [762] = {.lex_state = 3},
  [763] = {.lex_state = 3},
  [764] = {.lex_state = 3},
  [765] = {.lex_state = 2},
  [766] = {.lex_state = 3},
  [767] = {.lex_state = 2},
  [768] = {.lex_state = 3},
  [769] = {.lex_state = 2},
  [770] = {.lex_state = 2},
  [771] = {.lex_state = 2},
  [772] = {.lex_state = 2},
  [773] = {.lex_state = 2},
  [774] = {.lex_state = 3},
  [775] = {.lex_state = 15},
  [776] = {.lex_state = 3},
  [777] = {.lex_state = 2},
  [778] = {.lex_state = 2},
  [779] = {.lex_state = 2},
  [780] = {.lex_state = 2},
  [781] = {.lex_state = 2},
  [782] = {.lex_state = 2},
  [783] = {.lex_state = 3},
  [784] = {.lex_state = 3},
  [785] = {.lex_state = 3},
  [786] = {.lex_state = 3},
  [787] = {.lex_state = 3},
  [788] = {.lex_state = 3},
  [789] = {.lex_state = 3},
  [790] = {.lex_state = 3},
  [791] = {.lex_state = 3},
  [792] = {.lex_state = 3},
  [793] = {.lex_state = 3},
  [794] = {.lex_state = 3},
  [795] = {.lex_state = 3},
  [796] = {.lex_state = 3},
  [797] = {.lex_state = 3},
  [798] = {.lex_state = 3},
  [799] = {.lex_state = 3},
  [800] = {.lex_state = 3},
  [801] = {.lex_state = 3},
  [802] = {.lex_state = 3},
  [803] = {.lex_state = 3},
  [804] = {.lex_state = 3},
  [805] = {.lex_state = 3},
  [806] = {.lex_state = 3},
  [807] = {.lex_state = 3},
  [808] = {.lex_state = 3},
  [809] = {.lex_state = 55},
  [810] = {.lex_state = 3},
  [811] = {.lex_state = 3},
  [812] = {.lex_state = 3},
  [813] = {.lex_state = 3},
  [814] = {.lex_state = 3},
  [815] = {.lex_state = 3},
  [816] = {.lex_state = 3},
  [817] = {.lex_state = 3},
  [818] = {.lex_state = 3},
  [819] = {.lex_state = 3},
  [820] = {.lex_state = 3},
  [821] = {.lex_state = 3},
  [822] = {.lex_state = 3},
  [823] = {.lex_state = 3},
  [824] = {.lex_state = 3},
  [825] = {.lex_state = 3},
  [826] = {.lex_state = 3},
  [827] = {.lex_state = 3},
  [828] = {.lex_state = 15},
  [829] = {.lex_state = 3},
  [830] = {.lex_state = 55},
  [831] = {.lex_state = 55},
  [832] = {.lex_state = 55},
  [833] = {.lex_state = 55},
  [834] = {.lex_state = 55},
  [835] = {.lex_state = 55},
  [836] = {.lex_state = 55},
  [837] = {.lex_state = 20},
  [838] = {.lex_state = 20},
  [839] = {.lex_state = 55},
  [840] = {.lex_state = 55},
  [841] = {.lex_state = 55},
  [842] = {.lex_state = 55},
  [843] = {.lex_state = 55},
  [844] = {.lex_state = 55},
  [845] = {.lex_state = 55},
  [846] = {.lex_state = 55},
  [847] = {.lex_state = 55},
  [848] = {.lex_state = 55},
  [849] = {.lex_state = 55},
  [850] = {.lex_state = 55},
  [851] = {.lex_state = 55},
  [852] = {.lex_state = 55},
  [853] = {.lex_state = 8},
  [854] = {.lex_state = 8},
  [855] = {.lex_state = 8},
  [856] = {.lex_state = 8},
  [857] = {.lex_state = 8},
  [858] = {.lex_state = 8},
  [859] = {.lex_state = 8},
  [860] = {.lex_state = 8},
  [861] = {.lex_state = 8},
  [862] = {.lex_state = 8},
  [863] = {.lex_state = 8},
  [864] = {.lex_state = 8},
  [865] = {.lex_state = 8},
  [866] = {.lex_state = 58},
  [867] = {.lex_state = 58},
  [868] = {.lex_state = 58},
  [869] = {.lex_state = 58},
  [870] = {.lex_state = 8},
  [871] = {.lex_state = 8},
  [872] = {.lex_state = 8},
  [873] = {.lex_state = 8},
  [874] = {.lex_state = 8},
  [875] = {.lex_state = 0},
  [876] = {.lex_state = 0},
  [877] = {.lex_state = 8},
  [878] = {.lex_state = 8},
  [879] = {.lex_state = 8},
  [880] = {.lex_state = 9},
  [881] = {.lex_state = 8},
  [882] = {.lex_state = 0},
  [883] = {.lex_state = 21},
  [884] = {.lex_state = 8},
  [885] = {.lex_state = 8},
  [886] = {.lex_state = 9},
  [887] = {.lex_state = 8},
  [888] = {.lex_state = 9},
  [889] = {.lex_state = 9},
  [890] = {.lex_state = 21},
  [891] = {.lex_state = 58},
  [892] = {.lex_state = 8},
  [893] = {.lex_state = 21},
  [894] = {.lex_state = 249},
  [895] = {.lex_state = 22},
  [896] = {.lex_state = 249},
  [897] = {.lex_state = 8},
  [898] = {.lex_state = 0},
  [899] = {.lex_state = 8},
  [900] = {.lex_state = 249},
  [901] = {.lex_state = 8},
  [902] = {.lex_state = 8},
  [903] = {.lex_state = 58},
  [904] = {.lex_state = 21},
  [905] = {.lex_state = 8},
  [906] = {.lex_state = 58},
  [907] = {.lex_state = 0},
  [908] = {.lex_state = 0},
  [909] = {.lex_state = 8},
  [910] = {.lex_state = 8},
  [911] = {.lex_state = 8},
  [912] = {.lex_state = 22},
  [913] = {.lex_state = 21},
  [914] = {.lex_state = 21},
  [915] = {.lex_state = 8},
  [916] = {.lex_state = 58},
  [917] = {.lex_state = 9},
  [918] = {.lex_state = 22},
  [919] = {.lex_state = 22},
  [920] = {.lex_state = 58},
  [921] = {.lex_state = 58},
  [922] = {.lex_state = 22},
  [923] = {.lex_state = 58},
  [924] = {.lex_state = 58},
  [925] = {.lex_state = 58},
  [926] = {.lex_state = 58},
  [927] = {.lex_state = 58},
  [928] = {.lex_state = 22},
  [929] = {.lex_state = 58},
  [930] = {.lex_state = 58},
  [931] = {.lex_state = 58},
  [932] = {.lex_state = 58},
  [933] = {.lex_state = 22},
  [934] = {.lex_state = 21},
  [935] = {.lex_state = 58},
  [936] = {.lex_state = 22},
  [937] = {.lex_state = 58},
  [938] = {.lex_state = 58},
  [939] = {.lex_state = 58},
  [940] = {.lex_state = 58},
  [941] = {.lex_state = 58},
  [942] = {.lex_state = 58},
  [943] = {.lex_state = 58},
  [944] = {.lex_state = 8},
  [945] = {.lex_state = 249},
  [946] = {.lex_state = 58},
  [947] = {.lex_state = 58},
  [948] = {.lex_state = 58},
  [949] = {.lex_state = 22},
  [950] = {.lex_state = 22},
  [951] = {.lex_state = 58},
  [952] = {.lex_state = 58},
  [953] = {.lex_state = 58},
  [954] = {.lex_state = 58},
  [955] = {.lex_state = 58},
  [956] = {.lex_state = 58},
  [957] = {.lex_state = 58},
  [958] = {.lex_state = 22},
  [959] = {.lex_state = 249},
  [960] = {.lex_state = 22},
  [961] = {.lex_state = 22},
  [962] = {.lex_state = 22},
  [963] = {.lex_state = 22},
  [964] = {.lex_state = 249},
  [965] = {.lex_state = 249},
  [966] = {.lex_state = 22},
  [967] = {.lex_state = 249},
  [968] = {.lex_state = 22},
  [969] = {.lex_state = 22},
  [970] = {.lex_state = 249},
  [971] = {.lex_state = 22},
  [972] = {.lex_state = 22},
  [973] = {.lex_state = 249},
  [974] = {.lex_state = 249},
  [975] = {.lex_state = 249},
  [976] = {.lex_state = 22},
  [977] = {.lex_state = 249},
  [978] = {.lex_state = 22},
  [979] = {.lex_state = 22},
  [980] = {.lex_state = 22},
  [981] = {.lex_state = 249},
  [982] = {.lex_state = 249},
  [983] = {.lex_state = 59},
  [984] = {.lex_state = 249},
  [985] = {.lex_state = 9},
  [986] = {.lex_state = 59},
  [987] = {.lex_state = 59},
  [988] = {.lex_state = 249},
  [989] = {.lex_state = 9},
  [990] = {.lex_state = 0},
  [991] = {.lex_state = 249},
  [992] = {.lex_state = 9},
  [993] = {.lex_state = 249},
  [994] = {.lex_state = 0},
  [995] = {.lex_state = 0},
  [996] = {.lex_state = 249},
  [997] = {.lex_state = 0},
  [998] = {.lex_state = 8},
  [999] = {.lex_state = 0},
  [1000] = {.lex_state = 0},
  [1001] = {.lex_state = 249},
  [1002] = {.lex_state = 9},
  [1003] = {.lex_state = 0},
  [1004] = {.lex_state = 249},
  [1005] = {.lex_state = 8},
  [1006] = {.lex_state = 0},
  [1007] = {.lex_state = 9},
  [1008] = {.lex_state = 9},
  [1009] = {.lex_state = 249},
  [1010] = {.lex_state = 0},
  [1011] = {.lex_state = 60},
  [1012] = {.lex_state = 249},
  [1013] = {.lex_state = 8},
  [1014] = {.lex_state = 60},
  [1015] = {.lex_state = 8},
  [1016] = {.lex_state = 8},
  [1017] = {.lex_state = 8},
  [1018] = {.lex_state = 60},
  [1019] = {.lex_state = 5},
  [1020] = {.lex_state = 249},
  [1021] = {.lex_state = 0},
  [1022] = {.lex_state = 8},
  [1023] = {.lex_state = 8},
  [1024] = {.lex_state = 8},
  [1025] = {.lex_state = 22},
  [1026] = {.lex_state = 5},
  [1027] = {.lex_state = 60},
  [1028] = {.lex_state = 58},
  [1029] = {.lex_state = 249},
  [1030] = {.lex_state = 8},
  [1031] = {.lex_state = 249},
  [1032] = {.lex_state = 0},
  [1033] = {.lex_state = 249},
  [1034] = {.lex_state = 8},
  [1035] = {.lex_state = 0},
  [1036] = {.lex_state = 58},
  [1037] = {.lex_state = 0},
  [1038] = {.lex_state = 249},
  [1039] = {.lex_state = 5},
  [1040] = {.lex_state = 8},
  [1041] = {.lex_state = 59},
  [1042] = {.lex_state = 0},
  [1043] = {.lex_state = 8},
  [1044] = {.lex_state = 8},
  [1045] = {.lex_state = 21},
  [1046] = {.lex_state = 8},
  [1047] = {.lex_state = 4},
  [1048] = {.lex_state = 5},
  [1049] = {.lex_state = 4},
  [1050] = {.lex_state = 58},
  [1051] = {.lex_state = 249},
  [1052] = {.lex_state = 8},
  [1053] = {.lex_state = 21},
  [1054] = {.lex_state = 5},
  [1055] = {.lex_state = 249},
  [1056] = {.lex_state = 5},
  [1057] = {.lex_state = 58},
  [1058] = {.lex_state = 8},
  [1059] = {.lex_state = 5},
  [1060] = {.lex_state = 5},
  [1061] = {.lex_state = 60},
  [1062] = {.lex_state = 58},
  [1063] = {.lex_state = 249},
  [1064] = {.lex_state = 60},
  [1065] = {.lex_state = 249},
  [1066] = {.lex_state = 249},
  [1067] = {.lex_state = 60},
  [1068] = {.lex_state = 5},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 249},
  [1071] = {.lex_state = 60},
  [1072] = {.lex_state = 5},
  [1073] = {.lex_state = 58},
  [1074] = {.lex_state = 58},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 249},
  [1078] = {.lex_state = 60},
  [1079] = {.lex_state = 249},
  [1080] = {.lex_state = 249},
  [1081] = {.lex_state = 60},
  [1082] = {.lex_state = 60},
  [1083] = {.lex_state = 59},
  [1084] = {.lex_state = 249},
  [1085] = {.lex_state = 59},
  [1086] = {.lex_state = 0},
  [1087] = {.lex_state = 59},
  [1088] = {.lex_state = 59},
  [1089] = {.lex_state = 58},
  [1090] = {.lex_state = 59},
  [1091] = {.lex_state = 59},
  [1092] = {.lex_state = 0},
  [1093] = {.lex_state = 59},
  [1094] = {.lex_state = 59},
  [1095] = {.lex_state = 249},
  [1096] = {.lex_state = 249},
  [1097] = {.lex_state = 59},
  [1098] = {.lex_state = 59},
  [1099] = {.lex_state = 59},
  [1100] = {.lex_state = 59},
  [1101] = {.lex_state = 59},
  [1102] = {.lex_state = 59},
  [1103] = {.lex_state = 0},
  [1104] = {.lex_state = 249},
  [1105] = {.lex_state = 249},
  [1106] = {.lex_state = 59},
  [1107] = {.lex_state = 249},
  [1108] = {.lex_state = 0},
  [1109] = {.lex_state = 249},
  [1110] = {.lex_state = 58},
  [1111] = {.lex_state = 5},
  [1112] = {.lex_state = 0},
  [1113] = {.lex_state = 5},
  [1114] = {.lex_state = 249},
  [1115] = {.lex_state = 0},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 59},
  [1118] = {.lex_state = 59},
  [1119] = {.lex_state = 59},
  [1120] = {.lex_state = 59},
  [1121] = {.lex_state = 59},
  [1122] = {.lex_state = 59},
  [1123] = {.lex_state = 59},
  [1124] = {.lex_state = 59},
  [1125] = {.lex_state = 0},
  [1126] = {.lex_state = 59},
  [1127] = {.lex_state = 58},
  [1128] = {.lex_state = 59},
  [1129] = {.lex_state = 59},
  [1130] = {.lex_state = 59},
  [1131] = {.lex_state = 59},
  [1132] = {.lex_state = 249},
  [1133] = {.lex_state = 59},
  [1134] = {.lex_state = 59},
  [1135] = {.lex_state = 59},
  [1136] = {.lex_state = 249},
  [1137] = {.lex_state = 59},
  [1138] = {.lex_state = 249},
  [1139] = {.lex_state = 0},
  [1140] = {.lex_state = 60},
  [1141] = {.lex_state = 59},
  [1142] = {.lex_state = 0},
  [1143] = {.lex_state = 58},
  [1144] = {.lex_state = 59},
  [1145] = {.lex_state = 58},
  [1146] = {.lex_state = 5},
  [1147] = {.lex_state = 0},
  [1148] = {.lex_state = 58},
  [1149] = {.lex_state = 5},
  [1150] = {.lex_state = 0},
  [1151] = {.lex_state = 5},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 58},
  [1154] = {.lex_state = 59},
  [1155] = {.lex_state = 59},
  [1156] = {.lex_state = 59},
  [1157] = {.lex_state = 9},
  [1158] = {.lex_state = 249},
  [1159] = {.lex_state = 0},
  [1160] = {.lex_state = 0},
  [1161] = {.lex_state = 249},
  [1162] = {.lex_state = 14},
  [1163] = {.lex_state = 5},
  [1164] = {.lex_state = 0},
  [1165] = {.lex_state = 249},
  [1166] = {.lex_state = 0},
  [1167] = {.lex_state = 0},
  [1168] = {.lex_state = 0},
  [1169] = {.lex_state = 0},
  [1170] = {.lex_state = 0},
  [1171] = {.lex_state = 9},
  [1172] = {.lex_state = 0},
  [1173] = {.lex_state = 0},
  [1174] = {.lex_state = 9},
  [1175] = {.lex_state = 0},
  [1176] = {.lex_state = 21},
  [1177] = {.lex_state = 9},
  [1178] = {.lex_state = 9},
  [1179] = {.lex_state = 9},
  [1180] = {.lex_state = 0},
  [1181] = {.lex_state = 9},
  [1182] = {.lex_state = 9},
  [1183] = {.lex_state = 0},
  [1184] = {.lex_state = 249},
  [1185] = {.lex_state = 0},
  [1186] = {.lex_state = 0},
  [1187] = {.lex_state = 60},
  [1188] = {.lex_state = 249},
  [1189] = {.lex_state = 0},
  [1190] = {.lex_state = 0},
  [1191] = {.lex_state = 0},
  [1192] = {.lex_state = 9},
  [1193] = {.lex_state = 9},
  [1194] = {.lex_state = 0},
  [1195] = {.lex_state = 249},
  [1196] = {.lex_state = 0},
  [1197] = {.lex_state = 9},
  [1198] = {.lex_state = 9},
  [1199] = {.lex_state = 14},
  [1200] = {.lex_state = 249},
  [1201] = {.lex_state = 0},
  [1202] = {.lex_state = 22},
  [1203] = {.lex_state = 0},
  [1204] = {.lex_state = 0},
  [1205] = {.lex_state = 9},
  [1206] = {.lex_state = 249},
  [1207] = {.lex_state = 0},
  [1208] = {.lex_state = 0},
  [1209] = {.lex_state = 0},
  [1210] = {.lex_state = 0},
  [1211] = {.lex_state = 9},
  [1212] = {.lex_state = 0},
  [1213] = {.lex_state = 9},
  [1214] = {.lex_state = 0},
  [1215] = {.lex_state = 249},
  [1216] = {.lex_state = 0},
  [1217] = {.lex_state = 0},
  [1218] = {.lex_state = 0},
  [1219] = {.lex_state = 0},
  [1220] = {.lex_state = 0},
  [1221] = {.lex_state = 9},
  [1222] = {.lex_state = 0},
  [1223] = {.lex_state = 0},
  [1224] = {.lex_state = 249},
  [1225] = {.lex_state = 249},
  [1226] = {.lex_state = 0},
  [1227] = {.lex_state = 0},
  [1228] = {.lex_state = 0},
  [1229] = {.lex_state = 0},
  [1230] = {.lex_state = 0},
  [1231] = {.lex_state = 0},
  [1232] = {.lex_state = 0},
  [1233] = {.lex_state = 0},
  [1234] = {.lex_state = 0},
  [1235] = {.lex_state = 14},
  [1236] = {.lex_state = 0},
  [1237] = {.lex_state = 0},
  [1238] = {.lex_state = 0},
  [1239] = {.lex_state = 0},
  [1240] = {.lex_state = 0},
  [1241] = {.lex_state = 249},
  [1242] = {.lex_state = 249},
  [1243] = {.lex_state = 0},
  [1244] = {.lex_state = 249},
  [1245] = {.lex_state = 0},
  [1246] = {.lex_state = 9},
  [1247] = {.lex_state = 249},
  [1248] = {.lex_state = 0},
  [1249] = {.lex_state = 249},
  [1250] = {.lex_state = 249},
  [1251] = {.lex_state = 5},
  [1252] = {.lex_state = 9},
  [1253] = {.lex_state = 9},
  [1254] = {.lex_state = 249},
  [1255] = {.lex_state = 0},
  [1256] = {.lex_state = 249},
  [1257] = {.lex_state = 249},
  [1258] = {.lex_state = 9},
  [1259] = {.lex_state = 9},
  [1260] = {.lex_state = 0},
  [1261] = {.lex_state = 9},
  [1262] = {.lex_state = 0},
  [1263] = {.lex_state = 0},
  [1264] = {.lex_state = 0},
  [1265] = {.lex_state = 0},
  [1266] = {.lex_state = 0},
  [1267] = {.lex_state = 14},
  [1268] = {.lex_state = 0},
  [1269] = {.lex_state = 0},
  [1270] = {.lex_state = 0},
  [1271] = {.lex_state = 0},
  [1272] = {.lex_state = 0},
  [1273] = {.lex_state = 0},
  [1274] = {.lex_state = 0},
  [1275] = {.lex_state = 9},
  [1276] = {.lex_state = 9},
  [1277] = {.lex_state = 249},
  [1278] = {.lex_state = 249},
  [1279] = {.lex_state = 9},
  [1280] = {.lex_state = 249},
  [1281] = {.lex_state = 0},
  [1282] = {.lex_state = 0},
  [1283] = {.lex_state = 9},
  [1284] = {.lex_state = 9},
  [1285] = {.lex_state = 9},
  [1286] = {.lex_state = 9},
  [1287] = {.lex_state = 9},
  [1288] = {.lex_state = 0},
  [1289] = {.lex_state = 249},
  [1290] = {.lex_state = 0},
  [1291] = {.lex_state = 249},
  [1292] = {.lex_state = 9},
  [1293] = {.lex_state = 0},
  [1294] = {.lex_state = 0},
  [1295] = {.lex_state = 0},
  [1296] = {.lex_state = 0},
  [1297] = {.lex_state = 0},
  [1298] = {.lex_state = 0},
  [1299] = {.lex_state = 0},
  [1300] = {.lex_state = 0},
  [1301] = {.lex_state = 0},
  [1302] = {.lex_state = 0},
  [1303] = {.lex_state = 9},
  [1304] = {.lex_state = 0},
  [1305] = {.lex_state = 5},
  [1306] = {.lex_state = 0},
  [1307] = {.lex_state = 9},
  [1308] = {.lex_state = 0},
  [1309] = {.lex_state = 0},
  [1310] = {.lex_state = 0},
  [1311] = {.lex_state = 9},
  [1312] = {.lex_state = 5},
  [1313] = {.lex_state = 0},
  [1314] = {.lex_state = 0},
  [1315] = {.lex_state = 249},
  [1316] = {.lex_state = 249},
  [1317] = {.lex_state = 0},
  [1318] = {.lex_state = 0},
  [1319] = {.lex_state = 0},
  [1320] = {.lex_state = 0},
  [1321] = {.lex_state = 0},
  [1322] = {.lex_state = 0},
  [1323] = {.lex_state = 9},
  [1324] = {.lex_state = 0},
  [1325] = {.lex_state = 0},
  [1326] = {.lex_state = 0},
  [1327] = {.lex_state = 0},
  [1328] = {.lex_state = 249},
  [1329] = {.lex_state = 0},
  [1330] = {.lex_state = 0},
  [1331] = {.lex_state = 0},
  [1332] = {.lex_state = 14},
  [1333] = {.lex_state = 0},
  [1334] = {.lex_state = 9},
  [1335] = {.lex_state = 0},
  [1336] = {.lex_state = 5},
  [1337] = {.lex_state = 0},
  [1338] = {.lex_state = 0},
  [1339] = {.lex_state = 5},
  [1340] = {.lex_state = 9},
  [1341] = {.lex_state = 9},
  [1342] = {.lex_state = 0},
  [1343] = {.lex_state = 0},
  [1344] = {.lex_state = 9},
  [1345] = {.lex_state = 0},
  [1346] = {.lex_state = 0},
  [1347] = {.lex_state = 0},
  [1348] = {.lex_state = 14},
  [1349] = {.lex_state = 0},
  [1350] = {.lex_state = 0},
  [1351] = {.lex_state = 59},
  [1352] = {.lex_state = 0},
  [1353] = {.lex_state = 0},
  [1354] = {.lex_state = 0},
  [1355] = {.lex_state = 0},
  [1356] = {.lex_state = 8},
  [1357] = {.lex_state = 249},
  [1358] = {.lex_state = 8},
  [1359] = {.lex_state = 0},
  [1360] = {.lex_state = 0},
  [1361] = {.lex_state = 8},
  [1362] = {.lex_state = 8},
  [1363] = {.lex_state = 249},
  [1364] = {.lex_state = 0},
  [1365] = {.lex_state = 249},
  [1366] = {.lex_state = 249},
  [1367] = {.lex_state = 0},
  [1368] = {.lex_state = 58},
  [1369] = {.lex_state = 0},
  [1370] = {.lex_state = 59},
  [1371] = {.lex_state = 0},
  [1372] = {.lex_state = 0},
  [1373] = {.lex_state = 0},
  [1374] = {.lex_state = 0},
  [1375] = {.lex_state = 249},
  [1376] = {.lex_state = 0},
  [1377] = {.lex_state = 0},
  [1378] = {.lex_state = 57},
  [1379] = {.lex_state = 249},
  [1380] = {.lex_state = 0},
  [1381] = {.lex_state = 249},
  [1382] = {.lex_state = 249},
  [1383] = {.lex_state = 59},
  [1384] = {.lex_state = 0},
  [1385] = {.lex_state = 249},
  [1386] = {.lex_state = 249},
  [1387] = {.lex_state = 0},
  [1388] = {.lex_state = 58},
  [1389] = {.lex_state = 0},
  [1390] = {.lex_state = 0},
  [1391] = {.lex_state = 0},
  [1392] = {.lex_state = 0},
  [1393] = {.lex_state = 0},
  [1394] = {.lex_state = 0},
  [1395] = {.lex_state = 0},
  [1396] = {.lex_state = 249},
  [1397] = {.lex_state = 0},
  [1398] = {.lex_state = 21},
  [1399] = {.lex_state = 0},
  [1400] = {.lex_state = 0},
  [1401] = {.lex_state = 249},
  [1402] = {.lex_state = 59},
  [1403] = {.lex_state = 249},
  [1404] = {.lex_state = 59},
  [1405] = {.lex_state = 0},
  [1406] = {.lex_state = 0},
  [1407] = {.lex_state = 249},
  [1408] = {.lex_state = 59},
  [1409] = {.lex_state = 59},
  [1410] = {.lex_state = 249},
  [1411] = {.lex_state = 249},
  [1412] = {.lex_state = 59},
  [1413] = {.lex_state = 249},
  [1414] = {.lex_state = 0},
  [1415] = {.lex_state = 249},
  [1416] = {.lex_state = 0},
  [1417] = {.lex_state = 0},
  [1418] = {.lex_state = 0},
  [1419] = {.lex_state = 0},
  [1420] = {.lex_state = 0},
  [1421] = {.lex_state = 59},
  [1422] = {.lex_state = 59},
  [1423] = {.lex_state = 0},
  [1424] = {.lex_state = 59},
  [1425] = {.lex_state = 0},
  [1426] = {.lex_state = 59},
  [1427] = {.lex_state = 59},
  [1428] = {.lex_state = 0},
  [1429] = {.lex_state = 59},
  [1430] = {.lex_state = 0},
  [1431] = {.lex_state = 0},
  [1432] = {.lex_state = 0},
  [1433] = {.lex_state = 0},
  [1434] = {.lex_state = 249},
  [1435] = {.lex_state = 249},
  [1436] = {.lex_state = 59},
  [1437] = {.lex_state = 0},
  [1438] = {.lex_state = 0},
  [1439] = {.lex_state = 0},
  [1440] = {.lex_state = 59},
  [1441] = {.lex_state = 0},
  [1442] = {.lex_state = 249},
  [1443] = {.lex_state = 59},
  [1444] = {.lex_state = 8},
  [1445] = {.lex_state = 0},
  [1446] = {.lex_state = 59},
  [1447] = {.lex_state = 249},
  [1448] = {.lex_state = 59},
  [1449] = {.lex_state = 249},
  [1450] = {.lex_state = 0},
  [1451] = {.lex_state = 249},
  [1452] = {.lex_state = 21},
  [1453] = {.lex_state = 249},
  [1454] = {.lex_state = 0},
  [1455] = {.lex_state = 59},
  [1456] = {.lex_state = 59},
  [1457] = {.lex_state = 0},
  [1458] = {.lex_state = 0},
  [1459] = {.lex_state = 0},
  [1460] = {.lex_state = 59},
  [1461] = {.lex_state = 0},
  [1462] = {.lex_state = 0},
  [1463] = {.lex_state = 59},
  [1464] = {.lex_state = 0},
  [1465] = {.lex_state = 59},
  [1466] = {.lex_state = 0},
  [1467] = {.lex_state = 0},
  [1468] = {.lex_state = 58},
  [1469] = {.lex_state = 8},
  [1470] = {.lex_state = 0},
  [1471] = {.lex_state = 249},
  [1472] = {.lex_state = 59},
  [1473] = {.lex_state = 0},
  [1474] = {.lex_state = 59},
  [1475] = {.lex_state = 59},
  [1476] = {.lex_state = 59},
  [1477] = {.lex_state = 249},
  [1478] = {.lex_state = 249},
  [1479] = {.lex_state = 8},
  [1480] = {.lex_state = 59},
  [1481] = {.lex_state = 0},
  [1482] = {.lex_state = 0},
  [1483] = {.lex_state = 249},
  [1484] = {.lex_state = 59},
  [1485] = {.lex_state = 249},
  [1486] = {.lex_state = 59},
  [1487] = {.lex_state = 59},
  [1488] = {.lex_state = 59},
  [1489] = {.lex_state = 4},
  [1490] = {.lex_state = 249},
  [1491] = {.lex_state = 0},
  [1492] = {.lex_state = 0},
  [1493] = {.lex_state = 0},
  [1494] = {.lex_state = 14},
  [1495] = {.lex_state = 0},
  [1496] = {.lex_state = 0},
  [1497] = {.lex_state = 57},
  [1498] = {.lex_state = 0},
  [1499] = {.lex_state = 0},
  [1500] = {.lex_state = 57},
  [1501] = {.lex_state = 57},
  [1502] = {.lex_state = 0},
  [1503] = {.lex_state = 10},
  [1504] = {.lex_state = 10},
  [1505] = {.lex_state = 57},
  [1506] = {.lex_state = 0},
  [1507] = {.lex_state = 0},
  [1508] = {.lex_state = 57},
  [1509] = {.lex_state = 0},
  [1510] = {.lex_state = 0},
  [1511] = {.lex_state = 0},
  [1512] = {.lex_state = 57},
  [1513] = {.lex_state = 57},
  [1514] = {.lex_state = 0},
  [1515] = {.lex_state = 0},
  [1516] = {.lex_state = 0},
  [1517] = {.lex_state = 0},
  [1518] = {.lex_state = 0},
  [1519] = {.lex_state = 0},
  [1520] = {.lex_state = 57},
  [1521] = {.lex_state = 0},
  [1522] = {.lex_state = 57},
  [1523] = {.lex_state = 57},
  [1524] = {.lex_state = 57},
  [1525] = {.lex_state = 57},
  [1526] = {.lex_state = 57},
  [1527] = {.lex_state = 57},
  [1528] = {.lex_state = 10},
  [1529] = {.lex_state = 57},
  [1530] = {.lex_state = 0},
  [1531] = {.lex_state = 0},
  [1532] = {.lex_state = 57},
  [1533] = {.lex_state = 0},
  [1534] = {.lex_state = 408},
  [1535] = {.lex_state = 0},
  [1536] = {.lex_state = 0},
  [1537] = {.lex_state = 57},
  [1538] = {.lex_state = 10},
  [1539] = {.lex_state = 0},
  [1540] = {.lex_state = 0},
  [1541] = {.lex_state = 0},
  [1542] = {.lex_state = 0},
  [1543] = {.lex_state = 0},
  [1544] = {.lex_state = 57},
  [1545] = {.lex_state = 0},
  [1546] = {.lex_state = 0},
  [1547] = {.lex_state = 0},
  [1548] = {.lex_state = 0},
  [1549] = {.lex_state = 0},
  [1550] = {.lex_state = 0},
  [1551] = {.lex_state = 57},
  [1552] = {.lex_state = 0},
  [1553] = {.lex_state = 57},
  [1554] = {.lex_state = 57},
  [1555] = {.lex_state = 0},
  [1556] = {.lex_state = 0},
  [1557] = {.lex_state = 57},
  [1558] = {.lex_state = 57},
  [1559] = {.lex_state = 0},
  [1560] = {.lex_state = 0},
  [1561] = {.lex_state = 0},
  [1562] = {.lex_state = 0},
  [1563] = {.lex_state = 14},
  [1564] = {.lex_state = 0},
  [1565] = {.lex_state = 57},
  [1566] = {.lex_state = 0},
  [1567] = {.lex_state = 0},
  [1568] = {.lex_state = 0},
  [1569] = {.lex_state = 0},
  [1570] = {.lex_state = 57},
  [1571] = {.lex_state = 4},
  [1572] = {.lex_state = 10},
  [1573] = {.lex_state = 0},
  [1574] = {.lex_state = 14},
  [1575] = {.lex_state = 57},
  [1576] = {.lex_state = 0},
  [1577] = {.lex_state = 0},
  [1578] = {.lex_state = 0},
  [1579] = {.lex_state = 0},
  [1580] = {.lex_state = 0},
  [1581] = {.lex_state = 0},
  [1582] = {.lex_state = 0},
  [1583] = {.lex_state = 0},
  [1584] = {.lex_state = 57},
  [1585] = {.lex_state = 0},
  [1586] = {.lex_state = 0},
  [1587] = {.lex_state = 0},
  [1588] = {.lex_state = 14},
  [1589] = {.lex_state = 0},
  [1590] = {.lex_state = 57},
  [1591] = {.lex_state = 14},
  [1592] = {.lex_state = 0},
  [1593] = {.lex_state = 0},
  [1594] = {.lex_state = 0},
  [1595] = {.lex_state = 0},
  [1596] = {.lex_state = 57},
  [1597] = {.lex_state = 0},
  [1598] = {.lex_state = 0},
  [1599] = {.lex_state = 0},
  [1600] = {.lex_state = 0},
  [1601] = {.lex_state = 57},
  [1602] = {.lex_state = 0},
  [1603] = {.lex_state = 408},
  [1604] = {.lex_state = 0},
  [1605] = {.lex_state = 0},
  [1606] = {.lex_state = 0},
  [1607] = {.lex_state = 0},
  [1608] = {.lex_state = 57},
  [1609] = {.lex_state = 0},
  [1610] = {.lex_state = 408},
  [1611] = {.lex_state = 0},
  [1612] = {.lex_state = 57},
  [1613] = {.lex_state = 0},
  [1614] = {.lex_state = 0},
  [1615] = {.lex_state = 0},
  [1616] = {.lex_state = 408},
  [1617] = {.lex_state = 57},
  [1618] = {.lex_state = 0},
  [1619] = {.lex_state = 0},
  [1620] = {.lex_state = 0},
  [1621] = {.lex_state = 408},
  [1622] = {.lex_state = 57},
  [1623] = {.lex_state = 0},
  [1624] = {.lex_state = 57},
  [1625] = {.lex_state = 0},
  [1626] = {.lex_state = 57},
  [1627] = {.lex_state = 0},
  [1628] = {.lex_state = 0},
  [1629] = {.lex_state = 0},
  [1630] = {.lex_state = 14},
  [1631] = {.lex_state = 14},
  [1632] = {.lex_state = 0},
  [1633] = {.lex_state = 57},
  [1634] = {.lex_state = 0},
  [1635] = {.lex_state = 14},
  [1636] = {.lex_state = 0},
  [1637] = {.lex_state = 0},
  [1638] = {.lex_state = 14},
  [1639] = {.lex_state = 0},
  [1640] = {.lex_state = 249},
  [1641] = {.lex_state = 0},
  [1642] = {.lex_state = 0},
  [1643] = {.lex_state = 0},
  [1644] = {.lex_state = 14},
  [1645] = {.lex_state = 0},
  [1646] = {.lex_state = 0},
  [1647] = {.lex_state = 57},
  [1648] = {.lex_state = 57},
  [1649] = {.lex_state = 57},
  [1650] = {.lex_state = 57},
  [1651] = {.lex_state = 57},
  [1652] = {.lex_state = 57},
  [1653] = {.lex_state = 57},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_impl] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_trait] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_mod] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_fn] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_use] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_u8] = ACTIONS(1),
    [anon_sym_i8] = ACTIONS(1),
    [anon_sym_u16] = ACTIONS(1),
    [anon_sym_i16] = ACTIONS(1),
    [anon_sym_u32] = ACTIONS(1),
    [anon_sym_i32] = ACTIONS(1),
    [anon_sym_u64] = ACTIONS(1),
    [anon_sym_i64] = ACTIONS(1),
    [anon_sym_u128] = ACTIONS(1),
    [anon_sym_i128] = ACTIONS(1),
    [anon_sym_usize] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_ByteArray] = ACTIONS(1),
    [anon_sym_felt252] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym_nopanic] = ACTIONS(1),
    [anon_sym_loop] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_pub] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [sym_numeric_literal] = ACTIONS(1),
    [aux_sym_string_literal_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_shortstring_literal] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_LT2] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_ref] = ACTIONS(1),
    [sym_mutable_specifier] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_crate] = ACTIONS(1),
    [sym_line_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(1605),
    [sym__statement] = STATE(11),
    [sym_impl_item] = STATE(11),
    [sym_trait_item] = STATE(11),
    [sym_associated_type] = STATE(11),
    [sym_associated_impl] = STATE(11),
    [sym_const_item] = STATE(11),
    [sym_macro_invocation] = STATE(95),
    [sym_empty_statement] = STATE(11),
    [sym_attribute_item] = STATE(11),
    [sym_inner_attribute_item] = STATE(11),
    [sym_mod_item] = STATE(11),
    [sym_struct_item] = STATE(11),
    [sym_enum_item] = STATE(11),
    [sym_type_item] = STATE(11),
    [sym_extern_type] = STATE(340),
    [sym_external_function_item] = STATE(11),
    [sym_function_item] = STATE(11),
    [sym_function_signature_item] = STATE(11),
    [sym_function] = STATE(1166),
    [sym_let_declaration] = STATE(11),
    [sym_use_declaration] = STATE(11),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression_statement] = STATE(11),
    [sym_expression] = STATE(761),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(90),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(90),
    [sym_if_expression] = STATE(90),
    [sym_match_expression] = STATE(90),
    [sym_while_expression] = STATE(90),
    [sym_for_expression] = STATE(90),
    [sym_loop_expression] = STATE(90),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [sym_visibility_modifier] = STATE(875),
    [sym_extern] = STATE(1191),
    [aux_sym_source_file_repeat1] = STATE(11),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_impl] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_trait] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_mod] = ACTIONS(25),
    [anon_sym_struct] = ACTIONS(27),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_fn] = ACTIONS(31),
    [anon_sym_let] = ACTIONS(33),
    [anon_sym_use] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_pub] = ACTIONS(59),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [2] = {
    [sym__statement] = STATE(12),
    [sym_impl_item] = STATE(12),
    [sym_trait_item] = STATE(12),
    [sym_associated_type] = STATE(12),
    [sym_associated_impl] = STATE(12),
    [sym_const_item] = STATE(12),
    [sym_macro_invocation] = STATE(95),
    [sym_empty_statement] = STATE(12),
    [sym_attribute_item] = STATE(12),
    [sym_inner_attribute_item] = STATE(12),
    [sym_mod_item] = STATE(12),
    [sym_struct_item] = STATE(12),
    [sym_enum_item] = STATE(12),
    [sym_type_item] = STATE(12),
    [sym_extern_type] = STATE(340),
    [sym_external_function_item] = STATE(12),
    [sym_function_item] = STATE(12),
    [sym_function_signature_item] = STATE(12),
    [sym_function] = STATE(1166),
    [sym_let_declaration] = STATE(12),
    [sym_use_declaration] = STATE(12),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression_statement] = STATE(12),
    [sym_expression] = STATE(618),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(90),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(90),
    [sym_if_expression] = STATE(90),
    [sym_match_expression] = STATE(90),
    [sym_while_expression] = STATE(90),
    [sym_for_expression] = STATE(90),
    [sym_loop_expression] = STATE(90),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [sym_visibility_modifier] = STATE(875),
    [sym_extern] = STATE(1191),
    [aux_sym_source_file_repeat1] = STATE(12),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(81),
    [anon_sym_impl] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_trait] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_mod] = ACTIONS(25),
    [anon_sym_struct] = ACTIONS(27),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_fn] = ACTIONS(31),
    [anon_sym_let] = ACTIONS(33),
    [anon_sym_use] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_pub] = ACTIONS(59),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [3] = {
    [sym__statement] = STATE(12),
    [sym_impl_item] = STATE(12),
    [sym_trait_item] = STATE(12),
    [sym_associated_type] = STATE(12),
    [sym_associated_impl] = STATE(12),
    [sym_const_item] = STATE(12),
    [sym_macro_invocation] = STATE(95),
    [sym_empty_statement] = STATE(12),
    [sym_attribute_item] = STATE(12),
    [sym_inner_attribute_item] = STATE(12),
    [sym_mod_item] = STATE(12),
    [sym_struct_item] = STATE(12),
    [sym_enum_item] = STATE(12),
    [sym_type_item] = STATE(12),
    [sym_extern_type] = STATE(340),
    [sym_external_function_item] = STATE(12),
    [sym_function_item] = STATE(12),
    [sym_function_signature_item] = STATE(12),
    [sym_function] = STATE(1166),
    [sym_let_declaration] = STATE(12),
    [sym_use_declaration] = STATE(12),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression_statement] = STATE(12),
    [sym_expression] = STATE(681),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(90),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(90),
    [sym_if_expression] = STATE(90),
    [sym_match_expression] = STATE(90),
    [sym_while_expression] = STATE(90),
    [sym_for_expression] = STATE(90),
    [sym_loop_expression] = STATE(90),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [sym_visibility_modifier] = STATE(875),
    [sym_extern] = STATE(1191),
    [aux_sym_source_file_repeat1] = STATE(12),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(83),
    [anon_sym_impl] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_trait] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_mod] = ACTIONS(25),
    [anon_sym_struct] = ACTIONS(27),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_fn] = ACTIONS(31),
    [anon_sym_let] = ACTIONS(33),
    [anon_sym_use] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_pub] = ACTIONS(59),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__statement] = STATE(12),
    [sym_impl_item] = STATE(12),
    [sym_trait_item] = STATE(12),
    [sym_associated_type] = STATE(12),
    [sym_associated_impl] = STATE(12),
    [sym_const_item] = STATE(12),
    [sym_macro_invocation] = STATE(95),
    [sym_empty_statement] = STATE(12),
    [sym_attribute_item] = STATE(12),
    [sym_inner_attribute_item] = STATE(12),
    [sym_mod_item] = STATE(12),
    [sym_struct_item] = STATE(12),
    [sym_enum_item] = STATE(12),
    [sym_type_item] = STATE(12),
    [sym_extern_type] = STATE(340),
    [sym_external_function_item] = STATE(12),
    [sym_function_item] = STATE(12),
    [sym_function_signature_item] = STATE(12),
    [sym_function] = STATE(1166),
    [sym_let_declaration] = STATE(12),
    [sym_use_declaration] = STATE(12),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression_statement] = STATE(12),
    [sym_expression] = STATE(658),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(90),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(90),
    [sym_if_expression] = STATE(90),
    [sym_match_expression] = STATE(90),
    [sym_while_expression] = STATE(90),
    [sym_for_expression] = STATE(90),
    [sym_loop_expression] = STATE(90),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [sym_visibility_modifier] = STATE(875),
    [sym_extern] = STATE(1191),
    [aux_sym_source_file_repeat1] = STATE(12),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(85),
    [anon_sym_impl] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_trait] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_mod] = ACTIONS(25),
    [anon_sym_struct] = ACTIONS(27),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_fn] = ACTIONS(31),
    [anon_sym_let] = ACTIONS(33),
    [anon_sym_use] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_pub] = ACTIONS(59),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__statement] = STATE(2),
    [sym_impl_item] = STATE(2),
    [sym_trait_item] = STATE(2),
    [sym_associated_type] = STATE(2),
    [sym_associated_impl] = STATE(2),
    [sym_const_item] = STATE(2),
    [sym_macro_invocation] = STATE(95),
    [sym_empty_statement] = STATE(2),
    [sym_attribute_item] = STATE(2),
    [sym_inner_attribute_item] = STATE(2),
    [sym_mod_item] = STATE(2),
    [sym_struct_item] = STATE(2),
    [sym_enum_item] = STATE(2),
    [sym_type_item] = STATE(2),
    [sym_extern_type] = STATE(340),
    [sym_external_function_item] = STATE(2),
    [sym_function_item] = STATE(2),
    [sym_function_signature_item] = STATE(2),
    [sym_function] = STATE(1166),
    [sym_let_declaration] = STATE(2),
    [sym_use_declaration] = STATE(2),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression_statement] = STATE(2),
    [sym_expression] = STATE(615),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(90),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(90),
    [sym_if_expression] = STATE(90),
    [sym_match_expression] = STATE(90),
    [sym_while_expression] = STATE(90),
    [sym_for_expression] = STATE(90),
    [sym_loop_expression] = STATE(90),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [sym_visibility_modifier] = STATE(875),
    [sym_extern] = STATE(1191),
    [aux_sym_source_file_repeat1] = STATE(2),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(87),
    [anon_sym_impl] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_trait] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_mod] = ACTIONS(25),
    [anon_sym_struct] = ACTIONS(27),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_fn] = ACTIONS(31),
    [anon_sym_let] = ACTIONS(33),
    [anon_sym_use] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_pub] = ACTIONS(59),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__statement] = STATE(3),
    [sym_impl_item] = STATE(3),
    [sym_trait_item] = STATE(3),
    [sym_associated_type] = STATE(3),
    [sym_associated_impl] = STATE(3),
    [sym_const_item] = STATE(3),
    [sym_macro_invocation] = STATE(95),
    [sym_empty_statement] = STATE(3),
    [sym_attribute_item] = STATE(3),
    [sym_inner_attribute_item] = STATE(3),
    [sym_mod_item] = STATE(3),
    [sym_struct_item] = STATE(3),
    [sym_enum_item] = STATE(3),
    [sym_type_item] = STATE(3),
    [sym_extern_type] = STATE(340),
    [sym_external_function_item] = STATE(3),
    [sym_function_item] = STATE(3),
    [sym_function_signature_item] = STATE(3),
    [sym_function] = STATE(1166),
    [sym_let_declaration] = STATE(3),
    [sym_use_declaration] = STATE(3),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression_statement] = STATE(3),
    [sym_expression] = STATE(662),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(90),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(90),
    [sym_if_expression] = STATE(90),
    [sym_match_expression] = STATE(90),
    [sym_while_expression] = STATE(90),
    [sym_for_expression] = STATE(90),
    [sym_loop_expression] = STATE(90),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [sym_visibility_modifier] = STATE(875),
    [sym_extern] = STATE(1191),
    [aux_sym_source_file_repeat1] = STATE(3),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(89),
    [anon_sym_impl] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_trait] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_mod] = ACTIONS(25),
    [anon_sym_struct] = ACTIONS(27),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_fn] = ACTIONS(31),
    [anon_sym_let] = ACTIONS(33),
    [anon_sym_use] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_pub] = ACTIONS(59),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__statement] = STATE(8),
    [sym_impl_item] = STATE(8),
    [sym_trait_item] = STATE(8),
    [sym_associated_type] = STATE(8),
    [sym_associated_impl] = STATE(8),
    [sym_const_item] = STATE(8),
    [sym_macro_invocation] = STATE(95),
    [sym_empty_statement] = STATE(8),
    [sym_attribute_item] = STATE(8),
    [sym_inner_attribute_item] = STATE(8),
    [sym_mod_item] = STATE(8),
    [sym_struct_item] = STATE(8),
    [sym_enum_item] = STATE(8),
    [sym_type_item] = STATE(8),
    [sym_extern_type] = STATE(340),
    [sym_external_function_item] = STATE(8),
    [sym_function_item] = STATE(8),
    [sym_function_signature_item] = STATE(8),
    [sym_function] = STATE(1166),
    [sym_let_declaration] = STATE(8),
    [sym_use_declaration] = STATE(8),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression_statement] = STATE(8),
    [sym_expression] = STATE(626),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(90),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(90),
    [sym_if_expression] = STATE(90),
    [sym_match_expression] = STATE(90),
    [sym_while_expression] = STATE(90),
    [sym_for_expression] = STATE(90),
    [sym_loop_expression] = STATE(90),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [sym_visibility_modifier] = STATE(875),
    [sym_extern] = STATE(1191),
    [aux_sym_source_file_repeat1] = STATE(8),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(91),
    [anon_sym_impl] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_trait] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_mod] = ACTIONS(25),
    [anon_sym_struct] = ACTIONS(27),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_fn] = ACTIONS(31),
    [anon_sym_let] = ACTIONS(33),
    [anon_sym_use] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_pub] = ACTIONS(59),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__statement] = STATE(12),
    [sym_impl_item] = STATE(12),
    [sym_trait_item] = STATE(12),
    [sym_associated_type] = STATE(12),
    [sym_associated_impl] = STATE(12),
    [sym_const_item] = STATE(12),
    [sym_macro_invocation] = STATE(95),
    [sym_empty_statement] = STATE(12),
    [sym_attribute_item] = STATE(12),
    [sym_inner_attribute_item] = STATE(12),
    [sym_mod_item] = STATE(12),
    [sym_struct_item] = STATE(12),
    [sym_enum_item] = STATE(12),
    [sym_type_item] = STATE(12),
    [sym_extern_type] = STATE(340),
    [sym_external_function_item] = STATE(12),
    [sym_function_item] = STATE(12),
    [sym_function_signature_item] = STATE(12),
    [sym_function] = STATE(1166),
    [sym_let_declaration] = STATE(12),
    [sym_use_declaration] = STATE(12),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression_statement] = STATE(12),
    [sym_expression] = STATE(654),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(90),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(90),
    [sym_if_expression] = STATE(90),
    [sym_match_expression] = STATE(90),
    [sym_while_expression] = STATE(90),
    [sym_for_expression] = STATE(90),
    [sym_loop_expression] = STATE(90),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [sym_visibility_modifier] = STATE(875),
    [sym_extern] = STATE(1191),
    [aux_sym_source_file_repeat1] = STATE(12),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(93),
    [anon_sym_impl] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_trait] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_mod] = ACTIONS(25),
    [anon_sym_struct] = ACTIONS(27),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_fn] = ACTIONS(31),
    [anon_sym_let] = ACTIONS(33),
    [anon_sym_use] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_pub] = ACTIONS(59),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__statement] = STATE(4),
    [sym_impl_item] = STATE(4),
    [sym_trait_item] = STATE(4),
    [sym_associated_type] = STATE(4),
    [sym_associated_impl] = STATE(4),
    [sym_const_item] = STATE(4),
    [sym_macro_invocation] = STATE(95),
    [sym_empty_statement] = STATE(4),
    [sym_attribute_item] = STATE(4),
    [sym_inner_attribute_item] = STATE(4),
    [sym_mod_item] = STATE(4),
    [sym_struct_item] = STATE(4),
    [sym_enum_item] = STATE(4),
    [sym_type_item] = STATE(4),
    [sym_extern_type] = STATE(340),
    [sym_external_function_item] = STATE(4),
    [sym_function_item] = STATE(4),
    [sym_function_signature_item] = STATE(4),
    [sym_function] = STATE(1166),
    [sym_let_declaration] = STATE(4),
    [sym_use_declaration] = STATE(4),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression_statement] = STATE(4),
    [sym_expression] = STATE(657),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(90),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(90),
    [sym_if_expression] = STATE(90),
    [sym_match_expression] = STATE(90),
    [sym_while_expression] = STATE(90),
    [sym_for_expression] = STATE(90),
    [sym_loop_expression] = STATE(90),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [sym_visibility_modifier] = STATE(875),
    [sym_extern] = STATE(1191),
    [aux_sym_source_file_repeat1] = STATE(4),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(95),
    [anon_sym_impl] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_trait] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_mod] = ACTIONS(25),
    [anon_sym_struct] = ACTIONS(27),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_fn] = ACTIONS(31),
    [anon_sym_let] = ACTIONS(33),
    [anon_sym_use] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_pub] = ACTIONS(59),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__statement] = STATE(12),
    [sym_impl_item] = STATE(12),
    [sym_trait_item] = STATE(12),
    [sym_associated_type] = STATE(12),
    [sym_associated_impl] = STATE(12),
    [sym_const_item] = STATE(12),
    [sym_macro_invocation] = STATE(95),
    [sym_empty_statement] = STATE(12),
    [sym_attribute_item] = STATE(12),
    [sym_inner_attribute_item] = STATE(12),
    [sym_mod_item] = STATE(12),
    [sym_struct_item] = STATE(12),
    [sym_enum_item] = STATE(12),
    [sym_type_item] = STATE(12),
    [sym_extern_type] = STATE(340),
    [sym_external_function_item] = STATE(12),
    [sym_function_item] = STATE(12),
    [sym_function_signature_item] = STATE(12),
    [sym_function] = STATE(1166),
    [sym_let_declaration] = STATE(12),
    [sym_use_declaration] = STATE(12),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression_statement] = STATE(12),
    [sym_expression] = STATE(604),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(90),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(90),
    [sym_if_expression] = STATE(90),
    [sym_match_expression] = STATE(90),
    [sym_while_expression] = STATE(90),
    [sym_for_expression] = STATE(90),
    [sym_loop_expression] = STATE(90),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [sym_visibility_modifier] = STATE(875),
    [sym_extern] = STATE(1191),
    [aux_sym_source_file_repeat1] = STATE(12),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(97),
    [anon_sym_impl] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_trait] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_mod] = ACTIONS(25),
    [anon_sym_struct] = ACTIONS(27),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_fn] = ACTIONS(31),
    [anon_sym_let] = ACTIONS(33),
    [anon_sym_use] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_pub] = ACTIONS(59),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__statement] = STATE(16),
    [sym_impl_item] = STATE(16),
    [sym_trait_item] = STATE(16),
    [sym_associated_type] = STATE(16),
    [sym_associated_impl] = STATE(16),
    [sym_const_item] = STATE(16),
    [sym_macro_invocation] = STATE(95),
    [sym_empty_statement] = STATE(16),
    [sym_attribute_item] = STATE(16),
    [sym_inner_attribute_item] = STATE(16),
    [sym_mod_item] = STATE(16),
    [sym_struct_item] = STATE(16),
    [sym_enum_item] = STATE(16),
    [sym_type_item] = STATE(16),
    [sym_extern_type] = STATE(340),
    [sym_external_function_item] = STATE(16),
    [sym_function_item] = STATE(16),
    [sym_function_signature_item] = STATE(16),
    [sym_function] = STATE(1166),
    [sym_let_declaration] = STATE(16),
    [sym_use_declaration] = STATE(16),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression_statement] = STATE(16),
    [sym_expression] = STATE(761),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(90),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(90),
    [sym_if_expression] = STATE(90),
    [sym_match_expression] = STATE(90),
    [sym_while_expression] = STATE(90),
    [sym_for_expression] = STATE(90),
    [sym_loop_expression] = STATE(90),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [sym_visibility_modifier] = STATE(875),
    [sym_extern] = STATE(1191),
    [aux_sym_source_file_repeat1] = STATE(16),
    [ts_builtin_sym_end] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_impl] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_trait] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_mod] = ACTIONS(25),
    [anon_sym_struct] = ACTIONS(27),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_fn] = ACTIONS(31),
    [anon_sym_let] = ACTIONS(33),
    [anon_sym_use] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_pub] = ACTIONS(59),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__statement] = STATE(12),
    [sym_impl_item] = STATE(12),
    [sym_trait_item] = STATE(12),
    [sym_associated_type] = STATE(12),
    [sym_associated_impl] = STATE(12),
    [sym_const_item] = STATE(12),
    [sym_macro_invocation] = STATE(102),
    [sym_empty_statement] = STATE(12),
    [sym_attribute_item] = STATE(12),
    [sym_inner_attribute_item] = STATE(12),
    [sym_mod_item] = STATE(12),
    [sym_struct_item] = STATE(12),
    [sym_enum_item] = STATE(12),
    [sym_type_item] = STATE(12),
    [sym_extern_type] = STATE(340),
    [sym_external_function_item] = STATE(12),
    [sym_function_item] = STATE(12),
    [sym_function_signature_item] = STATE(12),
    [sym_function] = STATE(1166),
    [sym_let_declaration] = STATE(12),
    [sym_use_declaration] = STATE(12),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression_statement] = STATE(12),
    [sym_expression] = STATE(761),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(90),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(90),
    [sym_if_expression] = STATE(90),
    [sym_match_expression] = STATE(90),
    [sym_while_expression] = STATE(90),
    [sym_for_expression] = STATE(90),
    [sym_loop_expression] = STATE(90),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [sym_visibility_modifier] = STATE(875),
    [sym_extern] = STATE(1191),
    [aux_sym_source_file_repeat1] = STATE(12),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_RBRACE] = ACTIONS(104),
    [anon_sym_impl] = ACTIONS(106),
    [anon_sym_SEMI] = ACTIONS(109),
    [anon_sym_trait] = ACTIONS(112),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_POUND] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(127),
    [anon_sym_mod] = ACTIONS(130),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_enum] = ACTIONS(136),
    [anon_sym_fn] = ACTIONS(139),
    [anon_sym_let] = ACTIONS(142),
    [anon_sym_use] = ACTIONS(145),
    [anon_sym_COLON_COLON] = ACTIONS(148),
    [anon_sym_STAR] = ACTIONS(121),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_u8] = ACTIONS(154),
    [anon_sym_i8] = ACTIONS(154),
    [anon_sym_u16] = ACTIONS(154),
    [anon_sym_i16] = ACTIONS(154),
    [anon_sym_u32] = ACTIONS(154),
    [anon_sym_i32] = ACTIONS(154),
    [anon_sym_u64] = ACTIONS(154),
    [anon_sym_i64] = ACTIONS(154),
    [anon_sym_u128] = ACTIONS(154),
    [anon_sym_i128] = ACTIONS(154),
    [anon_sym_usize] = ACTIONS(154),
    [anon_sym_bool] = ACTIONS(154),
    [anon_sym_ByteArray] = ACTIONS(154),
    [anon_sym_felt252] = ACTIONS(154),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_AT] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(160),
    [anon_sym_continue] = ACTIONS(163),
    [anon_sym_default] = ACTIONS(166),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_extern] = ACTIONS(172),
    [anon_sym_loop] = ACTIONS(175),
    [anon_sym_match] = ACTIONS(178),
    [anon_sym_pub] = ACTIONS(181),
    [anon_sym_return] = ACTIONS(184),
    [anon_sym_while] = ACTIONS(187),
    [anon_sym_for] = ACTIONS(190),
    [sym_numeric_literal] = ACTIONS(193),
    [aux_sym_string_literal_token1] = ACTIONS(196),
    [sym_shortstring_literal] = ACTIONS(199),
    [anon_sym_true] = ACTIONS(202),
    [anon_sym_false] = ACTIONS(202),
    [anon_sym_ref] = ACTIONS(205),
    [sym_identifier] = ACTIONS(208),
    [sym_super] = ACTIONS(211),
    [sym_line_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__statement] = STATE(14),
    [sym_impl_item] = STATE(14),
    [sym_trait_item] = STATE(14),
    [sym_associated_type] = STATE(14),
    [sym_associated_impl] = STATE(14),
    [sym_const_item] = STATE(14),
    [sym_macro_invocation] = STATE(95),
    [sym_empty_statement] = STATE(14),
    [sym_attribute_item] = STATE(14),
    [sym_inner_attribute_item] = STATE(14),
    [sym_mod_item] = STATE(14),
    [sym_struct_item] = STATE(14),
    [sym_enum_item] = STATE(14),
    [sym_type_item] = STATE(14),
    [sym_extern_type] = STATE(340),
    [sym_external_function_item] = STATE(14),
    [sym_function_item] = STATE(14),
    [sym_function_signature_item] = STATE(14),
    [sym_function] = STATE(1166),
    [sym_let_declaration] = STATE(14),
    [sym_use_declaration] = STATE(14),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression_statement] = STATE(14),
    [sym_expression] = STATE(620),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(90),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(90),
    [sym_if_expression] = STATE(90),
    [sym_match_expression] = STATE(90),
    [sym_while_expression] = STATE(90),
    [sym_for_expression] = STATE(90),
    [sym_loop_expression] = STATE(90),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [sym_visibility_modifier] = STATE(875),
    [sym_extern] = STATE(1191),
    [aux_sym_source_file_repeat1] = STATE(14),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(214),
    [anon_sym_impl] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_trait] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_mod] = ACTIONS(25),
    [anon_sym_struct] = ACTIONS(27),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_fn] = ACTIONS(31),
    [anon_sym_let] = ACTIONS(33),
    [anon_sym_use] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_pub] = ACTIONS(59),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__statement] = STATE(12),
    [sym_impl_item] = STATE(12),
    [sym_trait_item] = STATE(12),
    [sym_associated_type] = STATE(12),
    [sym_associated_impl] = STATE(12),
    [sym_const_item] = STATE(12),
    [sym_macro_invocation] = STATE(95),
    [sym_empty_statement] = STATE(12),
    [sym_attribute_item] = STATE(12),
    [sym_inner_attribute_item] = STATE(12),
    [sym_mod_item] = STATE(12),
    [sym_struct_item] = STATE(12),
    [sym_enum_item] = STATE(12),
    [sym_type_item] = STATE(12),
    [sym_extern_type] = STATE(340),
    [sym_external_function_item] = STATE(12),
    [sym_function_item] = STATE(12),
    [sym_function_signature_item] = STATE(12),
    [sym_function] = STATE(1166),
    [sym_let_declaration] = STATE(12),
    [sym_use_declaration] = STATE(12),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression_statement] = STATE(12),
    [sym_expression] = STATE(623),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(90),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(90),
    [sym_if_expression] = STATE(90),
    [sym_match_expression] = STATE(90),
    [sym_while_expression] = STATE(90),
    [sym_for_expression] = STATE(90),
    [sym_loop_expression] = STATE(90),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [sym_visibility_modifier] = STATE(875),
    [sym_extern] = STATE(1191),
    [aux_sym_source_file_repeat1] = STATE(12),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(216),
    [anon_sym_impl] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_trait] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_mod] = ACTIONS(25),
    [anon_sym_struct] = ACTIONS(27),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_fn] = ACTIONS(31),
    [anon_sym_let] = ACTIONS(33),
    [anon_sym_use] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_pub] = ACTIONS(59),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__statement] = STATE(18),
    [sym_impl_item] = STATE(18),
    [sym_trait_item] = STATE(18),
    [sym_associated_type] = STATE(18),
    [sym_associated_impl] = STATE(18),
    [sym_const_item] = STATE(18),
    [sym_macro_invocation] = STATE(95),
    [sym_empty_statement] = STATE(18),
    [sym_attribute_item] = STATE(18),
    [sym_inner_attribute_item] = STATE(18),
    [sym_mod_item] = STATE(18),
    [sym_struct_item] = STATE(18),
    [sym_enum_item] = STATE(18),
    [sym_type_item] = STATE(18),
    [sym_extern_type] = STATE(340),
    [sym_external_function_item] = STATE(18),
    [sym_function_item] = STATE(18),
    [sym_function_signature_item] = STATE(18),
    [sym_function] = STATE(1166),
    [sym_let_declaration] = STATE(18),
    [sym_use_declaration] = STATE(18),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression_statement] = STATE(18),
    [sym_expression] = STATE(641),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(90),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(90),
    [sym_if_expression] = STATE(90),
    [sym_match_expression] = STATE(90),
    [sym_while_expression] = STATE(90),
    [sym_for_expression] = STATE(90),
    [sym_loop_expression] = STATE(90),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [sym_visibility_modifier] = STATE(875),
    [sym_extern] = STATE(1191),
    [aux_sym_source_file_repeat1] = STATE(18),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(218),
    [anon_sym_impl] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_trait] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_mod] = ACTIONS(25),
    [anon_sym_struct] = ACTIONS(27),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_fn] = ACTIONS(31),
    [anon_sym_let] = ACTIONS(33),
    [anon_sym_use] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_pub] = ACTIONS(59),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [16] = {
    [sym__statement] = STATE(16),
    [sym_impl_item] = STATE(16),
    [sym_trait_item] = STATE(16),
    [sym_associated_type] = STATE(16),
    [sym_associated_impl] = STATE(16),
    [sym_const_item] = STATE(16),
    [sym_macro_invocation] = STATE(95),
    [sym_empty_statement] = STATE(16),
    [sym_attribute_item] = STATE(16),
    [sym_inner_attribute_item] = STATE(16),
    [sym_mod_item] = STATE(16),
    [sym_struct_item] = STATE(16),
    [sym_enum_item] = STATE(16),
    [sym_type_item] = STATE(16),
    [sym_extern_type] = STATE(340),
    [sym_external_function_item] = STATE(16),
    [sym_function_item] = STATE(16),
    [sym_function_signature_item] = STATE(16),
    [sym_function] = STATE(1166),
    [sym_let_declaration] = STATE(16),
    [sym_use_declaration] = STATE(16),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression_statement] = STATE(16),
    [sym_expression] = STATE(761),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(90),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(90),
    [sym_if_expression] = STATE(90),
    [sym_match_expression] = STATE(90),
    [sym_while_expression] = STATE(90),
    [sym_for_expression] = STATE(90),
    [sym_loop_expression] = STATE(90),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [sym_visibility_modifier] = STATE(875),
    [sym_extern] = STATE(1191),
    [aux_sym_source_file_repeat1] = STATE(16),
    [ts_builtin_sym_end] = ACTIONS(104),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_impl] = ACTIONS(106),
    [anon_sym_SEMI] = ACTIONS(109),
    [anon_sym_trait] = ACTIONS(112),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(118),
    [anon_sym_BANG] = ACTIONS(121),
    [anon_sym_POUND] = ACTIONS(124),
    [anon_sym_LBRACK] = ACTIONS(127),
    [anon_sym_mod] = ACTIONS(130),
    [anon_sym_struct] = ACTIONS(133),
    [anon_sym_enum] = ACTIONS(136),
    [anon_sym_fn] = ACTIONS(139),
    [anon_sym_let] = ACTIONS(142),
    [anon_sym_use] = ACTIONS(145),
    [anon_sym_COLON_COLON] = ACTIONS(148),
    [anon_sym_STAR] = ACTIONS(121),
    [anon_sym_LPAREN] = ACTIONS(151),
    [anon_sym_u8] = ACTIONS(154),
    [anon_sym_i8] = ACTIONS(154),
    [anon_sym_u16] = ACTIONS(154),
    [anon_sym_i16] = ACTIONS(154),
    [anon_sym_u32] = ACTIONS(154),
    [anon_sym_i32] = ACTIONS(154),
    [anon_sym_u64] = ACTIONS(154),
    [anon_sym_i64] = ACTIONS(154),
    [anon_sym_u128] = ACTIONS(154),
    [anon_sym_i128] = ACTIONS(154),
    [anon_sym_usize] = ACTIONS(154),
    [anon_sym_bool] = ACTIONS(154),
    [anon_sym_ByteArray] = ACTIONS(154),
    [anon_sym_felt252] = ACTIONS(154),
    [anon_sym_DASH] = ACTIONS(157),
    [anon_sym_TILDE] = ACTIONS(121),
    [anon_sym_AT] = ACTIONS(121),
    [anon_sym_break] = ACTIONS(160),
    [anon_sym_continue] = ACTIONS(163),
    [anon_sym_default] = ACTIONS(166),
    [anon_sym_if] = ACTIONS(169),
    [anon_sym_extern] = ACTIONS(172),
    [anon_sym_loop] = ACTIONS(175),
    [anon_sym_match] = ACTIONS(178),
    [anon_sym_pub] = ACTIONS(181),
    [anon_sym_return] = ACTIONS(184),
    [anon_sym_while] = ACTIONS(187),
    [anon_sym_for] = ACTIONS(190),
    [sym_numeric_literal] = ACTIONS(193),
    [aux_sym_string_literal_token1] = ACTIONS(196),
    [sym_shortstring_literal] = ACTIONS(199),
    [anon_sym_true] = ACTIONS(202),
    [anon_sym_false] = ACTIONS(202),
    [anon_sym_ref] = ACTIONS(205),
    [sym_identifier] = ACTIONS(208),
    [sym_super] = ACTIONS(211),
    [sym_line_comment] = ACTIONS(3),
  },
  [17] = {
    [sym__statement] = STATE(20),
    [sym_impl_item] = STATE(20),
    [sym_trait_item] = STATE(20),
    [sym_associated_type] = STATE(20),
    [sym_associated_impl] = STATE(20),
    [sym_const_item] = STATE(20),
    [sym_macro_invocation] = STATE(95),
    [sym_empty_statement] = STATE(20),
    [sym_attribute_item] = STATE(20),
    [sym_inner_attribute_item] = STATE(20),
    [sym_mod_item] = STATE(20),
    [sym_struct_item] = STATE(20),
    [sym_enum_item] = STATE(20),
    [sym_type_item] = STATE(20),
    [sym_extern_type] = STATE(340),
    [sym_external_function_item] = STATE(20),
    [sym_function_item] = STATE(20),
    [sym_function_signature_item] = STATE(20),
    [sym_function] = STATE(1166),
    [sym_let_declaration] = STATE(20),
    [sym_use_declaration] = STATE(20),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression_statement] = STATE(20),
    [sym_expression] = STATE(688),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(90),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(90),
    [sym_if_expression] = STATE(90),
    [sym_match_expression] = STATE(90),
    [sym_while_expression] = STATE(90),
    [sym_for_expression] = STATE(90),
    [sym_loop_expression] = STATE(90),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [sym_visibility_modifier] = STATE(875),
    [sym_extern] = STATE(1191),
    [aux_sym_source_file_repeat1] = STATE(20),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(220),
    [anon_sym_impl] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_trait] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_mod] = ACTIONS(25),
    [anon_sym_struct] = ACTIONS(27),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_fn] = ACTIONS(31),
    [anon_sym_let] = ACTIONS(33),
    [anon_sym_use] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_pub] = ACTIONS(59),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [18] = {
    [sym__statement] = STATE(12),
    [sym_impl_item] = STATE(12),
    [sym_trait_item] = STATE(12),
    [sym_associated_type] = STATE(12),
    [sym_associated_impl] = STATE(12),
    [sym_const_item] = STATE(12),
    [sym_macro_invocation] = STATE(95),
    [sym_empty_statement] = STATE(12),
    [sym_attribute_item] = STATE(12),
    [sym_inner_attribute_item] = STATE(12),
    [sym_mod_item] = STATE(12),
    [sym_struct_item] = STATE(12),
    [sym_enum_item] = STATE(12),
    [sym_type_item] = STATE(12),
    [sym_extern_type] = STATE(340),
    [sym_external_function_item] = STATE(12),
    [sym_function_item] = STATE(12),
    [sym_function_signature_item] = STATE(12),
    [sym_function] = STATE(1166),
    [sym_let_declaration] = STATE(12),
    [sym_use_declaration] = STATE(12),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression_statement] = STATE(12),
    [sym_expression] = STATE(642),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(90),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(90),
    [sym_if_expression] = STATE(90),
    [sym_match_expression] = STATE(90),
    [sym_while_expression] = STATE(90),
    [sym_for_expression] = STATE(90),
    [sym_loop_expression] = STATE(90),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [sym_visibility_modifier] = STATE(875),
    [sym_extern] = STATE(1191),
    [aux_sym_source_file_repeat1] = STATE(12),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(222),
    [anon_sym_impl] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_trait] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_mod] = ACTIONS(25),
    [anon_sym_struct] = ACTIONS(27),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_fn] = ACTIONS(31),
    [anon_sym_let] = ACTIONS(33),
    [anon_sym_use] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_pub] = ACTIONS(59),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [19] = {
    [sym__statement] = STATE(10),
    [sym_impl_item] = STATE(10),
    [sym_trait_item] = STATE(10),
    [sym_associated_type] = STATE(10),
    [sym_associated_impl] = STATE(10),
    [sym_const_item] = STATE(10),
    [sym_macro_invocation] = STATE(95),
    [sym_empty_statement] = STATE(10),
    [sym_attribute_item] = STATE(10),
    [sym_inner_attribute_item] = STATE(10),
    [sym_mod_item] = STATE(10),
    [sym_struct_item] = STATE(10),
    [sym_enum_item] = STATE(10),
    [sym_type_item] = STATE(10),
    [sym_extern_type] = STATE(340),
    [sym_external_function_item] = STATE(10),
    [sym_function_item] = STATE(10),
    [sym_function_signature_item] = STATE(10),
    [sym_function] = STATE(1166),
    [sym_let_declaration] = STATE(10),
    [sym_use_declaration] = STATE(10),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression_statement] = STATE(10),
    [sym_expression] = STATE(610),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(90),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(90),
    [sym_if_expression] = STATE(90),
    [sym_match_expression] = STATE(90),
    [sym_while_expression] = STATE(90),
    [sym_for_expression] = STATE(90),
    [sym_loop_expression] = STATE(90),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [sym_visibility_modifier] = STATE(875),
    [sym_extern] = STATE(1191),
    [aux_sym_source_file_repeat1] = STATE(10),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(224),
    [anon_sym_impl] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_trait] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_mod] = ACTIONS(25),
    [anon_sym_struct] = ACTIONS(27),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_fn] = ACTIONS(31),
    [anon_sym_let] = ACTIONS(33),
    [anon_sym_use] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_pub] = ACTIONS(59),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [20] = {
    [sym__statement] = STATE(12),
    [sym_impl_item] = STATE(12),
    [sym_trait_item] = STATE(12),
    [sym_associated_type] = STATE(12),
    [sym_associated_impl] = STATE(12),
    [sym_const_item] = STATE(12),
    [sym_macro_invocation] = STATE(95),
    [sym_empty_statement] = STATE(12),
    [sym_attribute_item] = STATE(12),
    [sym_inner_attribute_item] = STATE(12),
    [sym_mod_item] = STATE(12),
    [sym_struct_item] = STATE(12),
    [sym_enum_item] = STATE(12),
    [sym_type_item] = STATE(12),
    [sym_extern_type] = STATE(340),
    [sym_external_function_item] = STATE(12),
    [sym_function_item] = STATE(12),
    [sym_function_signature_item] = STATE(12),
    [sym_function] = STATE(1166),
    [sym_let_declaration] = STATE(12),
    [sym_use_declaration] = STATE(12),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression_statement] = STATE(12),
    [sym_expression] = STATE(694),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(90),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(90),
    [sym_if_expression] = STATE(90),
    [sym_match_expression] = STATE(90),
    [sym_while_expression] = STATE(90),
    [sym_for_expression] = STATE(90),
    [sym_loop_expression] = STATE(90),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [sym_visibility_modifier] = STATE(875),
    [sym_extern] = STATE(1191),
    [aux_sym_source_file_repeat1] = STATE(12),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(226),
    [anon_sym_impl] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_trait] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_mod] = ACTIONS(25),
    [anon_sym_struct] = ACTIONS(27),
    [anon_sym_enum] = ACTIONS(29),
    [anon_sym_fn] = ACTIONS(31),
    [anon_sym_let] = ACTIONS(33),
    [anon_sym_use] = ACTIONS(35),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_extern] = ACTIONS(53),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_pub] = ACTIONS(59),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(472),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(228),
    [anon_sym_SEMI] = ACTIONS(228),
    [anon_sym_EQ] = ACTIONS(230),
    [anon_sym_BANG] = ACTIONS(232),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_RBRACK] = ACTIONS(228),
    [anon_sym_COMMA] = ACTIONS(228),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(232),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(228),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_LT] = ACTIONS(230),
    [anon_sym_GT] = ACTIONS(230),
    [anon_sym_PLUS] = ACTIONS(230),
    [anon_sym_DASH] = ACTIONS(234),
    [anon_sym_SLASH] = ACTIONS(230),
    [anon_sym_PERCENT] = ACTIONS(230),
    [anon_sym_CARET] = ACTIONS(228),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(230),
    [anon_sym_PIPE] = ACTIONS(230),
    [anon_sym_AMP_AMP] = ACTIONS(228),
    [anon_sym_PIPE_PIPE] = ACTIONS(228),
    [anon_sym_LT_LT] = ACTIONS(228),
    [anon_sym_GT_GT] = ACTIONS(228),
    [anon_sym_PLUS_EQ] = ACTIONS(228),
    [anon_sym_DASH_EQ] = ACTIONS(228),
    [anon_sym_STAR_EQ] = ACTIONS(228),
    [anon_sym_SLASH_EQ] = ACTIONS(228),
    [anon_sym_PERCENT_EQ] = ACTIONS(228),
    [anon_sym_EQ_EQ] = ACTIONS(228),
    [anon_sym_BANG_EQ] = ACTIONS(228),
    [anon_sym_GT_EQ] = ACTIONS(228),
    [anon_sym_LT_EQ] = ACTIONS(228),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_DOT] = ACTIONS(228),
    [anon_sym_QMARK] = ACTIONS(228),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(462),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_RBRACE] = ACTIONS(238),
    [anon_sym_SEMI] = ACTIONS(238),
    [anon_sym_EQ] = ACTIONS(240),
    [anon_sym_BANG] = ACTIONS(232),
    [anon_sym_LBRACK] = ACTIONS(238),
    [anon_sym_RBRACK] = ACTIONS(238),
    [anon_sym_COMMA] = ACTIONS(238),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_RPAREN] = ACTIONS(238),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_LT] = ACTIONS(240),
    [anon_sym_GT] = ACTIONS(240),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_SLASH] = ACTIONS(240),
    [anon_sym_PERCENT] = ACTIONS(240),
    [anon_sym_CARET] = ACTIONS(238),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_PIPE] = ACTIONS(240),
    [anon_sym_AMP_AMP] = ACTIONS(238),
    [anon_sym_PIPE_PIPE] = ACTIONS(238),
    [anon_sym_LT_LT] = ACTIONS(238),
    [anon_sym_GT_GT] = ACTIONS(238),
    [anon_sym_PLUS_EQ] = ACTIONS(238),
    [anon_sym_DASH_EQ] = ACTIONS(238),
    [anon_sym_STAR_EQ] = ACTIONS(238),
    [anon_sym_SLASH_EQ] = ACTIONS(238),
    [anon_sym_PERCENT_EQ] = ACTIONS(238),
    [anon_sym_EQ_EQ] = ACTIONS(238),
    [anon_sym_BANG_EQ] = ACTIONS(238),
    [anon_sym_GT_EQ] = ACTIONS(238),
    [anon_sym_LT_EQ] = ACTIONS(238),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_DOT] = ACTIONS(238),
    [anon_sym_QMARK] = ACTIONS(238),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_delim_token_tree] = STATE(23),
    [sym__delim_tokens] = STATE(23),
    [sym__literal] = STATE(23),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(23),
    [aux_sym_delim_token_tree_repeat1] = STATE(23),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(242),
    [anon_sym_RBRACE] = ACTIONS(245),
    [anon_sym_impl] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(250),
    [anon_sym_trait] = ACTIONS(247),
    [anon_sym_type] = ACTIONS(247),
    [anon_sym_COLON] = ACTIONS(253),
    [anon_sym_const] = ACTIONS(247),
    [anon_sym_EQ] = ACTIONS(253),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_POUND] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(256),
    [anon_sym_RBRACK] = ACTIONS(245),
    [anon_sym_mod] = ACTIONS(247),
    [anon_sym_struct] = ACTIONS(247),
    [anon_sym_enum] = ACTIONS(247),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_fn] = ACTIONS(247),
    [anon_sym_DASH_GT] = ACTIONS(250),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_use] = ACTIONS(247),
    [anon_sym_COLON_COLON] = ACTIONS(250),
    [anon_sym_STAR] = ACTIONS(253),
    [anon_sym_LPAREN] = ACTIONS(259),
    [anon_sym__] = ACTIONS(253),
    [anon_sym_RPAREN] = ACTIONS(245),
    [anon_sym_u8] = ACTIONS(262),
    [anon_sym_i8] = ACTIONS(262),
    [anon_sym_u16] = ACTIONS(262),
    [anon_sym_i16] = ACTIONS(262),
    [anon_sym_u32] = ACTIONS(262),
    [anon_sym_i32] = ACTIONS(262),
    [anon_sym_u64] = ACTIONS(262),
    [anon_sym_i64] = ACTIONS(262),
    [anon_sym_u128] = ACTIONS(262),
    [anon_sym_i128] = ACTIONS(262),
    [anon_sym_usize] = ACTIONS(262),
    [anon_sym_bool] = ACTIONS(262),
    [anon_sym_ByteArray] = ACTIONS(262),
    [anon_sym_felt252] = ACTIONS(262),
    [anon_sym_LT] = ACTIONS(253),
    [anon_sym_GT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(253),
    [anon_sym_DASH] = ACTIONS(265),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_PERCENT] = ACTIONS(253),
    [anon_sym_CARET] = ACTIONS(253),
    [anon_sym_TILDE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(253),
    [anon_sym_PIPE] = ACTIONS(253),
    [anon_sym_AMP_AMP] = ACTIONS(250),
    [anon_sym_PIPE_PIPE] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_PLUS_EQ] = ACTIONS(250),
    [anon_sym_DASH_EQ] = ACTIONS(250),
    [anon_sym_STAR_EQ] = ACTIONS(250),
    [anon_sym_SLASH_EQ] = ACTIONS(250),
    [anon_sym_PERCENT_EQ] = ACTIONS(250),
    [anon_sym_CARET_EQ] = ACTIONS(250),
    [anon_sym_AMP_EQ] = ACTIONS(250),
    [anon_sym_PIPE_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_AT] = ACTIONS(250),
    [anon_sym_DOT_DOT] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(253),
    [anon_sym_EQ_GT] = ACTIONS(250),
    [anon_sym_QMARK] = ACTIONS(250),
    [anon_sym_break] = ACTIONS(247),
    [anon_sym_continue] = ACTIONS(247),
    [anon_sym_default] = ACTIONS(247),
    [anon_sym_if] = ACTIONS(247),
    [anon_sym_extern] = ACTIONS(247),
    [anon_sym_nopanic] = ACTIONS(247),
    [anon_sym_loop] = ACTIONS(247),
    [anon_sym_match] = ACTIONS(247),
    [anon_sym_pub] = ACTIONS(247),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_static] = ACTIONS(247),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_for] = ACTIONS(247),
    [sym_numeric_literal] = ACTIONS(268),
    [aux_sym_string_literal_token1] = ACTIONS(271),
    [sym_shortstring_literal] = ACTIONS(274),
    [anon_sym_true] = ACTIONS(277),
    [anon_sym_false] = ACTIONS(277),
    [anon_sym_DOLLAR] = ACTIONS(280),
    [sym_identifier] = ACTIONS(247),
    [sym_mutable_specifier] = ACTIONS(247),
    [sym_super] = ACTIONS(247),
    [sym_line_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_delim_token_tree] = STATE(28),
    [sym__delim_tokens] = STATE(28),
    [sym__literal] = STATE(28),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(28),
    [aux_sym_delim_token_tree_repeat1] = STATE(28),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_RBRACE] = ACTIONS(285),
    [anon_sym_impl] = ACTIONS(287),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(287),
    [anon_sym_type] = ACTIONS(287),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(287),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_mod] = ACTIONS(287),
    [anon_sym_struct] = ACTIONS(287),
    [anon_sym_enum] = ACTIONS(287),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(287),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(287),
    [anon_sym_use] = ACTIONS(287),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(287),
    [anon_sym_continue] = ACTIONS(287),
    [anon_sym_default] = ACTIONS(287),
    [anon_sym_if] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(287),
    [anon_sym_nopanic] = ACTIONS(287),
    [anon_sym_loop] = ACTIONS(287),
    [anon_sym_match] = ACTIONS(287),
    [anon_sym_pub] = ACTIONS(287),
    [anon_sym_return] = ACTIONS(287),
    [anon_sym_static] = ACTIONS(287),
    [anon_sym_while] = ACTIONS(287),
    [anon_sym_for] = ACTIONS(287),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(309),
    [sym_identifier] = ACTIONS(287),
    [sym_mutable_specifier] = ACTIONS(287),
    [sym_super] = ACTIONS(287),
    [sym_line_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_delim_token_tree] = STATE(51),
    [sym__delim_tokens] = STATE(51),
    [sym__literal] = STATE(51),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(51),
    [aux_sym_delim_token_tree_repeat1] = STATE(51),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_RBRACE] = ACTIONS(311),
    [anon_sym_impl] = ACTIONS(313),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(313),
    [anon_sym_type] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(313),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_mod] = ACTIONS(313),
    [anon_sym_struct] = ACTIONS(313),
    [anon_sym_enum] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(313),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(313),
    [anon_sym_use] = ACTIONS(313),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(313),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_default] = ACTIONS(313),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_extern] = ACTIONS(313),
    [anon_sym_nopanic] = ACTIONS(313),
    [anon_sym_loop] = ACTIONS(313),
    [anon_sym_match] = ACTIONS(313),
    [anon_sym_pub] = ACTIONS(313),
    [anon_sym_return] = ACTIONS(313),
    [anon_sym_static] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(313),
    [anon_sym_for] = ACTIONS(313),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(315),
    [sym_identifier] = ACTIONS(313),
    [sym_mutable_specifier] = ACTIONS(313),
    [sym_super] = ACTIONS(313),
    [sym_line_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_delim_token_tree] = STATE(23),
    [sym__delim_tokens] = STATE(23),
    [sym__literal] = STATE(23),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(23),
    [aux_sym_delim_token_tree_repeat1] = STATE(23),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_impl] = ACTIONS(317),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(317),
    [anon_sym_type] = ACTIONS(317),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(317),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_mod] = ACTIONS(317),
    [anon_sym_struct] = ACTIONS(317),
    [anon_sym_enum] = ACTIONS(317),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(317),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(317),
    [anon_sym_use] = ACTIONS(317),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_RPAREN] = ACTIONS(319),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(317),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_default] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_extern] = ACTIONS(317),
    [anon_sym_nopanic] = ACTIONS(317),
    [anon_sym_loop] = ACTIONS(317),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_pub] = ACTIONS(317),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(317),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(321),
    [sym_identifier] = ACTIONS(317),
    [sym_mutable_specifier] = ACTIONS(317),
    [sym_super] = ACTIONS(317),
    [sym_line_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_delim_token_tree] = STATE(23),
    [sym__delim_tokens] = STATE(23),
    [sym__literal] = STATE(23),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(23),
    [aux_sym_delim_token_tree_repeat1] = STATE(23),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_impl] = ACTIONS(317),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(317),
    [anon_sym_type] = ACTIONS(317),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(317),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_mod] = ACTIONS(317),
    [anon_sym_struct] = ACTIONS(317),
    [anon_sym_enum] = ACTIONS(317),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(317),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(317),
    [anon_sym_use] = ACTIONS(317),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(317),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_default] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_extern] = ACTIONS(317),
    [anon_sym_nopanic] = ACTIONS(317),
    [anon_sym_loop] = ACTIONS(317),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_pub] = ACTIONS(317),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(317),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(321),
    [sym_identifier] = ACTIONS(317),
    [sym_mutable_specifier] = ACTIONS(317),
    [sym_super] = ACTIONS(317),
    [sym_line_comment] = ACTIONS(3),
  },
  [28] = {
    [sym_delim_token_tree] = STATE(23),
    [sym__delim_tokens] = STATE(23),
    [sym__literal] = STATE(23),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(23),
    [aux_sym_delim_token_tree_repeat1] = STATE(23),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_RBRACE] = ACTIONS(319),
    [anon_sym_impl] = ACTIONS(317),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(317),
    [anon_sym_type] = ACTIONS(317),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(317),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_mod] = ACTIONS(317),
    [anon_sym_struct] = ACTIONS(317),
    [anon_sym_enum] = ACTIONS(317),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(317),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(317),
    [anon_sym_use] = ACTIONS(317),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(317),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_default] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_extern] = ACTIONS(317),
    [anon_sym_nopanic] = ACTIONS(317),
    [anon_sym_loop] = ACTIONS(317),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_pub] = ACTIONS(317),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(317),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(321),
    [sym_identifier] = ACTIONS(317),
    [sym_mutable_specifier] = ACTIONS(317),
    [sym_super] = ACTIONS(317),
    [sym_line_comment] = ACTIONS(3),
  },
  [29] = {
    [sym_delim_token_tree] = STATE(23),
    [sym__delim_tokens] = STATE(23),
    [sym__literal] = STATE(23),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(23),
    [aux_sym_delim_token_tree_repeat1] = STATE(23),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_impl] = ACTIONS(317),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(317),
    [anon_sym_type] = ACTIONS(317),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(317),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_RBRACK] = ACTIONS(323),
    [anon_sym_mod] = ACTIONS(317),
    [anon_sym_struct] = ACTIONS(317),
    [anon_sym_enum] = ACTIONS(317),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(317),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(317),
    [anon_sym_use] = ACTIONS(317),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(317),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_default] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_extern] = ACTIONS(317),
    [anon_sym_nopanic] = ACTIONS(317),
    [anon_sym_loop] = ACTIONS(317),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_pub] = ACTIONS(317),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(317),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(321),
    [sym_identifier] = ACTIONS(317),
    [sym_mutable_specifier] = ACTIONS(317),
    [sym_super] = ACTIONS(317),
    [sym_line_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_delim_token_tree] = STATE(33),
    [sym__delim_tokens] = STATE(33),
    [sym__literal] = STATE(33),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(33),
    [aux_sym_delim_token_tree_repeat1] = STATE(33),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_impl] = ACTIONS(325),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(325),
    [anon_sym_type] = ACTIONS(325),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(325),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_mod] = ACTIONS(325),
    [anon_sym_struct] = ACTIONS(325),
    [anon_sym_enum] = ACTIONS(325),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(325),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(325),
    [anon_sym_use] = ACTIONS(325),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_RPAREN] = ACTIONS(327),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(325),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_default] = ACTIONS(325),
    [anon_sym_if] = ACTIONS(325),
    [anon_sym_extern] = ACTIONS(325),
    [anon_sym_nopanic] = ACTIONS(325),
    [anon_sym_loop] = ACTIONS(325),
    [anon_sym_match] = ACTIONS(325),
    [anon_sym_pub] = ACTIONS(325),
    [anon_sym_return] = ACTIONS(325),
    [anon_sym_static] = ACTIONS(325),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_for] = ACTIONS(325),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(329),
    [sym_identifier] = ACTIONS(325),
    [sym_mutable_specifier] = ACTIONS(325),
    [sym_super] = ACTIONS(325),
    [sym_line_comment] = ACTIONS(3),
  },
  [31] = {
    [sym_delim_token_tree] = STATE(23),
    [sym__delim_tokens] = STATE(23),
    [sym__literal] = STATE(23),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(23),
    [aux_sym_delim_token_tree_repeat1] = STATE(23),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_impl] = ACTIONS(317),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(317),
    [anon_sym_type] = ACTIONS(317),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(317),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_mod] = ACTIONS(317),
    [anon_sym_struct] = ACTIONS(317),
    [anon_sym_enum] = ACTIONS(317),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(317),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(317),
    [anon_sym_use] = ACTIONS(317),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_RPAREN] = ACTIONS(331),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(317),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_default] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_extern] = ACTIONS(317),
    [anon_sym_nopanic] = ACTIONS(317),
    [anon_sym_loop] = ACTIONS(317),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_pub] = ACTIONS(317),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(317),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(321),
    [sym_identifier] = ACTIONS(317),
    [sym_mutable_specifier] = ACTIONS(317),
    [sym_super] = ACTIONS(317),
    [sym_line_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_delim_token_tree] = STATE(23),
    [sym__delim_tokens] = STATE(23),
    [sym__literal] = STATE(23),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(23),
    [aux_sym_delim_token_tree_repeat1] = STATE(23),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_impl] = ACTIONS(317),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(317),
    [anon_sym_type] = ACTIONS(317),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(317),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_RBRACK] = ACTIONS(331),
    [anon_sym_mod] = ACTIONS(317),
    [anon_sym_struct] = ACTIONS(317),
    [anon_sym_enum] = ACTIONS(317),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(317),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(317),
    [anon_sym_use] = ACTIONS(317),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(317),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_default] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_extern] = ACTIONS(317),
    [anon_sym_nopanic] = ACTIONS(317),
    [anon_sym_loop] = ACTIONS(317),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_pub] = ACTIONS(317),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(317),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(321),
    [sym_identifier] = ACTIONS(317),
    [sym_mutable_specifier] = ACTIONS(317),
    [sym_super] = ACTIONS(317),
    [sym_line_comment] = ACTIONS(3),
  },
  [33] = {
    [sym_delim_token_tree] = STATE(23),
    [sym__delim_tokens] = STATE(23),
    [sym__literal] = STATE(23),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(23),
    [aux_sym_delim_token_tree_repeat1] = STATE(23),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_impl] = ACTIONS(317),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(317),
    [anon_sym_type] = ACTIONS(317),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(317),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_mod] = ACTIONS(317),
    [anon_sym_struct] = ACTIONS(317),
    [anon_sym_enum] = ACTIONS(317),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(317),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(317),
    [anon_sym_use] = ACTIONS(317),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_RPAREN] = ACTIONS(323),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(317),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_default] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_extern] = ACTIONS(317),
    [anon_sym_nopanic] = ACTIONS(317),
    [anon_sym_loop] = ACTIONS(317),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_pub] = ACTIONS(317),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(317),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(321),
    [sym_identifier] = ACTIONS(317),
    [sym_mutable_specifier] = ACTIONS(317),
    [sym_super] = ACTIONS(317),
    [sym_line_comment] = ACTIONS(3),
  },
  [34] = {
    [sym_delim_token_tree] = STATE(23),
    [sym__delim_tokens] = STATE(23),
    [sym__literal] = STATE(23),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(23),
    [aux_sym_delim_token_tree_repeat1] = STATE(23),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_RBRACE] = ACTIONS(331),
    [anon_sym_impl] = ACTIONS(317),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(317),
    [anon_sym_type] = ACTIONS(317),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(317),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_mod] = ACTIONS(317),
    [anon_sym_struct] = ACTIONS(317),
    [anon_sym_enum] = ACTIONS(317),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(317),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(317),
    [anon_sym_use] = ACTIONS(317),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(317),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_default] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_extern] = ACTIONS(317),
    [anon_sym_nopanic] = ACTIONS(317),
    [anon_sym_loop] = ACTIONS(317),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_pub] = ACTIONS(317),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(317),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(321),
    [sym_identifier] = ACTIONS(317),
    [sym_mutable_specifier] = ACTIONS(317),
    [sym_super] = ACTIONS(317),
    [sym_line_comment] = ACTIONS(3),
  },
  [35] = {
    [sym_delim_token_tree] = STATE(31),
    [sym__delim_tokens] = STATE(31),
    [sym__literal] = STATE(31),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(31),
    [aux_sym_delim_token_tree_repeat1] = STATE(31),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_impl] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(333),
    [anon_sym_type] = ACTIONS(333),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(333),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_mod] = ACTIONS(333),
    [anon_sym_struct] = ACTIONS(333),
    [anon_sym_enum] = ACTIONS(333),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(333),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(333),
    [anon_sym_use] = ACTIONS(333),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_RPAREN] = ACTIONS(335),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(333),
    [anon_sym_continue] = ACTIONS(333),
    [anon_sym_default] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(333),
    [anon_sym_extern] = ACTIONS(333),
    [anon_sym_nopanic] = ACTIONS(333),
    [anon_sym_loop] = ACTIONS(333),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_pub] = ACTIONS(333),
    [anon_sym_return] = ACTIONS(333),
    [anon_sym_static] = ACTIONS(333),
    [anon_sym_while] = ACTIONS(333),
    [anon_sym_for] = ACTIONS(333),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(337),
    [sym_identifier] = ACTIONS(333),
    [sym_mutable_specifier] = ACTIONS(333),
    [sym_super] = ACTIONS(333),
    [sym_line_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_delim_token_tree] = STATE(32),
    [sym__delim_tokens] = STATE(32),
    [sym__literal] = STATE(32),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(32),
    [aux_sym_delim_token_tree_repeat1] = STATE(32),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_impl] = ACTIONS(339),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(339),
    [anon_sym_type] = ACTIONS(339),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(339),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_RBRACK] = ACTIONS(335),
    [anon_sym_mod] = ACTIONS(339),
    [anon_sym_struct] = ACTIONS(339),
    [anon_sym_enum] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(339),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(339),
    [anon_sym_use] = ACTIONS(339),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(339),
    [anon_sym_continue] = ACTIONS(339),
    [anon_sym_default] = ACTIONS(339),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_extern] = ACTIONS(339),
    [anon_sym_nopanic] = ACTIONS(339),
    [anon_sym_loop] = ACTIONS(339),
    [anon_sym_match] = ACTIONS(339),
    [anon_sym_pub] = ACTIONS(339),
    [anon_sym_return] = ACTIONS(339),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_while] = ACTIONS(339),
    [anon_sym_for] = ACTIONS(339),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(341),
    [sym_identifier] = ACTIONS(339),
    [sym_mutable_specifier] = ACTIONS(339),
    [sym_super] = ACTIONS(339),
    [sym_line_comment] = ACTIONS(3),
  },
  [37] = {
    [sym_delim_token_tree] = STATE(34),
    [sym__delim_tokens] = STATE(34),
    [sym__literal] = STATE(34),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(34),
    [aux_sym_delim_token_tree_repeat1] = STATE(34),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_RBRACE] = ACTIONS(335),
    [anon_sym_impl] = ACTIONS(343),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(343),
    [anon_sym_type] = ACTIONS(343),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(343),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_mod] = ACTIONS(343),
    [anon_sym_struct] = ACTIONS(343),
    [anon_sym_enum] = ACTIONS(343),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(343),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(343),
    [anon_sym_use] = ACTIONS(343),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(343),
    [anon_sym_continue] = ACTIONS(343),
    [anon_sym_default] = ACTIONS(343),
    [anon_sym_if] = ACTIONS(343),
    [anon_sym_extern] = ACTIONS(343),
    [anon_sym_nopanic] = ACTIONS(343),
    [anon_sym_loop] = ACTIONS(343),
    [anon_sym_match] = ACTIONS(343),
    [anon_sym_pub] = ACTIONS(343),
    [anon_sym_return] = ACTIONS(343),
    [anon_sym_static] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(343),
    [anon_sym_for] = ACTIONS(343),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(345),
    [sym_identifier] = ACTIONS(343),
    [sym_mutable_specifier] = ACTIONS(343),
    [sym_super] = ACTIONS(343),
    [sym_line_comment] = ACTIONS(3),
  },
  [38] = {
    [sym_delim_token_tree] = STATE(29),
    [sym__delim_tokens] = STATE(29),
    [sym__literal] = STATE(29),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(29),
    [aux_sym_delim_token_tree_repeat1] = STATE(29),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_impl] = ACTIONS(347),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(347),
    [anon_sym_type] = ACTIONS(347),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(347),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_RBRACK] = ACTIONS(327),
    [anon_sym_mod] = ACTIONS(347),
    [anon_sym_struct] = ACTIONS(347),
    [anon_sym_enum] = ACTIONS(347),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(347),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(347),
    [anon_sym_use] = ACTIONS(347),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(347),
    [anon_sym_continue] = ACTIONS(347),
    [anon_sym_default] = ACTIONS(347),
    [anon_sym_if] = ACTIONS(347),
    [anon_sym_extern] = ACTIONS(347),
    [anon_sym_nopanic] = ACTIONS(347),
    [anon_sym_loop] = ACTIONS(347),
    [anon_sym_match] = ACTIONS(347),
    [anon_sym_pub] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(347),
    [anon_sym_static] = ACTIONS(347),
    [anon_sym_while] = ACTIONS(347),
    [anon_sym_for] = ACTIONS(347),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(349),
    [sym_identifier] = ACTIONS(347),
    [sym_mutable_specifier] = ACTIONS(347),
    [sym_super] = ACTIONS(347),
    [sym_line_comment] = ACTIONS(3),
  },
  [39] = {
    [sym_delim_token_tree] = STATE(50),
    [sym__delim_tokens] = STATE(50),
    [sym__literal] = STATE(50),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(50),
    [aux_sym_delim_token_tree_repeat1] = STATE(50),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_impl] = ACTIONS(351),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(351),
    [anon_sym_type] = ACTIONS(351),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_mod] = ACTIONS(351),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_enum] = ACTIONS(351),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(351),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(351),
    [anon_sym_use] = ACTIONS(351),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_RPAREN] = ACTIONS(311),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(351),
    [anon_sym_continue] = ACTIONS(351),
    [anon_sym_default] = ACTIONS(351),
    [anon_sym_if] = ACTIONS(351),
    [anon_sym_extern] = ACTIONS(351),
    [anon_sym_nopanic] = ACTIONS(351),
    [anon_sym_loop] = ACTIONS(351),
    [anon_sym_match] = ACTIONS(351),
    [anon_sym_pub] = ACTIONS(351),
    [anon_sym_return] = ACTIONS(351),
    [anon_sym_static] = ACTIONS(351),
    [anon_sym_while] = ACTIONS(351),
    [anon_sym_for] = ACTIONS(351),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(353),
    [sym_identifier] = ACTIONS(351),
    [sym_mutable_specifier] = ACTIONS(351),
    [sym_super] = ACTIONS(351),
    [sym_line_comment] = ACTIONS(3),
  },
  [40] = {
    [sym_delim_token_tree] = STATE(23),
    [sym__delim_tokens] = STATE(23),
    [sym__literal] = STATE(23),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(23),
    [aux_sym_delim_token_tree_repeat1] = STATE(23),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_impl] = ACTIONS(317),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(317),
    [anon_sym_type] = ACTIONS(317),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(317),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_mod] = ACTIONS(317),
    [anon_sym_struct] = ACTIONS(317),
    [anon_sym_enum] = ACTIONS(317),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(317),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(317),
    [anon_sym_use] = ACTIONS(317),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_RPAREN] = ACTIONS(355),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(317),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_default] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_extern] = ACTIONS(317),
    [anon_sym_nopanic] = ACTIONS(317),
    [anon_sym_loop] = ACTIONS(317),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_pub] = ACTIONS(317),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(317),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(321),
    [sym_identifier] = ACTIONS(317),
    [sym_mutable_specifier] = ACTIONS(317),
    [sym_super] = ACTIONS(317),
    [sym_line_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_delim_token_tree] = STATE(23),
    [sym__delim_tokens] = STATE(23),
    [sym__literal] = STATE(23),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(23),
    [aux_sym_delim_token_tree_repeat1] = STATE(23),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_impl] = ACTIONS(317),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(317),
    [anon_sym_type] = ACTIONS(317),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(317),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_RBRACK] = ACTIONS(355),
    [anon_sym_mod] = ACTIONS(317),
    [anon_sym_struct] = ACTIONS(317),
    [anon_sym_enum] = ACTIONS(317),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(317),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(317),
    [anon_sym_use] = ACTIONS(317),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(317),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_default] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_extern] = ACTIONS(317),
    [anon_sym_nopanic] = ACTIONS(317),
    [anon_sym_loop] = ACTIONS(317),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_pub] = ACTIONS(317),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(317),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(321),
    [sym_identifier] = ACTIONS(317),
    [sym_mutable_specifier] = ACTIONS(317),
    [sym_super] = ACTIONS(317),
    [sym_line_comment] = ACTIONS(3),
  },
  [42] = {
    [sym_delim_token_tree] = STATE(23),
    [sym__delim_tokens] = STATE(23),
    [sym__literal] = STATE(23),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(23),
    [aux_sym_delim_token_tree_repeat1] = STATE(23),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_RBRACE] = ACTIONS(355),
    [anon_sym_impl] = ACTIONS(317),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(317),
    [anon_sym_type] = ACTIONS(317),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(317),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_mod] = ACTIONS(317),
    [anon_sym_struct] = ACTIONS(317),
    [anon_sym_enum] = ACTIONS(317),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(317),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(317),
    [anon_sym_use] = ACTIONS(317),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(317),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_default] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_extern] = ACTIONS(317),
    [anon_sym_nopanic] = ACTIONS(317),
    [anon_sym_loop] = ACTIONS(317),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_pub] = ACTIONS(317),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(317),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(321),
    [sym_identifier] = ACTIONS(317),
    [sym_mutable_specifier] = ACTIONS(317),
    [sym_super] = ACTIONS(317),
    [sym_line_comment] = ACTIONS(3),
  },
  [43] = {
    [sym_delim_token_tree] = STATE(27),
    [sym__delim_tokens] = STATE(27),
    [sym__literal] = STATE(27),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(27),
    [aux_sym_delim_token_tree_repeat1] = STATE(27),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_RBRACE] = ACTIONS(327),
    [anon_sym_impl] = ACTIONS(357),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(357),
    [anon_sym_type] = ACTIONS(357),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(357),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_mod] = ACTIONS(357),
    [anon_sym_struct] = ACTIONS(357),
    [anon_sym_enum] = ACTIONS(357),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(357),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(357),
    [anon_sym_use] = ACTIONS(357),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(357),
    [anon_sym_continue] = ACTIONS(357),
    [anon_sym_default] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(357),
    [anon_sym_extern] = ACTIONS(357),
    [anon_sym_nopanic] = ACTIONS(357),
    [anon_sym_loop] = ACTIONS(357),
    [anon_sym_match] = ACTIONS(357),
    [anon_sym_pub] = ACTIONS(357),
    [anon_sym_return] = ACTIONS(357),
    [anon_sym_static] = ACTIONS(357),
    [anon_sym_while] = ACTIONS(357),
    [anon_sym_for] = ACTIONS(357),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(359),
    [sym_identifier] = ACTIONS(357),
    [sym_mutable_specifier] = ACTIONS(357),
    [sym_super] = ACTIONS(357),
    [sym_line_comment] = ACTIONS(3),
  },
  [44] = {
    [sym_delim_token_tree] = STATE(53),
    [sym__delim_tokens] = STATE(53),
    [sym__literal] = STATE(53),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(53),
    [aux_sym_delim_token_tree_repeat1] = STATE(53),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_impl] = ACTIONS(361),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(361),
    [anon_sym_type] = ACTIONS(361),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(361),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_RBRACK] = ACTIONS(311),
    [anon_sym_mod] = ACTIONS(361),
    [anon_sym_struct] = ACTIONS(361),
    [anon_sym_enum] = ACTIONS(361),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(361),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_use] = ACTIONS(361),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(361),
    [anon_sym_continue] = ACTIONS(361),
    [anon_sym_default] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_extern] = ACTIONS(361),
    [anon_sym_nopanic] = ACTIONS(361),
    [anon_sym_loop] = ACTIONS(361),
    [anon_sym_match] = ACTIONS(361),
    [anon_sym_pub] = ACTIONS(361),
    [anon_sym_return] = ACTIONS(361),
    [anon_sym_static] = ACTIONS(361),
    [anon_sym_while] = ACTIONS(361),
    [anon_sym_for] = ACTIONS(361),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(363),
    [sym_identifier] = ACTIONS(361),
    [sym_mutable_specifier] = ACTIONS(361),
    [sym_super] = ACTIONS(361),
    [sym_line_comment] = ACTIONS(3),
  },
  [45] = {
    [sym_delim_token_tree] = STATE(40),
    [sym__delim_tokens] = STATE(40),
    [sym__literal] = STATE(40),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(40),
    [aux_sym_delim_token_tree_repeat1] = STATE(40),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_impl] = ACTIONS(365),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(365),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_mod] = ACTIONS(365),
    [anon_sym_struct] = ACTIONS(365),
    [anon_sym_enum] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(365),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(365),
    [anon_sym_use] = ACTIONS(365),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_RPAREN] = ACTIONS(367),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(365),
    [anon_sym_continue] = ACTIONS(365),
    [anon_sym_default] = ACTIONS(365),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_extern] = ACTIONS(365),
    [anon_sym_nopanic] = ACTIONS(365),
    [anon_sym_loop] = ACTIONS(365),
    [anon_sym_match] = ACTIONS(365),
    [anon_sym_pub] = ACTIONS(365),
    [anon_sym_return] = ACTIONS(365),
    [anon_sym_static] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(365),
    [anon_sym_for] = ACTIONS(365),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(369),
    [sym_identifier] = ACTIONS(365),
    [sym_mutable_specifier] = ACTIONS(365),
    [sym_super] = ACTIONS(365),
    [sym_line_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_delim_token_tree] = STATE(41),
    [sym__delim_tokens] = STATE(41),
    [sym__literal] = STATE(41),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(41),
    [aux_sym_delim_token_tree_repeat1] = STATE(41),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_impl] = ACTIONS(371),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(371),
    [anon_sym_type] = ACTIONS(371),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(371),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_RBRACK] = ACTIONS(367),
    [anon_sym_mod] = ACTIONS(371),
    [anon_sym_struct] = ACTIONS(371),
    [anon_sym_enum] = ACTIONS(371),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(371),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(371),
    [anon_sym_use] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(371),
    [anon_sym_continue] = ACTIONS(371),
    [anon_sym_default] = ACTIONS(371),
    [anon_sym_if] = ACTIONS(371),
    [anon_sym_extern] = ACTIONS(371),
    [anon_sym_nopanic] = ACTIONS(371),
    [anon_sym_loop] = ACTIONS(371),
    [anon_sym_match] = ACTIONS(371),
    [anon_sym_pub] = ACTIONS(371),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_static] = ACTIONS(371),
    [anon_sym_while] = ACTIONS(371),
    [anon_sym_for] = ACTIONS(371),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(373),
    [sym_identifier] = ACTIONS(371),
    [sym_mutable_specifier] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_line_comment] = ACTIONS(3),
  },
  [47] = {
    [sym_delim_token_tree] = STATE(42),
    [sym__delim_tokens] = STATE(42),
    [sym__literal] = STATE(42),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(42),
    [aux_sym_delim_token_tree_repeat1] = STATE(42),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_RBRACE] = ACTIONS(367),
    [anon_sym_impl] = ACTIONS(375),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(375),
    [anon_sym_type] = ACTIONS(375),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(375),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_mod] = ACTIONS(375),
    [anon_sym_struct] = ACTIONS(375),
    [anon_sym_enum] = ACTIONS(375),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(375),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(375),
    [anon_sym_use] = ACTIONS(375),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(375),
    [anon_sym_continue] = ACTIONS(375),
    [anon_sym_default] = ACTIONS(375),
    [anon_sym_if] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(375),
    [anon_sym_nopanic] = ACTIONS(375),
    [anon_sym_loop] = ACTIONS(375),
    [anon_sym_match] = ACTIONS(375),
    [anon_sym_pub] = ACTIONS(375),
    [anon_sym_return] = ACTIONS(375),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(375),
    [anon_sym_for] = ACTIONS(375),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(377),
    [sym_identifier] = ACTIONS(375),
    [sym_mutable_specifier] = ACTIONS(375),
    [sym_super] = ACTIONS(375),
    [sym_line_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_delim_token_tree] = STATE(52),
    [sym__delim_tokens] = STATE(52),
    [sym__literal] = STATE(52),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(52),
    [aux_sym_delim_token_tree_repeat1] = STATE(52),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_impl] = ACTIONS(379),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(379),
    [anon_sym_type] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(379),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_RBRACK] = ACTIONS(285),
    [anon_sym_mod] = ACTIONS(379),
    [anon_sym_struct] = ACTIONS(379),
    [anon_sym_enum] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(379),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(379),
    [anon_sym_use] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(379),
    [anon_sym_continue] = ACTIONS(379),
    [anon_sym_default] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_extern] = ACTIONS(379),
    [anon_sym_nopanic] = ACTIONS(379),
    [anon_sym_loop] = ACTIONS(379),
    [anon_sym_match] = ACTIONS(379),
    [anon_sym_pub] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(379),
    [anon_sym_static] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(379),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(381),
    [sym_identifier] = ACTIONS(379),
    [sym_mutable_specifier] = ACTIONS(379),
    [sym_super] = ACTIONS(379),
    [sym_line_comment] = ACTIONS(3),
  },
  [49] = {
    [sym_delim_token_tree] = STATE(26),
    [sym__delim_tokens] = STATE(26),
    [sym__literal] = STATE(26),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(26),
    [aux_sym_delim_token_tree_repeat1] = STATE(26),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_impl] = ACTIONS(383),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(383),
    [anon_sym_type] = ACTIONS(383),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(383),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_mod] = ACTIONS(383),
    [anon_sym_struct] = ACTIONS(383),
    [anon_sym_enum] = ACTIONS(383),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(383),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(383),
    [anon_sym_use] = ACTIONS(383),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_RPAREN] = ACTIONS(285),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [anon_sym_default] = ACTIONS(383),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_extern] = ACTIONS(383),
    [anon_sym_nopanic] = ACTIONS(383),
    [anon_sym_loop] = ACTIONS(383),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_pub] = ACTIONS(383),
    [anon_sym_return] = ACTIONS(383),
    [anon_sym_static] = ACTIONS(383),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_for] = ACTIONS(383),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(385),
    [sym_identifier] = ACTIONS(383),
    [sym_mutable_specifier] = ACTIONS(383),
    [sym_super] = ACTIONS(383),
    [sym_line_comment] = ACTIONS(3),
  },
  [50] = {
    [sym_delim_token_tree] = STATE(23),
    [sym__delim_tokens] = STATE(23),
    [sym__literal] = STATE(23),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(23),
    [aux_sym_delim_token_tree_repeat1] = STATE(23),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_impl] = ACTIONS(317),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(317),
    [anon_sym_type] = ACTIONS(317),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(317),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_mod] = ACTIONS(317),
    [anon_sym_struct] = ACTIONS(317),
    [anon_sym_enum] = ACTIONS(317),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(317),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(317),
    [anon_sym_use] = ACTIONS(317),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_RPAREN] = ACTIONS(387),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(317),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_default] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_extern] = ACTIONS(317),
    [anon_sym_nopanic] = ACTIONS(317),
    [anon_sym_loop] = ACTIONS(317),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_pub] = ACTIONS(317),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(317),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(321),
    [sym_identifier] = ACTIONS(317),
    [sym_mutable_specifier] = ACTIONS(317),
    [sym_super] = ACTIONS(317),
    [sym_line_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_delim_token_tree] = STATE(23),
    [sym__delim_tokens] = STATE(23),
    [sym__literal] = STATE(23),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(23),
    [aux_sym_delim_token_tree_repeat1] = STATE(23),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_RBRACE] = ACTIONS(387),
    [anon_sym_impl] = ACTIONS(317),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(317),
    [anon_sym_type] = ACTIONS(317),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(317),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_mod] = ACTIONS(317),
    [anon_sym_struct] = ACTIONS(317),
    [anon_sym_enum] = ACTIONS(317),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(317),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(317),
    [anon_sym_use] = ACTIONS(317),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(317),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_default] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_extern] = ACTIONS(317),
    [anon_sym_nopanic] = ACTIONS(317),
    [anon_sym_loop] = ACTIONS(317),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_pub] = ACTIONS(317),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(317),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(321),
    [sym_identifier] = ACTIONS(317),
    [sym_mutable_specifier] = ACTIONS(317),
    [sym_super] = ACTIONS(317),
    [sym_line_comment] = ACTIONS(3),
  },
  [52] = {
    [sym_delim_token_tree] = STATE(23),
    [sym__delim_tokens] = STATE(23),
    [sym__literal] = STATE(23),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(23),
    [aux_sym_delim_token_tree_repeat1] = STATE(23),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_impl] = ACTIONS(317),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(317),
    [anon_sym_type] = ACTIONS(317),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(317),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_RBRACK] = ACTIONS(319),
    [anon_sym_mod] = ACTIONS(317),
    [anon_sym_struct] = ACTIONS(317),
    [anon_sym_enum] = ACTIONS(317),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(317),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(317),
    [anon_sym_use] = ACTIONS(317),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(317),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_default] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_extern] = ACTIONS(317),
    [anon_sym_nopanic] = ACTIONS(317),
    [anon_sym_loop] = ACTIONS(317),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_pub] = ACTIONS(317),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(317),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(321),
    [sym_identifier] = ACTIONS(317),
    [sym_mutable_specifier] = ACTIONS(317),
    [sym_super] = ACTIONS(317),
    [sym_line_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_delim_token_tree] = STATE(23),
    [sym__delim_tokens] = STATE(23),
    [sym__literal] = STATE(23),
    [sym_negative_literal] = STATE(65),
    [sym_string_literal] = STATE(65),
    [sym_boolean_literal] = STATE(65),
    [sym__non_delim_token] = STATE(23),
    [aux_sym_delim_token_tree_repeat1] = STATE(23),
    [aux_sym__non_special_token_repeat1] = STATE(59),
    [anon_sym_LBRACE] = ACTIONS(283),
    [anon_sym_impl] = ACTIONS(317),
    [anon_sym_SEMI] = ACTIONS(289),
    [anon_sym_trait] = ACTIONS(317),
    [anon_sym_type] = ACTIONS(317),
    [anon_sym_COLON] = ACTIONS(291),
    [anon_sym_const] = ACTIONS(317),
    [anon_sym_EQ] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(291),
    [anon_sym_POUND] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_RBRACK] = ACTIONS(387),
    [anon_sym_mod] = ACTIONS(317),
    [anon_sym_struct] = ACTIONS(317),
    [anon_sym_enum] = ACTIONS(317),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_fn] = ACTIONS(317),
    [anon_sym_DASH_GT] = ACTIONS(289),
    [anon_sym_let] = ACTIONS(317),
    [anon_sym_use] = ACTIONS(317),
    [anon_sym_COLON_COLON] = ACTIONS(289),
    [anon_sym_STAR] = ACTIONS(291),
    [anon_sym_LPAREN] = ACTIONS(295),
    [anon_sym__] = ACTIONS(291),
    [anon_sym_u8] = ACTIONS(297),
    [anon_sym_i8] = ACTIONS(297),
    [anon_sym_u16] = ACTIONS(297),
    [anon_sym_i16] = ACTIONS(297),
    [anon_sym_u32] = ACTIONS(297),
    [anon_sym_i32] = ACTIONS(297),
    [anon_sym_u64] = ACTIONS(297),
    [anon_sym_i64] = ACTIONS(297),
    [anon_sym_u128] = ACTIONS(297),
    [anon_sym_i128] = ACTIONS(297),
    [anon_sym_usize] = ACTIONS(297),
    [anon_sym_bool] = ACTIONS(297),
    [anon_sym_ByteArray] = ACTIONS(297),
    [anon_sym_felt252] = ACTIONS(297),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_GT] = ACTIONS(291),
    [anon_sym_PLUS] = ACTIONS(291),
    [anon_sym_DASH] = ACTIONS(299),
    [anon_sym_SLASH] = ACTIONS(291),
    [anon_sym_PERCENT] = ACTIONS(291),
    [anon_sym_CARET] = ACTIONS(291),
    [anon_sym_TILDE] = ACTIONS(289),
    [anon_sym_AMP] = ACTIONS(291),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_AMP_AMP] = ACTIONS(289),
    [anon_sym_PIPE_PIPE] = ACTIONS(289),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PLUS_EQ] = ACTIONS(289),
    [anon_sym_DASH_EQ] = ACTIONS(289),
    [anon_sym_STAR_EQ] = ACTIONS(289),
    [anon_sym_SLASH_EQ] = ACTIONS(289),
    [anon_sym_PERCENT_EQ] = ACTIONS(289),
    [anon_sym_CARET_EQ] = ACTIONS(289),
    [anon_sym_AMP_EQ] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(289),
    [anon_sym_EQ_EQ] = ACTIONS(289),
    [anon_sym_BANG_EQ] = ACTIONS(289),
    [anon_sym_GT_EQ] = ACTIONS(289),
    [anon_sym_LT_EQ] = ACTIONS(289),
    [anon_sym_AT] = ACTIONS(289),
    [anon_sym_DOT_DOT] = ACTIONS(289),
    [anon_sym_DOT] = ACTIONS(291),
    [anon_sym_EQ_GT] = ACTIONS(289),
    [anon_sym_QMARK] = ACTIONS(289),
    [anon_sym_break] = ACTIONS(317),
    [anon_sym_continue] = ACTIONS(317),
    [anon_sym_default] = ACTIONS(317),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_extern] = ACTIONS(317),
    [anon_sym_nopanic] = ACTIONS(317),
    [anon_sym_loop] = ACTIONS(317),
    [anon_sym_match] = ACTIONS(317),
    [anon_sym_pub] = ACTIONS(317),
    [anon_sym_return] = ACTIONS(317),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(317),
    [sym_numeric_literal] = ACTIONS(301),
    [aux_sym_string_literal_token1] = ACTIONS(303),
    [sym_shortstring_literal] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [anon_sym_DOLLAR] = ACTIONS(321),
    [sym_identifier] = ACTIONS(317),
    [sym_mutable_specifier] = ACTIONS(317),
    [sym_super] = ACTIONS(317),
    [sym_line_comment] = ACTIONS(3),
  },
  [54] = {
    [sym_macro_invocation] = STATE(797),
    [sym_generic_type_with_turbofish] = STATE(1219),
    [sym__literal] = STATE(813),
    [sym_negative_literal] = STATE(827),
    [sym_string_literal] = STATE(827),
    [sym_boolean_literal] = STATE(827),
    [sym_scoped_identifier] = STATE(693),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1433),
    [sym_expression] = STATE(760),
    [sym_generic_function] = STATE(813),
    [sym_tuple_expression] = STATE(813),
    [sym_return_expression] = STATE(813),
    [sym_struct_expression] = STATE(813),
    [sym_assignment_expression] = STATE(813),
    [sym_break_expression] = STATE(813),
    [sym_continue_expression] = STATE(813),
    [sym_index_expression] = STATE(813),
    [sym_array_expression] = STATE(813),
    [sym_parenthesized_expression] = STATE(813),
    [sym_unit_expression] = STATE(813),
    [sym_compound_assignment_expr] = STATE(813),
    [sym__expression_ending_with_block] = STATE(813),
    [sym_unary_expression] = STATE(813),
    [sym_try_expression] = STATE(813),
    [sym_field_expression] = STATE(732),
    [sym_block] = STATE(813),
    [sym_if_expression] = STATE(813),
    [sym_match_expression] = STATE(813),
    [sym_while_expression] = STATE(813),
    [sym_for_expression] = STATE(813),
    [sym_loop_expression] = STATE(813),
    [sym_binary_expression] = STATE(813),
    [sym_call_expression] = STATE(813),
    [sym_reference_expression] = STATE(813),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_EQ] = ACTIONS(230),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_LBRACK] = ACTIONS(393),
    [anon_sym_COLON_COLON] = ACTIONS(395),
    [anon_sym_STAR] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_u8] = ACTIONS(399),
    [anon_sym_i8] = ACTIONS(399),
    [anon_sym_u16] = ACTIONS(399),
    [anon_sym_i16] = ACTIONS(399),
    [anon_sym_u32] = ACTIONS(399),
    [anon_sym_i32] = ACTIONS(399),
    [anon_sym_u64] = ACTIONS(399),
    [anon_sym_i64] = ACTIONS(399),
    [anon_sym_u128] = ACTIONS(399),
    [anon_sym_i128] = ACTIONS(399),
    [anon_sym_usize] = ACTIONS(399),
    [anon_sym_bool] = ACTIONS(399),
    [anon_sym_ByteArray] = ACTIONS(399),
    [anon_sym_felt252] = ACTIONS(399),
    [anon_sym_LT] = ACTIONS(230),
    [anon_sym_GT] = ACTIONS(230),
    [anon_sym_PLUS] = ACTIONS(230),
    [anon_sym_DASH] = ACTIONS(401),
    [anon_sym_SLASH] = ACTIONS(230),
    [anon_sym_PERCENT] = ACTIONS(230),
    [anon_sym_CARET] = ACTIONS(228),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_AMP] = ACTIONS(230),
    [anon_sym_PIPE] = ACTIONS(230),
    [anon_sym_AMP_AMP] = ACTIONS(228),
    [anon_sym_PIPE_PIPE] = ACTIONS(228),
    [anon_sym_LT_LT] = ACTIONS(228),
    [anon_sym_GT_GT] = ACTIONS(228),
    [anon_sym_PLUS_EQ] = ACTIONS(228),
    [anon_sym_DASH_EQ] = ACTIONS(228),
    [anon_sym_STAR_EQ] = ACTIONS(228),
    [anon_sym_SLASH_EQ] = ACTIONS(228),
    [anon_sym_PERCENT_EQ] = ACTIONS(228),
    [anon_sym_EQ_EQ] = ACTIONS(228),
    [anon_sym_BANG_EQ] = ACTIONS(228),
    [anon_sym_GT_EQ] = ACTIONS(228),
    [anon_sym_LT_EQ] = ACTIONS(228),
    [anon_sym_AT] = ACTIONS(403),
    [anon_sym_DOT] = ACTIONS(228),
    [anon_sym_EQ_GT] = ACTIONS(228),
    [anon_sym_QMARK] = ACTIONS(228),
    [anon_sym_break] = ACTIONS(405),
    [anon_sym_continue] = ACTIONS(407),
    [anon_sym_default] = ACTIONS(409),
    [anon_sym_if] = ACTIONS(411),
    [anon_sym_loop] = ACTIONS(413),
    [anon_sym_match] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(421),
    [sym_numeric_literal] = ACTIONS(423),
    [aux_sym_string_literal_token1] = ACTIONS(425),
    [sym_shortstring_literal] = ACTIONS(427),
    [anon_sym_true] = ACTIONS(429),
    [anon_sym_false] = ACTIONS(429),
    [anon_sym_ref] = ACTIONS(431),
    [sym_identifier] = ACTIONS(433),
    [sym_super] = ACTIONS(435),
    [sym_line_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_macro_invocation] = STATE(797),
    [sym_generic_type_with_turbofish] = STATE(1219),
    [sym__literal] = STATE(813),
    [sym_negative_literal] = STATE(827),
    [sym_string_literal] = STATE(827),
    [sym_boolean_literal] = STATE(827),
    [sym_scoped_identifier] = STATE(693),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1433),
    [sym_expression] = STATE(755),
    [sym_generic_function] = STATE(813),
    [sym_tuple_expression] = STATE(813),
    [sym_return_expression] = STATE(813),
    [sym_struct_expression] = STATE(813),
    [sym_assignment_expression] = STATE(813),
    [sym_break_expression] = STATE(813),
    [sym_continue_expression] = STATE(813),
    [sym_index_expression] = STATE(813),
    [sym_array_expression] = STATE(813),
    [sym_parenthesized_expression] = STATE(813),
    [sym_unit_expression] = STATE(813),
    [sym_compound_assignment_expr] = STATE(813),
    [sym__expression_ending_with_block] = STATE(813),
    [sym_unary_expression] = STATE(813),
    [sym_try_expression] = STATE(813),
    [sym_field_expression] = STATE(732),
    [sym_block] = STATE(813),
    [sym_if_expression] = STATE(813),
    [sym_match_expression] = STATE(813),
    [sym_while_expression] = STATE(813),
    [sym_for_expression] = STATE(813),
    [sym_loop_expression] = STATE(813),
    [sym_binary_expression] = STATE(813),
    [sym_call_expression] = STATE(813),
    [sym_reference_expression] = STATE(813),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_EQ] = ACTIONS(240),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_LBRACK] = ACTIONS(238),
    [anon_sym_COLON_COLON] = ACTIONS(395),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_u8] = ACTIONS(399),
    [anon_sym_i8] = ACTIONS(399),
    [anon_sym_u16] = ACTIONS(399),
    [anon_sym_i16] = ACTIONS(399),
    [anon_sym_u32] = ACTIONS(399),
    [anon_sym_i32] = ACTIONS(399),
    [anon_sym_u64] = ACTIONS(399),
    [anon_sym_i64] = ACTIONS(399),
    [anon_sym_u128] = ACTIONS(399),
    [anon_sym_i128] = ACTIONS(399),
    [anon_sym_usize] = ACTIONS(399),
    [anon_sym_bool] = ACTIONS(399),
    [anon_sym_ByteArray] = ACTIONS(399),
    [anon_sym_felt252] = ACTIONS(399),
    [anon_sym_LT] = ACTIONS(240),
    [anon_sym_GT] = ACTIONS(240),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_SLASH] = ACTIONS(240),
    [anon_sym_PERCENT] = ACTIONS(240),
    [anon_sym_CARET] = ACTIONS(238),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_PIPE] = ACTIONS(240),
    [anon_sym_AMP_AMP] = ACTIONS(238),
    [anon_sym_PIPE_PIPE] = ACTIONS(238),
    [anon_sym_LT_LT] = ACTIONS(238),
    [anon_sym_GT_GT] = ACTIONS(238),
    [anon_sym_PLUS_EQ] = ACTIONS(238),
    [anon_sym_DASH_EQ] = ACTIONS(238),
    [anon_sym_STAR_EQ] = ACTIONS(238),
    [anon_sym_SLASH_EQ] = ACTIONS(238),
    [anon_sym_PERCENT_EQ] = ACTIONS(238),
    [anon_sym_EQ_EQ] = ACTIONS(238),
    [anon_sym_BANG_EQ] = ACTIONS(238),
    [anon_sym_GT_EQ] = ACTIONS(238),
    [anon_sym_LT_EQ] = ACTIONS(238),
    [anon_sym_AT] = ACTIONS(403),
    [anon_sym_DOT] = ACTIONS(238),
    [anon_sym_EQ_GT] = ACTIONS(238),
    [anon_sym_QMARK] = ACTIONS(238),
    [anon_sym_break] = ACTIONS(405),
    [anon_sym_continue] = ACTIONS(407),
    [anon_sym_default] = ACTIONS(409),
    [anon_sym_if] = ACTIONS(411),
    [anon_sym_loop] = ACTIONS(413),
    [anon_sym_match] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(421),
    [sym_numeric_literal] = ACTIONS(423),
    [aux_sym_string_literal_token1] = ACTIONS(425),
    [sym_shortstring_literal] = ACTIONS(427),
    [anon_sym_true] = ACTIONS(429),
    [anon_sym_false] = ACTIONS(429),
    [anon_sym_ref] = ACTIONS(431),
    [sym_identifier] = ACTIONS(433),
    [sym_super] = ACTIONS(435),
    [sym_line_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(757),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(238),
    [anon_sym_EQ] = ACTIONS(240),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(238),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_LT] = ACTIONS(240),
    [anon_sym_GT] = ACTIONS(240),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_SLASH] = ACTIONS(240),
    [anon_sym_PERCENT] = ACTIONS(240),
    [anon_sym_CARET] = ACTIONS(238),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_PIPE] = ACTIONS(240),
    [anon_sym_AMP_AMP] = ACTIONS(238),
    [anon_sym_PIPE_PIPE] = ACTIONS(238),
    [anon_sym_LT_LT] = ACTIONS(238),
    [anon_sym_GT_GT] = ACTIONS(238),
    [anon_sym_PLUS_EQ] = ACTIONS(238),
    [anon_sym_DASH_EQ] = ACTIONS(238),
    [anon_sym_STAR_EQ] = ACTIONS(238),
    [anon_sym_SLASH_EQ] = ACTIONS(238),
    [anon_sym_PERCENT_EQ] = ACTIONS(238),
    [anon_sym_EQ_EQ] = ACTIONS(238),
    [anon_sym_BANG_EQ] = ACTIONS(238),
    [anon_sym_GT_EQ] = ACTIONS(238),
    [anon_sym_LT_EQ] = ACTIONS(238),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_DOT] = ACTIONS(238),
    [anon_sym_QMARK] = ACTIONS(238),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(741),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(230),
    [anon_sym_BANG] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(437),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_LT] = ACTIONS(230),
    [anon_sym_GT] = ACTIONS(230),
    [anon_sym_PLUS] = ACTIONS(230),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_SLASH] = ACTIONS(230),
    [anon_sym_PERCENT] = ACTIONS(230),
    [anon_sym_CARET] = ACTIONS(228),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AMP] = ACTIONS(230),
    [anon_sym_PIPE] = ACTIONS(230),
    [anon_sym_AMP_AMP] = ACTIONS(228),
    [anon_sym_PIPE_PIPE] = ACTIONS(228),
    [anon_sym_LT_LT] = ACTIONS(228),
    [anon_sym_GT_GT] = ACTIONS(228),
    [anon_sym_PLUS_EQ] = ACTIONS(228),
    [anon_sym_DASH_EQ] = ACTIONS(228),
    [anon_sym_STAR_EQ] = ACTIONS(228),
    [anon_sym_SLASH_EQ] = ACTIONS(228),
    [anon_sym_PERCENT_EQ] = ACTIONS(228),
    [anon_sym_EQ_EQ] = ACTIONS(228),
    [anon_sym_BANG_EQ] = ACTIONS(228),
    [anon_sym_GT_EQ] = ACTIONS(228),
    [anon_sym_LT_EQ] = ACTIONS(228),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_DOT] = ACTIONS(228),
    [anon_sym_QMARK] = ACTIONS(228),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [58] = {
    [aux_sym__non_special_token_repeat1] = STATE(58),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_RBRACE] = ACTIONS(459),
    [anon_sym_impl] = ACTIONS(461),
    [anon_sym_SEMI] = ACTIONS(463),
    [anon_sym_trait] = ACTIONS(461),
    [anon_sym_type] = ACTIONS(461),
    [anon_sym_COLON] = ACTIONS(466),
    [anon_sym_const] = ACTIONS(461),
    [anon_sym_EQ] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_POUND] = ACTIONS(463),
    [anon_sym_LBRACK] = ACTIONS(459),
    [anon_sym_RBRACK] = ACTIONS(459),
    [anon_sym_mod] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(461),
    [anon_sym_enum] = ACTIONS(461),
    [anon_sym_COMMA] = ACTIONS(463),
    [anon_sym_fn] = ACTIONS(461),
    [anon_sym_DASH_GT] = ACTIONS(463),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_use] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_STAR] = ACTIONS(466),
    [anon_sym_LPAREN] = ACTIONS(459),
    [anon_sym__] = ACTIONS(466),
    [anon_sym_RPAREN] = ACTIONS(459),
    [anon_sym_u8] = ACTIONS(461),
    [anon_sym_i8] = ACTIONS(461),
    [anon_sym_u16] = ACTIONS(461),
    [anon_sym_i16] = ACTIONS(461),
    [anon_sym_u32] = ACTIONS(461),
    [anon_sym_i32] = ACTIONS(461),
    [anon_sym_u64] = ACTIONS(461),
    [anon_sym_i64] = ACTIONS(461),
    [anon_sym_u128] = ACTIONS(461),
    [anon_sym_i128] = ACTIONS(461),
    [anon_sym_usize] = ACTIONS(461),
    [anon_sym_bool] = ACTIONS(461),
    [anon_sym_ByteArray] = ACTIONS(461),
    [anon_sym_felt252] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(466),
    [anon_sym_GT] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(466),
    [anon_sym_DASH] = ACTIONS(466),
    [anon_sym_SLASH] = ACTIONS(466),
    [anon_sym_PERCENT] = ACTIONS(466),
    [anon_sym_CARET] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(463),
    [anon_sym_AMP] = ACTIONS(466),
    [anon_sym_PIPE] = ACTIONS(466),
    [anon_sym_AMP_AMP] = ACTIONS(463),
    [anon_sym_PIPE_PIPE] = ACTIONS(463),
    [anon_sym_LT_LT] = ACTIONS(463),
    [anon_sym_GT_GT] = ACTIONS(463),
    [anon_sym_PLUS_EQ] = ACTIONS(463),
    [anon_sym_DASH_EQ] = ACTIONS(463),
    [anon_sym_STAR_EQ] = ACTIONS(463),
    [anon_sym_SLASH_EQ] = ACTIONS(463),
    [anon_sym_PERCENT_EQ] = ACTIONS(463),
    [anon_sym_CARET_EQ] = ACTIONS(463),
    [anon_sym_AMP_EQ] = ACTIONS(463),
    [anon_sym_PIPE_EQ] = ACTIONS(463),
    [anon_sym_EQ_EQ] = ACTIONS(463),
    [anon_sym_BANG_EQ] = ACTIONS(463),
    [anon_sym_GT_EQ] = ACTIONS(463),
    [anon_sym_LT_EQ] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(463),
    [anon_sym_DOT_DOT] = ACTIONS(463),
    [anon_sym_DOT] = ACTIONS(466),
    [anon_sym_EQ_GT] = ACTIONS(463),
    [anon_sym_QMARK] = ACTIONS(463),
    [anon_sym_break] = ACTIONS(461),
    [anon_sym_continue] = ACTIONS(461),
    [anon_sym_default] = ACTIONS(461),
    [anon_sym_if] = ACTIONS(461),
    [anon_sym_extern] = ACTIONS(461),
    [anon_sym_nopanic] = ACTIONS(461),
    [anon_sym_loop] = ACTIONS(461),
    [anon_sym_match] = ACTIONS(461),
    [anon_sym_pub] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(461),
    [anon_sym_static] = ACTIONS(461),
    [anon_sym_while] = ACTIONS(461),
    [anon_sym_for] = ACTIONS(461),
    [sym_numeric_literal] = ACTIONS(461),
    [aux_sym_string_literal_token1] = ACTIONS(459),
    [sym_shortstring_literal] = ACTIONS(459),
    [anon_sym_true] = ACTIONS(461),
    [anon_sym_false] = ACTIONS(461),
    [anon_sym_DOLLAR] = ACTIONS(459),
    [sym_identifier] = ACTIONS(461),
    [sym_mutable_specifier] = ACTIONS(461),
    [sym_super] = ACTIONS(461),
    [sym_line_comment] = ACTIONS(3),
  },
  [59] = {
    [aux_sym__non_special_token_repeat1] = STATE(58),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_RBRACE] = ACTIONS(469),
    [anon_sym_impl] = ACTIONS(471),
    [anon_sym_SEMI] = ACTIONS(473),
    [anon_sym_trait] = ACTIONS(471),
    [anon_sym_type] = ACTIONS(471),
    [anon_sym_COLON] = ACTIONS(475),
    [anon_sym_const] = ACTIONS(471),
    [anon_sym_EQ] = ACTIONS(475),
    [anon_sym_BANG] = ACTIONS(475),
    [anon_sym_POUND] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(469),
    [anon_sym_RBRACK] = ACTIONS(469),
    [anon_sym_mod] = ACTIONS(471),
    [anon_sym_struct] = ACTIONS(471),
    [anon_sym_enum] = ACTIONS(471),
    [anon_sym_COMMA] = ACTIONS(473),
    [anon_sym_fn] = ACTIONS(471),
    [anon_sym_DASH_GT] = ACTIONS(473),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_use] = ACTIONS(471),
    [anon_sym_COLON_COLON] = ACTIONS(473),
    [anon_sym_STAR] = ACTIONS(475),
    [anon_sym_LPAREN] = ACTIONS(469),
    [anon_sym__] = ACTIONS(475),
    [anon_sym_RPAREN] = ACTIONS(469),
    [anon_sym_u8] = ACTIONS(471),
    [anon_sym_i8] = ACTIONS(471),
    [anon_sym_u16] = ACTIONS(471),
    [anon_sym_i16] = ACTIONS(471),
    [anon_sym_u32] = ACTIONS(471),
    [anon_sym_i32] = ACTIONS(471),
    [anon_sym_u64] = ACTIONS(471),
    [anon_sym_i64] = ACTIONS(471),
    [anon_sym_u128] = ACTIONS(471),
    [anon_sym_i128] = ACTIONS(471),
    [anon_sym_usize] = ACTIONS(471),
    [anon_sym_bool] = ACTIONS(471),
    [anon_sym_ByteArray] = ACTIONS(471),
    [anon_sym_felt252] = ACTIONS(471),
    [anon_sym_LT] = ACTIONS(475),
    [anon_sym_GT] = ACTIONS(475),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_SLASH] = ACTIONS(475),
    [anon_sym_PERCENT] = ACTIONS(475),
    [anon_sym_CARET] = ACTIONS(475),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_PIPE] = ACTIONS(475),
    [anon_sym_AMP_AMP] = ACTIONS(473),
    [anon_sym_PIPE_PIPE] = ACTIONS(473),
    [anon_sym_LT_LT] = ACTIONS(473),
    [anon_sym_GT_GT] = ACTIONS(473),
    [anon_sym_PLUS_EQ] = ACTIONS(473),
    [anon_sym_DASH_EQ] = ACTIONS(473),
    [anon_sym_STAR_EQ] = ACTIONS(473),
    [anon_sym_SLASH_EQ] = ACTIONS(473),
    [anon_sym_PERCENT_EQ] = ACTIONS(473),
    [anon_sym_CARET_EQ] = ACTIONS(473),
    [anon_sym_AMP_EQ] = ACTIONS(473),
    [anon_sym_PIPE_EQ] = ACTIONS(473),
    [anon_sym_EQ_EQ] = ACTIONS(473),
    [anon_sym_BANG_EQ] = ACTIONS(473),
    [anon_sym_GT_EQ] = ACTIONS(473),
    [anon_sym_LT_EQ] = ACTIONS(473),
    [anon_sym_AT] = ACTIONS(473),
    [anon_sym_DOT_DOT] = ACTIONS(473),
    [anon_sym_DOT] = ACTIONS(475),
    [anon_sym_EQ_GT] = ACTIONS(473),
    [anon_sym_QMARK] = ACTIONS(473),
    [anon_sym_break] = ACTIONS(471),
    [anon_sym_continue] = ACTIONS(471),
    [anon_sym_default] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_extern] = ACTIONS(471),
    [anon_sym_nopanic] = ACTIONS(471),
    [anon_sym_loop] = ACTIONS(471),
    [anon_sym_match] = ACTIONS(471),
    [anon_sym_pub] = ACTIONS(471),
    [anon_sym_return] = ACTIONS(471),
    [anon_sym_static] = ACTIONS(471),
    [anon_sym_while] = ACTIONS(471),
    [anon_sym_for] = ACTIONS(471),
    [sym_numeric_literal] = ACTIONS(471),
    [aux_sym_string_literal_token1] = ACTIONS(469),
    [sym_shortstring_literal] = ACTIONS(469),
    [anon_sym_true] = ACTIONS(471),
    [anon_sym_false] = ACTIONS(471),
    [anon_sym_DOLLAR] = ACTIONS(469),
    [sym_identifier] = ACTIONS(471),
    [sym_mutable_specifier] = ACTIONS(471),
    [sym_super] = ACTIONS(471),
    [sym_line_comment] = ACTIONS(3),
  },
  [60] = {
    [anon_sym_LBRACE] = ACTIONS(477),
    [anon_sym_RBRACE] = ACTIONS(477),
    [anon_sym_impl] = ACTIONS(479),
    [anon_sym_SEMI] = ACTIONS(477),
    [anon_sym_trait] = ACTIONS(479),
    [anon_sym_type] = ACTIONS(479),
    [anon_sym_COLON] = ACTIONS(479),
    [anon_sym_const] = ACTIONS(479),
    [anon_sym_EQ] = ACTIONS(479),
    [anon_sym_BANG] = ACTIONS(479),
    [anon_sym_POUND] = ACTIONS(477),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_RBRACK] = ACTIONS(477),
    [anon_sym_mod] = ACTIONS(479),
    [anon_sym_struct] = ACTIONS(479),
    [anon_sym_enum] = ACTIONS(479),
    [anon_sym_COMMA] = ACTIONS(477),
    [anon_sym_fn] = ACTIONS(479),
    [anon_sym_DASH_GT] = ACTIONS(477),
    [anon_sym_let] = ACTIONS(479),
    [anon_sym_use] = ACTIONS(479),
    [anon_sym_COLON_COLON] = ACTIONS(477),
    [anon_sym_STAR] = ACTIONS(479),
    [anon_sym_LPAREN] = ACTIONS(477),
    [anon_sym__] = ACTIONS(479),
    [anon_sym_RPAREN] = ACTIONS(477),
    [anon_sym_u8] = ACTIONS(479),
    [anon_sym_i8] = ACTIONS(479),
    [anon_sym_u16] = ACTIONS(479),
    [anon_sym_i16] = ACTIONS(479),
    [anon_sym_u32] = ACTIONS(479),
    [anon_sym_i32] = ACTIONS(479),
    [anon_sym_u64] = ACTIONS(479),
    [anon_sym_i64] = ACTIONS(479),
    [anon_sym_u128] = ACTIONS(479),
    [anon_sym_i128] = ACTIONS(479),
    [anon_sym_usize] = ACTIONS(479),
    [anon_sym_bool] = ACTIONS(479),
    [anon_sym_ByteArray] = ACTIONS(479),
    [anon_sym_felt252] = ACTIONS(479),
    [anon_sym_LT] = ACTIONS(479),
    [anon_sym_GT] = ACTIONS(479),
    [anon_sym_PLUS] = ACTIONS(479),
    [anon_sym_DASH] = ACTIONS(479),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_PERCENT] = ACTIONS(479),
    [anon_sym_CARET] = ACTIONS(479),
    [anon_sym_TILDE] = ACTIONS(477),
    [anon_sym_AMP] = ACTIONS(479),
    [anon_sym_PIPE] = ACTIONS(479),
    [anon_sym_AMP_AMP] = ACTIONS(477),
    [anon_sym_PIPE_PIPE] = ACTIONS(477),
    [anon_sym_LT_LT] = ACTIONS(477),
    [anon_sym_GT_GT] = ACTIONS(477),
    [anon_sym_PLUS_EQ] = ACTIONS(477),
    [anon_sym_DASH_EQ] = ACTIONS(477),
    [anon_sym_STAR_EQ] = ACTIONS(477),
    [anon_sym_SLASH_EQ] = ACTIONS(477),
    [anon_sym_PERCENT_EQ] = ACTIONS(477),
    [anon_sym_CARET_EQ] = ACTIONS(477),
    [anon_sym_AMP_EQ] = ACTIONS(477),
    [anon_sym_PIPE_EQ] = ACTIONS(477),
    [anon_sym_EQ_EQ] = ACTIONS(477),
    [anon_sym_BANG_EQ] = ACTIONS(477),
    [anon_sym_GT_EQ] = ACTIONS(477),
    [anon_sym_LT_EQ] = ACTIONS(477),
    [anon_sym_AT] = ACTIONS(477),
    [anon_sym_DOT_DOT] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(479),
    [anon_sym_EQ_GT] = ACTIONS(477),
    [anon_sym_QMARK] = ACTIONS(477),
    [anon_sym_break] = ACTIONS(479),
    [anon_sym_continue] = ACTIONS(479),
    [anon_sym_default] = ACTIONS(479),
    [anon_sym_if] = ACTIONS(479),
    [anon_sym_extern] = ACTIONS(479),
    [anon_sym_nopanic] = ACTIONS(479),
    [anon_sym_loop] = ACTIONS(479),
    [anon_sym_match] = ACTIONS(479),
    [anon_sym_pub] = ACTIONS(479),
    [anon_sym_return] = ACTIONS(479),
    [anon_sym_static] = ACTIONS(479),
    [anon_sym_while] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(479),
    [sym_numeric_literal] = ACTIONS(479),
    [aux_sym_string_literal_token1] = ACTIONS(477),
    [sym_shortstring_literal] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_DOLLAR] = ACTIONS(477),
    [sym_identifier] = ACTIONS(479),
    [sym_mutable_specifier] = ACTIONS(479),
    [sym_super] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
  },
  [61] = {
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_impl] = ACTIONS(483),
    [anon_sym_SEMI] = ACTIONS(481),
    [anon_sym_trait] = ACTIONS(483),
    [anon_sym_type] = ACTIONS(483),
    [anon_sym_COLON] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(483),
    [anon_sym_EQ] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [anon_sym_POUND] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_RBRACK] = ACTIONS(481),
    [anon_sym_mod] = ACTIONS(483),
    [anon_sym_struct] = ACTIONS(483),
    [anon_sym_enum] = ACTIONS(483),
    [anon_sym_COMMA] = ACTIONS(481),
    [anon_sym_fn] = ACTIONS(483),
    [anon_sym_DASH_GT] = ACTIONS(481),
    [anon_sym_let] = ACTIONS(483),
    [anon_sym_use] = ACTIONS(483),
    [anon_sym_COLON_COLON] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(483),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym__] = ACTIONS(483),
    [anon_sym_RPAREN] = ACTIONS(481),
    [anon_sym_u8] = ACTIONS(483),
    [anon_sym_i8] = ACTIONS(483),
    [anon_sym_u16] = ACTIONS(483),
    [anon_sym_i16] = ACTIONS(483),
    [anon_sym_u32] = ACTIONS(483),
    [anon_sym_i32] = ACTIONS(483),
    [anon_sym_u64] = ACTIONS(483),
    [anon_sym_i64] = ACTIONS(483),
    [anon_sym_u128] = ACTIONS(483),
    [anon_sym_i128] = ACTIONS(483),
    [anon_sym_usize] = ACTIONS(483),
    [anon_sym_bool] = ACTIONS(483),
    [anon_sym_ByteArray] = ACTIONS(483),
    [anon_sym_felt252] = ACTIONS(483),
    [anon_sym_LT] = ACTIONS(483),
    [anon_sym_GT] = ACTIONS(483),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_PERCENT] = ACTIONS(483),
    [anon_sym_CARET] = ACTIONS(483),
    [anon_sym_TILDE] = ACTIONS(481),
    [anon_sym_AMP] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(483),
    [anon_sym_AMP_AMP] = ACTIONS(481),
    [anon_sym_PIPE_PIPE] = ACTIONS(481),
    [anon_sym_LT_LT] = ACTIONS(481),
    [anon_sym_GT_GT] = ACTIONS(481),
    [anon_sym_PLUS_EQ] = ACTIONS(481),
    [anon_sym_DASH_EQ] = ACTIONS(481),
    [anon_sym_STAR_EQ] = ACTIONS(481),
    [anon_sym_SLASH_EQ] = ACTIONS(481),
    [anon_sym_PERCENT_EQ] = ACTIONS(481),
    [anon_sym_CARET_EQ] = ACTIONS(481),
    [anon_sym_AMP_EQ] = ACTIONS(481),
    [anon_sym_PIPE_EQ] = ACTIONS(481),
    [anon_sym_EQ_EQ] = ACTIONS(481),
    [anon_sym_BANG_EQ] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_DOT_DOT] = ACTIONS(481),
    [anon_sym_DOT] = ACTIONS(483),
    [anon_sym_EQ_GT] = ACTIONS(481),
    [anon_sym_QMARK] = ACTIONS(481),
    [anon_sym_break] = ACTIONS(483),
    [anon_sym_continue] = ACTIONS(483),
    [anon_sym_default] = ACTIONS(483),
    [anon_sym_if] = ACTIONS(483),
    [anon_sym_extern] = ACTIONS(483),
    [anon_sym_nopanic] = ACTIONS(483),
    [anon_sym_loop] = ACTIONS(483),
    [anon_sym_match] = ACTIONS(483),
    [anon_sym_pub] = ACTIONS(483),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_static] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_for] = ACTIONS(483),
    [sym_numeric_literal] = ACTIONS(483),
    [aux_sym_string_literal_token1] = ACTIONS(481),
    [sym_shortstring_literal] = ACTIONS(481),
    [anon_sym_true] = ACTIONS(483),
    [anon_sym_false] = ACTIONS(483),
    [anon_sym_DOLLAR] = ACTIONS(481),
    [sym_identifier] = ACTIONS(483),
    [sym_mutable_specifier] = ACTIONS(483),
    [sym_super] = ACTIONS(483),
    [sym_line_comment] = ACTIONS(3),
  },
  [62] = {
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(485),
    [anon_sym_impl] = ACTIONS(487),
    [anon_sym_SEMI] = ACTIONS(485),
    [anon_sym_trait] = ACTIONS(487),
    [anon_sym_type] = ACTIONS(487),
    [anon_sym_COLON] = ACTIONS(487),
    [anon_sym_const] = ACTIONS(487),
    [anon_sym_EQ] = ACTIONS(487),
    [anon_sym_BANG] = ACTIONS(487),
    [anon_sym_POUND] = ACTIONS(485),
    [anon_sym_LBRACK] = ACTIONS(485),
    [anon_sym_RBRACK] = ACTIONS(485),
    [anon_sym_mod] = ACTIONS(487),
    [anon_sym_struct] = ACTIONS(487),
    [anon_sym_enum] = ACTIONS(487),
    [anon_sym_COMMA] = ACTIONS(485),
    [anon_sym_fn] = ACTIONS(487),
    [anon_sym_DASH_GT] = ACTIONS(485),
    [anon_sym_let] = ACTIONS(487),
    [anon_sym_use] = ACTIONS(487),
    [anon_sym_COLON_COLON] = ACTIONS(485),
    [anon_sym_STAR] = ACTIONS(487),
    [anon_sym_LPAREN] = ACTIONS(485),
    [anon_sym__] = ACTIONS(487),
    [anon_sym_RPAREN] = ACTIONS(485),
    [anon_sym_u8] = ACTIONS(487),
    [anon_sym_i8] = ACTIONS(487),
    [anon_sym_u16] = ACTIONS(487),
    [anon_sym_i16] = ACTIONS(487),
    [anon_sym_u32] = ACTIONS(487),
    [anon_sym_i32] = ACTIONS(487),
    [anon_sym_u64] = ACTIONS(487),
    [anon_sym_i64] = ACTIONS(487),
    [anon_sym_u128] = ACTIONS(487),
    [anon_sym_i128] = ACTIONS(487),
    [anon_sym_usize] = ACTIONS(487),
    [anon_sym_bool] = ACTIONS(487),
    [anon_sym_ByteArray] = ACTIONS(487),
    [anon_sym_felt252] = ACTIONS(487),
    [anon_sym_LT] = ACTIONS(487),
    [anon_sym_GT] = ACTIONS(487),
    [anon_sym_PLUS] = ACTIONS(487),
    [anon_sym_DASH] = ACTIONS(487),
    [anon_sym_SLASH] = ACTIONS(487),
    [anon_sym_PERCENT] = ACTIONS(487),
    [anon_sym_CARET] = ACTIONS(487),
    [anon_sym_TILDE] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_PIPE] = ACTIONS(487),
    [anon_sym_AMP_AMP] = ACTIONS(485),
    [anon_sym_PIPE_PIPE] = ACTIONS(485),
    [anon_sym_LT_LT] = ACTIONS(485),
    [anon_sym_GT_GT] = ACTIONS(485),
    [anon_sym_PLUS_EQ] = ACTIONS(485),
    [anon_sym_DASH_EQ] = ACTIONS(485),
    [anon_sym_STAR_EQ] = ACTIONS(485),
    [anon_sym_SLASH_EQ] = ACTIONS(485),
    [anon_sym_PERCENT_EQ] = ACTIONS(485),
    [anon_sym_CARET_EQ] = ACTIONS(485),
    [anon_sym_AMP_EQ] = ACTIONS(485),
    [anon_sym_PIPE_EQ] = ACTIONS(485),
    [anon_sym_EQ_EQ] = ACTIONS(485),
    [anon_sym_BANG_EQ] = ACTIONS(485),
    [anon_sym_GT_EQ] = ACTIONS(485),
    [anon_sym_LT_EQ] = ACTIONS(485),
    [anon_sym_AT] = ACTIONS(485),
    [anon_sym_DOT_DOT] = ACTIONS(485),
    [anon_sym_DOT] = ACTIONS(487),
    [anon_sym_EQ_GT] = ACTIONS(485),
    [anon_sym_QMARK] = ACTIONS(485),
    [anon_sym_break] = ACTIONS(487),
    [anon_sym_continue] = ACTIONS(487),
    [anon_sym_default] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_extern] = ACTIONS(487),
    [anon_sym_nopanic] = ACTIONS(487),
    [anon_sym_loop] = ACTIONS(487),
    [anon_sym_match] = ACTIONS(487),
    [anon_sym_pub] = ACTIONS(487),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_static] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(487),
    [anon_sym_for] = ACTIONS(487),
    [sym_numeric_literal] = ACTIONS(487),
    [aux_sym_string_literal_token1] = ACTIONS(485),
    [sym_shortstring_literal] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [anon_sym_DOLLAR] = ACTIONS(485),
    [sym_identifier] = ACTIONS(487),
    [sym_mutable_specifier] = ACTIONS(487),
    [sym_super] = ACTIONS(487),
    [sym_line_comment] = ACTIONS(3),
  },
  [63] = {
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_RBRACE] = ACTIONS(489),
    [anon_sym_impl] = ACTIONS(491),
    [anon_sym_SEMI] = ACTIONS(489),
    [anon_sym_trait] = ACTIONS(491),
    [anon_sym_type] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(491),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_EQ] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_POUND] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(489),
    [anon_sym_RBRACK] = ACTIONS(489),
    [anon_sym_mod] = ACTIONS(491),
    [anon_sym_struct] = ACTIONS(491),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_COMMA] = ACTIONS(489),
    [anon_sym_fn] = ACTIONS(491),
    [anon_sym_DASH_GT] = ACTIONS(489),
    [anon_sym_let] = ACTIONS(491),
    [anon_sym_use] = ACTIONS(491),
    [anon_sym_COLON_COLON] = ACTIONS(489),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym__] = ACTIONS(491),
    [anon_sym_RPAREN] = ACTIONS(489),
    [anon_sym_u8] = ACTIONS(491),
    [anon_sym_i8] = ACTIONS(491),
    [anon_sym_u16] = ACTIONS(491),
    [anon_sym_i16] = ACTIONS(491),
    [anon_sym_u32] = ACTIONS(491),
    [anon_sym_i32] = ACTIONS(491),
    [anon_sym_u64] = ACTIONS(491),
    [anon_sym_i64] = ACTIONS(491),
    [anon_sym_u128] = ACTIONS(491),
    [anon_sym_i128] = ACTIONS(491),
    [anon_sym_usize] = ACTIONS(491),
    [anon_sym_bool] = ACTIONS(491),
    [anon_sym_ByteArray] = ACTIONS(491),
    [anon_sym_felt252] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(491),
    [anon_sym_GT] = ACTIONS(491),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_DASH] = ACTIONS(491),
    [anon_sym_SLASH] = ACTIONS(491),
    [anon_sym_PERCENT] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_PIPE] = ACTIONS(491),
    [anon_sym_AMP_AMP] = ACTIONS(489),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_LT_LT] = ACTIONS(489),
    [anon_sym_GT_GT] = ACTIONS(489),
    [anon_sym_PLUS_EQ] = ACTIONS(489),
    [anon_sym_DASH_EQ] = ACTIONS(489),
    [anon_sym_STAR_EQ] = ACTIONS(489),
    [anon_sym_SLASH_EQ] = ACTIONS(489),
    [anon_sym_PERCENT_EQ] = ACTIONS(489),
    [anon_sym_CARET_EQ] = ACTIONS(489),
    [anon_sym_AMP_EQ] = ACTIONS(489),
    [anon_sym_PIPE_EQ] = ACTIONS(489),
    [anon_sym_EQ_EQ] = ACTIONS(489),
    [anon_sym_BANG_EQ] = ACTIONS(489),
    [anon_sym_GT_EQ] = ACTIONS(489),
    [anon_sym_LT_EQ] = ACTIONS(489),
    [anon_sym_AT] = ACTIONS(489),
    [anon_sym_DOT_DOT] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(491),
    [anon_sym_EQ_GT] = ACTIONS(489),
    [anon_sym_QMARK] = ACTIONS(489),
    [anon_sym_break] = ACTIONS(491),
    [anon_sym_continue] = ACTIONS(491),
    [anon_sym_default] = ACTIONS(491),
    [anon_sym_if] = ACTIONS(491),
    [anon_sym_extern] = ACTIONS(491),
    [anon_sym_nopanic] = ACTIONS(491),
    [anon_sym_loop] = ACTIONS(491),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_pub] = ACTIONS(491),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_static] = ACTIONS(491),
    [anon_sym_while] = ACTIONS(491),
    [anon_sym_for] = ACTIONS(491),
    [sym_numeric_literal] = ACTIONS(491),
    [aux_sym_string_literal_token1] = ACTIONS(489),
    [sym_shortstring_literal] = ACTIONS(489),
    [anon_sym_true] = ACTIONS(491),
    [anon_sym_false] = ACTIONS(491),
    [anon_sym_DOLLAR] = ACTIONS(489),
    [sym_identifier] = ACTIONS(491),
    [sym_mutable_specifier] = ACTIONS(491),
    [sym_super] = ACTIONS(491),
    [sym_line_comment] = ACTIONS(3),
  },
  [64] = {
    [anon_sym_LBRACE] = ACTIONS(493),
    [anon_sym_RBRACE] = ACTIONS(493),
    [anon_sym_impl] = ACTIONS(495),
    [anon_sym_SEMI] = ACTIONS(493),
    [anon_sym_trait] = ACTIONS(495),
    [anon_sym_type] = ACTIONS(495),
    [anon_sym_COLON] = ACTIONS(495),
    [anon_sym_const] = ACTIONS(495),
    [anon_sym_EQ] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_POUND] = ACTIONS(493),
    [anon_sym_LBRACK] = ACTIONS(493),
    [anon_sym_RBRACK] = ACTIONS(493),
    [anon_sym_mod] = ACTIONS(495),
    [anon_sym_struct] = ACTIONS(495),
    [anon_sym_enum] = ACTIONS(495),
    [anon_sym_COMMA] = ACTIONS(493),
    [anon_sym_fn] = ACTIONS(495),
    [anon_sym_DASH_GT] = ACTIONS(493),
    [anon_sym_let] = ACTIONS(495),
    [anon_sym_use] = ACTIONS(495),
    [anon_sym_COLON_COLON] = ACTIONS(493),
    [anon_sym_STAR] = ACTIONS(495),
    [anon_sym_LPAREN] = ACTIONS(493),
    [anon_sym__] = ACTIONS(495),
    [anon_sym_RPAREN] = ACTIONS(493),
    [anon_sym_u8] = ACTIONS(495),
    [anon_sym_i8] = ACTIONS(495),
    [anon_sym_u16] = ACTIONS(495),
    [anon_sym_i16] = ACTIONS(495),
    [anon_sym_u32] = ACTIONS(495),
    [anon_sym_i32] = ACTIONS(495),
    [anon_sym_u64] = ACTIONS(495),
    [anon_sym_i64] = ACTIONS(495),
    [anon_sym_u128] = ACTIONS(495),
    [anon_sym_i128] = ACTIONS(495),
    [anon_sym_usize] = ACTIONS(495),
    [anon_sym_bool] = ACTIONS(495),
    [anon_sym_ByteArray] = ACTIONS(495),
    [anon_sym_felt252] = ACTIONS(495),
    [anon_sym_LT] = ACTIONS(495),
    [anon_sym_GT] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_SLASH] = ACTIONS(495),
    [anon_sym_PERCENT] = ACTIONS(495),
    [anon_sym_CARET] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(493),
    [anon_sym_AMP] = ACTIONS(495),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_AMP_AMP] = ACTIONS(493),
    [anon_sym_PIPE_PIPE] = ACTIONS(493),
    [anon_sym_LT_LT] = ACTIONS(493),
    [anon_sym_GT_GT] = ACTIONS(493),
    [anon_sym_PLUS_EQ] = ACTIONS(493),
    [anon_sym_DASH_EQ] = ACTIONS(493),
    [anon_sym_STAR_EQ] = ACTIONS(493),
    [anon_sym_SLASH_EQ] = ACTIONS(493),
    [anon_sym_PERCENT_EQ] = ACTIONS(493),
    [anon_sym_CARET_EQ] = ACTIONS(493),
    [anon_sym_AMP_EQ] = ACTIONS(493),
    [anon_sym_PIPE_EQ] = ACTIONS(493),
    [anon_sym_EQ_EQ] = ACTIONS(493),
    [anon_sym_BANG_EQ] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(493),
    [anon_sym_LT_EQ] = ACTIONS(493),
    [anon_sym_AT] = ACTIONS(493),
    [anon_sym_DOT_DOT] = ACTIONS(493),
    [anon_sym_DOT] = ACTIONS(495),
    [anon_sym_EQ_GT] = ACTIONS(493),
    [anon_sym_QMARK] = ACTIONS(493),
    [anon_sym_break] = ACTIONS(495),
    [anon_sym_continue] = ACTIONS(495),
    [anon_sym_default] = ACTIONS(495),
    [anon_sym_if] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(495),
    [anon_sym_nopanic] = ACTIONS(495),
    [anon_sym_loop] = ACTIONS(495),
    [anon_sym_match] = ACTIONS(495),
    [anon_sym_pub] = ACTIONS(495),
    [anon_sym_return] = ACTIONS(495),
    [anon_sym_static] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(495),
    [anon_sym_for] = ACTIONS(495),
    [sym_numeric_literal] = ACTIONS(495),
    [aux_sym_string_literal_token1] = ACTIONS(493),
    [sym_shortstring_literal] = ACTIONS(493),
    [anon_sym_true] = ACTIONS(495),
    [anon_sym_false] = ACTIONS(495),
    [anon_sym_DOLLAR] = ACTIONS(493),
    [sym_identifier] = ACTIONS(495),
    [sym_mutable_specifier] = ACTIONS(495),
    [sym_super] = ACTIONS(495),
    [sym_line_comment] = ACTIONS(3),
  },
  [65] = {
    [anon_sym_LBRACE] = ACTIONS(497),
    [anon_sym_RBRACE] = ACTIONS(497),
    [anon_sym_impl] = ACTIONS(499),
    [anon_sym_SEMI] = ACTIONS(497),
    [anon_sym_trait] = ACTIONS(499),
    [anon_sym_type] = ACTIONS(499),
    [anon_sym_COLON] = ACTIONS(499),
    [anon_sym_const] = ACTIONS(499),
    [anon_sym_EQ] = ACTIONS(499),
    [anon_sym_BANG] = ACTIONS(499),
    [anon_sym_POUND] = ACTIONS(497),
    [anon_sym_LBRACK] = ACTIONS(497),
    [anon_sym_RBRACK] = ACTIONS(497),
    [anon_sym_mod] = ACTIONS(499),
    [anon_sym_struct] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(499),
    [anon_sym_COMMA] = ACTIONS(497),
    [anon_sym_fn] = ACTIONS(499),
    [anon_sym_DASH_GT] = ACTIONS(497),
    [anon_sym_let] = ACTIONS(499),
    [anon_sym_use] = ACTIONS(499),
    [anon_sym_COLON_COLON] = ACTIONS(497),
    [anon_sym_STAR] = ACTIONS(499),
    [anon_sym_LPAREN] = ACTIONS(497),
    [anon_sym__] = ACTIONS(499),
    [anon_sym_RPAREN] = ACTIONS(497),
    [anon_sym_u8] = ACTIONS(499),
    [anon_sym_i8] = ACTIONS(499),
    [anon_sym_u16] = ACTIONS(499),
    [anon_sym_i16] = ACTIONS(499),
    [anon_sym_u32] = ACTIONS(499),
    [anon_sym_i32] = ACTIONS(499),
    [anon_sym_u64] = ACTIONS(499),
    [anon_sym_i64] = ACTIONS(499),
    [anon_sym_u128] = ACTIONS(499),
    [anon_sym_i128] = ACTIONS(499),
    [anon_sym_usize] = ACTIONS(499),
    [anon_sym_bool] = ACTIONS(499),
    [anon_sym_ByteArray] = ACTIONS(499),
    [anon_sym_felt252] = ACTIONS(499),
    [anon_sym_LT] = ACTIONS(499),
    [anon_sym_GT] = ACTIONS(499),
    [anon_sym_PLUS] = ACTIONS(499),
    [anon_sym_DASH] = ACTIONS(499),
    [anon_sym_SLASH] = ACTIONS(499),
    [anon_sym_PERCENT] = ACTIONS(499),
    [anon_sym_CARET] = ACTIONS(499),
    [anon_sym_TILDE] = ACTIONS(497),
    [anon_sym_AMP] = ACTIONS(499),
    [anon_sym_PIPE] = ACTIONS(499),
    [anon_sym_AMP_AMP] = ACTIONS(497),
    [anon_sym_PIPE_PIPE] = ACTIONS(497),
    [anon_sym_LT_LT] = ACTIONS(497),
    [anon_sym_GT_GT] = ACTIONS(497),
    [anon_sym_PLUS_EQ] = ACTIONS(497),
    [anon_sym_DASH_EQ] = ACTIONS(497),
    [anon_sym_STAR_EQ] = ACTIONS(497),
    [anon_sym_SLASH_EQ] = ACTIONS(497),
    [anon_sym_PERCENT_EQ] = ACTIONS(497),
    [anon_sym_CARET_EQ] = ACTIONS(497),
    [anon_sym_AMP_EQ] = ACTIONS(497),
    [anon_sym_PIPE_EQ] = ACTIONS(497),
    [anon_sym_EQ_EQ] = ACTIONS(497),
    [anon_sym_BANG_EQ] = ACTIONS(497),
    [anon_sym_GT_EQ] = ACTIONS(497),
    [anon_sym_LT_EQ] = ACTIONS(497),
    [anon_sym_AT] = ACTIONS(497),
    [anon_sym_DOT_DOT] = ACTIONS(497),
    [anon_sym_DOT] = ACTIONS(499),
    [anon_sym_EQ_GT] = ACTIONS(497),
    [anon_sym_QMARK] = ACTIONS(497),
    [anon_sym_break] = ACTIONS(499),
    [anon_sym_continue] = ACTIONS(499),
    [anon_sym_default] = ACTIONS(499),
    [anon_sym_if] = ACTIONS(499),
    [anon_sym_extern] = ACTIONS(499),
    [anon_sym_nopanic] = ACTIONS(499),
    [anon_sym_loop] = ACTIONS(499),
    [anon_sym_match] = ACTIONS(499),
    [anon_sym_pub] = ACTIONS(499),
    [anon_sym_return] = ACTIONS(499),
    [anon_sym_static] = ACTIONS(499),
    [anon_sym_while] = ACTIONS(499),
    [anon_sym_for] = ACTIONS(499),
    [sym_numeric_literal] = ACTIONS(499),
    [aux_sym_string_literal_token1] = ACTIONS(497),
    [sym_shortstring_literal] = ACTIONS(497),
    [anon_sym_true] = ACTIONS(499),
    [anon_sym_false] = ACTIONS(499),
    [anon_sym_DOLLAR] = ACTIONS(497),
    [sym_identifier] = ACTIONS(499),
    [sym_mutable_specifier] = ACTIONS(499),
    [sym_super] = ACTIONS(499),
    [sym_line_comment] = ACTIONS(3),
  },
  [66] = {
    [anon_sym_LBRACE] = ACTIONS(501),
    [anon_sym_RBRACE] = ACTIONS(501),
    [anon_sym_impl] = ACTIONS(503),
    [anon_sym_SEMI] = ACTIONS(501),
    [anon_sym_trait] = ACTIONS(503),
    [anon_sym_type] = ACTIONS(503),
    [anon_sym_COLON] = ACTIONS(503),
    [anon_sym_const] = ACTIONS(503),
    [anon_sym_EQ] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(503),
    [anon_sym_POUND] = ACTIONS(501),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_RBRACK] = ACTIONS(501),
    [anon_sym_mod] = ACTIONS(503),
    [anon_sym_struct] = ACTIONS(503),
    [anon_sym_enum] = ACTIONS(503),
    [anon_sym_COMMA] = ACTIONS(501),
    [anon_sym_fn] = ACTIONS(503),
    [anon_sym_DASH_GT] = ACTIONS(501),
    [anon_sym_let] = ACTIONS(503),
    [anon_sym_use] = ACTIONS(503),
    [anon_sym_COLON_COLON] = ACTIONS(501),
    [anon_sym_STAR] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(501),
    [anon_sym__] = ACTIONS(503),
    [anon_sym_RPAREN] = ACTIONS(501),
    [anon_sym_u8] = ACTIONS(503),
    [anon_sym_i8] = ACTIONS(503),
    [anon_sym_u16] = ACTIONS(503),
    [anon_sym_i16] = ACTIONS(503),
    [anon_sym_u32] = ACTIONS(503),
    [anon_sym_i32] = ACTIONS(503),
    [anon_sym_u64] = ACTIONS(503),
    [anon_sym_i64] = ACTIONS(503),
    [anon_sym_u128] = ACTIONS(503),
    [anon_sym_i128] = ACTIONS(503),
    [anon_sym_usize] = ACTIONS(503),
    [anon_sym_bool] = ACTIONS(503),
    [anon_sym_ByteArray] = ACTIONS(503),
    [anon_sym_felt252] = ACTIONS(503),
    [anon_sym_LT] = ACTIONS(503),
    [anon_sym_GT] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_SLASH] = ACTIONS(503),
    [anon_sym_PERCENT] = ACTIONS(503),
    [anon_sym_CARET] = ACTIONS(503),
    [anon_sym_TILDE] = ACTIONS(501),
    [anon_sym_AMP] = ACTIONS(503),
    [anon_sym_PIPE] = ACTIONS(503),
    [anon_sym_AMP_AMP] = ACTIONS(501),
    [anon_sym_PIPE_PIPE] = ACTIONS(501),
    [anon_sym_LT_LT] = ACTIONS(501),
    [anon_sym_GT_GT] = ACTIONS(501),
    [anon_sym_PLUS_EQ] = ACTIONS(501),
    [anon_sym_DASH_EQ] = ACTIONS(501),
    [anon_sym_STAR_EQ] = ACTIONS(501),
    [anon_sym_SLASH_EQ] = ACTIONS(501),
    [anon_sym_PERCENT_EQ] = ACTIONS(501),
    [anon_sym_CARET_EQ] = ACTIONS(501),
    [anon_sym_AMP_EQ] = ACTIONS(501),
    [anon_sym_PIPE_EQ] = ACTIONS(501),
    [anon_sym_EQ_EQ] = ACTIONS(501),
    [anon_sym_BANG_EQ] = ACTIONS(501),
    [anon_sym_GT_EQ] = ACTIONS(501),
    [anon_sym_LT_EQ] = ACTIONS(501),
    [anon_sym_AT] = ACTIONS(501),
    [anon_sym_DOT_DOT] = ACTIONS(501),
    [anon_sym_DOT] = ACTIONS(503),
    [anon_sym_EQ_GT] = ACTIONS(501),
    [anon_sym_QMARK] = ACTIONS(501),
    [anon_sym_break] = ACTIONS(503),
    [anon_sym_continue] = ACTIONS(503),
    [anon_sym_default] = ACTIONS(503),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_extern] = ACTIONS(503),
    [anon_sym_nopanic] = ACTIONS(503),
    [anon_sym_loop] = ACTIONS(503),
    [anon_sym_match] = ACTIONS(503),
    [anon_sym_pub] = ACTIONS(503),
    [anon_sym_return] = ACTIONS(503),
    [anon_sym_static] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_for] = ACTIONS(503),
    [sym_numeric_literal] = ACTIONS(505),
    [aux_sym_string_literal_token1] = ACTIONS(501),
    [sym_shortstring_literal] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(501),
    [sym_identifier] = ACTIONS(503),
    [sym_mutable_specifier] = ACTIONS(503),
    [sym_super] = ACTIONS(503),
    [sym_line_comment] = ACTIONS(3),
  },
  [67] = {
    [anon_sym_LBRACE] = ACTIONS(508),
    [anon_sym_RBRACE] = ACTIONS(508),
    [anon_sym_impl] = ACTIONS(510),
    [anon_sym_SEMI] = ACTIONS(508),
    [anon_sym_trait] = ACTIONS(510),
    [anon_sym_type] = ACTIONS(510),
    [anon_sym_COLON] = ACTIONS(510),
    [anon_sym_const] = ACTIONS(510),
    [anon_sym_EQ] = ACTIONS(510),
    [anon_sym_BANG] = ACTIONS(510),
    [anon_sym_POUND] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(508),
    [anon_sym_RBRACK] = ACTIONS(508),
    [anon_sym_mod] = ACTIONS(510),
    [anon_sym_struct] = ACTIONS(510),
    [anon_sym_enum] = ACTIONS(510),
    [anon_sym_COMMA] = ACTIONS(508),
    [anon_sym_fn] = ACTIONS(510),
    [anon_sym_DASH_GT] = ACTIONS(508),
    [anon_sym_let] = ACTIONS(510),
    [anon_sym_use] = ACTIONS(510),
    [anon_sym_COLON_COLON] = ACTIONS(508),
    [anon_sym_STAR] = ACTIONS(510),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym__] = ACTIONS(510),
    [anon_sym_RPAREN] = ACTIONS(508),
    [anon_sym_u8] = ACTIONS(510),
    [anon_sym_i8] = ACTIONS(510),
    [anon_sym_u16] = ACTIONS(510),
    [anon_sym_i16] = ACTIONS(510),
    [anon_sym_u32] = ACTIONS(510),
    [anon_sym_i32] = ACTIONS(510),
    [anon_sym_u64] = ACTIONS(510),
    [anon_sym_i64] = ACTIONS(510),
    [anon_sym_u128] = ACTIONS(510),
    [anon_sym_i128] = ACTIONS(510),
    [anon_sym_usize] = ACTIONS(510),
    [anon_sym_bool] = ACTIONS(510),
    [anon_sym_ByteArray] = ACTIONS(510),
    [anon_sym_felt252] = ACTIONS(510),
    [anon_sym_LT] = ACTIONS(510),
    [anon_sym_GT] = ACTIONS(510),
    [anon_sym_PLUS] = ACTIONS(510),
    [anon_sym_DASH] = ACTIONS(510),
    [anon_sym_SLASH] = ACTIONS(510),
    [anon_sym_PERCENT] = ACTIONS(510),
    [anon_sym_CARET] = ACTIONS(510),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_AMP] = ACTIONS(510),
    [anon_sym_PIPE] = ACTIONS(510),
    [anon_sym_AMP_AMP] = ACTIONS(508),
    [anon_sym_PIPE_PIPE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(508),
    [anon_sym_GT_GT] = ACTIONS(508),
    [anon_sym_PLUS_EQ] = ACTIONS(508),
    [anon_sym_DASH_EQ] = ACTIONS(508),
    [anon_sym_STAR_EQ] = ACTIONS(508),
    [anon_sym_SLASH_EQ] = ACTIONS(508),
    [anon_sym_PERCENT_EQ] = ACTIONS(508),
    [anon_sym_CARET_EQ] = ACTIONS(508),
    [anon_sym_AMP_EQ] = ACTIONS(508),
    [anon_sym_PIPE_EQ] = ACTIONS(508),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT_EQ] = ACTIONS(508),
    [anon_sym_LT_EQ] = ACTIONS(508),
    [anon_sym_AT] = ACTIONS(508),
    [anon_sym_DOT_DOT] = ACTIONS(508),
    [anon_sym_DOT] = ACTIONS(510),
    [anon_sym_EQ_GT] = ACTIONS(508),
    [anon_sym_QMARK] = ACTIONS(508),
    [anon_sym_break] = ACTIONS(510),
    [anon_sym_continue] = ACTIONS(510),
    [anon_sym_default] = ACTIONS(510),
    [anon_sym_if] = ACTIONS(510),
    [anon_sym_extern] = ACTIONS(510),
    [anon_sym_nopanic] = ACTIONS(510),
    [anon_sym_loop] = ACTIONS(510),
    [anon_sym_match] = ACTIONS(510),
    [anon_sym_pub] = ACTIONS(510),
    [anon_sym_return] = ACTIONS(510),
    [anon_sym_static] = ACTIONS(510),
    [anon_sym_while] = ACTIONS(510),
    [anon_sym_for] = ACTIONS(510),
    [sym_numeric_literal] = ACTIONS(510),
    [aux_sym_string_literal_token1] = ACTIONS(508),
    [sym_shortstring_literal] = ACTIONS(508),
    [anon_sym_true] = ACTIONS(510),
    [anon_sym_false] = ACTIONS(510),
    [anon_sym_DOLLAR] = ACTIONS(508),
    [sym_identifier] = ACTIONS(510),
    [sym_mutable_specifier] = ACTIONS(510),
    [sym_super] = ACTIONS(510),
    [sym_line_comment] = ACTIONS(3),
  },
  [68] = {
    [ts_builtin_sym_end] = ACTIONS(512),
    [anon_sym_LBRACE] = ACTIONS(512),
    [anon_sym_RBRACE] = ACTIONS(512),
    [anon_sym_impl] = ACTIONS(514),
    [anon_sym_SEMI] = ACTIONS(512),
    [anon_sym_trait] = ACTIONS(514),
    [anon_sym_type] = ACTIONS(514),
    [anon_sym_const] = ACTIONS(514),
    [anon_sym_EQ] = ACTIONS(514),
    [anon_sym_BANG] = ACTIONS(514),
    [anon_sym_POUND] = ACTIONS(512),
    [anon_sym_LBRACK] = ACTIONS(512),
    [anon_sym_RBRACK] = ACTIONS(512),
    [anon_sym_mod] = ACTIONS(514),
    [anon_sym_struct] = ACTIONS(514),
    [anon_sym_enum] = ACTIONS(514),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_fn] = ACTIONS(514),
    [anon_sym_let] = ACTIONS(514),
    [anon_sym_use] = ACTIONS(514),
    [anon_sym_COLON_COLON] = ACTIONS(512),
    [anon_sym_STAR] = ACTIONS(514),
    [anon_sym_LPAREN] = ACTIONS(512),
    [anon_sym_RPAREN] = ACTIONS(512),
    [anon_sym_u8] = ACTIONS(514),
    [anon_sym_i8] = ACTIONS(514),
    [anon_sym_u16] = ACTIONS(514),
    [anon_sym_i16] = ACTIONS(514),
    [anon_sym_u32] = ACTIONS(514),
    [anon_sym_i32] = ACTIONS(514),
    [anon_sym_u64] = ACTIONS(514),
    [anon_sym_i64] = ACTIONS(514),
    [anon_sym_u128] = ACTIONS(514),
    [anon_sym_i128] = ACTIONS(514),
    [anon_sym_usize] = ACTIONS(514),
    [anon_sym_bool] = ACTIONS(514),
    [anon_sym_ByteArray] = ACTIONS(514),
    [anon_sym_felt252] = ACTIONS(514),
    [anon_sym_LT] = ACTIONS(514),
    [anon_sym_GT] = ACTIONS(514),
    [anon_sym_PLUS] = ACTIONS(514),
    [anon_sym_DASH] = ACTIONS(514),
    [anon_sym_SLASH] = ACTIONS(514),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_CARET] = ACTIONS(512),
    [anon_sym_TILDE] = ACTIONS(512),
    [anon_sym_AMP] = ACTIONS(514),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_AMP_AMP] = ACTIONS(512),
    [anon_sym_PIPE_PIPE] = ACTIONS(512),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_GT_GT] = ACTIONS(512),
    [anon_sym_PLUS_EQ] = ACTIONS(512),
    [anon_sym_DASH_EQ] = ACTIONS(512),
    [anon_sym_STAR_EQ] = ACTIONS(512),
    [anon_sym_SLASH_EQ] = ACTIONS(512),
    [anon_sym_PERCENT_EQ] = ACTIONS(512),
    [anon_sym_EQ_EQ] = ACTIONS(512),
    [anon_sym_BANG_EQ] = ACTIONS(512),
    [anon_sym_GT_EQ] = ACTIONS(512),
    [anon_sym_LT_EQ] = ACTIONS(512),
    [anon_sym_AT] = ACTIONS(512),
    [anon_sym_DOT] = ACTIONS(512),
    [anon_sym_QMARK] = ACTIONS(512),
    [anon_sym_break] = ACTIONS(514),
    [anon_sym_continue] = ACTIONS(514),
    [anon_sym_default] = ACTIONS(514),
    [anon_sym_if] = ACTIONS(514),
    [anon_sym_extern] = ACTIONS(514),
    [anon_sym_loop] = ACTIONS(514),
    [anon_sym_match] = ACTIONS(514),
    [anon_sym_pub] = ACTIONS(514),
    [anon_sym_return] = ACTIONS(514),
    [anon_sym_while] = ACTIONS(514),
    [anon_sym_for] = ACTIONS(514),
    [sym_numeric_literal] = ACTIONS(514),
    [aux_sym_string_literal_token1] = ACTIONS(512),
    [sym_shortstring_literal] = ACTIONS(512),
    [anon_sym_true] = ACTIONS(514),
    [anon_sym_false] = ACTIONS(514),
    [anon_sym_ref] = ACTIONS(514),
    [sym_identifier] = ACTIONS(514),
    [sym_super] = ACTIONS(514),
    [sym_line_comment] = ACTIONS(3),
  },
  [69] = {
    [ts_builtin_sym_end] = ACTIONS(516),
    [anon_sym_LBRACE] = ACTIONS(516),
    [anon_sym_RBRACE] = ACTIONS(516),
    [anon_sym_impl] = ACTIONS(518),
    [anon_sym_SEMI] = ACTIONS(516),
    [anon_sym_trait] = ACTIONS(518),
    [anon_sym_type] = ACTIONS(518),
    [anon_sym_const] = ACTIONS(518),
    [anon_sym_EQ] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(518),
    [anon_sym_POUND] = ACTIONS(516),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_RBRACK] = ACTIONS(516),
    [anon_sym_mod] = ACTIONS(518),
    [anon_sym_struct] = ACTIONS(518),
    [anon_sym_enum] = ACTIONS(518),
    [anon_sym_COMMA] = ACTIONS(516),
    [anon_sym_fn] = ACTIONS(518),
    [anon_sym_let] = ACTIONS(518),
    [anon_sym_use] = ACTIONS(518),
    [anon_sym_COLON_COLON] = ACTIONS(516),
    [anon_sym_STAR] = ACTIONS(518),
    [anon_sym_LPAREN] = ACTIONS(516),
    [anon_sym_RPAREN] = ACTIONS(516),
    [anon_sym_u8] = ACTIONS(518),
    [anon_sym_i8] = ACTIONS(518),
    [anon_sym_u16] = ACTIONS(518),
    [anon_sym_i16] = ACTIONS(518),
    [anon_sym_u32] = ACTIONS(518),
    [anon_sym_i32] = ACTIONS(518),
    [anon_sym_u64] = ACTIONS(518),
    [anon_sym_i64] = ACTIONS(518),
    [anon_sym_u128] = ACTIONS(518),
    [anon_sym_i128] = ACTIONS(518),
    [anon_sym_usize] = ACTIONS(518),
    [anon_sym_bool] = ACTIONS(518),
    [anon_sym_ByteArray] = ACTIONS(518),
    [anon_sym_felt252] = ACTIONS(518),
    [anon_sym_LT] = ACTIONS(518),
    [anon_sym_GT] = ACTIONS(518),
    [anon_sym_PLUS] = ACTIONS(518),
    [anon_sym_DASH] = ACTIONS(518),
    [anon_sym_SLASH] = ACTIONS(518),
    [anon_sym_PERCENT] = ACTIONS(518),
    [anon_sym_CARET] = ACTIONS(516),
    [anon_sym_TILDE] = ACTIONS(516),
    [anon_sym_AMP] = ACTIONS(518),
    [anon_sym_PIPE] = ACTIONS(518),
    [anon_sym_AMP_AMP] = ACTIONS(516),
    [anon_sym_PIPE_PIPE] = ACTIONS(516),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_GT_GT] = ACTIONS(516),
    [anon_sym_PLUS_EQ] = ACTIONS(516),
    [anon_sym_DASH_EQ] = ACTIONS(516),
    [anon_sym_STAR_EQ] = ACTIONS(516),
    [anon_sym_SLASH_EQ] = ACTIONS(516),
    [anon_sym_PERCENT_EQ] = ACTIONS(516),
    [anon_sym_EQ_EQ] = ACTIONS(516),
    [anon_sym_BANG_EQ] = ACTIONS(516),
    [anon_sym_GT_EQ] = ACTIONS(516),
    [anon_sym_LT_EQ] = ACTIONS(516),
    [anon_sym_AT] = ACTIONS(516),
    [anon_sym_DOT] = ACTIONS(516),
    [anon_sym_QMARK] = ACTIONS(516),
    [anon_sym_break] = ACTIONS(518),
    [anon_sym_continue] = ACTIONS(518),
    [anon_sym_default] = ACTIONS(518),
    [anon_sym_if] = ACTIONS(518),
    [anon_sym_extern] = ACTIONS(518),
    [anon_sym_loop] = ACTIONS(518),
    [anon_sym_match] = ACTIONS(518),
    [anon_sym_pub] = ACTIONS(518),
    [anon_sym_return] = ACTIONS(518),
    [anon_sym_while] = ACTIONS(518),
    [anon_sym_for] = ACTIONS(518),
    [sym_numeric_literal] = ACTIONS(518),
    [aux_sym_string_literal_token1] = ACTIONS(516),
    [sym_shortstring_literal] = ACTIONS(516),
    [anon_sym_true] = ACTIONS(518),
    [anon_sym_false] = ACTIONS(518),
    [anon_sym_ref] = ACTIONS(518),
    [sym_identifier] = ACTIONS(518),
    [sym_super] = ACTIONS(518),
    [sym_line_comment] = ACTIONS(3),
  },
  [70] = {
    [ts_builtin_sym_end] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(520),
    [anon_sym_RBRACE] = ACTIONS(520),
    [anon_sym_impl] = ACTIONS(522),
    [anon_sym_SEMI] = ACTIONS(520),
    [anon_sym_trait] = ACTIONS(522),
    [anon_sym_type] = ACTIONS(522),
    [anon_sym_const] = ACTIONS(522),
    [anon_sym_EQ] = ACTIONS(522),
    [anon_sym_BANG] = ACTIONS(522),
    [anon_sym_POUND] = ACTIONS(520),
    [anon_sym_LBRACK] = ACTIONS(520),
    [anon_sym_RBRACK] = ACTIONS(520),
    [anon_sym_mod] = ACTIONS(522),
    [anon_sym_struct] = ACTIONS(522),
    [anon_sym_enum] = ACTIONS(522),
    [anon_sym_COMMA] = ACTIONS(520),
    [anon_sym_fn] = ACTIONS(522),
    [anon_sym_let] = ACTIONS(522),
    [anon_sym_use] = ACTIONS(522),
    [anon_sym_COLON_COLON] = ACTIONS(520),
    [anon_sym_STAR] = ACTIONS(522),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_RPAREN] = ACTIONS(520),
    [anon_sym_u8] = ACTIONS(522),
    [anon_sym_i8] = ACTIONS(522),
    [anon_sym_u16] = ACTIONS(522),
    [anon_sym_i16] = ACTIONS(522),
    [anon_sym_u32] = ACTIONS(522),
    [anon_sym_i32] = ACTIONS(522),
    [anon_sym_u64] = ACTIONS(522),
    [anon_sym_i64] = ACTIONS(522),
    [anon_sym_u128] = ACTIONS(522),
    [anon_sym_i128] = ACTIONS(522),
    [anon_sym_usize] = ACTIONS(522),
    [anon_sym_bool] = ACTIONS(522),
    [anon_sym_ByteArray] = ACTIONS(522),
    [anon_sym_felt252] = ACTIONS(522),
    [anon_sym_LT] = ACTIONS(522),
    [anon_sym_GT] = ACTIONS(522),
    [anon_sym_PLUS] = ACTIONS(522),
    [anon_sym_DASH] = ACTIONS(522),
    [anon_sym_SLASH] = ACTIONS(522),
    [anon_sym_PERCENT] = ACTIONS(522),
    [anon_sym_CARET] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(520),
    [anon_sym_AMP] = ACTIONS(522),
    [anon_sym_PIPE] = ACTIONS(522),
    [anon_sym_AMP_AMP] = ACTIONS(520),
    [anon_sym_PIPE_PIPE] = ACTIONS(520),
    [anon_sym_LT_LT] = ACTIONS(520),
    [anon_sym_GT_GT] = ACTIONS(520),
    [anon_sym_PLUS_EQ] = ACTIONS(520),
    [anon_sym_DASH_EQ] = ACTIONS(520),
    [anon_sym_STAR_EQ] = ACTIONS(520),
    [anon_sym_SLASH_EQ] = ACTIONS(520),
    [anon_sym_PERCENT_EQ] = ACTIONS(520),
    [anon_sym_EQ_EQ] = ACTIONS(520),
    [anon_sym_BANG_EQ] = ACTIONS(520),
    [anon_sym_GT_EQ] = ACTIONS(520),
    [anon_sym_LT_EQ] = ACTIONS(520),
    [anon_sym_AT] = ACTIONS(520),
    [anon_sym_DOT] = ACTIONS(520),
    [anon_sym_QMARK] = ACTIONS(520),
    [anon_sym_break] = ACTIONS(522),
    [anon_sym_continue] = ACTIONS(522),
    [anon_sym_default] = ACTIONS(522),
    [anon_sym_if] = ACTIONS(522),
    [anon_sym_extern] = ACTIONS(522),
    [anon_sym_loop] = ACTIONS(522),
    [anon_sym_match] = ACTIONS(522),
    [anon_sym_pub] = ACTIONS(522),
    [anon_sym_return] = ACTIONS(522),
    [anon_sym_while] = ACTIONS(522),
    [anon_sym_for] = ACTIONS(522),
    [sym_numeric_literal] = ACTIONS(522),
    [aux_sym_string_literal_token1] = ACTIONS(520),
    [sym_shortstring_literal] = ACTIONS(520),
    [anon_sym_true] = ACTIONS(522),
    [anon_sym_false] = ACTIONS(522),
    [anon_sym_ref] = ACTIONS(522),
    [sym_identifier] = ACTIONS(522),
    [sym_super] = ACTIONS(522),
    [sym_line_comment] = ACTIONS(3),
  },
  [71] = {
    [ts_builtin_sym_end] = ACTIONS(524),
    [anon_sym_LBRACE] = ACTIONS(524),
    [anon_sym_RBRACE] = ACTIONS(524),
    [anon_sym_impl] = ACTIONS(526),
    [anon_sym_SEMI] = ACTIONS(524),
    [anon_sym_trait] = ACTIONS(526),
    [anon_sym_type] = ACTIONS(526),
    [anon_sym_const] = ACTIONS(526),
    [anon_sym_EQ] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(526),
    [anon_sym_POUND] = ACTIONS(524),
    [anon_sym_LBRACK] = ACTIONS(524),
    [anon_sym_RBRACK] = ACTIONS(524),
    [anon_sym_mod] = ACTIONS(526),
    [anon_sym_struct] = ACTIONS(526),
    [anon_sym_enum] = ACTIONS(526),
    [anon_sym_COMMA] = ACTIONS(524),
    [anon_sym_fn] = ACTIONS(526),
    [anon_sym_let] = ACTIONS(526),
    [anon_sym_use] = ACTIONS(526),
    [anon_sym_COLON_COLON] = ACTIONS(524),
    [anon_sym_STAR] = ACTIONS(526),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_RPAREN] = ACTIONS(524),
    [anon_sym_u8] = ACTIONS(526),
    [anon_sym_i8] = ACTIONS(526),
    [anon_sym_u16] = ACTIONS(526),
    [anon_sym_i16] = ACTIONS(526),
    [anon_sym_u32] = ACTIONS(526),
    [anon_sym_i32] = ACTIONS(526),
    [anon_sym_u64] = ACTIONS(526),
    [anon_sym_i64] = ACTIONS(526),
    [anon_sym_u128] = ACTIONS(526),
    [anon_sym_i128] = ACTIONS(526),
    [anon_sym_usize] = ACTIONS(526),
    [anon_sym_bool] = ACTIONS(526),
    [anon_sym_ByteArray] = ACTIONS(526),
    [anon_sym_felt252] = ACTIONS(526),
    [anon_sym_LT] = ACTIONS(526),
    [anon_sym_GT] = ACTIONS(526),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_SLASH] = ACTIONS(526),
    [anon_sym_PERCENT] = ACTIONS(526),
    [anon_sym_CARET] = ACTIONS(524),
    [anon_sym_TILDE] = ACTIONS(524),
    [anon_sym_AMP] = ACTIONS(526),
    [anon_sym_PIPE] = ACTIONS(526),
    [anon_sym_AMP_AMP] = ACTIONS(524),
    [anon_sym_PIPE_PIPE] = ACTIONS(524),
    [anon_sym_LT_LT] = ACTIONS(524),
    [anon_sym_GT_GT] = ACTIONS(524),
    [anon_sym_PLUS_EQ] = ACTIONS(524),
    [anon_sym_DASH_EQ] = ACTIONS(524),
    [anon_sym_STAR_EQ] = ACTIONS(524),
    [anon_sym_SLASH_EQ] = ACTIONS(524),
    [anon_sym_PERCENT_EQ] = ACTIONS(524),
    [anon_sym_EQ_EQ] = ACTIONS(524),
    [anon_sym_BANG_EQ] = ACTIONS(524),
    [anon_sym_GT_EQ] = ACTIONS(524),
    [anon_sym_LT_EQ] = ACTIONS(524),
    [anon_sym_AT] = ACTIONS(524),
    [anon_sym_DOT] = ACTIONS(524),
    [anon_sym_QMARK] = ACTIONS(524),
    [anon_sym_break] = ACTIONS(526),
    [anon_sym_continue] = ACTIONS(526),
    [anon_sym_default] = ACTIONS(526),
    [anon_sym_if] = ACTIONS(526),
    [anon_sym_extern] = ACTIONS(526),
    [anon_sym_loop] = ACTIONS(526),
    [anon_sym_match] = ACTIONS(526),
    [anon_sym_pub] = ACTIONS(526),
    [anon_sym_return] = ACTIONS(526),
    [anon_sym_while] = ACTIONS(526),
    [anon_sym_for] = ACTIONS(526),
    [sym_numeric_literal] = ACTIONS(526),
    [aux_sym_string_literal_token1] = ACTIONS(524),
    [sym_shortstring_literal] = ACTIONS(524),
    [anon_sym_true] = ACTIONS(526),
    [anon_sym_false] = ACTIONS(526),
    [anon_sym_ref] = ACTIONS(526),
    [sym_identifier] = ACTIONS(526),
    [sym_super] = ACTIONS(526),
    [sym_line_comment] = ACTIONS(3),
  },
  [72] = {
    [ts_builtin_sym_end] = ACTIONS(528),
    [anon_sym_LBRACE] = ACTIONS(528),
    [anon_sym_RBRACE] = ACTIONS(528),
    [anon_sym_impl] = ACTIONS(530),
    [anon_sym_SEMI] = ACTIONS(528),
    [anon_sym_trait] = ACTIONS(530),
    [anon_sym_type] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(530),
    [anon_sym_EQ] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(530),
    [anon_sym_POUND] = ACTIONS(528),
    [anon_sym_LBRACK] = ACTIONS(528),
    [anon_sym_RBRACK] = ACTIONS(528),
    [anon_sym_mod] = ACTIONS(530),
    [anon_sym_struct] = ACTIONS(530),
    [anon_sym_enum] = ACTIONS(530),
    [anon_sym_COMMA] = ACTIONS(528),
    [anon_sym_fn] = ACTIONS(530),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_use] = ACTIONS(530),
    [anon_sym_COLON_COLON] = ACTIONS(528),
    [anon_sym_STAR] = ACTIONS(530),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_RPAREN] = ACTIONS(528),
    [anon_sym_u8] = ACTIONS(530),
    [anon_sym_i8] = ACTIONS(530),
    [anon_sym_u16] = ACTIONS(530),
    [anon_sym_i16] = ACTIONS(530),
    [anon_sym_u32] = ACTIONS(530),
    [anon_sym_i32] = ACTIONS(530),
    [anon_sym_u64] = ACTIONS(530),
    [anon_sym_i64] = ACTIONS(530),
    [anon_sym_u128] = ACTIONS(530),
    [anon_sym_i128] = ACTIONS(530),
    [anon_sym_usize] = ACTIONS(530),
    [anon_sym_bool] = ACTIONS(530),
    [anon_sym_ByteArray] = ACTIONS(530),
    [anon_sym_felt252] = ACTIONS(530),
    [anon_sym_LT] = ACTIONS(530),
    [anon_sym_GT] = ACTIONS(530),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_SLASH] = ACTIONS(530),
    [anon_sym_PERCENT] = ACTIONS(530),
    [anon_sym_CARET] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_AMP] = ACTIONS(530),
    [anon_sym_PIPE] = ACTIONS(530),
    [anon_sym_AMP_AMP] = ACTIONS(528),
    [anon_sym_PIPE_PIPE] = ACTIONS(528),
    [anon_sym_LT_LT] = ACTIONS(528),
    [anon_sym_GT_GT] = ACTIONS(528),
    [anon_sym_PLUS_EQ] = ACTIONS(528),
    [anon_sym_DASH_EQ] = ACTIONS(528),
    [anon_sym_STAR_EQ] = ACTIONS(528),
    [anon_sym_SLASH_EQ] = ACTIONS(528),
    [anon_sym_PERCENT_EQ] = ACTIONS(528),
    [anon_sym_EQ_EQ] = ACTIONS(528),
    [anon_sym_BANG_EQ] = ACTIONS(528),
    [anon_sym_GT_EQ] = ACTIONS(528),
    [anon_sym_LT_EQ] = ACTIONS(528),
    [anon_sym_AT] = ACTIONS(528),
    [anon_sym_DOT] = ACTIONS(528),
    [anon_sym_QMARK] = ACTIONS(528),
    [anon_sym_break] = ACTIONS(530),
    [anon_sym_continue] = ACTIONS(530),
    [anon_sym_default] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(530),
    [anon_sym_extern] = ACTIONS(530),
    [anon_sym_loop] = ACTIONS(530),
    [anon_sym_match] = ACTIONS(530),
    [anon_sym_pub] = ACTIONS(530),
    [anon_sym_return] = ACTIONS(530),
    [anon_sym_while] = ACTIONS(530),
    [anon_sym_for] = ACTIONS(530),
    [sym_numeric_literal] = ACTIONS(530),
    [aux_sym_string_literal_token1] = ACTIONS(528),
    [sym_shortstring_literal] = ACTIONS(528),
    [anon_sym_true] = ACTIONS(530),
    [anon_sym_false] = ACTIONS(530),
    [anon_sym_ref] = ACTIONS(530),
    [sym_identifier] = ACTIONS(530),
    [sym_super] = ACTIONS(530),
    [sym_line_comment] = ACTIONS(3),
  },
  [73] = {
    [ts_builtin_sym_end] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_RBRACE] = ACTIONS(489),
    [anon_sym_impl] = ACTIONS(491),
    [anon_sym_SEMI] = ACTIONS(489),
    [anon_sym_trait] = ACTIONS(491),
    [anon_sym_type] = ACTIONS(491),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_EQ] = ACTIONS(491),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_POUND] = ACTIONS(489),
    [anon_sym_LBRACK] = ACTIONS(489),
    [anon_sym_RBRACK] = ACTIONS(489),
    [anon_sym_mod] = ACTIONS(491),
    [anon_sym_struct] = ACTIONS(491),
    [anon_sym_enum] = ACTIONS(491),
    [anon_sym_COMMA] = ACTIONS(489),
    [anon_sym_fn] = ACTIONS(491),
    [anon_sym_let] = ACTIONS(491),
    [anon_sym_use] = ACTIONS(491),
    [anon_sym_COLON_COLON] = ACTIONS(489),
    [anon_sym_STAR] = ACTIONS(491),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_RPAREN] = ACTIONS(489),
    [anon_sym_u8] = ACTIONS(491),
    [anon_sym_i8] = ACTIONS(491),
    [anon_sym_u16] = ACTIONS(491),
    [anon_sym_i16] = ACTIONS(491),
    [anon_sym_u32] = ACTIONS(491),
    [anon_sym_i32] = ACTIONS(491),
    [anon_sym_u64] = ACTIONS(491),
    [anon_sym_i64] = ACTIONS(491),
    [anon_sym_u128] = ACTIONS(491),
    [anon_sym_i128] = ACTIONS(491),
    [anon_sym_usize] = ACTIONS(491),
    [anon_sym_bool] = ACTIONS(491),
    [anon_sym_ByteArray] = ACTIONS(491),
    [anon_sym_felt252] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(491),
    [anon_sym_GT] = ACTIONS(491),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_DASH] = ACTIONS(491),
    [anon_sym_SLASH] = ACTIONS(491),
    [anon_sym_PERCENT] = ACTIONS(491),
    [anon_sym_CARET] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_AMP] = ACTIONS(491),
    [anon_sym_PIPE] = ACTIONS(491),
    [anon_sym_AMP_AMP] = ACTIONS(489),
    [anon_sym_PIPE_PIPE] = ACTIONS(489),
    [anon_sym_LT_LT] = ACTIONS(489),
    [anon_sym_GT_GT] = ACTIONS(489),
    [anon_sym_PLUS_EQ] = ACTIONS(489),
    [anon_sym_DASH_EQ] = ACTIONS(489),
    [anon_sym_STAR_EQ] = ACTIONS(489),
    [anon_sym_SLASH_EQ] = ACTIONS(489),
    [anon_sym_PERCENT_EQ] = ACTIONS(489),
    [anon_sym_EQ_EQ] = ACTIONS(489),
    [anon_sym_BANG_EQ] = ACTIONS(489),
    [anon_sym_GT_EQ] = ACTIONS(489),
    [anon_sym_LT_EQ] = ACTIONS(489),
    [anon_sym_AT] = ACTIONS(489),
    [anon_sym_DOT] = ACTIONS(489),
    [anon_sym_QMARK] = ACTIONS(489),
    [anon_sym_break] = ACTIONS(491),
    [anon_sym_continue] = ACTIONS(491),
    [anon_sym_default] = ACTIONS(491),
    [anon_sym_if] = ACTIONS(491),
    [anon_sym_extern] = ACTIONS(491),
    [anon_sym_loop] = ACTIONS(491),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_pub] = ACTIONS(491),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_while] = ACTIONS(491),
    [anon_sym_for] = ACTIONS(491),
    [sym_numeric_literal] = ACTIONS(491),
    [aux_sym_string_literal_token1] = ACTIONS(489),
    [sym_shortstring_literal] = ACTIONS(489),
    [anon_sym_true] = ACTIONS(491),
    [anon_sym_false] = ACTIONS(491),
    [anon_sym_ref] = ACTIONS(491),
    [sym_identifier] = ACTIONS(491),
    [sym_super] = ACTIONS(491),
    [sym_line_comment] = ACTIONS(3),
  },
  [74] = {
    [ts_builtin_sym_end] = ACTIONS(532),
    [anon_sym_LBRACE] = ACTIONS(532),
    [anon_sym_RBRACE] = ACTIONS(532),
    [anon_sym_impl] = ACTIONS(534),
    [anon_sym_SEMI] = ACTIONS(532),
    [anon_sym_trait] = ACTIONS(534),
    [anon_sym_type] = ACTIONS(534),
    [anon_sym_const] = ACTIONS(534),
    [anon_sym_EQ] = ACTIONS(534),
    [anon_sym_BANG] = ACTIONS(534),
    [anon_sym_POUND] = ACTIONS(532),
    [anon_sym_LBRACK] = ACTIONS(532),
    [anon_sym_RBRACK] = ACTIONS(532),
    [anon_sym_mod] = ACTIONS(534),
    [anon_sym_struct] = ACTIONS(534),
    [anon_sym_enum] = ACTIONS(534),
    [anon_sym_COMMA] = ACTIONS(532),
    [anon_sym_fn] = ACTIONS(534),
    [anon_sym_let] = ACTIONS(534),
    [anon_sym_use] = ACTIONS(534),
    [anon_sym_COLON_COLON] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(534),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_RPAREN] = ACTIONS(532),
    [anon_sym_u8] = ACTIONS(534),
    [anon_sym_i8] = ACTIONS(534),
    [anon_sym_u16] = ACTIONS(534),
    [anon_sym_i16] = ACTIONS(534),
    [anon_sym_u32] = ACTIONS(534),
    [anon_sym_i32] = ACTIONS(534),
    [anon_sym_u64] = ACTIONS(534),
    [anon_sym_i64] = ACTIONS(534),
    [anon_sym_u128] = ACTIONS(534),
    [anon_sym_i128] = ACTIONS(534),
    [anon_sym_usize] = ACTIONS(534),
    [anon_sym_bool] = ACTIONS(534),
    [anon_sym_ByteArray] = ACTIONS(534),
    [anon_sym_felt252] = ACTIONS(534),
    [anon_sym_LT] = ACTIONS(534),
    [anon_sym_GT] = ACTIONS(534),
    [anon_sym_PLUS] = ACTIONS(534),
    [anon_sym_DASH] = ACTIONS(534),
    [anon_sym_SLASH] = ACTIONS(534),
    [anon_sym_PERCENT] = ACTIONS(534),
    [anon_sym_CARET] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(532),
    [anon_sym_AMP] = ACTIONS(534),
    [anon_sym_PIPE] = ACTIONS(534),
    [anon_sym_AMP_AMP] = ACTIONS(532),
    [anon_sym_PIPE_PIPE] = ACTIONS(532),
    [anon_sym_LT_LT] = ACTIONS(532),
    [anon_sym_GT_GT] = ACTIONS(532),
    [anon_sym_PLUS_EQ] = ACTIONS(532),
    [anon_sym_DASH_EQ] = ACTIONS(532),
    [anon_sym_STAR_EQ] = ACTIONS(532),
    [anon_sym_SLASH_EQ] = ACTIONS(532),
    [anon_sym_PERCENT_EQ] = ACTIONS(532),
    [anon_sym_EQ_EQ] = ACTIONS(532),
    [anon_sym_BANG_EQ] = ACTIONS(532),
    [anon_sym_GT_EQ] = ACTIONS(532),
    [anon_sym_LT_EQ] = ACTIONS(532),
    [anon_sym_AT] = ACTIONS(532),
    [anon_sym_DOT] = ACTIONS(532),
    [anon_sym_QMARK] = ACTIONS(532),
    [anon_sym_break] = ACTIONS(534),
    [anon_sym_continue] = ACTIONS(534),
    [anon_sym_default] = ACTIONS(534),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_extern] = ACTIONS(534),
    [anon_sym_loop] = ACTIONS(534),
    [anon_sym_match] = ACTIONS(534),
    [anon_sym_pub] = ACTIONS(534),
    [anon_sym_return] = ACTIONS(534),
    [anon_sym_while] = ACTIONS(534),
    [anon_sym_for] = ACTIONS(534),
    [sym_numeric_literal] = ACTIONS(534),
    [aux_sym_string_literal_token1] = ACTIONS(532),
    [sym_shortstring_literal] = ACTIONS(532),
    [anon_sym_true] = ACTIONS(534),
    [anon_sym_false] = ACTIONS(534),
    [anon_sym_ref] = ACTIONS(534),
    [sym_identifier] = ACTIONS(534),
    [sym_super] = ACTIONS(534),
    [sym_line_comment] = ACTIONS(3),
  },
  [75] = {
    [ts_builtin_sym_end] = ACTIONS(536),
    [anon_sym_LBRACE] = ACTIONS(536),
    [anon_sym_RBRACE] = ACTIONS(536),
    [anon_sym_impl] = ACTIONS(538),
    [anon_sym_SEMI] = ACTIONS(536),
    [anon_sym_trait] = ACTIONS(538),
    [anon_sym_type] = ACTIONS(538),
    [anon_sym_const] = ACTIONS(538),
    [anon_sym_EQ] = ACTIONS(538),
    [anon_sym_BANG] = ACTIONS(538),
    [anon_sym_POUND] = ACTIONS(536),
    [anon_sym_LBRACK] = ACTIONS(536),
    [anon_sym_RBRACK] = ACTIONS(536),
    [anon_sym_mod] = ACTIONS(538),
    [anon_sym_struct] = ACTIONS(538),
    [anon_sym_enum] = ACTIONS(538),
    [anon_sym_COMMA] = ACTIONS(536),
    [anon_sym_fn] = ACTIONS(538),
    [anon_sym_let] = ACTIONS(538),
    [anon_sym_use] = ACTIONS(538),
    [anon_sym_COLON_COLON] = ACTIONS(536),
    [anon_sym_STAR] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(536),
    [anon_sym_RPAREN] = ACTIONS(536),
    [anon_sym_u8] = ACTIONS(538),
    [anon_sym_i8] = ACTIONS(538),
    [anon_sym_u16] = ACTIONS(538),
    [anon_sym_i16] = ACTIONS(538),
    [anon_sym_u32] = ACTIONS(538),
    [anon_sym_i32] = ACTIONS(538),
    [anon_sym_u64] = ACTIONS(538),
    [anon_sym_i64] = ACTIONS(538),
    [anon_sym_u128] = ACTIONS(538),
    [anon_sym_i128] = ACTIONS(538),
    [anon_sym_usize] = ACTIONS(538),
    [anon_sym_bool] = ACTIONS(538),
    [anon_sym_ByteArray] = ACTIONS(538),
    [anon_sym_felt252] = ACTIONS(538),
    [anon_sym_LT] = ACTIONS(538),
    [anon_sym_GT] = ACTIONS(538),
    [anon_sym_PLUS] = ACTIONS(538),
    [anon_sym_DASH] = ACTIONS(538),
    [anon_sym_SLASH] = ACTIONS(538),
    [anon_sym_PERCENT] = ACTIONS(538),
    [anon_sym_CARET] = ACTIONS(536),
    [anon_sym_TILDE] = ACTIONS(536),
    [anon_sym_AMP] = ACTIONS(538),
    [anon_sym_PIPE] = ACTIONS(538),
    [anon_sym_AMP_AMP] = ACTIONS(536),
    [anon_sym_PIPE_PIPE] = ACTIONS(536),
    [anon_sym_LT_LT] = ACTIONS(536),
    [anon_sym_GT_GT] = ACTIONS(536),
    [anon_sym_PLUS_EQ] = ACTIONS(536),
    [anon_sym_DASH_EQ] = ACTIONS(536),
    [anon_sym_STAR_EQ] = ACTIONS(536),
    [anon_sym_SLASH_EQ] = ACTIONS(536),
    [anon_sym_PERCENT_EQ] = ACTIONS(536),
    [anon_sym_EQ_EQ] = ACTIONS(536),
    [anon_sym_BANG_EQ] = ACTIONS(536),
    [anon_sym_GT_EQ] = ACTIONS(536),
    [anon_sym_LT_EQ] = ACTIONS(536),
    [anon_sym_AT] = ACTIONS(536),
    [anon_sym_DOT] = ACTIONS(536),
    [anon_sym_QMARK] = ACTIONS(536),
    [anon_sym_break] = ACTIONS(538),
    [anon_sym_continue] = ACTIONS(538),
    [anon_sym_default] = ACTIONS(538),
    [anon_sym_if] = ACTIONS(538),
    [anon_sym_extern] = ACTIONS(538),
    [anon_sym_loop] = ACTIONS(538),
    [anon_sym_match] = ACTIONS(538),
    [anon_sym_pub] = ACTIONS(538),
    [anon_sym_return] = ACTIONS(538),
    [anon_sym_while] = ACTIONS(538),
    [anon_sym_for] = ACTIONS(538),
    [sym_numeric_literal] = ACTIONS(538),
    [aux_sym_string_literal_token1] = ACTIONS(536),
    [sym_shortstring_literal] = ACTIONS(536),
    [anon_sym_true] = ACTIONS(538),
    [anon_sym_false] = ACTIONS(538),
    [anon_sym_ref] = ACTIONS(538),
    [sym_identifier] = ACTIONS(538),
    [sym_super] = ACTIONS(538),
    [sym_line_comment] = ACTIONS(3),
  },
  [76] = {
    [ts_builtin_sym_end] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(540),
    [anon_sym_RBRACE] = ACTIONS(540),
    [anon_sym_impl] = ACTIONS(542),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_trait] = ACTIONS(542),
    [anon_sym_type] = ACTIONS(542),
    [anon_sym_const] = ACTIONS(542),
    [anon_sym_EQ] = ACTIONS(542),
    [anon_sym_BANG] = ACTIONS(542),
    [anon_sym_POUND] = ACTIONS(540),
    [anon_sym_LBRACK] = ACTIONS(540),
    [anon_sym_RBRACK] = ACTIONS(540),
    [anon_sym_mod] = ACTIONS(542),
    [anon_sym_struct] = ACTIONS(542),
    [anon_sym_enum] = ACTIONS(542),
    [anon_sym_COMMA] = ACTIONS(540),
    [anon_sym_fn] = ACTIONS(542),
    [anon_sym_let] = ACTIONS(542),
    [anon_sym_use] = ACTIONS(542),
    [anon_sym_COLON_COLON] = ACTIONS(540),
    [anon_sym_STAR] = ACTIONS(542),
    [anon_sym_LPAREN] = ACTIONS(540),
    [anon_sym_RPAREN] = ACTIONS(540),
    [anon_sym_u8] = ACTIONS(542),
    [anon_sym_i8] = ACTIONS(542),
    [anon_sym_u16] = ACTIONS(542),
    [anon_sym_i16] = ACTIONS(542),
    [anon_sym_u32] = ACTIONS(542),
    [anon_sym_i32] = ACTIONS(542),
    [anon_sym_u64] = ACTIONS(542),
    [anon_sym_i64] = ACTIONS(542),
    [anon_sym_u128] = ACTIONS(542),
    [anon_sym_i128] = ACTIONS(542),
    [anon_sym_usize] = ACTIONS(542),
    [anon_sym_bool] = ACTIONS(542),
    [anon_sym_ByteArray] = ACTIONS(542),
    [anon_sym_felt252] = ACTIONS(542),
    [anon_sym_LT] = ACTIONS(542),
    [anon_sym_GT] = ACTIONS(542),
    [anon_sym_PLUS] = ACTIONS(542),
    [anon_sym_DASH] = ACTIONS(542),
    [anon_sym_SLASH] = ACTIONS(542),
    [anon_sym_PERCENT] = ACTIONS(542),
    [anon_sym_CARET] = ACTIONS(540),
    [anon_sym_TILDE] = ACTIONS(540),
    [anon_sym_AMP] = ACTIONS(542),
    [anon_sym_PIPE] = ACTIONS(542),
    [anon_sym_AMP_AMP] = ACTIONS(540),
    [anon_sym_PIPE_PIPE] = ACTIONS(540),
    [anon_sym_LT_LT] = ACTIONS(540),
    [anon_sym_GT_GT] = ACTIONS(540),
    [anon_sym_PLUS_EQ] = ACTIONS(540),
    [anon_sym_DASH_EQ] = ACTIONS(540),
    [anon_sym_STAR_EQ] = ACTIONS(540),
    [anon_sym_SLASH_EQ] = ACTIONS(540),
    [anon_sym_PERCENT_EQ] = ACTIONS(540),
    [anon_sym_EQ_EQ] = ACTIONS(540),
    [anon_sym_BANG_EQ] = ACTIONS(540),
    [anon_sym_GT_EQ] = ACTIONS(540),
    [anon_sym_LT_EQ] = ACTIONS(540),
    [anon_sym_AT] = ACTIONS(540),
    [anon_sym_DOT] = ACTIONS(540),
    [anon_sym_QMARK] = ACTIONS(540),
    [anon_sym_break] = ACTIONS(542),
    [anon_sym_continue] = ACTIONS(542),
    [anon_sym_default] = ACTIONS(542),
    [anon_sym_if] = ACTIONS(542),
    [anon_sym_extern] = ACTIONS(542),
    [anon_sym_loop] = ACTIONS(542),
    [anon_sym_match] = ACTIONS(542),
    [anon_sym_pub] = ACTIONS(542),
    [anon_sym_return] = ACTIONS(542),
    [anon_sym_while] = ACTIONS(542),
    [anon_sym_for] = ACTIONS(542),
    [sym_numeric_literal] = ACTIONS(542),
    [aux_sym_string_literal_token1] = ACTIONS(540),
    [sym_shortstring_literal] = ACTIONS(540),
    [anon_sym_true] = ACTIONS(542),
    [anon_sym_false] = ACTIONS(542),
    [anon_sym_ref] = ACTIONS(542),
    [sym_identifier] = ACTIONS(542),
    [sym_super] = ACTIONS(542),
    [sym_line_comment] = ACTIONS(3),
  },
  [77] = {
    [ts_builtin_sym_end] = ACTIONS(544),
    [anon_sym_LBRACE] = ACTIONS(544),
    [anon_sym_RBRACE] = ACTIONS(544),
    [anon_sym_impl] = ACTIONS(546),
    [anon_sym_SEMI] = ACTIONS(544),
    [anon_sym_trait] = ACTIONS(546),
    [anon_sym_type] = ACTIONS(546),
    [anon_sym_const] = ACTIONS(546),
    [anon_sym_EQ] = ACTIONS(546),
    [anon_sym_BANG] = ACTIONS(546),
    [anon_sym_POUND] = ACTIONS(544),
    [anon_sym_LBRACK] = ACTIONS(544),
    [anon_sym_RBRACK] = ACTIONS(544),
    [anon_sym_mod] = ACTIONS(546),
    [anon_sym_struct] = ACTIONS(546),
    [anon_sym_enum] = ACTIONS(546),
    [anon_sym_COMMA] = ACTIONS(544),
    [anon_sym_fn] = ACTIONS(546),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_use] = ACTIONS(546),
    [anon_sym_COLON_COLON] = ACTIONS(544),
    [anon_sym_STAR] = ACTIONS(546),
    [anon_sym_LPAREN] = ACTIONS(544),
    [anon_sym_RPAREN] = ACTIONS(544),
    [anon_sym_u8] = ACTIONS(546),
    [anon_sym_i8] = ACTIONS(546),
    [anon_sym_u16] = ACTIONS(546),
    [anon_sym_i16] = ACTIONS(546),
    [anon_sym_u32] = ACTIONS(546),
    [anon_sym_i32] = ACTIONS(546),
    [anon_sym_u64] = ACTIONS(546),
    [anon_sym_i64] = ACTIONS(546),
    [anon_sym_u128] = ACTIONS(546),
    [anon_sym_i128] = ACTIONS(546),
    [anon_sym_usize] = ACTIONS(546),
    [anon_sym_bool] = ACTIONS(546),
    [anon_sym_ByteArray] = ACTIONS(546),
    [anon_sym_felt252] = ACTIONS(546),
    [anon_sym_LT] = ACTIONS(546),
    [anon_sym_GT] = ACTIONS(546),
    [anon_sym_PLUS] = ACTIONS(546),
    [anon_sym_DASH] = ACTIONS(546),
    [anon_sym_SLASH] = ACTIONS(546),
    [anon_sym_PERCENT] = ACTIONS(546),
    [anon_sym_CARET] = ACTIONS(544),
    [anon_sym_TILDE] = ACTIONS(544),
    [anon_sym_AMP] = ACTIONS(546),
    [anon_sym_PIPE] = ACTIONS(546),
    [anon_sym_AMP_AMP] = ACTIONS(544),
    [anon_sym_PIPE_PIPE] = ACTIONS(544),
    [anon_sym_LT_LT] = ACTIONS(544),
    [anon_sym_GT_GT] = ACTIONS(544),
    [anon_sym_PLUS_EQ] = ACTIONS(544),
    [anon_sym_DASH_EQ] = ACTIONS(544),
    [anon_sym_STAR_EQ] = ACTIONS(544),
    [anon_sym_SLASH_EQ] = ACTIONS(544),
    [anon_sym_PERCENT_EQ] = ACTIONS(544),
    [anon_sym_EQ_EQ] = ACTIONS(544),
    [anon_sym_BANG_EQ] = ACTIONS(544),
    [anon_sym_GT_EQ] = ACTIONS(544),
    [anon_sym_LT_EQ] = ACTIONS(544),
    [anon_sym_AT] = ACTIONS(544),
    [anon_sym_DOT] = ACTIONS(544),
    [anon_sym_QMARK] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(546),
    [anon_sym_default] = ACTIONS(546),
    [anon_sym_if] = ACTIONS(546),
    [anon_sym_extern] = ACTIONS(546),
    [anon_sym_loop] = ACTIONS(546),
    [anon_sym_match] = ACTIONS(546),
    [anon_sym_pub] = ACTIONS(546),
    [anon_sym_return] = ACTIONS(546),
    [anon_sym_while] = ACTIONS(546),
    [anon_sym_for] = ACTIONS(546),
    [sym_numeric_literal] = ACTIONS(546),
    [aux_sym_string_literal_token1] = ACTIONS(544),
    [sym_shortstring_literal] = ACTIONS(544),
    [anon_sym_true] = ACTIONS(546),
    [anon_sym_false] = ACTIONS(546),
    [anon_sym_ref] = ACTIONS(546),
    [sym_identifier] = ACTIONS(546),
    [sym_super] = ACTIONS(546),
    [sym_line_comment] = ACTIONS(3),
  },
  [78] = {
    [ts_builtin_sym_end] = ACTIONS(548),
    [anon_sym_LBRACE] = ACTIONS(548),
    [anon_sym_RBRACE] = ACTIONS(548),
    [anon_sym_impl] = ACTIONS(550),
    [anon_sym_SEMI] = ACTIONS(548),
    [anon_sym_trait] = ACTIONS(550),
    [anon_sym_type] = ACTIONS(550),
    [anon_sym_const] = ACTIONS(550),
    [anon_sym_EQ] = ACTIONS(550),
    [anon_sym_BANG] = ACTIONS(550),
    [anon_sym_POUND] = ACTIONS(548),
    [anon_sym_LBRACK] = ACTIONS(548),
    [anon_sym_RBRACK] = ACTIONS(548),
    [anon_sym_mod] = ACTIONS(550),
    [anon_sym_struct] = ACTIONS(550),
    [anon_sym_enum] = ACTIONS(550),
    [anon_sym_COMMA] = ACTIONS(548),
    [anon_sym_fn] = ACTIONS(550),
    [anon_sym_let] = ACTIONS(550),
    [anon_sym_use] = ACTIONS(550),
    [anon_sym_COLON_COLON] = ACTIONS(548),
    [anon_sym_STAR] = ACTIONS(550),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_RPAREN] = ACTIONS(548),
    [anon_sym_u8] = ACTIONS(550),
    [anon_sym_i8] = ACTIONS(550),
    [anon_sym_u16] = ACTIONS(550),
    [anon_sym_i16] = ACTIONS(550),
    [anon_sym_u32] = ACTIONS(550),
    [anon_sym_i32] = ACTIONS(550),
    [anon_sym_u64] = ACTIONS(550),
    [anon_sym_i64] = ACTIONS(550),
    [anon_sym_u128] = ACTIONS(550),
    [anon_sym_i128] = ACTIONS(550),
    [anon_sym_usize] = ACTIONS(550),
    [anon_sym_bool] = ACTIONS(550),
    [anon_sym_ByteArray] = ACTIONS(550),
    [anon_sym_felt252] = ACTIONS(550),
    [anon_sym_LT] = ACTIONS(550),
    [anon_sym_GT] = ACTIONS(550),
    [anon_sym_PLUS] = ACTIONS(550),
    [anon_sym_DASH] = ACTIONS(550),
    [anon_sym_SLASH] = ACTIONS(550),
    [anon_sym_PERCENT] = ACTIONS(550),
    [anon_sym_CARET] = ACTIONS(548),
    [anon_sym_TILDE] = ACTIONS(548),
    [anon_sym_AMP] = ACTIONS(550),
    [anon_sym_PIPE] = ACTIONS(550),
    [anon_sym_AMP_AMP] = ACTIONS(548),
    [anon_sym_PIPE_PIPE] = ACTIONS(548),
    [anon_sym_LT_LT] = ACTIONS(548),
    [anon_sym_GT_GT] = ACTIONS(548),
    [anon_sym_PLUS_EQ] = ACTIONS(548),
    [anon_sym_DASH_EQ] = ACTIONS(548),
    [anon_sym_STAR_EQ] = ACTIONS(548),
    [anon_sym_SLASH_EQ] = ACTIONS(548),
    [anon_sym_PERCENT_EQ] = ACTIONS(548),
    [anon_sym_EQ_EQ] = ACTIONS(548),
    [anon_sym_BANG_EQ] = ACTIONS(548),
    [anon_sym_GT_EQ] = ACTIONS(548),
    [anon_sym_LT_EQ] = ACTIONS(548),
    [anon_sym_AT] = ACTIONS(548),
    [anon_sym_DOT] = ACTIONS(548),
    [anon_sym_QMARK] = ACTIONS(548),
    [anon_sym_break] = ACTIONS(550),
    [anon_sym_continue] = ACTIONS(550),
    [anon_sym_default] = ACTIONS(550),
    [anon_sym_if] = ACTIONS(550),
    [anon_sym_extern] = ACTIONS(550),
    [anon_sym_loop] = ACTIONS(550),
    [anon_sym_match] = ACTIONS(550),
    [anon_sym_pub] = ACTIONS(550),
    [anon_sym_return] = ACTIONS(550),
    [anon_sym_while] = ACTIONS(550),
    [anon_sym_for] = ACTIONS(550),
    [sym_numeric_literal] = ACTIONS(550),
    [aux_sym_string_literal_token1] = ACTIONS(548),
    [sym_shortstring_literal] = ACTIONS(548),
    [anon_sym_true] = ACTIONS(550),
    [anon_sym_false] = ACTIONS(550),
    [anon_sym_ref] = ACTIONS(550),
    [sym_identifier] = ACTIONS(550),
    [sym_super] = ACTIONS(550),
    [sym_line_comment] = ACTIONS(3),
  },
  [79] = {
    [ts_builtin_sym_end] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_RBRACE] = ACTIONS(552),
    [anon_sym_impl] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(552),
    [anon_sym_trait] = ACTIONS(554),
    [anon_sym_type] = ACTIONS(554),
    [anon_sym_const] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(554),
    [anon_sym_BANG] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(552),
    [anon_sym_LBRACK] = ACTIONS(552),
    [anon_sym_RBRACK] = ACTIONS(552),
    [anon_sym_mod] = ACTIONS(554),
    [anon_sym_struct] = ACTIONS(554),
    [anon_sym_enum] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(552),
    [anon_sym_fn] = ACTIONS(554),
    [anon_sym_let] = ACTIONS(554),
    [anon_sym_use] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(552),
    [anon_sym_STAR] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(552),
    [anon_sym_RPAREN] = ACTIONS(552),
    [anon_sym_u8] = ACTIONS(554),
    [anon_sym_i8] = ACTIONS(554),
    [anon_sym_u16] = ACTIONS(554),
    [anon_sym_i16] = ACTIONS(554),
    [anon_sym_u32] = ACTIONS(554),
    [anon_sym_i32] = ACTIONS(554),
    [anon_sym_u64] = ACTIONS(554),
    [anon_sym_i64] = ACTIONS(554),
    [anon_sym_u128] = ACTIONS(554),
    [anon_sym_i128] = ACTIONS(554),
    [anon_sym_usize] = ACTIONS(554),
    [anon_sym_bool] = ACTIONS(554),
    [anon_sym_ByteArray] = ACTIONS(554),
    [anon_sym_felt252] = ACTIONS(554),
    [anon_sym_LT] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(554),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_SLASH] = ACTIONS(554),
    [anon_sym_PERCENT] = ACTIONS(554),
    [anon_sym_CARET] = ACTIONS(552),
    [anon_sym_TILDE] = ACTIONS(552),
    [anon_sym_AMP] = ACTIONS(554),
    [anon_sym_PIPE] = ACTIONS(554),
    [anon_sym_AMP_AMP] = ACTIONS(552),
    [anon_sym_PIPE_PIPE] = ACTIONS(552),
    [anon_sym_LT_LT] = ACTIONS(552),
    [anon_sym_GT_GT] = ACTIONS(552),
    [anon_sym_PLUS_EQ] = ACTIONS(552),
    [anon_sym_DASH_EQ] = ACTIONS(552),
    [anon_sym_STAR_EQ] = ACTIONS(552),
    [anon_sym_SLASH_EQ] = ACTIONS(552),
    [anon_sym_PERCENT_EQ] = ACTIONS(552),
    [anon_sym_EQ_EQ] = ACTIONS(552),
    [anon_sym_BANG_EQ] = ACTIONS(552),
    [anon_sym_GT_EQ] = ACTIONS(552),
    [anon_sym_LT_EQ] = ACTIONS(552),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_DOT] = ACTIONS(552),
    [anon_sym_QMARK] = ACTIONS(552),
    [anon_sym_break] = ACTIONS(554),
    [anon_sym_continue] = ACTIONS(554),
    [anon_sym_default] = ACTIONS(554),
    [anon_sym_if] = ACTIONS(554),
    [anon_sym_extern] = ACTIONS(554),
    [anon_sym_loop] = ACTIONS(554),
    [anon_sym_match] = ACTIONS(554),
    [anon_sym_pub] = ACTIONS(554),
    [anon_sym_return] = ACTIONS(554),
    [anon_sym_while] = ACTIONS(554),
    [anon_sym_for] = ACTIONS(554),
    [sym_numeric_literal] = ACTIONS(554),
    [aux_sym_string_literal_token1] = ACTIONS(552),
    [sym_shortstring_literal] = ACTIONS(552),
    [anon_sym_true] = ACTIONS(554),
    [anon_sym_false] = ACTIONS(554),
    [anon_sym_ref] = ACTIONS(554),
    [sym_identifier] = ACTIONS(554),
    [sym_super] = ACTIONS(554),
    [sym_line_comment] = ACTIONS(3),
  },
  [80] = {
    [ts_builtin_sym_end] = ACTIONS(556),
    [anon_sym_LBRACE] = ACTIONS(556),
    [anon_sym_RBRACE] = ACTIONS(556),
    [anon_sym_impl] = ACTIONS(558),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_trait] = ACTIONS(558),
    [anon_sym_type] = ACTIONS(558),
    [anon_sym_const] = ACTIONS(558),
    [anon_sym_EQ] = ACTIONS(558),
    [anon_sym_BANG] = ACTIONS(558),
    [anon_sym_POUND] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(556),
    [anon_sym_RBRACK] = ACTIONS(556),
    [anon_sym_mod] = ACTIONS(558),
    [anon_sym_struct] = ACTIONS(558),
    [anon_sym_enum] = ACTIONS(558),
    [anon_sym_COMMA] = ACTIONS(556),
    [anon_sym_fn] = ACTIONS(558),
    [anon_sym_let] = ACTIONS(558),
    [anon_sym_use] = ACTIONS(558),
    [anon_sym_COLON_COLON] = ACTIONS(556),
    [anon_sym_STAR] = ACTIONS(558),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_RPAREN] = ACTIONS(556),
    [anon_sym_u8] = ACTIONS(558),
    [anon_sym_i8] = ACTIONS(558),
    [anon_sym_u16] = ACTIONS(558),
    [anon_sym_i16] = ACTIONS(558),
    [anon_sym_u32] = ACTIONS(558),
    [anon_sym_i32] = ACTIONS(558),
    [anon_sym_u64] = ACTIONS(558),
    [anon_sym_i64] = ACTIONS(558),
    [anon_sym_u128] = ACTIONS(558),
    [anon_sym_i128] = ACTIONS(558),
    [anon_sym_usize] = ACTIONS(558),
    [anon_sym_bool] = ACTIONS(558),
    [anon_sym_ByteArray] = ACTIONS(558),
    [anon_sym_felt252] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(558),
    [anon_sym_GT] = ACTIONS(558),
    [anon_sym_PLUS] = ACTIONS(558),
    [anon_sym_DASH] = ACTIONS(558),
    [anon_sym_SLASH] = ACTIONS(558),
    [anon_sym_PERCENT] = ACTIONS(558),
    [anon_sym_CARET] = ACTIONS(556),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_AMP] = ACTIONS(558),
    [anon_sym_PIPE] = ACTIONS(558),
    [anon_sym_AMP_AMP] = ACTIONS(556),
    [anon_sym_PIPE_PIPE] = ACTIONS(556),
    [anon_sym_LT_LT] = ACTIONS(556),
    [anon_sym_GT_GT] = ACTIONS(556),
    [anon_sym_PLUS_EQ] = ACTIONS(556),
    [anon_sym_DASH_EQ] = ACTIONS(556),
    [anon_sym_STAR_EQ] = ACTIONS(556),
    [anon_sym_SLASH_EQ] = ACTIONS(556),
    [anon_sym_PERCENT_EQ] = ACTIONS(556),
    [anon_sym_EQ_EQ] = ACTIONS(556),
    [anon_sym_BANG_EQ] = ACTIONS(556),
    [anon_sym_GT_EQ] = ACTIONS(556),
    [anon_sym_LT_EQ] = ACTIONS(556),
    [anon_sym_AT] = ACTIONS(556),
    [anon_sym_DOT] = ACTIONS(556),
    [anon_sym_QMARK] = ACTIONS(556),
    [anon_sym_break] = ACTIONS(558),
    [anon_sym_continue] = ACTIONS(558),
    [anon_sym_default] = ACTIONS(558),
    [anon_sym_if] = ACTIONS(558),
    [anon_sym_extern] = ACTIONS(558),
    [anon_sym_loop] = ACTIONS(558),
    [anon_sym_match] = ACTIONS(558),
    [anon_sym_pub] = ACTIONS(558),
    [anon_sym_return] = ACTIONS(558),
    [anon_sym_while] = ACTIONS(558),
    [anon_sym_for] = ACTIONS(558),
    [sym_numeric_literal] = ACTIONS(558),
    [aux_sym_string_literal_token1] = ACTIONS(556),
    [sym_shortstring_literal] = ACTIONS(556),
    [anon_sym_true] = ACTIONS(558),
    [anon_sym_false] = ACTIONS(558),
    [anon_sym_ref] = ACTIONS(558),
    [sym_identifier] = ACTIONS(558),
    [sym_super] = ACTIONS(558),
    [sym_line_comment] = ACTIONS(3),
  },
  [81] = {
    [ts_builtin_sym_end] = ACTIONS(560),
    [anon_sym_LBRACE] = ACTIONS(560),
    [anon_sym_RBRACE] = ACTIONS(560),
    [anon_sym_impl] = ACTIONS(562),
    [anon_sym_SEMI] = ACTIONS(560),
    [anon_sym_trait] = ACTIONS(562),
    [anon_sym_type] = ACTIONS(562),
    [anon_sym_const] = ACTIONS(562),
    [anon_sym_EQ] = ACTIONS(562),
    [anon_sym_BANG] = ACTIONS(562),
    [anon_sym_POUND] = ACTIONS(560),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_RBRACK] = ACTIONS(560),
    [anon_sym_mod] = ACTIONS(562),
    [anon_sym_struct] = ACTIONS(562),
    [anon_sym_enum] = ACTIONS(562),
    [anon_sym_COMMA] = ACTIONS(560),
    [anon_sym_fn] = ACTIONS(562),
    [anon_sym_let] = ACTIONS(562),
    [anon_sym_use] = ACTIONS(562),
    [anon_sym_COLON_COLON] = ACTIONS(560),
    [anon_sym_STAR] = ACTIONS(562),
    [anon_sym_LPAREN] = ACTIONS(560),
    [anon_sym_RPAREN] = ACTIONS(560),
    [anon_sym_u8] = ACTIONS(562),
    [anon_sym_i8] = ACTIONS(562),
    [anon_sym_u16] = ACTIONS(562),
    [anon_sym_i16] = ACTIONS(562),
    [anon_sym_u32] = ACTIONS(562),
    [anon_sym_i32] = ACTIONS(562),
    [anon_sym_u64] = ACTIONS(562),
    [anon_sym_i64] = ACTIONS(562),
    [anon_sym_u128] = ACTIONS(562),
    [anon_sym_i128] = ACTIONS(562),
    [anon_sym_usize] = ACTIONS(562),
    [anon_sym_bool] = ACTIONS(562),
    [anon_sym_ByteArray] = ACTIONS(562),
    [anon_sym_felt252] = ACTIONS(562),
    [anon_sym_LT] = ACTIONS(562),
    [anon_sym_GT] = ACTIONS(562),
    [anon_sym_PLUS] = ACTIONS(562),
    [anon_sym_DASH] = ACTIONS(562),
    [anon_sym_SLASH] = ACTIONS(562),
    [anon_sym_PERCENT] = ACTIONS(562),
    [anon_sym_CARET] = ACTIONS(560),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_AMP] = ACTIONS(562),
    [anon_sym_PIPE] = ACTIONS(562),
    [anon_sym_AMP_AMP] = ACTIONS(560),
    [anon_sym_PIPE_PIPE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(560),
    [anon_sym_GT_GT] = ACTIONS(560),
    [anon_sym_PLUS_EQ] = ACTIONS(560),
    [anon_sym_DASH_EQ] = ACTIONS(560),
    [anon_sym_STAR_EQ] = ACTIONS(560),
    [anon_sym_SLASH_EQ] = ACTIONS(560),
    [anon_sym_PERCENT_EQ] = ACTIONS(560),
    [anon_sym_EQ_EQ] = ACTIONS(560),
    [anon_sym_BANG_EQ] = ACTIONS(560),
    [anon_sym_GT_EQ] = ACTIONS(560),
    [anon_sym_LT_EQ] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(560),
    [anon_sym_DOT] = ACTIONS(560),
    [anon_sym_QMARK] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(562),
    [anon_sym_default] = ACTIONS(562),
    [anon_sym_if] = ACTIONS(562),
    [anon_sym_extern] = ACTIONS(562),
    [anon_sym_loop] = ACTIONS(562),
    [anon_sym_match] = ACTIONS(562),
    [anon_sym_pub] = ACTIONS(562),
    [anon_sym_return] = ACTIONS(562),
    [anon_sym_while] = ACTIONS(562),
    [anon_sym_for] = ACTIONS(562),
    [sym_numeric_literal] = ACTIONS(562),
    [aux_sym_string_literal_token1] = ACTIONS(560),
    [sym_shortstring_literal] = ACTIONS(560),
    [anon_sym_true] = ACTIONS(562),
    [anon_sym_false] = ACTIONS(562),
    [anon_sym_ref] = ACTIONS(562),
    [sym_identifier] = ACTIONS(562),
    [sym_super] = ACTIONS(562),
    [sym_line_comment] = ACTIONS(3),
  },
  [82] = {
    [ts_builtin_sym_end] = ACTIONS(564),
    [anon_sym_LBRACE] = ACTIONS(564),
    [anon_sym_RBRACE] = ACTIONS(564),
    [anon_sym_impl] = ACTIONS(566),
    [anon_sym_SEMI] = ACTIONS(564),
    [anon_sym_trait] = ACTIONS(566),
    [anon_sym_type] = ACTIONS(566),
    [anon_sym_const] = ACTIONS(566),
    [anon_sym_EQ] = ACTIONS(566),
    [anon_sym_BANG] = ACTIONS(566),
    [anon_sym_POUND] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(564),
    [anon_sym_RBRACK] = ACTIONS(564),
    [anon_sym_mod] = ACTIONS(566),
    [anon_sym_struct] = ACTIONS(566),
    [anon_sym_enum] = ACTIONS(566),
    [anon_sym_COMMA] = ACTIONS(564),
    [anon_sym_fn] = ACTIONS(566),
    [anon_sym_let] = ACTIONS(566),
    [anon_sym_use] = ACTIONS(566),
    [anon_sym_COLON_COLON] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(566),
    [anon_sym_LPAREN] = ACTIONS(564),
    [anon_sym_RPAREN] = ACTIONS(564),
    [anon_sym_u8] = ACTIONS(566),
    [anon_sym_i8] = ACTIONS(566),
    [anon_sym_u16] = ACTIONS(566),
    [anon_sym_i16] = ACTIONS(566),
    [anon_sym_u32] = ACTIONS(566),
    [anon_sym_i32] = ACTIONS(566),
    [anon_sym_u64] = ACTIONS(566),
    [anon_sym_i64] = ACTIONS(566),
    [anon_sym_u128] = ACTIONS(566),
    [anon_sym_i128] = ACTIONS(566),
    [anon_sym_usize] = ACTIONS(566),
    [anon_sym_bool] = ACTIONS(566),
    [anon_sym_ByteArray] = ACTIONS(566),
    [anon_sym_felt252] = ACTIONS(566),
    [anon_sym_LT] = ACTIONS(566),
    [anon_sym_GT] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(566),
    [anon_sym_DASH] = ACTIONS(566),
    [anon_sym_SLASH] = ACTIONS(566),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(566),
    [anon_sym_PIPE] = ACTIONS(566),
    [anon_sym_AMP_AMP] = ACTIONS(564),
    [anon_sym_PIPE_PIPE] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(564),
    [anon_sym_DASH_EQ] = ACTIONS(564),
    [anon_sym_STAR_EQ] = ACTIONS(564),
    [anon_sym_SLASH_EQ] = ACTIONS(564),
    [anon_sym_PERCENT_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(564),
    [anon_sym_BANG_EQ] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(564),
    [anon_sym_LT_EQ] = ACTIONS(564),
    [anon_sym_AT] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(564),
    [anon_sym_break] = ACTIONS(566),
    [anon_sym_continue] = ACTIONS(566),
    [anon_sym_default] = ACTIONS(566),
    [anon_sym_if] = ACTIONS(566),
    [anon_sym_extern] = ACTIONS(566),
    [anon_sym_loop] = ACTIONS(566),
    [anon_sym_match] = ACTIONS(566),
    [anon_sym_pub] = ACTIONS(566),
    [anon_sym_return] = ACTIONS(566),
    [anon_sym_while] = ACTIONS(566),
    [anon_sym_for] = ACTIONS(566),
    [sym_numeric_literal] = ACTIONS(566),
    [aux_sym_string_literal_token1] = ACTIONS(564),
    [sym_shortstring_literal] = ACTIONS(564),
    [anon_sym_true] = ACTIONS(566),
    [anon_sym_false] = ACTIONS(566),
    [anon_sym_ref] = ACTIONS(566),
    [sym_identifier] = ACTIONS(566),
    [sym_super] = ACTIONS(566),
    [sym_line_comment] = ACTIONS(3),
  },
  [83] = {
    [ts_builtin_sym_end] = ACTIONS(508),
    [anon_sym_LBRACE] = ACTIONS(508),
    [anon_sym_RBRACE] = ACTIONS(508),
    [anon_sym_impl] = ACTIONS(510),
    [anon_sym_SEMI] = ACTIONS(508),
    [anon_sym_trait] = ACTIONS(510),
    [anon_sym_type] = ACTIONS(510),
    [anon_sym_const] = ACTIONS(510),
    [anon_sym_EQ] = ACTIONS(510),
    [anon_sym_BANG] = ACTIONS(510),
    [anon_sym_POUND] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(508),
    [anon_sym_RBRACK] = ACTIONS(508),
    [anon_sym_mod] = ACTIONS(510),
    [anon_sym_struct] = ACTIONS(510),
    [anon_sym_enum] = ACTIONS(510),
    [anon_sym_COMMA] = ACTIONS(508),
    [anon_sym_fn] = ACTIONS(510),
    [anon_sym_let] = ACTIONS(510),
    [anon_sym_use] = ACTIONS(510),
    [anon_sym_COLON_COLON] = ACTIONS(508),
    [anon_sym_STAR] = ACTIONS(510),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_RPAREN] = ACTIONS(508),
    [anon_sym_u8] = ACTIONS(510),
    [anon_sym_i8] = ACTIONS(510),
    [anon_sym_u16] = ACTIONS(510),
    [anon_sym_i16] = ACTIONS(510),
    [anon_sym_u32] = ACTIONS(510),
    [anon_sym_i32] = ACTIONS(510),
    [anon_sym_u64] = ACTIONS(510),
    [anon_sym_i64] = ACTIONS(510),
    [anon_sym_u128] = ACTIONS(510),
    [anon_sym_i128] = ACTIONS(510),
    [anon_sym_usize] = ACTIONS(510),
    [anon_sym_bool] = ACTIONS(510),
    [anon_sym_ByteArray] = ACTIONS(510),
    [anon_sym_felt252] = ACTIONS(510),
    [anon_sym_LT] = ACTIONS(510),
    [anon_sym_GT] = ACTIONS(510),
    [anon_sym_PLUS] = ACTIONS(510),
    [anon_sym_DASH] = ACTIONS(510),
    [anon_sym_SLASH] = ACTIONS(510),
    [anon_sym_PERCENT] = ACTIONS(510),
    [anon_sym_CARET] = ACTIONS(508),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_AMP] = ACTIONS(510),
    [anon_sym_PIPE] = ACTIONS(510),
    [anon_sym_AMP_AMP] = ACTIONS(508),
    [anon_sym_PIPE_PIPE] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(508),
    [anon_sym_GT_GT] = ACTIONS(508),
    [anon_sym_PLUS_EQ] = ACTIONS(508),
    [anon_sym_DASH_EQ] = ACTIONS(508),
    [anon_sym_STAR_EQ] = ACTIONS(508),
    [anon_sym_SLASH_EQ] = ACTIONS(508),
    [anon_sym_PERCENT_EQ] = ACTIONS(508),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_GT_EQ] = ACTIONS(508),
    [anon_sym_LT_EQ] = ACTIONS(508),
    [anon_sym_AT] = ACTIONS(508),
    [anon_sym_DOT] = ACTIONS(508),
    [anon_sym_QMARK] = ACTIONS(508),
    [anon_sym_break] = ACTIONS(510),
    [anon_sym_continue] = ACTIONS(510),
    [anon_sym_default] = ACTIONS(510),
    [anon_sym_if] = ACTIONS(510),
    [anon_sym_extern] = ACTIONS(510),
    [anon_sym_loop] = ACTIONS(510),
    [anon_sym_match] = ACTIONS(510),
    [anon_sym_pub] = ACTIONS(510),
    [anon_sym_return] = ACTIONS(510),
    [anon_sym_while] = ACTIONS(510),
    [anon_sym_for] = ACTIONS(510),
    [sym_numeric_literal] = ACTIONS(510),
    [aux_sym_string_literal_token1] = ACTIONS(508),
    [sym_shortstring_literal] = ACTIONS(508),
    [anon_sym_true] = ACTIONS(510),
    [anon_sym_false] = ACTIONS(510),
    [anon_sym_ref] = ACTIONS(510),
    [sym_identifier] = ACTIONS(510),
    [sym_super] = ACTIONS(510),
    [sym_line_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_else_clause] = STATE(82),
    [ts_builtin_sym_end] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(568),
    [anon_sym_RBRACE] = ACTIONS(568),
    [anon_sym_impl] = ACTIONS(570),
    [anon_sym_SEMI] = ACTIONS(568),
    [anon_sym_trait] = ACTIONS(570),
    [anon_sym_type] = ACTIONS(570),
    [anon_sym_const] = ACTIONS(570),
    [anon_sym_EQ] = ACTIONS(570),
    [anon_sym_BANG] = ACTIONS(570),
    [anon_sym_POUND] = ACTIONS(568),
    [anon_sym_LBRACK] = ACTIONS(568),
    [anon_sym_mod] = ACTIONS(570),
    [anon_sym_struct] = ACTIONS(570),
    [anon_sym_enum] = ACTIONS(570),
    [anon_sym_fn] = ACTIONS(570),
    [anon_sym_let] = ACTIONS(570),
    [anon_sym_use] = ACTIONS(570),
    [anon_sym_COLON_COLON] = ACTIONS(568),
    [anon_sym_STAR] = ACTIONS(570),
    [anon_sym_LPAREN] = ACTIONS(568),
    [anon_sym_u8] = ACTIONS(570),
    [anon_sym_i8] = ACTIONS(570),
    [anon_sym_u16] = ACTIONS(570),
    [anon_sym_i16] = ACTIONS(570),
    [anon_sym_u32] = ACTIONS(570),
    [anon_sym_i32] = ACTIONS(570),
    [anon_sym_u64] = ACTIONS(570),
    [anon_sym_i64] = ACTIONS(570),
    [anon_sym_u128] = ACTIONS(570),
    [anon_sym_i128] = ACTIONS(570),
    [anon_sym_usize] = ACTIONS(570),
    [anon_sym_bool] = ACTIONS(570),
    [anon_sym_ByteArray] = ACTIONS(570),
    [anon_sym_felt252] = ACTIONS(570),
    [anon_sym_LT] = ACTIONS(570),
    [anon_sym_GT] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(570),
    [anon_sym_DASH] = ACTIONS(570),
    [anon_sym_SLASH] = ACTIONS(570),
    [anon_sym_PERCENT] = ACTIONS(570),
    [anon_sym_CARET] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(568),
    [anon_sym_AMP] = ACTIONS(570),
    [anon_sym_PIPE] = ACTIONS(570),
    [anon_sym_AMP_AMP] = ACTIONS(568),
    [anon_sym_PIPE_PIPE] = ACTIONS(568),
    [anon_sym_LT_LT] = ACTIONS(568),
    [anon_sym_GT_GT] = ACTIONS(568),
    [anon_sym_PLUS_EQ] = ACTIONS(568),
    [anon_sym_DASH_EQ] = ACTIONS(568),
    [anon_sym_STAR_EQ] = ACTIONS(568),
    [anon_sym_SLASH_EQ] = ACTIONS(568),
    [anon_sym_PERCENT_EQ] = ACTIONS(568),
    [anon_sym_EQ_EQ] = ACTIONS(568),
    [anon_sym_BANG_EQ] = ACTIONS(568),
    [anon_sym_GT_EQ] = ACTIONS(568),
    [anon_sym_LT_EQ] = ACTIONS(568),
    [anon_sym_AT] = ACTIONS(568),
    [anon_sym_DOT] = ACTIONS(568),
    [anon_sym_QMARK] = ACTIONS(568),
    [anon_sym_break] = ACTIONS(570),
    [anon_sym_continue] = ACTIONS(570),
    [anon_sym_default] = ACTIONS(570),
    [anon_sym_if] = ACTIONS(570),
    [anon_sym_extern] = ACTIONS(570),
    [anon_sym_loop] = ACTIONS(570),
    [anon_sym_match] = ACTIONS(570),
    [anon_sym_pub] = ACTIONS(570),
    [anon_sym_return] = ACTIONS(570),
    [anon_sym_while] = ACTIONS(570),
    [anon_sym_for] = ACTIONS(570),
    [sym_numeric_literal] = ACTIONS(570),
    [aux_sym_string_literal_token1] = ACTIONS(568),
    [sym_shortstring_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(570),
    [anon_sym_false] = ACTIONS(570),
    [anon_sym_else] = ACTIONS(572),
    [anon_sym_ref] = ACTIONS(570),
    [sym_identifier] = ACTIONS(570),
    [sym_super] = ACTIONS(570),
    [sym_line_comment] = ACTIONS(3),
  },
  [85] = {
    [ts_builtin_sym_end] = ACTIONS(536),
    [anon_sym_LBRACE] = ACTIONS(536),
    [anon_sym_RBRACE] = ACTIONS(536),
    [anon_sym_impl] = ACTIONS(538),
    [anon_sym_SEMI] = ACTIONS(536),
    [anon_sym_trait] = ACTIONS(538),
    [anon_sym_type] = ACTIONS(538),
    [anon_sym_const] = ACTIONS(538),
    [anon_sym_EQ] = ACTIONS(538),
    [anon_sym_BANG] = ACTIONS(538),
    [anon_sym_POUND] = ACTIONS(536),
    [anon_sym_LBRACK] = ACTIONS(536),
    [anon_sym_mod] = ACTIONS(538),
    [anon_sym_struct] = ACTIONS(538),
    [anon_sym_enum] = ACTIONS(538),
    [anon_sym_fn] = ACTIONS(538),
    [anon_sym_let] = ACTIONS(538),
    [anon_sym_use] = ACTIONS(538),
    [anon_sym_COLON_COLON] = ACTIONS(536),
    [anon_sym_STAR] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(536),
    [anon_sym_u8] = ACTIONS(538),
    [anon_sym_i8] = ACTIONS(538),
    [anon_sym_u16] = ACTIONS(538),
    [anon_sym_i16] = ACTIONS(538),
    [anon_sym_u32] = ACTIONS(538),
    [anon_sym_i32] = ACTIONS(538),
    [anon_sym_u64] = ACTIONS(538),
    [anon_sym_i64] = ACTIONS(538),
    [anon_sym_u128] = ACTIONS(538),
    [anon_sym_i128] = ACTIONS(538),
    [anon_sym_usize] = ACTIONS(538),
    [anon_sym_bool] = ACTIONS(538),
    [anon_sym_ByteArray] = ACTIONS(538),
    [anon_sym_felt252] = ACTIONS(538),
    [anon_sym_LT] = ACTIONS(538),
    [anon_sym_GT] = ACTIONS(538),
    [anon_sym_PLUS] = ACTIONS(538),
    [anon_sym_DASH] = ACTIONS(538),
    [anon_sym_SLASH] = ACTIONS(538),
    [anon_sym_PERCENT] = ACTIONS(538),
    [anon_sym_CARET] = ACTIONS(536),
    [anon_sym_TILDE] = ACTIONS(536),
    [anon_sym_AMP] = ACTIONS(538),
    [anon_sym_PIPE] = ACTIONS(538),
    [anon_sym_AMP_AMP] = ACTIONS(536),
    [anon_sym_PIPE_PIPE] = ACTIONS(536),
    [anon_sym_LT_LT] = ACTIONS(536),
    [anon_sym_GT_GT] = ACTIONS(536),
    [anon_sym_PLUS_EQ] = ACTIONS(536),
    [anon_sym_DASH_EQ] = ACTIONS(536),
    [anon_sym_STAR_EQ] = ACTIONS(536),
    [anon_sym_SLASH_EQ] = ACTIONS(536),
    [anon_sym_PERCENT_EQ] = ACTIONS(536),
    [anon_sym_EQ_EQ] = ACTIONS(536),
    [anon_sym_BANG_EQ] = ACTIONS(536),
    [anon_sym_GT_EQ] = ACTIONS(536),
    [anon_sym_LT_EQ] = ACTIONS(536),
    [anon_sym_AT] = ACTIONS(536),
    [anon_sym_DOT] = ACTIONS(536),
    [anon_sym_QMARK] = ACTIONS(536),
    [anon_sym_break] = ACTIONS(538),
    [anon_sym_continue] = ACTIONS(538),
    [anon_sym_default] = ACTIONS(538),
    [anon_sym_if] = ACTIONS(538),
    [anon_sym_extern] = ACTIONS(538),
    [anon_sym_loop] = ACTIONS(538),
    [anon_sym_match] = ACTIONS(538),
    [anon_sym_pub] = ACTIONS(538),
    [anon_sym_return] = ACTIONS(538),
    [anon_sym_while] = ACTIONS(538),
    [anon_sym_for] = ACTIONS(538),
    [sym_numeric_literal] = ACTIONS(538),
    [aux_sym_string_literal_token1] = ACTIONS(536),
    [sym_shortstring_literal] = ACTIONS(536),
    [anon_sym_true] = ACTIONS(538),
    [anon_sym_false] = ACTIONS(538),
    [anon_sym_else] = ACTIONS(538),
    [anon_sym_ref] = ACTIONS(538),
    [sym_identifier] = ACTIONS(538),
    [sym_super] = ACTIONS(538),
    [sym_line_comment] = ACTIONS(3),
  },
  [86] = {
    [ts_builtin_sym_end] = ACTIONS(540),
    [anon_sym_LBRACE] = ACTIONS(540),
    [anon_sym_RBRACE] = ACTIONS(540),
    [anon_sym_impl] = ACTIONS(542),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_trait] = ACTIONS(542),
    [anon_sym_type] = ACTIONS(542),
    [anon_sym_const] = ACTIONS(542),
    [anon_sym_EQ] = ACTIONS(542),
    [anon_sym_BANG] = ACTIONS(542),
    [anon_sym_POUND] = ACTIONS(540),
    [anon_sym_LBRACK] = ACTIONS(540),
    [anon_sym_mod] = ACTIONS(542),
    [anon_sym_struct] = ACTIONS(542),
    [anon_sym_enum] = ACTIONS(542),
    [anon_sym_fn] = ACTIONS(542),
    [anon_sym_let] = ACTIONS(542),
    [anon_sym_use] = ACTIONS(542),
    [anon_sym_COLON_COLON] = ACTIONS(540),
    [anon_sym_STAR] = ACTIONS(542),
    [anon_sym_LPAREN] = ACTIONS(540),
    [anon_sym_u8] = ACTIONS(542),
    [anon_sym_i8] = ACTIONS(542),
    [anon_sym_u16] = ACTIONS(542),
    [anon_sym_i16] = ACTIONS(542),
    [anon_sym_u32] = ACTIONS(542),
    [anon_sym_i32] = ACTIONS(542),
    [anon_sym_u64] = ACTIONS(542),
    [anon_sym_i64] = ACTIONS(542),
    [anon_sym_u128] = ACTIONS(542),
    [anon_sym_i128] = ACTIONS(542),
    [anon_sym_usize] = ACTIONS(542),
    [anon_sym_bool] = ACTIONS(542),
    [anon_sym_ByteArray] = ACTIONS(542),
    [anon_sym_felt252] = ACTIONS(542),
    [anon_sym_LT] = ACTIONS(542),
    [anon_sym_GT] = ACTIONS(542),
    [anon_sym_PLUS] = ACTIONS(542),
    [anon_sym_DASH] = ACTIONS(542),
    [anon_sym_SLASH] = ACTIONS(542),
    [anon_sym_PERCENT] = ACTIONS(542),
    [anon_sym_CARET] = ACTIONS(540),
    [anon_sym_TILDE] = ACTIONS(540),
    [anon_sym_AMP] = ACTIONS(542),
    [anon_sym_PIPE] = ACTIONS(542),
    [anon_sym_AMP_AMP] = ACTIONS(540),
    [anon_sym_PIPE_PIPE] = ACTIONS(540),
    [anon_sym_LT_LT] = ACTIONS(540),
    [anon_sym_GT_GT] = ACTIONS(540),
    [anon_sym_PLUS_EQ] = ACTIONS(540),
    [anon_sym_DASH_EQ] = ACTIONS(540),
    [anon_sym_STAR_EQ] = ACTIONS(540),
    [anon_sym_SLASH_EQ] = ACTIONS(540),
    [anon_sym_PERCENT_EQ] = ACTIONS(540),
    [anon_sym_EQ_EQ] = ACTIONS(540),
    [anon_sym_BANG_EQ] = ACTIONS(540),
    [anon_sym_GT_EQ] = ACTIONS(540),
    [anon_sym_LT_EQ] = ACTIONS(540),
    [anon_sym_AT] = ACTIONS(540),
    [anon_sym_DOT] = ACTIONS(540),
    [anon_sym_QMARK] = ACTIONS(540),
    [anon_sym_break] = ACTIONS(542),
    [anon_sym_continue] = ACTIONS(542),
    [anon_sym_default] = ACTIONS(542),
    [anon_sym_if] = ACTIONS(542),
    [anon_sym_extern] = ACTIONS(542),
    [anon_sym_loop] = ACTIONS(542),
    [anon_sym_match] = ACTIONS(542),
    [anon_sym_pub] = ACTIONS(542),
    [anon_sym_return] = ACTIONS(542),
    [anon_sym_while] = ACTIONS(542),
    [anon_sym_for] = ACTIONS(542),
    [sym_numeric_literal] = ACTIONS(542),
    [aux_sym_string_literal_token1] = ACTIONS(540),
    [sym_shortstring_literal] = ACTIONS(540),
    [anon_sym_true] = ACTIONS(542),
    [anon_sym_false] = ACTIONS(542),
    [anon_sym_else] = ACTIONS(542),
    [anon_sym_ref] = ACTIONS(542),
    [sym_identifier] = ACTIONS(542),
    [sym_super] = ACTIONS(542),
    [sym_line_comment] = ACTIONS(3),
  },
  [87] = {
    [ts_builtin_sym_end] = ACTIONS(560),
    [anon_sym_LBRACE] = ACTIONS(560),
    [anon_sym_RBRACE] = ACTIONS(560),
    [anon_sym_impl] = ACTIONS(562),
    [anon_sym_SEMI] = ACTIONS(560),
    [anon_sym_trait] = ACTIONS(562),
    [anon_sym_type] = ACTIONS(562),
    [anon_sym_const] = ACTIONS(562),
    [anon_sym_EQ] = ACTIONS(562),
    [anon_sym_BANG] = ACTIONS(562),
    [anon_sym_POUND] = ACTIONS(560),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_mod] = ACTIONS(562),
    [anon_sym_struct] = ACTIONS(562),
    [anon_sym_enum] = ACTIONS(562),
    [anon_sym_fn] = ACTIONS(562),
    [anon_sym_let] = ACTIONS(562),
    [anon_sym_use] = ACTIONS(562),
    [anon_sym_COLON_COLON] = ACTIONS(560),
    [anon_sym_STAR] = ACTIONS(562),
    [anon_sym_LPAREN] = ACTIONS(560),
    [anon_sym_u8] = ACTIONS(562),
    [anon_sym_i8] = ACTIONS(562),
    [anon_sym_u16] = ACTIONS(562),
    [anon_sym_i16] = ACTIONS(562),
    [anon_sym_u32] = ACTIONS(562),
    [anon_sym_i32] = ACTIONS(562),
    [anon_sym_u64] = ACTIONS(562),
    [anon_sym_i64] = ACTIONS(562),
    [anon_sym_u128] = ACTIONS(562),
    [anon_sym_i128] = ACTIONS(562),
    [anon_sym_usize] = ACTIONS(562),
    [anon_sym_bool] = ACTIONS(562),
    [anon_sym_ByteArray] = ACTIONS(562),
    [anon_sym_felt252] = ACTIONS(562),
    [anon_sym_LT] = ACTIONS(562),
    [anon_sym_GT] = ACTIONS(562),
    [anon_sym_PLUS] = ACTIONS(562),
    [anon_sym_DASH] = ACTIONS(562),
    [anon_sym_SLASH] = ACTIONS(562),
    [anon_sym_PERCENT] = ACTIONS(562),
    [anon_sym_CARET] = ACTIONS(560),
    [anon_sym_TILDE] = ACTIONS(560),
    [anon_sym_AMP] = ACTIONS(562),
    [anon_sym_PIPE] = ACTIONS(562),
    [anon_sym_AMP_AMP] = ACTIONS(560),
    [anon_sym_PIPE_PIPE] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(560),
    [anon_sym_GT_GT] = ACTIONS(560),
    [anon_sym_PLUS_EQ] = ACTIONS(560),
    [anon_sym_DASH_EQ] = ACTIONS(560),
    [anon_sym_STAR_EQ] = ACTIONS(560),
    [anon_sym_SLASH_EQ] = ACTIONS(560),
    [anon_sym_PERCENT_EQ] = ACTIONS(560),
    [anon_sym_EQ_EQ] = ACTIONS(560),
    [anon_sym_BANG_EQ] = ACTIONS(560),
    [anon_sym_GT_EQ] = ACTIONS(560),
    [anon_sym_LT_EQ] = ACTIONS(560),
    [anon_sym_AT] = ACTIONS(560),
    [anon_sym_DOT] = ACTIONS(560),
    [anon_sym_QMARK] = ACTIONS(560),
    [anon_sym_break] = ACTIONS(562),
    [anon_sym_continue] = ACTIONS(562),
    [anon_sym_default] = ACTIONS(562),
    [anon_sym_if] = ACTIONS(562),
    [anon_sym_extern] = ACTIONS(562),
    [anon_sym_loop] = ACTIONS(562),
    [anon_sym_match] = ACTIONS(562),
    [anon_sym_pub] = ACTIONS(562),
    [anon_sym_return] = ACTIONS(562),
    [anon_sym_while] = ACTIONS(562),
    [anon_sym_for] = ACTIONS(562),
    [sym_numeric_literal] = ACTIONS(562),
    [aux_sym_string_literal_token1] = ACTIONS(560),
    [sym_shortstring_literal] = ACTIONS(560),
    [anon_sym_true] = ACTIONS(562),
    [anon_sym_false] = ACTIONS(562),
    [anon_sym_else] = ACTIONS(562),
    [anon_sym_ref] = ACTIONS(562),
    [sym_identifier] = ACTIONS(562),
    [sym_super] = ACTIONS(562),
    [sym_line_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(105),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(600),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_named_argument] = STATE(1298),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(105),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(574),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COMMA] = ACTIONS(578),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(580),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(582),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(101),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(592),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_named_argument] = STATE(1342),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(101),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(574),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COMMA] = ACTIONS(584),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(586),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(582),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [90] = {
    [ts_builtin_sym_end] = ACTIONS(588),
    [anon_sym_LBRACE] = ACTIONS(588),
    [anon_sym_RBRACE] = ACTIONS(588),
    [anon_sym_impl] = ACTIONS(590),
    [anon_sym_SEMI] = ACTIONS(588),
    [anon_sym_trait] = ACTIONS(590),
    [anon_sym_type] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(590),
    [anon_sym_EQ] = ACTIONS(592),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_POUND] = ACTIONS(588),
    [anon_sym_LBRACK] = ACTIONS(588),
    [anon_sym_mod] = ACTIONS(590),
    [anon_sym_struct] = ACTIONS(590),
    [anon_sym_enum] = ACTIONS(590),
    [anon_sym_fn] = ACTIONS(590),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_use] = ACTIONS(590),
    [anon_sym_COLON_COLON] = ACTIONS(588),
    [anon_sym_STAR] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(588),
    [anon_sym_u8] = ACTIONS(590),
    [anon_sym_i8] = ACTIONS(590),
    [anon_sym_u16] = ACTIONS(590),
    [anon_sym_i16] = ACTIONS(590),
    [anon_sym_u32] = ACTIONS(590),
    [anon_sym_i32] = ACTIONS(590),
    [anon_sym_u64] = ACTIONS(590),
    [anon_sym_i64] = ACTIONS(590),
    [anon_sym_u128] = ACTIONS(590),
    [anon_sym_i128] = ACTIONS(590),
    [anon_sym_usize] = ACTIONS(590),
    [anon_sym_bool] = ACTIONS(590),
    [anon_sym_ByteArray] = ACTIONS(590),
    [anon_sym_felt252] = ACTIONS(590),
    [anon_sym_LT] = ACTIONS(592),
    [anon_sym_GT] = ACTIONS(592),
    [anon_sym_PLUS] = ACTIONS(592),
    [anon_sym_DASH] = ACTIONS(590),
    [anon_sym_SLASH] = ACTIONS(592),
    [anon_sym_PERCENT] = ACTIONS(592),
    [anon_sym_CARET] = ACTIONS(594),
    [anon_sym_TILDE] = ACTIONS(588),
    [anon_sym_AMP] = ACTIONS(592),
    [anon_sym_PIPE] = ACTIONS(592),
    [anon_sym_AMP_AMP] = ACTIONS(594),
    [anon_sym_PIPE_PIPE] = ACTIONS(594),
    [anon_sym_LT_LT] = ACTIONS(594),
    [anon_sym_GT_GT] = ACTIONS(594),
    [anon_sym_PLUS_EQ] = ACTIONS(594),
    [anon_sym_DASH_EQ] = ACTIONS(594),
    [anon_sym_STAR_EQ] = ACTIONS(594),
    [anon_sym_SLASH_EQ] = ACTIONS(594),
    [anon_sym_PERCENT_EQ] = ACTIONS(594),
    [anon_sym_EQ_EQ] = ACTIONS(594),
    [anon_sym_BANG_EQ] = ACTIONS(594),
    [anon_sym_GT_EQ] = ACTIONS(594),
    [anon_sym_LT_EQ] = ACTIONS(594),
    [anon_sym_AT] = ACTIONS(588),
    [anon_sym_DOT] = ACTIONS(594),
    [anon_sym_QMARK] = ACTIONS(594),
    [anon_sym_break] = ACTIONS(590),
    [anon_sym_continue] = ACTIONS(590),
    [anon_sym_default] = ACTIONS(590),
    [anon_sym_if] = ACTIONS(590),
    [anon_sym_extern] = ACTIONS(590),
    [anon_sym_loop] = ACTIONS(590),
    [anon_sym_match] = ACTIONS(590),
    [anon_sym_pub] = ACTIONS(590),
    [anon_sym_return] = ACTIONS(590),
    [anon_sym_while] = ACTIONS(590),
    [anon_sym_for] = ACTIONS(590),
    [sym_numeric_literal] = ACTIONS(590),
    [aux_sym_string_literal_token1] = ACTIONS(588),
    [sym_shortstring_literal] = ACTIONS(588),
    [anon_sym_true] = ACTIONS(590),
    [anon_sym_false] = ACTIONS(590),
    [anon_sym_ref] = ACTIONS(590),
    [sym_identifier] = ACTIONS(590),
    [sym_super] = ACTIONS(590),
    [sym_line_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(104),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(639),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_named_argument] = STATE(1425),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(104),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(574),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(596),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(582),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(104),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(639),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_named_argument] = STATE(1425),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(104),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(574),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(598),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(582),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(104),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(639),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_named_argument] = STATE(1425),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(104),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(574),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(600),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(582),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(104),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(639),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_named_argument] = STATE(1425),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(104),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(574),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(602),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(582),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [95] = {
    [ts_builtin_sym_end] = ACTIONS(604),
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_RBRACE] = ACTIONS(594),
    [anon_sym_impl] = ACTIONS(606),
    [anon_sym_SEMI] = ACTIONS(594),
    [anon_sym_trait] = ACTIONS(606),
    [anon_sym_type] = ACTIONS(606),
    [anon_sym_const] = ACTIONS(606),
    [anon_sym_EQ] = ACTIONS(592),
    [anon_sym_BANG] = ACTIONS(606),
    [anon_sym_POUND] = ACTIONS(604),
    [anon_sym_LBRACK] = ACTIONS(594),
    [anon_sym_mod] = ACTIONS(606),
    [anon_sym_struct] = ACTIONS(606),
    [anon_sym_enum] = ACTIONS(606),
    [anon_sym_fn] = ACTIONS(606),
    [anon_sym_let] = ACTIONS(606),
    [anon_sym_use] = ACTIONS(606),
    [anon_sym_COLON_COLON] = ACTIONS(604),
    [anon_sym_STAR] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_u8] = ACTIONS(606),
    [anon_sym_i8] = ACTIONS(606),
    [anon_sym_u16] = ACTIONS(606),
    [anon_sym_i16] = ACTIONS(606),
    [anon_sym_u32] = ACTIONS(606),
    [anon_sym_i32] = ACTIONS(606),
    [anon_sym_u64] = ACTIONS(606),
    [anon_sym_i64] = ACTIONS(606),
    [anon_sym_u128] = ACTIONS(606),
    [anon_sym_i128] = ACTIONS(606),
    [anon_sym_usize] = ACTIONS(606),
    [anon_sym_bool] = ACTIONS(606),
    [anon_sym_ByteArray] = ACTIONS(606),
    [anon_sym_felt252] = ACTIONS(606),
    [anon_sym_LT] = ACTIONS(592),
    [anon_sym_GT] = ACTIONS(592),
    [anon_sym_PLUS] = ACTIONS(592),
    [anon_sym_DASH] = ACTIONS(592),
    [anon_sym_SLASH] = ACTIONS(592),
    [anon_sym_PERCENT] = ACTIONS(592),
    [anon_sym_CARET] = ACTIONS(594),
    [anon_sym_TILDE] = ACTIONS(604),
    [anon_sym_AMP] = ACTIONS(592),
    [anon_sym_PIPE] = ACTIONS(592),
    [anon_sym_AMP_AMP] = ACTIONS(594),
    [anon_sym_PIPE_PIPE] = ACTIONS(594),
    [anon_sym_LT_LT] = ACTIONS(594),
    [anon_sym_GT_GT] = ACTIONS(594),
    [anon_sym_PLUS_EQ] = ACTIONS(594),
    [anon_sym_DASH_EQ] = ACTIONS(594),
    [anon_sym_STAR_EQ] = ACTIONS(594),
    [anon_sym_SLASH_EQ] = ACTIONS(594),
    [anon_sym_PERCENT_EQ] = ACTIONS(594),
    [anon_sym_EQ_EQ] = ACTIONS(594),
    [anon_sym_BANG_EQ] = ACTIONS(594),
    [anon_sym_GT_EQ] = ACTIONS(594),
    [anon_sym_LT_EQ] = ACTIONS(594),
    [anon_sym_AT] = ACTIONS(604),
    [anon_sym_DOT] = ACTIONS(594),
    [anon_sym_QMARK] = ACTIONS(594),
    [anon_sym_break] = ACTIONS(606),
    [anon_sym_continue] = ACTIONS(606),
    [anon_sym_default] = ACTIONS(606),
    [anon_sym_if] = ACTIONS(606),
    [anon_sym_extern] = ACTIONS(606),
    [anon_sym_loop] = ACTIONS(606),
    [anon_sym_match] = ACTIONS(606),
    [anon_sym_pub] = ACTIONS(606),
    [anon_sym_return] = ACTIONS(606),
    [anon_sym_while] = ACTIONS(606),
    [anon_sym_for] = ACTIONS(606),
    [sym_numeric_literal] = ACTIONS(606),
    [aux_sym_string_literal_token1] = ACTIONS(604),
    [sym_shortstring_literal] = ACTIONS(604),
    [anon_sym_true] = ACTIONS(606),
    [anon_sym_false] = ACTIONS(606),
    [anon_sym_ref] = ACTIONS(606),
    [sym_identifier] = ACTIONS(606),
    [sym_super] = ACTIONS(606),
    [sym_line_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(104),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(639),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_named_argument] = STATE(1425),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(104),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(574),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(608),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(582),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(104),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(639),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_named_argument] = STATE(1425),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(104),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(574),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(610),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(582),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(104),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(639),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_named_argument] = STATE(1425),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(104),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(574),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(582),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(103),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(499),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(103),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_RBRACK] = ACTIONS(612),
    [anon_sym_COMMA] = ACTIONS(614),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(106),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(551),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(106),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_RBRACK] = ACTIONS(616),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(373),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(597),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_named_argument] = STATE(1240),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(373),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(574),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(582),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [102] = {
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_RBRACE] = ACTIONS(604),
    [anon_sym_impl] = ACTIONS(606),
    [anon_sym_SEMI] = ACTIONS(594),
    [anon_sym_trait] = ACTIONS(606),
    [anon_sym_type] = ACTIONS(606),
    [anon_sym_const] = ACTIONS(606),
    [anon_sym_EQ] = ACTIONS(592),
    [anon_sym_BANG] = ACTIONS(606),
    [anon_sym_POUND] = ACTIONS(604),
    [anon_sym_LBRACK] = ACTIONS(594),
    [anon_sym_mod] = ACTIONS(606),
    [anon_sym_struct] = ACTIONS(606),
    [anon_sym_enum] = ACTIONS(606),
    [anon_sym_fn] = ACTIONS(606),
    [anon_sym_let] = ACTIONS(606),
    [anon_sym_use] = ACTIONS(606),
    [anon_sym_COLON_COLON] = ACTIONS(604),
    [anon_sym_STAR] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_u8] = ACTIONS(606),
    [anon_sym_i8] = ACTIONS(606),
    [anon_sym_u16] = ACTIONS(606),
    [anon_sym_i16] = ACTIONS(606),
    [anon_sym_u32] = ACTIONS(606),
    [anon_sym_i32] = ACTIONS(606),
    [anon_sym_u64] = ACTIONS(606),
    [anon_sym_i64] = ACTIONS(606),
    [anon_sym_u128] = ACTIONS(606),
    [anon_sym_i128] = ACTIONS(606),
    [anon_sym_usize] = ACTIONS(606),
    [anon_sym_bool] = ACTIONS(606),
    [anon_sym_ByteArray] = ACTIONS(606),
    [anon_sym_felt252] = ACTIONS(606),
    [anon_sym_LT] = ACTIONS(592),
    [anon_sym_GT] = ACTIONS(592),
    [anon_sym_PLUS] = ACTIONS(592),
    [anon_sym_DASH] = ACTIONS(592),
    [anon_sym_SLASH] = ACTIONS(592),
    [anon_sym_PERCENT] = ACTIONS(592),
    [anon_sym_CARET] = ACTIONS(594),
    [anon_sym_TILDE] = ACTIONS(604),
    [anon_sym_AMP] = ACTIONS(592),
    [anon_sym_PIPE] = ACTIONS(592),
    [anon_sym_AMP_AMP] = ACTIONS(594),
    [anon_sym_PIPE_PIPE] = ACTIONS(594),
    [anon_sym_LT_LT] = ACTIONS(594),
    [anon_sym_GT_GT] = ACTIONS(594),
    [anon_sym_PLUS_EQ] = ACTIONS(594),
    [anon_sym_DASH_EQ] = ACTIONS(594),
    [anon_sym_STAR_EQ] = ACTIONS(594),
    [anon_sym_SLASH_EQ] = ACTIONS(594),
    [anon_sym_PERCENT_EQ] = ACTIONS(594),
    [anon_sym_EQ_EQ] = ACTIONS(594),
    [anon_sym_BANG_EQ] = ACTIONS(594),
    [anon_sym_GT_EQ] = ACTIONS(594),
    [anon_sym_LT_EQ] = ACTIONS(594),
    [anon_sym_AT] = ACTIONS(604),
    [anon_sym_DOT] = ACTIONS(594),
    [anon_sym_QMARK] = ACTIONS(594),
    [anon_sym_break] = ACTIONS(606),
    [anon_sym_continue] = ACTIONS(606),
    [anon_sym_default] = ACTIONS(606),
    [anon_sym_if] = ACTIONS(606),
    [anon_sym_extern] = ACTIONS(606),
    [anon_sym_loop] = ACTIONS(606),
    [anon_sym_match] = ACTIONS(606),
    [anon_sym_pub] = ACTIONS(606),
    [anon_sym_return] = ACTIONS(606),
    [anon_sym_while] = ACTIONS(606),
    [anon_sym_for] = ACTIONS(606),
    [sym_numeric_literal] = ACTIONS(606),
    [aux_sym_string_literal_token1] = ACTIONS(604),
    [sym_shortstring_literal] = ACTIONS(604),
    [anon_sym_true] = ACTIONS(606),
    [anon_sym_false] = ACTIONS(606),
    [anon_sym_ref] = ACTIONS(606),
    [sym_identifier] = ACTIONS(606),
    [sym_super] = ACTIONS(606),
    [sym_line_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(373),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(598),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(373),
    [anon_sym_LBRACE] = ACTIONS(620),
    [anon_sym_BANG] = ACTIONS(623),
    [anon_sym_POUND] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(629),
    [anon_sym_RBRACK] = ACTIONS(632),
    [anon_sym_COMMA] = ACTIONS(632),
    [anon_sym_COLON_COLON] = ACTIONS(634),
    [anon_sym_STAR] = ACTIONS(623),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_u8] = ACTIONS(640),
    [anon_sym_i8] = ACTIONS(640),
    [anon_sym_u16] = ACTIONS(640),
    [anon_sym_i16] = ACTIONS(640),
    [anon_sym_u32] = ACTIONS(640),
    [anon_sym_i32] = ACTIONS(640),
    [anon_sym_u64] = ACTIONS(640),
    [anon_sym_i64] = ACTIONS(640),
    [anon_sym_u128] = ACTIONS(640),
    [anon_sym_i128] = ACTIONS(640),
    [anon_sym_usize] = ACTIONS(640),
    [anon_sym_bool] = ACTIONS(640),
    [anon_sym_ByteArray] = ACTIONS(640),
    [anon_sym_felt252] = ACTIONS(640),
    [anon_sym_DASH] = ACTIONS(643),
    [anon_sym_TILDE] = ACTIONS(623),
    [anon_sym_AT] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(646),
    [anon_sym_continue] = ACTIONS(649),
    [anon_sym_default] = ACTIONS(652),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_loop] = ACTIONS(658),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(664),
    [anon_sym_while] = ACTIONS(667),
    [anon_sym_for] = ACTIONS(670),
    [sym_numeric_literal] = ACTIONS(673),
    [aux_sym_string_literal_token1] = ACTIONS(676),
    [sym_shortstring_literal] = ACTIONS(679),
    [anon_sym_true] = ACTIONS(682),
    [anon_sym_false] = ACTIONS(682),
    [anon_sym_ref] = ACTIONS(685),
    [sym_identifier] = ACTIONS(688),
    [sym_super] = ACTIONS(691),
    [sym_line_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(373),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(659),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_named_argument] = STATE(1418),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(373),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(574),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(582),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(373),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(587),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_named_argument] = STATE(1346),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(373),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(574),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(582),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(373),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(591),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(373),
    [anon_sym_LBRACE] = ACTIONS(620),
    [anon_sym_BANG] = ACTIONS(623),
    [anon_sym_POUND] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(629),
    [anon_sym_RBRACK] = ACTIONS(632),
    [anon_sym_COMMA] = ACTIONS(632),
    [anon_sym_COLON_COLON] = ACTIONS(634),
    [anon_sym_STAR] = ACTIONS(623),
    [anon_sym_LPAREN] = ACTIONS(637),
    [anon_sym_u8] = ACTIONS(640),
    [anon_sym_i8] = ACTIONS(640),
    [anon_sym_u16] = ACTIONS(640),
    [anon_sym_i16] = ACTIONS(640),
    [anon_sym_u32] = ACTIONS(640),
    [anon_sym_i32] = ACTIONS(640),
    [anon_sym_u64] = ACTIONS(640),
    [anon_sym_i64] = ACTIONS(640),
    [anon_sym_u128] = ACTIONS(640),
    [anon_sym_i128] = ACTIONS(640),
    [anon_sym_usize] = ACTIONS(640),
    [anon_sym_bool] = ACTIONS(640),
    [anon_sym_ByteArray] = ACTIONS(640),
    [anon_sym_felt252] = ACTIONS(640),
    [anon_sym_DASH] = ACTIONS(643),
    [anon_sym_TILDE] = ACTIONS(623),
    [anon_sym_AT] = ACTIONS(623),
    [anon_sym_break] = ACTIONS(646),
    [anon_sym_continue] = ACTIONS(649),
    [anon_sym_default] = ACTIONS(652),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_loop] = ACTIONS(658),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(664),
    [anon_sym_while] = ACTIONS(667),
    [anon_sym_for] = ACTIONS(670),
    [sym_numeric_literal] = ACTIONS(673),
    [aux_sym_string_literal_token1] = ACTIONS(676),
    [sym_shortstring_literal] = ACTIONS(679),
    [anon_sym_true] = ACTIONS(682),
    [anon_sym_false] = ACTIONS(682),
    [anon_sym_ref] = ACTIONS(685),
    [sym_identifier] = ACTIONS(688),
    [sym_super] = ACTIONS(691),
    [sym_line_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(100),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(542),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(100),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_RBRACK] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(696),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(99),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(544),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(99),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_RBRACK] = ACTIONS(698),
    [anon_sym_COMMA] = ACTIONS(700),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(129),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(631),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(129),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_RBRACK] = ACTIONS(702),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(129),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(631),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(129),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_RBRACK] = ACTIONS(704),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(129),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(631),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(129),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_RBRACK] = ACTIONS(706),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(129),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(631),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(129),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_RBRACK] = ACTIONS(708),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(129),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(631),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(129),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_RBRACK] = ACTIONS(710),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(129),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(631),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(129),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_RBRACK] = ACTIONS(712),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(119),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(699),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(119),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(714),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(122),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(635),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(122),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(716),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(129),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(631),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(129),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_RBRACK] = ACTIONS(718),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(129),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(631),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(129),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_RBRACK] = ACTIONS(720),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(373),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(765),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(373),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(129),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(631),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(129),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(749),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym__condition] = STATE(1466),
    [sym_let_condition] = STATE(1466),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(373),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(778),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(373),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(749),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym__condition] = STATE(1441),
    [sym_let_condition] = STATE(1441),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(749),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym__condition] = STATE(1467),
    [sym_let_condition] = STATE(1467),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(749),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym__condition] = STATE(1432),
    [sym_let_condition] = STATE(1432),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_macro_invocation] = STATE(797),
    [sym_generic_type_with_turbofish] = STATE(1219),
    [sym__literal] = STATE(813),
    [sym_negative_literal] = STATE(827),
    [sym_string_literal] = STATE(827),
    [sym_boolean_literal] = STATE(827),
    [sym_scoped_identifier] = STATE(693),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1433),
    [sym_expression] = STATE(756),
    [sym_generic_function] = STATE(813),
    [sym_tuple_expression] = STATE(813),
    [sym_return_expression] = STATE(813),
    [sym_struct_expression] = STATE(813),
    [sym_assignment_expression] = STATE(813),
    [sym_break_expression] = STATE(813),
    [sym_continue_expression] = STATE(813),
    [sym_index_expression] = STATE(813),
    [sym_array_expression] = STATE(813),
    [sym_parenthesized_expression] = STATE(813),
    [sym_unit_expression] = STATE(813),
    [sym_compound_assignment_expr] = STATE(813),
    [sym__expression_ending_with_block] = STATE(813),
    [sym_unary_expression] = STATE(813),
    [sym_try_expression] = STATE(813),
    [sym_field_expression] = STATE(732),
    [sym_block] = STATE(813),
    [sym_if_expression] = STATE(813),
    [sym__condition] = STATE(1542),
    [sym_let_condition] = STATE(1542),
    [sym_match_expression] = STATE(813),
    [sym_while_expression] = STATE(813),
    [sym_for_expression] = STATE(813),
    [sym_loop_expression] = STATE(813),
    [sym_binary_expression] = STATE(813),
    [sym_call_expression] = STATE(813),
    [sym_reference_expression] = STATE(813),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_BANG] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(393),
    [anon_sym_let] = ACTIONS(726),
    [anon_sym_COLON_COLON] = ACTIONS(395),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_u8] = ACTIONS(399),
    [anon_sym_i8] = ACTIONS(399),
    [anon_sym_u16] = ACTIONS(399),
    [anon_sym_i16] = ACTIONS(399),
    [anon_sym_u32] = ACTIONS(399),
    [anon_sym_i32] = ACTIONS(399),
    [anon_sym_u64] = ACTIONS(399),
    [anon_sym_i64] = ACTIONS(399),
    [anon_sym_u128] = ACTIONS(399),
    [anon_sym_i128] = ACTIONS(399),
    [anon_sym_usize] = ACTIONS(399),
    [anon_sym_bool] = ACTIONS(399),
    [anon_sym_ByteArray] = ACTIONS(399),
    [anon_sym_felt252] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_AT] = ACTIONS(403),
    [anon_sym_break] = ACTIONS(405),
    [anon_sym_continue] = ACTIONS(407),
    [anon_sym_default] = ACTIONS(409),
    [anon_sym_if] = ACTIONS(411),
    [anon_sym_loop] = ACTIONS(413),
    [anon_sym_match] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(421),
    [sym_numeric_literal] = ACTIONS(423),
    [aux_sym_string_literal_token1] = ACTIONS(425),
    [sym_shortstring_literal] = ACTIONS(427),
    [anon_sym_true] = ACTIONS(429),
    [anon_sym_false] = ACTIONS(429),
    [anon_sym_ref] = ACTIONS(431),
    [sym_identifier] = ACTIONS(433),
    [sym_super] = ACTIONS(435),
    [sym_line_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(749),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym__condition] = STATE(1438),
    [sym_let_condition] = STATE(1438),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(749),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym__condition] = STATE(1430),
    [sym_let_condition] = STATE(1430),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_macro_invocation] = STATE(485),
    [sym_attribute_item] = STATE(373),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(674),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_enum_variant_list_repeat1] = STATE(373),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(576),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(749),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym__condition] = STATE(1464),
    [sym_let_condition] = STATE(1464),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(722),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(684),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_tuple_expression_repeat1] = STATE(136),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(730),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(677),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_tuple_expression_repeat1] = STATE(136),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(732),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(691),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_tuple_expression_repeat1] = STATE(138),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(734),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(687),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_tuple_expression_repeat1] = STATE(139),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(736),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(608),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_tuple_expression_repeat1] = STATE(132),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(738),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(743),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_tuple_expression_repeat1] = STATE(136),
    [anon_sym_LBRACE] = ACTIONS(740),
    [anon_sym_BANG] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(746),
    [anon_sym_COLON_COLON] = ACTIONS(749),
    [anon_sym_STAR] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(752),
    [anon_sym_RPAREN] = ACTIONS(755),
    [anon_sym_u8] = ACTIONS(757),
    [anon_sym_i8] = ACTIONS(757),
    [anon_sym_u16] = ACTIONS(757),
    [anon_sym_i16] = ACTIONS(757),
    [anon_sym_u32] = ACTIONS(757),
    [anon_sym_i32] = ACTIONS(757),
    [anon_sym_u64] = ACTIONS(757),
    [anon_sym_i64] = ACTIONS(757),
    [anon_sym_u128] = ACTIONS(757),
    [anon_sym_i128] = ACTIONS(757),
    [anon_sym_usize] = ACTIONS(757),
    [anon_sym_bool] = ACTIONS(757),
    [anon_sym_ByteArray] = ACTIONS(757),
    [anon_sym_felt252] = ACTIONS(757),
    [anon_sym_DASH] = ACTIONS(760),
    [anon_sym_TILDE] = ACTIONS(743),
    [anon_sym_AT] = ACTIONS(743),
    [anon_sym_break] = ACTIONS(763),
    [anon_sym_continue] = ACTIONS(766),
    [anon_sym_default] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(772),
    [anon_sym_loop] = ACTIONS(775),
    [anon_sym_match] = ACTIONS(778),
    [anon_sym_return] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(787),
    [sym_numeric_literal] = ACTIONS(790),
    [aux_sym_string_literal_token1] = ACTIONS(793),
    [sym_shortstring_literal] = ACTIONS(796),
    [anon_sym_true] = ACTIONS(799),
    [anon_sym_false] = ACTIONS(799),
    [anon_sym_ref] = ACTIONS(802),
    [sym_identifier] = ACTIONS(805),
    [sym_super] = ACTIONS(808),
    [sym_line_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(611),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_tuple_expression_repeat1] = STATE(131),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(811),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(608),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_tuple_expression_repeat1] = STATE(136),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(738),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(611),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [aux_sym_tuple_expression_repeat1] = STATE(136),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_RPAREN] = ACTIONS(811),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(446),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_mutable_specifier] = ACTIONS(813),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_macro_invocation] = STATE(797),
    [sym_generic_type_with_turbofish] = STATE(1219),
    [sym__literal] = STATE(813),
    [sym_negative_literal] = STATE(827),
    [sym_string_literal] = STATE(827),
    [sym_boolean_literal] = STATE(827),
    [sym_scoped_identifier] = STATE(693),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1433),
    [sym_expression] = STATE(764),
    [sym_generic_function] = STATE(813),
    [sym_tuple_expression] = STATE(813),
    [sym_return_expression] = STATE(813),
    [sym_struct_expression] = STATE(813),
    [sym_assignment_expression] = STATE(813),
    [sym_break_expression] = STATE(813),
    [sym_continue_expression] = STATE(813),
    [sym_index_expression] = STATE(813),
    [sym_array_expression] = STATE(813),
    [sym_parenthesized_expression] = STATE(813),
    [sym_unit_expression] = STATE(813),
    [sym_compound_assignment_expr] = STATE(813),
    [sym__expression_ending_with_block] = STATE(813),
    [sym_unary_expression] = STATE(813),
    [sym_try_expression] = STATE(813),
    [sym_field_expression] = STATE(732),
    [sym_block] = STATE(813),
    [sym_if_expression] = STATE(813),
    [sym_match_expression] = STATE(813),
    [sym_while_expression] = STATE(813),
    [sym_for_expression] = STATE(813),
    [sym_loop_expression] = STATE(813),
    [sym_binary_expression] = STATE(813),
    [sym_call_expression] = STATE(813),
    [sym_reference_expression] = STATE(813),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_BANG] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(393),
    [anon_sym_COLON_COLON] = ACTIONS(395),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_u8] = ACTIONS(399),
    [anon_sym_i8] = ACTIONS(399),
    [anon_sym_u16] = ACTIONS(399),
    [anon_sym_i16] = ACTIONS(399),
    [anon_sym_u32] = ACTIONS(399),
    [anon_sym_i32] = ACTIONS(399),
    [anon_sym_u64] = ACTIONS(399),
    [anon_sym_i64] = ACTIONS(399),
    [anon_sym_u128] = ACTIONS(399),
    [anon_sym_i128] = ACTIONS(399),
    [anon_sym_usize] = ACTIONS(399),
    [anon_sym_bool] = ACTIONS(399),
    [anon_sym_ByteArray] = ACTIONS(399),
    [anon_sym_felt252] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_AT] = ACTIONS(403),
    [anon_sym_break] = ACTIONS(405),
    [anon_sym_continue] = ACTIONS(407),
    [anon_sym_default] = ACTIONS(409),
    [anon_sym_if] = ACTIONS(411),
    [anon_sym_loop] = ACTIONS(413),
    [anon_sym_match] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(421),
    [sym_numeric_literal] = ACTIONS(423),
    [aux_sym_string_literal_token1] = ACTIONS(425),
    [sym_shortstring_literal] = ACTIONS(427),
    [anon_sym_true] = ACTIONS(429),
    [anon_sym_false] = ACTIONS(429),
    [anon_sym_ref] = ACTIONS(431),
    [sym_identifier] = ACTIONS(433),
    [sym_mutable_specifier] = ACTIONS(815),
    [sym_super] = ACTIONS(435),
    [sym_line_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(446),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_mutable_specifier] = ACTIONS(817),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_macro_invocation] = STATE(797),
    [sym_generic_type_with_turbofish] = STATE(1219),
    [sym__literal] = STATE(813),
    [sym_negative_literal] = STATE(827),
    [sym_string_literal] = STATE(827),
    [sym_boolean_literal] = STATE(827),
    [sym_scoped_identifier] = STATE(693),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1433),
    [sym_expression] = STATE(722),
    [sym_generic_function] = STATE(813),
    [sym_tuple_expression] = STATE(813),
    [sym_return_expression] = STATE(813),
    [sym_struct_expression] = STATE(813),
    [sym_assignment_expression] = STATE(813),
    [sym_break_expression] = STATE(813),
    [sym_continue_expression] = STATE(813),
    [sym_index_expression] = STATE(813),
    [sym_array_expression] = STATE(813),
    [sym_parenthesized_expression] = STATE(813),
    [sym_unit_expression] = STATE(813),
    [sym_compound_assignment_expr] = STATE(813),
    [sym__expression_ending_with_block] = STATE(813),
    [sym_unary_expression] = STATE(813),
    [sym_try_expression] = STATE(813),
    [sym_field_expression] = STATE(732),
    [sym_block] = STATE(813),
    [sym_if_expression] = STATE(813),
    [sym_match_expression] = STATE(813),
    [sym_while_expression] = STATE(813),
    [sym_for_expression] = STATE(813),
    [sym_loop_expression] = STATE(813),
    [sym_binary_expression] = STATE(813),
    [sym_call_expression] = STATE(813),
    [sym_reference_expression] = STATE(813),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_BANG] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(393),
    [anon_sym_COLON_COLON] = ACTIONS(395),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_u8] = ACTIONS(399),
    [anon_sym_i8] = ACTIONS(399),
    [anon_sym_u16] = ACTIONS(399),
    [anon_sym_i16] = ACTIONS(399),
    [anon_sym_u32] = ACTIONS(399),
    [anon_sym_i32] = ACTIONS(399),
    [anon_sym_u64] = ACTIONS(399),
    [anon_sym_i64] = ACTIONS(399),
    [anon_sym_u128] = ACTIONS(399),
    [anon_sym_i128] = ACTIONS(399),
    [anon_sym_usize] = ACTIONS(399),
    [anon_sym_bool] = ACTIONS(399),
    [anon_sym_ByteArray] = ACTIONS(399),
    [anon_sym_felt252] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_AT] = ACTIONS(403),
    [anon_sym_break] = ACTIONS(405),
    [anon_sym_continue] = ACTIONS(407),
    [anon_sym_default] = ACTIONS(409),
    [anon_sym_if] = ACTIONS(411),
    [anon_sym_loop] = ACTIONS(413),
    [anon_sym_match] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(421),
    [sym_numeric_literal] = ACTIONS(423),
    [aux_sym_string_literal_token1] = ACTIONS(425),
    [sym_shortstring_literal] = ACTIONS(427),
    [anon_sym_true] = ACTIONS(429),
    [anon_sym_false] = ACTIONS(429),
    [anon_sym_ref] = ACTIONS(431),
    [sym_identifier] = ACTIONS(433),
    [sym_super] = ACTIONS(435),
    [sym_line_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(637),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(475),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(471),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(453),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(782),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_macro_invocation] = STATE(797),
    [sym_generic_type_with_turbofish] = STATE(1219),
    [sym__literal] = STATE(813),
    [sym_negative_literal] = STATE(827),
    [sym_string_literal] = STATE(827),
    [sym_boolean_literal] = STATE(827),
    [sym_scoped_identifier] = STATE(693),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1433),
    [sym_expression] = STATE(710),
    [sym_generic_function] = STATE(813),
    [sym_tuple_expression] = STATE(813),
    [sym_return_expression] = STATE(813),
    [sym_struct_expression] = STATE(813),
    [sym_assignment_expression] = STATE(813),
    [sym_break_expression] = STATE(813),
    [sym_continue_expression] = STATE(813),
    [sym_index_expression] = STATE(813),
    [sym_array_expression] = STATE(813),
    [sym_parenthesized_expression] = STATE(813),
    [sym_unit_expression] = STATE(813),
    [sym_compound_assignment_expr] = STATE(813),
    [sym__expression_ending_with_block] = STATE(813),
    [sym_unary_expression] = STATE(813),
    [sym_try_expression] = STATE(813),
    [sym_field_expression] = STATE(732),
    [sym_block] = STATE(813),
    [sym_if_expression] = STATE(813),
    [sym_match_expression] = STATE(813),
    [sym_while_expression] = STATE(813),
    [sym_for_expression] = STATE(813),
    [sym_loop_expression] = STATE(813),
    [sym_binary_expression] = STATE(813),
    [sym_call_expression] = STATE(813),
    [sym_reference_expression] = STATE(813),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_BANG] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(393),
    [anon_sym_COLON_COLON] = ACTIONS(395),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_u8] = ACTIONS(399),
    [anon_sym_i8] = ACTIONS(399),
    [anon_sym_u16] = ACTIONS(399),
    [anon_sym_i16] = ACTIONS(399),
    [anon_sym_u32] = ACTIONS(399),
    [anon_sym_i32] = ACTIONS(399),
    [anon_sym_u64] = ACTIONS(399),
    [anon_sym_i64] = ACTIONS(399),
    [anon_sym_u128] = ACTIONS(399),
    [anon_sym_i128] = ACTIONS(399),
    [anon_sym_usize] = ACTIONS(399),
    [anon_sym_bool] = ACTIONS(399),
    [anon_sym_ByteArray] = ACTIONS(399),
    [anon_sym_felt252] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_AT] = ACTIONS(403),
    [anon_sym_break] = ACTIONS(405),
    [anon_sym_continue] = ACTIONS(407),
    [anon_sym_default] = ACTIONS(409),
    [anon_sym_if] = ACTIONS(411),
    [anon_sym_loop] = ACTIONS(413),
    [anon_sym_match] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(421),
    [sym_numeric_literal] = ACTIONS(423),
    [aux_sym_string_literal_token1] = ACTIONS(425),
    [sym_shortstring_literal] = ACTIONS(427),
    [anon_sym_true] = ACTIONS(429),
    [anon_sym_false] = ACTIONS(429),
    [anon_sym_ref] = ACTIONS(431),
    [sym_identifier] = ACTIONS(433),
    [sym_super] = ACTIONS(435),
    [sym_line_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(769),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_macro_invocation] = STATE(797),
    [sym_generic_type_with_turbofish] = STATE(1219),
    [sym__literal] = STATE(813),
    [sym_negative_literal] = STATE(827),
    [sym_string_literal] = STATE(827),
    [sym_boolean_literal] = STATE(827),
    [sym_scoped_identifier] = STATE(693),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1433),
    [sym_expression] = STATE(729),
    [sym_generic_function] = STATE(813),
    [sym_tuple_expression] = STATE(813),
    [sym_return_expression] = STATE(813),
    [sym_struct_expression] = STATE(813),
    [sym_assignment_expression] = STATE(813),
    [sym_break_expression] = STATE(813),
    [sym_continue_expression] = STATE(813),
    [sym_index_expression] = STATE(813),
    [sym_array_expression] = STATE(813),
    [sym_parenthesized_expression] = STATE(813),
    [sym_unit_expression] = STATE(813),
    [sym_compound_assignment_expr] = STATE(813),
    [sym__expression_ending_with_block] = STATE(813),
    [sym_unary_expression] = STATE(813),
    [sym_try_expression] = STATE(813),
    [sym_field_expression] = STATE(732),
    [sym_block] = STATE(813),
    [sym_if_expression] = STATE(813),
    [sym_match_expression] = STATE(813),
    [sym_while_expression] = STATE(813),
    [sym_for_expression] = STATE(813),
    [sym_loop_expression] = STATE(813),
    [sym_binary_expression] = STATE(813),
    [sym_call_expression] = STATE(813),
    [sym_reference_expression] = STATE(813),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_BANG] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(393),
    [anon_sym_COLON_COLON] = ACTIONS(395),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_u8] = ACTIONS(399),
    [anon_sym_i8] = ACTIONS(399),
    [anon_sym_u16] = ACTIONS(399),
    [anon_sym_i16] = ACTIONS(399),
    [anon_sym_u32] = ACTIONS(399),
    [anon_sym_i32] = ACTIONS(399),
    [anon_sym_u64] = ACTIONS(399),
    [anon_sym_i64] = ACTIONS(399),
    [anon_sym_u128] = ACTIONS(399),
    [anon_sym_i128] = ACTIONS(399),
    [anon_sym_usize] = ACTIONS(399),
    [anon_sym_bool] = ACTIONS(399),
    [anon_sym_ByteArray] = ACTIONS(399),
    [anon_sym_felt252] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_AT] = ACTIONS(403),
    [anon_sym_break] = ACTIONS(405),
    [anon_sym_continue] = ACTIONS(407),
    [anon_sym_default] = ACTIONS(409),
    [anon_sym_if] = ACTIONS(411),
    [anon_sym_loop] = ACTIONS(413),
    [anon_sym_match] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(421),
    [sym_numeric_literal] = ACTIONS(819),
    [aux_sym_string_literal_token1] = ACTIONS(425),
    [sym_shortstring_literal] = ACTIONS(427),
    [anon_sym_true] = ACTIONS(429),
    [anon_sym_false] = ACTIONS(429),
    [anon_sym_ref] = ACTIONS(431),
    [sym_identifier] = ACTIONS(433),
    [sym_super] = ACTIONS(435),
    [sym_line_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(432),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(742),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(478),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(479),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(711),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(480),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(481),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(482),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(436),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(738),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(492),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(678),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(733),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(777),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(748),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(715),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(709),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(714),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(698),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(730),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(339),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(339),
    [sym_if_expression] = STATE(339),
    [sym_match_expression] = STATE(339),
    [sym_while_expression] = STATE(339),
    [sym_for_expression] = STATE(339),
    [sym_loop_expression] = STATE(339),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_loop] = ACTIONS(825),
    [anon_sym_match] = ACTIONS(827),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(829),
    [anon_sym_for] = ACTIONS(831),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(751),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(750),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(661),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(665),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(432),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(833),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(695),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [178] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(716),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(619),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(669),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [181] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(444),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [182] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(740),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(432),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(770),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [185] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(726),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [186] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(739),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [187] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(683),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(316),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(316),
    [sym_if_expression] = STATE(316),
    [sym_match_expression] = STATE(316),
    [sym_while_expression] = STATE(316),
    [sym_for_expression] = STATE(316),
    [sym_loop_expression] = STATE(316),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_loop] = ACTIONS(825),
    [anon_sym_match] = ACTIONS(827),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(829),
    [anon_sym_for] = ACTIONS(831),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [188] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(432),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(833),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [189] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(717),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [190] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(718),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [191] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(771),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [192] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(477),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [193] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(734),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(316),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(316),
    [sym_if_expression] = STATE(316),
    [sym_match_expression] = STATE(316),
    [sym_while_expression] = STATE(316),
    [sym_for_expression] = STATE(316),
    [sym_loop_expression] = STATE(316),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_loop] = ACTIONS(825),
    [anon_sym_match] = ACTIONS(827),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(829),
    [anon_sym_for] = ACTIONS(831),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [194] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(616),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [195] = {
    [sym_macro_invocation] = STATE(797),
    [sym_generic_type_with_turbofish] = STATE(1219),
    [sym__literal] = STATE(813),
    [sym_negative_literal] = STATE(827),
    [sym_string_literal] = STATE(827),
    [sym_boolean_literal] = STATE(827),
    [sym_scoped_identifier] = STATE(693),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1433),
    [sym_expression] = STATE(752),
    [sym_generic_function] = STATE(813),
    [sym_tuple_expression] = STATE(813),
    [sym_return_expression] = STATE(813),
    [sym_struct_expression] = STATE(813),
    [sym_assignment_expression] = STATE(813),
    [sym_break_expression] = STATE(813),
    [sym_continue_expression] = STATE(813),
    [sym_index_expression] = STATE(813),
    [sym_array_expression] = STATE(813),
    [sym_parenthesized_expression] = STATE(813),
    [sym_unit_expression] = STATE(813),
    [sym_compound_assignment_expr] = STATE(813),
    [sym__expression_ending_with_block] = STATE(813),
    [sym_unary_expression] = STATE(813),
    [sym_try_expression] = STATE(813),
    [sym_field_expression] = STATE(732),
    [sym_block] = STATE(813),
    [sym_if_expression] = STATE(813),
    [sym_match_expression] = STATE(813),
    [sym_while_expression] = STATE(813),
    [sym_for_expression] = STATE(813),
    [sym_loop_expression] = STATE(813),
    [sym_binary_expression] = STATE(813),
    [sym_call_expression] = STATE(813),
    [sym_reference_expression] = STATE(813),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_BANG] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(393),
    [anon_sym_COLON_COLON] = ACTIONS(395),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_u8] = ACTIONS(399),
    [anon_sym_i8] = ACTIONS(399),
    [anon_sym_u16] = ACTIONS(399),
    [anon_sym_i16] = ACTIONS(399),
    [anon_sym_u32] = ACTIONS(399),
    [anon_sym_i32] = ACTIONS(399),
    [anon_sym_u64] = ACTIONS(399),
    [anon_sym_i64] = ACTIONS(399),
    [anon_sym_u128] = ACTIONS(399),
    [anon_sym_i128] = ACTIONS(399),
    [anon_sym_usize] = ACTIONS(399),
    [anon_sym_bool] = ACTIONS(399),
    [anon_sym_ByteArray] = ACTIONS(399),
    [anon_sym_felt252] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_AT] = ACTIONS(403),
    [anon_sym_break] = ACTIONS(405),
    [anon_sym_continue] = ACTIONS(407),
    [anon_sym_default] = ACTIONS(409),
    [anon_sym_if] = ACTIONS(411),
    [anon_sym_loop] = ACTIONS(413),
    [anon_sym_match] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(421),
    [sym_numeric_literal] = ACTIONS(423),
    [aux_sym_string_literal_token1] = ACTIONS(425),
    [sym_shortstring_literal] = ACTIONS(427),
    [anon_sym_true] = ACTIONS(429),
    [anon_sym_false] = ACTIONS(429),
    [anon_sym_ref] = ACTIONS(431),
    [sym_identifier] = ACTIONS(433),
    [sym_super] = ACTIONS(435),
    [sym_line_comment] = ACTIONS(3),
  },
  [196] = {
    [sym_macro_invocation] = STATE(797),
    [sym_generic_type_with_turbofish] = STATE(1219),
    [sym__literal] = STATE(813),
    [sym_negative_literal] = STATE(827),
    [sym_string_literal] = STATE(827),
    [sym_boolean_literal] = STATE(827),
    [sym_scoped_identifier] = STATE(693),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1433),
    [sym_expression] = STATE(753),
    [sym_generic_function] = STATE(813),
    [sym_tuple_expression] = STATE(813),
    [sym_return_expression] = STATE(813),
    [sym_struct_expression] = STATE(813),
    [sym_assignment_expression] = STATE(813),
    [sym_break_expression] = STATE(813),
    [sym_continue_expression] = STATE(813),
    [sym_index_expression] = STATE(813),
    [sym_array_expression] = STATE(813),
    [sym_parenthesized_expression] = STATE(813),
    [sym_unit_expression] = STATE(813),
    [sym_compound_assignment_expr] = STATE(813),
    [sym__expression_ending_with_block] = STATE(813),
    [sym_unary_expression] = STATE(813),
    [sym_try_expression] = STATE(813),
    [sym_field_expression] = STATE(732),
    [sym_block] = STATE(813),
    [sym_if_expression] = STATE(813),
    [sym_match_expression] = STATE(813),
    [sym_while_expression] = STATE(813),
    [sym_for_expression] = STATE(813),
    [sym_loop_expression] = STATE(813),
    [sym_binary_expression] = STATE(813),
    [sym_call_expression] = STATE(813),
    [sym_reference_expression] = STATE(813),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_BANG] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(393),
    [anon_sym_COLON_COLON] = ACTIONS(395),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_u8] = ACTIONS(399),
    [anon_sym_i8] = ACTIONS(399),
    [anon_sym_u16] = ACTIONS(399),
    [anon_sym_i16] = ACTIONS(399),
    [anon_sym_u32] = ACTIONS(399),
    [anon_sym_i32] = ACTIONS(399),
    [anon_sym_u64] = ACTIONS(399),
    [anon_sym_i64] = ACTIONS(399),
    [anon_sym_u128] = ACTIONS(399),
    [anon_sym_i128] = ACTIONS(399),
    [anon_sym_usize] = ACTIONS(399),
    [anon_sym_bool] = ACTIONS(399),
    [anon_sym_ByteArray] = ACTIONS(399),
    [anon_sym_felt252] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_AT] = ACTIONS(403),
    [anon_sym_break] = ACTIONS(405),
    [anon_sym_continue] = ACTIONS(407),
    [anon_sym_default] = ACTIONS(409),
    [anon_sym_if] = ACTIONS(411),
    [anon_sym_loop] = ACTIONS(413),
    [anon_sym_match] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(421),
    [sym_numeric_literal] = ACTIONS(423),
    [aux_sym_string_literal_token1] = ACTIONS(425),
    [sym_shortstring_literal] = ACTIONS(427),
    [anon_sym_true] = ACTIONS(429),
    [anon_sym_false] = ACTIONS(429),
    [anon_sym_ref] = ACTIONS(431),
    [sym_identifier] = ACTIONS(433),
    [sym_super] = ACTIONS(435),
    [sym_line_comment] = ACTIONS(3),
  },
  [197] = {
    [sym_macro_invocation] = STATE(797),
    [sym_generic_type_with_turbofish] = STATE(1219),
    [sym__literal] = STATE(813),
    [sym_negative_literal] = STATE(827),
    [sym_string_literal] = STATE(827),
    [sym_boolean_literal] = STATE(827),
    [sym_scoped_identifier] = STATE(693),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1433),
    [sym_expression] = STATE(759),
    [sym_generic_function] = STATE(813),
    [sym_tuple_expression] = STATE(813),
    [sym_return_expression] = STATE(813),
    [sym_struct_expression] = STATE(813),
    [sym_assignment_expression] = STATE(813),
    [sym_break_expression] = STATE(813),
    [sym_continue_expression] = STATE(813),
    [sym_index_expression] = STATE(813),
    [sym_array_expression] = STATE(813),
    [sym_parenthesized_expression] = STATE(813),
    [sym_unit_expression] = STATE(813),
    [sym_compound_assignment_expr] = STATE(813),
    [sym__expression_ending_with_block] = STATE(813),
    [sym_unary_expression] = STATE(813),
    [sym_try_expression] = STATE(813),
    [sym_field_expression] = STATE(732),
    [sym_block] = STATE(813),
    [sym_if_expression] = STATE(813),
    [sym_match_expression] = STATE(813),
    [sym_while_expression] = STATE(813),
    [sym_for_expression] = STATE(813),
    [sym_loop_expression] = STATE(813),
    [sym_binary_expression] = STATE(813),
    [sym_call_expression] = STATE(813),
    [sym_reference_expression] = STATE(813),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_BANG] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(393),
    [anon_sym_COLON_COLON] = ACTIONS(395),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_u8] = ACTIONS(399),
    [anon_sym_i8] = ACTIONS(399),
    [anon_sym_u16] = ACTIONS(399),
    [anon_sym_i16] = ACTIONS(399),
    [anon_sym_u32] = ACTIONS(399),
    [anon_sym_i32] = ACTIONS(399),
    [anon_sym_u64] = ACTIONS(399),
    [anon_sym_i64] = ACTIONS(399),
    [anon_sym_u128] = ACTIONS(399),
    [anon_sym_i128] = ACTIONS(399),
    [anon_sym_usize] = ACTIONS(399),
    [anon_sym_bool] = ACTIONS(399),
    [anon_sym_ByteArray] = ACTIONS(399),
    [anon_sym_felt252] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_AT] = ACTIONS(403),
    [anon_sym_break] = ACTIONS(405),
    [anon_sym_continue] = ACTIONS(407),
    [anon_sym_default] = ACTIONS(409),
    [anon_sym_if] = ACTIONS(411),
    [anon_sym_loop] = ACTIONS(413),
    [anon_sym_match] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(421),
    [sym_numeric_literal] = ACTIONS(423),
    [aux_sym_string_literal_token1] = ACTIONS(425),
    [sym_shortstring_literal] = ACTIONS(427),
    [anon_sym_true] = ACTIONS(429),
    [anon_sym_false] = ACTIONS(429),
    [anon_sym_ref] = ACTIONS(431),
    [sym_identifier] = ACTIONS(433),
    [sym_super] = ACTIONS(435),
    [sym_line_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_macro_invocation] = STATE(797),
    [sym_generic_type_with_turbofish] = STATE(1219),
    [sym__literal] = STATE(813),
    [sym_negative_literal] = STATE(827),
    [sym_string_literal] = STATE(827),
    [sym_boolean_literal] = STATE(827),
    [sym_scoped_identifier] = STATE(693),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1433),
    [sym_expression] = STATE(762),
    [sym_generic_function] = STATE(813),
    [sym_tuple_expression] = STATE(813),
    [sym_return_expression] = STATE(813),
    [sym_struct_expression] = STATE(813),
    [sym_assignment_expression] = STATE(813),
    [sym_break_expression] = STATE(813),
    [sym_continue_expression] = STATE(813),
    [sym_index_expression] = STATE(813),
    [sym_array_expression] = STATE(813),
    [sym_parenthesized_expression] = STATE(813),
    [sym_unit_expression] = STATE(813),
    [sym_compound_assignment_expr] = STATE(813),
    [sym__expression_ending_with_block] = STATE(813),
    [sym_unary_expression] = STATE(813),
    [sym_try_expression] = STATE(813),
    [sym_field_expression] = STATE(732),
    [sym_block] = STATE(813),
    [sym_if_expression] = STATE(813),
    [sym_match_expression] = STATE(813),
    [sym_while_expression] = STATE(813),
    [sym_for_expression] = STATE(813),
    [sym_loop_expression] = STATE(813),
    [sym_binary_expression] = STATE(813),
    [sym_call_expression] = STATE(813),
    [sym_reference_expression] = STATE(813),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_BANG] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(393),
    [anon_sym_COLON_COLON] = ACTIONS(395),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_u8] = ACTIONS(399),
    [anon_sym_i8] = ACTIONS(399),
    [anon_sym_u16] = ACTIONS(399),
    [anon_sym_i16] = ACTIONS(399),
    [anon_sym_u32] = ACTIONS(399),
    [anon_sym_i32] = ACTIONS(399),
    [anon_sym_u64] = ACTIONS(399),
    [anon_sym_i64] = ACTIONS(399),
    [anon_sym_u128] = ACTIONS(399),
    [anon_sym_i128] = ACTIONS(399),
    [anon_sym_usize] = ACTIONS(399),
    [anon_sym_bool] = ACTIONS(399),
    [anon_sym_ByteArray] = ACTIONS(399),
    [anon_sym_felt252] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_AT] = ACTIONS(403),
    [anon_sym_break] = ACTIONS(405),
    [anon_sym_continue] = ACTIONS(407),
    [anon_sym_default] = ACTIONS(409),
    [anon_sym_if] = ACTIONS(411),
    [anon_sym_loop] = ACTIONS(413),
    [anon_sym_match] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(421),
    [sym_numeric_literal] = ACTIONS(423),
    [aux_sym_string_literal_token1] = ACTIONS(425),
    [sym_shortstring_literal] = ACTIONS(427),
    [anon_sym_true] = ACTIONS(429),
    [anon_sym_false] = ACTIONS(429),
    [anon_sym_ref] = ACTIONS(431),
    [sym_identifier] = ACTIONS(433),
    [sym_super] = ACTIONS(435),
    [sym_line_comment] = ACTIONS(3),
  },
  [199] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(719),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [200] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(720),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [201] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(772),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [202] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(667),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [203] = {
    [sym_macro_invocation] = STATE(797),
    [sym_generic_type_with_turbofish] = STATE(1219),
    [sym__literal] = STATE(813),
    [sym_negative_literal] = STATE(827),
    [sym_string_literal] = STATE(827),
    [sym_boolean_literal] = STATE(827),
    [sym_scoped_identifier] = STATE(693),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1433),
    [sym_expression] = STATE(763),
    [sym_generic_function] = STATE(813),
    [sym_tuple_expression] = STATE(813),
    [sym_return_expression] = STATE(813),
    [sym_struct_expression] = STATE(813),
    [sym_assignment_expression] = STATE(813),
    [sym_break_expression] = STATE(813),
    [sym_continue_expression] = STATE(813),
    [sym_index_expression] = STATE(813),
    [sym_array_expression] = STATE(813),
    [sym_parenthesized_expression] = STATE(813),
    [sym_unit_expression] = STATE(813),
    [sym_compound_assignment_expr] = STATE(813),
    [sym__expression_ending_with_block] = STATE(813),
    [sym_unary_expression] = STATE(813),
    [sym_try_expression] = STATE(813),
    [sym_field_expression] = STATE(732),
    [sym_block] = STATE(813),
    [sym_if_expression] = STATE(813),
    [sym_match_expression] = STATE(813),
    [sym_while_expression] = STATE(813),
    [sym_for_expression] = STATE(813),
    [sym_loop_expression] = STATE(813),
    [sym_binary_expression] = STATE(813),
    [sym_call_expression] = STATE(813),
    [sym_reference_expression] = STATE(813),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_BANG] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(393),
    [anon_sym_COLON_COLON] = ACTIONS(395),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_u8] = ACTIONS(399),
    [anon_sym_i8] = ACTIONS(399),
    [anon_sym_u16] = ACTIONS(399),
    [anon_sym_i16] = ACTIONS(399),
    [anon_sym_u32] = ACTIONS(399),
    [anon_sym_i32] = ACTIONS(399),
    [anon_sym_u64] = ACTIONS(399),
    [anon_sym_i64] = ACTIONS(399),
    [anon_sym_u128] = ACTIONS(399),
    [anon_sym_i128] = ACTIONS(399),
    [anon_sym_usize] = ACTIONS(399),
    [anon_sym_bool] = ACTIONS(399),
    [anon_sym_ByteArray] = ACTIONS(399),
    [anon_sym_felt252] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_AT] = ACTIONS(403),
    [anon_sym_break] = ACTIONS(405),
    [anon_sym_continue] = ACTIONS(407),
    [anon_sym_default] = ACTIONS(409),
    [anon_sym_if] = ACTIONS(411),
    [anon_sym_loop] = ACTIONS(413),
    [anon_sym_match] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(421),
    [sym_numeric_literal] = ACTIONS(423),
    [aux_sym_string_literal_token1] = ACTIONS(425),
    [sym_shortstring_literal] = ACTIONS(427),
    [anon_sym_true] = ACTIONS(429),
    [anon_sym_false] = ACTIONS(429),
    [anon_sym_ref] = ACTIONS(431),
    [sym_identifier] = ACTIONS(433),
    [sym_super] = ACTIONS(435),
    [sym_line_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(444),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [205] = {
    [sym_macro_invocation] = STATE(797),
    [sym_generic_type_with_turbofish] = STATE(1219),
    [sym__literal] = STATE(813),
    [sym_negative_literal] = STATE(827),
    [sym_string_literal] = STATE(827),
    [sym_boolean_literal] = STATE(827),
    [sym_scoped_identifier] = STATE(693),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1433),
    [sym_expression] = STATE(727),
    [sym_generic_function] = STATE(813),
    [sym_tuple_expression] = STATE(813),
    [sym_return_expression] = STATE(813),
    [sym_struct_expression] = STATE(813),
    [sym_assignment_expression] = STATE(813),
    [sym_break_expression] = STATE(813),
    [sym_continue_expression] = STATE(813),
    [sym_index_expression] = STATE(813),
    [sym_array_expression] = STATE(813),
    [sym_parenthesized_expression] = STATE(813),
    [sym_unit_expression] = STATE(813),
    [sym_compound_assignment_expr] = STATE(813),
    [sym__expression_ending_with_block] = STATE(813),
    [sym_unary_expression] = STATE(813),
    [sym_try_expression] = STATE(813),
    [sym_field_expression] = STATE(732),
    [sym_block] = STATE(813),
    [sym_if_expression] = STATE(813),
    [sym_match_expression] = STATE(813),
    [sym_while_expression] = STATE(813),
    [sym_for_expression] = STATE(813),
    [sym_loop_expression] = STATE(813),
    [sym_binary_expression] = STATE(813),
    [sym_call_expression] = STATE(813),
    [sym_reference_expression] = STATE(813),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_BANG] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(393),
    [anon_sym_COLON_COLON] = ACTIONS(395),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_u8] = ACTIONS(399),
    [anon_sym_i8] = ACTIONS(399),
    [anon_sym_u16] = ACTIONS(399),
    [anon_sym_i16] = ACTIONS(399),
    [anon_sym_u32] = ACTIONS(399),
    [anon_sym_i32] = ACTIONS(399),
    [anon_sym_u64] = ACTIONS(399),
    [anon_sym_i64] = ACTIONS(399),
    [anon_sym_u128] = ACTIONS(399),
    [anon_sym_i128] = ACTIONS(399),
    [anon_sym_usize] = ACTIONS(399),
    [anon_sym_bool] = ACTIONS(399),
    [anon_sym_ByteArray] = ACTIONS(399),
    [anon_sym_felt252] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_AT] = ACTIONS(403),
    [anon_sym_break] = ACTIONS(405),
    [anon_sym_continue] = ACTIONS(407),
    [anon_sym_default] = ACTIONS(409),
    [anon_sym_if] = ACTIONS(411),
    [anon_sym_loop] = ACTIONS(413),
    [anon_sym_match] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(421),
    [sym_numeric_literal] = ACTIONS(423),
    [aux_sym_string_literal_token1] = ACTIONS(425),
    [sym_shortstring_literal] = ACTIONS(427),
    [anon_sym_true] = ACTIONS(429),
    [anon_sym_false] = ACTIONS(429),
    [anon_sym_ref] = ACTIONS(431),
    [sym_identifier] = ACTIONS(433),
    [sym_super] = ACTIONS(435),
    [sym_line_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(773),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [207] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(754),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [208] = {
    [sym_macro_invocation] = STATE(797),
    [sym_generic_type_with_turbofish] = STATE(1219),
    [sym__literal] = STATE(813),
    [sym_negative_literal] = STATE(827),
    [sym_string_literal] = STATE(827),
    [sym_boolean_literal] = STATE(827),
    [sym_scoped_identifier] = STATE(693),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1433),
    [sym_expression] = STATE(768),
    [sym_generic_function] = STATE(813),
    [sym_tuple_expression] = STATE(813),
    [sym_return_expression] = STATE(813),
    [sym_struct_expression] = STATE(813),
    [sym_assignment_expression] = STATE(813),
    [sym_break_expression] = STATE(813),
    [sym_continue_expression] = STATE(813),
    [sym_index_expression] = STATE(813),
    [sym_array_expression] = STATE(813),
    [sym_parenthesized_expression] = STATE(813),
    [sym_unit_expression] = STATE(813),
    [sym_compound_assignment_expr] = STATE(813),
    [sym__expression_ending_with_block] = STATE(813),
    [sym_unary_expression] = STATE(813),
    [sym_try_expression] = STATE(813),
    [sym_field_expression] = STATE(732),
    [sym_block] = STATE(813),
    [sym_if_expression] = STATE(813),
    [sym_match_expression] = STATE(813),
    [sym_while_expression] = STATE(813),
    [sym_for_expression] = STATE(813),
    [sym_loop_expression] = STATE(813),
    [sym_binary_expression] = STATE(813),
    [sym_call_expression] = STATE(813),
    [sym_reference_expression] = STATE(813),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_BANG] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(393),
    [anon_sym_COLON_COLON] = ACTIONS(395),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_u8] = ACTIONS(399),
    [anon_sym_i8] = ACTIONS(399),
    [anon_sym_u16] = ACTIONS(399),
    [anon_sym_i16] = ACTIONS(399),
    [anon_sym_u32] = ACTIONS(399),
    [anon_sym_i32] = ACTIONS(399),
    [anon_sym_u64] = ACTIONS(399),
    [anon_sym_i64] = ACTIONS(399),
    [anon_sym_u128] = ACTIONS(399),
    [anon_sym_i128] = ACTIONS(399),
    [anon_sym_usize] = ACTIONS(399),
    [anon_sym_bool] = ACTIONS(399),
    [anon_sym_ByteArray] = ACTIONS(399),
    [anon_sym_felt252] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_AT] = ACTIONS(403),
    [anon_sym_break] = ACTIONS(405),
    [anon_sym_continue] = ACTIONS(407),
    [anon_sym_default] = ACTIONS(409),
    [anon_sym_if] = ACTIONS(411),
    [anon_sym_loop] = ACTIONS(413),
    [anon_sym_match] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(421),
    [sym_numeric_literal] = ACTIONS(423),
    [aux_sym_string_literal_token1] = ACTIONS(425),
    [sym_shortstring_literal] = ACTIONS(427),
    [anon_sym_true] = ACTIONS(429),
    [anon_sym_false] = ACTIONS(429),
    [anon_sym_ref] = ACTIONS(431),
    [sym_identifier] = ACTIONS(433),
    [sym_super] = ACTIONS(435),
    [sym_line_comment] = ACTIONS(3),
  },
  [209] = {
    [sym_macro_invocation] = STATE(797),
    [sym_generic_type_with_turbofish] = STATE(1219),
    [sym__literal] = STATE(813),
    [sym_negative_literal] = STATE(827),
    [sym_string_literal] = STATE(827),
    [sym_boolean_literal] = STATE(827),
    [sym_scoped_identifier] = STATE(693),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1433),
    [sym_expression] = STATE(774),
    [sym_generic_function] = STATE(813),
    [sym_tuple_expression] = STATE(813),
    [sym_return_expression] = STATE(813),
    [sym_struct_expression] = STATE(813),
    [sym_assignment_expression] = STATE(813),
    [sym_break_expression] = STATE(813),
    [sym_continue_expression] = STATE(813),
    [sym_index_expression] = STATE(813),
    [sym_array_expression] = STATE(813),
    [sym_parenthesized_expression] = STATE(813),
    [sym_unit_expression] = STATE(813),
    [sym_compound_assignment_expr] = STATE(813),
    [sym__expression_ending_with_block] = STATE(813),
    [sym_unary_expression] = STATE(813),
    [sym_try_expression] = STATE(813),
    [sym_field_expression] = STATE(732),
    [sym_block] = STATE(813),
    [sym_if_expression] = STATE(813),
    [sym_match_expression] = STATE(813),
    [sym_while_expression] = STATE(813),
    [sym_for_expression] = STATE(813),
    [sym_loop_expression] = STATE(813),
    [sym_binary_expression] = STATE(813),
    [sym_call_expression] = STATE(813),
    [sym_reference_expression] = STATE(813),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_BANG] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(393),
    [anon_sym_COLON_COLON] = ACTIONS(395),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_u8] = ACTIONS(399),
    [anon_sym_i8] = ACTIONS(399),
    [anon_sym_u16] = ACTIONS(399),
    [anon_sym_i16] = ACTIONS(399),
    [anon_sym_u32] = ACTIONS(399),
    [anon_sym_i32] = ACTIONS(399),
    [anon_sym_u64] = ACTIONS(399),
    [anon_sym_i64] = ACTIONS(399),
    [anon_sym_u128] = ACTIONS(399),
    [anon_sym_i128] = ACTIONS(399),
    [anon_sym_usize] = ACTIONS(399),
    [anon_sym_bool] = ACTIONS(399),
    [anon_sym_ByteArray] = ACTIONS(399),
    [anon_sym_felt252] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_AT] = ACTIONS(403),
    [anon_sym_break] = ACTIONS(405),
    [anon_sym_continue] = ACTIONS(407),
    [anon_sym_default] = ACTIONS(409),
    [anon_sym_if] = ACTIONS(411),
    [anon_sym_loop] = ACTIONS(413),
    [anon_sym_match] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(421),
    [sym_numeric_literal] = ACTIONS(423),
    [aux_sym_string_literal_token1] = ACTIONS(425),
    [sym_shortstring_literal] = ACTIONS(427),
    [anon_sym_true] = ACTIONS(429),
    [anon_sym_false] = ACTIONS(429),
    [anon_sym_ref] = ACTIONS(431),
    [sym_identifier] = ACTIONS(433),
    [sym_super] = ACTIONS(435),
    [sym_line_comment] = ACTIONS(3),
  },
  [210] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(629),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [211] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(630),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(723),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_macro_invocation] = STATE(797),
    [sym_generic_type_with_turbofish] = STATE(1219),
    [sym__literal] = STATE(813),
    [sym_negative_literal] = STATE(827),
    [sym_string_literal] = STATE(827),
    [sym_boolean_literal] = STATE(827),
    [sym_scoped_identifier] = STATE(693),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1433),
    [sym_expression] = STATE(776),
    [sym_generic_function] = STATE(813),
    [sym_tuple_expression] = STATE(813),
    [sym_return_expression] = STATE(813),
    [sym_struct_expression] = STATE(813),
    [sym_assignment_expression] = STATE(813),
    [sym_break_expression] = STATE(813),
    [sym_continue_expression] = STATE(813),
    [sym_index_expression] = STATE(813),
    [sym_array_expression] = STATE(813),
    [sym_parenthesized_expression] = STATE(813),
    [sym_unit_expression] = STATE(813),
    [sym_compound_assignment_expr] = STATE(813),
    [sym__expression_ending_with_block] = STATE(813),
    [sym_unary_expression] = STATE(813),
    [sym_try_expression] = STATE(813),
    [sym_field_expression] = STATE(732),
    [sym_block] = STATE(813),
    [sym_if_expression] = STATE(813),
    [sym_match_expression] = STATE(813),
    [sym_while_expression] = STATE(813),
    [sym_for_expression] = STATE(813),
    [sym_loop_expression] = STATE(813),
    [sym_binary_expression] = STATE(813),
    [sym_call_expression] = STATE(813),
    [sym_reference_expression] = STATE(813),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_BANG] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(393),
    [anon_sym_COLON_COLON] = ACTIONS(395),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_u8] = ACTIONS(399),
    [anon_sym_i8] = ACTIONS(399),
    [anon_sym_u16] = ACTIONS(399),
    [anon_sym_i16] = ACTIONS(399),
    [anon_sym_u32] = ACTIONS(399),
    [anon_sym_i32] = ACTIONS(399),
    [anon_sym_u64] = ACTIONS(399),
    [anon_sym_i64] = ACTIONS(399),
    [anon_sym_u128] = ACTIONS(399),
    [anon_sym_i128] = ACTIONS(399),
    [anon_sym_usize] = ACTIONS(399),
    [anon_sym_bool] = ACTIONS(399),
    [anon_sym_ByteArray] = ACTIONS(399),
    [anon_sym_felt252] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_AT] = ACTIONS(403),
    [anon_sym_break] = ACTIONS(405),
    [anon_sym_continue] = ACTIONS(407),
    [anon_sym_default] = ACTIONS(409),
    [anon_sym_if] = ACTIONS(411),
    [anon_sym_loop] = ACTIONS(413),
    [anon_sym_match] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(421),
    [sym_numeric_literal] = ACTIONS(423),
    [aux_sym_string_literal_token1] = ACTIONS(425),
    [sym_shortstring_literal] = ACTIONS(427),
    [anon_sym_true] = ACTIONS(429),
    [anon_sym_false] = ACTIONS(429),
    [anon_sym_ref] = ACTIONS(431),
    [sym_identifier] = ACTIONS(433),
    [sym_super] = ACTIONS(435),
    [sym_line_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(767),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_macro_invocation] = STATE(797),
    [sym_generic_type_with_turbofish] = STATE(1219),
    [sym__literal] = STATE(813),
    [sym_negative_literal] = STATE(827),
    [sym_string_literal] = STATE(827),
    [sym_boolean_literal] = STATE(827),
    [sym_scoped_identifier] = STATE(693),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1433),
    [sym_expression] = STATE(729),
    [sym_generic_function] = STATE(813),
    [sym_tuple_expression] = STATE(813),
    [sym_return_expression] = STATE(813),
    [sym_struct_expression] = STATE(813),
    [sym_assignment_expression] = STATE(813),
    [sym_break_expression] = STATE(813),
    [sym_continue_expression] = STATE(813),
    [sym_index_expression] = STATE(813),
    [sym_array_expression] = STATE(813),
    [sym_parenthesized_expression] = STATE(813),
    [sym_unit_expression] = STATE(813),
    [sym_compound_assignment_expr] = STATE(813),
    [sym__expression_ending_with_block] = STATE(813),
    [sym_unary_expression] = STATE(813),
    [sym_try_expression] = STATE(813),
    [sym_field_expression] = STATE(732),
    [sym_block] = STATE(813),
    [sym_if_expression] = STATE(813),
    [sym_match_expression] = STATE(813),
    [sym_while_expression] = STATE(813),
    [sym_for_expression] = STATE(813),
    [sym_loop_expression] = STATE(813),
    [sym_binary_expression] = STATE(813),
    [sym_call_expression] = STATE(813),
    [sym_reference_expression] = STATE(813),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_BANG] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(393),
    [anon_sym_COLON_COLON] = ACTIONS(395),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_u8] = ACTIONS(399),
    [anon_sym_i8] = ACTIONS(399),
    [anon_sym_u16] = ACTIONS(399),
    [anon_sym_i16] = ACTIONS(399),
    [anon_sym_u32] = ACTIONS(399),
    [anon_sym_i32] = ACTIONS(399),
    [anon_sym_u64] = ACTIONS(399),
    [anon_sym_i64] = ACTIONS(399),
    [anon_sym_u128] = ACTIONS(399),
    [anon_sym_i128] = ACTIONS(399),
    [anon_sym_usize] = ACTIONS(399),
    [anon_sym_bool] = ACTIONS(399),
    [anon_sym_ByteArray] = ACTIONS(399),
    [anon_sym_felt252] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_AT] = ACTIONS(403),
    [anon_sym_break] = ACTIONS(405),
    [anon_sym_continue] = ACTIONS(407),
    [anon_sym_default] = ACTIONS(409),
    [anon_sym_if] = ACTIONS(411),
    [anon_sym_loop] = ACTIONS(413),
    [anon_sym_match] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(421),
    [sym_numeric_literal] = ACTIONS(423),
    [aux_sym_string_literal_token1] = ACTIONS(425),
    [sym_shortstring_literal] = ACTIONS(427),
    [anon_sym_true] = ACTIONS(429),
    [anon_sym_false] = ACTIONS(429),
    [anon_sym_ref] = ACTIONS(431),
    [sym_identifier] = ACTIONS(433),
    [sym_super] = ACTIONS(435),
    [sym_line_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(779),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_macro_invocation] = STATE(797),
    [sym_generic_type_with_turbofish] = STATE(1219),
    [sym__literal] = STATE(813),
    [sym_negative_literal] = STATE(827),
    [sym_string_literal] = STATE(827),
    [sym_boolean_literal] = STATE(827),
    [sym_scoped_identifier] = STATE(693),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1433),
    [sym_expression] = STATE(766),
    [sym_generic_function] = STATE(813),
    [sym_tuple_expression] = STATE(813),
    [sym_return_expression] = STATE(813),
    [sym_struct_expression] = STATE(813),
    [sym_assignment_expression] = STATE(813),
    [sym_break_expression] = STATE(813),
    [sym_continue_expression] = STATE(813),
    [sym_index_expression] = STATE(813),
    [sym_array_expression] = STATE(813),
    [sym_parenthesized_expression] = STATE(813),
    [sym_unit_expression] = STATE(813),
    [sym_compound_assignment_expr] = STATE(813),
    [sym__expression_ending_with_block] = STATE(813),
    [sym_unary_expression] = STATE(813),
    [sym_try_expression] = STATE(813),
    [sym_field_expression] = STATE(732),
    [sym_block] = STATE(813),
    [sym_if_expression] = STATE(813),
    [sym_match_expression] = STATE(813),
    [sym_while_expression] = STATE(813),
    [sym_for_expression] = STATE(813),
    [sym_loop_expression] = STATE(813),
    [sym_binary_expression] = STATE(813),
    [sym_call_expression] = STATE(813),
    [sym_reference_expression] = STATE(813),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_BANG] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(393),
    [anon_sym_COLON_COLON] = ACTIONS(395),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_u8] = ACTIONS(399),
    [anon_sym_i8] = ACTIONS(399),
    [anon_sym_u16] = ACTIONS(399),
    [anon_sym_i16] = ACTIONS(399),
    [anon_sym_u32] = ACTIONS(399),
    [anon_sym_i32] = ACTIONS(399),
    [anon_sym_u64] = ACTIONS(399),
    [anon_sym_i64] = ACTIONS(399),
    [anon_sym_u128] = ACTIONS(399),
    [anon_sym_i128] = ACTIONS(399),
    [anon_sym_usize] = ACTIONS(399),
    [anon_sym_bool] = ACTIONS(399),
    [anon_sym_ByteArray] = ACTIONS(399),
    [anon_sym_felt252] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_AT] = ACTIONS(403),
    [anon_sym_break] = ACTIONS(405),
    [anon_sym_continue] = ACTIONS(407),
    [anon_sym_default] = ACTIONS(409),
    [anon_sym_if] = ACTIONS(411),
    [anon_sym_loop] = ACTIONS(413),
    [anon_sym_match] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(421),
    [sym_numeric_literal] = ACTIONS(423),
    [aux_sym_string_literal_token1] = ACTIONS(425),
    [sym_shortstring_literal] = ACTIONS(427),
    [anon_sym_true] = ACTIONS(429),
    [anon_sym_false] = ACTIONS(429),
    [anon_sym_ref] = ACTIONS(431),
    [sym_identifier] = ACTIONS(433),
    [sym_super] = ACTIONS(435),
    [sym_line_comment] = ACTIONS(3),
  },
  [218] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(671),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(339),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(339),
    [sym_if_expression] = STATE(339),
    [sym_match_expression] = STATE(339),
    [sym_while_expression] = STATE(339),
    [sym_for_expression] = STATE(339),
    [sym_loop_expression] = STATE(339),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(821),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(823),
    [anon_sym_loop] = ACTIONS(825),
    [anon_sym_match] = ACTIONS(827),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(829),
    [anon_sym_for] = ACTIONS(831),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(436),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(780),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_macro_invocation] = STATE(797),
    [sym_generic_type_with_turbofish] = STATE(1219),
    [sym__literal] = STATE(813),
    [sym_negative_literal] = STATE(827),
    [sym_string_literal] = STATE(827),
    [sym_boolean_literal] = STATE(827),
    [sym_scoped_identifier] = STATE(693),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1433),
    [sym_expression] = STATE(758),
    [sym_generic_function] = STATE(813),
    [sym_tuple_expression] = STATE(813),
    [sym_return_expression] = STATE(813),
    [sym_struct_expression] = STATE(813),
    [sym_assignment_expression] = STATE(813),
    [sym_break_expression] = STATE(813),
    [sym_continue_expression] = STATE(813),
    [sym_index_expression] = STATE(813),
    [sym_array_expression] = STATE(813),
    [sym_parenthesized_expression] = STATE(813),
    [sym_unit_expression] = STATE(813),
    [sym_compound_assignment_expr] = STATE(813),
    [sym__expression_ending_with_block] = STATE(813),
    [sym_unary_expression] = STATE(813),
    [sym_try_expression] = STATE(813),
    [sym_field_expression] = STATE(732),
    [sym_block] = STATE(813),
    [sym_if_expression] = STATE(813),
    [sym_match_expression] = STATE(813),
    [sym_while_expression] = STATE(813),
    [sym_for_expression] = STATE(813),
    [sym_loop_expression] = STATE(813),
    [sym_binary_expression] = STATE(813),
    [sym_call_expression] = STATE(813),
    [sym_reference_expression] = STATE(813),
    [anon_sym_LBRACE] = ACTIONS(389),
    [anon_sym_BANG] = ACTIONS(403),
    [anon_sym_LBRACK] = ACTIONS(393),
    [anon_sym_COLON_COLON] = ACTIONS(395),
    [anon_sym_STAR] = ACTIONS(403),
    [anon_sym_LPAREN] = ACTIONS(397),
    [anon_sym_u8] = ACTIONS(399),
    [anon_sym_i8] = ACTIONS(399),
    [anon_sym_u16] = ACTIONS(399),
    [anon_sym_i16] = ACTIONS(399),
    [anon_sym_u32] = ACTIONS(399),
    [anon_sym_i32] = ACTIONS(399),
    [anon_sym_u64] = ACTIONS(399),
    [anon_sym_i64] = ACTIONS(399),
    [anon_sym_u128] = ACTIONS(399),
    [anon_sym_i128] = ACTIONS(399),
    [anon_sym_usize] = ACTIONS(399),
    [anon_sym_bool] = ACTIONS(399),
    [anon_sym_ByteArray] = ACTIONS(399),
    [anon_sym_felt252] = ACTIONS(399),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_AT] = ACTIONS(403),
    [anon_sym_break] = ACTIONS(405),
    [anon_sym_continue] = ACTIONS(407),
    [anon_sym_default] = ACTIONS(409),
    [anon_sym_if] = ACTIONS(411),
    [anon_sym_loop] = ACTIONS(413),
    [anon_sym_match] = ACTIONS(415),
    [anon_sym_return] = ACTIONS(417),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(421),
    [sym_numeric_literal] = ACTIONS(423),
    [aux_sym_string_literal_token1] = ACTIONS(425),
    [sym_shortstring_literal] = ACTIONS(427),
    [anon_sym_true] = ACTIONS(429),
    [anon_sym_false] = ACTIONS(429),
    [anon_sym_ref] = ACTIONS(431),
    [sym_identifier] = ACTIONS(433),
    [sym_super] = ACTIONS(435),
    [sym_line_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1222),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(701),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(713),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(441),
    [anon_sym_i8] = ACTIONS(441),
    [anon_sym_u16] = ACTIONS(441),
    [anon_sym_i16] = ACTIONS(441),
    [anon_sym_u32] = ACTIONS(441),
    [anon_sym_i32] = ACTIONS(441),
    [anon_sym_u64] = ACTIONS(441),
    [anon_sym_i64] = ACTIONS(441),
    [anon_sym_u128] = ACTIONS(441),
    [anon_sym_i128] = ACTIONS(441),
    [anon_sym_usize] = ACTIONS(441),
    [anon_sym_bool] = ACTIONS(441),
    [anon_sym_ByteArray] = ACTIONS(441),
    [anon_sym_felt252] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(451),
    [sym_identifier] = ACTIONS(453),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(781),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
  [224] = {
    [sym_macro_invocation] = STATE(485),
    [sym_generic_type_with_turbofish] = STATE(1173),
    [sym__literal] = STATE(490),
    [sym_negative_literal] = STATE(494),
    [sym_string_literal] = STATE(494),
    [sym_boolean_literal] = STATE(494),
    [sym_scoped_identifier] = STATE(434),
    [sym_scoped_type_identifier_in_expression_position] = STATE(1384),
    [sym_expression] = STATE(737),
    [sym_generic_function] = STATE(490),
    [sym_tuple_expression] = STATE(490),
    [sym_return_expression] = STATE(490),
    [sym_struct_expression] = STATE(490),
    [sym_assignment_expression] = STATE(490),
    [sym_break_expression] = STATE(490),
    [sym_continue_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_array_expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_unit_expression] = STATE(490),
    [sym_compound_assignment_expr] = STATE(490),
    [sym__expression_ending_with_block] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_try_expression] = STATE(490),
    [sym_field_expression] = STATE(429),
    [sym_block] = STATE(490),
    [sym_if_expression] = STATE(490),
    [sym_match_expression] = STATE(490),
    [sym_while_expression] = STATE(490),
    [sym_for_expression] = STATE(490),
    [sym_loop_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_reference_expression] = STATE(490),
    [anon_sym_LBRACE] = ACTIONS(7),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_COLON_COLON] = ACTIONS(37),
    [anon_sym_STAR] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(39),
    [anon_sym_u8] = ACTIONS(41),
    [anon_sym_i8] = ACTIONS(41),
    [anon_sym_u16] = ACTIONS(41),
    [anon_sym_i16] = ACTIONS(41),
    [anon_sym_u32] = ACTIONS(41),
    [anon_sym_i32] = ACTIONS(41),
    [anon_sym_u64] = ACTIONS(41),
    [anon_sym_i64] = ACTIONS(41),
    [anon_sym_u128] = ACTIONS(41),
    [anon_sym_i128] = ACTIONS(41),
    [anon_sym_usize] = ACTIONS(41),
    [anon_sym_bool] = ACTIONS(41),
    [anon_sym_ByteArray] = ACTIONS(41),
    [anon_sym_felt252] = ACTIONS(41),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_TILDE] = ACTIONS(19),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_default] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(236),
    [anon_sym_loop] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(61),
    [anon_sym_while] = ACTIONS(63),
    [anon_sym_for] = ACTIONS(65),
    [sym_numeric_literal] = ACTIONS(67),
    [aux_sym_string_literal_token1] = ACTIONS(69),
    [sym_shortstring_literal] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_ref] = ACTIONS(75),
    [sym_identifier] = ACTIONS(77),
    [sym_super] = ACTIONS(79),
    [sym_line_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(544), 23,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
    ACTIONS(546), 39,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_STAR,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [70] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(489), 23,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
    ACTIONS(491), 39,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_STAR,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [140] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(508), 23,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
    ACTIONS(510), 39,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_STAR,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [210] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(540), 23,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
    ACTIONS(542), 39,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_STAR,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [280] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(560), 23,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
    ACTIONS(562), 39,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_STAR,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [350] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(524), 23,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
    ACTIONS(526), 39,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_STAR,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [420] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(536), 23,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
    ACTIONS(538), 39,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_STAR,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [490] = 27,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(31), 1,
      anon_sym_fn,
    ACTIONS(53), 1,
      anon_sym_extern,
    ACTIONS(59), 1,
      anon_sym_pub,
    ACTIONS(835), 1,
      anon_sym_RBRACE,
    ACTIONS(837), 1,
      anon_sym_impl,
    ACTIONS(839), 1,
      anon_sym_SEMI,
    ACTIONS(841), 1,
      anon_sym_trait,
    ACTIONS(843), 1,
      anon_sym_type,
    ACTIONS(845), 1,
      anon_sym_const,
    ACTIONS(847), 1,
      anon_sym_POUND,
    ACTIONS(849), 1,
      anon_sym_mod,
    ACTIONS(851), 1,
      anon_sym_struct,
    ACTIONS(853), 1,
      anon_sym_enum,
    ACTIONS(855), 1,
      anon_sym_let,
    ACTIONS(857), 1,
      anon_sym_use,
    ACTIONS(859), 1,
      anon_sym_COLON_COLON,
    ACTIONS(863), 1,
      anon_sym_default,
    ACTIONS(865), 1,
      sym_identifier,
    STATE(518), 1,
      sym_extern_type,
    STATE(876), 1,
      sym_visibility_modifier,
    STATE(1217), 1,
      sym_extern,
    STATE(1218), 1,
      sym_function,
    STATE(1434), 1,
      sym_scoped_identifier,
    STATE(1547), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(861), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
    STATE(240), 19,
      sym_impl_item,
      sym_trait_item,
      sym_associated_type,
      sym_associated_impl,
      sym_const_item,
      sym_macro_invocation,
      sym_empty_statement,
      sym_attribute_item,
      sym_inner_attribute_item,
      sym_mod_item,
      sym_struct_item,
      sym_enum_item,
      sym_type_item,
      sym_external_function_item,
      sym_function_item,
      sym_function_signature_item,
      sym_let_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
  [604] = 27,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(31), 1,
      anon_sym_fn,
    ACTIONS(53), 1,
      anon_sym_extern,
    ACTIONS(59), 1,
      anon_sym_pub,
    ACTIONS(837), 1,
      anon_sym_impl,
    ACTIONS(839), 1,
      anon_sym_SEMI,
    ACTIONS(841), 1,
      anon_sym_trait,
    ACTIONS(843), 1,
      anon_sym_type,
    ACTIONS(845), 1,
      anon_sym_const,
    ACTIONS(847), 1,
      anon_sym_POUND,
    ACTIONS(849), 1,
      anon_sym_mod,
    ACTIONS(851), 1,
      anon_sym_struct,
    ACTIONS(853), 1,
      anon_sym_enum,
    ACTIONS(855), 1,
      anon_sym_let,
    ACTIONS(857), 1,
      anon_sym_use,
    ACTIONS(859), 1,
      anon_sym_COLON_COLON,
    ACTIONS(863), 1,
      anon_sym_default,
    ACTIONS(865), 1,
      sym_identifier,
    ACTIONS(867), 1,
      anon_sym_RBRACE,
    STATE(518), 1,
      sym_extern_type,
    STATE(876), 1,
      sym_visibility_modifier,
    STATE(1217), 1,
      sym_extern,
    STATE(1218), 1,
      sym_function,
    STATE(1434), 1,
      sym_scoped_identifier,
    STATE(1547), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(861), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
    STATE(240), 19,
      sym_impl_item,
      sym_trait_item,
      sym_associated_type,
      sym_associated_impl,
      sym_const_item,
      sym_macro_invocation,
      sym_empty_statement,
      sym_attribute_item,
      sym_inner_attribute_item,
      sym_mod_item,
      sym_struct_item,
      sym_enum_item,
      sym_type_item,
      sym_external_function_item,
      sym_function_item,
      sym_function_signature_item,
      sym_let_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
  [718] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(560), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(562), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [784] = 27,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(31), 1,
      anon_sym_fn,
    ACTIONS(53), 1,
      anon_sym_extern,
    ACTIONS(59), 1,
      anon_sym_pub,
    ACTIONS(837), 1,
      anon_sym_impl,
    ACTIONS(839), 1,
      anon_sym_SEMI,
    ACTIONS(841), 1,
      anon_sym_trait,
    ACTIONS(843), 1,
      anon_sym_type,
    ACTIONS(845), 1,
      anon_sym_const,
    ACTIONS(847), 1,
      anon_sym_POUND,
    ACTIONS(849), 1,
      anon_sym_mod,
    ACTIONS(851), 1,
      anon_sym_struct,
    ACTIONS(853), 1,
      anon_sym_enum,
    ACTIONS(855), 1,
      anon_sym_let,
    ACTIONS(857), 1,
      anon_sym_use,
    ACTIONS(859), 1,
      anon_sym_COLON_COLON,
    ACTIONS(863), 1,
      anon_sym_default,
    ACTIONS(865), 1,
      sym_identifier,
    ACTIONS(869), 1,
      anon_sym_RBRACE,
    STATE(518), 1,
      sym_extern_type,
    STATE(876), 1,
      sym_visibility_modifier,
    STATE(1217), 1,
      sym_extern,
    STATE(1218), 1,
      sym_function,
    STATE(1434), 1,
      sym_scoped_identifier,
    STATE(1547), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(861), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
    STATE(232), 19,
      sym_impl_item,
      sym_trait_item,
      sym_associated_type,
      sym_associated_impl,
      sym_const_item,
      sym_macro_invocation,
      sym_empty_statement,
      sym_attribute_item,
      sym_inner_attribute_item,
      sym_mod_item,
      sym_struct_item,
      sym_enum_item,
      sym_type_item,
      sym_external_function_item,
      sym_function_item,
      sym_function_signature_item,
      sym_let_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
  [898] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(536), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(538), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [964] = 34,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(871), 1,
      anon_sym_POUND,
    ACTIONS(873), 1,
      anon_sym_LBRACK,
    ACTIONS(875), 1,
      anon_sym_COMMA,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(879), 1,
      anon_sym_LPAREN,
    ACTIONS(881), 1,
      anon_sym__,
    ACTIONS(883), 1,
      anon_sym_RPAREN,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(893), 1,
      anon_sym_default,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(903), 1,
      anon_sym_ref,
    ACTIONS(905), 1,
      sym_identifier,
    ACTIONS(907), 1,
      sym_mutable_specifier,
    ACTIONS(909), 1,
      sym_super,
    STATE(343), 1,
      sym_attribute_item,
    STATE(383), 1,
      sym_ref_specifier,
    STATE(881), 1,
      sym_generic_type,
    STATE(927), 1,
      sym_negative_literal,
    STATE(973), 1,
      sym_scoped_type_identifier,
    STATE(1038), 1,
      sym_scoped_identifier,
    STATE(1152), 1,
      sym_generic_type_with_turbofish,
    STATE(1153), 1,
      sym_macro_invocation,
    STATE(1388), 1,
      sym__pattern,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(1183), 2,
      sym_parameter,
      sym__type,
    STATE(892), 4,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    STATE(921), 7,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(885), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [1092] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(540), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(542), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [1158] = 27,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(31), 1,
      anon_sym_fn,
    ACTIONS(53), 1,
      anon_sym_extern,
    ACTIONS(59), 1,
      anon_sym_pub,
    ACTIONS(837), 1,
      anon_sym_impl,
    ACTIONS(839), 1,
      anon_sym_SEMI,
    ACTIONS(841), 1,
      anon_sym_trait,
    ACTIONS(843), 1,
      anon_sym_type,
    ACTIONS(845), 1,
      anon_sym_const,
    ACTIONS(847), 1,
      anon_sym_POUND,
    ACTIONS(849), 1,
      anon_sym_mod,
    ACTIONS(851), 1,
      anon_sym_struct,
    ACTIONS(853), 1,
      anon_sym_enum,
    ACTIONS(855), 1,
      anon_sym_let,
    ACTIONS(857), 1,
      anon_sym_use,
    ACTIONS(859), 1,
      anon_sym_COLON_COLON,
    ACTIONS(863), 1,
      anon_sym_default,
    ACTIONS(865), 1,
      sym_identifier,
    ACTIONS(911), 1,
      anon_sym_RBRACE,
    STATE(518), 1,
      sym_extern_type,
    STATE(876), 1,
      sym_visibility_modifier,
    STATE(1217), 1,
      sym_extern,
    STATE(1218), 1,
      sym_function,
    STATE(1434), 1,
      sym_scoped_identifier,
    STATE(1547), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(861), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
    STATE(233), 19,
      sym_impl_item,
      sym_trait_item,
      sym_associated_type,
      sym_associated_impl,
      sym_const_item,
      sym_macro_invocation,
      sym_empty_statement,
      sym_attribute_item,
      sym_inner_attribute_item,
      sym_mod_item,
      sym_struct_item,
      sym_enum_item,
      sym_type_item,
      sym_external_function_item,
      sym_function_item,
      sym_function_signature_item,
      sym_let_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
  [1272] = 27,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(913), 1,
      anon_sym_RBRACE,
    ACTIONS(915), 1,
      anon_sym_impl,
    ACTIONS(918), 1,
      anon_sym_SEMI,
    ACTIONS(921), 1,
      anon_sym_trait,
    ACTIONS(924), 1,
      anon_sym_type,
    ACTIONS(927), 1,
      anon_sym_const,
    ACTIONS(930), 1,
      anon_sym_POUND,
    ACTIONS(933), 1,
      anon_sym_mod,
    ACTIONS(936), 1,
      anon_sym_struct,
    ACTIONS(939), 1,
      anon_sym_enum,
    ACTIONS(942), 1,
      anon_sym_fn,
    ACTIONS(945), 1,
      anon_sym_let,
    ACTIONS(948), 1,
      anon_sym_use,
    ACTIONS(951), 1,
      anon_sym_COLON_COLON,
    ACTIONS(957), 1,
      anon_sym_default,
    ACTIONS(960), 1,
      anon_sym_extern,
    ACTIONS(963), 1,
      anon_sym_pub,
    ACTIONS(966), 1,
      sym_identifier,
    STATE(518), 1,
      sym_extern_type,
    STATE(876), 1,
      sym_visibility_modifier,
    STATE(1217), 1,
      sym_extern,
    STATE(1218), 1,
      sym_function,
    STATE(1434), 1,
      sym_scoped_identifier,
    STATE(1547), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(954), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
    STATE(240), 19,
      sym_impl_item,
      sym_trait_item,
      sym_associated_type,
      sym_associated_impl,
      sym_const_item,
      sym_macro_invocation,
      sym_empty_statement,
      sym_attribute_item,
      sym_inner_attribute_item,
      sym_mod_item,
      sym_struct_item,
      sym_enum_item,
      sym_type_item,
      sym_external_function_item,
      sym_function_item,
      sym_function_signature_item,
      sym_let_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
  [1386] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(969), 1,
      anon_sym_else,
    STATE(254), 1,
      sym_else_clause,
    ACTIONS(568), 24,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(570), 32,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [1456] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(536), 24,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(538), 33,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_else,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [1521] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(560), 24,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(562), 33,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_else,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [1586] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(540), 24,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(542), 33,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_else,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [1651] = 33,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(871), 1,
      anon_sym_POUND,
    ACTIONS(873), 1,
      anon_sym_LBRACK,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(879), 1,
      anon_sym_LPAREN,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(893), 1,
      anon_sym_default,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(903), 1,
      anon_sym_ref,
    ACTIONS(905), 1,
      sym_identifier,
    ACTIONS(907), 1,
      sym_mutable_specifier,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(971), 1,
      anon_sym__,
    ACTIONS(973), 1,
      anon_sym_RPAREN,
    STATE(345), 1,
      sym_attribute_item,
    STATE(383), 1,
      sym_ref_specifier,
    STATE(881), 1,
      sym_generic_type,
    STATE(927), 1,
      sym_negative_literal,
    STATE(973), 1,
      sym_scoped_type_identifier,
    STATE(1038), 1,
      sym_scoped_identifier,
    STATE(1152), 1,
      sym_generic_type_with_turbofish,
    STATE(1153), 1,
      sym_macro_invocation,
    STATE(1388), 1,
      sym__pattern,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(1482), 2,
      sym_parameter,
      sym__type,
    STATE(892), 4,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    STATE(921), 7,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(885), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [1776] = 33,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(871), 1,
      anon_sym_POUND,
    ACTIONS(873), 1,
      anon_sym_LBRACK,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(879), 1,
      anon_sym_LPAREN,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(893), 1,
      anon_sym_default,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(903), 1,
      anon_sym_ref,
    ACTIONS(905), 1,
      sym_identifier,
    ACTIONS(907), 1,
      sym_mutable_specifier,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(971), 1,
      anon_sym__,
    ACTIONS(975), 1,
      anon_sym_RPAREN,
    STATE(345), 1,
      sym_attribute_item,
    STATE(383), 1,
      sym_ref_specifier,
    STATE(881), 1,
      sym_generic_type,
    STATE(927), 1,
      sym_negative_literal,
    STATE(973), 1,
      sym_scoped_type_identifier,
    STATE(1038), 1,
      sym_scoped_identifier,
    STATE(1152), 1,
      sym_generic_type_with_turbofish,
    STATE(1153), 1,
      sym_macro_invocation,
    STATE(1388), 1,
      sym__pattern,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(1482), 2,
      sym_parameter,
      sym__type,
    STATE(892), 4,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    STATE(921), 7,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(885), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [1901] = 33,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(871), 1,
      anon_sym_POUND,
    ACTIONS(873), 1,
      anon_sym_LBRACK,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(879), 1,
      anon_sym_LPAREN,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(893), 1,
      anon_sym_default,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(903), 1,
      anon_sym_ref,
    ACTIONS(905), 1,
      sym_identifier,
    ACTIONS(907), 1,
      sym_mutable_specifier,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(971), 1,
      anon_sym__,
    ACTIONS(977), 1,
      anon_sym_RPAREN,
    STATE(345), 1,
      sym_attribute_item,
    STATE(383), 1,
      sym_ref_specifier,
    STATE(881), 1,
      sym_generic_type,
    STATE(927), 1,
      sym_negative_literal,
    STATE(973), 1,
      sym_scoped_type_identifier,
    STATE(1038), 1,
      sym_scoped_identifier,
    STATE(1152), 1,
      sym_generic_type_with_turbofish,
    STATE(1153), 1,
      sym_macro_invocation,
    STATE(1388), 1,
      sym__pattern,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(1482), 2,
      sym_parameter,
      sym__type,
    STATE(892), 4,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    STATE(921), 7,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(885), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [2026] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(979), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(981), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [2090] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(983), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(985), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [2154] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(987), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(989), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [2218] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(991), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(993), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [2282] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(995), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(997), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [2346] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(999), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1001), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [2410] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(564), 24,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(566), 32,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [2474] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(556), 24,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(558), 32,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [2538] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1003), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1005), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [2602] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(520), 24,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(522), 32,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [2666] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(528), 24,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(530), 32,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [2730] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1007), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1009), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [2794] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1011), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1013), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [2858] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1015), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1017), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [2922] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1019), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1021), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [2986] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(516), 24,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(518), 32,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [3050] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(552), 24,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(554), 32,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [3114] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1023), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1025), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [3178] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1027), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1029), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [3242] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1031), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1033), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [3306] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1035), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1037), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [3370] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1039), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1041), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [3434] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1043), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1045), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [3498] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1047), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1049), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [3562] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1051), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1053), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [3626] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1055), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1057), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [3690] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1059), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1061), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [3754] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1063), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1065), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [3818] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1067), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1069), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [3882] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1071), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1073), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [3946] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1075), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1077), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [4010] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1079), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1081), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [4074] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1083), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1085), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [4138] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1087), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1089), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [4202] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1091), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1093), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [4266] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1095), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1097), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [4330] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1099), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1101), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [4394] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1103), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1105), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [4458] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(512), 24,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(514), 32,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [4522] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1107), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1109), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [4586] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1111), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1113), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [4650] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1115), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1117), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [4714] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1119), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1121), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [4778] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1123), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1125), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [4842] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1127), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1129), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [4906] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1131), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1133), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [4970] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(532), 24,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(534), 32,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [5034] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1135), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1137), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [5098] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1139), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1141), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [5162] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(548), 24,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(550), 32,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [5226] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(540), 24,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(542), 32,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [5290] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1143), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1145), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [5354] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1147), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1149), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [5418] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1151), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1153), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [5482] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1155), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1157), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [5546] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1159), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1161), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [5610] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(560), 24,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(562), 32,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [5674] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(536), 24,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(538), 32,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [5738] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1163), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1165), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [5802] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1167), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1169), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [5866] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1171), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1173), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [5930] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1175), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1177), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [5994] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1179), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1181), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [6058] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1183), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1185), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [6122] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1187), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1189), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [6186] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1191), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1193), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [6250] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1195), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1197), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [6314] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1199), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1201), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [6378] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1203), 6,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(592), 8,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
    ACTIONS(594), 18,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
    ACTIONS(1205), 24,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [6446] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1207), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1209), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [6510] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1211), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1213), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [6574] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1215), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1217), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [6638] = 32,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(871), 1,
      anon_sym_POUND,
    ACTIONS(873), 1,
      anon_sym_LBRACK,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(879), 1,
      anon_sym_LPAREN,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(893), 1,
      anon_sym_default,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(903), 1,
      anon_sym_ref,
    ACTIONS(905), 1,
      sym_identifier,
    ACTIONS(907), 1,
      sym_mutable_specifier,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(971), 1,
      anon_sym__,
    STATE(345), 1,
      sym_attribute_item,
    STATE(383), 1,
      sym_ref_specifier,
    STATE(881), 1,
      sym_generic_type,
    STATE(927), 1,
      sym_negative_literal,
    STATE(973), 1,
      sym_scoped_type_identifier,
    STATE(1038), 1,
      sym_scoped_identifier,
    STATE(1152), 1,
      sym_generic_type_with_turbofish,
    STATE(1153), 1,
      sym_macro_invocation,
    STATE(1388), 1,
      sym__pattern,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(1482), 2,
      sym_parameter,
      sym__type,
    STATE(892), 4,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    STATE(921), 7,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(885), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [6760] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1219), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1221), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [6824] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1223), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1225), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [6888] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1227), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1229), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [6952] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1231), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1233), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [7016] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1235), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1237), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [7080] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1239), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1241), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [7144] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1243), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1245), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [7208] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1247), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1249), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [7272] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1251), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1253), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [7336] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1255), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1257), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [7400] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1259), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1261), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [7464] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1263), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1265), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [7528] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1267), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1269), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [7592] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1271), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1273), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [7656] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1275), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1277), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [7720] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1279), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1281), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [7784] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1283), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1285), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [7848] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1287), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1289), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [7912] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1291), 6,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(592), 8,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
    ACTIONS(594), 18,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
    ACTIONS(1293), 24,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [7980] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1295), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1297), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [8044] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1299), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1301), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [8108] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1303), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1305), 41,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_extern,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_pub,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [8172] = 30,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(873), 1,
      anon_sym_LBRACK,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(879), 1,
      anon_sym_LPAREN,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(893), 1,
      anon_sym_default,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(903), 1,
      anon_sym_ref,
    ACTIONS(905), 1,
      sym_identifier,
    ACTIONS(907), 1,
      sym_mutable_specifier,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1307), 1,
      anon_sym__,
    STATE(383), 1,
      sym_ref_specifier,
    STATE(881), 1,
      sym_generic_type,
    STATE(927), 1,
      sym_negative_literal,
    STATE(973), 1,
      sym_scoped_type_identifier,
    STATE(1038), 1,
      sym_scoped_identifier,
    STATE(1152), 1,
      sym_generic_type_with_turbofish,
    STATE(1153), 1,
      sym_macro_invocation,
    STATE(1388), 1,
      sym__pattern,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(1333), 2,
      sym_parameter,
      sym__type,
    STATE(892), 4,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    STATE(921), 7,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(885), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [8288] = 30,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1309), 1,
      anon_sym_RBRACE,
    ACTIONS(1311), 1,
      anon_sym_POUND,
    ACTIONS(1313), 1,
      anon_sym_LBRACK,
    ACTIONS(1315), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 1,
      anon_sym_LPAREN,
    ACTIONS(1319), 1,
      anon_sym__,
    ACTIONS(1323), 1,
      anon_sym_DASH,
    ACTIONS(1325), 1,
      anon_sym_PIPE,
    ACTIONS(1327), 1,
      anon_sym_default,
    ACTIONS(1329), 1,
      sym_numeric_literal,
    ACTIONS(1331), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1333), 1,
      sym_shortstring_literal,
    ACTIONS(1337), 1,
      sym_identifier,
    ACTIONS(1339), 1,
      sym_mutable_specifier,
    ACTIONS(1341), 1,
      sym_super,
    STATE(992), 1,
      sym_scoped_identifier,
    STATE(1179), 1,
      sym_negative_literal,
    STATE(1192), 1,
      sym__pattern,
    STATE(1215), 1,
      sym_scoped_type_identifier,
    STATE(1428), 1,
      sym_generic_type_with_turbofish,
    STATE(1561), 1,
      sym_match_pattern,
    STATE(1567), 1,
      sym_generic_type,
    STATE(1569), 1,
      sym_last_match_arm,
    ACTIONS(1335), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(351), 2,
      sym_match_arm,
      aux_sym_match_block_repeat1,
    STATE(1177), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(356), 3,
      sym_attribute_item,
      sym_inner_attribute_item,
      aux_sym_match_arm_repeat1,
    STATE(1174), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1321), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [8404] = 30,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(873), 1,
      anon_sym_LBRACK,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(879), 1,
      anon_sym_LPAREN,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(893), 1,
      anon_sym_default,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(903), 1,
      anon_sym_ref,
    ACTIONS(905), 1,
      sym_identifier,
    ACTIONS(907), 1,
      sym_mutable_specifier,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1343), 1,
      anon_sym__,
    STATE(383), 1,
      sym_ref_specifier,
    STATE(881), 1,
      sym_generic_type,
    STATE(927), 1,
      sym_negative_literal,
    STATE(973), 1,
      sym_scoped_type_identifier,
    STATE(1038), 1,
      sym_scoped_identifier,
    STATE(1152), 1,
      sym_generic_type_with_turbofish,
    STATE(1153), 1,
      sym_macro_invocation,
    STATE(1388), 1,
      sym__pattern,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(1395), 2,
      sym_parameter,
      sym__type,
    STATE(892), 4,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    STATE(921), 7,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(885), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [8520] = 30,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1311), 1,
      anon_sym_POUND,
    ACTIONS(1313), 1,
      anon_sym_LBRACK,
    ACTIONS(1315), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 1,
      anon_sym_LPAREN,
    ACTIONS(1319), 1,
      anon_sym__,
    ACTIONS(1323), 1,
      anon_sym_DASH,
    ACTIONS(1325), 1,
      anon_sym_PIPE,
    ACTIONS(1327), 1,
      anon_sym_default,
    ACTIONS(1329), 1,
      sym_numeric_literal,
    ACTIONS(1331), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1333), 1,
      sym_shortstring_literal,
    ACTIONS(1337), 1,
      sym_identifier,
    ACTIONS(1339), 1,
      sym_mutable_specifier,
    ACTIONS(1341), 1,
      sym_super,
    ACTIONS(1345), 1,
      anon_sym_RBRACE,
    STATE(992), 1,
      sym_scoped_identifier,
    STATE(1179), 1,
      sym_negative_literal,
    STATE(1192), 1,
      sym__pattern,
    STATE(1215), 1,
      sym_scoped_type_identifier,
    STATE(1428), 1,
      sym_generic_type_with_turbofish,
    STATE(1561), 1,
      sym_match_pattern,
    STATE(1567), 1,
      sym_generic_type,
    STATE(1641), 1,
      sym_last_match_arm,
    ACTIONS(1335), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(352), 2,
      sym_match_arm,
      aux_sym_match_block_repeat1,
    STATE(1177), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(356), 3,
      sym_attribute_item,
      sym_inner_attribute_item,
      aux_sym_match_arm_repeat1,
    STATE(1174), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1321), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [8636] = 30,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1311), 1,
      anon_sym_POUND,
    ACTIONS(1313), 1,
      anon_sym_LBRACK,
    ACTIONS(1315), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 1,
      anon_sym_LPAREN,
    ACTIONS(1319), 1,
      anon_sym__,
    ACTIONS(1323), 1,
      anon_sym_DASH,
    ACTIONS(1325), 1,
      anon_sym_PIPE,
    ACTIONS(1327), 1,
      anon_sym_default,
    ACTIONS(1329), 1,
      sym_numeric_literal,
    ACTIONS(1331), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1333), 1,
      sym_shortstring_literal,
    ACTIONS(1337), 1,
      sym_identifier,
    ACTIONS(1339), 1,
      sym_mutable_specifier,
    ACTIONS(1341), 1,
      sym_super,
    ACTIONS(1347), 1,
      anon_sym_RBRACE,
    STATE(992), 1,
      sym_scoped_identifier,
    STATE(1179), 1,
      sym_negative_literal,
    STATE(1192), 1,
      sym__pattern,
    STATE(1215), 1,
      sym_scoped_type_identifier,
    STATE(1428), 1,
      sym_generic_type_with_turbofish,
    STATE(1510), 1,
      sym_last_match_arm,
    STATE(1561), 1,
      sym_match_pattern,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(1335), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(348), 2,
      sym_match_arm,
      aux_sym_match_block_repeat1,
    STATE(1177), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(356), 3,
      sym_attribute_item,
      sym_inner_attribute_item,
      aux_sym_match_arm_repeat1,
    STATE(1174), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1321), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [8752] = 29,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1311), 1,
      anon_sym_POUND,
    ACTIONS(1313), 1,
      anon_sym_LBRACK,
    ACTIONS(1315), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 1,
      anon_sym_LPAREN,
    ACTIONS(1319), 1,
      anon_sym__,
    ACTIONS(1323), 1,
      anon_sym_DASH,
    ACTIONS(1325), 1,
      anon_sym_PIPE,
    ACTIONS(1327), 1,
      anon_sym_default,
    ACTIONS(1329), 1,
      sym_numeric_literal,
    ACTIONS(1331), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1333), 1,
      sym_shortstring_literal,
    ACTIONS(1337), 1,
      sym_identifier,
    ACTIONS(1339), 1,
      sym_mutable_specifier,
    ACTIONS(1341), 1,
      sym_super,
    STATE(992), 1,
      sym_scoped_identifier,
    STATE(1179), 1,
      sym_negative_literal,
    STATE(1192), 1,
      sym__pattern,
    STATE(1215), 1,
      sym_scoped_type_identifier,
    STATE(1428), 1,
      sym_generic_type_with_turbofish,
    STATE(1507), 1,
      sym_last_match_arm,
    STATE(1561), 1,
      sym_match_pattern,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(1335), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(355), 2,
      sym_match_arm,
      aux_sym_match_block_repeat1,
    STATE(1177), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(356), 3,
      sym_attribute_item,
      sym_inner_attribute_item,
      aux_sym_match_arm_repeat1,
    STATE(1174), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1321), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [8865] = 30,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(873), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1349), 1,
      anon_sym_COMMA,
    ACTIONS(1351), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1353), 1,
      anon_sym_LPAREN,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1357), 1,
      anon_sym_RPAREN,
    ACTIONS(1361), 1,
      anon_sym_default,
    ACTIONS(1363), 1,
      sym_identifier,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1367), 1,
      sym_super,
    STATE(881), 1,
      sym_generic_type,
    STATE(927), 1,
      sym_negative_literal,
    STATE(973), 1,
      sym_scoped_type_identifier,
    STATE(1004), 1,
      sym_scoped_identifier,
    STATE(1086), 1,
      sym_generic_type_with_turbofish,
    STATE(1104), 1,
      sym__pattern,
    STATE(1184), 1,
      sym_macro_invocation,
    STATE(1269), 1,
      sym__type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(892), 4,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    STATE(921), 7,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1359), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [8980] = 30,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(873), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1369), 1,
      anon_sym_RBRACK,
    ACTIONS(1371), 1,
      anon_sym_COMMA,
    ACTIONS(1373), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1375), 1,
      anon_sym_LPAREN,
    ACTIONS(1379), 1,
      anon_sym_default,
    ACTIONS(1381), 1,
      sym_identifier,
    ACTIONS(1383), 1,
      sym_super,
    STATE(881), 1,
      sym_generic_type,
    STATE(927), 1,
      sym_negative_literal,
    STATE(973), 1,
      sym_scoped_type_identifier,
    STATE(988), 1,
      sym_scoped_identifier,
    STATE(1107), 1,
      sym__pattern,
    STATE(1114), 1,
      sym_macro_invocation,
    STATE(1147), 1,
      sym_generic_type_with_turbofish,
    STATE(1445), 1,
      sym__type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(892), 4,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    STATE(921), 7,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1377), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [9095] = 29,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1311), 1,
      anon_sym_POUND,
    ACTIONS(1313), 1,
      anon_sym_LBRACK,
    ACTIONS(1315), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 1,
      anon_sym_LPAREN,
    ACTIONS(1319), 1,
      anon_sym__,
    ACTIONS(1323), 1,
      anon_sym_DASH,
    ACTIONS(1325), 1,
      anon_sym_PIPE,
    ACTIONS(1327), 1,
      anon_sym_default,
    ACTIONS(1329), 1,
      sym_numeric_literal,
    ACTIONS(1331), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1333), 1,
      sym_shortstring_literal,
    ACTIONS(1337), 1,
      sym_identifier,
    ACTIONS(1339), 1,
      sym_mutable_specifier,
    ACTIONS(1341), 1,
      sym_super,
    STATE(992), 1,
      sym_scoped_identifier,
    STATE(1179), 1,
      sym_negative_literal,
    STATE(1192), 1,
      sym__pattern,
    STATE(1215), 1,
      sym_scoped_type_identifier,
    STATE(1428), 1,
      sym_generic_type_with_turbofish,
    STATE(1556), 1,
      sym_last_match_arm,
    STATE(1561), 1,
      sym_match_pattern,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(1335), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(355), 2,
      sym_match_arm,
      aux_sym_match_block_repeat1,
    STATE(1177), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(356), 3,
      sym_attribute_item,
      sym_inner_attribute_item,
      aux_sym_match_arm_repeat1,
    STATE(1174), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1321), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [9208] = 29,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1311), 1,
      anon_sym_POUND,
    ACTIONS(1313), 1,
      anon_sym_LBRACK,
    ACTIONS(1315), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 1,
      anon_sym_LPAREN,
    ACTIONS(1319), 1,
      anon_sym__,
    ACTIONS(1323), 1,
      anon_sym_DASH,
    ACTIONS(1325), 1,
      anon_sym_PIPE,
    ACTIONS(1327), 1,
      anon_sym_default,
    ACTIONS(1329), 1,
      sym_numeric_literal,
    ACTIONS(1331), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1333), 1,
      sym_shortstring_literal,
    ACTIONS(1337), 1,
      sym_identifier,
    ACTIONS(1339), 1,
      sym_mutable_specifier,
    ACTIONS(1341), 1,
      sym_super,
    STATE(992), 1,
      sym_scoped_identifier,
    STATE(1179), 1,
      sym_negative_literal,
    STATE(1192), 1,
      sym__pattern,
    STATE(1215), 1,
      sym_scoped_type_identifier,
    STATE(1428), 1,
      sym_generic_type_with_turbofish,
    STATE(1561), 1,
      sym_match_pattern,
    STATE(1567), 1,
      sym_generic_type,
    STATE(1592), 1,
      sym_last_match_arm,
    ACTIONS(1335), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(355), 2,
      sym_match_arm,
      aux_sym_match_block_repeat1,
    STATE(1177), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(356), 3,
      sym_attribute_item,
      sym_inner_attribute_item,
      aux_sym_match_arm_repeat1,
    STATE(1174), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1321), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [9321] = 30,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(873), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1349), 1,
      anon_sym_COMMA,
    ACTIONS(1351), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1353), 1,
      anon_sym_LPAREN,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1361), 1,
      anon_sym_default,
    ACTIONS(1363), 1,
      sym_identifier,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1367), 1,
      sym_super,
    ACTIONS(1385), 1,
      anon_sym_RPAREN,
    STATE(881), 1,
      sym_generic_type,
    STATE(927), 1,
      sym_negative_literal,
    STATE(973), 1,
      sym_scoped_type_identifier,
    STATE(1004), 1,
      sym_scoped_identifier,
    STATE(1086), 1,
      sym_generic_type_with_turbofish,
    STATE(1104), 1,
      sym__pattern,
    STATE(1184), 1,
      sym_macro_invocation,
    STATE(1269), 1,
      sym__type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(892), 4,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    STATE(921), 7,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1359), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [9436] = 30,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(873), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1349), 1,
      anon_sym_COMMA,
    ACTIONS(1351), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1353), 1,
      anon_sym_LPAREN,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1361), 1,
      anon_sym_default,
    ACTIONS(1363), 1,
      sym_identifier,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1367), 1,
      sym_super,
    ACTIONS(1387), 1,
      anon_sym_RPAREN,
    STATE(881), 1,
      sym_generic_type,
    STATE(927), 1,
      sym_negative_literal,
    STATE(973), 1,
      sym_scoped_type_identifier,
    STATE(1004), 1,
      sym_scoped_identifier,
    STATE(1086), 1,
      sym_generic_type_with_turbofish,
    STATE(1104), 1,
      sym__pattern,
    STATE(1184), 1,
      sym_macro_invocation,
    STATE(1269), 1,
      sym__type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(892), 4,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    STATE(921), 7,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1359), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [9551] = 28,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1389), 1,
      anon_sym_POUND,
    ACTIONS(1392), 1,
      anon_sym_LBRACK,
    ACTIONS(1395), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1398), 1,
      anon_sym_LPAREN,
    ACTIONS(1401), 1,
      anon_sym__,
    ACTIONS(1407), 1,
      anon_sym_DASH,
    ACTIONS(1410), 1,
      anon_sym_PIPE,
    ACTIONS(1413), 1,
      anon_sym_default,
    ACTIONS(1416), 1,
      sym_numeric_literal,
    ACTIONS(1419), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1422), 1,
      sym_shortstring_literal,
    ACTIONS(1428), 1,
      sym_identifier,
    ACTIONS(1431), 1,
      sym_mutable_specifier,
    ACTIONS(1434), 1,
      sym_super,
    STATE(992), 1,
      sym_scoped_identifier,
    STATE(1179), 1,
      sym_negative_literal,
    STATE(1192), 1,
      sym__pattern,
    STATE(1215), 1,
      sym_scoped_type_identifier,
    STATE(1428), 1,
      sym_generic_type_with_turbofish,
    STATE(1545), 1,
      sym_match_pattern,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(1425), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(355), 2,
      sym_match_arm,
      aux_sym_match_block_repeat1,
    STATE(1177), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(357), 3,
      sym_attribute_item,
      sym_inner_attribute_item,
      aux_sym_match_arm_repeat1,
    STATE(1174), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1404), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [9661] = 27,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1311), 1,
      anon_sym_POUND,
    ACTIONS(1313), 1,
      anon_sym_LBRACK,
    ACTIONS(1315), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 1,
      anon_sym_LPAREN,
    ACTIONS(1319), 1,
      anon_sym__,
    ACTIONS(1323), 1,
      anon_sym_DASH,
    ACTIONS(1325), 1,
      anon_sym_PIPE,
    ACTIONS(1327), 1,
      anon_sym_default,
    ACTIONS(1329), 1,
      sym_numeric_literal,
    ACTIONS(1331), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1333), 1,
      sym_shortstring_literal,
    ACTIONS(1337), 1,
      sym_identifier,
    ACTIONS(1339), 1,
      sym_mutable_specifier,
    ACTIONS(1341), 1,
      sym_super,
    STATE(992), 1,
      sym_scoped_identifier,
    STATE(1179), 1,
      sym_negative_literal,
    STATE(1192), 1,
      sym__pattern,
    STATE(1215), 1,
      sym_scoped_type_identifier,
    STATE(1428), 1,
      sym_generic_type_with_turbofish,
    STATE(1549), 1,
      sym_match_pattern,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(1335), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1177), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(578), 3,
      sym_attribute_item,
      sym_inner_attribute_item,
      aux_sym_match_arm_repeat1,
    STATE(1174), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1321), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [9767] = 27,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1311), 1,
      anon_sym_POUND,
    ACTIONS(1313), 1,
      anon_sym_LBRACK,
    ACTIONS(1315), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 1,
      anon_sym_LPAREN,
    ACTIONS(1319), 1,
      anon_sym__,
    ACTIONS(1323), 1,
      anon_sym_DASH,
    ACTIONS(1325), 1,
      anon_sym_PIPE,
    ACTIONS(1327), 1,
      anon_sym_default,
    ACTIONS(1329), 1,
      sym_numeric_literal,
    ACTIONS(1331), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1333), 1,
      sym_shortstring_literal,
    ACTIONS(1337), 1,
      sym_identifier,
    ACTIONS(1339), 1,
      sym_mutable_specifier,
    ACTIONS(1341), 1,
      sym_super,
    STATE(992), 1,
      sym_scoped_identifier,
    STATE(1179), 1,
      sym_negative_literal,
    STATE(1192), 1,
      sym__pattern,
    STATE(1215), 1,
      sym_scoped_type_identifier,
    STATE(1428), 1,
      sym_generic_type_with_turbofish,
    STATE(1509), 1,
      sym_match_pattern,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(1335), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1177), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(578), 3,
      sym_attribute_item,
      sym_inner_attribute_item,
      aux_sym_match_arm_repeat1,
    STATE(1174), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1321), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [9873] = 26,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1349), 1,
      anon_sym_COMMA,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1443), 1,
      anon_sym_RPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1104), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [9974] = 26,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    ACTIONS(1453), 1,
      anon_sym_COMMA,
    ACTIONS(1455), 1,
      anon_sym_RPAREN,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1136), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [10075] = 26,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    ACTIONS(1457), 1,
      anon_sym_RBRACK,
    ACTIONS(1459), 1,
      anon_sym_COMMA,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1096), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [10176] = 26,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    ACTIONS(1461), 1,
      anon_sym_COMMA,
    ACTIONS(1463), 1,
      anon_sym_RPAREN,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1095), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [10277] = 26,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1369), 1,
      anon_sym_RBRACK,
    ACTIONS(1371), 1,
      anon_sym_COMMA,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1107), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [10378] = 26,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    ACTIONS(1465), 1,
      anon_sym_COMMA,
    ACTIONS(1467), 1,
      anon_sym_RPAREN,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1132), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [10479] = 26,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    ACTIONS(1469), 1,
      anon_sym_COMMA,
    ACTIONS(1471), 1,
      anon_sym_RPAREN,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1065), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [10580] = 26,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    ACTIONS(1473), 1,
      anon_sym_COMMA,
    ACTIONS(1475), 1,
      anon_sym_RPAREN,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1066), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [10681] = 25,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    ACTIONS(1477), 1,
      anon_sym_RBRACK,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1063), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [10779] = 25,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    ACTIONS(1479), 1,
      anon_sym_RPAREN,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1063), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [10877] = 25,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    ACTIONS(1481), 1,
      anon_sym_RPAREN,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1063), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [10975] = 25,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    ACTIONS(1483), 1,
      anon_sym_RPAREN,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1063), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [11073] = 25,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    ACTIONS(1485), 1,
      anon_sym_RPAREN,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1063), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [11171] = 25,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    ACTIONS(1487), 1,
      anon_sym_RPAREN,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1063), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [11269] = 25,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    ACTIONS(1489), 1,
      anon_sym_RBRACK,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1063), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [11367] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(626), 1,
      anon_sym_POUND,
    STATE(373), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
    ACTIONS(632), 13,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1491), 30,
      anon_sym_COLON,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [11425] = 25,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    ACTIONS(1493), 1,
      anon_sym_RPAREN,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1063), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [11523] = 25,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    ACTIONS(1495), 1,
      anon_sym_RPAREN,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1063), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [11621] = 25,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    ACTIONS(1497), 1,
      anon_sym_RBRACK,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1063), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [11719] = 25,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    ACTIONS(1499), 1,
      anon_sym_RPAREN,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1063), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [11817] = 25,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    ACTIONS(1501), 1,
      anon_sym_RBRACK,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1063), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [11915] = 25,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    ACTIONS(1503), 1,
      anon_sym_RPAREN,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1063), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [12013] = 25,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    ACTIONS(1505), 1,
      anon_sym_RPAREN,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1063), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [12111] = 25,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    ACTIONS(1507), 1,
      anon_sym_RPAREN,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1063), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [12209] = 25,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    ACTIONS(1509), 1,
      anon_sym_RPAREN,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1063), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [12307] = 24,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1368), 1,
      sym__pattern,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [12402] = 24,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1313), 1,
      anon_sym_LBRACK,
    ACTIONS(1315), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 1,
      anon_sym_LPAREN,
    ACTIONS(1319), 1,
      anon_sym__,
    ACTIONS(1323), 1,
      anon_sym_DASH,
    ACTIONS(1325), 1,
      anon_sym_PIPE,
    ACTIONS(1327), 1,
      anon_sym_default,
    ACTIONS(1329), 1,
      sym_numeric_literal,
    ACTIONS(1331), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1333), 1,
      sym_shortstring_literal,
    ACTIONS(1337), 1,
      sym_identifier,
    ACTIONS(1339), 1,
      sym_mutable_specifier,
    ACTIONS(1341), 1,
      sym_super,
    STATE(992), 1,
      sym_scoped_identifier,
    STATE(1179), 1,
      sym_negative_literal,
    STATE(1215), 1,
      sym_scoped_type_identifier,
    STATE(1259), 1,
      sym__pattern,
    STATE(1428), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(1335), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1177), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(1174), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1321), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [12497] = 24,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1356), 1,
      sym__pattern,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [12592] = 24,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1313), 1,
      anon_sym_LBRACK,
    ACTIONS(1315), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 1,
      anon_sym_LPAREN,
    ACTIONS(1319), 1,
      anon_sym__,
    ACTIONS(1323), 1,
      anon_sym_DASH,
    ACTIONS(1325), 1,
      anon_sym_PIPE,
    ACTIONS(1327), 1,
      anon_sym_default,
    ACTIONS(1329), 1,
      sym_numeric_literal,
    ACTIONS(1331), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1333), 1,
      sym_shortstring_literal,
    ACTIONS(1337), 1,
      sym_identifier,
    ACTIONS(1339), 1,
      sym_mutable_specifier,
    ACTIONS(1341), 1,
      sym_super,
    STATE(992), 1,
      sym_scoped_identifier,
    STATE(1179), 1,
      sym_negative_literal,
    STATE(1215), 1,
      sym_scoped_type_identifier,
    STATE(1221), 1,
      sym__pattern,
    STATE(1428), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(1335), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1177), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(1174), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1321), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [12687] = 24,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1224), 1,
      sym__pattern,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [12782] = 24,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1313), 1,
      anon_sym_LBRACK,
    ACTIONS(1315), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 1,
      anon_sym_LPAREN,
    ACTIONS(1319), 1,
      anon_sym__,
    ACTIONS(1323), 1,
      anon_sym_DASH,
    ACTIONS(1325), 1,
      anon_sym_PIPE,
    ACTIONS(1327), 1,
      anon_sym_default,
    ACTIONS(1329), 1,
      sym_numeric_literal,
    ACTIONS(1331), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1333), 1,
      sym_shortstring_literal,
    ACTIONS(1337), 1,
      sym_identifier,
    ACTIONS(1339), 1,
      sym_mutable_specifier,
    ACTIONS(1341), 1,
      sym_super,
    STATE(992), 1,
      sym_scoped_identifier,
    STATE(1179), 1,
      sym_negative_literal,
    STATE(1213), 1,
      sym__pattern,
    STATE(1215), 1,
      sym_scoped_type_identifier,
    STATE(1428), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(1335), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1177), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(1174), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1321), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [12877] = 24,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1188), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [12972] = 24,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1444), 1,
      sym__pattern,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [13067] = 24,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1375), 1,
      sym__pattern,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [13162] = 24,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1468), 1,
      sym__pattern,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [13257] = 24,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    ACTIONS(1511), 1,
      sym_mutable_specifier,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1110), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [13352] = 24,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1362), 1,
      sym__pattern,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [13447] = 24,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(957), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [13542] = 24,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    ACTIONS(1513), 1,
      sym_mutable_specifier,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1145), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [13637] = 24,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(954), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [13732] = 24,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1063), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [13827] = 24,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(937), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [13922] = 24,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1143), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [14017] = 24,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1401), 1,
      sym__pattern,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [14112] = 24,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(895), 1,
      sym_numeric_literal,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(899), 1,
      sym_shortstring_literal,
    ACTIONS(1355), 1,
      anon_sym__,
    ACTIONS(1365), 1,
      sym_mutable_specifier,
    ACTIONS(1437), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_default,
    ACTIONS(1449), 1,
      sym_identifier,
    ACTIONS(1451), 1,
      sym_super,
    STATE(874), 1,
      sym_scoped_identifier,
    STATE(927), 1,
      sym_negative_literal,
    STATE(1089), 1,
      sym__pattern,
    STATE(1206), 1,
      sym_scoped_type_identifier,
    STATE(1414), 1,
      sym_generic_type_with_turbofish,
    STATE(1567), 1,
      sym_generic_type,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(925), 2,
      sym_string_literal,
      sym_boolean_literal,
    STATE(921), 8,
      sym_macro_invocation,
      sym_tuple_pattern,
      sym_slice_pattern,
      sym_struct_pattern,
      sym_mut_pattern,
      sym_or_pattern,
      sym__literal_pattern,
      sym_tuple_enum_pattern,
    ACTIONS(1445), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [14207] = 23,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1523), 1,
      anon_sym_GT,
    ACTIONS(1525), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_default,
    ACTIONS(1529), 1,
      sym_numeric_literal,
    ACTIONS(1531), 1,
      sym_shortstring_literal,
    ACTIONS(1533), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(996), 1,
      sym_scoped_type_identifier,
    STATE(1386), 1,
      sym_scoped_identifier,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1379), 3,
      sym_negative_literal,
      sym_string_literal,
      sym_boolean_literal,
    STATE(1449), 3,
      sym__type,
      sym__literal,
      sym_block,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [14299] = 23,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_default,
    ACTIONS(1529), 1,
      sym_numeric_literal,
    ACTIONS(1531), 1,
      sym_shortstring_literal,
    ACTIONS(1533), 1,
      sym_identifier,
    ACTIONS(1535), 1,
      anon_sym_GT,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(996), 1,
      sym_scoped_type_identifier,
    STATE(1386), 1,
      sym_scoped_identifier,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1379), 3,
      sym_negative_literal,
      sym_string_literal,
      sym_boolean_literal,
    STATE(1449), 3,
      sym__type,
      sym__literal,
      sym_block,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [14391] = 23,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_default,
    ACTIONS(1529), 1,
      sym_numeric_literal,
    ACTIONS(1531), 1,
      sym_shortstring_literal,
    ACTIONS(1533), 1,
      sym_identifier,
    ACTIONS(1537), 1,
      anon_sym_GT,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(996), 1,
      sym_scoped_type_identifier,
    STATE(1386), 1,
      sym_scoped_identifier,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1379), 3,
      sym_negative_literal,
      sym_string_literal,
      sym_boolean_literal,
    STATE(1449), 3,
      sym__type,
      sym__literal,
      sym_block,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [14483] = 23,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_default,
    ACTIONS(1529), 1,
      sym_numeric_literal,
    ACTIONS(1531), 1,
      sym_shortstring_literal,
    ACTIONS(1533), 1,
      sym_identifier,
    ACTIONS(1539), 1,
      anon_sym_GT,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(996), 1,
      sym_scoped_type_identifier,
    STATE(1386), 1,
      sym_scoped_identifier,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1379), 3,
      sym_negative_literal,
      sym_string_literal,
      sym_boolean_literal,
    STATE(1449), 3,
      sym__type,
      sym__literal,
      sym_block,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [14575] = 23,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_default,
    ACTIONS(1529), 1,
      sym_numeric_literal,
    ACTIONS(1531), 1,
      sym_shortstring_literal,
    ACTIONS(1533), 1,
      sym_identifier,
    ACTIONS(1541), 1,
      anon_sym_GT,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(996), 1,
      sym_scoped_type_identifier,
    STATE(1386), 1,
      sym_scoped_identifier,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1379), 3,
      sym_negative_literal,
      sym_string_literal,
      sym_boolean_literal,
    STATE(1449), 3,
      sym__type,
      sym__literal,
      sym_block,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [14667] = 23,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_default,
    ACTIONS(1529), 1,
      sym_numeric_literal,
    ACTIONS(1531), 1,
      sym_shortstring_literal,
    ACTIONS(1533), 1,
      sym_identifier,
    ACTIONS(1543), 1,
      anon_sym_GT,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(996), 1,
      sym_scoped_type_identifier,
    STATE(1386), 1,
      sym_scoped_identifier,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1379), 3,
      sym_negative_literal,
      sym_string_literal,
      sym_boolean_literal,
    STATE(1449), 3,
      sym__type,
      sym__literal,
      sym_block,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [14759] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1243), 14,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1245), 30,
      anon_sym_COLON,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [14811] = 22,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_default,
    ACTIONS(1529), 1,
      sym_numeric_literal,
    ACTIONS(1531), 1,
      sym_shortstring_literal,
    ACTIONS(1533), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(996), 1,
      sym_scoped_type_identifier,
    STATE(1386), 1,
      sym_scoped_identifier,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1165), 3,
      sym__type,
      sym__literal,
      sym_block,
    STATE(1379), 3,
      sym_negative_literal,
      sym_string_literal,
      sym_boolean_literal,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [14900] = 22,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_default,
    ACTIONS(1529), 1,
      sym_numeric_literal,
    ACTIONS(1531), 1,
      sym_shortstring_literal,
    ACTIONS(1533), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(996), 1,
      sym_scoped_type_identifier,
    STATE(1386), 1,
      sym_scoped_identifier,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1254), 3,
      sym__type,
      sym__literal,
      sym_block,
    STATE(1379), 3,
      sym_negative_literal,
      sym_string_literal,
      sym_boolean_literal,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [14989] = 22,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_default,
    ACTIONS(1529), 1,
      sym_numeric_literal,
    ACTIONS(1531), 1,
      sym_shortstring_literal,
    ACTIONS(1533), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(996), 1,
      sym_scoped_type_identifier,
    STATE(1386), 1,
      sym_scoped_identifier,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1328), 3,
      sym__type,
      sym__literal,
      sym_block,
    STATE(1379), 3,
      sym_negative_literal,
      sym_string_literal,
      sym_boolean_literal,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [15078] = 22,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(887), 1,
      anon_sym_DASH,
    ACTIONS(897), 1,
      aux_sym_string_literal_token1,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_default,
    ACTIONS(1529), 1,
      sym_numeric_literal,
    ACTIONS(1531), 1,
      sym_shortstring_literal,
    ACTIONS(1533), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(996), 1,
      sym_scoped_type_identifier,
    STATE(1386), 1,
      sym_scoped_identifier,
    ACTIONS(901), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1379), 3,
      sym_negative_literal,
      sym_string_literal,
      sym_boolean_literal,
    STATE(1449), 3,
      sym__type,
      sym__literal,
      sym_block,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [15167] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(755), 12,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1545), 29,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_if,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_return,
      anon_sym_while,
      anon_sym_for,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_super,
  [15216] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1549), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1547), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_nopanic,
  [15261] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1553), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1551), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_nopanic,
  [15306] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1557), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1555), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_nopanic,
  [15351] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1561), 11,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1559), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [15396] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1565), 11,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1563), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [15441] = 7,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1567), 1,
      anon_sym_LBRACE,
    ACTIONS(1569), 1,
      anon_sym_BANG,
    ACTIONS(1571), 1,
      anon_sym_COLON_COLON,
    STATE(449), 1,
      sym_field_initializer_list,
    ACTIONS(592), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(594), 23,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [15494] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1575), 11,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1573), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [15539] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1579), 11,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1577), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [15584] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1581), 1,
      anon_sym_else,
    STATE(82), 1,
      sym_else_clause,
    ACTIONS(570), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(568), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [15632] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1583), 1,
      anon_sym_LBRACE,
    ACTIONS(1565), 11,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1563), 24,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [15678] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1585), 1,
      anon_sym_LBRACE,
    ACTIONS(1561), 11,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1559), 24,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [15724] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1587), 1,
      anon_sym_LBRACE,
    ACTIONS(1575), 11,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1573), 24,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [15770] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1589), 1,
      anon_sym_LBRACE,
    ACTIONS(1579), 11,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1577), 24,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [15816] = 18,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1593), 1,
      anon_sym_AT,
    ACTIONS(1595), 1,
      anon_sym_default,
    ACTIONS(1597), 1,
      anon_sym_nopanic,
    ACTIONS(1599), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(995), 1,
      sym__type,
    STATE(1371), 1,
      sym_nopanic,
    STATE(1385), 1,
      sym_scoped_identifier,
    ACTIONS(1591), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [15889] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1601), 1,
      anon_sym_COLON_COLON,
    ACTIONS(592), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(594), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [15934] = 18,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1593), 1,
      anon_sym_AT,
    ACTIONS(1595), 1,
      anon_sym_default,
    ACTIONS(1597), 1,
      anon_sym_nopanic,
    ACTIONS(1599), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1003), 1,
      sym__type,
    STATE(1364), 1,
      sym_nopanic,
    STATE(1385), 1,
      sym_scoped_identifier,
    ACTIONS(1603), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [16007] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(538), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(536), 25,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_else,
  [16050] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1607), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1605), 20,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [16103] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1617), 2,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
    ACTIONS(1621), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1619), 23,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [16148] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1569), 1,
      anon_sym_BANG,
    ACTIONS(1623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(592), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(594), 23,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [16195] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1567), 1,
      anon_sym_LBRACE,
    ACTIONS(1569), 1,
      anon_sym_BANG,
    ACTIONS(1571), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1625), 1,
      anon_sym_COLON,
    STATE(449), 1,
      sym_field_initializer_list,
    ACTIONS(592), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(594), 20,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [16248] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1629), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1627), 20,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [16301] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(542), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(540), 25,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_else,
  [16344] = 18,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1593), 1,
      anon_sym_AT,
    ACTIONS(1595), 1,
      anon_sym_default,
    ACTIONS(1597), 1,
      anon_sym_nopanic,
    ACTIONS(1599), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1000), 1,
      sym__type,
    STATE(1385), 1,
      sym_scoped_identifier,
    STATE(1393), 1,
      sym_nopanic,
    ACTIONS(1631), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [16417] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1635), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1633), 25,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [16460] = 18,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1593), 1,
      anon_sym_AT,
    ACTIONS(1595), 1,
      anon_sym_default,
    ACTIONS(1597), 1,
      anon_sym_nopanic,
    ACTIONS(1599), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(994), 1,
      sym__type,
    STATE(1385), 1,
      sym_scoped_identifier,
    STATE(1450), 1,
      sym_nopanic,
    ACTIONS(1637), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [16533] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1639), 2,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
    ACTIONS(1621), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1619), 23,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [16578] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1645), 1,
      anon_sym_BANG,
    ACTIONS(1647), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1643), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1641), 23,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [16625] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(562), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(560), 25,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_else,
  [16668] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1651), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1649), 20,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [16721] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1655), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1653), 25,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [16764] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1659), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1657), 20,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [16817] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1663), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1661), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [16859] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1667), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1665), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [16901] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1671), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1669), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [16943] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1675), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1673), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [16985] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1679), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1677), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [17027] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1683), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1681), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [17069] = 18,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1687), 1,
      anon_sym_EQ,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1685), 10,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [17141] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1711), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1709), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [17183] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1715), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1713), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [17225] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1719), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1717), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [17267] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1723), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1721), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [17309] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1727), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1725), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [17351] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1731), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1729), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [17393] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1735), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1733), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [17435] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1737), 1,
      anon_sym_COLON_COLON,
    ACTIONS(592), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(594), 23,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [17479] = 18,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1741), 1,
      anon_sym_EQ,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1739), 10,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [17551] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1745), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1743), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [17593] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1750), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1747), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [17635] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1755), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1753), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [17677] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1759), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1757), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [17719] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1763), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1761), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [17761] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1767), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1765), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [17803] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1771), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1769), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [17845] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1775), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1773), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [17887] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1629), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1627), 19,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [17943] = 18,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1779), 1,
      anon_sym_EQ,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1777), 10,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [18015] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1783), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1781), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [18057] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(479), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(477), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [18099] = 17,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1629), 1,
      anon_sym_EQ,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1627), 11,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [18169] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1787), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1785), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [18211] = 16,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1629), 1,
      anon_sym_EQ,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1627), 12,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [18279] = 13,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1629), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1627), 16,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [18341] = 11,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1629), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1627), 17,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [18399] = 12,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1629), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1627), 17,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [18459] = 9,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1629), 7,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1627), 19,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [18513] = 14,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1629), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1627), 16,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [18577] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1791), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1789), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [18619] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1795), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1793), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [18661] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(592), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(594), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [18703] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1799), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1797), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [18745] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1803), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1801), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [18787] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1807), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1805), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [18829] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1621), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1619), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [18871] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(592), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(594), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [18913] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1811), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1809), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [18955] = 18,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1815), 1,
      anon_sym_EQ,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1813), 10,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [19027] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(495), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(493), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [19069] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(499), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(497), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [19111] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1819), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1817), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [19153] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1119), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1121), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [19194] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(991), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(993), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [19235] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1243), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1245), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [19276] = 22,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(702), 1,
      anon_sym_RBRACK,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1821), 1,
      anon_sym_SEMI,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1825), 1,
      anon_sym_COMMA,
    STATE(454), 1,
      sym_arguments,
    STATE(1317), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [19355] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1171), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1173), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [19396] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1175), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1177), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [19437] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(995), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(997), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [19478] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1191), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1193), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [19519] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(979), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(981), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [19560] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1271), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1273), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [19601] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1267), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1269), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [19642] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1259), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1261), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [19683] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1043), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1045), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [19724] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1115), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1117), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [19765] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1047), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1049), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [19806] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1055), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1057), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [19847] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1059), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1061), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [19888] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(999), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1001), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [19929] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1019), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1021), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [19970] = 7,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1829), 1,
      anon_sym_LBRACE,
    ACTIONS(1831), 1,
      anon_sym_BANG,
    ACTIONS(1833), 1,
      anon_sym_COLON_COLON,
    STATE(804), 1,
      sym_field_initializer_list,
    ACTIONS(592), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(594), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [20019] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1007), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1009), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [20060] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1183), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1185), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [20101] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1295), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1297), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [20142] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1187), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1189), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [20183] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(983), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(985), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [20224] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1227), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1229), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [20265] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1231), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1233), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [20306] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1251), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1253), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [20347] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1283), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1285), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [20388] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1287), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1289), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [20429] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1143), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1145), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [20470] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1163), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1165), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [20511] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1063), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1065), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [20552] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1263), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1265), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [20593] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1211), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1213), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [20634] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1107), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1109), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [20675] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1071), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1073), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [20716] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1199), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1201), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [20757] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1051), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1053), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [20798] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1015), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1017), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [20839] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1207), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1209), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [20880] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1087), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1089), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [20921] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1167), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1169), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [20962] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1159), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1161), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [21003] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1255), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1257), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [21044] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1155), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1157), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [21085] = 22,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(616), 1,
      anon_sym_RBRACK,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1835), 1,
      anon_sym_SEMI,
    ACTIONS(1837), 1,
      anon_sym_COMMA,
    STATE(454), 1,
      sym_arguments,
    STATE(1237), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [21164] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1279), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1281), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [21205] = 22,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(612), 1,
      anon_sym_RBRACK,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1839), 1,
      anon_sym_SEMI,
    ACTIONS(1841), 1,
      anon_sym_COMMA,
    STATE(454), 1,
      sym_arguments,
    STATE(1264), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [21284] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1147), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1149), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [21325] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1075), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1077), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [21366] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1303), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1305), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [21407] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1151), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1153), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [21448] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1039), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1041), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [21489] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1179), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1181), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [21530] = 22,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(718), 1,
      anon_sym_RBRACK,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1843), 1,
      anon_sym_SEMI,
    ACTIONS(1845), 1,
      anon_sym_COMMA,
    STATE(454), 1,
      sym_arguments,
    STATE(1207), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [21609] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1275), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1277), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [21650] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1139), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1141), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [21691] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1135), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1137), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [21732] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1131), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1133), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [21773] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1127), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1129), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [21814] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1223), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1225), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [21855] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1219), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1221), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [21896] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1239), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1241), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [21937] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1247), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1249), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [21978] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1235), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1237), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [22019] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1299), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1301), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [22060] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1215), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1217), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [22101] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1123), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1125), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [22142] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1195), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1197), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [22183] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1103), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1105), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [22224] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1095), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1097), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [22265] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(987), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(989), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [22306] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1111), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1113), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [22347] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1003), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1005), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [22388] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1023), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1025), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [22429] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1027), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1029), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [22470] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1031), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1033), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [22511] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1099), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1101), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [22552] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1083), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1085), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [22593] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1035), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1037), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [22634] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1091), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1093), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [22675] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1847), 1,
      anon_sym_POUND,
    STATE(578), 3,
      sym_attribute_item,
      sym_inner_attribute_item,
      aux_sym_match_arm_repeat1,
    ACTIONS(1850), 7,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_PIPE,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1852), 22,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [22720] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1079), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1081), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [22761] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1067), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
    ACTIONS(1069), 29,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_let,
      anon_sym_use,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      anon_sym_extern,
      anon_sym_pub,
      sym_identifier,
      sym_super,
  [22802] = 16,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1854), 1,
      anon_sym_RPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1032), 1,
      sym__type,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [22868] = 16,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1860), 1,
      anon_sym_impl,
    ACTIONS(1862), 1,
      anon_sym_const,
    ACTIONS(1864), 1,
      anon_sym_POUND,
    ACTIONS(1866), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1870), 1,
      anon_sym_GT,
    ACTIONS(1874), 1,
      anon_sym_default,
    ACTIONS(1876), 1,
      sym_identifier,
    STATE(1250), 1,
      sym_generic_type_with_turbofish,
    STATE(1256), 1,
      sym_generic_type,
    STATE(1483), 1,
      sym_scoped_type_identifier,
    STATE(1498), 1,
      sym_scoped_identifier,
    ACTIONS(1872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(670), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
    STATE(1447), 2,
      sym_const_parameter,
      sym_constrained_type_parameter,
    ACTIONS(1868), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [22934] = 16,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1860), 1,
      anon_sym_impl,
    ACTIONS(1862), 1,
      anon_sym_const,
    ACTIONS(1864), 1,
      anon_sym_POUND,
    ACTIONS(1866), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1874), 1,
      anon_sym_default,
    ACTIONS(1876), 1,
      sym_identifier,
    ACTIONS(1878), 1,
      anon_sym_GT,
    STATE(1250), 1,
      sym_generic_type_with_turbofish,
    STATE(1256), 1,
      sym_generic_type,
    STATE(1483), 1,
      sym_scoped_type_identifier,
    STATE(1498), 1,
      sym_scoped_identifier,
    ACTIONS(1872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(670), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
    STATE(1447), 2,
      sym_const_parameter,
      sym_constrained_type_parameter,
    ACTIONS(1868), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [23000] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1587), 1,
      anon_sym_LBRACE,
    ACTIONS(1575), 11,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1573), 20,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [23042] = 16,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    ACTIONS(1880), 1,
      anon_sym_RPAREN,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1032), 1,
      sym__type,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [23108] = 16,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1860), 1,
      anon_sym_impl,
    ACTIONS(1862), 1,
      anon_sym_const,
    ACTIONS(1864), 1,
      anon_sym_POUND,
    ACTIONS(1866), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1874), 1,
      anon_sym_default,
    ACTIONS(1876), 1,
      sym_identifier,
    ACTIONS(1882), 1,
      anon_sym_GT,
    STATE(1250), 1,
      sym_generic_type_with_turbofish,
    STATE(1256), 1,
      sym_generic_type,
    STATE(1483), 1,
      sym_scoped_type_identifier,
    STATE(1498), 1,
      sym_scoped_identifier,
    ACTIONS(1872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(670), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
    STATE(1447), 2,
      sym_const_parameter,
      sym_constrained_type_parameter,
    ACTIONS(1868), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [23174] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(608), 1,
      anon_sym_RPAREN,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1884), 1,
      anon_sym_COMMA,
    STATE(454), 1,
      sym_arguments,
    STATE(1297), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [23250] = 16,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1860), 1,
      anon_sym_impl,
    ACTIONS(1862), 1,
      anon_sym_const,
    ACTIONS(1864), 1,
      anon_sym_POUND,
    ACTIONS(1866), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1874), 1,
      anon_sym_default,
    ACTIONS(1876), 1,
      sym_identifier,
    ACTIONS(1886), 1,
      anon_sym_GT,
    STATE(1250), 1,
      sym_generic_type_with_turbofish,
    STATE(1256), 1,
      sym_generic_type,
    STATE(1483), 1,
      sym_scoped_type_identifier,
    STATE(1498), 1,
      sym_scoped_identifier,
    ACTIONS(1872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(670), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
    STATE(1447), 2,
      sym_const_parameter,
      sym_constrained_type_parameter,
    ACTIONS(1868), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [23316] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1569), 1,
      anon_sym_BANG,
    ACTIONS(1888), 1,
      anon_sym_COLON_COLON,
    STATE(449), 1,
      sym_field_initializer_list,
    ACTIONS(592), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(594), 19,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [23362] = 16,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1860), 1,
      anon_sym_impl,
    ACTIONS(1862), 1,
      anon_sym_const,
    ACTIONS(1864), 1,
      anon_sym_POUND,
    ACTIONS(1866), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1874), 1,
      anon_sym_default,
    ACTIONS(1876), 1,
      sym_identifier,
    ACTIONS(1890), 1,
      anon_sym_GT,
    STATE(1250), 1,
      sym_generic_type_with_turbofish,
    STATE(1256), 1,
      sym_generic_type,
    STATE(1483), 1,
      sym_scoped_type_identifier,
    STATE(1498), 1,
      sym_scoped_identifier,
    ACTIONS(1872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(670), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
    STATE(1447), 2,
      sym_const_parameter,
      sym_constrained_type_parameter,
    ACTIONS(1868), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [23428] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(708), 1,
      anon_sym_RBRACK,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1892), 1,
      anon_sym_COMMA,
    STATE(454), 1,
      sym_arguments,
    STATE(1299), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [23504] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1894), 1,
      anon_sym_COMMA,
    ACTIONS(1896), 1,
      anon_sym_RPAREN,
    STATE(454), 1,
      sym_arguments,
    STATE(1239), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [23580] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1589), 1,
      anon_sym_LBRACE,
    ACTIONS(1579), 11,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1577), 20,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [23622] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1585), 1,
      anon_sym_LBRACE,
    ACTIONS(1561), 11,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1559), 20,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [23664] = 16,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1860), 1,
      anon_sym_impl,
    ACTIONS(1862), 1,
      anon_sym_const,
    ACTIONS(1864), 1,
      anon_sym_POUND,
    ACTIONS(1866), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1874), 1,
      anon_sym_default,
    ACTIONS(1876), 1,
      sym_identifier,
    ACTIONS(1898), 1,
      anon_sym_GT,
    STATE(1250), 1,
      sym_generic_type_with_turbofish,
    STATE(1256), 1,
      sym_generic_type,
    STATE(1483), 1,
      sym_scoped_type_identifier,
    STATE(1498), 1,
      sym_scoped_identifier,
    ACTIONS(1872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(670), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
    STATE(1447), 2,
      sym_const_parameter,
      sym_constrained_type_parameter,
    ACTIONS(1868), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [23730] = 16,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1860), 1,
      anon_sym_impl,
    ACTIONS(1862), 1,
      anon_sym_const,
    ACTIONS(1864), 1,
      anon_sym_POUND,
    ACTIONS(1866), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1874), 1,
      anon_sym_default,
    ACTIONS(1876), 1,
      sym_identifier,
    ACTIONS(1900), 1,
      anon_sym_GT,
    STATE(1250), 1,
      sym_generic_type_with_turbofish,
    STATE(1256), 1,
      sym_generic_type,
    STATE(1483), 1,
      sym_scoped_type_identifier,
    STATE(1498), 1,
      sym_scoped_identifier,
    ACTIONS(1872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(670), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
    STATE(1447), 2,
      sym_const_parameter,
      sym_constrained_type_parameter,
    ACTIONS(1868), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [23796] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(598), 1,
      anon_sym_RPAREN,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1902), 1,
      anon_sym_COMMA,
    STATE(454), 1,
      sym_arguments,
    STATE(1265), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [23872] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(704), 1,
      anon_sym_RBRACK,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1904), 1,
      anon_sym_COMMA,
    STATE(454), 1,
      sym_arguments,
    STATE(1331), 1,
      aux_sym_array_expression_repeat1,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [23948] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1583), 1,
      anon_sym_LBRACE,
    ACTIONS(1565), 11,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1563), 20,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [23990] = 21,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1906), 1,
      anon_sym_COMMA,
    ACTIONS(1908), 1,
      anon_sym_RPAREN,
    STATE(454), 1,
      sym_arguments,
    STATE(1347), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [24066] = 16,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    ACTIONS(1910), 1,
      anon_sym_RPAREN,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1269), 1,
      sym__type,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [24132] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1912), 1,
      anon_sym_BANG,
    ACTIONS(1914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1643), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1641), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [24175] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(1600), 1,
      sym__type,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [24238] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1916), 1,
      anon_sym_RBRACE,
    ACTIONS(1918), 1,
      anon_sym_SEMI,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [24311] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1032), 1,
      sym__type,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [24374] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1860), 1,
      anon_sym_impl,
    ACTIONS(1862), 1,
      anon_sym_const,
    ACTIONS(1864), 1,
      anon_sym_POUND,
    ACTIONS(1866), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1874), 1,
      anon_sym_default,
    ACTIONS(1876), 1,
      sym_identifier,
    STATE(1250), 1,
      sym_generic_type_with_turbofish,
    STATE(1256), 1,
      sym_generic_type,
    STATE(1483), 1,
      sym_scoped_type_identifier,
    STATE(1498), 1,
      sym_scoped_identifier,
    ACTIONS(1872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(670), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
    STATE(1447), 2,
      sym_const_parameter,
      sym_constrained_type_parameter,
    ACTIONS(1868), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [24437] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_default,
    ACTIONS(1533), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(911), 1,
      sym__type,
    STATE(996), 1,
      sym_scoped_type_identifier,
    STATE(1386), 1,
      sym_scoped_identifier,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [24500] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(732), 1,
      anon_sym_RPAREN,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1920), 1,
      anon_sym_COMMA,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [24573] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1335), 1,
      sym__type,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [24636] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(97), 1,
      anon_sym_RBRACE,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1918), 1,
      anon_sym_SEMI,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [24709] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1920), 1,
      anon_sym_COMMA,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [24782] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(1629), 1,
      sym__type,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [24845] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_default,
    ACTIONS(1533), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(996), 1,
      sym_scoped_type_identifier,
    STATE(1382), 1,
      sym__type,
    STATE(1386), 1,
      sym_scoped_identifier,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [24908] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1296), 1,
      sym__type,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [24971] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(81), 1,
      anon_sym_RBRACE,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1918), 1,
      anon_sym_SEMI,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [25044] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1922), 1,
      anon_sym_LBRACE,
    ACTIONS(1924), 1,
      anon_sym_EQ,
    ACTIONS(1932), 1,
      anon_sym_CARET,
    ACTIONS(1934), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_PIPE,
    ACTIONS(1938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1940), 1,
      anon_sym_PIPE_PIPE,
    STATE(294), 1,
      sym_match_block,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1930), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1942), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1926), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1946), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1944), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [25117] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(1589), 1,
      sym__type,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [25180] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1918), 1,
      anon_sym_SEMI,
    ACTIONS(1948), 1,
      anon_sym_RBRACE,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [25253] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(821), 1,
      anon_sym_LBRACE,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1924), 1,
      anon_sym_EQ,
    ACTIONS(1932), 1,
      anon_sym_CARET,
    ACTIONS(1934), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_PIPE,
    ACTIONS(1938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1940), 1,
      anon_sym_PIPE_PIPE,
    STATE(263), 1,
      sym_block,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1930), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1942), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1926), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1946), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1944), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [25326] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(216), 1,
      anon_sym_RBRACE,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1918), 1,
      anon_sym_SEMI,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [25399] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(1582), 1,
      sym__type,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [25462] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_default,
    ACTIONS(1533), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(996), 1,
      sym_scoped_type_identifier,
    STATE(1386), 1,
      sym_scoped_identifier,
    STATE(1396), 1,
      sym__type,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [25525] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1918), 1,
      anon_sym_SEMI,
    ACTIONS(1950), 1,
      anon_sym_RBRACE,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [25598] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1273), 1,
      sym__type,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [25661] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1295), 1,
      sym__type,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [25724] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(93), 1,
      anon_sym_RBRACE,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1918), 1,
      anon_sym_SEMI,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [25797] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1860), 1,
      anon_sym_impl,
    ACTIONS(1862), 1,
      anon_sym_const,
    ACTIONS(1864), 1,
      anon_sym_POUND,
    ACTIONS(1866), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1874), 1,
      anon_sym_default,
    ACTIONS(1952), 1,
      sym_identifier,
    STATE(1079), 1,
      sym_generic_type_with_turbofish,
    STATE(1084), 1,
      sym_generic_type,
    STATE(1483), 1,
      sym_scoped_type_identifier,
    STATE(1498), 1,
      sym_scoped_identifier,
    ACTIONS(1872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(837), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
    STATE(1291), 2,
      sym_const_parameter,
      sym_constrained_type_parameter,
    ACTIONS(1868), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [25860] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_default,
    ACTIONS(1533), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(996), 1,
      sym_scoped_type_identifier,
    STATE(1363), 1,
      sym__type,
    STATE(1386), 1,
      sym_scoped_identifier,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [25923] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1954), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [25994] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1956), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [26065] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1958), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [26136] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1593), 1,
      anon_sym_AT,
    ACTIONS(1595), 1,
      anon_sym_default,
    ACTIONS(1599), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1049), 1,
      sym__type,
    STATE(1385), 1,
      sym_scoped_identifier,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [26199] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1553), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1551), 21,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [26238] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(1459), 1,
      sym__type,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [26301] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1960), 1,
      anon_sym_COMMA,
    ACTIONS(1962), 1,
      anon_sym_RPAREN,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [26374] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_default,
    ACTIONS(1533), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(996), 1,
      sym_scoped_type_identifier,
    STATE(1386), 1,
      sym_scoped_identifier,
    STATE(1471), 1,
      sym__type,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [26437] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1964), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [26508] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1243), 8,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AT,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1245), 23,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_ref,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [26547] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1966), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [26618] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(1566), 1,
      sym__type,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [26681] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(222), 1,
      anon_sym_RBRACE,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1918), 1,
      anon_sym_SEMI,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [26754] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1918), 1,
      anon_sym_SEMI,
    ACTIONS(1968), 1,
      anon_sym_RBRACE,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [26827] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1579), 11,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1577), 20,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [26866] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_default,
    ACTIONS(1533), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(996), 1,
      sym_scoped_type_identifier,
    STATE(1386), 1,
      sym_scoped_identifier,
    STATE(1410), 1,
      sym__type,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [26929] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1549), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1547), 21,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [26968] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1970), 1,
      anon_sym_RBRACE,
    ACTIONS(1972), 8,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_PIPE,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1974), 22,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [27009] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1209), 1,
      sym__type,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [27072] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(1564), 1,
      sym__type,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [27135] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1860), 1,
      anon_sym_impl,
    ACTIONS(1862), 1,
      anon_sym_const,
    ACTIONS(1864), 1,
      anon_sym_POUND,
    ACTIONS(1866), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1874), 1,
      anon_sym_default,
    ACTIONS(1976), 1,
      sym_identifier,
    STATE(1105), 1,
      sym_generic_type,
    STATE(1109), 1,
      sym_generic_type_with_turbofish,
    STATE(1483), 1,
      sym_scoped_type_identifier,
    STATE(1498), 1,
      sym_scoped_identifier,
    ACTIONS(1872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(627), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
    STATE(1244), 2,
      sym_const_parameter,
      sym_constrained_type_parameter,
    ACTIONS(1868), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [27198] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(1539), 1,
      sym__type,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [27261] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_default,
    ACTIONS(1533), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(996), 1,
      sym_scoped_type_identifier,
    STATE(1381), 1,
      sym__type,
    STATE(1386), 1,
      sym_scoped_identifier,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [27324] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(1546), 1,
      sym__type,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [27387] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1288), 1,
      sym__type,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [27450] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1918), 1,
      anon_sym_SEMI,
    ACTIONS(1978), 1,
      anon_sym_RBRACE,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [27523] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_default,
    ACTIONS(1533), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(996), 1,
      sym_scoped_type_identifier,
    STATE(1386), 1,
      sym_scoped_identifier,
    STATE(1415), 1,
      sym__type,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [27586] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(1599), 1,
      sym__type,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [27649] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(85), 1,
      anon_sym_RBRACE,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1918), 1,
      anon_sym_SEMI,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [27722] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1918), 1,
      anon_sym_SEMI,
    ACTIONS(1980), 1,
      anon_sym_RBRACE,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [27795] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1982), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [27866] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(1470), 1,
      sym__type,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [27929] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1984), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [28000] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(83), 1,
      anon_sym_RBRACE,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1918), 1,
      anon_sym_SEMI,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [28073] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_default,
    ACTIONS(1533), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(996), 1,
      sym_scoped_type_identifier,
    STATE(1386), 1,
      sym_scoped_identifier,
    STATE(1413), 1,
      sym__type,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [28136] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_default,
    ACTIONS(1533), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(996), 1,
      sym_scoped_type_identifier,
    STATE(1386), 1,
      sym_scoped_identifier,
    STATE(1411), 1,
      sym__type,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [28199] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1986), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [28270] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1308), 1,
      sym__type,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [28333] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1924), 1,
      anon_sym_EQ,
    ACTIONS(1932), 1,
      anon_sym_CARET,
    ACTIONS(1934), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_PIPE,
    ACTIONS(1938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1940), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1988), 1,
      anon_sym_LBRACE,
    STATE(454), 1,
      sym_arguments,
    STATE(791), 1,
      sym_match_block,
    ACTIONS(1928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1930), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1942), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1926), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1946), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1944), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [28406] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1617), 2,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
    ACTIONS(1621), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1619), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [28447] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1924), 1,
      anon_sym_EQ,
    ACTIONS(1932), 1,
      anon_sym_CARET,
    ACTIONS(1934), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_PIPE,
    ACTIONS(1938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1940), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1990), 1,
      anon_sym_LBRACE,
    STATE(74), 1,
      sym_match_block,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1930), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1942), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1926), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1946), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1944), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [28520] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1860), 1,
      anon_sym_impl,
    ACTIONS(1862), 1,
      anon_sym_const,
    ACTIONS(1864), 1,
      anon_sym_POUND,
    ACTIONS(1866), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1874), 1,
      anon_sym_default,
    ACTIONS(1992), 1,
      sym_identifier,
    STATE(1195), 1,
      sym_generic_type_with_turbofish,
    STATE(1200), 1,
      sym_generic_type,
    STATE(1483), 1,
      sym_scoped_type_identifier,
    STATE(1498), 1,
      sym_scoped_identifier,
    ACTIONS(1872), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(837), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
    STATE(1407), 2,
      sym_const_parameter,
      sym_constrained_type_parameter,
    ACTIONS(1868), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [28583] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1994), 1,
      anon_sym_RBRACE,
    ACTIONS(1996), 1,
      anon_sym_COMMA,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [28656] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1561), 11,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1559), 20,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [28695] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1557), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1555), 21,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [28734] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1998), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [28805] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1561), 11,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1559), 20,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [28844] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1593), 1,
      anon_sym_AT,
    ACTIONS(1595), 1,
      anon_sym_default,
    ACTIONS(1599), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(911), 1,
      sym__type,
    STATE(1385), 1,
      sym_scoped_identifier,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [28907] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1920), 1,
      anon_sym_COMMA,
    ACTIONS(2000), 1,
      anon_sym_RPAREN,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [28980] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1924), 1,
      anon_sym_EQ,
    ACTIONS(1932), 1,
      anon_sym_CARET,
    ACTIONS(1934), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_PIPE,
    ACTIONS(1938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1940), 1,
      anon_sym_PIPE_PIPE,
    STATE(454), 1,
      sym_arguments,
    STATE(798), 1,
      sym_block,
    ACTIONS(1928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1930), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1942), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1926), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1946), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1944), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [29053] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1593), 1,
      anon_sym_AT,
    ACTIONS(1595), 1,
      anon_sym_default,
    ACTIONS(1599), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1047), 1,
      sym__type,
    STATE(1385), 1,
      sym_scoped_identifier,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [29116] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1565), 11,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1563), 20,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [29155] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1918), 1,
      anon_sym_SEMI,
    ACTIONS(2002), 1,
      anon_sym_RBRACE,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [29228] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1639), 2,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
    ACTIONS(1621), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1619), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [29269] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2004), 1,
      anon_sym_RBRACE,
    ACTIONS(2006), 1,
      anon_sym_COMMA,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [29342] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1920), 1,
      anon_sym_COMMA,
    ACTIONS(2008), 1,
      anon_sym_RPAREN,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [29415] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_default,
    ACTIONS(1533), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(996), 1,
      sym_scoped_type_identifier,
    STATE(1386), 1,
      sym_scoped_identifier,
    STATE(1435), 1,
      sym__type,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [29478] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1565), 11,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1563), 20,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [29517] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(811), 1,
      anon_sym_RPAREN,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1920), 1,
      anon_sym_COMMA,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [29590] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(226), 1,
      anon_sym_RBRACE,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1918), 1,
      anon_sym_SEMI,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [29663] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(1536), 1,
      sym__type,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [29726] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1263), 1,
      sym__type,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [29789] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(738), 1,
      anon_sym_RPAREN,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1920), 1,
      anon_sym_COMMA,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [29862] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1399), 1,
      sym__type,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [29925] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1831), 1,
      anon_sym_BANG,
    ACTIONS(2010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(592), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(594), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [29968] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1918), 1,
      anon_sym_SEMI,
    ACTIONS(2012), 1,
      anon_sym_RBRACE,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [30041] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2014), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [30112] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2016), 1,
      anon_sym_RBRACE,
    ACTIONS(2018), 8,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_PIPE,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(2020), 22,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [30153] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(1445), 1,
      sym__type,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [30216] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2022), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [30287] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2024), 1,
      anon_sym_COMMA,
    ACTIONS(2026), 1,
      anon_sym_RPAREN,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [30360] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1575), 11,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1573), 20,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [30399] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1569), 1,
      anon_sym_BANG,
    ACTIONS(2028), 1,
      anon_sym_COLON_COLON,
    ACTIONS(592), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(594), 19,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [30442] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(911), 1,
      sym__type,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [30505] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1593), 1,
      anon_sym_AT,
    ACTIONS(1595), 1,
      anon_sym_default,
    ACTIONS(1599), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1032), 1,
      sym__type,
    STATE(1385), 1,
      sym_scoped_identifier,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [30568] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1645), 1,
      anon_sym_BANG,
    ACTIONS(2030), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1643), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1641), 19,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [30611] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1575), 11,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1573), 20,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [30650] = 15,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(891), 1,
      anon_sym_AT,
    ACTIONS(909), 1,
      sym_super,
    ACTIONS(1517), 1,
      anon_sym_LBRACK,
    ACTIONS(1519), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_default,
    ACTIONS(1858), 1,
      sym_identifier,
    STATE(877), 1,
      sym_generic_type_with_turbofish,
    STATE(881), 1,
      sym_generic_type,
    STATE(897), 1,
      sym_scoped_type_identifier,
    STATE(1394), 1,
      sym__type,
    STATE(1403), 1,
      sym_scoped_identifier,
    STATE(892), 5,
      sym_macro_invocation,
      sym_array_type,
      sym_tuple_type,
      sym_unit_type,
      sym_snapshot_type,
    ACTIONS(1521), 14,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
  [30713] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1579), 11,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1577), 20,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [30752] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2032), 1,
      anon_sym_else,
    STATE(814), 1,
      sym_else_clause,
    ACTIONS(570), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(568), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [30795] = 20,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_LBRACE,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1924), 1,
      anon_sym_EQ,
    ACTIONS(1932), 1,
      anon_sym_CARET,
    ACTIONS(1934), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_PIPE,
    ACTIONS(1938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1940), 1,
      anon_sym_PIPE_PIPE,
    STATE(69), 1,
      sym_block,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1930), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1942), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1926), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1946), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1944), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [30868] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2034), 1,
      anon_sym_EQ,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_CARET,
    ACTIONS(2048), 1,
      anon_sym_AMP,
    ACTIONS(2050), 1,
      anon_sym_PIPE,
    ACTIONS(2052), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2054), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2062), 1,
      anon_sym_DOT,
    ACTIONS(2064), 1,
      anon_sym_EQ_GT,
    ACTIONS(2066), 1,
      anon_sym_QMARK,
    STATE(820), 1,
      sym_arguments,
    ACTIONS(2042), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2044), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2056), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2038), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2060), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2058), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [30938] = 18,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1687), 1,
      anon_sym_EQ,
    ACTIONS(1932), 1,
      anon_sym_CARET,
    ACTIONS(1934), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_PIPE,
    ACTIONS(1938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1940), 1,
      anon_sym_PIPE_PIPE,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1930), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1942), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1926), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1946), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1685), 6,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [31006] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2068), 1,
      anon_sym_COLON_COLON,
    ACTIONS(592), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(594), 19,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [31046] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1930), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1926), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1629), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1627), 15,
      anon_sym_LBRACE,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [31098] = 17,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1629), 1,
      anon_sym_EQ,
    ACTIONS(1932), 1,
      anon_sym_CARET,
    ACTIONS(1934), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_PIPE,
    ACTIONS(1938), 1,
      anon_sym_AMP_AMP,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1930), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1942), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1926), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1946), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1627), 7,
      anon_sym_LBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [31164] = 16,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1629), 1,
      anon_sym_EQ,
    ACTIONS(1932), 1,
      anon_sym_CARET,
    ACTIONS(1934), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_PIPE,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1930), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1942), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1926), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1946), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1627), 8,
      anon_sym_LBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [31228] = 13,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1932), 1,
      anon_sym_CARET,
    ACTIONS(1934), 1,
      anon_sym_AMP,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1930), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1942), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1926), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1629), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1627), 12,
      anon_sym_LBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [31286] = 11,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1930), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1942), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1926), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1629), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1627), 13,
      anon_sym_LBRACE,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [31340] = 12,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1934), 1,
      anon_sym_AMP,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1930), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1942), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1926), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1629), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1627), 13,
      anon_sym_LBRACE,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [31396] = 9,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1926), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1629), 7,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1627), 15,
      anon_sym_LBRACE,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [31446] = 14,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1932), 1,
      anon_sym_CARET,
    ACTIONS(1934), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_PIPE,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1930), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1942), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1629), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1926), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1627), 12,
      anon_sym_LBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [31506] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2070), 1,
      anon_sym_COLON_COLON,
    ACTIONS(592), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(594), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [31546] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2062), 1,
      anon_sym_DOT,
    ACTIONS(2066), 1,
      anon_sym_QMARK,
    STATE(820), 1,
      sym_arguments,
    ACTIONS(1629), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1627), 15,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [31594] = 18,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1815), 1,
      anon_sym_EQ,
    ACTIONS(1932), 1,
      anon_sym_CARET,
    ACTIONS(1934), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_PIPE,
    ACTIONS(1938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1940), 1,
      anon_sym_PIPE_PIPE,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1930), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1942), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1926), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1946), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1813), 6,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [31662] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1617), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1621), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1619), 19,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [31702] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1621), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1619), 19,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_QMARK,
  [31742] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2072), 1,
      anon_sym_RBRACK,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [31812] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2062), 1,
      anon_sym_DOT,
    ACTIONS(2066), 1,
      anon_sym_QMARK,
    STATE(820), 1,
      sym_arguments,
    ACTIONS(1651), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1649), 15,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [31860] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2018), 8,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_PIPE,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(2020), 22,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [31898] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2062), 1,
      anon_sym_DOT,
    ACTIONS(2066), 1,
      anon_sym_QMARK,
    STATE(820), 1,
      sym_arguments,
    ACTIONS(1607), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1605), 15,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [31946] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2074), 1,
      anon_sym_COMMA,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [32016] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1972), 8,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_PIPE,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1974), 22,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [32054] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2076), 1,
      anon_sym_COLON_COLON,
    ACTIONS(592), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(594), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [32094] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2078), 1,
      anon_sym_SEMI,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [32164] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2080), 1,
      anon_sym_COMMA,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [32234] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1655), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1653), 20,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [32272] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1635), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1633), 20,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [32310] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2082), 1,
      anon_sym_SEMI,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [32380] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2084), 1,
      anon_sym_RBRACK,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [32450] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2086), 1,
      anon_sym_RBRACK,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [32520] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2088), 1,
      anon_sym_RBRACK,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [32590] = 18,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1779), 1,
      anon_sym_EQ,
    ACTIONS(1932), 1,
      anon_sym_CARET,
    ACTIONS(1934), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_PIPE,
    ACTIONS(1938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1940), 1,
      anon_sym_PIPE_PIPE,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1930), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1942), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1926), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1946), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1777), 6,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [32658] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2090), 1,
      anon_sym_RBRACK,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [32728] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1920), 1,
      anon_sym_COMMA,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [32798] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(542), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(540), 20,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_else,
  [32836] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1039), 8,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_PIPE,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1041), 22,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [32874] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(562), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(560), 20,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_else,
  [32912] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(538), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(536), 20,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_else,
  [32950] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2092), 1,
      anon_sym_SEMI,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [33020] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1924), 1,
      anon_sym_EQ,
    ACTIONS(1932), 1,
      anon_sym_CARET,
    ACTIONS(1934), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_PIPE,
    ACTIONS(1938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1940), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2094), 1,
      anon_sym_LBRACE,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1930), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1942), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1926), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1946), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1944), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [33090] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2096), 1,
      anon_sym_SEMI,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [33160] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2098), 1,
      anon_sym_RBRACK,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [33230] = 18,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1687), 1,
      anon_sym_EQ,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_CARET,
    ACTIONS(2048), 1,
      anon_sym_AMP,
    ACTIONS(2050), 1,
      anon_sym_PIPE,
    ACTIONS(2052), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2054), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2062), 1,
      anon_sym_DOT,
    ACTIONS(2066), 1,
      anon_sym_QMARK,
    STATE(820), 1,
      sym_arguments,
    ACTIONS(2042), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2044), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2056), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2038), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2060), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1685), 6,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_GT,
  [33298] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2062), 1,
      anon_sym_DOT,
    ACTIONS(2066), 1,
      anon_sym_QMARK,
    STATE(820), 1,
      sym_arguments,
    ACTIONS(2044), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2038), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1629), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1627), 15,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [33350] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2100), 1,
      anon_sym_SEMI,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [33420] = 18,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1741), 1,
      anon_sym_EQ,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_CARET,
    ACTIONS(2048), 1,
      anon_sym_AMP,
    ACTIONS(2050), 1,
      anon_sym_PIPE,
    ACTIONS(2052), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2054), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2062), 1,
      anon_sym_DOT,
    ACTIONS(2066), 1,
      anon_sym_QMARK,
    STATE(820), 1,
      sym_arguments,
    ACTIONS(2042), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2044), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2056), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2038), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2060), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1739), 6,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_GT,
  [33488] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2034), 1,
      anon_sym_EQ,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_CARET,
    ACTIONS(2048), 1,
      anon_sym_AMP,
    ACTIONS(2050), 1,
      anon_sym_PIPE,
    ACTIONS(2052), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2054), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2062), 1,
      anon_sym_DOT,
    ACTIONS(2066), 1,
      anon_sym_QMARK,
    ACTIONS(2094), 1,
      anon_sym_EQ_GT,
    STATE(820), 1,
      sym_arguments,
    ACTIONS(2042), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2044), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2056), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2038), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2060), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2058), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [33558] = 18,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1741), 1,
      anon_sym_EQ,
    ACTIONS(1932), 1,
      anon_sym_CARET,
    ACTIONS(1934), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_PIPE,
    ACTIONS(1938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1940), 1,
      anon_sym_PIPE_PIPE,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1930), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1942), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1926), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1946), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1739), 6,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [33626] = 18,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1815), 1,
      anon_sym_EQ,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_CARET,
    ACTIONS(2048), 1,
      anon_sym_AMP,
    ACTIONS(2050), 1,
      anon_sym_PIPE,
    ACTIONS(2052), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2054), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2062), 1,
      anon_sym_DOT,
    ACTIONS(2066), 1,
      anon_sym_QMARK,
    STATE(820), 1,
      sym_arguments,
    ACTIONS(2042), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2044), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2056), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2038), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2060), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1813), 6,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_GT,
  [33694] = 17,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1629), 1,
      anon_sym_EQ,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_CARET,
    ACTIONS(2048), 1,
      anon_sym_AMP,
    ACTIONS(2050), 1,
      anon_sym_PIPE,
    ACTIONS(2052), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2062), 1,
      anon_sym_DOT,
    ACTIONS(2066), 1,
      anon_sym_QMARK,
    STATE(820), 1,
      sym_arguments,
    ACTIONS(2042), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2044), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2056), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2038), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2060), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1627), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_GT,
  [33760] = 18,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1779), 1,
      anon_sym_EQ,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_CARET,
    ACTIONS(2048), 1,
      anon_sym_AMP,
    ACTIONS(2050), 1,
      anon_sym_PIPE,
    ACTIONS(2052), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2054), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2062), 1,
      anon_sym_DOT,
    ACTIONS(2066), 1,
      anon_sym_QMARK,
    STATE(820), 1,
      sym_arguments,
    ACTIONS(2042), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2044), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2056), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2038), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2060), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1777), 6,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_GT,
  [33828] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(1918), 1,
      anon_sym_SEMI,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [33898] = 16,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1629), 1,
      anon_sym_EQ,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_CARET,
    ACTIONS(2048), 1,
      anon_sym_AMP,
    ACTIONS(2050), 1,
      anon_sym_PIPE,
    ACTIONS(2062), 1,
      anon_sym_DOT,
    ACTIONS(2066), 1,
      anon_sym_QMARK,
    STATE(820), 1,
      sym_arguments,
    ACTIONS(2042), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2044), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2056), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2038), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2060), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1627), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_GT,
  [33962] = 13,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_CARET,
    ACTIONS(2048), 1,
      anon_sym_AMP,
    ACTIONS(2062), 1,
      anon_sym_DOT,
    ACTIONS(2066), 1,
      anon_sym_QMARK,
    STATE(820), 1,
      sym_arguments,
    ACTIONS(2044), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2056), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2038), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1629), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1627), 12,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [34020] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2062), 1,
      anon_sym_DOT,
    ACTIONS(2066), 1,
      anon_sym_QMARK,
    STATE(820), 1,
      sym_arguments,
    ACTIONS(1659), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1657), 15,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [34068] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2102), 1,
      anon_sym_COMMA,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [34138] = 14,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_CARET,
    ACTIONS(2048), 1,
      anon_sym_AMP,
    ACTIONS(2050), 1,
      anon_sym_PIPE,
    ACTIONS(2062), 1,
      anon_sym_DOT,
    ACTIONS(2066), 1,
      anon_sym_QMARK,
    STATE(820), 1,
      sym_arguments,
    ACTIONS(2044), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2056), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1629), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2038), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1627), 12,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [34198] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2104), 1,
      anon_sym_RBRACK,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [34268] = 11,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2062), 1,
      anon_sym_DOT,
    ACTIONS(2066), 1,
      anon_sym_QMARK,
    STATE(820), 1,
      sym_arguments,
    ACTIONS(2044), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2056), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2038), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1629), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1627), 13,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [34322] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2106), 1,
      anon_sym_RBRACK,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [34392] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2108), 1,
      anon_sym_RBRACK,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [34462] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1924), 1,
      anon_sym_EQ,
    ACTIONS(1932), 1,
      anon_sym_CARET,
    ACTIONS(1934), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_PIPE,
    ACTIONS(1938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1940), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2064), 1,
      anon_sym_LBRACE,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1930), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1942), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1926), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1946), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1944), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [34532] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2110), 1,
      anon_sym_SEMI,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [34602] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2112), 1,
      anon_sym_SEMI,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [34672] = 12,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2048), 1,
      anon_sym_AMP,
    ACTIONS(2062), 1,
      anon_sym_DOT,
    ACTIONS(2066), 1,
      anon_sym_QMARK,
    STATE(820), 1,
      sym_arguments,
    ACTIONS(2044), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2056), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2038), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1629), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1627), 13,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [34728] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1243), 8,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_PIPE,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(1245), 22,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [34766] = 9,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2036), 1,
      anon_sym_LBRACK,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2062), 1,
      anon_sym_DOT,
    ACTIONS(2066), 1,
      anon_sym_QMARK,
    STATE(820), 1,
      sym_arguments,
    ACTIONS(2038), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1629), 7,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1627), 15,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
  [34816] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2114), 1,
      anon_sym_SEMI,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [34886] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2116), 1,
      anon_sym_COMMA,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [34956] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2118), 1,
      anon_sym_SEMI,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [35026] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2120), 1,
      anon_sym_SEMI,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [35096] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2122), 1,
      anon_sym_SEMI,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [35166] = 19,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1609), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_CARET,
    ACTIONS(1697), 1,
      anon_sym_AMP,
    ACTIONS(1699), 1,
      anon_sym_PIPE,
    ACTIONS(1701), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1703), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    ACTIONS(2124), 1,
      anon_sym_SEMI,
    STATE(454), 1,
      sym_arguments,
    ACTIONS(1691), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1705), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1689), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1827), 5,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [35236] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1775), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1773), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [35273] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(554), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(552), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [35310] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1731), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1729), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [35347] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1667), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1665), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [35384] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1771), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1769), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [35421] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1735), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1733), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [35458] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(514), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(512), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [35495] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1803), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1801), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [35532] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(534), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(532), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [35569] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(522), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(520), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [35606] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(479), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(477), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [35643] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(530), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(528), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [35680] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(495), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(493), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [35717] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1723), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1721), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [35754] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(592), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(594), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [35791] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(518), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(516), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [35828] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1679), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1677), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [35865] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1719), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1717), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [35902] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1715), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1713), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [35939] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1663), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1661), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [35976] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1683), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1681), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36013] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1671), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1669), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36050] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1799), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1797), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36087] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1795), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1793), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36124] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1621), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1619), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36161] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1745), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1743), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36198] = 12,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2126), 1,
      anon_sym_LBRACE,
    ACTIONS(2128), 1,
      anon_sym_RBRACE,
    ACTIONS(2130), 1,
      anon_sym_COMMA,
    ACTIONS(2132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2134), 1,
      anon_sym_STAR,
    ACTIONS(2138), 1,
      anon_sym_default,
    ACTIONS(2140), 1,
      sym_identifier,
    STATE(1042), 1,
      sym_scoped_identifier,
    STATE(1548), 1,
      sym_generic_type_with_turbofish,
    STATE(1281), 5,
      sym__use_clause,
      sym_scoped_use_list,
      sym_use_list,
      sym_use_as_clause,
      sym_use_wildcard,
    ACTIONS(2136), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [36253] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1787), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1785), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36290] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(558), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(556), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36327] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(550), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(548), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36364] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(592), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(594), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36401] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(566), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(564), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36438] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1750), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1747), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36475] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1675), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1673), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36512] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1759), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1757), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36549] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1755), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1753), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36586] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1819), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1817), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36623] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1711), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1709), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36660] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1763), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1761), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36697] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1811), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1809), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36734] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1767), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1765), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36771] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1807), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1805), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36808] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1783), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1781), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36845] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1727), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1725), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36882] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(499), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(497), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36919] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2142), 7,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_DASH,
      anon_sym_PIPE,
      aux_sym_string_literal_token1,
      sym_shortstring_literal,
    ACTIONS(2144), 22,
      anon_sym__,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      sym_numeric_literal,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_mutable_specifier,
      sym_super,
  [36956] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1791), 10,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1789), 19,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [36993] = 11,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2126), 1,
      anon_sym_LBRACE,
    ACTIONS(2132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2134), 1,
      anon_sym_STAR,
    ACTIONS(2138), 1,
      anon_sym_default,
    ACTIONS(2140), 1,
      sym_identifier,
    ACTIONS(2146), 1,
      anon_sym_RBRACE,
    STATE(1042), 1,
      sym_scoped_identifier,
    STATE(1548), 1,
      sym_generic_type_with_turbofish,
    STATE(1417), 5,
      sym__use_clause,
      sym_scoped_use_list,
      sym_use_list,
      sym_use_as_clause,
      sym_use_wildcard,
    ACTIONS(2136), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [37045] = 11,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2126), 1,
      anon_sym_LBRACE,
    ACTIONS(2132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2134), 1,
      anon_sym_STAR,
    ACTIONS(2138), 1,
      anon_sym_default,
    ACTIONS(2140), 1,
      sym_identifier,
    ACTIONS(2148), 1,
      anon_sym_RBRACE,
    STATE(1042), 1,
      sym_scoped_identifier,
    STATE(1548), 1,
      sym_generic_type_with_turbofish,
    STATE(1417), 5,
      sym__use_clause,
      sym_scoped_use_list,
      sym_use_list,
      sym_use_as_clause,
      sym_use_wildcard,
    ACTIONS(2136), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [37097] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2126), 1,
      anon_sym_LBRACE,
    ACTIONS(2132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2134), 1,
      anon_sym_STAR,
    ACTIONS(2138), 1,
      anon_sym_default,
    ACTIONS(2140), 1,
      sym_identifier,
    STATE(1042), 1,
      sym_scoped_identifier,
    STATE(1548), 1,
      sym_generic_type_with_turbofish,
    STATE(1613), 5,
      sym__use_clause,
      sym_scoped_use_list,
      sym_use_list,
      sym_use_as_clause,
      sym_use_wildcard,
    ACTIONS(2136), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [37146] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2126), 1,
      anon_sym_LBRACE,
    ACTIONS(2132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2134), 1,
      anon_sym_STAR,
    ACTIONS(2138), 1,
      anon_sym_default,
    ACTIONS(2140), 1,
      sym_identifier,
    STATE(1042), 1,
      sym_scoped_identifier,
    STATE(1548), 1,
      sym_generic_type_with_turbofish,
    STATE(1495), 5,
      sym__use_clause,
      sym_scoped_use_list,
      sym_use_list,
      sym_use_as_clause,
      sym_use_wildcard,
    ACTIONS(2136), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [37195] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2126), 1,
      anon_sym_LBRACE,
    ACTIONS(2132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2134), 1,
      anon_sym_STAR,
    ACTIONS(2138), 1,
      anon_sym_default,
    ACTIONS(2140), 1,
      sym_identifier,
    STATE(1042), 1,
      sym_scoped_identifier,
    STATE(1548), 1,
      sym_generic_type_with_turbofish,
    STATE(1417), 5,
      sym__use_clause,
      sym_scoped_use_list,
      sym_use_list,
      sym_use_as_clause,
      sym_use_wildcard,
    ACTIONS(2136), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [37244] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2126), 1,
      anon_sym_LBRACE,
    ACTIONS(2132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2134), 1,
      anon_sym_STAR,
    ACTIONS(2138), 1,
      anon_sym_default,
    ACTIONS(2140), 1,
      sym_identifier,
    STATE(1042), 1,
      sym_scoped_identifier,
    STATE(1548), 1,
      sym_generic_type_with_turbofish,
    STATE(1550), 5,
      sym__use_clause,
      sym_scoped_use_list,
      sym_use_list,
      sym_use_as_clause,
      sym_use_wildcard,
    ACTIONS(2136), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [37293] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2126), 1,
      anon_sym_LBRACE,
    ACTIONS(2132), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2134), 1,
      anon_sym_STAR,
    ACTIONS(2138), 1,
      anon_sym_default,
    ACTIONS(2140), 1,
      sym_identifier,
    STATE(1042), 1,
      sym_scoped_identifier,
    STATE(1548), 1,
      sym_generic_type_with_turbofish,
    STATE(1593), 5,
      sym__use_clause,
      sym_scoped_use_list,
      sym_use_list,
      sym_use_as_clause,
      sym_use_wildcard,
    ACTIONS(2136), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [37342] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2150), 1,
      anon_sym_POUND,
    STATE(837), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
    ACTIONS(632), 3,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1491), 19,
      anon_sym_impl,
      anon_sym_const,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      sym_identifier,
      sym_super,
  [37379] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1243), 4,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1245), 19,
      anon_sym_impl,
      anon_sym_const,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      anon_sym_default,
      sym_identifier,
      sym_super,
  [37410] = 9,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1866), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1874), 1,
      anon_sym_default,
    ACTIONS(2153), 1,
      sym_identifier,
    STATE(1277), 1,
      sym_generic_type,
    STATE(1278), 1,
      sym_generic_type_with_turbofish,
    STATE(1483), 1,
      sym_scoped_type_identifier,
    STATE(1498), 1,
      sym_scoped_identifier,
    ACTIONS(1868), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [37452] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(859), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2157), 1,
      anon_sym_default,
    ACTIONS(2159), 1,
      sym_identifier,
    STATE(984), 1,
      sym_scoped_identifier,
    STATE(1531), 1,
      sym_attribute,
    STATE(1547), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(2155), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [37491] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(859), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2157), 1,
      anon_sym_default,
    ACTIONS(2159), 1,
      sym_identifier,
    STATE(984), 1,
      sym_scoped_identifier,
    STATE(1517), 1,
      sym_attribute,
    STATE(1547), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(2155), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [37530] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(859), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2157), 1,
      anon_sym_default,
    ACTIONS(2159), 1,
      sym_identifier,
    STATE(984), 1,
      sym_scoped_identifier,
    STATE(1547), 1,
      sym_generic_type_with_turbofish,
    STATE(1606), 1,
      sym_attribute,
    ACTIONS(2155), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [37569] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(859), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2157), 1,
      anon_sym_default,
    ACTIONS(2159), 1,
      sym_identifier,
    STATE(984), 1,
      sym_scoped_identifier,
    STATE(1502), 1,
      sym_attribute,
    STATE(1547), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(2155), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [37608] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(859), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2157), 1,
      anon_sym_default,
    ACTIONS(2159), 1,
      sym_identifier,
    STATE(984), 1,
      sym_scoped_identifier,
    STATE(1491), 1,
      sym_attribute,
    STATE(1547), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(2155), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [37647] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(859), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2157), 1,
      anon_sym_default,
    ACTIONS(2159), 1,
      sym_identifier,
    STATE(984), 1,
      sym_scoped_identifier,
    STATE(1541), 1,
      sym_attribute,
    STATE(1547), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(2155), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [37686] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(859), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2157), 1,
      anon_sym_default,
    ACTIONS(2159), 1,
      sym_identifier,
    STATE(984), 1,
      sym_scoped_identifier,
    STATE(1506), 1,
      sym_attribute,
    STATE(1547), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(2155), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [37725] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(859), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2157), 1,
      anon_sym_default,
    ACTIONS(2159), 1,
      sym_identifier,
    STATE(984), 1,
      sym_scoped_identifier,
    STATE(1521), 1,
      sym_attribute,
    STATE(1547), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(2155), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [37764] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(859), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2157), 1,
      anon_sym_default,
    ACTIONS(2159), 1,
      sym_identifier,
    STATE(984), 1,
      sym_scoped_identifier,
    STATE(1493), 1,
      sym_attribute,
    STATE(1547), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(2155), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [37803] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(859), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2157), 1,
      anon_sym_default,
    ACTIONS(2159), 1,
      sym_identifier,
    STATE(984), 1,
      sym_scoped_identifier,
    STATE(1530), 1,
      sym_attribute,
    STATE(1547), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(2155), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [37842] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(859), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2157), 1,
      anon_sym_default,
    ACTIONS(2159), 1,
      sym_identifier,
    STATE(984), 1,
      sym_scoped_identifier,
    STATE(1516), 1,
      sym_attribute,
    STATE(1547), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(2155), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [37881] = 7,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2161), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2165), 1,
      anon_sym_default,
    ACTIONS(2167), 1,
      sym_identifier,
    STATE(1390), 1,
      sym_scoped_identifier,
    STATE(1548), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(2163), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [37917] = 7,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2161), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2171), 1,
      anon_sym_default,
    ACTIONS(2173), 1,
      sym_identifier,
    STATE(1406), 1,
      sym_scoped_identifier,
    STATE(1548), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(2169), 15,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_usize,
      anon_sym_bool,
      anon_sym_ByteArray,
      anon_sym_felt252,
      sym_super,
  [37953] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1579), 1,
      anon_sym_COLON,
    ACTIONS(1577), 4,
      anon_sym_BANG,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE,
    ACTIONS(2175), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_nopanic,
      anon_sym_LT2,
  [37979] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1561), 1,
      anon_sym_COLON,
    ACTIONS(1559), 4,
      anon_sym_BANG,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE,
    ACTIONS(2177), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_nopanic,
      anon_sym_LT2,
  [38005] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1575), 1,
      anon_sym_COLON,
    ACTIONS(1573), 4,
      anon_sym_BANG,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE,
    ACTIONS(2179), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_nopanic,
      anon_sym_LT2,
  [38031] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1565), 1,
      anon_sym_COLON,
    ACTIONS(1563), 4,
      anon_sym_BANG,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE,
    ACTIONS(2181), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_nopanic,
      anon_sym_LT2,
  [38057] = 9,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2183), 1,
      anon_sym_LBRACE,
    ACTIONS(2187), 1,
      anon_sym_COLON,
    ACTIONS(2189), 1,
      anon_sym_BANG,
    ACTIONS(2191), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2193), 1,
      anon_sym_LPAREN,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    STATE(885), 1,
      sym_type_arguments,
    ACTIONS(2185), 8,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [38092] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1565), 1,
      anon_sym_COLON,
    ACTIONS(2181), 2,
      anon_sym_LBRACE,
      anon_sym_LT2,
    ACTIONS(1563), 11,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [38116] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1579), 1,
      anon_sym_COLON,
    ACTIONS(1577), 13,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [38138] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1575), 1,
      anon_sym_COLON,
    ACTIONS(2179), 2,
      anon_sym_LBRACE,
      anon_sym_LT2,
    ACTIONS(1573), 11,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [38162] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1579), 1,
      anon_sym_COLON,
    ACTIONS(2175), 2,
      anon_sym_LBRACE,
      anon_sym_LT2,
    ACTIONS(1577), 11,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [38186] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1561), 1,
      anon_sym_COLON,
    ACTIONS(2177), 2,
      anon_sym_LBRACE,
      anon_sym_LT2,
    ACTIONS(1559), 11,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [38210] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1565), 1,
      anon_sym_COLON,
    ACTIONS(1563), 13,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [38232] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1561), 1,
      anon_sym_COLON,
    ACTIONS(1559), 13,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [38254] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1575), 1,
      anon_sym_COLON,
    ACTIONS(1573), 13,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [38276] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(508), 13,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_nopanic,
      anon_sym_in,
  [38295] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(489), 13,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_nopanic,
      anon_sym_in,
  [38314] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(544), 13,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_nopanic,
      anon_sym_in,
  [38333] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(524), 13,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_nopanic,
      anon_sym_in,
  [38352] = 7,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2199), 1,
      anon_sym_COLON,
    ACTIONS(2201), 1,
      anon_sym_BANG,
    ACTIONS(2203), 1,
      anon_sym_COLON_COLON,
    STATE(879), 1,
      sym_type_arguments,
    ACTIONS(2197), 8,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [38381] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1639), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_nopanic,
  [38399] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1617), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_nopanic,
  [38417] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2205), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_nopanic,
  [38435] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2187), 1,
      anon_sym_COLON,
    ACTIONS(2189), 1,
      anon_sym_BANG,
    ACTIONS(2193), 1,
      anon_sym_LPAREN,
    ACTIONS(2207), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2185), 8,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [38461] = 13,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2209), 1,
      anon_sym_impl,
    ACTIONS(2211), 1,
      anon_sym_trait,
    ACTIONS(2213), 1,
      anon_sym_type,
    ACTIONS(2215), 1,
      anon_sym_const,
    ACTIONS(2217), 1,
      anon_sym_mod,
    ACTIONS(2219), 1,
      anon_sym_struct,
    ACTIONS(2221), 1,
      anon_sym_enum,
    ACTIONS(2223), 1,
      anon_sym_fn,
    ACTIONS(2225), 1,
      anon_sym_use,
    ACTIONS(2227), 1,
      anon_sym_extern,
    STATE(1226), 1,
      sym_function,
    STATE(1227), 1,
      sym_extern,
  [38501] = 13,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2223), 1,
      anon_sym_fn,
    ACTIONS(2227), 1,
      anon_sym_extern,
    ACTIONS(2229), 1,
      anon_sym_impl,
    ACTIONS(2231), 1,
      anon_sym_trait,
    ACTIONS(2233), 1,
      anon_sym_type,
    ACTIONS(2235), 1,
      anon_sym_const,
    ACTIONS(2237), 1,
      anon_sym_mod,
    ACTIONS(2239), 1,
      anon_sym_struct,
    ACTIONS(2241), 1,
      anon_sym_enum,
    ACTIONS(2243), 1,
      anon_sym_use,
    STATE(1212), 1,
      sym_extern,
    STATE(1255), 1,
      sym_function,
  [38541] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2247), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2245), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_nopanic,
  [38560] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2249), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_nopanic,
  [38579] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2253), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_COLON_COLON,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_nopanic,
  [38596] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2255), 1,
      anon_sym_RBRACK,
    ACTIONS(2177), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_LT2,
    ACTIONS(1559), 7,
      anon_sym_BANG,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [38617] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2258), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2245), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_nopanic,
  [38636] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2262), 1,
      anon_sym_LPAREN,
    ACTIONS(2260), 10,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_use,
      anon_sym_extern,
  [38655] = 9,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2264), 1,
      anon_sym_RBRACE,
    ACTIONS(2266), 1,
      anon_sym_POUND,
    ACTIONS(2268), 1,
      anon_sym_COMMA,
    ACTIONS(2270), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2272), 1,
      sym_numeric_literal,
    ACTIONS(2274), 1,
      sym_identifier,
    STATE(1053), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
    STATE(1350), 3,
      sym_shorthand_field_initializer,
      sym_field_initializer,
      sym_base_field_initializer,
  [38686] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2181), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_nopanic,
      anon_sym_LT2,
  [38703] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2276), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_COLON_COLON,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_nopanic,
  [38720] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2278), 1,
      anon_sym_RBRACK,
    ACTIONS(2181), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_LT2,
    ACTIONS(1563), 7,
      anon_sym_BANG,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [38741] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2281), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_COLON_COLON,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_nopanic,
  [38758] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2283), 1,
      anon_sym_RBRACK,
    ACTIONS(2179), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_LT2,
    ACTIONS(1573), 7,
      anon_sym_BANG,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [38779] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2286), 1,
      anon_sym_RBRACK,
    ACTIONS(2175), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_LT2,
    ACTIONS(1577), 7,
      anon_sym_BANG,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [38800] = 9,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2266), 1,
      anon_sym_POUND,
    ACTIONS(2270), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2272), 1,
      sym_numeric_literal,
    ACTIONS(2274), 1,
      sym_identifier,
    ACTIONS(2289), 1,
      anon_sym_RBRACE,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    STATE(1053), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
    STATE(1294), 3,
      sym_shorthand_field_initializer,
      sym_field_initializer,
      sym_base_field_initializer,
  [38831] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(493), 10,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_in,
  [38847] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2245), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_nopanic,
  [38863] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2266), 1,
      anon_sym_POUND,
    ACTIONS(2270), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2272), 1,
      sym_numeric_literal,
    ACTIONS(2274), 1,
      sym_identifier,
    ACTIONS(2293), 1,
      anon_sym_RBRACE,
    STATE(1053), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
    STATE(1352), 3,
      sym_shorthand_field_initializer,
      sym_field_initializer,
      sym_base_field_initializer,
  [38891] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2183), 1,
      anon_sym_LBRACE,
    ACTIONS(2185), 1,
      anon_sym_PIPE,
    ACTIONS(2187), 1,
      anon_sym_COLON,
    ACTIONS(2189), 1,
      anon_sym_BANG,
    ACTIONS(2193), 1,
      anon_sym_LPAREN,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2297), 1,
      anon_sym_COLON_COLON,
    STATE(885), 1,
      sym_type_arguments,
    ACTIONS(2295), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [38923] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2299), 1,
      anon_sym_RBRACE,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2303), 1,
      anon_sym_COMMA,
    ACTIONS(2305), 1,
      anon_sym_pub,
    ACTIONS(2307), 1,
      sym_identifier,
    STATE(1196), 1,
      sym_enum_variant,
    STATE(1405), 1,
      sym_field_declaration,
    STATE(1584), 1,
      sym_visibility_modifier,
    STATE(969), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [38955] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2183), 1,
      anon_sym_LBRACE,
    ACTIONS(2189), 1,
      anon_sym_BANG,
    ACTIONS(2193), 1,
      anon_sym_LPAREN,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2295), 1,
      anon_sym_SEMI,
    ACTIONS(2309), 1,
      anon_sym_RBRACK,
    ACTIONS(2312), 1,
      anon_sym_COLON_COLON,
    STATE(885), 1,
      sym_type_arguments,
    ACTIONS(2185), 2,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [38987] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    STATE(887), 1,
      sym_type_arguments,
    ACTIONS(2245), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_RPAREN,
      anon_sym_nopanic,
  [39007] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2314), 10,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_use,
      anon_sym_extern,
  [39023] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2316), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_nopanic,
  [39039] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2297), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2318), 1,
      anon_sym_BANG,
    STATE(885), 1,
      sym_type_arguments,
    ACTIONS(2295), 6,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [39063] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2320), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_nopanic,
  [39079] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2187), 1,
      anon_sym_COLON,
    ACTIONS(2322), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2185), 8,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [39099] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(481), 10,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_in,
  [39115] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2266), 1,
      anon_sym_POUND,
    ACTIONS(2270), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2272), 1,
      sym_numeric_literal,
    ACTIONS(2274), 1,
      sym_identifier,
    ACTIONS(2324), 1,
      anon_sym_RBRACE,
    STATE(1053), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
    STATE(1352), 3,
      sym_shorthand_field_initializer,
      sym_field_initializer,
      sym_base_field_initializer,
  [39143] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2326), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_nopanic,
  [39159] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(477), 10,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_in,
  [39175] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2328), 10,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_use,
      anon_sym_extern,
  [39191] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2330), 10,
      anon_sym_impl,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_const,
      anon_sym_mod,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_use,
      anon_sym_extern,
  [39207] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2332), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_nopanic,
  [39223] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2334), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_nopanic,
  [39239] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2336), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_nopanic,
  [39255] = 10,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      anon_sym_pub,
    ACTIONS(2307), 1,
      sym_identifier,
    ACTIONS(2338), 1,
      anon_sym_RBRACE,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    STATE(1322), 1,
      sym_enum_variant,
    STATE(1405), 1,
      sym_field_declaration,
    STATE(1584), 1,
      sym_visibility_modifier,
    STATE(960), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [39287] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2266), 1,
      anon_sym_POUND,
    ACTIONS(2270), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2272), 1,
      sym_numeric_literal,
    ACTIONS(2274), 1,
      sym_identifier,
    ACTIONS(2342), 1,
      anon_sym_RBRACE,
    STATE(1053), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
    STATE(1352), 3,
      sym_shorthand_field_initializer,
      sym_field_initializer,
      sym_base_field_initializer,
  [39315] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2266), 1,
      anon_sym_POUND,
    ACTIONS(2270), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2272), 1,
      sym_numeric_literal,
    ACTIONS(2274), 1,
      sym_identifier,
    ACTIONS(2344), 1,
      anon_sym_RBRACE,
    STATE(1053), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
    STATE(1352), 3,
      sym_shorthand_field_initializer,
      sym_field_initializer,
      sym_base_field_initializer,
  [39343] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2346), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_nopanic,
  [39359] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2348), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [39374] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2350), 1,
      anon_sym_LBRACE,
    ACTIONS(2352), 1,
      anon_sym_BANG,
    ACTIONS(2354), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    STATE(885), 1,
      sym_type_arguments,
    ACTIONS(2185), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [39401] = 9,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      anon_sym_pub,
    ACTIONS(2307), 1,
      sym_identifier,
    ACTIONS(2358), 1,
      anon_sym_RBRACE,
    STATE(1405), 1,
      sym_field_declaration,
    STATE(1481), 1,
      sym_enum_variant,
    STATE(1584), 1,
      sym_visibility_modifier,
    STATE(958), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [39430] = 9,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      anon_sym_pub,
    ACTIONS(2360), 1,
      anon_sym_RBRACE,
    ACTIONS(2362), 1,
      anon_sym_COMMA,
    ACTIONS(2364), 1,
      sym_identifier,
    STATE(1320), 1,
      sym_field_declaration,
    STATE(1565), 1,
      sym_visibility_modifier,
    STATE(976), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [39459] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2366), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [39474] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2185), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [39489] = 9,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      anon_sym_pub,
    ACTIONS(2307), 1,
      sym_identifier,
    ACTIONS(2368), 1,
      anon_sym_RBRACE,
    STATE(1405), 1,
      sym_field_declaration,
    STATE(1481), 1,
      sym_enum_variant,
    STATE(1584), 1,
      sym_visibility_modifier,
    STATE(958), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [39518] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2370), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [39533] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2372), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [39548] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2374), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [39563] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2376), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [39578] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2374), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [39593] = 9,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      anon_sym_pub,
    ACTIONS(2307), 1,
      sym_identifier,
    ACTIONS(2378), 1,
      anon_sym_RBRACE,
    STATE(1405), 1,
      sym_field_declaration,
    STATE(1481), 1,
      sym_enum_variant,
    STATE(1584), 1,
      sym_visibility_modifier,
    STATE(958), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [39622] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2380), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [39637] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2382), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [39652] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2384), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [39667] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2386), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [39682] = 9,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      anon_sym_pub,
    ACTIONS(2307), 1,
      sym_identifier,
    ACTIONS(2388), 1,
      anon_sym_RBRACE,
    STATE(1405), 1,
      sym_field_declaration,
    STATE(1481), 1,
      sym_enum_variant,
    STATE(1584), 1,
      sym_visibility_modifier,
    STATE(958), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [39711] = 7,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2266), 1,
      anon_sym_POUND,
    ACTIONS(2270), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2272), 1,
      sym_numeric_literal,
    ACTIONS(2274), 1,
      sym_identifier,
    STATE(1053), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
    STATE(1352), 3,
      sym_shorthand_field_initializer,
      sym_field_initializer,
      sym_base_field_initializer,
  [39736] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2390), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [39751] = 9,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      anon_sym_pub,
    ACTIONS(2307), 1,
      sym_identifier,
    ACTIONS(2392), 1,
      anon_sym_RBRACE,
    STATE(1405), 1,
      sym_field_declaration,
    STATE(1481), 1,
      sym_enum_variant,
    STATE(1584), 1,
      sym_visibility_modifier,
    STATE(958), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [39780] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2394), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [39795] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2396), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [39810] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2398), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [39825] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2400), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [39840] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2402), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [39855] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2404), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [39870] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2406), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [39885] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2189), 1,
      anon_sym_BANG,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2297), 1,
      anon_sym_COLON_COLON,
    STATE(885), 1,
      sym_type_arguments,
    ACTIONS(2295), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_implicits,
      anon_sym_nopanic,
  [39908] = 9,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2183), 1,
      anon_sym_LBRACE,
    ACTIONS(2185), 1,
      anon_sym_PIPE,
    ACTIONS(2189), 1,
      anon_sym_BANG,
    ACTIONS(2193), 1,
      anon_sym_LPAREN,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2408), 1,
      anon_sym_COLON_COLON,
    STATE(885), 1,
      sym_type_arguments,
    ACTIONS(2309), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [39937] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2410), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [39952] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2412), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [39967] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2414), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [39982] = 9,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      anon_sym_pub,
    ACTIONS(2364), 1,
      sym_identifier,
    ACTIONS(2416), 1,
      anon_sym_RBRACE,
    ACTIONS(2418), 1,
      anon_sym_COMMA,
    STATE(1204), 1,
      sym_field_declaration,
    STATE(1565), 1,
      sym_visibility_modifier,
    STATE(978), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [40011] = 9,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      anon_sym_pub,
    ACTIONS(2307), 1,
      sym_identifier,
    ACTIONS(2420), 1,
      anon_sym_RBRACE,
    STATE(1405), 1,
      sym_field_declaration,
    STATE(1481), 1,
      sym_enum_variant,
    STATE(1584), 1,
      sym_visibility_modifier,
    STATE(958), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [40040] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2422), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [40055] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2424), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [40070] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2426), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [40085] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2428), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [40100] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2430), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [40115] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2432), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [40130] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2434), 9,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_in,
  [40145] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      anon_sym_pub,
    ACTIONS(2307), 1,
      sym_identifier,
    STATE(1397), 1,
      sym_enum_variant,
    STATE(1405), 1,
      sym_field_declaration,
    STATE(1584), 1,
      sym_visibility_modifier,
    STATE(1025), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [40171] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2175), 2,
      anon_sym_LBRACE,
      anon_sym_LT2,
    ACTIONS(2286), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1577), 4,
      anon_sym_BANG,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [40189] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      anon_sym_pub,
    ACTIONS(2307), 1,
      sym_identifier,
    STATE(1318), 1,
      sym_enum_variant,
    STATE(1405), 1,
      sym_field_declaration,
    STATE(1584), 1,
      sym_visibility_modifier,
    STATE(1025), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [40215] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      anon_sym_pub,
    ACTIONS(2364), 1,
      sym_identifier,
    ACTIONS(2436), 1,
      anon_sym_RBRACE,
    STATE(1473), 1,
      sym_field_declaration,
    STATE(1565), 1,
      sym_visibility_modifier,
    STATE(979), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [40241] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      anon_sym_pub,
    ACTIONS(2307), 1,
      sym_identifier,
    STATE(1405), 1,
      sym_field_declaration,
    STATE(1481), 1,
      sym_enum_variant,
    STATE(1584), 1,
      sym_visibility_modifier,
    STATE(958), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [40267] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      anon_sym_pub,
    ACTIONS(2364), 1,
      sym_identifier,
    ACTIONS(2438), 1,
      anon_sym_RBRACE,
    STATE(1473), 1,
      sym_field_declaration,
    STATE(1565), 1,
      sym_visibility_modifier,
    STATE(979), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [40293] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2189), 1,
      anon_sym_BANG,
    ACTIONS(2440), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2442), 1,
      anon_sym_LT2,
    STATE(885), 1,
      sym_type_arguments,
    ACTIONS(2295), 4,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
  [40315] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2177), 2,
      anon_sym_LBRACE,
      anon_sym_LT2,
    ACTIONS(2255), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1559), 4,
      anon_sym_BANG,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [40333] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      anon_sym_pub,
    ACTIONS(2364), 1,
      sym_identifier,
    ACTIONS(2444), 1,
      anon_sym_RBRACE,
    STATE(1473), 1,
      sym_field_declaration,
    STATE(1565), 1,
      sym_visibility_modifier,
    STATE(979), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [40359] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2181), 2,
      anon_sym_LBRACE,
      anon_sym_LT2,
    ACTIONS(2278), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1563), 4,
      anon_sym_BANG,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [40377] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      anon_sym_pub,
    ACTIONS(2364), 1,
      sym_identifier,
    ACTIONS(2446), 1,
      anon_sym_RBRACE,
    STATE(1473), 1,
      sym_field_declaration,
    STATE(1565), 1,
      sym_visibility_modifier,
    STATE(979), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [40403] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      anon_sym_pub,
    ACTIONS(2307), 1,
      sym_identifier,
    STATE(1345), 1,
      sym_enum_variant,
    STATE(1405), 1,
      sym_field_declaration,
    STATE(1584), 1,
      sym_visibility_modifier,
    STATE(1025), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [40429] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2179), 2,
      anon_sym_LBRACE,
      anon_sym_LT2,
    ACTIONS(2283), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1573), 4,
      anon_sym_BANG,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE,
  [40447] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      anon_sym_pub,
    ACTIONS(2364), 1,
      sym_identifier,
    ACTIONS(2448), 1,
      anon_sym_RBRACE,
    STATE(1473), 1,
      sym_field_declaration,
    STATE(1565), 1,
      sym_visibility_modifier,
    STATE(979), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [40473] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      anon_sym_pub,
    ACTIONS(2364), 1,
      sym_identifier,
    ACTIONS(2450), 1,
      anon_sym_RBRACE,
    STATE(1473), 1,
      sym_field_declaration,
    STATE(1565), 1,
      sym_visibility_modifier,
    STATE(979), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [40499] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2452), 1,
      anon_sym_LBRACE,
    STATE(887), 1,
      sym_type_arguments,
    ACTIONS(2245), 4,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [40518] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2201), 1,
      anon_sym_BANG,
    ACTIONS(2454), 1,
      anon_sym_COLON_COLON,
    STATE(879), 1,
      sym_type_arguments,
    ACTIONS(2197), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [40539] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(2458), 1,
      anon_sym_EQ,
    ACTIONS(2460), 1,
      anon_sym_LBRACK,
    ACTIONS(2462), 1,
      anon_sym_RBRACK,
    ACTIONS(2464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2466), 1,
      anon_sym_LPAREN,
    STATE(1555), 1,
      sym_delim_token_tree,
  [40564] = 7,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      anon_sym_pub,
    ACTIONS(2364), 1,
      sym_identifier,
    STATE(1321), 1,
      sym_field_declaration,
    STATE(1565), 1,
      sym_visibility_modifier,
    STATE(1025), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [40587] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(2460), 1,
      anon_sym_LBRACK,
    ACTIONS(2466), 1,
      anon_sym_LPAREN,
    ACTIONS(2468), 1,
      anon_sym_EQ,
    ACTIONS(2470), 1,
      anon_sym_RBRACK,
    ACTIONS(2472), 1,
      anon_sym_COLON_COLON,
    STATE(1559), 1,
      sym_delim_token_tree,
  [40612] = 7,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      anon_sym_pub,
    ACTIONS(2364), 1,
      sym_identifier,
    STATE(1306), 1,
      sym_field_declaration,
    STATE(1565), 1,
      sym_visibility_modifier,
    STATE(1025), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [40635] = 7,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      anon_sym_pub,
    ACTIONS(2364), 1,
      sym_identifier,
    STATE(1400), 1,
      sym_field_declaration,
    STATE(1565), 1,
      sym_visibility_modifier,
    STATE(1025), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [40658] = 7,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      anon_sym_pub,
    ACTIONS(2364), 1,
      sym_identifier,
    STATE(1473), 1,
      sym_field_declaration,
    STATE(1565), 1,
      sym_visibility_modifier,
    STATE(979), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [40681] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(2458), 1,
      anon_sym_EQ,
    ACTIONS(2460), 1,
      anon_sym_LBRACK,
    ACTIONS(2462), 1,
      anon_sym_RBRACK,
    ACTIONS(2466), 1,
      anon_sym_LPAREN,
    ACTIONS(2474), 1,
      anon_sym_COLON_COLON,
    STATE(1555), 1,
      sym_delim_token_tree,
  [40706] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2201), 1,
      anon_sym_BANG,
    ACTIONS(2476), 1,
      anon_sym_COLON_COLON,
    STATE(879), 1,
      sym_type_arguments,
    ACTIONS(2197), 3,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [40727] = 7,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2126), 1,
      anon_sym_LBRACE,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2478), 1,
      anon_sym_STAR,
    STATE(873), 1,
      sym_type_arguments,
    STATE(1175), 1,
      sym_use_list,
    ACTIONS(2480), 2,
      sym_identifier,
      sym_super,
  [40750] = 8,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(2458), 1,
      anon_sym_EQ,
    ACTIONS(2460), 1,
      anon_sym_LBRACK,
    ACTIONS(2462), 1,
      anon_sym_RBRACK,
    ACTIONS(2466), 1,
      anon_sym_LPAREN,
    ACTIONS(2482), 1,
      anon_sym_COLON_COLON,
    STATE(1555), 1,
      sym_delim_token_tree,
  [40775] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2484), 1,
      anon_sym_BANG,
    ACTIONS(2486), 1,
      anon_sym_COLON_COLON,
    STATE(879), 1,
      sym_type_arguments,
    ACTIONS(2197), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [40796] = 7,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2126), 1,
      anon_sym_LBRACE,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2488), 1,
      anon_sym_STAR,
    STATE(872), 1,
      sym_type_arguments,
    STATE(1189), 1,
      sym_use_list,
    ACTIONS(2490), 2,
      sym_identifier,
      sym_super,
  [40819] = 7,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2126), 1,
      anon_sym_LBRACE,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2488), 1,
      anon_sym_STAR,
    STATE(871), 1,
      sym_type_arguments,
    STATE(1189), 1,
      sym_use_list,
    ACTIONS(2490), 2,
      sym_identifier,
      sym_super,
  [40842] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2189), 1,
      anon_sym_BANG,
    ACTIONS(2193), 1,
      anon_sym_LPAREN,
    ACTIONS(2492), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2185), 3,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [40860] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1559), 6,
      anon_sym_BANG,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [40872] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2496), 1,
      anon_sym_COMMA,
    ACTIONS(2498), 1,
      anon_sym_nopanic,
    STATE(1021), 1,
      aux_sym_function_repeat1,
    STATE(1392), 1,
      sym_nopanic,
    ACTIONS(2494), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [40892] = 7,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2197), 1,
      anon_sym_PIPE,
    ACTIONS(2199), 1,
      anon_sym_COLON,
    ACTIONS(2201), 1,
      anon_sym_BANG,
    ACTIONS(2500), 1,
      anon_sym_COLON_COLON,
    STATE(879), 1,
      sym_type_arguments,
  [40914] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2352), 1,
      anon_sym_BANG,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    ACTIONS(2502), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2185), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [40932] = 7,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2442), 1,
      anon_sym_LT2,
    ACTIONS(2504), 1,
      anon_sym_COMMA,
    ACTIONS(2506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2508), 1,
      anon_sym_GT,
    STATE(885), 1,
      sym_type_arguments,
    STATE(1280), 1,
      aux_sym_type_parameters_repeat1,
  [40954] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2496), 1,
      anon_sym_COMMA,
    ACTIONS(2498), 1,
      anon_sym_nopanic,
    STATE(997), 1,
      aux_sym_function_repeat1,
    STATE(1389), 1,
      sym_nopanic,
    ACTIONS(2510), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [40974] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2496), 1,
      anon_sym_COMMA,
    ACTIONS(2498), 1,
      anon_sym_nopanic,
    STATE(990), 1,
      aux_sym_function_repeat1,
    STATE(1454), 1,
      sym_nopanic,
    ACTIONS(2512), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [40994] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2442), 1,
      anon_sym_LT2,
    STATE(887), 1,
      sym_type_arguments,
    ACTIONS(2245), 4,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
  [41010] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2496), 1,
      anon_sym_COMMA,
    ACTIONS(2498), 1,
      anon_sym_nopanic,
    STATE(1021), 1,
      aux_sym_function_repeat1,
    STATE(1367), 1,
      sym_nopanic,
    ACTIONS(2514), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [41030] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2498), 1,
      anon_sym_nopanic,
    ACTIONS(2518), 1,
      anon_sym_DASH_GT,
    ACTIONS(2520), 1,
      anon_sym_implicits,
    STATE(1380), 1,
      sym_nopanic,
    ACTIONS(2516), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [41050] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2496), 1,
      anon_sym_COMMA,
    ACTIONS(2498), 1,
      anon_sym_nopanic,
    STATE(1021), 1,
      aux_sym_function_repeat1,
    STATE(1369), 1,
      sym_nopanic,
    ACTIONS(2522), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [41070] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2496), 1,
      anon_sym_COMMA,
    ACTIONS(2498), 1,
      anon_sym_nopanic,
    STATE(999), 1,
      aux_sym_function_repeat1,
    STATE(1359), 1,
      sym_nopanic,
    ACTIONS(2524), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [41090] = 7,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2442), 1,
      anon_sym_LT2,
    ACTIONS(2506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2526), 1,
      anon_sym_COMMA,
    ACTIONS(2528), 1,
      anon_sym_GT,
    STATE(885), 1,
      sym_type_arguments,
    STATE(1242), 1,
      aux_sym_type_parameters_repeat1,
  [41112] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1563), 6,
      anon_sym_BANG,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [41124] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2496), 1,
      anon_sym_COMMA,
    ACTIONS(2498), 1,
      anon_sym_nopanic,
    STATE(1006), 1,
      aux_sym_function_repeat1,
    STATE(1373), 1,
      sym_nopanic,
    ACTIONS(2530), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [41144] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2189), 1,
      anon_sym_BANG,
    ACTIONS(2193), 1,
      anon_sym_LPAREN,
    ACTIONS(2532), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2185), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [41162] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2498), 1,
      anon_sym_nopanic,
    ACTIONS(2536), 1,
      anon_sym_DASH_GT,
    ACTIONS(2538), 1,
      anon_sym_implicits,
    STATE(1374), 1,
      sym_nopanic,
    ACTIONS(2534), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [41182] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2496), 1,
      anon_sym_COMMA,
    ACTIONS(2498), 1,
      anon_sym_nopanic,
    STATE(1021), 1,
      aux_sym_function_repeat1,
    STATE(1377), 1,
      sym_nopanic,
    ACTIONS(2540), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [41202] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1573), 6,
      anon_sym_BANG,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [41214] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1577), 6,
      anon_sym_BANG,
      anon_sym_COLON_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [41226] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2249), 1,
      anon_sym_SEMI,
    ACTIONS(2542), 1,
      anon_sym_RBRACK,
    ACTIONS(2545), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2185), 2,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [41243] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2551), 1,
      anon_sym_as,
    ACTIONS(2547), 3,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [41258] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2553), 1,
      anon_sym_RBRACE,
    ACTIONS(2555), 1,
      anon_sym_COMMA,
    ACTIONS(2557), 1,
      sym_identifier,
    ACTIONS(2559), 1,
      sym_mutable_specifier,
    STATE(1190), 1,
      sym_field_pattern,
  [41277] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1547), 5,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_GT,
  [41288] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2561), 5,
      anon_sym_LBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LPAREN,
  [41299] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2557), 1,
      sym_identifier,
    ACTIONS(2559), 1,
      sym_mutable_specifier,
    ACTIONS(2563), 1,
      anon_sym_RBRACE,
    ACTIONS(2565), 1,
      anon_sym_COMMA,
    STATE(1338), 1,
      sym_field_pattern,
  [41318] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2567), 5,
      anon_sym_LBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LPAREN,
  [41329] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2569), 5,
      anon_sym_LBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LPAREN,
  [41340] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2571), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_implicits,
      anon_sym_nopanic,
  [41351] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2557), 1,
      sym_identifier,
    ACTIONS(2559), 1,
      sym_mutable_specifier,
    ACTIONS(2573), 1,
      anon_sym_RBRACE,
    ACTIONS(2575), 1,
      anon_sym_COMMA,
    STATE(1330), 1,
      sym_field_pattern,
  [41370] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2577), 1,
      anon_sym_LBRACE,
    ACTIONS(2579), 1,
      anon_sym_SEMI,
    ACTIONS(2581), 1,
      anon_sym_LT,
    STATE(341), 1,
      sym_field_declaration_list,
    STATE(1245), 1,
      sym_type_parameters,
  [41389] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2442), 1,
      anon_sym_LT2,
    ACTIONS(2506), 1,
      anon_sym_COLON_COLON,
    STATE(885), 1,
      sym_type_arguments,
    ACTIONS(2583), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [41406] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2587), 1,
      anon_sym_COMMA,
    STATE(1021), 1,
      aux_sym_function_repeat1,
    ACTIONS(2585), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_nopanic,
  [41421] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2590), 5,
      anon_sym_LBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LPAREN,
  [41432] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2592), 5,
      anon_sym_LBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LPAREN,
  [41443] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2594), 5,
      anon_sym_LBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LPAREN,
  [41454] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2596), 1,
      anon_sym_POUND,
    ACTIONS(1491), 2,
      anon_sym_pub,
      sym_identifier,
    STATE(1025), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [41469] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(2599), 1,
      anon_sym_LBRACE,
    ACTIONS(2601), 1,
      anon_sym_SEMI,
    STATE(311), 1,
      sym_declaration_list,
    STATE(1232), 1,
      sym_type_parameters,
  [41488] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2557), 1,
      sym_identifier,
    ACTIONS(2559), 1,
      sym_mutable_specifier,
    ACTIONS(2603), 1,
      anon_sym_RBRACE,
    ACTIONS(2605), 1,
      anon_sym_COMMA,
    STATE(1172), 1,
      sym_field_pattern,
  [41507] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(2607), 1,
      anon_sym_of,
    ACTIONS(2609), 1,
      anon_sym_COLON,
    ACTIONS(2611), 1,
      anon_sym_EQ,
    STATE(1479), 1,
      sym_type_parameters,
  [41526] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2442), 1,
      anon_sym_LT2,
    ACTIONS(2506), 1,
      anon_sym_COLON_COLON,
    STATE(885), 1,
      sym_type_arguments,
    ACTIONS(2613), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [41543] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2615), 5,
      anon_sym_LBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LPAREN,
  [41554] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1555), 5,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_GT,
  [41565] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2585), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_nopanic,
  [41576] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2442), 1,
      anon_sym_LT2,
    ACTIONS(2506), 1,
      anon_sym_COLON_COLON,
    STATE(885), 1,
      sym_type_arguments,
    ACTIONS(2617), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [41593] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2619), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_implicits,
      anon_sym_nopanic,
  [41604] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2625), 1,
      anon_sym_as,
    ACTIONS(2621), 3,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [41619] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(2627), 1,
      anon_sym_of,
    ACTIONS(2629), 1,
      anon_sym_COLON,
    ACTIONS(2631), 1,
      anon_sym_EQ,
    STATE(1361), 1,
      sym_type_parameters,
  [41638] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2551), 1,
      anon_sym_as,
    ACTIONS(2633), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2547), 3,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [41653] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2185), 1,
      anon_sym_PIPE,
    ACTIONS(2187), 1,
      anon_sym_COLON,
    ACTIONS(2189), 1,
      anon_sym_BANG,
    ACTIONS(2193), 1,
      anon_sym_LPAREN,
    ACTIONS(2635), 1,
      anon_sym_COLON_COLON,
  [41672] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(2637), 1,
      anon_sym_LBRACE,
    ACTIONS(2639), 1,
      anon_sym_SEMI,
    STATE(562), 1,
      sym_field_declaration_list,
    STATE(1268), 1,
      sym_type_parameters,
  [41691] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2641), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_implicits,
      anon_sym_nopanic,
  [41702] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2126), 1,
      anon_sym_LBRACE,
    ACTIONS(2488), 1,
      anon_sym_STAR,
    STATE(1189), 1,
      sym_use_list,
    ACTIONS(2490), 2,
      sym_identifier,
      sym_super,
  [41719] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2551), 1,
      anon_sym_as,
    ACTIONS(2643), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2547), 3,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [41734] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2645), 5,
      anon_sym_LBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LPAREN,
  [41745] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2647), 5,
      anon_sym_LBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LPAREN,
  [41756] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2649), 1,
      anon_sym_POUND,
    ACTIONS(1491), 2,
      sym_numeric_literal,
      sym_identifier,
    STATE(1045), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [41771] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2652), 5,
      anon_sym_LBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LPAREN,
  [41782] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2498), 1,
      anon_sym_nopanic,
    ACTIONS(2656), 1,
      anon_sym_implicits,
    STATE(1461), 1,
      sym_nopanic,
    ACTIONS(2654), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [41799] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(2658), 1,
      anon_sym_LBRACE,
    ACTIONS(2660), 1,
      anon_sym_SEMI,
    STATE(517), 1,
      sym_declaration_list,
    STATE(1260), 1,
      sym_type_parameters,
  [41818] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2498), 1,
      anon_sym_nopanic,
    ACTIONS(2664), 1,
      anon_sym_implicits,
    STATE(1391), 1,
      sym_nopanic,
    ACTIONS(2662), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [41835] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(977), 1,
      anon_sym_RPAREN,
    ACTIONS(2666), 1,
      anon_sym_COMMA,
    STATE(1230), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(2185), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [41852] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2185), 1,
      anon_sym_PIPE,
    ACTIONS(2187), 1,
      anon_sym_COLON,
    ACTIONS(2251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2249), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [41869] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2668), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_implicits,
      anon_sym_nopanic,
  [41880] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2266), 1,
      anon_sym_POUND,
    ACTIONS(2670), 1,
      sym_numeric_literal,
    ACTIONS(2672), 1,
      sym_identifier,
    STATE(1045), 2,
      sym_attribute_item,
      aux_sym_enum_variant_list_repeat1,
  [41897] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(2599), 1,
      anon_sym_LBRACE,
    ACTIONS(2674), 1,
      anon_sym_SEMI,
    STATE(295), 1,
      sym_declaration_list,
    STATE(1243), 1,
      sym_type_parameters,
  [41916] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1551), 5,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_GT,
  [41927] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2577), 1,
      anon_sym_LBRACE,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(2676), 1,
      anon_sym_SEMI,
    STATE(290), 1,
      sym_field_declaration_list,
    STATE(1248), 1,
      sym_type_parameters,
  [41946] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2678), 1,
      anon_sym_COMMA,
    ACTIONS(2680), 1,
      anon_sym_RPAREN,
    STATE(1159), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(2185), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [41963] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2682), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
      anon_sym_implicits,
      anon_sym_nopanic,
  [41974] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(2637), 1,
      anon_sym_LBRACE,
    ACTIONS(2684), 1,
      anon_sym_SEMI,
    STATE(496), 1,
      sym_field_declaration_list,
    STATE(1337), 1,
      sym_type_parameters,
  [41993] = 6,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(2658), 1,
      anon_sym_LBRACE,
    ACTIONS(2686), 1,
      anon_sym_SEMI,
    STATE(554), 1,
      sym_declaration_list,
    STATE(1343), 1,
      sym_type_parameters,
  [42012] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2557), 1,
      sym_identifier,
    ACTIONS(2559), 1,
      sym_mutable_specifier,
    ACTIONS(2688), 1,
      anon_sym_RBRACE,
    STATE(1437), 1,
      sym_field_pattern,
  [42028] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(2690), 1,
      anon_sym_of,
    ACTIONS(2692), 1,
      anon_sym_EQ,
    STATE(1469), 1,
      sym_type_parameters,
  [42044] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2696), 1,
      anon_sym_PIPE,
    ACTIONS(2694), 3,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [42056] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2557), 1,
      sym_identifier,
    ACTIONS(2559), 1,
      sym_mutable_specifier,
    ACTIONS(2698), 1,
      anon_sym_RBRACE,
    STATE(1437), 1,
      sym_field_pattern,
  [42072] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2696), 1,
      anon_sym_PIPE,
    ACTIONS(2700), 1,
      anon_sym_COMMA,
    ACTIONS(2702), 1,
      anon_sym_RPAREN,
    STATE(1310), 1,
      aux_sym_tuple_pattern_repeat1,
  [42088] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2696), 1,
      anon_sym_PIPE,
    ACTIONS(2704), 1,
      anon_sym_COMMA,
    ACTIONS(2706), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym_tuple_pattern_repeat1,
  [42104] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2557), 1,
      sym_identifier,
    ACTIONS(2559), 1,
      sym_mutable_specifier,
    ACTIONS(2708), 1,
      anon_sym_RBRACE,
    STATE(1437), 1,
      sym_field_pattern,
  [42120] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(2710), 1,
      anon_sym_LBRACE,
    STATE(288), 1,
      sym_enum_variant_list,
    STATE(1457), 1,
      sym_type_parameters,
  [42136] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(2712), 1,
      anon_sym_if,
    STATE(792), 2,
      sym_block,
      sym_if_expression,
  [42150] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2201), 1,
      anon_sym_BANG,
    ACTIONS(2442), 1,
      anon_sym_LT2,
    ACTIONS(2714), 1,
      anon_sym_COLON_COLON,
    STATE(879), 1,
      sym_type_arguments,
  [42166] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2557), 1,
      sym_identifier,
    ACTIONS(2559), 1,
      sym_mutable_specifier,
    ACTIONS(2716), 1,
      anon_sym_RBRACE,
    STATE(1437), 1,
      sym_field_pattern,
  [42182] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(2718), 1,
      anon_sym_LBRACE,
    STATE(569), 1,
      sym_enum_variant_list,
    STATE(1360), 1,
      sym_type_parameters,
  [42198] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2332), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2382), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [42210] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(2720), 1,
      anon_sym_of,
    ACTIONS(2722), 1,
      anon_sym_EQ,
    STATE(1358), 1,
      sym_type_parameters,
  [42226] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2724), 1,
      anon_sym_COMMA,
    STATE(1075), 1,
      aux_sym_tuple_pattern_repeat1,
    ACTIONS(2694), 2,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [42240] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2727), 1,
      anon_sym_LBRACE,
    ACTIONS(2729), 1,
      anon_sym_LBRACK,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    STATE(225), 1,
      sym_delim_token_tree,
  [42256] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2500), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2733), 1,
      anon_sym_BANG,
    STATE(879), 1,
      sym_type_arguments,
  [42272] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2557), 1,
      sym_identifier,
    ACTIONS(2559), 1,
      sym_mutable_specifier,
    ACTIONS(2735), 1,
      anon_sym_RBRACE,
    STATE(1437), 1,
      sym_field_pattern,
  [42288] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1886), 1,
      anon_sym_GT,
    ACTIONS(2737), 1,
      anon_sym_COMMA,
    ACTIONS(2739), 1,
      anon_sym_COLON_COLON,
    STATE(1241), 1,
      aux_sym_type_parameters_repeat1,
  [42304] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2332), 1,
      anon_sym_SEMI,
    ACTIONS(2741), 1,
      anon_sym_RBRACK,
    ACTIONS(2382), 2,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [42318] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2557), 1,
      sym_identifier,
    ACTIONS(2559), 1,
      sym_mutable_specifier,
    ACTIONS(2744), 1,
      anon_sym_RBRACE,
    STATE(1437), 1,
      sym_field_pattern,
  [42334] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2557), 1,
      sym_identifier,
    ACTIONS(2559), 1,
      sym_mutable_specifier,
    ACTIONS(2746), 1,
      anon_sym_RBRACE,
    STATE(1437), 1,
      sym_field_pattern,
  [42350] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2748), 1,
      sym_identifier,
    ACTIONS(2750), 1,
      sym_super,
    STATE(872), 1,
      sym_type_arguments,
  [42366] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1886), 1,
      anon_sym_GT,
    ACTIONS(2258), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2737), 1,
      anon_sym_COMMA,
    STATE(1241), 1,
      aux_sym_type_parameters_repeat1,
  [42382] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2748), 1,
      sym_identifier,
    ACTIONS(2750), 1,
      sym_super,
    STATE(871), 1,
      sym_type_arguments,
  [42398] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2754), 1,
      anon_sym_LPAREN,
    ACTIONS(2245), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [42412] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2750), 1,
      sym_super,
    ACTIONS(2756), 1,
      sym_identifier,
    STATE(872), 1,
      sym_type_arguments,
  [42428] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2758), 1,
      sym_identifier,
    ACTIONS(2760), 1,
      sym_super,
    STATE(873), 1,
      sym_type_arguments,
  [42444] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2428), 1,
      anon_sym_PIPE,
    ACTIONS(2762), 1,
      anon_sym_SEMI,
    ACTIONS(2764), 1,
      anon_sym_COLON,
    ACTIONS(2766), 1,
      anon_sym_EQ,
  [42460] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2750), 1,
      sym_super,
    ACTIONS(2756), 1,
      sym_identifier,
    STATE(871), 1,
      sym_type_arguments,
  [42476] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2768), 1,
      sym_identifier,
    ACTIONS(2770), 1,
      sym_super,
    STATE(873), 1,
      sym_type_arguments,
  [42492] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2727), 1,
      anon_sym_LBRACE,
    ACTIONS(2729), 1,
      anon_sym_LBRACK,
    ACTIONS(2731), 1,
      anon_sym_LPAREN,
    STATE(230), 1,
      sym_delim_token_tree,
  [42508] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2770), 1,
      sym_super,
    ACTIONS(2772), 1,
      sym_identifier,
    STATE(873), 1,
      sym_type_arguments,
  [42524] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2774), 1,
      anon_sym_LT2,
    ACTIONS(2776), 1,
      sym_identifier,
    ACTIONS(2778), 1,
      sym_super,
    STATE(682), 1,
      sym_type_arguments,
  [42540] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2696), 1,
      anon_sym_PIPE,
    ACTIONS(2780), 1,
      anon_sym_COMMA,
    ACTIONS(2782), 1,
      anon_sym_RPAREN,
    STATE(1327), 1,
      aux_sym_tuple_pattern_repeat1,
  [42556] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2696), 1,
      anon_sym_PIPE,
    ACTIONS(2784), 1,
      anon_sym_RBRACK,
    ACTIONS(2786), 1,
      anon_sym_COMMA,
    STATE(1325), 1,
      aux_sym_tuple_pattern_repeat1,
  [42572] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2774), 1,
      anon_sym_LT2,
    ACTIONS(2776), 1,
      sym_identifier,
    ACTIONS(2778), 1,
      sym_super,
    STATE(668), 1,
      sym_type_arguments,
  [42588] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2442), 1,
      anon_sym_LT2,
    ACTIONS(2480), 1,
      sym_super,
    ACTIONS(2768), 1,
      sym_identifier,
    STATE(873), 1,
      sym_type_arguments,
  [42604] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2442), 1,
      anon_sym_LT2,
    ACTIONS(2490), 1,
      sym_super,
    ACTIONS(2748), 1,
      sym_identifier,
    STATE(871), 1,
      sym_type_arguments,
  [42620] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2442), 1,
      anon_sym_LT2,
    ACTIONS(2490), 1,
      sym_super,
    ACTIONS(2748), 1,
      sym_identifier,
    STATE(872), 1,
      sym_type_arguments,
  [42636] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2490), 1,
      sym_super,
    ACTIONS(2788), 1,
      sym_identifier,
    STATE(724), 1,
      sym_type_arguments,
  [42652] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2490), 1,
      sym_super,
    ACTIONS(2788), 1,
      sym_identifier,
    STATE(725), 1,
      sym_type_arguments,
  [42668] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2790), 1,
      anon_sym_LBRACE,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2794), 1,
      anon_sym_LPAREN,
    STATE(869), 1,
      sym_delim_token_tree,
  [42684] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2696), 1,
      anon_sym_PIPE,
    ACTIONS(2796), 1,
      anon_sym_COMMA,
    ACTIONS(2798), 1,
      anon_sym_RPAREN,
    STATE(1167), 1,
      aux_sym_tuple_pattern_repeat1,
  [42700] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2258), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2800), 1,
      anon_sym_COMMA,
    ACTIONS(2802), 1,
      anon_sym_GT,
    STATE(1289), 1,
      aux_sym_type_parameters_repeat1,
  [42716] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2480), 1,
      sym_super,
    ACTIONS(2804), 1,
      sym_identifier,
    STATE(873), 1,
      sym_type_arguments,
  [42732] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2696), 1,
      anon_sym_PIPE,
    ACTIONS(2806), 1,
      anon_sym_RBRACK,
    ACTIONS(2808), 1,
      anon_sym_COMMA,
    STATE(1169), 1,
      aux_sym_tuple_pattern_repeat1,
  [42748] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2790), 1,
      anon_sym_LBRACE,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(2794), 1,
      anon_sym_LPAREN,
    STATE(868), 1,
      sym_delim_token_tree,
  [42764] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2739), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2800), 1,
      anon_sym_COMMA,
    ACTIONS(2802), 1,
      anon_sym_GT,
    STATE(1289), 1,
      aux_sym_type_parameters_repeat1,
  [42780] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2696), 1,
      anon_sym_PIPE,
    ACTIONS(2810), 1,
      anon_sym_SEMI,
    ACTIONS(2812), 1,
      anon_sym_COLON,
    ACTIONS(2814), 1,
      anon_sym_EQ,
  [42796] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(2718), 1,
      anon_sym_LBRACE,
    STATE(552), 1,
      sym_enum_variant_list,
    STATE(1419), 1,
      sym_type_parameters,
  [42812] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(821), 1,
      anon_sym_LBRACE,
    ACTIONS(2816), 1,
      anon_sym_if,
    STATE(257), 2,
      sym_block,
      sym_if_expression,
  [42826] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(2631), 1,
      anon_sym_EQ,
    ACTIONS(2818), 1,
      anon_sym_SEMI,
    STATE(1442), 1,
      sym_type_parameters,
  [42842] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2245), 1,
      anon_sym_SEMI,
    ACTIONS(2820), 1,
      anon_sym_RBRACK,
    ACTIONS(2185), 2,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [42856] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2823), 1,
      anon_sym_LBRACE,
    ACTIONS(2825), 1,
      anon_sym_LBRACK,
    ACTIONS(2827), 1,
      anon_sym_LPAREN,
    STATE(1178), 1,
      sym_delim_token_tree,
  [42872] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2823), 1,
      anon_sym_LBRACE,
    ACTIONS(2825), 1,
      anon_sym_LBRACK,
    ACTIONS(2827), 1,
      anon_sym_LPAREN,
    STATE(1182), 1,
      sym_delim_token_tree,
  [42888] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    STATE(873), 1,
      sym_type_arguments,
    ACTIONS(2770), 2,
      sym_identifier,
      sym_super,
  [42902] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    STATE(871), 1,
      sym_type_arguments,
    ACTIONS(2750), 2,
      sym_identifier,
      sym_super,
  [42916] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    STATE(872), 1,
      sym_type_arguments,
    ACTIONS(2750), 2,
      sym_identifier,
      sym_super,
  [42930] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    STATE(872), 1,
      sym_type_arguments,
    ACTIONS(2490), 2,
      sym_identifier,
      sym_super,
  [42944] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    STATE(871), 1,
      sym_type_arguments,
    ACTIONS(2490), 2,
      sym_identifier,
      sym_super,
  [42958] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    STATE(873), 1,
      sym_type_arguments,
    ACTIONS(2480), 2,
      sym_identifier,
      sym_super,
  [42972] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2829), 1,
      sym_identifier,
    ACTIONS(2831), 1,
      sym_super,
    STATE(873), 1,
      sym_type_arguments,
  [42988] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2833), 1,
      sym_identifier,
    ACTIONS(2835), 1,
      sym_super,
    STATE(871), 1,
      sym_type_arguments,
  [43004] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_LBRACE,
    ACTIONS(2837), 1,
      anon_sym_if,
    STATE(70), 2,
      sym_block,
      sym_if_expression,
  [43018] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2833), 1,
      sym_identifier,
    ACTIONS(2835), 1,
      sym_super,
    STATE(872), 1,
      sym_type_arguments,
  [43034] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2185), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(2839), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [43046] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2770), 1,
      sym_super,
    ACTIONS(2829), 1,
      sym_identifier,
    STATE(873), 1,
      sym_type_arguments,
  [43062] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2750), 1,
      sym_super,
    ACTIONS(2833), 1,
      sym_identifier,
    STATE(871), 1,
      sym_type_arguments,
  [43078] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2750), 1,
      sym_super,
    ACTIONS(2833), 1,
      sym_identifier,
    STATE(872), 1,
      sym_type_arguments,
  [43094] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2770), 1,
      sym_super,
    ACTIONS(2841), 1,
      sym_identifier,
    STATE(873), 1,
      sym_type_arguments,
  [43110] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2696), 1,
      anon_sym_PIPE,
    ACTIONS(2843), 1,
      anon_sym_COMMA,
    ACTIONS(2845), 1,
      anon_sym_RPAREN,
    STATE(1274), 1,
      aux_sym_tuple_pattern_repeat1,
  [43126] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2750), 1,
      sym_super,
    ACTIONS(2847), 1,
      sym_identifier,
    STATE(871), 1,
      sym_type_arguments,
  [43142] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2750), 1,
      sym_super,
    ACTIONS(2847), 1,
      sym_identifier,
    STATE(872), 1,
      sym_type_arguments,
  [43158] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2490), 1,
      sym_super,
    ACTIONS(2849), 1,
      sym_identifier,
    STATE(433), 1,
      sym_type_arguments,
  [43174] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2696), 1,
      anon_sym_PIPE,
    ACTIONS(2851), 1,
      anon_sym_COMMA,
    ACTIONS(2853), 1,
      anon_sym_RPAREN,
    STATE(1302), 1,
      aux_sym_tuple_pattern_repeat1,
  [43190] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2490), 1,
      sym_super,
    ACTIONS(2849), 1,
      sym_identifier,
    STATE(441), 1,
      sym_type_arguments,
  [43206] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2185), 1,
      anon_sym_PIPE,
    ACTIONS(2855), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2542), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [43220] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(2460), 1,
      anon_sym_LBRACK,
    ACTIONS(2466), 1,
      anon_sym_LPAREN,
    STATE(71), 1,
      sym_delim_token_tree,
  [43236] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2557), 1,
      sym_identifier,
    ACTIONS(2559), 1,
      sym_mutable_specifier,
    ACTIONS(2857), 1,
      anon_sym_RBRACE,
    STATE(1437), 1,
      sym_field_pattern,
  [43252] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2480), 1,
      sym_super,
    ACTIONS(2859), 1,
      sym_identifier,
    STATE(873), 1,
      sym_type_arguments,
  [43268] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(2460), 1,
      anon_sym_LBRACK,
    ACTIONS(2466), 1,
      anon_sym_LPAREN,
    STATE(77), 1,
      sym_delim_token_tree,
  [43284] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2428), 1,
      anon_sym_PIPE,
    ACTIONS(2861), 1,
      anon_sym_SEMI,
    ACTIONS(2863), 1,
      anon_sym_COLON,
    ACTIONS(2865), 1,
      anon_sym_EQ,
  [43300] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2126), 1,
      anon_sym_LBRACE,
    STATE(1293), 1,
      sym_use_list,
    ACTIONS(2867), 2,
      sym_identifier,
      sym_super,
  [43314] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2696), 1,
      anon_sym_PIPE,
    ACTIONS(2869), 1,
      anon_sym_SEMI,
    ACTIONS(2871), 1,
      anon_sym_COLON,
    ACTIONS(2873), 1,
      anon_sym_EQ,
  [43330] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(2875), 1,
      anon_sym_LPAREN,
    STATE(998), 1,
      sym_parameters,
    STATE(1458), 1,
      sym_type_parameters,
  [43346] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2754), 1,
      anon_sym_LPAREN,
    ACTIONS(2877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2245), 2,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [43360] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2185), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(2879), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [43372] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(2710), 1,
      anon_sym_LBRACE,
    STATE(335), 1,
      sym_enum_variant_list,
    STATE(1462), 1,
      sym_type_parameters,
  [43388] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_LBRACE,
    ACTIONS(2881), 1,
      anon_sym_if,
    STATE(70), 2,
      sym_block,
      sym_if_expression,
  [43402] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(2611), 1,
      anon_sym_EQ,
    ACTIONS(2883), 1,
      anon_sym_SEMI,
    STATE(1485), 1,
      sym_type_parameters,
  [43418] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2247), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2754), 1,
      anon_sym_LPAREN,
    ACTIONS(2245), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [43432] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2185), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(2245), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [43444] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2442), 1,
      anon_sym_LT2,
    ACTIONS(2770), 1,
      sym_super,
    ACTIONS(2772), 1,
      sym_identifier,
    STATE(873), 1,
      sym_type_arguments,
  [43460] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2442), 1,
      anon_sym_LT2,
    ACTIONS(2750), 1,
      sym_super,
    ACTIONS(2756), 1,
      sym_identifier,
    STATE(871), 1,
      sym_type_arguments,
  [43476] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2442), 1,
      anon_sym_LT2,
    ACTIONS(2750), 1,
      sym_super,
    ACTIONS(2756), 1,
      sym_identifier,
    STATE(872), 1,
      sym_type_arguments,
  [43492] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2885), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2185), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [43504] = 5,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2201), 1,
      anon_sym_BANG,
    ACTIONS(2500), 1,
      anon_sym_COLON_COLON,
    STATE(879), 1,
      sym_type_arguments,
  [43520] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(977), 1,
      anon_sym_RPAREN,
    ACTIONS(2666), 1,
      anon_sym_COMMA,
    STATE(1231), 1,
      aux_sym_parameters_repeat1,
  [43533] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2887), 3,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [43542] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2382), 1,
      anon_sym_PIPE,
    ACTIONS(2741), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [43553] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2891), 1,
      anon_sym_COLON,
    ACTIONS(2889), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [43564] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(2722), 1,
      anon_sym_EQ,
    STATE(1640), 1,
      sym_type_parameters,
  [43577] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2893), 3,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [43586] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2895), 1,
      anon_sym_COMMA,
    ACTIONS(2897), 1,
      anon_sym_GT,
    STATE(1316), 1,
      aux_sym_type_arguments_repeat1,
  [43599] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    ACTIONS(2899), 1,
      anon_sym_SEMI,
    STATE(319), 1,
      sym_block,
  [43612] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1493), 1,
      anon_sym_RPAREN,
    ACTIONS(2901), 1,
      anon_sym_COMMA,
    STATE(1075), 1,
      aux_sym_tuple_pattern_repeat1,
  [43625] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2148), 1,
      anon_sym_RBRACE,
    ACTIONS(2903), 1,
      anon_sym_COMMA,
    STATE(1270), 1,
      aux_sym_use_list_repeat1,
  [43638] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1477), 1,
      anon_sym_RBRACK,
    ACTIONS(2905), 1,
      anon_sym_COMMA,
    STATE(1075), 1,
      aux_sym_tuple_pattern_repeat1,
  [43651] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2907), 3,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [43660] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(493), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [43669] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2909), 1,
      anon_sym_RBRACE,
    ACTIONS(2911), 1,
      anon_sym_COMMA,
    STATE(1272), 1,
      aux_sym_struct_pattern_repeat1,
  [43682] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1567), 1,
      anon_sym_LBRACE,
    ACTIONS(2913), 1,
      anon_sym_COLON_COLON,
    STATE(451), 1,
      sym_field_initializer_list,
  [43695] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2185), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [43704] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2915), 3,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [43713] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1243), 1,
      anon_sym_POUND,
    ACTIONS(1245), 2,
      sym_numeric_literal,
      sym_identifier,
  [43724] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2374), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [43733] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(544), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [43742] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2374), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [43751] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2917), 3,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [43760] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(477), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [43769] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(524), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [43778] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2678), 1,
      anon_sym_COMMA,
    ACTIONS(2680), 1,
      anon_sym_RPAREN,
    STATE(1159), 1,
      aux_sym_parameters_repeat1,
  [43791] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2185), 1,
      anon_sym_PIPE,
    ACTIONS(2820), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [43802] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2919), 3,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [43811] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2921), 3,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [43820] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2557), 1,
      sym_identifier,
    ACTIONS(2559), 1,
      sym_mutable_specifier,
    STATE(1437), 1,
      sym_field_pattern,
  [43833] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2696), 1,
      anon_sym_PIPE,
    ACTIONS(2923), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [43844] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2925), 3,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [43853] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2927), 1,
      anon_sym_RBRACE,
    ACTIONS(2929), 1,
      anon_sym_COMMA,
    STATE(1309), 1,
      aux_sym_struct_pattern_repeat1,
  [43866] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2223), 1,
      anon_sym_fn,
    ACTIONS(2931), 1,
      anon_sym_type,
    STATE(1496), 1,
      sym_function,
  [43879] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2933), 1,
      anon_sym_PIPE,
    ACTIONS(2935), 1,
      anon_sym_EQ_GT,
    ACTIONS(2937), 1,
      anon_sym_if,
  [43892] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(481), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [43901] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2599), 1,
      anon_sym_LBRACE,
    ACTIONS(2939), 1,
      anon_sym_SEMI,
    STATE(336), 1,
      sym_declaration_list,
  [43914] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2739), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2941), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [43925] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2943), 1,
      anon_sym_RBRACE,
    ACTIONS(2945), 1,
      anon_sym_COMMA,
    STATE(1324), 1,
      aux_sym_enum_variant_list_repeat2,
  [43938] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(489), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [43947] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(508), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [43956] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2949), 1,
      anon_sym_COLON,
    ACTIONS(2947), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [43967] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2258), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2941), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [43978] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2585), 1,
      anon_sym_RPAREN,
    ACTIONS(2951), 1,
      anon_sym_COMMA,
    STATE(1201), 1,
      aux_sym_function_repeat1,
  [43991] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1243), 1,
      anon_sym_POUND,
    ACTIONS(1245), 2,
      anon_sym_pub,
      sym_identifier,
  [44002] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1966), 1,
      anon_sym_RPAREN,
    ACTIONS(2954), 1,
      anon_sym_COMMA,
    STATE(1203), 1,
      aux_sym_arguments_repeat1,
  [44015] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2957), 1,
      anon_sym_RBRACE,
    ACTIONS(2959), 1,
      anon_sym_COMMA,
    STATE(1301), 1,
      aux_sym_field_declaration_list_repeat1,
  [44028] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2386), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [44037] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2452), 1,
      anon_sym_LBRACE,
    STATE(887), 1,
      sym_type_arguments,
  [44050] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(708), 1,
      anon_sym_RBRACK,
    ACTIONS(1892), 1,
      anon_sym_COMMA,
    STATE(1208), 1,
      aux_sym_array_expression_repeat1,
  [44063] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1958), 1,
      anon_sym_RBRACK,
    ACTIONS(2961), 1,
      anon_sym_COMMA,
    STATE(1208), 1,
      aux_sym_array_expression_repeat1,
  [44076] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2599), 1,
      anon_sym_LBRACE,
    ACTIONS(2964), 1,
      anon_sym_SEMI,
    STATE(337), 1,
      sym_declaration_list,
  [44089] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2966), 3,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [44098] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2382), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [44107] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2223), 1,
      anon_sym_fn,
    ACTIONS(2968), 1,
      anon_sym_type,
    STATE(1598), 1,
      sym_function,
  [44120] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2394), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [44129] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2970), 1,
      anon_sym_in,
    ACTIONS(2972), 2,
      sym_super,
      sym_crate,
  [44140] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    ACTIONS(2974), 1,
      anon_sym_LBRACE,
    STATE(887), 1,
      sym_type_arguments,
  [44153] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2976), 3,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [44162] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2223), 1,
      anon_sym_fn,
    ACTIONS(2978), 1,
      anon_sym_type,
    STATE(1518), 1,
      sym_function,
  [44175] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(2980), 1,
      anon_sym_SEMI,
    STATE(563), 1,
      sym_block,
  [44188] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1829), 1,
      anon_sym_LBRACE,
    ACTIONS(2982), 1,
      anon_sym_COLON_COLON,
    STATE(799), 1,
      sym_field_initializer_list,
  [44201] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2984), 1,
      anon_sym_RBRACE,
    ACTIONS(2986), 1,
      anon_sym_COMMA,
    STATE(1220), 1,
      aux_sym_struct_pattern_repeat1,
  [44214] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2428), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [44223] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1567), 1,
      anon_sym_LBRACE,
    ACTIONS(2989), 1,
      anon_sym_COLON_COLON,
    STATE(451), 1,
      sym_field_initializer_list,
  [44236] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2991), 1,
      anon_sym_in,
    ACTIONS(2993), 2,
      sym_super,
      sym_crate,
  [44247] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2696), 1,
      anon_sym_PIPE,
    ACTIONS(2995), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [44258] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2997), 1,
      anon_sym_COMMA,
    ACTIONS(3000), 1,
      anon_sym_GT,
    STATE(1225), 1,
      aux_sym_type_arguments_repeat1,
  [44271] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    ACTIONS(3002), 1,
      anon_sym_SEMI,
    STATE(309), 1,
      sym_block,
  [44284] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2223), 1,
      anon_sym_fn,
    ACTIONS(3004), 1,
      anon_sym_type,
    STATE(1611), 1,
      sym_function,
  [44297] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2658), 1,
      anon_sym_LBRACE,
    ACTIONS(3006), 1,
      anon_sym_SEMI,
    STATE(543), 1,
      sym_declaration_list,
  [44310] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2293), 1,
      anon_sym_RBRACE,
    ACTIONS(3008), 1,
      anon_sym_COMMA,
    STATE(1266), 1,
      aux_sym_field_initializer_list_repeat1,
  [44323] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(973), 1,
      anon_sym_RPAREN,
    ACTIONS(3010), 1,
      anon_sym_COMMA,
    STATE(1231), 1,
      aux_sym_parameters_repeat1,
  [44336] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2839), 1,
      anon_sym_RPAREN,
    ACTIONS(3012), 1,
      anon_sym_COMMA,
    STATE(1231), 1,
      aux_sym_parameters_repeat1,
  [44349] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2599), 1,
      anon_sym_LBRACE,
    ACTIONS(3015), 1,
      anon_sym_SEMI,
    STATE(333), 1,
      sym_declaration_list,
  [44362] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2388), 1,
      anon_sym_RBRACE,
    ACTIONS(3017), 1,
      anon_sym_COMMA,
    STATE(1234), 1,
      aux_sym_enum_variant_list_repeat2,
  [44375] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3019), 1,
      anon_sym_RBRACE,
    ACTIONS(3021), 1,
      anon_sym_COMMA,
    STATE(1234), 1,
      aux_sym_enum_variant_list_repeat2,
  [44388] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3026), 1,
      anon_sym_COLON,
    ACTIONS(3024), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [44399] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2450), 1,
      anon_sym_RBRACE,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    STATE(1238), 1,
      aux_sym_field_declaration_list_repeat1,
  [44412] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(718), 1,
      anon_sym_RBRACK,
    ACTIONS(1845), 1,
      anon_sym_COMMA,
    STATE(1208), 1,
      aux_sym_array_expression_repeat1,
  [44425] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3030), 1,
      anon_sym_RBRACE,
    ACTIONS(3032), 1,
      anon_sym_COMMA,
    STATE(1238), 1,
      aux_sym_field_declaration_list_repeat1,
  [44438] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(598), 1,
      anon_sym_RPAREN,
    ACTIONS(1902), 1,
      anon_sym_COMMA,
    STATE(1203), 1,
      aux_sym_arguments_repeat1,
  [44451] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(598), 1,
      anon_sym_RPAREN,
    ACTIONS(1902), 1,
      anon_sym_COMMA,
    STATE(1265), 1,
      aux_sym_arguments_repeat1,
  [44464] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1878), 1,
      anon_sym_GT,
    ACTIONS(3035), 1,
      anon_sym_COMMA,
    STATE(1249), 1,
      aux_sym_type_parameters_repeat1,
  [44477] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1882), 1,
      anon_sym_GT,
    ACTIONS(3037), 1,
      anon_sym_COMMA,
    STATE(1249), 1,
      aux_sym_type_parameters_repeat1,
  [44490] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2599), 1,
      anon_sym_LBRACE,
    ACTIONS(3039), 1,
      anon_sym_SEMI,
    STATE(268), 1,
      sym_declaration_list,
  [44503] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2800), 1,
      anon_sym_COMMA,
    ACTIONS(2802), 1,
      anon_sym_GT,
    STATE(1289), 1,
      aux_sym_type_parameters_repeat1,
  [44516] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2577), 1,
      anon_sym_LBRACE,
    ACTIONS(3041), 1,
      anon_sym_SEMI,
    STATE(302), 1,
      sym_field_declaration_list,
  [44529] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2370), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [44538] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1541), 1,
      anon_sym_GT,
    ACTIONS(3043), 1,
      anon_sym_COMMA,
    STATE(1225), 1,
      aux_sym_type_arguments_repeat1,
  [44551] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2577), 1,
      anon_sym_LBRACE,
    ACTIONS(3045), 1,
      anon_sym_SEMI,
    STATE(266), 1,
      sym_field_declaration_list,
  [44564] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3047), 1,
      anon_sym_COMMA,
    ACTIONS(3050), 1,
      anon_sym_GT,
    STATE(1249), 1,
      aux_sym_type_parameters_repeat1,
  [44577] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2739), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3050), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [44588] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(3052), 1,
      anon_sym_SEMI,
    STATE(1533), 1,
      sym_type_parameters,
  [44601] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2376), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [44610] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2410), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [44619] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3054), 1,
      anon_sym_COMMA,
    ACTIONS(3056), 1,
      anon_sym_GT,
    STATE(1247), 1,
      aux_sym_type_arguments_repeat1,
  [44632] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    ACTIONS(3058), 1,
      anon_sym_SEMI,
    STATE(501), 1,
      sym_block,
  [44645] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2258), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3050), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [44656] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2442), 1,
      anon_sym_LT2,
    ACTIONS(3060), 1,
      anon_sym_COLON_COLON,
    STATE(879), 1,
      sym_type_arguments,
  [44669] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2426), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [44678] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2434), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [44687] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2658), 1,
      anon_sym_LBRACE,
    ACTIONS(3062), 1,
      anon_sym_SEMI,
    STATE(506), 1,
      sym_declaration_list,
  [44700] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2432), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [44709] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1854), 1,
      anon_sym_RPAREN,
    ACTIONS(3064), 1,
      anon_sym_COMMA,
    STATE(1201), 1,
      aux_sym_function_repeat1,
  [44722] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2599), 1,
      anon_sym_LBRACE,
    ACTIONS(3066), 1,
      anon_sym_SEMI,
    STATE(307), 1,
      sym_declaration_list,
  [44735] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(702), 1,
      anon_sym_RBRACK,
    ACTIONS(1825), 1,
      anon_sym_COMMA,
    STATE(1208), 1,
      aux_sym_array_expression_repeat1,
  [44748] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(602), 1,
      anon_sym_RPAREN,
    ACTIONS(3068), 1,
      anon_sym_COMMA,
    STATE(1203), 1,
      aux_sym_arguments_repeat1,
  [44761] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3070), 1,
      anon_sym_RBRACE,
    ACTIONS(3072), 1,
      anon_sym_COMMA,
    STATE(1266), 1,
      aux_sym_field_initializer_list_repeat1,
  [44774] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3077), 1,
      anon_sym_COLON,
    ACTIONS(3075), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [44785] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2637), 1,
      anon_sym_LBRACE,
    ACTIONS(3079), 1,
      anon_sym_SEMI,
    STATE(541), 1,
      sym_field_declaration_list,
  [44798] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3081), 1,
      anon_sym_COMMA,
    ACTIONS(3083), 1,
      anon_sym_RPAREN,
    STATE(1262), 1,
      aux_sym_function_repeat1,
  [44811] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3085), 1,
      anon_sym_RBRACE,
    ACTIONS(3087), 1,
      anon_sym_COMMA,
    STATE(1270), 1,
      aux_sym_use_list_repeat1,
  [44824] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3090), 3,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [44833] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2746), 1,
      anon_sym_RBRACE,
    ACTIONS(3092), 1,
      anon_sym_COMMA,
    STATE(1220), 1,
      aux_sym_struct_pattern_repeat1,
  [44846] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2658), 1,
      anon_sym_LBRACE,
    ACTIONS(3094), 1,
      anon_sym_SEMI,
    STATE(524), 1,
      sym_declaration_list,
  [44859] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1509), 1,
      anon_sym_RPAREN,
    ACTIONS(3096), 1,
      anon_sym_COMMA,
    STATE(1075), 1,
      aux_sym_tuple_pattern_repeat1,
  [44872] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2414), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [44881] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2406), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [44890] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2258), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3098), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [44901] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2739), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3098), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [44912] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2404), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [44921] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1890), 1,
      anon_sym_GT,
    ACTIONS(3100), 1,
      anon_sym_COMMA,
    STATE(1249), 1,
      aux_sym_type_parameters_repeat1,
  [44934] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3102), 1,
      anon_sym_RBRACE,
    ACTIONS(3104), 1,
      anon_sym_COMMA,
    STATE(1168), 1,
      aux_sym_use_list_repeat1,
  [44947] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2392), 1,
      anon_sym_RBRACE,
    ACTIONS(3106), 1,
      anon_sym_COMMA,
    STATE(1234), 1,
      aux_sym_enum_variant_list_repeat2,
  [44960] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2430), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [44969] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2390), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [44978] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2396), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [44987] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2348), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [44996] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2384), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [45005] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2599), 1,
      anon_sym_LBRACE,
    ACTIONS(3108), 1,
      anon_sym_SEMI,
    STATE(275), 1,
      sym_declaration_list,
  [45018] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1886), 1,
      anon_sym_GT,
    ACTIONS(2737), 1,
      anon_sym_COMMA,
    STATE(1249), 1,
      aux_sym_type_parameters_repeat1,
  [45031] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2444), 1,
      anon_sym_RBRACE,
    ACTIONS(3110), 1,
      anon_sym_COMMA,
    STATE(1238), 1,
      aux_sym_field_declaration_list_repeat1,
  [45044] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1886), 1,
      anon_sym_GT,
    ACTIONS(2737), 1,
      anon_sym_COMMA,
    STATE(1241), 1,
      aux_sym_type_parameters_repeat1,
  [45057] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2380), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [45066] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3112), 3,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [45075] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3114), 1,
      anon_sym_RBRACE,
    ACTIONS(3116), 1,
      anon_sym_COMMA,
    STATE(1349), 1,
      aux_sym_field_initializer_list_repeat1,
  [45088] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2599), 1,
      anon_sym_LBRACE,
    ACTIONS(3118), 1,
      anon_sym_SEMI,
    STATE(285), 1,
      sym_declaration_list,
  [45101] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2658), 1,
      anon_sym_LBRACE,
    ACTIONS(3120), 1,
      anon_sym_SEMI,
    STATE(538), 1,
      sym_declaration_list,
  [45114] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(600), 1,
      anon_sym_RPAREN,
    ACTIONS(3122), 1,
      anon_sym_COMMA,
    STATE(1203), 1,
      aux_sym_arguments_repeat1,
  [45127] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1906), 1,
      anon_sym_COMMA,
    ACTIONS(1908), 1,
      anon_sym_RPAREN,
    STATE(1347), 1,
      aux_sym_arguments_repeat1,
  [45140] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(720), 1,
      anon_sym_RBRACK,
    ACTIONS(3124), 1,
      anon_sym_COMMA,
    STATE(1208), 1,
      aux_sym_array_expression_repeat1,
  [45153] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2658), 1,
      anon_sym_LBRACE,
    ACTIONS(3126), 1,
      anon_sym_SEMI,
    STATE(556), 1,
      sym_declaration_list,
  [45166] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2446), 1,
      anon_sym_RBRACE,
    ACTIONS(3128), 1,
      anon_sym_COMMA,
    STATE(1238), 1,
      aux_sym_field_declaration_list_repeat1,
  [45179] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1503), 1,
      anon_sym_RPAREN,
    ACTIONS(3130), 1,
      anon_sym_COMMA,
    STATE(1075), 1,
      aux_sym_tuple_pattern_repeat1,
  [45192] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2372), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [45201] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2716), 1,
      anon_sym_RBRACE,
    ACTIONS(3132), 1,
      anon_sym_COMMA,
    STATE(1220), 1,
      aux_sym_struct_pattern_repeat1,
  [45214] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(3134), 1,
      anon_sym_SEMI,
    STATE(1634), 1,
      sym_type_parameters,
  [45227] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2446), 1,
      anon_sym_RBRACE,
    ACTIONS(3128), 1,
      anon_sym_COMMA,
    STATE(1236), 1,
      aux_sym_field_declaration_list_repeat1,
  [45240] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2398), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [45249] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2658), 1,
      anon_sym_LBRACE,
    ACTIONS(3136), 1,
      anon_sym_SEMI,
    STATE(528), 1,
      sym_declaration_list,
  [45262] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2708), 1,
      anon_sym_RBRACE,
    ACTIONS(3138), 1,
      anon_sym_COMMA,
    STATE(1220), 1,
      aux_sym_struct_pattern_repeat1,
  [45275] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1481), 1,
      anon_sym_RPAREN,
    ACTIONS(3140), 1,
      anon_sym_COMMA,
    STATE(1075), 1,
      aux_sym_tuple_pattern_repeat1,
  [45288] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2366), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [45297] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(3142), 1,
      anon_sym_SEMI,
    STATE(1514), 1,
      sym_type_parameters,
  [45310] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1485), 1,
      anon_sym_RPAREN,
    ACTIONS(3144), 1,
      anon_sym_COMMA,
    STATE(1075), 1,
      aux_sym_tuple_pattern_repeat1,
  [45323] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2698), 1,
      anon_sym_RBRACE,
    ACTIONS(3146), 1,
      anon_sym_COMMA,
    STATE(1220), 1,
      aux_sym_struct_pattern_repeat1,
  [45336] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1535), 1,
      anon_sym_GT,
    ACTIONS(3148), 1,
      anon_sym_COMMA,
    STATE(1225), 1,
      aux_sym_type_arguments_repeat1,
  [45349] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1539), 1,
      anon_sym_GT,
    ACTIONS(3150), 1,
      anon_sym_COMMA,
    STATE(1225), 1,
      aux_sym_type_arguments_repeat1,
  [45362] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(704), 1,
      anon_sym_RBRACK,
    ACTIONS(1904), 1,
      anon_sym_COMMA,
    STATE(1208), 1,
      aux_sym_array_expression_repeat1,
  [45375] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2420), 1,
      anon_sym_RBRACE,
    ACTIONS(3152), 1,
      anon_sym_COMMA,
    STATE(1282), 1,
      aux_sym_enum_variant_list_repeat2,
  [45388] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2420), 1,
      anon_sym_RBRACE,
    ACTIONS(3152), 1,
      anon_sym_COMMA,
    STATE(1234), 1,
      aux_sym_enum_variant_list_repeat2,
  [45401] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3154), 1,
      anon_sym_RBRACE,
    ACTIONS(3156), 1,
      anon_sym_COMMA,
    STATE(1329), 1,
      aux_sym_field_declaration_list_repeat1,
  [45414] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2448), 1,
      anon_sym_RBRACE,
    ACTIONS(3158), 1,
      anon_sym_COMMA,
    STATE(1290), 1,
      aux_sym_field_declaration_list_repeat1,
  [45427] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3160), 1,
      anon_sym_RBRACE,
    ACTIONS(3162), 1,
      anon_sym_COMMA,
    STATE(1319), 1,
      aux_sym_enum_variant_list_repeat2,
  [45440] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2400), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [45449] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2358), 1,
      anon_sym_RBRACE,
    ACTIONS(3164), 1,
      anon_sym_COMMA,
    STATE(1234), 1,
      aux_sym_enum_variant_list_repeat2,
  [45462] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1497), 1,
      anon_sym_RBRACK,
    ACTIONS(3166), 1,
      anon_sym_COMMA,
    STATE(1075), 1,
      aux_sym_tuple_pattern_repeat1,
  [45475] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2599), 1,
      anon_sym_LBRACE,
    ACTIONS(3168), 1,
      anon_sym_SEMI,
    STATE(292), 1,
      sym_declaration_list,
  [45488] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1499), 1,
      anon_sym_RPAREN,
    ACTIONS(3170), 1,
      anon_sym_COMMA,
    STATE(1075), 1,
      aux_sym_tuple_pattern_repeat1,
  [45501] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3172), 1,
      anon_sym_COMMA,
    ACTIONS(3174), 1,
      anon_sym_GT,
    STATE(1315), 1,
      aux_sym_type_arguments_repeat1,
  [45514] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2448), 1,
      anon_sym_RBRACE,
    ACTIONS(3158), 1,
      anon_sym_COMMA,
    STATE(1238), 1,
      aux_sym_field_declaration_list_repeat1,
  [45527] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3176), 1,
      anon_sym_RBRACE,
    ACTIONS(3178), 1,
      anon_sym_COMMA,
    STATE(1314), 1,
      aux_sym_struct_pattern_repeat1,
  [45540] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(710), 1,
      anon_sym_RBRACK,
    ACTIONS(3180), 1,
      anon_sym_COMMA,
    STATE(1208), 1,
      aux_sym_array_expression_repeat1,
  [45553] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3184), 1,
      anon_sym_COLON,
    ACTIONS(3182), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [45564] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(977), 1,
      anon_sym_RPAREN,
    ACTIONS(2666), 1,
      anon_sym_COMMA,
    STATE(1230), 1,
      aux_sym_parameters_repeat1,
  [45577] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2402), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [45586] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2658), 1,
      anon_sym_LBRACE,
    ACTIONS(3186), 1,
      anon_sym_SEMI,
    STATE(566), 1,
      sym_declaration_list,
  [45599] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(3188), 1,
      anon_sym_SEMI,
    STATE(1581), 1,
      sym_type_parameters,
  [45612] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2637), 1,
      anon_sym_LBRACE,
    ACTIONS(3190), 1,
      anon_sym_SEMI,
    STATE(572), 1,
      sym_field_declaration_list,
  [45625] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3192), 1,
      anon_sym_RBRACE,
    ACTIONS(3194), 1,
      anon_sym_COMMA,
    STATE(1304), 1,
      aux_sym_struct_pattern_repeat1,
  [45638] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(2692), 1,
      anon_sym_EQ,
    STATE(1490), 1,
      sym_type_parameters,
  [45651] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2412), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [45660] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2422), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [45669] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1894), 1,
      anon_sym_COMMA,
    ACTIONS(1896), 1,
      anon_sym_RPAREN,
    STATE(1239), 1,
      aux_sym_arguments_repeat1,
  [45682] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2658), 1,
      anon_sym_LBRACE,
    ACTIONS(3196), 1,
      anon_sym_SEMI,
    STATE(576), 1,
      sym_declaration_list,
  [45695] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2424), 3,
      anon_sym_PIPE,
      anon_sym_EQ_GT,
      anon_sym_if,
  [45704] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2358), 1,
      anon_sym_RBRACE,
    ACTIONS(3164), 1,
      anon_sym_COMMA,
    STATE(1233), 1,
      aux_sym_enum_variant_list_repeat2,
  [45717] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(608), 1,
      anon_sym_RPAREN,
    ACTIONS(1884), 1,
      anon_sym_COMMA,
    STATE(1297), 1,
      aux_sym_arguments_repeat1,
  [45730] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(608), 1,
      anon_sym_RPAREN,
    ACTIONS(1884), 1,
      anon_sym_COMMA,
    STATE(1203), 1,
      aux_sym_arguments_repeat1,
  [45743] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3200), 1,
      anon_sym_COLON,
    ACTIONS(3198), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [45754] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2344), 1,
      anon_sym_RBRACE,
    ACTIONS(3202), 1,
      anon_sym_COMMA,
    STATE(1266), 1,
      aux_sym_field_initializer_list_repeat1,
  [45767] = 4,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3204), 1,
      anon_sym_RBRACE,
    ACTIONS(3206), 1,
      anon_sym_COMMA,
    STATE(1229), 1,
      aux_sym_field_initializer_list_repeat1,
  [45780] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3208), 1,
      sym_identifier,
    ACTIONS(3210), 1,
      sym_super,
  [45790] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3070), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [45798] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3212), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3214), 1,
      anon_sym_RPAREN,
  [45808] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3218), 1,
      anon_sym_RPAREN,
  [45818] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3214), 1,
      anon_sym_RPAREN,
    ACTIONS(3220), 1,
      anon_sym_COLON_COLON,
  [45828] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2696), 1,
      anon_sym_PIPE,
    ACTIONS(3222), 1,
      anon_sym_in,
  [45838] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3224), 1,
      anon_sym_BANG,
    ACTIONS(3226), 1,
      anon_sym_LBRACK,
  [45848] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3228), 1,
      anon_sym_of,
    ACTIONS(3230), 1,
      anon_sym_EQ,
  [45858] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3232), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [45866] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2718), 1,
      anon_sym_LBRACE,
    STATE(571), 1,
      sym_enum_variant_list,
  [45876] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3234), 1,
      anon_sym_of,
    ACTIONS(3236), 1,
      anon_sym_EQ,
  [45886] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2696), 1,
      anon_sym_PIPE,
    ACTIONS(3238), 1,
      anon_sym_in,
  [45896] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3240), 1,
      anon_sym_SEMI,
    ACTIONS(3242), 1,
      anon_sym_EQ,
  [45906] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3244), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [45914] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3246), 1,
      anon_sym_BANG,
    ACTIONS(3248), 1,
      anon_sym_LBRACK,
  [45924] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3250), 1,
      anon_sym_BANG,
    ACTIONS(3252), 1,
      anon_sym_LBRACK,
  [45934] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3254), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [45942] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2696), 1,
      anon_sym_PIPE,
    ACTIONS(3256), 1,
      anon_sym_COLON,
  [45952] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3258), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [45960] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2867), 1,
      sym_super,
    ACTIONS(3260), 1,
      sym_identifier,
  [45970] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3262), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [45978] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3264), 2,
      anon_sym_type,
      anon_sym_fn,
  [45986] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3266), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [45994] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3268), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [46002] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2696), 1,
      anon_sym_PIPE,
    ACTIONS(3270), 1,
      anon_sym_EQ,
  [46012] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_LBRACE,
    STATE(78), 1,
      sym_block,
  [46022] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3272), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [46030] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(3274), 1,
      anon_sym_LPAREN,
  [46040] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(497), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [46048] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3276), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [46056] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3278), 1,
      anon_sym_SEMI,
    ACTIONS(3280), 1,
      anon_sym_EQ,
  [46066] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3282), 1,
      anon_sym_SEMI,
    ACTIONS(3284), 1,
      anon_sym_EQ,
  [46076] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3286), 2,
      sym_identifier,
      sym_super,
  [46084] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1567), 1,
      anon_sym_LBRACE,
    STATE(451), 1,
      sym_field_initializer_list,
  [46094] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2189), 1,
      anon_sym_BANG,
    ACTIONS(2635), 1,
      anon_sym_COLON_COLON,
  [46104] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2189), 1,
      anon_sym_BANG,
    ACTIONS(3288), 1,
      anon_sym_COLON_COLON,
  [46114] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3290), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [46122] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2696), 1,
      anon_sym_PIPE,
    ACTIONS(3292), 1,
      anon_sym_COLON,
  [46132] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3294), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [46140] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3298), 1,
      anon_sym_RPAREN,
  [46150] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3300), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [46158] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3302), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [46166] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3304), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [46174] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3306), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [46182] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2879), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [46190] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3308), 1,
      anon_sym_SEMI,
    ACTIONS(3310), 1,
      anon_sym_EQ,
  [46200] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3312), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [46208] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3314), 1,
      sym_numeric_literal,
    ACTIONS(3316), 1,
      sym_identifier,
  [46218] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3318), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [46226] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3320), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [46234] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2696), 1,
      anon_sym_PIPE,
    ACTIONS(3322), 1,
      anon_sym_EQ,
  [46244] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3324), 2,
      sym_identifier,
      sym_super,
  [46252] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2318), 1,
      anon_sym_BANG,
    ACTIONS(2635), 1,
      anon_sym_COLON_COLON,
  [46262] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3324), 1,
      sym_super,
    ACTIONS(3326), 1,
      sym_identifier,
  [46272] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2947), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [46280] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3214), 1,
      anon_sym_RPAREN,
    ACTIONS(3296), 1,
      anon_sym_COLON_COLON,
  [46290] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2941), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [46298] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2867), 2,
      sym_identifier,
      sym_super,
  [46306] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2750), 1,
      sym_super,
    ACTIONS(2756), 1,
      sym_identifier,
  [46316] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3328), 1,
      anon_sym_SEMI,
    ACTIONS(3330), 1,
      anon_sym_EQ,
  [46326] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3332), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [46334] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3324), 1,
      sym_super,
    ACTIONS(3334), 1,
      sym_identifier,
  [46344] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3336), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [46352] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2754), 1,
      anon_sym_LPAREN,
    ACTIONS(3338), 1,
      anon_sym_COLON_COLON,
  [46362] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3340), 1,
      anon_sym_SEMI,
    ACTIONS(3342), 1,
      anon_sym_EQ,
  [46372] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3220), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3298), 1,
      anon_sym_RPAREN,
  [46382] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3085), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [46390] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1982), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [46398] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2718), 1,
      anon_sym_LBRACE,
    STATE(546), 1,
      sym_enum_variant_list,
  [46408] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3216), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3344), 1,
      anon_sym_RPAREN,
  [46418] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2867), 1,
      sym_super,
    ACTIONS(3346), 1,
      sym_identifier,
  [46428] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3348), 1,
      sym_identifier,
    ACTIONS(3350), 1,
      sym_super,
  [46438] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(821), 1,
      anon_sym_LBRACE,
    STATE(297), 1,
      sym_block,
  [46448] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2750), 2,
      sym_identifier,
      sym_super,
  [46456] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1966), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [46464] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2867), 1,
      sym_super,
    ACTIONS(3208), 1,
      sym_identifier,
  [46474] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2776), 1,
      sym_identifier,
    ACTIONS(2778), 1,
      sym_super,
  [46484] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3352), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3354), 1,
      anon_sym_LPAREN,
  [46494] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2490), 1,
      sym_super,
    ACTIONS(2849), 1,
      sym_identifier,
  [46504] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3356), 1,
      anon_sym_LBRACE,
    STATE(708), 1,
      sym_block,
  [46514] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    STATE(812), 1,
      sym_block,
  [46524] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(821), 1,
      anon_sym_LBRACE,
    STATE(286), 1,
      sym_block,
  [46534] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1829), 1,
      anon_sym_LBRACE,
    STATE(799), 1,
      sym_field_initializer_list,
  [46544] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2482), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3358), 1,
      anon_sym_BANG,
  [46554] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3360), 1,
      anon_sym_SEMI,
    ACTIONS(3362), 1,
      anon_sym_EQ,
  [46564] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3364), 1,
      sym_identifier,
    ACTIONS(3366), 1,
      sym_super,
  [46574] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2984), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [46582] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3368), 1,
      anon_sym_LBRACE,
    STATE(84), 1,
      sym_block,
  [46592] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3212), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3298), 1,
      anon_sym_RPAREN,
  [46602] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2490), 1,
      sym_super,
    ACTIONS(2748), 1,
      sym_identifier,
  [46612] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(7), 1,
      anon_sym_LBRACE,
    STATE(68), 1,
      sym_block,
  [46622] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3236), 1,
      anon_sym_EQ,
    ACTIONS(3370), 1,
      anon_sym_SEMI,
  [46632] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3286), 1,
      sym_super,
    ACTIONS(3334), 1,
      sym_identifier,
  [46642] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2696), 1,
      anon_sym_PIPE,
    ACTIONS(3372), 1,
      anon_sym_in,
  [46652] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3374), 1,
      anon_sym_SEMI,
    ACTIONS(3376), 1,
      anon_sym_RBRACK,
  [46662] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2748), 1,
      sym_identifier,
    ACTIONS(2750), 1,
      sym_super,
  [46672] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3050), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [46680] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3286), 1,
      sym_super,
    ACTIONS(3378), 1,
      sym_identifier,
  [46690] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3000), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [46698] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3380), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [46706] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2774), 1,
      anon_sym_LT2,
    STATE(807), 1,
      sym_type_arguments,
  [46716] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3382), 1,
      sym_numeric_literal,
    ACTIONS(3384), 1,
      sym_identifier,
  [46726] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2195), 1,
      anon_sym_LT2,
    STATE(489), 1,
      sym_type_arguments,
  [46736] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3386), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [46744] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3286), 1,
      sym_super,
    ACTIONS(3388), 1,
      sym_identifier,
  [46754] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3324), 1,
      sym_super,
    ACTIONS(3390), 1,
      sym_identifier,
  [46764] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2710), 1,
      anon_sym_LBRACE,
    STATE(265), 1,
      sym_enum_variant_list,
  [46774] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2875), 1,
      anon_sym_LPAREN,
    STATE(1005), 1,
      sym_parameters,
  [46784] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3392), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [46792] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2750), 1,
      sym_super,
    ACTIONS(2847), 1,
      sym_identifier,
  [46802] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3394), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [46810] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2710), 1,
      anon_sym_LBRACE,
    STATE(278), 1,
      sym_enum_variant_list,
  [46820] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3210), 1,
      sym_super,
    ACTIONS(3396), 1,
      sym_identifier,
  [46830] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(389), 1,
      anon_sym_LBRACE,
    STATE(789), 1,
      sym_block,
  [46840] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3398), 1,
      sym_identifier,
    ACTIONS(3400), 1,
      sym_super,
  [46850] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3402), 1,
      anon_sym_LBRACE,
    STATE(423), 1,
      sym_block,
  [46860] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3404), 1,
      anon_sym_LBRACE,
    STATE(241), 1,
      sym_block,
  [46870] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2428), 1,
      anon_sym_PIPE,
    ACTIONS(3256), 1,
      anon_sym_COLON,
  [46880] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3406), 1,
      anon_sym_of,
    ACTIONS(3408), 1,
      anon_sym_EQ,
  [46890] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3410), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [46898] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3412), 1,
      anon_sym_SEMI,
    ACTIONS(3414), 1,
      anon_sym_EQ,
  [46908] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2833), 1,
      sym_identifier,
    ACTIONS(2835), 1,
      sym_super,
  [46918] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3030), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [46926] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2490), 2,
      sym_identifier,
      sym_super,
  [46934] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3416), 1,
      sym_identifier,
    ACTIONS(3418), 1,
      sym_super,
  [46944] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2490), 1,
      sym_super,
    ACTIONS(2788), 1,
      sym_identifier,
  [46954] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3358), 1,
      anon_sym_BANG,
  [46964] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3420), 1,
      anon_sym_BANG,
  [46974] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3422), 1,
      anon_sym_of,
    ACTIONS(3424), 1,
      anon_sym_EQ,
  [46984] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3324), 1,
      sym_super,
    ACTIONS(3416), 1,
      sym_identifier,
  [46994] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3019), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [47002] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2839), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [47010] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2442), 1,
      anon_sym_LT2,
    STATE(887), 1,
      sym_type_arguments,
  [47020] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3210), 2,
      sym_identifier,
      sym_super,
  [47028] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3424), 1,
      anon_sym_EQ,
    ACTIONS(3426), 1,
      anon_sym_SEMI,
  [47038] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3210), 1,
      sym_super,
    ACTIONS(3398), 1,
      sym_identifier,
  [47048] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2750), 1,
      sym_super,
    ACTIONS(2833), 1,
      sym_identifier,
  [47058] = 3,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3210), 1,
      sym_super,
    ACTIONS(3428), 1,
      sym_identifier,
  [47068] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3430), 1,
      sym_numeric_literal,
  [47075] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3408), 1,
      anon_sym_EQ,
  [47082] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3432), 1,
      anon_sym_RBRACK,
  [47089] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2464), 1,
      anon_sym_COLON_COLON,
  [47096] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3434), 1,
      anon_sym_RBRACK,
  [47103] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3436), 1,
      anon_sym_COLON,
  [47110] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3438), 1,
      anon_sym_SEMI,
  [47117] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3440), 1,
      anon_sym_SEMI,
  [47124] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3442), 1,
      sym_identifier,
  [47131] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3444), 1,
      anon_sym_COLON_COLON,
  [47138] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(718), 1,
      anon_sym_RBRACK,
  [47145] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3446), 1,
      sym_identifier,
  [47152] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3448), 1,
      sym_identifier,
  [47159] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3450), 1,
      anon_sym_RBRACK,
  [47166] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3452), 1,
      anon_sym_DQUOTE,
  [47173] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3454), 1,
      anon_sym_DQUOTE,
  [47180] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3456), 1,
      sym_identifier,
  [47187] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3458), 1,
      anon_sym_RBRACK,
  [47194] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3460), 1,
      anon_sym_RBRACE,
  [47201] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3462), 1,
      sym_identifier,
  [47208] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3464), 1,
      anon_sym_EQ_GT,
  [47215] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3466), 1,
      anon_sym_RBRACE,
  [47222] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2806), 1,
      anon_sym_RBRACK,
  [47229] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3468), 1,
      sym_identifier,
  [47236] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3470), 1,
      sym_identifier,
  [47243] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3472), 1,
      anon_sym_SEMI,
  [47250] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2798), 1,
      anon_sym_RPAREN,
  [47257] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3474), 1,
      anon_sym_RBRACK,
  [47264] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3476), 1,
      anon_sym_RBRACK,
  [47271] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3478), 1,
      anon_sym_SEMI,
  [47278] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(612), 1,
      anon_sym_RBRACK,
  [47285] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3480), 1,
      sym_identifier,
  [47292] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3482), 1,
      anon_sym_RBRACK,
  [47299] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3484), 1,
      sym_identifier,
  [47306] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3486), 1,
      sym_identifier,
  [47313] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3488), 1,
      sym_identifier,
  [47320] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3490), 1,
      sym_identifier,
  [47327] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3492), 1,
      sym_identifier,
  [47334] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3494), 1,
      sym_identifier,
  [47341] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3496), 1,
      anon_sym_DQUOTE,
  [47348] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3498), 1,
      sym_identifier,
  [47355] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3500), 1,
      anon_sym_RBRACK,
  [47362] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3502), 1,
      anon_sym_RBRACK,
  [47369] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2314), 1,
      sym_identifier,
  [47376] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3504), 1,
      anon_sym_SEMI,
  [47383] = 2,
    ACTIONS(3506), 1,
      aux_sym_string_literal_token2,
    ACTIONS(3508), 1,
      sym_line_comment,
  [47390] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2068), 1,
      anon_sym_COLON_COLON,
  [47397] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3510), 1,
      anon_sym_SEMI,
  [47404] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3512), 1,
      sym_identifier,
  [47411] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3514), 1,
      anon_sym_DQUOTE,
  [47418] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3516), 1,
      anon_sym_SEMI,
  [47425] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(702), 1,
      anon_sym_RBRACK,
  [47432] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3518), 1,
      anon_sym_RBRACK,
  [47439] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3520), 1,
      anon_sym_EQ_GT,
  [47446] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2251), 1,
      anon_sym_COLON_COLON,
  [47453] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3522), 1,
      sym_identifier,
  [47460] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3524), 1,
      anon_sym_EQ_GT,
  [47467] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3526), 1,
      anon_sym_SEMI,
  [47474] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3528), 1,
      anon_sym_COLON_COLON,
  [47481] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3530), 1,
      anon_sym_COLON_COLON,
  [47488] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3532), 1,
      anon_sym_EQ_GT,
  [47495] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3534), 1,
      anon_sym_SEMI,
  [47502] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3536), 1,
      sym_identifier,
  [47509] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2782), 1,
      anon_sym_RPAREN,
  [47516] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3538), 1,
      sym_identifier,
  [47523] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3540), 1,
      sym_identifier,
  [47530] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3542), 1,
      anon_sym_RBRACK,
  [47537] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3544), 1,
      anon_sym_RBRACE,
  [47544] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3546), 1,
      sym_identifier,
  [47551] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3548), 1,
      sym_identifier,
  [47558] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3550), 1,
      anon_sym_RBRACK,
  [47565] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2784), 1,
      anon_sym_RBRACK,
  [47572] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3552), 1,
      anon_sym_EQ_GT,
  [47579] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2957), 1,
      anon_sym_RBRACE,
  [47586] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2949), 1,
      anon_sym_COLON,
  [47593] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3554), 1,
      anon_sym_SEMI,
  [47600] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3556), 1,
      sym_identifier,
  [47607] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3558), 1,
      anon_sym_SEMI,
  [47614] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2258), 1,
      anon_sym_COLON_COLON,
  [47621] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2322), 1,
      anon_sym_COLON_COLON,
  [47628] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3560), 1,
      anon_sym_RBRACE,
  [47635] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3562), 1,
      sym_identifier,
  [47642] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3564), 1,
      sym_numeric_literal,
  [47649] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3566), 1,
      anon_sym_DQUOTE,
  [47656] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3568), 1,
      anon_sym_LBRACK,
  [47663] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3570), 1,
      anon_sym_COLON,
  [47670] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3572), 1,
      sym_identifier,
  [47677] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3574), 1,
      anon_sym_RPAREN,
  [47684] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2943), 1,
      anon_sym_RBRACE,
  [47691] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3102), 1,
      anon_sym_RBRACE,
  [47698] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3576), 1,
      anon_sym_RPAREN,
  [47705] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3114), 1,
      anon_sym_RBRACE,
  [47712] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3578), 1,
      anon_sym_SEMI,
  [47719] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3580), 1,
      anon_sym_SEMI,
  [47726] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1908), 1,
      anon_sym_RPAREN,
  [47733] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3582), 1,
      sym_identifier,
  [47740] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(616), 1,
      anon_sym_RBRACK,
  [47747] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3584), 1,
      anon_sym_LBRACK,
  [47754] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3586), 1,
      anon_sym_LBRACK,
  [47761] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3588), 1,
      anon_sym_COLON,
  [47768] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3590), 1,
      anon_sym_SEMI,
  [47775] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3592), 1,
      sym_identifier,
  [47782] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3184), 1,
      anon_sym_COLON,
  [47789] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3594), 1,
      anon_sym_RBRACE,
  [47796] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3596), 1,
      anon_sym_SEMI,
  [47803] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2853), 1,
      anon_sym_RPAREN,
  [47810] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2680), 1,
      anon_sym_RPAREN,
  [47817] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3598), 1,
      sym_identifier,
  [47824] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2909), 1,
      anon_sym_RBRACE,
  [47831] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3600), 1,
      anon_sym_SEMI,
  [47838] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3602), 1,
      anon_sym_SEMI,
  [47845] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3604), 1,
      anon_sym_SEMI,
  [47852] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2328), 1,
      sym_identifier,
  [47859] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2845), 1,
      anon_sym_RPAREN,
  [47866] = 2,
    ACTIONS(3508), 1,
      sym_line_comment,
    ACTIONS(3606), 1,
      aux_sym_string_literal_token2,
  [47873] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2070), 1,
      anon_sym_COLON_COLON,
  [47880] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3608), 1,
      ts_builtin_sym_end,
  [47887] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3610), 1,
      anon_sym_RBRACK,
  [47894] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3612), 1,
      anon_sym_COLON_COLON,
  [47901] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2330), 1,
      sym_identifier,
  [47908] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1737), 1,
      anon_sym_COLON_COLON,
  [47915] = 2,
    ACTIONS(3508), 1,
      sym_line_comment,
    ACTIONS(3614), 1,
      aux_sym_string_literal_token2,
  [47922] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3616), 1,
      anon_sym_SEMI,
  [47929] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3618), 1,
      sym_identifier,
  [47936] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3620), 1,
      anon_sym_SEMI,
  [47943] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3154), 1,
      anon_sym_RBRACE,
  [47950] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3160), 1,
      anon_sym_RBRACE,
  [47957] = 2,
    ACTIONS(3508), 1,
      sym_line_comment,
    ACTIONS(3622), 1,
      aux_sym_string_literal_token2,
  [47964] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3624), 1,
      sym_identifier,
  [47971] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3176), 1,
      anon_sym_RBRACE,
  [47978] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2885), 1,
      anon_sym_COLON_COLON,
  [47985] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2706), 1,
      anon_sym_RPAREN,
  [47992] = 2,
    ACTIONS(3508), 1,
      sym_line_comment,
    ACTIONS(3626), 1,
      aux_sym_string_literal_token2,
  [47999] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3628), 1,
      sym_identifier,
  [48006] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2545), 1,
      anon_sym_COLON_COLON,
  [48013] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3630), 1,
      sym_identifier,
  [48020] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2855), 1,
      anon_sym_COLON_COLON,
  [48027] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3632), 1,
      sym_identifier,
  [48034] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2702), 1,
      anon_sym_RPAREN,
  [48041] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3204), 1,
      anon_sym_RBRACE,
  [48048] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3634), 1,
      anon_sym_SEMI,
  [48055] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3636), 1,
      anon_sym_COLON,
  [48062] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3638), 1,
      anon_sym_COLON,
  [48069] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3640), 1,
      anon_sym_LBRACK,
  [48076] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3642), 1,
      sym_identifier,
  [48083] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3644), 1,
      anon_sym_SEMI,
  [48090] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3646), 1,
      anon_sym_COLON,
  [48097] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3192), 1,
      anon_sym_RBRACE,
  [48104] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(2927), 1,
      anon_sym_RBRACE,
  [48111] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3648), 1,
      anon_sym_COLON,
  [48118] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(1896), 1,
      anon_sym_RPAREN,
  [48125] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3230), 1,
      anon_sym_EQ,
  [48132] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3650), 1,
      anon_sym_RBRACE,
  [48139] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3652), 1,
      anon_sym_LBRACK,
  [48146] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3654), 1,
      anon_sym_LBRACK,
  [48153] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3656), 1,
      anon_sym_COLON,
  [48160] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3658), 1,
      anon_sym_LBRACK,
  [48167] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3660), 1,
      anon_sym_LBRACK,
  [48174] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3662), 1,
      sym_identifier,
  [48181] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3664), 1,
      sym_identifier,
  [48188] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3666), 1,
      sym_identifier,
  [48195] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3668), 1,
      sym_identifier,
  [48202] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3670), 1,
      sym_identifier,
  [48209] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3672), 1,
      sym_identifier,
  [48216] = 2,
    ACTIONS(3), 1,
      sym_line_comment,
    ACTIONS(3674), 1,
      sym_identifier,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(225)] = 0,
  [SMALL_STATE(226)] = 70,
  [SMALL_STATE(227)] = 140,
  [SMALL_STATE(228)] = 210,
  [SMALL_STATE(229)] = 280,
  [SMALL_STATE(230)] = 350,
  [SMALL_STATE(231)] = 420,
  [SMALL_STATE(232)] = 490,
  [SMALL_STATE(233)] = 604,
  [SMALL_STATE(234)] = 718,
  [SMALL_STATE(235)] = 784,
  [SMALL_STATE(236)] = 898,
  [SMALL_STATE(237)] = 964,
  [SMALL_STATE(238)] = 1092,
  [SMALL_STATE(239)] = 1158,
  [SMALL_STATE(240)] = 1272,
  [SMALL_STATE(241)] = 1386,
  [SMALL_STATE(242)] = 1456,
  [SMALL_STATE(243)] = 1521,
  [SMALL_STATE(244)] = 1586,
  [SMALL_STATE(245)] = 1651,
  [SMALL_STATE(246)] = 1776,
  [SMALL_STATE(247)] = 1901,
  [SMALL_STATE(248)] = 2026,
  [SMALL_STATE(249)] = 2090,
  [SMALL_STATE(250)] = 2154,
  [SMALL_STATE(251)] = 2218,
  [SMALL_STATE(252)] = 2282,
  [SMALL_STATE(253)] = 2346,
  [SMALL_STATE(254)] = 2410,
  [SMALL_STATE(255)] = 2474,
  [SMALL_STATE(256)] = 2538,
  [SMALL_STATE(257)] = 2602,
  [SMALL_STATE(258)] = 2666,
  [SMALL_STATE(259)] = 2730,
  [SMALL_STATE(260)] = 2794,
  [SMALL_STATE(261)] = 2858,
  [SMALL_STATE(262)] = 2922,
  [SMALL_STATE(263)] = 2986,
  [SMALL_STATE(264)] = 3050,
  [SMALL_STATE(265)] = 3114,
  [SMALL_STATE(266)] = 3178,
  [SMALL_STATE(267)] = 3242,
  [SMALL_STATE(268)] = 3306,
  [SMALL_STATE(269)] = 3370,
  [SMALL_STATE(270)] = 3434,
  [SMALL_STATE(271)] = 3498,
  [SMALL_STATE(272)] = 3562,
  [SMALL_STATE(273)] = 3626,
  [SMALL_STATE(274)] = 3690,
  [SMALL_STATE(275)] = 3754,
  [SMALL_STATE(276)] = 3818,
  [SMALL_STATE(277)] = 3882,
  [SMALL_STATE(278)] = 3946,
  [SMALL_STATE(279)] = 4010,
  [SMALL_STATE(280)] = 4074,
  [SMALL_STATE(281)] = 4138,
  [SMALL_STATE(282)] = 4202,
  [SMALL_STATE(283)] = 4266,
  [SMALL_STATE(284)] = 4330,
  [SMALL_STATE(285)] = 4394,
  [SMALL_STATE(286)] = 4458,
  [SMALL_STATE(287)] = 4522,
  [SMALL_STATE(288)] = 4586,
  [SMALL_STATE(289)] = 4650,
  [SMALL_STATE(290)] = 4714,
  [SMALL_STATE(291)] = 4778,
  [SMALL_STATE(292)] = 4842,
  [SMALL_STATE(293)] = 4906,
  [SMALL_STATE(294)] = 4970,
  [SMALL_STATE(295)] = 5034,
  [SMALL_STATE(296)] = 5098,
  [SMALL_STATE(297)] = 5162,
  [SMALL_STATE(298)] = 5226,
  [SMALL_STATE(299)] = 5290,
  [SMALL_STATE(300)] = 5354,
  [SMALL_STATE(301)] = 5418,
  [SMALL_STATE(302)] = 5482,
  [SMALL_STATE(303)] = 5546,
  [SMALL_STATE(304)] = 5610,
  [SMALL_STATE(305)] = 5674,
  [SMALL_STATE(306)] = 5738,
  [SMALL_STATE(307)] = 5802,
  [SMALL_STATE(308)] = 5866,
  [SMALL_STATE(309)] = 5930,
  [SMALL_STATE(310)] = 5994,
  [SMALL_STATE(311)] = 6058,
  [SMALL_STATE(312)] = 6122,
  [SMALL_STATE(313)] = 6186,
  [SMALL_STATE(314)] = 6250,
  [SMALL_STATE(315)] = 6314,
  [SMALL_STATE(316)] = 6378,
  [SMALL_STATE(317)] = 6446,
  [SMALL_STATE(318)] = 6510,
  [SMALL_STATE(319)] = 6574,
  [SMALL_STATE(320)] = 6638,
  [SMALL_STATE(321)] = 6760,
  [SMALL_STATE(322)] = 6824,
  [SMALL_STATE(323)] = 6888,
  [SMALL_STATE(324)] = 6952,
  [SMALL_STATE(325)] = 7016,
  [SMALL_STATE(326)] = 7080,
  [SMALL_STATE(327)] = 7144,
  [SMALL_STATE(328)] = 7208,
  [SMALL_STATE(329)] = 7272,
  [SMALL_STATE(330)] = 7336,
  [SMALL_STATE(331)] = 7400,
  [SMALL_STATE(332)] = 7464,
  [SMALL_STATE(333)] = 7528,
  [SMALL_STATE(334)] = 7592,
  [SMALL_STATE(335)] = 7656,
  [SMALL_STATE(336)] = 7720,
  [SMALL_STATE(337)] = 7784,
  [SMALL_STATE(338)] = 7848,
  [SMALL_STATE(339)] = 7912,
  [SMALL_STATE(340)] = 7980,
  [SMALL_STATE(341)] = 8044,
  [SMALL_STATE(342)] = 8108,
  [SMALL_STATE(343)] = 8172,
  [SMALL_STATE(344)] = 8288,
  [SMALL_STATE(345)] = 8404,
  [SMALL_STATE(346)] = 8520,
  [SMALL_STATE(347)] = 8636,
  [SMALL_STATE(348)] = 8752,
  [SMALL_STATE(349)] = 8865,
  [SMALL_STATE(350)] = 8980,
  [SMALL_STATE(351)] = 9095,
  [SMALL_STATE(352)] = 9208,
  [SMALL_STATE(353)] = 9321,
  [SMALL_STATE(354)] = 9436,
  [SMALL_STATE(355)] = 9551,
  [SMALL_STATE(356)] = 9661,
  [SMALL_STATE(357)] = 9767,
  [SMALL_STATE(358)] = 9873,
  [SMALL_STATE(359)] = 9974,
  [SMALL_STATE(360)] = 10075,
  [SMALL_STATE(361)] = 10176,
  [SMALL_STATE(362)] = 10277,
  [SMALL_STATE(363)] = 10378,
  [SMALL_STATE(364)] = 10479,
  [SMALL_STATE(365)] = 10580,
  [SMALL_STATE(366)] = 10681,
  [SMALL_STATE(367)] = 10779,
  [SMALL_STATE(368)] = 10877,
  [SMALL_STATE(369)] = 10975,
  [SMALL_STATE(370)] = 11073,
  [SMALL_STATE(371)] = 11171,
  [SMALL_STATE(372)] = 11269,
  [SMALL_STATE(373)] = 11367,
  [SMALL_STATE(374)] = 11425,
  [SMALL_STATE(375)] = 11523,
  [SMALL_STATE(376)] = 11621,
  [SMALL_STATE(377)] = 11719,
  [SMALL_STATE(378)] = 11817,
  [SMALL_STATE(379)] = 11915,
  [SMALL_STATE(380)] = 12013,
  [SMALL_STATE(381)] = 12111,
  [SMALL_STATE(382)] = 12209,
  [SMALL_STATE(383)] = 12307,
  [SMALL_STATE(384)] = 12402,
  [SMALL_STATE(385)] = 12497,
  [SMALL_STATE(386)] = 12592,
  [SMALL_STATE(387)] = 12687,
  [SMALL_STATE(388)] = 12782,
  [SMALL_STATE(389)] = 12877,
  [SMALL_STATE(390)] = 12972,
  [SMALL_STATE(391)] = 13067,
  [SMALL_STATE(392)] = 13162,
  [SMALL_STATE(393)] = 13257,
  [SMALL_STATE(394)] = 13352,
  [SMALL_STATE(395)] = 13447,
  [SMALL_STATE(396)] = 13542,
  [SMALL_STATE(397)] = 13637,
  [SMALL_STATE(398)] = 13732,
  [SMALL_STATE(399)] = 13827,
  [SMALL_STATE(400)] = 13922,
  [SMALL_STATE(401)] = 14017,
  [SMALL_STATE(402)] = 14112,
  [SMALL_STATE(403)] = 14207,
  [SMALL_STATE(404)] = 14299,
  [SMALL_STATE(405)] = 14391,
  [SMALL_STATE(406)] = 14483,
  [SMALL_STATE(407)] = 14575,
  [SMALL_STATE(408)] = 14667,
  [SMALL_STATE(409)] = 14759,
  [SMALL_STATE(410)] = 14811,
  [SMALL_STATE(411)] = 14900,
  [SMALL_STATE(412)] = 14989,
  [SMALL_STATE(413)] = 15078,
  [SMALL_STATE(414)] = 15167,
  [SMALL_STATE(415)] = 15216,
  [SMALL_STATE(416)] = 15261,
  [SMALL_STATE(417)] = 15306,
  [SMALL_STATE(418)] = 15351,
  [SMALL_STATE(419)] = 15396,
  [SMALL_STATE(420)] = 15441,
  [SMALL_STATE(421)] = 15494,
  [SMALL_STATE(422)] = 15539,
  [SMALL_STATE(423)] = 15584,
  [SMALL_STATE(424)] = 15632,
  [SMALL_STATE(425)] = 15678,
  [SMALL_STATE(426)] = 15724,
  [SMALL_STATE(427)] = 15770,
  [SMALL_STATE(428)] = 15816,
  [SMALL_STATE(429)] = 15889,
  [SMALL_STATE(430)] = 15934,
  [SMALL_STATE(431)] = 16007,
  [SMALL_STATE(432)] = 16050,
  [SMALL_STATE(433)] = 16103,
  [SMALL_STATE(434)] = 16148,
  [SMALL_STATE(435)] = 16195,
  [SMALL_STATE(436)] = 16248,
  [SMALL_STATE(437)] = 16301,
  [SMALL_STATE(438)] = 16344,
  [SMALL_STATE(439)] = 16417,
  [SMALL_STATE(440)] = 16460,
  [SMALL_STATE(441)] = 16533,
  [SMALL_STATE(442)] = 16578,
  [SMALL_STATE(443)] = 16625,
  [SMALL_STATE(444)] = 16668,
  [SMALL_STATE(445)] = 16721,
  [SMALL_STATE(446)] = 16764,
  [SMALL_STATE(447)] = 16817,
  [SMALL_STATE(448)] = 16859,
  [SMALL_STATE(449)] = 16901,
  [SMALL_STATE(450)] = 16943,
  [SMALL_STATE(451)] = 16985,
  [SMALL_STATE(452)] = 17027,
  [SMALL_STATE(453)] = 17069,
  [SMALL_STATE(454)] = 17141,
  [SMALL_STATE(455)] = 17183,
  [SMALL_STATE(456)] = 17225,
  [SMALL_STATE(457)] = 17267,
  [SMALL_STATE(458)] = 17309,
  [SMALL_STATE(459)] = 17351,
  [SMALL_STATE(460)] = 17393,
  [SMALL_STATE(461)] = 17435,
  [SMALL_STATE(462)] = 17479,
  [SMALL_STATE(463)] = 17551,
  [SMALL_STATE(464)] = 17593,
  [SMALL_STATE(465)] = 17635,
  [SMALL_STATE(466)] = 17677,
  [SMALL_STATE(467)] = 17719,
  [SMALL_STATE(468)] = 17761,
  [SMALL_STATE(469)] = 17803,
  [SMALL_STATE(470)] = 17845,
  [SMALL_STATE(471)] = 17887,
  [SMALL_STATE(472)] = 17943,
  [SMALL_STATE(473)] = 18015,
  [SMALL_STATE(474)] = 18057,
  [SMALL_STATE(475)] = 18099,
  [SMALL_STATE(476)] = 18169,
  [SMALL_STATE(477)] = 18211,
  [SMALL_STATE(478)] = 18279,
  [SMALL_STATE(479)] = 18341,
  [SMALL_STATE(480)] = 18399,
  [SMALL_STATE(481)] = 18459,
  [SMALL_STATE(482)] = 18513,
  [SMALL_STATE(483)] = 18577,
  [SMALL_STATE(484)] = 18619,
  [SMALL_STATE(485)] = 18661,
  [SMALL_STATE(486)] = 18703,
  [SMALL_STATE(487)] = 18745,
  [SMALL_STATE(488)] = 18787,
  [SMALL_STATE(489)] = 18829,
  [SMALL_STATE(490)] = 18871,
  [SMALL_STATE(491)] = 18913,
  [SMALL_STATE(492)] = 18955,
  [SMALL_STATE(493)] = 19027,
  [SMALL_STATE(494)] = 19069,
  [SMALL_STATE(495)] = 19111,
  [SMALL_STATE(496)] = 19153,
  [SMALL_STATE(497)] = 19194,
  [SMALL_STATE(498)] = 19235,
  [SMALL_STATE(499)] = 19276,
  [SMALL_STATE(500)] = 19355,
  [SMALL_STATE(501)] = 19396,
  [SMALL_STATE(502)] = 19437,
  [SMALL_STATE(503)] = 19478,
  [SMALL_STATE(504)] = 19519,
  [SMALL_STATE(505)] = 19560,
  [SMALL_STATE(506)] = 19601,
  [SMALL_STATE(507)] = 19642,
  [SMALL_STATE(508)] = 19683,
  [SMALL_STATE(509)] = 19724,
  [SMALL_STATE(510)] = 19765,
  [SMALL_STATE(511)] = 19806,
  [SMALL_STATE(512)] = 19847,
  [SMALL_STATE(513)] = 19888,
  [SMALL_STATE(514)] = 19929,
  [SMALL_STATE(515)] = 19970,
  [SMALL_STATE(516)] = 20019,
  [SMALL_STATE(517)] = 20060,
  [SMALL_STATE(518)] = 20101,
  [SMALL_STATE(519)] = 20142,
  [SMALL_STATE(520)] = 20183,
  [SMALL_STATE(521)] = 20224,
  [SMALL_STATE(522)] = 20265,
  [SMALL_STATE(523)] = 20306,
  [SMALL_STATE(524)] = 20347,
  [SMALL_STATE(525)] = 20388,
  [SMALL_STATE(526)] = 20429,
  [SMALL_STATE(527)] = 20470,
  [SMALL_STATE(528)] = 20511,
  [SMALL_STATE(529)] = 20552,
  [SMALL_STATE(530)] = 20593,
  [SMALL_STATE(531)] = 20634,
  [SMALL_STATE(532)] = 20675,
  [SMALL_STATE(533)] = 20716,
  [SMALL_STATE(534)] = 20757,
  [SMALL_STATE(535)] = 20798,
  [SMALL_STATE(536)] = 20839,
  [SMALL_STATE(537)] = 20880,
  [SMALL_STATE(538)] = 20921,
  [SMALL_STATE(539)] = 20962,
  [SMALL_STATE(540)] = 21003,
  [SMALL_STATE(541)] = 21044,
  [SMALL_STATE(542)] = 21085,
  [SMALL_STATE(543)] = 21164,
  [SMALL_STATE(544)] = 21205,
  [SMALL_STATE(545)] = 21284,
  [SMALL_STATE(546)] = 21325,
  [SMALL_STATE(547)] = 21366,
  [SMALL_STATE(548)] = 21407,
  [SMALL_STATE(549)] = 21448,
  [SMALL_STATE(550)] = 21489,
  [SMALL_STATE(551)] = 21530,
  [SMALL_STATE(552)] = 21609,
  [SMALL_STATE(553)] = 21650,
  [SMALL_STATE(554)] = 21691,
  [SMALL_STATE(555)] = 21732,
  [SMALL_STATE(556)] = 21773,
  [SMALL_STATE(557)] = 21814,
  [SMALL_STATE(558)] = 21855,
  [SMALL_STATE(559)] = 21896,
  [SMALL_STATE(560)] = 21937,
  [SMALL_STATE(561)] = 21978,
  [SMALL_STATE(562)] = 22019,
  [SMALL_STATE(563)] = 22060,
  [SMALL_STATE(564)] = 22101,
  [SMALL_STATE(565)] = 22142,
  [SMALL_STATE(566)] = 22183,
  [SMALL_STATE(567)] = 22224,
  [SMALL_STATE(568)] = 22265,
  [SMALL_STATE(569)] = 22306,
  [SMALL_STATE(570)] = 22347,
  [SMALL_STATE(571)] = 22388,
  [SMALL_STATE(572)] = 22429,
  [SMALL_STATE(573)] = 22470,
  [SMALL_STATE(574)] = 22511,
  [SMALL_STATE(575)] = 22552,
  [SMALL_STATE(576)] = 22593,
  [SMALL_STATE(577)] = 22634,
  [SMALL_STATE(578)] = 22675,
  [SMALL_STATE(579)] = 22720,
  [SMALL_STATE(580)] = 22761,
  [SMALL_STATE(581)] = 22802,
  [SMALL_STATE(582)] = 22868,
  [SMALL_STATE(583)] = 22934,
  [SMALL_STATE(584)] = 23000,
  [SMALL_STATE(585)] = 23042,
  [SMALL_STATE(586)] = 23108,
  [SMALL_STATE(587)] = 23174,
  [SMALL_STATE(588)] = 23250,
  [SMALL_STATE(589)] = 23316,
  [SMALL_STATE(590)] = 23362,
  [SMALL_STATE(591)] = 23428,
  [SMALL_STATE(592)] = 23504,
  [SMALL_STATE(593)] = 23580,
  [SMALL_STATE(594)] = 23622,
  [SMALL_STATE(595)] = 23664,
  [SMALL_STATE(596)] = 23730,
  [SMALL_STATE(597)] = 23796,
  [SMALL_STATE(598)] = 23872,
  [SMALL_STATE(599)] = 23948,
  [SMALL_STATE(600)] = 23990,
  [SMALL_STATE(601)] = 24066,
  [SMALL_STATE(602)] = 24132,
  [SMALL_STATE(603)] = 24175,
  [SMALL_STATE(604)] = 24238,
  [SMALL_STATE(605)] = 24311,
  [SMALL_STATE(606)] = 24374,
  [SMALL_STATE(607)] = 24437,
  [SMALL_STATE(608)] = 24500,
  [SMALL_STATE(609)] = 24573,
  [SMALL_STATE(610)] = 24636,
  [SMALL_STATE(611)] = 24709,
  [SMALL_STATE(612)] = 24782,
  [SMALL_STATE(613)] = 24845,
  [SMALL_STATE(614)] = 24908,
  [SMALL_STATE(615)] = 24971,
  [SMALL_STATE(616)] = 25044,
  [SMALL_STATE(617)] = 25117,
  [SMALL_STATE(618)] = 25180,
  [SMALL_STATE(619)] = 25253,
  [SMALL_STATE(620)] = 25326,
  [SMALL_STATE(621)] = 25399,
  [SMALL_STATE(622)] = 25462,
  [SMALL_STATE(623)] = 25525,
  [SMALL_STATE(624)] = 25598,
  [SMALL_STATE(625)] = 25661,
  [SMALL_STATE(626)] = 25724,
  [SMALL_STATE(627)] = 25797,
  [SMALL_STATE(628)] = 25860,
  [SMALL_STATE(629)] = 25923,
  [SMALL_STATE(630)] = 25994,
  [SMALL_STATE(631)] = 26065,
  [SMALL_STATE(632)] = 26136,
  [SMALL_STATE(633)] = 26199,
  [SMALL_STATE(634)] = 26238,
  [SMALL_STATE(635)] = 26301,
  [SMALL_STATE(636)] = 26374,
  [SMALL_STATE(637)] = 26437,
  [SMALL_STATE(638)] = 26508,
  [SMALL_STATE(639)] = 26547,
  [SMALL_STATE(640)] = 26618,
  [SMALL_STATE(641)] = 26681,
  [SMALL_STATE(642)] = 26754,
  [SMALL_STATE(643)] = 26827,
  [SMALL_STATE(644)] = 26866,
  [SMALL_STATE(645)] = 26929,
  [SMALL_STATE(646)] = 26968,
  [SMALL_STATE(647)] = 27009,
  [SMALL_STATE(648)] = 27072,
  [SMALL_STATE(649)] = 27135,
  [SMALL_STATE(650)] = 27198,
  [SMALL_STATE(651)] = 27261,
  [SMALL_STATE(652)] = 27324,
  [SMALL_STATE(653)] = 27387,
  [SMALL_STATE(654)] = 27450,
  [SMALL_STATE(655)] = 27523,
  [SMALL_STATE(656)] = 27586,
  [SMALL_STATE(657)] = 27649,
  [SMALL_STATE(658)] = 27722,
  [SMALL_STATE(659)] = 27795,
  [SMALL_STATE(660)] = 27866,
  [SMALL_STATE(661)] = 27929,
  [SMALL_STATE(662)] = 28000,
  [SMALL_STATE(663)] = 28073,
  [SMALL_STATE(664)] = 28136,
  [SMALL_STATE(665)] = 28199,
  [SMALL_STATE(666)] = 28270,
  [SMALL_STATE(667)] = 28333,
  [SMALL_STATE(668)] = 28406,
  [SMALL_STATE(669)] = 28447,
  [SMALL_STATE(670)] = 28520,
  [SMALL_STATE(671)] = 28583,
  [SMALL_STATE(672)] = 28656,
  [SMALL_STATE(673)] = 28695,
  [SMALL_STATE(674)] = 28734,
  [SMALL_STATE(675)] = 28805,
  [SMALL_STATE(676)] = 28844,
  [SMALL_STATE(677)] = 28907,
  [SMALL_STATE(678)] = 28980,
  [SMALL_STATE(679)] = 29053,
  [SMALL_STATE(680)] = 29116,
  [SMALL_STATE(681)] = 29155,
  [SMALL_STATE(682)] = 29228,
  [SMALL_STATE(683)] = 29269,
  [SMALL_STATE(684)] = 29342,
  [SMALL_STATE(685)] = 29415,
  [SMALL_STATE(686)] = 29478,
  [SMALL_STATE(687)] = 29517,
  [SMALL_STATE(688)] = 29590,
  [SMALL_STATE(689)] = 29663,
  [SMALL_STATE(690)] = 29726,
  [SMALL_STATE(691)] = 29789,
  [SMALL_STATE(692)] = 29862,
  [SMALL_STATE(693)] = 29925,
  [SMALL_STATE(694)] = 29968,
  [SMALL_STATE(695)] = 30041,
  [SMALL_STATE(696)] = 30112,
  [SMALL_STATE(697)] = 30153,
  [SMALL_STATE(698)] = 30216,
  [SMALL_STATE(699)] = 30287,
  [SMALL_STATE(700)] = 30360,
  [SMALL_STATE(701)] = 30399,
  [SMALL_STATE(702)] = 30442,
  [SMALL_STATE(703)] = 30505,
  [SMALL_STATE(704)] = 30568,
  [SMALL_STATE(705)] = 30611,
  [SMALL_STATE(706)] = 30650,
  [SMALL_STATE(707)] = 30713,
  [SMALL_STATE(708)] = 30752,
  [SMALL_STATE(709)] = 30795,
  [SMALL_STATE(710)] = 30868,
  [SMALL_STATE(711)] = 30938,
  [SMALL_STATE(712)] = 31006,
  [SMALL_STATE(713)] = 31046,
  [SMALL_STATE(714)] = 31098,
  [SMALL_STATE(715)] = 31164,
  [SMALL_STATE(716)] = 31228,
  [SMALL_STATE(717)] = 31286,
  [SMALL_STATE(718)] = 31340,
  [SMALL_STATE(719)] = 31396,
  [SMALL_STATE(720)] = 31446,
  [SMALL_STATE(721)] = 31506,
  [SMALL_STATE(722)] = 31546,
  [SMALL_STATE(723)] = 31594,
  [SMALL_STATE(724)] = 31662,
  [SMALL_STATE(725)] = 31702,
  [SMALL_STATE(726)] = 31742,
  [SMALL_STATE(727)] = 31812,
  [SMALL_STATE(728)] = 31860,
  [SMALL_STATE(729)] = 31898,
  [SMALL_STATE(730)] = 31946,
  [SMALL_STATE(731)] = 32016,
  [SMALL_STATE(732)] = 32054,
  [SMALL_STATE(733)] = 32094,
  [SMALL_STATE(734)] = 32164,
  [SMALL_STATE(735)] = 32234,
  [SMALL_STATE(736)] = 32272,
  [SMALL_STATE(737)] = 32310,
  [SMALL_STATE(738)] = 32380,
  [SMALL_STATE(739)] = 32450,
  [SMALL_STATE(740)] = 32520,
  [SMALL_STATE(741)] = 32590,
  [SMALL_STATE(742)] = 32658,
  [SMALL_STATE(743)] = 32728,
  [SMALL_STATE(744)] = 32798,
  [SMALL_STATE(745)] = 32836,
  [SMALL_STATE(746)] = 32874,
  [SMALL_STATE(747)] = 32912,
  [SMALL_STATE(748)] = 32950,
  [SMALL_STATE(749)] = 33020,
  [SMALL_STATE(750)] = 33090,
  [SMALL_STATE(751)] = 33160,
  [SMALL_STATE(752)] = 33230,
  [SMALL_STATE(753)] = 33298,
  [SMALL_STATE(754)] = 33350,
  [SMALL_STATE(755)] = 33420,
  [SMALL_STATE(756)] = 33488,
  [SMALL_STATE(757)] = 33558,
  [SMALL_STATE(758)] = 33626,
  [SMALL_STATE(759)] = 33694,
  [SMALL_STATE(760)] = 33760,
  [SMALL_STATE(761)] = 33828,
  [SMALL_STATE(762)] = 33898,
  [SMALL_STATE(763)] = 33962,
  [SMALL_STATE(764)] = 34020,
  [SMALL_STATE(765)] = 34068,
  [SMALL_STATE(766)] = 34138,
  [SMALL_STATE(767)] = 34198,
  [SMALL_STATE(768)] = 34268,
  [SMALL_STATE(769)] = 34322,
  [SMALL_STATE(770)] = 34392,
  [SMALL_STATE(771)] = 34462,
  [SMALL_STATE(772)] = 34532,
  [SMALL_STATE(773)] = 34602,
  [SMALL_STATE(774)] = 34672,
  [SMALL_STATE(775)] = 34728,
  [SMALL_STATE(776)] = 34766,
  [SMALL_STATE(777)] = 34816,
  [SMALL_STATE(778)] = 34886,
  [SMALL_STATE(779)] = 34956,
  [SMALL_STATE(780)] = 35026,
  [SMALL_STATE(781)] = 35096,
  [SMALL_STATE(782)] = 35166,
  [SMALL_STATE(783)] = 35236,
  [SMALL_STATE(784)] = 35273,
  [SMALL_STATE(785)] = 35310,
  [SMALL_STATE(786)] = 35347,
  [SMALL_STATE(787)] = 35384,
  [SMALL_STATE(788)] = 35421,
  [SMALL_STATE(789)] = 35458,
  [SMALL_STATE(790)] = 35495,
  [SMALL_STATE(791)] = 35532,
  [SMALL_STATE(792)] = 35569,
  [SMALL_STATE(793)] = 35606,
  [SMALL_STATE(794)] = 35643,
  [SMALL_STATE(795)] = 35680,
  [SMALL_STATE(796)] = 35717,
  [SMALL_STATE(797)] = 35754,
  [SMALL_STATE(798)] = 35791,
  [SMALL_STATE(799)] = 35828,
  [SMALL_STATE(800)] = 35865,
  [SMALL_STATE(801)] = 35902,
  [SMALL_STATE(802)] = 35939,
  [SMALL_STATE(803)] = 35976,
  [SMALL_STATE(804)] = 36013,
  [SMALL_STATE(805)] = 36050,
  [SMALL_STATE(806)] = 36087,
  [SMALL_STATE(807)] = 36124,
  [SMALL_STATE(808)] = 36161,
  [SMALL_STATE(809)] = 36198,
  [SMALL_STATE(810)] = 36253,
  [SMALL_STATE(811)] = 36290,
  [SMALL_STATE(812)] = 36327,
  [SMALL_STATE(813)] = 36364,
  [SMALL_STATE(814)] = 36401,
  [SMALL_STATE(815)] = 36438,
  [SMALL_STATE(816)] = 36475,
  [SMALL_STATE(817)] = 36512,
  [SMALL_STATE(818)] = 36549,
  [SMALL_STATE(819)] = 36586,
  [SMALL_STATE(820)] = 36623,
  [SMALL_STATE(821)] = 36660,
  [SMALL_STATE(822)] = 36697,
  [SMALL_STATE(823)] = 36734,
  [SMALL_STATE(824)] = 36771,
  [SMALL_STATE(825)] = 36808,
  [SMALL_STATE(826)] = 36845,
  [SMALL_STATE(827)] = 36882,
  [SMALL_STATE(828)] = 36919,
  [SMALL_STATE(829)] = 36956,
  [SMALL_STATE(830)] = 36993,
  [SMALL_STATE(831)] = 37045,
  [SMALL_STATE(832)] = 37097,
  [SMALL_STATE(833)] = 37146,
  [SMALL_STATE(834)] = 37195,
  [SMALL_STATE(835)] = 37244,
  [SMALL_STATE(836)] = 37293,
  [SMALL_STATE(837)] = 37342,
  [SMALL_STATE(838)] = 37379,
  [SMALL_STATE(839)] = 37410,
  [SMALL_STATE(840)] = 37452,
  [SMALL_STATE(841)] = 37491,
  [SMALL_STATE(842)] = 37530,
  [SMALL_STATE(843)] = 37569,
  [SMALL_STATE(844)] = 37608,
  [SMALL_STATE(845)] = 37647,
  [SMALL_STATE(846)] = 37686,
  [SMALL_STATE(847)] = 37725,
  [SMALL_STATE(848)] = 37764,
  [SMALL_STATE(849)] = 37803,
  [SMALL_STATE(850)] = 37842,
  [SMALL_STATE(851)] = 37881,
  [SMALL_STATE(852)] = 37917,
  [SMALL_STATE(853)] = 37953,
  [SMALL_STATE(854)] = 37979,
  [SMALL_STATE(855)] = 38005,
  [SMALL_STATE(856)] = 38031,
  [SMALL_STATE(857)] = 38057,
  [SMALL_STATE(858)] = 38092,
  [SMALL_STATE(859)] = 38116,
  [SMALL_STATE(860)] = 38138,
  [SMALL_STATE(861)] = 38162,
  [SMALL_STATE(862)] = 38186,
  [SMALL_STATE(863)] = 38210,
  [SMALL_STATE(864)] = 38232,
  [SMALL_STATE(865)] = 38254,
  [SMALL_STATE(866)] = 38276,
  [SMALL_STATE(867)] = 38295,
  [SMALL_STATE(868)] = 38314,
  [SMALL_STATE(869)] = 38333,
  [SMALL_STATE(870)] = 38352,
  [SMALL_STATE(871)] = 38381,
  [SMALL_STATE(872)] = 38399,
  [SMALL_STATE(873)] = 38417,
  [SMALL_STATE(874)] = 38435,
  [SMALL_STATE(875)] = 38461,
  [SMALL_STATE(876)] = 38501,
  [SMALL_STATE(877)] = 38541,
  [SMALL_STATE(878)] = 38560,
  [SMALL_STATE(879)] = 38579,
  [SMALL_STATE(880)] = 38596,
  [SMALL_STATE(881)] = 38617,
  [SMALL_STATE(882)] = 38636,
  [SMALL_STATE(883)] = 38655,
  [SMALL_STATE(884)] = 38686,
  [SMALL_STATE(885)] = 38703,
  [SMALL_STATE(886)] = 38720,
  [SMALL_STATE(887)] = 38741,
  [SMALL_STATE(888)] = 38758,
  [SMALL_STATE(889)] = 38779,
  [SMALL_STATE(890)] = 38800,
  [SMALL_STATE(891)] = 38831,
  [SMALL_STATE(892)] = 38847,
  [SMALL_STATE(893)] = 38863,
  [SMALL_STATE(894)] = 38891,
  [SMALL_STATE(895)] = 38923,
  [SMALL_STATE(896)] = 38955,
  [SMALL_STATE(897)] = 38987,
  [SMALL_STATE(898)] = 39007,
  [SMALL_STATE(899)] = 39023,
  [SMALL_STATE(900)] = 39039,
  [SMALL_STATE(901)] = 39063,
  [SMALL_STATE(902)] = 39079,
  [SMALL_STATE(903)] = 39099,
  [SMALL_STATE(904)] = 39115,
  [SMALL_STATE(905)] = 39143,
  [SMALL_STATE(906)] = 39159,
  [SMALL_STATE(907)] = 39175,
  [SMALL_STATE(908)] = 39191,
  [SMALL_STATE(909)] = 39207,
  [SMALL_STATE(910)] = 39223,
  [SMALL_STATE(911)] = 39239,
  [SMALL_STATE(912)] = 39255,
  [SMALL_STATE(913)] = 39287,
  [SMALL_STATE(914)] = 39315,
  [SMALL_STATE(915)] = 39343,
  [SMALL_STATE(916)] = 39359,
  [SMALL_STATE(917)] = 39374,
  [SMALL_STATE(918)] = 39401,
  [SMALL_STATE(919)] = 39430,
  [SMALL_STATE(920)] = 39459,
  [SMALL_STATE(921)] = 39474,
  [SMALL_STATE(922)] = 39489,
  [SMALL_STATE(923)] = 39518,
  [SMALL_STATE(924)] = 39533,
  [SMALL_STATE(925)] = 39548,
  [SMALL_STATE(926)] = 39563,
  [SMALL_STATE(927)] = 39578,
  [SMALL_STATE(928)] = 39593,
  [SMALL_STATE(929)] = 39622,
  [SMALL_STATE(930)] = 39637,
  [SMALL_STATE(931)] = 39652,
  [SMALL_STATE(932)] = 39667,
  [SMALL_STATE(933)] = 39682,
  [SMALL_STATE(934)] = 39711,
  [SMALL_STATE(935)] = 39736,
  [SMALL_STATE(936)] = 39751,
  [SMALL_STATE(937)] = 39780,
  [SMALL_STATE(938)] = 39795,
  [SMALL_STATE(939)] = 39810,
  [SMALL_STATE(940)] = 39825,
  [SMALL_STATE(941)] = 39840,
  [SMALL_STATE(942)] = 39855,
  [SMALL_STATE(943)] = 39870,
  [SMALL_STATE(944)] = 39885,
  [SMALL_STATE(945)] = 39908,
  [SMALL_STATE(946)] = 39937,
  [SMALL_STATE(947)] = 39952,
  [SMALL_STATE(948)] = 39967,
  [SMALL_STATE(949)] = 39982,
  [SMALL_STATE(950)] = 40011,
  [SMALL_STATE(951)] = 40040,
  [SMALL_STATE(952)] = 40055,
  [SMALL_STATE(953)] = 40070,
  [SMALL_STATE(954)] = 40085,
  [SMALL_STATE(955)] = 40100,
  [SMALL_STATE(956)] = 40115,
  [SMALL_STATE(957)] = 40130,
  [SMALL_STATE(958)] = 40145,
  [SMALL_STATE(959)] = 40171,
  [SMALL_STATE(960)] = 40189,
  [SMALL_STATE(961)] = 40215,
  [SMALL_STATE(962)] = 40241,
  [SMALL_STATE(963)] = 40267,
  [SMALL_STATE(964)] = 40293,
  [SMALL_STATE(965)] = 40315,
  [SMALL_STATE(966)] = 40333,
  [SMALL_STATE(967)] = 40359,
  [SMALL_STATE(968)] = 40377,
  [SMALL_STATE(969)] = 40403,
  [SMALL_STATE(970)] = 40429,
  [SMALL_STATE(971)] = 40447,
  [SMALL_STATE(972)] = 40473,
  [SMALL_STATE(973)] = 40499,
  [SMALL_STATE(974)] = 40518,
  [SMALL_STATE(975)] = 40539,
  [SMALL_STATE(976)] = 40564,
  [SMALL_STATE(977)] = 40587,
  [SMALL_STATE(978)] = 40612,
  [SMALL_STATE(979)] = 40635,
  [SMALL_STATE(980)] = 40658,
  [SMALL_STATE(981)] = 40681,
  [SMALL_STATE(982)] = 40706,
  [SMALL_STATE(983)] = 40727,
  [SMALL_STATE(984)] = 40750,
  [SMALL_STATE(985)] = 40775,
  [SMALL_STATE(986)] = 40796,
  [SMALL_STATE(987)] = 40819,
  [SMALL_STATE(988)] = 40842,
  [SMALL_STATE(989)] = 40860,
  [SMALL_STATE(990)] = 40872,
  [SMALL_STATE(991)] = 40892,
  [SMALL_STATE(992)] = 40914,
  [SMALL_STATE(993)] = 40932,
  [SMALL_STATE(994)] = 40954,
  [SMALL_STATE(995)] = 40974,
  [SMALL_STATE(996)] = 40994,
  [SMALL_STATE(997)] = 41010,
  [SMALL_STATE(998)] = 41030,
  [SMALL_STATE(999)] = 41050,
  [SMALL_STATE(1000)] = 41070,
  [SMALL_STATE(1001)] = 41090,
  [SMALL_STATE(1002)] = 41112,
  [SMALL_STATE(1003)] = 41124,
  [SMALL_STATE(1004)] = 41144,
  [SMALL_STATE(1005)] = 41162,
  [SMALL_STATE(1006)] = 41182,
  [SMALL_STATE(1007)] = 41202,
  [SMALL_STATE(1008)] = 41214,
  [SMALL_STATE(1009)] = 41226,
  [SMALL_STATE(1010)] = 41243,
  [SMALL_STATE(1011)] = 41258,
  [SMALL_STATE(1012)] = 41277,
  [SMALL_STATE(1013)] = 41288,
  [SMALL_STATE(1014)] = 41299,
  [SMALL_STATE(1015)] = 41318,
  [SMALL_STATE(1016)] = 41329,
  [SMALL_STATE(1017)] = 41340,
  [SMALL_STATE(1018)] = 41351,
  [SMALL_STATE(1019)] = 41370,
  [SMALL_STATE(1020)] = 41389,
  [SMALL_STATE(1021)] = 41406,
  [SMALL_STATE(1022)] = 41421,
  [SMALL_STATE(1023)] = 41432,
  [SMALL_STATE(1024)] = 41443,
  [SMALL_STATE(1025)] = 41454,
  [SMALL_STATE(1026)] = 41469,
  [SMALL_STATE(1027)] = 41488,
  [SMALL_STATE(1028)] = 41507,
  [SMALL_STATE(1029)] = 41526,
  [SMALL_STATE(1030)] = 41543,
  [SMALL_STATE(1031)] = 41554,
  [SMALL_STATE(1032)] = 41565,
  [SMALL_STATE(1033)] = 41576,
  [SMALL_STATE(1034)] = 41593,
  [SMALL_STATE(1035)] = 41604,
  [SMALL_STATE(1036)] = 41619,
  [SMALL_STATE(1037)] = 41638,
  [SMALL_STATE(1038)] = 41653,
  [SMALL_STATE(1039)] = 41672,
  [SMALL_STATE(1040)] = 41691,
  [SMALL_STATE(1041)] = 41702,
  [SMALL_STATE(1042)] = 41719,
  [SMALL_STATE(1043)] = 41734,
  [SMALL_STATE(1044)] = 41745,
  [SMALL_STATE(1045)] = 41756,
  [SMALL_STATE(1046)] = 41771,
  [SMALL_STATE(1047)] = 41782,
  [SMALL_STATE(1048)] = 41799,
  [SMALL_STATE(1049)] = 41818,
  [SMALL_STATE(1050)] = 41835,
  [SMALL_STATE(1051)] = 41852,
  [SMALL_STATE(1052)] = 41869,
  [SMALL_STATE(1053)] = 41880,
  [SMALL_STATE(1054)] = 41897,
  [SMALL_STATE(1055)] = 41916,
  [SMALL_STATE(1056)] = 41927,
  [SMALL_STATE(1057)] = 41946,
  [SMALL_STATE(1058)] = 41963,
  [SMALL_STATE(1059)] = 41974,
  [SMALL_STATE(1060)] = 41993,
  [SMALL_STATE(1061)] = 42012,
  [SMALL_STATE(1062)] = 42028,
  [SMALL_STATE(1063)] = 42044,
  [SMALL_STATE(1064)] = 42056,
  [SMALL_STATE(1065)] = 42072,
  [SMALL_STATE(1066)] = 42088,
  [SMALL_STATE(1067)] = 42104,
  [SMALL_STATE(1068)] = 42120,
  [SMALL_STATE(1069)] = 42136,
  [SMALL_STATE(1070)] = 42150,
  [SMALL_STATE(1071)] = 42166,
  [SMALL_STATE(1072)] = 42182,
  [SMALL_STATE(1073)] = 42198,
  [SMALL_STATE(1074)] = 42210,
  [SMALL_STATE(1075)] = 42226,
  [SMALL_STATE(1076)] = 42240,
  [SMALL_STATE(1077)] = 42256,
  [SMALL_STATE(1078)] = 42272,
  [SMALL_STATE(1079)] = 42288,
  [SMALL_STATE(1080)] = 42304,
  [SMALL_STATE(1081)] = 42318,
  [SMALL_STATE(1082)] = 42334,
  [SMALL_STATE(1083)] = 42350,
  [SMALL_STATE(1084)] = 42366,
  [SMALL_STATE(1085)] = 42382,
  [SMALL_STATE(1086)] = 42398,
  [SMALL_STATE(1087)] = 42412,
  [SMALL_STATE(1088)] = 42428,
  [SMALL_STATE(1089)] = 42444,
  [SMALL_STATE(1090)] = 42460,
  [SMALL_STATE(1091)] = 42476,
  [SMALL_STATE(1092)] = 42492,
  [SMALL_STATE(1093)] = 42508,
  [SMALL_STATE(1094)] = 42524,
  [SMALL_STATE(1095)] = 42540,
  [SMALL_STATE(1096)] = 42556,
  [SMALL_STATE(1097)] = 42572,
  [SMALL_STATE(1098)] = 42588,
  [SMALL_STATE(1099)] = 42604,
  [SMALL_STATE(1100)] = 42620,
  [SMALL_STATE(1101)] = 42636,
  [SMALL_STATE(1102)] = 42652,
  [SMALL_STATE(1103)] = 42668,
  [SMALL_STATE(1104)] = 42684,
  [SMALL_STATE(1105)] = 42700,
  [SMALL_STATE(1106)] = 42716,
  [SMALL_STATE(1107)] = 42732,
  [SMALL_STATE(1108)] = 42748,
  [SMALL_STATE(1109)] = 42764,
  [SMALL_STATE(1110)] = 42780,
  [SMALL_STATE(1111)] = 42796,
  [SMALL_STATE(1112)] = 42812,
  [SMALL_STATE(1113)] = 42826,
  [SMALL_STATE(1114)] = 42842,
  [SMALL_STATE(1115)] = 42856,
  [SMALL_STATE(1116)] = 42872,
  [SMALL_STATE(1117)] = 42888,
  [SMALL_STATE(1118)] = 42902,
  [SMALL_STATE(1119)] = 42916,
  [SMALL_STATE(1120)] = 42930,
  [SMALL_STATE(1121)] = 42944,
  [SMALL_STATE(1122)] = 42958,
  [SMALL_STATE(1123)] = 42972,
  [SMALL_STATE(1124)] = 42988,
  [SMALL_STATE(1125)] = 43004,
  [SMALL_STATE(1126)] = 43018,
  [SMALL_STATE(1127)] = 43034,
  [SMALL_STATE(1128)] = 43046,
  [SMALL_STATE(1129)] = 43062,
  [SMALL_STATE(1130)] = 43078,
  [SMALL_STATE(1131)] = 43094,
  [SMALL_STATE(1132)] = 43110,
  [SMALL_STATE(1133)] = 43126,
  [SMALL_STATE(1134)] = 43142,
  [SMALL_STATE(1135)] = 43158,
  [SMALL_STATE(1136)] = 43174,
  [SMALL_STATE(1137)] = 43190,
  [SMALL_STATE(1138)] = 43206,
  [SMALL_STATE(1139)] = 43220,
  [SMALL_STATE(1140)] = 43236,
  [SMALL_STATE(1141)] = 43252,
  [SMALL_STATE(1142)] = 43268,
  [SMALL_STATE(1143)] = 43284,
  [SMALL_STATE(1144)] = 43300,
  [SMALL_STATE(1145)] = 43314,
  [SMALL_STATE(1146)] = 43330,
  [SMALL_STATE(1147)] = 43346,
  [SMALL_STATE(1148)] = 43360,
  [SMALL_STATE(1149)] = 43372,
  [SMALL_STATE(1150)] = 43388,
  [SMALL_STATE(1151)] = 43402,
  [SMALL_STATE(1152)] = 43418,
  [SMALL_STATE(1153)] = 43432,
  [SMALL_STATE(1154)] = 43444,
  [SMALL_STATE(1155)] = 43460,
  [SMALL_STATE(1156)] = 43476,
  [SMALL_STATE(1157)] = 43492,
  [SMALL_STATE(1158)] = 43504,
  [SMALL_STATE(1159)] = 43520,
  [SMALL_STATE(1160)] = 43533,
  [SMALL_STATE(1161)] = 43542,
  [SMALL_STATE(1162)] = 43553,
  [SMALL_STATE(1163)] = 43564,
  [SMALL_STATE(1164)] = 43577,
  [SMALL_STATE(1165)] = 43586,
  [SMALL_STATE(1166)] = 43599,
  [SMALL_STATE(1167)] = 43612,
  [SMALL_STATE(1168)] = 43625,
  [SMALL_STATE(1169)] = 43638,
  [SMALL_STATE(1170)] = 43651,
  [SMALL_STATE(1171)] = 43660,
  [SMALL_STATE(1172)] = 43669,
  [SMALL_STATE(1173)] = 43682,
  [SMALL_STATE(1174)] = 43695,
  [SMALL_STATE(1175)] = 43704,
  [SMALL_STATE(1176)] = 43713,
  [SMALL_STATE(1177)] = 43724,
  [SMALL_STATE(1178)] = 43733,
  [SMALL_STATE(1179)] = 43742,
  [SMALL_STATE(1180)] = 43751,
  [SMALL_STATE(1181)] = 43760,
  [SMALL_STATE(1182)] = 43769,
  [SMALL_STATE(1183)] = 43778,
  [SMALL_STATE(1184)] = 43791,
  [SMALL_STATE(1185)] = 43802,
  [SMALL_STATE(1186)] = 43811,
  [SMALL_STATE(1187)] = 43820,
  [SMALL_STATE(1188)] = 43833,
  [SMALL_STATE(1189)] = 43844,
  [SMALL_STATE(1190)] = 43853,
  [SMALL_STATE(1191)] = 43866,
  [SMALL_STATE(1192)] = 43879,
  [SMALL_STATE(1193)] = 43892,
  [SMALL_STATE(1194)] = 43901,
  [SMALL_STATE(1195)] = 43914,
  [SMALL_STATE(1196)] = 43925,
  [SMALL_STATE(1197)] = 43938,
  [SMALL_STATE(1198)] = 43947,
  [SMALL_STATE(1199)] = 43956,
  [SMALL_STATE(1200)] = 43967,
  [SMALL_STATE(1201)] = 43978,
  [SMALL_STATE(1202)] = 43991,
  [SMALL_STATE(1203)] = 44002,
  [SMALL_STATE(1204)] = 44015,
  [SMALL_STATE(1205)] = 44028,
  [SMALL_STATE(1206)] = 44037,
  [SMALL_STATE(1207)] = 44050,
  [SMALL_STATE(1208)] = 44063,
  [SMALL_STATE(1209)] = 44076,
  [SMALL_STATE(1210)] = 44089,
  [SMALL_STATE(1211)] = 44098,
  [SMALL_STATE(1212)] = 44107,
  [SMALL_STATE(1213)] = 44120,
  [SMALL_STATE(1214)] = 44129,
  [SMALL_STATE(1215)] = 44140,
  [SMALL_STATE(1216)] = 44153,
  [SMALL_STATE(1217)] = 44162,
  [SMALL_STATE(1218)] = 44175,
  [SMALL_STATE(1219)] = 44188,
  [SMALL_STATE(1220)] = 44201,
  [SMALL_STATE(1221)] = 44214,
  [SMALL_STATE(1222)] = 44223,
  [SMALL_STATE(1223)] = 44236,
  [SMALL_STATE(1224)] = 44247,
  [SMALL_STATE(1225)] = 44258,
  [SMALL_STATE(1226)] = 44271,
  [SMALL_STATE(1227)] = 44284,
  [SMALL_STATE(1228)] = 44297,
  [SMALL_STATE(1229)] = 44310,
  [SMALL_STATE(1230)] = 44323,
  [SMALL_STATE(1231)] = 44336,
  [SMALL_STATE(1232)] = 44349,
  [SMALL_STATE(1233)] = 44362,
  [SMALL_STATE(1234)] = 44375,
  [SMALL_STATE(1235)] = 44388,
  [SMALL_STATE(1236)] = 44399,
  [SMALL_STATE(1237)] = 44412,
  [SMALL_STATE(1238)] = 44425,
  [SMALL_STATE(1239)] = 44438,
  [SMALL_STATE(1240)] = 44451,
  [SMALL_STATE(1241)] = 44464,
  [SMALL_STATE(1242)] = 44477,
  [SMALL_STATE(1243)] = 44490,
  [SMALL_STATE(1244)] = 44503,
  [SMALL_STATE(1245)] = 44516,
  [SMALL_STATE(1246)] = 44529,
  [SMALL_STATE(1247)] = 44538,
  [SMALL_STATE(1248)] = 44551,
  [SMALL_STATE(1249)] = 44564,
  [SMALL_STATE(1250)] = 44577,
  [SMALL_STATE(1251)] = 44588,
  [SMALL_STATE(1252)] = 44601,
  [SMALL_STATE(1253)] = 44610,
  [SMALL_STATE(1254)] = 44619,
  [SMALL_STATE(1255)] = 44632,
  [SMALL_STATE(1256)] = 44645,
  [SMALL_STATE(1257)] = 44656,
  [SMALL_STATE(1258)] = 44669,
  [SMALL_STATE(1259)] = 44678,
  [SMALL_STATE(1260)] = 44687,
  [SMALL_STATE(1261)] = 44700,
  [SMALL_STATE(1262)] = 44709,
  [SMALL_STATE(1263)] = 44722,
  [SMALL_STATE(1264)] = 44735,
  [SMALL_STATE(1265)] = 44748,
  [SMALL_STATE(1266)] = 44761,
  [SMALL_STATE(1267)] = 44774,
  [SMALL_STATE(1268)] = 44785,
  [SMALL_STATE(1269)] = 44798,
  [SMALL_STATE(1270)] = 44811,
  [SMALL_STATE(1271)] = 44824,
  [SMALL_STATE(1272)] = 44833,
  [SMALL_STATE(1273)] = 44846,
  [SMALL_STATE(1274)] = 44859,
  [SMALL_STATE(1275)] = 44872,
  [SMALL_STATE(1276)] = 44881,
  [SMALL_STATE(1277)] = 44890,
  [SMALL_STATE(1278)] = 44901,
  [SMALL_STATE(1279)] = 44912,
  [SMALL_STATE(1280)] = 44921,
  [SMALL_STATE(1281)] = 44934,
  [SMALL_STATE(1282)] = 44947,
  [SMALL_STATE(1283)] = 44960,
  [SMALL_STATE(1284)] = 44969,
  [SMALL_STATE(1285)] = 44978,
  [SMALL_STATE(1286)] = 44987,
  [SMALL_STATE(1287)] = 44996,
  [SMALL_STATE(1288)] = 45005,
  [SMALL_STATE(1289)] = 45018,
  [SMALL_STATE(1290)] = 45031,
  [SMALL_STATE(1291)] = 45044,
  [SMALL_STATE(1292)] = 45057,
  [SMALL_STATE(1293)] = 45066,
  [SMALL_STATE(1294)] = 45075,
  [SMALL_STATE(1295)] = 45088,
  [SMALL_STATE(1296)] = 45101,
  [SMALL_STATE(1297)] = 45114,
  [SMALL_STATE(1298)] = 45127,
  [SMALL_STATE(1299)] = 45140,
  [SMALL_STATE(1300)] = 45153,
  [SMALL_STATE(1301)] = 45166,
  [SMALL_STATE(1302)] = 45179,
  [SMALL_STATE(1303)] = 45192,
  [SMALL_STATE(1304)] = 45201,
  [SMALL_STATE(1305)] = 45214,
  [SMALL_STATE(1306)] = 45227,
  [SMALL_STATE(1307)] = 45240,
  [SMALL_STATE(1308)] = 45249,
  [SMALL_STATE(1309)] = 45262,
  [SMALL_STATE(1310)] = 45275,
  [SMALL_STATE(1311)] = 45288,
  [SMALL_STATE(1312)] = 45297,
  [SMALL_STATE(1313)] = 45310,
  [SMALL_STATE(1314)] = 45323,
  [SMALL_STATE(1315)] = 45336,
  [SMALL_STATE(1316)] = 45349,
  [SMALL_STATE(1317)] = 45362,
  [SMALL_STATE(1318)] = 45375,
  [SMALL_STATE(1319)] = 45388,
  [SMALL_STATE(1320)] = 45401,
  [SMALL_STATE(1321)] = 45414,
  [SMALL_STATE(1322)] = 45427,
  [SMALL_STATE(1323)] = 45440,
  [SMALL_STATE(1324)] = 45449,
  [SMALL_STATE(1325)] = 45462,
  [SMALL_STATE(1326)] = 45475,
  [SMALL_STATE(1327)] = 45488,
  [SMALL_STATE(1328)] = 45501,
  [SMALL_STATE(1329)] = 45514,
  [SMALL_STATE(1330)] = 45527,
  [SMALL_STATE(1331)] = 45540,
  [SMALL_STATE(1332)] = 45553,
  [SMALL_STATE(1333)] = 45564,
  [SMALL_STATE(1334)] = 45577,
  [SMALL_STATE(1335)] = 45586,
  [SMALL_STATE(1336)] = 45599,
  [SMALL_STATE(1337)] = 45612,
  [SMALL_STATE(1338)] = 45625,
  [SMALL_STATE(1339)] = 45638,
  [SMALL_STATE(1340)] = 45651,
  [SMALL_STATE(1341)] = 45660,
  [SMALL_STATE(1342)] = 45669,
  [SMALL_STATE(1343)] = 45682,
  [SMALL_STATE(1344)] = 45695,
  [SMALL_STATE(1345)] = 45704,
  [SMALL_STATE(1346)] = 45717,
  [SMALL_STATE(1347)] = 45730,
  [SMALL_STATE(1348)] = 45743,
  [SMALL_STATE(1349)] = 45754,
  [SMALL_STATE(1350)] = 45767,
  [SMALL_STATE(1351)] = 45780,
  [SMALL_STATE(1352)] = 45790,
  [SMALL_STATE(1353)] = 45798,
  [SMALL_STATE(1354)] = 45808,
  [SMALL_STATE(1355)] = 45818,
  [SMALL_STATE(1356)] = 45828,
  [SMALL_STATE(1357)] = 45838,
  [SMALL_STATE(1358)] = 45848,
  [SMALL_STATE(1359)] = 45858,
  [SMALL_STATE(1360)] = 45866,
  [SMALL_STATE(1361)] = 45876,
  [SMALL_STATE(1362)] = 45886,
  [SMALL_STATE(1363)] = 45896,
  [SMALL_STATE(1364)] = 45906,
  [SMALL_STATE(1365)] = 45914,
  [SMALL_STATE(1366)] = 45924,
  [SMALL_STATE(1367)] = 45934,
  [SMALL_STATE(1368)] = 45942,
  [SMALL_STATE(1369)] = 45952,
  [SMALL_STATE(1370)] = 45960,
  [SMALL_STATE(1371)] = 45970,
  [SMALL_STATE(1372)] = 45978,
  [SMALL_STATE(1373)] = 45986,
  [SMALL_STATE(1374)] = 45994,
  [SMALL_STATE(1375)] = 46002,
  [SMALL_STATE(1376)] = 46012,
  [SMALL_STATE(1377)] = 46022,
  [SMALL_STATE(1378)] = 46030,
  [SMALL_STATE(1379)] = 46040,
  [SMALL_STATE(1380)] = 46048,
  [SMALL_STATE(1381)] = 46056,
  [SMALL_STATE(1382)] = 46066,
  [SMALL_STATE(1383)] = 46076,
  [SMALL_STATE(1384)] = 46084,
  [SMALL_STATE(1385)] = 46094,
  [SMALL_STATE(1386)] = 46104,
  [SMALL_STATE(1387)] = 46114,
  [SMALL_STATE(1388)] = 46122,
  [SMALL_STATE(1389)] = 46132,
  [SMALL_STATE(1390)] = 46140,
  [SMALL_STATE(1391)] = 46150,
  [SMALL_STATE(1392)] = 46158,
  [SMALL_STATE(1393)] = 46166,
  [SMALL_STATE(1394)] = 46174,
  [SMALL_STATE(1395)] = 46182,
  [SMALL_STATE(1396)] = 46190,
  [SMALL_STATE(1397)] = 46200,
  [SMALL_STATE(1398)] = 46208,
  [SMALL_STATE(1399)] = 46218,
  [SMALL_STATE(1400)] = 46226,
  [SMALL_STATE(1401)] = 46234,
  [SMALL_STATE(1402)] = 46244,
  [SMALL_STATE(1403)] = 46252,
  [SMALL_STATE(1404)] = 46262,
  [SMALL_STATE(1405)] = 46272,
  [SMALL_STATE(1406)] = 46280,
  [SMALL_STATE(1407)] = 46290,
  [SMALL_STATE(1408)] = 46298,
  [SMALL_STATE(1409)] = 46306,
  [SMALL_STATE(1410)] = 46316,
  [SMALL_STATE(1411)] = 46326,
  [SMALL_STATE(1412)] = 46334,
  [SMALL_STATE(1413)] = 46344,
  [SMALL_STATE(1414)] = 46352,
  [SMALL_STATE(1415)] = 46362,
  [SMALL_STATE(1416)] = 46372,
  [SMALL_STATE(1417)] = 46382,
  [SMALL_STATE(1418)] = 46390,
  [SMALL_STATE(1419)] = 46398,
  [SMALL_STATE(1420)] = 46408,
  [SMALL_STATE(1421)] = 46418,
  [SMALL_STATE(1422)] = 46428,
  [SMALL_STATE(1423)] = 46438,
  [SMALL_STATE(1424)] = 46448,
  [SMALL_STATE(1425)] = 46456,
  [SMALL_STATE(1426)] = 46464,
  [SMALL_STATE(1427)] = 46474,
  [SMALL_STATE(1428)] = 46484,
  [SMALL_STATE(1429)] = 46494,
  [SMALL_STATE(1430)] = 46504,
  [SMALL_STATE(1431)] = 46514,
  [SMALL_STATE(1432)] = 46524,
  [SMALL_STATE(1433)] = 46534,
  [SMALL_STATE(1434)] = 46544,
  [SMALL_STATE(1435)] = 46554,
  [SMALL_STATE(1436)] = 46564,
  [SMALL_STATE(1437)] = 46574,
  [SMALL_STATE(1438)] = 46582,
  [SMALL_STATE(1439)] = 46592,
  [SMALL_STATE(1440)] = 46602,
  [SMALL_STATE(1441)] = 46612,
  [SMALL_STATE(1442)] = 46622,
  [SMALL_STATE(1443)] = 46632,
  [SMALL_STATE(1444)] = 46642,
  [SMALL_STATE(1445)] = 46652,
  [SMALL_STATE(1446)] = 46662,
  [SMALL_STATE(1447)] = 46672,
  [SMALL_STATE(1448)] = 46680,
  [SMALL_STATE(1449)] = 46690,
  [SMALL_STATE(1450)] = 46698,
  [SMALL_STATE(1451)] = 46706,
  [SMALL_STATE(1452)] = 46716,
  [SMALL_STATE(1453)] = 46726,
  [SMALL_STATE(1454)] = 46736,
  [SMALL_STATE(1455)] = 46744,
  [SMALL_STATE(1456)] = 46754,
  [SMALL_STATE(1457)] = 46764,
  [SMALL_STATE(1458)] = 46774,
  [SMALL_STATE(1459)] = 46784,
  [SMALL_STATE(1460)] = 46792,
  [SMALL_STATE(1461)] = 46802,
  [SMALL_STATE(1462)] = 46810,
  [SMALL_STATE(1463)] = 46820,
  [SMALL_STATE(1464)] = 46830,
  [SMALL_STATE(1465)] = 46840,
  [SMALL_STATE(1466)] = 46850,
  [SMALL_STATE(1467)] = 46860,
  [SMALL_STATE(1468)] = 46870,
  [SMALL_STATE(1469)] = 46880,
  [SMALL_STATE(1470)] = 46890,
  [SMALL_STATE(1471)] = 46898,
  [SMALL_STATE(1472)] = 46908,
  [SMALL_STATE(1473)] = 46918,
  [SMALL_STATE(1474)] = 46926,
  [SMALL_STATE(1475)] = 46934,
  [SMALL_STATE(1476)] = 46944,
  [SMALL_STATE(1477)] = 46954,
  [SMALL_STATE(1478)] = 46964,
  [SMALL_STATE(1479)] = 46974,
  [SMALL_STATE(1480)] = 46984,
  [SMALL_STATE(1481)] = 46994,
  [SMALL_STATE(1482)] = 47002,
  [SMALL_STATE(1483)] = 47010,
  [SMALL_STATE(1484)] = 47020,
  [SMALL_STATE(1485)] = 47028,
  [SMALL_STATE(1486)] = 47038,
  [SMALL_STATE(1487)] = 47048,
  [SMALL_STATE(1488)] = 47058,
  [SMALL_STATE(1489)] = 47068,
  [SMALL_STATE(1490)] = 47075,
  [SMALL_STATE(1491)] = 47082,
  [SMALL_STATE(1492)] = 47089,
  [SMALL_STATE(1493)] = 47096,
  [SMALL_STATE(1494)] = 47103,
  [SMALL_STATE(1495)] = 47110,
  [SMALL_STATE(1496)] = 47117,
  [SMALL_STATE(1497)] = 47124,
  [SMALL_STATE(1498)] = 47131,
  [SMALL_STATE(1499)] = 47138,
  [SMALL_STATE(1500)] = 47145,
  [SMALL_STATE(1501)] = 47152,
  [SMALL_STATE(1502)] = 47159,
  [SMALL_STATE(1503)] = 47166,
  [SMALL_STATE(1504)] = 47173,
  [SMALL_STATE(1505)] = 47180,
  [SMALL_STATE(1506)] = 47187,
  [SMALL_STATE(1507)] = 47194,
  [SMALL_STATE(1508)] = 47201,
  [SMALL_STATE(1509)] = 47208,
  [SMALL_STATE(1510)] = 47215,
  [SMALL_STATE(1511)] = 47222,
  [SMALL_STATE(1512)] = 47229,
  [SMALL_STATE(1513)] = 47236,
  [SMALL_STATE(1514)] = 47243,
  [SMALL_STATE(1515)] = 47250,
  [SMALL_STATE(1516)] = 47257,
  [SMALL_STATE(1517)] = 47264,
  [SMALL_STATE(1518)] = 47271,
  [SMALL_STATE(1519)] = 47278,
  [SMALL_STATE(1520)] = 47285,
  [SMALL_STATE(1521)] = 47292,
  [SMALL_STATE(1522)] = 47299,
  [SMALL_STATE(1523)] = 47306,
  [SMALL_STATE(1524)] = 47313,
  [SMALL_STATE(1525)] = 47320,
  [SMALL_STATE(1526)] = 47327,
  [SMALL_STATE(1527)] = 47334,
  [SMALL_STATE(1528)] = 47341,
  [SMALL_STATE(1529)] = 47348,
  [SMALL_STATE(1530)] = 47355,
  [SMALL_STATE(1531)] = 47362,
  [SMALL_STATE(1532)] = 47369,
  [SMALL_STATE(1533)] = 47376,
  [SMALL_STATE(1534)] = 47383,
  [SMALL_STATE(1535)] = 47390,
  [SMALL_STATE(1536)] = 47397,
  [SMALL_STATE(1537)] = 47404,
  [SMALL_STATE(1538)] = 47411,
  [SMALL_STATE(1539)] = 47418,
  [SMALL_STATE(1540)] = 47425,
  [SMALL_STATE(1541)] = 47432,
  [SMALL_STATE(1542)] = 47439,
  [SMALL_STATE(1543)] = 47446,
  [SMALL_STATE(1544)] = 47453,
  [SMALL_STATE(1545)] = 47460,
  [SMALL_STATE(1546)] = 47467,
  [SMALL_STATE(1547)] = 47474,
  [SMALL_STATE(1548)] = 47481,
  [SMALL_STATE(1549)] = 47488,
  [SMALL_STATE(1550)] = 47495,
  [SMALL_STATE(1551)] = 47502,
  [SMALL_STATE(1552)] = 47509,
  [SMALL_STATE(1553)] = 47516,
  [SMALL_STATE(1554)] = 47523,
  [SMALL_STATE(1555)] = 47530,
  [SMALL_STATE(1556)] = 47537,
  [SMALL_STATE(1557)] = 47544,
  [SMALL_STATE(1558)] = 47551,
  [SMALL_STATE(1559)] = 47558,
  [SMALL_STATE(1560)] = 47565,
  [SMALL_STATE(1561)] = 47572,
  [SMALL_STATE(1562)] = 47579,
  [SMALL_STATE(1563)] = 47586,
  [SMALL_STATE(1564)] = 47593,
  [SMALL_STATE(1565)] = 47600,
  [SMALL_STATE(1566)] = 47607,
  [SMALL_STATE(1567)] = 47614,
  [SMALL_STATE(1568)] = 47621,
  [SMALL_STATE(1569)] = 47628,
  [SMALL_STATE(1570)] = 47635,
  [SMALL_STATE(1571)] = 47642,
  [SMALL_STATE(1572)] = 47649,
  [SMALL_STATE(1573)] = 47656,
  [SMALL_STATE(1574)] = 47663,
  [SMALL_STATE(1575)] = 47670,
  [SMALL_STATE(1576)] = 47677,
  [SMALL_STATE(1577)] = 47684,
  [SMALL_STATE(1578)] = 47691,
  [SMALL_STATE(1579)] = 47698,
  [SMALL_STATE(1580)] = 47705,
  [SMALL_STATE(1581)] = 47712,
  [SMALL_STATE(1582)] = 47719,
  [SMALL_STATE(1583)] = 47726,
  [SMALL_STATE(1584)] = 47733,
  [SMALL_STATE(1585)] = 47740,
  [SMALL_STATE(1586)] = 47747,
  [SMALL_STATE(1587)] = 47754,
  [SMALL_STATE(1588)] = 47761,
  [SMALL_STATE(1589)] = 47768,
  [SMALL_STATE(1590)] = 47775,
  [SMALL_STATE(1591)] = 47782,
  [SMALL_STATE(1592)] = 47789,
  [SMALL_STATE(1593)] = 47796,
  [SMALL_STATE(1594)] = 47803,
  [SMALL_STATE(1595)] = 47810,
  [SMALL_STATE(1596)] = 47817,
  [SMALL_STATE(1597)] = 47824,
  [SMALL_STATE(1598)] = 47831,
  [SMALL_STATE(1599)] = 47838,
  [SMALL_STATE(1600)] = 47845,
  [SMALL_STATE(1601)] = 47852,
  [SMALL_STATE(1602)] = 47859,
  [SMALL_STATE(1603)] = 47866,
  [SMALL_STATE(1604)] = 47873,
  [SMALL_STATE(1605)] = 47880,
  [SMALL_STATE(1606)] = 47887,
  [SMALL_STATE(1607)] = 47894,
  [SMALL_STATE(1608)] = 47901,
  [SMALL_STATE(1609)] = 47908,
  [SMALL_STATE(1610)] = 47915,
  [SMALL_STATE(1611)] = 47922,
  [SMALL_STATE(1612)] = 47929,
  [SMALL_STATE(1613)] = 47936,
  [SMALL_STATE(1614)] = 47943,
  [SMALL_STATE(1615)] = 47950,
  [SMALL_STATE(1616)] = 47957,
  [SMALL_STATE(1617)] = 47964,
  [SMALL_STATE(1618)] = 47971,
  [SMALL_STATE(1619)] = 47978,
  [SMALL_STATE(1620)] = 47985,
  [SMALL_STATE(1621)] = 47992,
  [SMALL_STATE(1622)] = 47999,
  [SMALL_STATE(1623)] = 48006,
  [SMALL_STATE(1624)] = 48013,
  [SMALL_STATE(1625)] = 48020,
  [SMALL_STATE(1626)] = 48027,
  [SMALL_STATE(1627)] = 48034,
  [SMALL_STATE(1628)] = 48041,
  [SMALL_STATE(1629)] = 48048,
  [SMALL_STATE(1630)] = 48055,
  [SMALL_STATE(1631)] = 48062,
  [SMALL_STATE(1632)] = 48069,
  [SMALL_STATE(1633)] = 48076,
  [SMALL_STATE(1634)] = 48083,
  [SMALL_STATE(1635)] = 48090,
  [SMALL_STATE(1636)] = 48097,
  [SMALL_STATE(1637)] = 48104,
  [SMALL_STATE(1638)] = 48111,
  [SMALL_STATE(1639)] = 48118,
  [SMALL_STATE(1640)] = 48125,
  [SMALL_STATE(1641)] = 48132,
  [SMALL_STATE(1642)] = 48139,
  [SMALL_STATE(1643)] = 48146,
  [SMALL_STATE(1644)] = 48153,
  [SMALL_STATE(1645)] = 48160,
  [SMALL_STATE(1646)] = 48167,
  [SMALL_STATE(1647)] = 48174,
  [SMALL_STATE(1648)] = 48181,
  [SMALL_STATE(1649)] = 48188,
  [SMALL_STATE(1650)] = 48195,
  [SMALL_STATE(1651)] = 48202,
  [SMALL_STATE(1652)] = 48209,
  [SMALL_STATE(1653)] = 48216,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [99] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(7),
  [104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1527),
  [109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(252),
  [112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1508),
  [115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1649),
  [118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1633),
  [121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(152),
  [124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1366),
  [127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(107),
  [130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1626),
  [133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1624),
  [136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1622),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1617),
  [142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(396),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(835),
  [148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1370),
  [151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(115),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(461),
  [157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(176),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(22),
  [163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(495),
  [166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(442),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(127),
  [172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1372),
  [175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1376),
  [178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(180),
  [181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(882),
  [184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(21),
  [187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(123),
  [190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(390),
  [193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(494),
  [196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1610),
  [199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(494),
  [202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(493),
  [205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(142),
  [208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(420),
  [211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1609),
  [214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 1, 0, 0),
  [230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0),
  [232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_expression, 1, 0, 0),
  [240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_expression, 1, 0, 0),
  [242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(47),
  [245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0),
  [247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(23),
  [250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(59),
  [253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(59),
  [256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(46),
  [259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(45),
  [262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(62),
  [265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(66),
  [268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(65),
  [271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(1603),
  [274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(65),
  [277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(64),
  [280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(23),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1535),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__non_special_token_repeat1, 2, 0, 0),
  [461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__non_special_token_repeat1, 2, 0, 0),
  [463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__non_special_token_repeat1, 2, 0, 0), SHIFT_REPEAT(58),
  [466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_special_token_repeat1, 2, 0, 0), SHIFT_REPEAT(58),
  [469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__non_delim_token, 1, 0, 0),
  [471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__non_delim_token, 1, 0, 0),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_negative_literal, 2, 0, 0),
  [483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_negative_literal, 2, 0, 0),
  [485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__non_delim_token, 1, 0, 39),
  [487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__non_delim_token, 1, 0, 39),
  [489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delim_token_tree, 2, 0, 0),
  [491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delim_token_tree, 2, 0, 0),
  [493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__literal, 1, 0, 0),
  [499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__literal, 1, 0, 0),
  [501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__non_special_token_repeat1, 1, 0, 0),
  [503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__non_special_token_repeat1, 1, 0, 0),
  [505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_special_token_repeat1, 1, 0, 0), SHIFT(61),
  [508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delim_token_tree, 3, 0, 0),
  [510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delim_token_tree, 3, 0, 0),
  [512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 3, 0, 26),
  [514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 3, 0, 26),
  [516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 5, 0, 78),
  [518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 5, 0, 78),
  [520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_invocation, 3, 0, 28),
  [526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_invocation, 3, 0, 28),
  [528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3, 0, 0),
  [530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3, 0, 0),
  [532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 25),
  [534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, 0, 25),
  [536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 4, 0, 0),
  [538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 4, 0, 0),
  [540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_invocation, 3, 0, 20),
  [546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_invocation, 3, 0, 20),
  [548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop_expression, 2, 0, 4),
  [550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loop_expression, 2, 0, 4),
  [552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4, 0, 0),
  [554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4, 0, 0),
  [556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2, 0, 0),
  [558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2, 0, 0),
  [560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 57),
  [566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 57),
  [568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 24),
  [570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 3, 0, 24),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 1, 0, 0),
  [606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 1, 0, 0),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(7),
  [623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(152),
  [626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1586),
  [629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(107),
  [632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0),
  [634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(1370),
  [637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(115),
  [640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(461),
  [643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(176),
  [646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(22),
  [649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(495),
  [652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(442),
  [655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(121),
  [658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(1376),
  [661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(180),
  [664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(21),
  [667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(123),
  [670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(390),
  [673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(494),
  [676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(1610),
  [679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(494),
  [682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(493),
  [685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(142),
  [688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(420),
  [691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(1609),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(7),
  [743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(152),
  [746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(107),
  [749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1370),
  [752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(115),
  [755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0),
  [757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(461),
  [760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(176),
  [763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(22),
  [766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(495),
  [769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(442),
  [772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(121),
  [775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1376),
  [778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(180),
  [781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(21),
  [784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(123),
  [787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(390),
  [790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(494),
  [793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1610),
  [796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(494),
  [799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(493),
  [802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(142),
  [805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(420),
  [808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1609),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0),
  [915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1647),
  [918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(502),
  [921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1522),
  [924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1523),
  [927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1648),
  [930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1365),
  [933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1501),
  [936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1525),
  [939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1526),
  [942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1617),
  [945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(393),
  [948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(833),
  [951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1484),
  [954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1492),
  [957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1478),
  [960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1372),
  [963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(882),
  [966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1477),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 8, 0, 121),
  [985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 8, 0, 121),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extern_type, 5, 0, 81),
  [989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extern_type, 5, 0, 81),
  [991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 4, 0, 51),
  [993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 4, 0, 51),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3, 0, 17),
  [1001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_declaration, 3, 0, 17),
  [1003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extern_type, 5, 0, 83),
  [1005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extern_type, 5, 0, 83),
  [1007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_variant_list, 3, 0, 0),
  [1009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_variant_list, 3, 0, 0),
  [1011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extern_type, 6, 0, 106),
  [1017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extern_type, 6, 0, 106),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [1021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_item, 5, 0, 82),
  [1025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_item, 5, 0, 82),
  [1027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 5, 0, 82),
  [1029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 5, 0, 82),
  [1031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 5, 0, 81),
  [1033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 5, 0, 81),
  [1035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 5, 0, 82),
  [1037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 5, 0, 82),
  [1039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inner_attribute_item, 5, 0, 0),
  [1041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inner_attribute_item, 5, 0, 0),
  [1043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_item, 5, 0, 67),
  [1045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_item, 5, 0, 67),
  [1047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_item, 7, 0, 108),
  [1053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_item, 7, 0, 108),
  [1055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_item, 5, 0, 65),
  [1057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_item, 5, 0, 65),
  [1059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associated_impl, 5, 0, 2),
  [1061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associated_impl, 5, 0, 2),
  [1063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 5, 0, 64),
  [1065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 5, 0, 64),
  [1067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 5, 0, 0),
  [1069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 5, 0, 0),
  [1071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 5, 0, 0),
  [1073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 5, 0, 0),
  [1075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_item, 4, 0, 42),
  [1077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_item, 4, 0, 42),
  [1079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extern_type, 4, 0, 58),
  [1081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extern_type, 4, 0, 58),
  [1083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external_function_item, 4, 0, 0),
  [1085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external_function_item, 4, 0, 0),
  [1087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_item, 6, 0, 104),
  [1089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_item, 6, 0, 104),
  [1091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 5, 0, 81),
  [1093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 5, 0, 81),
  [1095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 6, 0, 86),
  [1097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 6, 0, 86),
  [1099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4, 0, 62),
  [1101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_declaration, 4, 0, 62),
  [1103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 6, 0, 87),
  [1105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 6, 0, 87),
  [1107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_variant_list, 5, 0, 0),
  [1109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_variant_list, 5, 0, 0),
  [1111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_item, 4, 0, 59),
  [1113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_item, 4, 0, 59),
  [1115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 3, 0, 3),
  [1117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 3, 0, 3),
  [1119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 4, 0, 59),
  [1121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 4, 0, 59),
  [1123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 4, 0, 58),
  [1125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 4, 0, 58),
  [1127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mod_item, 4, 0, 61),
  [1129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mod_item, 4, 0, 61),
  [1131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mod_item, 4, 0, 60),
  [1133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mod_item, 4, 0, 60),
  [1135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 4, 0, 59),
  [1137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 4, 0, 59),
  [1139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 4, 0, 58),
  [1141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 4, 0, 58),
  [1143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 5, 0, 75),
  [1145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 5, 0, 75),
  [1147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_variant_list, 2, 0, 0),
  [1149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_variant_list, 2, 0, 0),
  [1151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 3, 0, 14),
  [1153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 3, 0, 14),
  [1155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 4, 0, 42),
  [1157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 4, 0, 42),
  [1159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 4, 0, 41),
  [1161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 4, 0, 41),
  [1163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 5, 0, 76),
  [1165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 5, 0, 76),
  [1167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 6, 0, 103),
  [1169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 6, 0, 103),
  [1171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 3, 0, 0),
  [1173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 3, 0, 0),
  [1175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 3, 0, 38),
  [1177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 3, 0, 38),
  [1179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 6, 0, 0),
  [1181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 6, 0, 0),
  [1183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 3, 0, 9),
  [1185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 3, 0, 9),
  [1187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_item, 8, 0, 122),
  [1189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_item, 8, 0, 122),
  [1191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external_function_item, 3, 0, 0),
  [1193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external_function_item, 3, 0, 0),
  [1195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_item, 6, 0, 88),
  [1197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_item, 6, 0, 88),
  [1199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [1201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [1203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_arm, 3, 0, 100),
  [1205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_arm, 3, 0, 100),
  [1207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_item, 6, 0, 105),
  [1209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_item, 6, 0, 105),
  [1211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associated_type, 3, 0, 3),
  [1213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associated_type, 3, 0, 3),
  [1215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 2, 0, 4),
  [1217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 2, 0, 4),
  [1219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 6, 0, 98),
  [1221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 6, 0, 98),
  [1223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 2, 0, 0),
  [1225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 2, 0, 0),
  [1227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_variant_list, 6, 0, 0),
  [1229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_variant_list, 6, 0, 0),
  [1231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 6, 0, 0),
  [1233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 6, 0, 0),
  [1235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 4, 0, 0),
  [1237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 4, 0, 0),
  [1239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 6, 0, 97),
  [1241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 6, 0, 97),
  [1243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_item, 4, 0, 0),
  [1245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_item, 4, 0, 0),
  [1247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_variant_list, 4, 0, 0),
  [1249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_variant_list, 4, 0, 0),
  [1251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_item, 7, 0, 117),
  [1253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_item, 7, 0, 117),
  [1255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mod_item, 3, 0, 2),
  [1257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mod_item, 3, 0, 2),
  [1259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associated_type, 4, 0, 41),
  [1261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associated_type, 4, 0, 41),
  [1263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 7, 0, 114),
  [1265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 7, 0, 114),
  [1267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 4, 0, 42),
  [1269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 4, 0, 42),
  [1271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 4, 0, 41),
  [1273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 4, 0, 41),
  [1275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_item, 3, 0, 9),
  [1277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_item, 3, 0, 9),
  [1279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mod_item, 3, 0, 10),
  [1281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mod_item, 3, 0, 10),
  [1283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 7, 0, 116),
  [1285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 7, 0, 116),
  [1287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 7, 0, 115),
  [1289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 7, 0, 115),
  [1291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_arm, 4, 0, 76),
  [1293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_arm, 4, 0, 76),
  [1295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_item, 1, 0, 0),
  [1297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_item, 1, 0, 0),
  [1299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 3, 0, 9),
  [1301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 3, 0, 9),
  [1303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 3, 0, 3),
  [1305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 3, 0, 3),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [1357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [1381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [1389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1357),
  [1392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(360),
  [1395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1465),
  [1398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(361),
  [1401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1174),
  [1404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1157),
  [1407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1571),
  [1410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(388),
  [1413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(985),
  [1416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1177),
  [1419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1616),
  [1422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1177),
  [1425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1171),
  [1428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(917),
  [1431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(386),
  [1434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1619),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [1445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [1491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [1545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0),
  [1547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [1549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [1551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [1553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [1555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [1557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [1559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_identifier, 2, 0, 2),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_identifier, 2, 0, 2),
  [1563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_identifier, 3, 0, 18),
  [1565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_identifier, 3, 0, 18),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [1573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_identifier, 3, 0, 21),
  [1575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_identifier, 3, 0, 21),
  [1577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_identifier, 3, 0, 31),
  [1579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_identifier, 3, 0, 31),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [1583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier_in_expression_position, 3, 0, 19),
  [1585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier_in_expression_position, 2, 0, 3),
  [1587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier_in_expression_position, 3, 0, 22),
  [1589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier_in_expression_position, 3, 0, 32),
  [1591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, 0, 46),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [1603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 7, 0, 111),
  [1605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 0),
  [1607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 0),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [1617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type_with_turbofish, 3, 0, 33),
  [1619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_function, 3, 0, 30),
  [1621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_function, 3, 0, 30),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [1627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 35),
  [1629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 35),
  [1631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 6, 0, 92),
  [1633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 37),
  [1635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 37),
  [1637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 5, 0, 73),
  [1639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type_with_turbofish, 3, 0, 29),
  [1641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 1),
  [1643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 1),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [1649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_expression, 3, 0, 27),
  [1651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_expression, 3, 0, 27),
  [1653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 36),
  [1655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 36),
  [1657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_expression, 2, 0, 5),
  [1659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_expression, 2, 0, 5),
  [1661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 6, 0, 89),
  [1663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 6, 0, 89),
  [1665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 2, 0, 0),
  [1667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_initializer_list, 2, 0, 0),
  [1669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_expression, 2, 0, 6),
  [1671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_expression, 2, 0, 6),
  [1673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 4, 0, 0),
  [1675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 4, 0, 0),
  [1677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_expression, 2, 0, 7),
  [1679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_expression, 2, 0, 7),
  [1681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 6, 0, 0),
  [1683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 6, 0, 0),
  [1685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_assignment_expr, 3, 0, 35),
  [1687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_assignment_expr, 3, 0, 35),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [1709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 8),
  [1711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 8),
  [1713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 4, 0, 0),
  [1719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_initializer_list, 4, 0, 0),
  [1721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 3, 0, 0),
  [1723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 3, 0, 0),
  [1725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 4, 0, 0),
  [1727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 4, 0, 0),
  [1729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 2, 0, 0),
  [1731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 2, 0, 0),
  [1733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 5, 0, 0),
  [1735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 5, 0, 0),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [1739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_expression, 2, 0, 0),
  [1741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_expression, 2, 0, 0),
  [1743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__literal, 1, 0, 0), REDUCE(sym_negative_literal, 2, 0, 0),
  [1750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__literal, 1, 0, 0), REDUCE(sym_negative_literal, 2, 0, 0),
  [1753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 6, 0, 0),
  [1755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 6, 0, 0),
  [1757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit_expression, 2, 0, 0),
  [1759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unit_expression, 2, 0, 0),
  [1761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 5, 0, 0),
  [1763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_initializer_list, 5, 0, 0),
  [1765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [1767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5, 0, 0),
  [1769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 5, 0, 0),
  [1771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 5, 0, 0),
  [1773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 5, 0, 69),
  [1775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 5, 0, 69),
  [1777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 2, 0, 0),
  [1779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 2, 0, 0),
  [1781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 7, 0, 0),
  [1783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 7, 0, 0),
  [1785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 3, 0, 0),
  [1787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_initializer_list, 3, 0, 0),
  [1789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 2, 0, 0),
  [1791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 2, 0, 0),
  [1793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 4, 0, 0),
  [1795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 4, 0, 0),
  [1797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 7, 0, 0),
  [1807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 7, 0, 0),
  [1809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 6, 0, 0),
  [1811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 6, 0, 0),
  [1813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 34),
  [1815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 34),
  [1817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_expression, 1, 0, 0),
  [1819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_expression, 1, 0, 0),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_arm_repeat1, 2, 0, 0), SHIFT_REPEAT(1357),
  [1850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_arm_repeat1, 2, 0, 0),
  [1852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_match_arm_repeat1, 2, 0, 0),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [1858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [1862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [1864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [1866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [1868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [1870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [1872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [1874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [1878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [1884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [1886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [1914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [1916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [1922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [1928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [1930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [1932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [1938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [1950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [1954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 79),
  [1956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 80),
  [1958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_expression_repeat1, 2, 0, 0),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [1964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_argument, 3, 0, 0),
  [1966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [1968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_match_arm, 4, 0, 100),
  [1972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_arm, 4, 0, 100),
  [1974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_arm, 4, 0, 100),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [1982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 3, 0, 0),
  [1984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 4, 0, 102),
  [1986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 4, 0, 101),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [1990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [1994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_match_arm, 4, 0, 76),
  [1996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [1998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_expression_repeat1, 3, 0, 0),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [2004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_match_arm, 3, 0, 100),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_argument, 2, 0, 0),
  [2016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_match_arm, 5, 0, 76),
  [2018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_arm, 5, 0, 76),
  [2020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_arm, 5, 0, 76),
  [2022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_field_initializer, 2, 0, 0),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [2028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [2034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [2040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [2044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [2048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [2050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [2052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [2056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [2058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [2060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [2064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_condition, 4, 0, 76),
  [2066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [2068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [2082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [2086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 27),
  [2088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 68),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [2094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__condition, 1, 0, 0),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [2114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [2136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [2138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [2140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [2142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref_specifier, 1, 0, 0),
  [2144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref_specifier, 1, 0, 0),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [2150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1643),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [2173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [2175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 3, 0, 32),
  [2177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 2, 0, 3),
  [2179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 3, 0, 22),
  [2181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 3, 0, 19),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [2185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1, 0, 0),
  [2187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern, 1, 0, 0),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1, 0, 1),
  [2199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern, 1, 0, 1),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [2205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type_with_turbofish, 3, 0, 23),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [2245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 0),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [2249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 39),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [2253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 12),
  [2255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_scoped_identifier, 2, 0, 2), REDUCE(sym_scoped_type_identifier, 2, 0, 3),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [2260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [2276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 13),
  [2278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_scoped_identifier, 3, 0, 18), REDUCE(sym_scoped_type_identifier, 3, 0, 19),
  [2281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 15),
  [2283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_scoped_identifier, 3, 0, 21), REDUCE(sym_scoped_type_identifier, 3, 0, 22),
  [2286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_scoped_identifier, 3, 0, 31), REDUCE(sym_scoped_type_identifier, 3, 0, 32),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [2295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 40),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [2305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [2309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type, 1, 0, 40), REDUCE(sym__pattern, 1, 0, 0),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [2314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 4, 0, 0),
  [2316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [2320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [2326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [2328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 5, 0, 0),
  [2330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 5, 0, 77),
  [2332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit_type, 2, 0, 0),
  [2334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 118),
  [2336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_snapshot_type, 2, 0, 63),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [2346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 84),
  [2348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_enum_pattern, 6, 0, 50),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [2364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [2366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [2370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_pattern, 3, 0, 0),
  [2372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_pattern, 4, 0, 50),
  [2374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__literal_pattern, 1, 0, 0),
  [2376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_pattern, 3, 0, 48),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [2380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_enum_pattern, 4, 0, 52),
  [2382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 2, 0, 0),
  [2384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_pattern, 6, 0, 48),
  [2386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_pattern, 2, 0, 0),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_enum_pattern, 6, 0, 52),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [2394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_pattern, 2, 0, 0),
  [2396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_enum_pattern, 4, 0, 50),
  [2398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_pattern, 5, 0, 50),
  [2400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_enum_pattern, 5, 0, 52),
  [2402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_enum_pattern, 5, 0, 50),
  [2404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_pattern, 4, 0, 48),
  [2406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 4, 0, 0),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [2410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_enum_pattern, 3, 0, 50),
  [2412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_pattern, 5, 0, 48),
  [2414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_pattern, 4, 0, 0),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [2422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 5, 0, 0),
  [2424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_pattern, 5, 0, 0),
  [2426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_enum_pattern, 3, 0, 52),
  [2428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mut_pattern, 2, 0, 0),
  [2430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_pattern, 6, 0, 50),
  [2432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_pattern, 3, 0, 50),
  [2434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_pattern, 3, 0, 0),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [2462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 1),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [2480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [2490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [2494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 6, 0, 93),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [2510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 6, 0, 95),
  [2512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 5, 0, 72),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 7, 0, 112),
  [2516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 3, 0, 11),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 8, 0, 119),
  [2524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 7, 0, 110),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 8, 0, 120),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [2534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, 0, 47),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [2540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 9, 0, 123),
  [2542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type, 1, 0, 39), REDUCE(sym__pattern, 1, 0, 0),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [2547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__use_clause, 1, 0, 0),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [2561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 6, 0, 0),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [2567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [2569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3, 0, 66),
  [2571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 5, 0, 0),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [2583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrained_type_parameter, 2, 0, 66),
  [2585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_repeat1, 2, 0, 0),
  [2587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_repeat1, 2, 0, 0), SHIFT_REPEAT(703),
  [2590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5, 0, 85),
  [2592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5, 0, 0),
  [2594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 66),
  [2596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1645),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [2613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 66),
  [2615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5, 0, 66),
  [2617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 3, 0, 85),
  [2619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 0),
  [2621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__use_clause, 1, 0, 1),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [2641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 6, 0, 0),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [2645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [2647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 85),
  [2649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1632),
  [2652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 6, 0, 85),
  [2654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 5, 0, 71),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 6, 0, 94),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [2670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [2672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [2682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 4, 0, 0),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [2694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_pattern_repeat1, 2, 0, 0),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [2724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(398),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [2741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_tuple_pattern, 2, 0, 0), REDUCE(sym_unit_type, 2, 0, 0),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [2748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [2750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [2758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [2760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [2768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [2770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [2772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [2778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [2780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [2782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [2788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [2804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [2820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type, 1, 0, 0), REDUCE(sym__pattern, 1, 0, 0),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [2831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [2835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [2839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [2847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [2867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [2879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 3, 0, 0),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [2887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2, 0, 0),
  [2889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 1, 0, 49),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_wildcard, 3, 0, 0),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [2907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3, 0, 0),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [2915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_use_list, 3, 0, 55),
  [2917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3, 0, 56),
  [2919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_wildcard, 3, 0, 1),
  [2921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3, 0, 54),
  [2923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 4, 0, 113),
  [2925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_use_list, 3, 0, 53),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [2935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_pattern, 1, 0, 0),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [2941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 3, 0, 0),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [2947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_variant, 1, 0, 45),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [2951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_repeat1, 2, 0, 0), SHIFT_REPEAT(605),
  [2954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(98),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [2961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(120),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [2966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_wildcard, 1, 0, 0),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [2976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 5, 0, 0),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [2984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_pattern_repeat1, 2, 0, 0),
  [2986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1187),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [2995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 3, 0, 96),
  [2997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(413),
  [3000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 0),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(320),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [3019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat2, 2, 0, 0),
  [3021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat2, 2, 0, 0), SHIFT_REPEAT(962),
  [3024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shorthand_field_initializer, 2, 0, 0),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [3030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2, 0, 0),
  [3032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(980),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [3047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(606),
  [3050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [3070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0),
  [3072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(934),
  [3075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 2, 0, 74),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [3085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [3087] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(834),
  [3090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 4, 0, 0),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [3098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrained_type_parameter, 2, 0, 0),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [3112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_use_list, 2, 0, 16),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [3138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [3182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_variant, 2, 0, 70),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [3198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shorthand_field_initializer, 1, 0, 0),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [3208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [3210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [3232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 8, 0, 110),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [3244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 8, 0, 111),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [3254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 8, 0, 112),
  [3256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [3258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 9, 0, 119),
  [3260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [3262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 5, 0, 46),
  [3264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extern, 1, 0, 0),
  [3266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 9, 0, 120),
  [3268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 5, 0, 47),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [3272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 10, 0, 123),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [3276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, 0, 11),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [3286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [3290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nopanic, 1, 0, 0),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [3294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 7, 0, 95),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [3300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 7, 0, 94),
  [3302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 7, 0, 93),
  [3304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 7, 0, 92),
  [3306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 75),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [3312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat2, 3, 0, 0),
  [3314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [3316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [3318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 109),
  [3320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_list_repeat1, 3, 0, 0),
  [3322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [3324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [3326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [3332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_parameter, 4, 0, 67),
  [3334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [3336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrained_type_parameter, 4, 0, 107),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [3346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [3348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [3350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [3364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [3366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [3368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [3378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [3380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 6, 0, 73),
  [3382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [3384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [3386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 6, 0, 72),
  [3388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [3390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [3392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 91),
  [3394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 6, 0, 71),
  [3396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [3398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [3400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [3402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [3410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 90),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [3414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [3416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [3418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [3422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [3428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [3434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [3462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [3466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [3468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [3470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [3474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [3482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [3506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [3508] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [3520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_pattern, 3, 0, 99),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [3524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [3528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [3532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [3534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [3542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 43),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [3550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 44),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [3606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [3608] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [3614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [3622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [3626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_cairo(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
