#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2744
#define LARGE_STATE_COUNT 48
#define SYMBOL_COUNT 308
#define ALIAS_COUNT 1
#define TOKEN_COUNT 155
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 35
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 77

enum ts_symbol_identifiers {
  anon_sym_PROJECT = 1,
  anon_sym_SLASH = 2,
  anon_sym_COLON = 3,
  anon_sym_VERSION = 4,
  anon_sym_ARG = 5,
  anon_sym_EQ = 6,
  anon_sym_BUILD = 7,
  anon_sym_CACHE = 8,
  anon_sym_CMD = 9,
  anon_sym_COPY = 10,
  anon_sym_DO = 11,
  anon_sym_ENTRYPOINT = 12,
  anon_sym_ENV = 13,
  anon_sym_EQ2 = 14,
  anon_sym_EXPOSE = 15,
  anon_sym_FOR = 16,
  anon_sym_IN = 17,
  anon_sym_END = 18,
  anon_sym_FROM = 19,
  anon_sym_FROMDOCKERFILE = 20,
  anon_sym_FUNCTION = 21,
  anon_sym_COMMAND = 22,
  anon_sym_GITCLONE = 23,
  anon_sym_HOST = 24,
  anon_sym_IF = 25,
  anon_sym_IMPORT = 26,
  anon_sym_AS = 27,
  anon_sym_LET = 28,
  anon_sym_EQ3 = 29,
  anon_sym_LABEL = 30,
  anon_sym_LOCALLY = 31,
  anon_sym_RUN = 32,
  anon_sym_DASH_DASH = 33,
  anon_sym_SAVEARTIFACT = 34,
  anon_sym_ASLOCAL = 35,
  anon_sym_SAVEIMAGE = 36,
  anon_sym_SET = 37,
  anon_sym_TRY = 38,
  anon_sym_FINALLY = 39,
  anon_sym_USER = 40,
  anon_sym_COLON2 = 41,
  anon_sym_VOLUME = 42,
  anon_sym_WAIT = 43,
  anon_sym_WITHDOCKER = 44,
  anon_sym_WORKDIR = 45,
  aux_sym_block_token1 = 46,
  anon_sym_ELSEIF = 47,
  anon_sym_ELSE = 48,
  anon_sym_DOT = 49,
  anon_sym_DASH = 50,
  anon_sym_LPAREN = 51,
  anon_sym_RPAREN = 52,
  anon_sym_LBRACK = 53,
  anon_sym_RBRACK = 54,
  anon_sym_LBRACE = 55,
  anon_sym_RBRACE = 56,
  anon_sym_SLASH2 = 57,
  anon_sym_COMMA = 58,
  anon_sym_AT = 59,
  anon_sym_DOT2 = 60,
  anon_sym_DASH2 = 61,
  anon_sym_LPAREN2 = 62,
  anon_sym_RPAREN2 = 63,
  anon_sym_LBRACK2 = 64,
  anon_sym_RBRACK2 = 65,
  anon_sym_LBRACE2 = 66,
  anon_sym_RBRACE2 = 67,
  anon_sym_COMMA2 = 68,
  anon_sym_AT2 = 69,
  sym_function_ref = 70,
  anon_sym_SPACE = 71,
  sym_number = 72,
  sym_options = 73,
  anon_sym_DOLLAR = 74,
  anon_sym_PLUS = 75,
  anon_sym_DQUOTE = 76,
  aux_sym_shell_fragment_token1 = 77,
  anon_sym_SQUOTE = 78,
  aux_sym_shell_fragment_token2 = 79,
  anon_sym_LBRACK3 = 80,
  anon_sym_LPAREN3 = 81,
  anon_sym_RPAREN3 = 82,
  sym_version_major_minor = 83,
  sym_allow_privileged = 84,
  sym_auto_skip = 85,
  sym_aws = 86,
  anon_sym_DASH_DASHbranch = 87,
  anon_sym_DASH_DASH2 = 88,
  anon_sym_DASH_DASHbuild_DASHarg = 89,
  anon_sym_DASH_DASHcache_DASHid = 90,
  anon_sym_DASH_DASHcache_DASHfrom = 91,
  sym_cache_hint = 92,
  anon_sym_DASH_DASHchmod = 93,
  anon_sym_DASH_DASHchown = 94,
  anon_sym_DASH_DASHcompose = 95,
  sym_dir = 96,
  anon_sym_DASHf = 97,
  anon_sym_DASH_DASHtarget = 98,
  sym_entrypoint = 99,
  sym_feature_flag = 100,
  sym_force = 101,
  sym_global = 102,
  anon_sym_DASH_DASHid = 103,
  sym_if_exists = 104,
  anon_sym_DASH_DASHinteractive = 105,
  anon_sym_DASH_DASHinteractive_DASHkeep = 106,
  sym_keep_own = 107,
  sym_keep_ts = 108,
  anon_sym_DASH_DASHload = 109,
  anon_sym_DASH_DASHmount = 110,
  sym_network_none = 111,
  sym_no_cache = 112,
  anon_sym_DASH_DASHoidc = 113,
  sym_pass_args = 114,
  sym_persist = 115,
  anon_sym_DASH_DASHplatform = 116,
  sym_privileged = 117,
  anon_sym_DASH_DASHpull = 118,
  sym_push = 119,
  sym_raw_output = 120,
  sym_required = 121,
  anon_sym_DASH_DASHsecret = 122,
  anon_sym_EQ4 = 123,
  anon_sym_DASH_DASHsep = 124,
  anon_sym_DASH_DASHservice = 125,
  anon_sym_DASH_DASHsharing = 126,
  sym_ssh = 127,
  sym_symlink_no_follow = 128,
  aux_sym_unknown_option_token1 = 129,
  sym_without_earthly_labels = 130,
  sym__string_base_other = 131,
  sym__string_base_alpha = 132,
  sym__string_base_num = 133,
  sym__immediate_string_base_other = 134,
  sym__immediate_string_base_alpha = 135,
  sym__immediate_string_base_num = 136,
  aux_sym_double_quoted_string_token1 = 137,
  anon_sym_DQUOTE2 = 138,
  anon_sym_SQUOTE2 = 139,
  aux_sym_single_quoted_string_token1 = 140,
  anon_sym_PLUS2 = 141,
  aux_sym_unquoted_string_with_spaces_token1 = 142,
  anon_sym_RPAREN4 = 143,
  anon_sym_DOLLAR2 = 144,
  aux_sym__immediate_escape_sequence_token1 = 145,
  sym_line_continuation = 146,
  sym_comment = 147,
  sym_line_continuation_comment = 148,
  anon_sym_LF = 149,
  anon_sym_CR_LF = 150,
  anon_sym_FF = 151,
  anon_sym_NULL = 152,
  sym__indent = 153,
  sym__dedent = 154,
  sym_source_file = 155,
  sym_project_command = 156,
  sym_target = 157,
  sym_version_command = 158,
  sym_version_options = 159,
  sym_arg_command = 160,
  sym_arg_options = 161,
  sym_build_command = 162,
  sym_build_options = 163,
  sym_cache_command = 164,
  sym_cache_options = 165,
  sym_cmd_command = 166,
  sym_copy_command = 167,
  sym_copy_options = 168,
  sym_do_command = 169,
  sym_do_options = 170,
  sym_entrypoint_command = 171,
  sym_env_command = 172,
  sym_expose_command = 173,
  sym_for_command = 174,
  sym_for_options = 175,
  sym_from_command = 176,
  sym_from_options = 177,
  sym_from_dockerfile_command = 178,
  sym_from_dockerfile_options = 179,
  sym_function_command = 180,
  sym_git_clone_command = 181,
  sym_git_clone_options = 182,
  sym_host_command = 183,
  sym_if_command = 184,
  sym_import_command = 185,
  sym_import_options = 186,
  sym_let_command = 187,
  sym_label_command = 188,
  sym_locally_command = 189,
  sym_run_command = 190,
  sym_run_options = 191,
  sym_save_artifact_command = 192,
  sym_save_artifact_options = 193,
  sym_save_image_command = 194,
  sym_save_image_options = 195,
  sym_set_command = 196,
  sym_try_command = 197,
  sym_try_command_finally_block = 198,
  sym_user_command = 199,
  sym_volume_command = 200,
  sym_wait_command = 201,
  sym_with_docker_command = 202,
  sym_with_docker_options = 203,
  sym_workdir_command = 204,
  sym_block = 205,
  sym__conditional_block = 206,
  aux_sym__conditional_block_options = 207,
  sym_elif_block = 208,
  sym_else_block = 209,
  sym__immediate_identifier = 210,
  sym_earthfile_ref = 211,
  sym_identifier = 212,
  sym_image_spec = 213,
  sym_image_name = 214,
  sym_image_tag = 215,
  sym_image_digest = 216,
  sym_images = 217,
  sym_label = 218,
  sym_shell_fragment = 219,
  sym_string_array = 220,
  sym_target_ref = 221,
  sym_target_ref_with_build_args = 222,
  sym_target_artifact = 223,
  sym_target_artifact_build_args = 224,
  sym_variable = 225,
  sym_branch = 226,
  sym_build_arg = 227,
  sym_build_args = 228,
  sym_build_arg_deprecated = 229,
  sym_cache_id = 230,
  sym_cache_from = 231,
  sym_chmod = 232,
  sym_chown = 233,
  sym_compose = 234,
  sym_docker_build_arg = 235,
  sym_docker_file = 236,
  sym_docker_target = 237,
  sym_id = 238,
  sym_interactive = 239,
  sym_load = 240,
  sym_mount = 241,
  sym_oidc = 242,
  sym_platform = 243,
  sym_pull = 244,
  sym_secret = 245,
  sym_sep = 246,
  sym_service = 247,
  sym_sharing = 248,
  sym_unknown_option = 249,
  sym__string_base = 250,
  sym__immediate_string_base = 251,
  sym_double_quoted_string = 252,
  sym__immediate_double_quoted_string = 253,
  sym_single_quoted_string = 254,
  sym__immediate_single_quoted_string = 255,
  sym_unquoted_string = 256,
  sym__immediate_unquoted_string = 257,
  sym_unquoted_string_with_spaces = 258,
  sym_string_with_spaces = 259,
  sym_string = 260,
  sym_strings = 261,
  sym_expansion = 262,
  sym__immediate_expansion = 263,
  sym__immediate_variable = 264,
  sym__immediate_escape_sequence = 265,
  sym_escape_sequence = 266,
  sym__eol = 267,
  aux_sym_source_file_repeat1 = 268,
  aux_sym_version_options_repeat1 = 269,
  aux_sym_arg_options_repeat1 = 270,
  aux_sym_build_options_repeat1 = 271,
  aux_sym_cache_options_repeat1 = 272,
  aux_sym_copy_command_repeat1 = 273,
  aux_sym_copy_options_repeat1 = 274,
  aux_sym_do_options_repeat1 = 275,
  aux_sym_expose_command_repeat1 = 276,
  aux_sym_for_options_repeat1 = 277,
  aux_sym_from_options_repeat1 = 278,
  aux_sym_from_dockerfile_options_repeat1 = 279,
  aux_sym_git_clone_options_repeat1 = 280,
  aux_sym_if_command_repeat1 = 281,
  aux_sym_import_options_repeat1 = 282,
  aux_sym_label_command_repeat1 = 283,
  aux_sym_run_options_repeat1 = 284,
  aux_sym_save_artifact_options_repeat1 = 285,
  aux_sym_save_image_options_repeat1 = 286,
  aux_sym_try_command_finally_block_repeat1 = 287,
  aux_sym_with_docker_options_repeat1 = 288,
  aux_sym_block_repeat1 = 289,
  aux_sym__immediate_identifier_repeat1 = 290,
  aux_sym_earthfile_ref_repeat1 = 291,
  aux_sym_image_name_repeat1 = 292,
  aux_sym_image_digest_repeat1 = 293,
  aux_sym_images_repeat1 = 294,
  aux_sym_shell_fragment_repeat1 = 295,
  aux_sym_shell_fragment_repeat2 = 296,
  aux_sym_shell_fragment_repeat3 = 297,
  aux_sym_string_array_repeat1 = 298,
  aux_sym_variable_repeat1 = 299,
  aux_sym_build_args_repeat1 = 300,
  aux_sym__immediate_string_base_repeat1 = 301,
  aux_sym_double_quoted_string_repeat1 = 302,
  aux_sym_single_quoted_string_repeat1 = 303,
  aux_sym_unquoted_string_repeat1 = 304,
  aux_sym_unquoted_string_with_spaces_repeat1 = 305,
  aux_sym_string_with_spaces_repeat1 = 306,
  aux_sym_string_repeat1 = 307,
  alias_sym__immediate_escape_sequence = 308,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_PROJECT] = "PROJECT",
  [anon_sym_SLASH] = "/",
  [anon_sym_COLON] = ":",
  [anon_sym_VERSION] = "VERSION",
  [anon_sym_ARG] = "ARG",
  [anon_sym_EQ] = "=",
  [anon_sym_BUILD] = "BUILD",
  [anon_sym_CACHE] = "CACHE",
  [anon_sym_CMD] = "CMD",
  [anon_sym_COPY] = "COPY",
  [anon_sym_DO] = "DO",
  [anon_sym_ENTRYPOINT] = "ENTRYPOINT",
  [anon_sym_ENV] = "ENV",
  [anon_sym_EQ2] = "=",
  [anon_sym_EXPOSE] = "EXPOSE",
  [anon_sym_FOR] = "FOR",
  [anon_sym_IN] = "IN",
  [anon_sym_END] = "END",
  [anon_sym_FROM] = "FROM",
  [anon_sym_FROMDOCKERFILE] = "FROM DOCKERFILE",
  [anon_sym_FUNCTION] = "FUNCTION",
  [anon_sym_COMMAND] = "COMMAND",
  [anon_sym_GITCLONE] = "GIT CLONE",
  [anon_sym_HOST] = "HOST",
  [anon_sym_IF] = "IF",
  [anon_sym_IMPORT] = "IMPORT",
  [anon_sym_AS] = "AS",
  [anon_sym_LET] = "LET",
  [anon_sym_EQ3] = "=",
  [anon_sym_LABEL] = "LABEL",
  [anon_sym_LOCALLY] = "LOCALLY",
  [anon_sym_RUN] = "RUN",
  [anon_sym_DASH_DASH] = "-- ",
  [anon_sym_SAVEARTIFACT] = "SAVE ARTIFACT",
  [anon_sym_ASLOCAL] = "AS LOCAL",
  [anon_sym_SAVEIMAGE] = "SAVE IMAGE",
  [anon_sym_SET] = "SET",
  [anon_sym_TRY] = "TRY",
  [anon_sym_FINALLY] = "FINALLY",
  [anon_sym_USER] = "USER",
  [anon_sym_COLON2] = ":",
  [anon_sym_VOLUME] = "VOLUME",
  [anon_sym_WAIT] = "WAIT",
  [anon_sym_WITHDOCKER] = "WITH DOCKER",
  [anon_sym_WORKDIR] = "WORKDIR",
  [aux_sym_block_token1] = "block_token1",
  [anon_sym_ELSEIF] = "ELSE IF",
  [anon_sym_ELSE] = "ELSE",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH] = "-",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_SLASH2] = "/",
  [anon_sym_COMMA] = ",",
  [anon_sym_AT] = "@",
  [anon_sym_DOT2] = ".",
  [anon_sym_DASH2] = "-",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_RPAREN2] = ")",
  [anon_sym_LBRACK2] = "[",
  [anon_sym_RBRACK2] = "]",
  [anon_sym_LBRACE2] = "{",
  [anon_sym_RBRACE2] = "}",
  [anon_sym_COMMA2] = ",",
  [anon_sym_AT2] = "@",
  [sym_function_ref] = "function_ref",
  [anon_sym_SPACE] = " ",
  [sym_number] = "number",
  [sym_options] = "options",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_PLUS] = "+",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_shell_fragment_token1] = "shell_fragment_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_shell_fragment_token2] = "shell_fragment_token2",
  [anon_sym_LBRACK3] = "[",
  [anon_sym_LPAREN3] = "(",
  [anon_sym_RPAREN3] = ")",
  [sym_version_major_minor] = "version_major_minor",
  [sym_allow_privileged] = "allow_privileged",
  [sym_auto_skip] = "auto_skip",
  [sym_aws] = "aws",
  [anon_sym_DASH_DASHbranch] = "--branch",
  [anon_sym_DASH_DASH2] = "--",
  [anon_sym_DASH_DASHbuild_DASHarg] = "--build-arg",
  [anon_sym_DASH_DASHcache_DASHid] = "--cache-id",
  [anon_sym_DASH_DASHcache_DASHfrom] = "--cache-from",
  [sym_cache_hint] = "cache_hint",
  [anon_sym_DASH_DASHchmod] = "--chmod",
  [anon_sym_DASH_DASHchown] = "--chown",
  [anon_sym_DASH_DASHcompose] = "--compose",
  [sym_dir] = "dir",
  [anon_sym_DASHf] = "-f",
  [anon_sym_DASH_DASHtarget] = "--target",
  [sym_entrypoint] = "entrypoint",
  [sym_feature_flag] = "feature_flag",
  [sym_force] = "force",
  [sym_global] = "global",
  [anon_sym_DASH_DASHid] = "--id",
  [sym_if_exists] = "if_exists",
  [anon_sym_DASH_DASHinteractive] = "--interactive",
  [anon_sym_DASH_DASHinteractive_DASHkeep] = "--interactive-keep",
  [sym_keep_own] = "keep_own",
  [sym_keep_ts] = "keep_ts",
  [anon_sym_DASH_DASHload] = "--load",
  [anon_sym_DASH_DASHmount] = "--mount",
  [sym_network_none] = "network_none",
  [sym_no_cache] = "no_cache",
  [anon_sym_DASH_DASHoidc] = "--oidc",
  [sym_pass_args] = "pass_args",
  [sym_persist] = "persist",
  [anon_sym_DASH_DASHplatform] = "--platform",
  [sym_privileged] = "privileged",
  [anon_sym_DASH_DASHpull] = "--pull",
  [sym_push] = "push",
  [sym_raw_output] = "raw_output",
  [sym_required] = "required",
  [anon_sym_DASH_DASHsecret] = "--secret",
  [anon_sym_EQ4] = "=",
  [anon_sym_DASH_DASHsep] = "--sep",
  [anon_sym_DASH_DASHservice] = "--service",
  [anon_sym_DASH_DASHsharing] = "--sharing",
  [sym_ssh] = "ssh",
  [sym_symlink_no_follow] = "symlink_no_follow",
  [aux_sym_unknown_option_token1] = "unknown_option_token1",
  [sym_without_earthly_labels] = "without_earthly_labels",
  [sym__string_base_other] = "_string_base_other",
  [sym__string_base_alpha] = "_string_base_alpha",
  [sym__string_base_num] = "_string_base_num",
  [sym__immediate_string_base_other] = "_immediate_string_base_other",
  [sym__immediate_string_base_alpha] = "_immediate_string_base_alpha",
  [sym__immediate_string_base_num] = "_immediate_string_base_num",
  [aux_sym_double_quoted_string_token1] = "double_quoted_string_token1",
  [anon_sym_DQUOTE2] = "\"",
  [anon_sym_SQUOTE2] = "'",
  [aux_sym_single_quoted_string_token1] = "single_quoted_string_token1",
  [anon_sym_PLUS2] = "+",
  [aux_sym_unquoted_string_with_spaces_token1] = "unquoted_string_with_spaces_token1",
  [anon_sym_RPAREN4] = ")",
  [anon_sym_DOLLAR2] = "$",
  [aux_sym__immediate_escape_sequence_token1] = "_immediate_escape_sequence_token1",
  [sym_line_continuation] = "line_continuation",
  [sym_comment] = "comment",
  [sym_line_continuation_comment] = "line_continuation_comment",
  [anon_sym_LF] = "\n",
  [anon_sym_CR_LF] = "\r\n",
  [anon_sym_FF] = "\f",
  [anon_sym_NULL] = "\0",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym_source_file] = "source_file",
  [sym_project_command] = "project_command",
  [sym_target] = "target",
  [sym_version_command] = "version_command",
  [sym_version_options] = "options",
  [sym_arg_command] = "arg_command",
  [sym_arg_options] = "options",
  [sym_build_command] = "build_command",
  [sym_build_options] = "options",
  [sym_cache_command] = "cache_command",
  [sym_cache_options] = "options",
  [sym_cmd_command] = "cmd_command",
  [sym_copy_command] = "copy_command",
  [sym_copy_options] = "options",
  [sym_do_command] = "do_command",
  [sym_do_options] = "options",
  [sym_entrypoint_command] = "entrypoint_command",
  [sym_env_command] = "env_command",
  [sym_expose_command] = "expose_command",
  [sym_for_command] = "for_command",
  [sym_for_options] = "options",
  [sym_from_command] = "from_command",
  [sym_from_options] = "options",
  [sym_from_dockerfile_command] = "from_dockerfile_command",
  [sym_from_dockerfile_options] = "options",
  [sym_function_command] = "function_command",
  [sym_git_clone_command] = "git_clone_command",
  [sym_git_clone_options] = "options",
  [sym_host_command] = "host_command",
  [sym_if_command] = "if_command",
  [sym_import_command] = "import_command",
  [sym_import_options] = "options",
  [sym_let_command] = "let_command",
  [sym_label_command] = "label_command",
  [sym_locally_command] = "locally_command",
  [sym_run_command] = "run_command",
  [sym_run_options] = "options",
  [sym_save_artifact_command] = "save_artifact_command",
  [sym_save_artifact_options] = "options",
  [sym_save_image_command] = "save_image_command",
  [sym_save_image_options] = "options",
  [sym_set_command] = "set_command",
  [sym_try_command] = "try_command",
  [sym_try_command_finally_block] = "block",
  [sym_user_command] = "user_command",
  [sym_volume_command] = "volume_command",
  [sym_wait_command] = "wait_command",
  [sym_with_docker_command] = "with_docker_command",
  [sym_with_docker_options] = "options",
  [sym_workdir_command] = "workdir_command",
  [sym_block] = "block",
  [sym__conditional_block] = "_conditional_block",
  [aux_sym__conditional_block_options] = "_conditional_block_options",
  [sym_elif_block] = "elif_block",
  [sym_else_block] = "else_block",
  [sym__immediate_identifier] = "identifier",
  [sym_earthfile_ref] = "earthfile_ref",
  [sym_identifier] = "identifier",
  [sym_image_spec] = "image_spec",
  [sym_image_name] = "image_name",
  [sym_image_tag] = "image_tag",
  [sym_image_digest] = "image_digest",
  [sym_images] = "images",
  [sym_label] = "label",
  [sym_shell_fragment] = "shell_fragment",
  [sym_string_array] = "string_array",
  [sym_target_ref] = "target_ref",
  [sym_target_ref_with_build_args] = "target_ref_with_build_args",
  [sym_target_artifact] = "target_artifact",
  [sym_target_artifact_build_args] = "target_artifact_build_args",
  [sym_variable] = "variable",
  [sym_branch] = "branch",
  [sym_build_arg] = "build_arg",
  [sym_build_args] = "build_args",
  [sym_build_arg_deprecated] = "build_arg_deprecated",
  [sym_cache_id] = "cache_id",
  [sym_cache_from] = "cache_from",
  [sym_chmod] = "chmod",
  [sym_chown] = "chown",
  [sym_compose] = "compose",
  [sym_docker_build_arg] = "docker_build_arg",
  [sym_docker_file] = "docker_file",
  [sym_docker_target] = "docker_target",
  [sym_id] = "id",
  [sym_interactive] = "interactive",
  [sym_load] = "load",
  [sym_mount] = "mount",
  [sym_oidc] = "oidc",
  [sym_platform] = "platform",
  [sym_pull] = "pull",
  [sym_secret] = "secret",
  [sym_sep] = "sep",
  [sym_service] = "service",
  [sym_sharing] = "sharing",
  [sym_unknown_option] = "unknown_option",
  [sym__string_base] = "_string_base",
  [sym__immediate_string_base] = "_immediate_string_base",
  [sym_double_quoted_string] = "double_quoted_string",
  [sym__immediate_double_quoted_string] = "double_quoted_string",
  [sym_single_quoted_string] = "single_quoted_string",
  [sym__immediate_single_quoted_string] = "single_quoted_string",
  [sym_unquoted_string] = "unquoted_string",
  [sym__immediate_unquoted_string] = "unquoted_string",
  [sym_unquoted_string_with_spaces] = "unquoted_string",
  [sym_string_with_spaces] = "string",
  [sym_string] = "string",
  [sym_strings] = "strings",
  [sym_expansion] = "expansion",
  [sym__immediate_expansion] = "expansion",
  [sym__immediate_variable] = "variable",
  [sym__immediate_escape_sequence] = "_immediate_escape_sequence",
  [sym_escape_sequence] = "escape_sequence",
  [sym__eol] = "_eol",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_version_options_repeat1] = "version_options_repeat1",
  [aux_sym_arg_options_repeat1] = "arg_options_repeat1",
  [aux_sym_build_options_repeat1] = "build_options_repeat1",
  [aux_sym_cache_options_repeat1] = "cache_options_repeat1",
  [aux_sym_copy_command_repeat1] = "copy_command_repeat1",
  [aux_sym_copy_options_repeat1] = "copy_options_repeat1",
  [aux_sym_do_options_repeat1] = "do_options_repeat1",
  [aux_sym_expose_command_repeat1] = "expose_command_repeat1",
  [aux_sym_for_options_repeat1] = "for_options_repeat1",
  [aux_sym_from_options_repeat1] = "from_options_repeat1",
  [aux_sym_from_dockerfile_options_repeat1] = "from_dockerfile_options_repeat1",
  [aux_sym_git_clone_options_repeat1] = "git_clone_options_repeat1",
  [aux_sym_if_command_repeat1] = "if_command_repeat1",
  [aux_sym_import_options_repeat1] = "import_options_repeat1",
  [aux_sym_label_command_repeat1] = "label_command_repeat1",
  [aux_sym_run_options_repeat1] = "run_options_repeat1",
  [aux_sym_save_artifact_options_repeat1] = "save_artifact_options_repeat1",
  [aux_sym_save_image_options_repeat1] = "save_image_options_repeat1",
  [aux_sym_try_command_finally_block_repeat1] = "try_command_finally_block_repeat1",
  [aux_sym_with_docker_options_repeat1] = "with_docker_options_repeat1",
  [aux_sym_block_repeat1] = "block_repeat1",
  [aux_sym__immediate_identifier_repeat1] = "_immediate_identifier_repeat1",
  [aux_sym_earthfile_ref_repeat1] = "earthfile_ref_repeat1",
  [aux_sym_image_name_repeat1] = "image_name_repeat1",
  [aux_sym_image_digest_repeat1] = "image_digest_repeat1",
  [aux_sym_images_repeat1] = "images_repeat1",
  [aux_sym_shell_fragment_repeat1] = "shell_fragment_repeat1",
  [aux_sym_shell_fragment_repeat2] = "shell_fragment_repeat2",
  [aux_sym_shell_fragment_repeat3] = "shell_fragment_repeat3",
  [aux_sym_string_array_repeat1] = "string_array_repeat1",
  [aux_sym_variable_repeat1] = "variable_repeat1",
  [aux_sym_build_args_repeat1] = "build_args_repeat1",
  [aux_sym__immediate_string_base_repeat1] = "_immediate_string_base_repeat1",
  [aux_sym_double_quoted_string_repeat1] = "double_quoted_string_repeat1",
  [aux_sym_single_quoted_string_repeat1] = "single_quoted_string_repeat1",
  [aux_sym_unquoted_string_repeat1] = "unquoted_string_repeat1",
  [aux_sym_unquoted_string_with_spaces_repeat1] = "unquoted_string_with_spaces_repeat1",
  [aux_sym_string_with_spaces_repeat1] = "string_with_spaces_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [alias_sym__immediate_escape_sequence] = "_immediate_escape_sequence",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_PROJECT] = anon_sym_PROJECT,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_VERSION] = anon_sym_VERSION,
  [anon_sym_ARG] = anon_sym_ARG,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_BUILD] = anon_sym_BUILD,
  [anon_sym_CACHE] = anon_sym_CACHE,
  [anon_sym_CMD] = anon_sym_CMD,
  [anon_sym_COPY] = anon_sym_COPY,
  [anon_sym_DO] = anon_sym_DO,
  [anon_sym_ENTRYPOINT] = anon_sym_ENTRYPOINT,
  [anon_sym_ENV] = anon_sym_ENV,
  [anon_sym_EQ2] = anon_sym_EQ,
  [anon_sym_EXPOSE] = anon_sym_EXPOSE,
  [anon_sym_FOR] = anon_sym_FOR,
  [anon_sym_IN] = anon_sym_IN,
  [anon_sym_END] = anon_sym_END,
  [anon_sym_FROM] = anon_sym_FROM,
  [anon_sym_FROMDOCKERFILE] = anon_sym_FROMDOCKERFILE,
  [anon_sym_FUNCTION] = anon_sym_FUNCTION,
  [anon_sym_COMMAND] = anon_sym_COMMAND,
  [anon_sym_GITCLONE] = anon_sym_GITCLONE,
  [anon_sym_HOST] = anon_sym_HOST,
  [anon_sym_IF] = anon_sym_IF,
  [anon_sym_IMPORT] = anon_sym_IMPORT,
  [anon_sym_AS] = anon_sym_AS,
  [anon_sym_LET] = anon_sym_LET,
  [anon_sym_EQ3] = anon_sym_EQ,
  [anon_sym_LABEL] = anon_sym_LABEL,
  [anon_sym_LOCALLY] = anon_sym_LOCALLY,
  [anon_sym_RUN] = anon_sym_RUN,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_SAVEARTIFACT] = anon_sym_SAVEARTIFACT,
  [anon_sym_ASLOCAL] = anon_sym_ASLOCAL,
  [anon_sym_SAVEIMAGE] = anon_sym_SAVEIMAGE,
  [anon_sym_SET] = anon_sym_SET,
  [anon_sym_TRY] = anon_sym_TRY,
  [anon_sym_FINALLY] = anon_sym_FINALLY,
  [anon_sym_USER] = anon_sym_USER,
  [anon_sym_COLON2] = anon_sym_COLON,
  [anon_sym_VOLUME] = anon_sym_VOLUME,
  [anon_sym_WAIT] = anon_sym_WAIT,
  [anon_sym_WITHDOCKER] = anon_sym_WITHDOCKER,
  [anon_sym_WORKDIR] = anon_sym_WORKDIR,
  [aux_sym_block_token1] = aux_sym_block_token1,
  [anon_sym_ELSEIF] = anon_sym_ELSEIF,
  [anon_sym_ELSE] = anon_sym_ELSE,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_DOT2] = anon_sym_DOT,
  [anon_sym_DASH2] = anon_sym_DASH,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_RPAREN2] = anon_sym_RPAREN,
  [anon_sym_LBRACK2] = anon_sym_LBRACK,
  [anon_sym_RBRACK2] = anon_sym_RBRACK,
  [anon_sym_LBRACE2] = anon_sym_LBRACE,
  [anon_sym_RBRACE2] = anon_sym_RBRACE,
  [anon_sym_COMMA2] = anon_sym_COMMA,
  [anon_sym_AT2] = anon_sym_AT,
  [sym_function_ref] = sym_function_ref,
  [anon_sym_SPACE] = anon_sym_SPACE,
  [sym_number] = sym_number,
  [sym_options] = sym_options,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_shell_fragment_token1] = aux_sym_shell_fragment_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_shell_fragment_token2] = aux_sym_shell_fragment_token2,
  [anon_sym_LBRACK3] = anon_sym_LBRACK,
  [anon_sym_LPAREN3] = anon_sym_LPAREN,
  [anon_sym_RPAREN3] = anon_sym_RPAREN,
  [sym_version_major_minor] = sym_version_major_minor,
  [sym_allow_privileged] = sym_allow_privileged,
  [sym_auto_skip] = sym_auto_skip,
  [sym_aws] = sym_aws,
  [anon_sym_DASH_DASHbranch] = anon_sym_DASH_DASHbranch,
  [anon_sym_DASH_DASH2] = anon_sym_DASH_DASH2,
  [anon_sym_DASH_DASHbuild_DASHarg] = anon_sym_DASH_DASHbuild_DASHarg,
  [anon_sym_DASH_DASHcache_DASHid] = anon_sym_DASH_DASHcache_DASHid,
  [anon_sym_DASH_DASHcache_DASHfrom] = anon_sym_DASH_DASHcache_DASHfrom,
  [sym_cache_hint] = sym_cache_hint,
  [anon_sym_DASH_DASHchmod] = anon_sym_DASH_DASHchmod,
  [anon_sym_DASH_DASHchown] = anon_sym_DASH_DASHchown,
  [anon_sym_DASH_DASHcompose] = anon_sym_DASH_DASHcompose,
  [sym_dir] = sym_dir,
  [anon_sym_DASHf] = anon_sym_DASHf,
  [anon_sym_DASH_DASHtarget] = anon_sym_DASH_DASHtarget,
  [sym_entrypoint] = sym_entrypoint,
  [sym_feature_flag] = sym_feature_flag,
  [sym_force] = sym_force,
  [sym_global] = sym_global,
  [anon_sym_DASH_DASHid] = anon_sym_DASH_DASHid,
  [sym_if_exists] = sym_if_exists,
  [anon_sym_DASH_DASHinteractive] = anon_sym_DASH_DASHinteractive,
  [anon_sym_DASH_DASHinteractive_DASHkeep] = anon_sym_DASH_DASHinteractive_DASHkeep,
  [sym_keep_own] = sym_keep_own,
  [sym_keep_ts] = sym_keep_ts,
  [anon_sym_DASH_DASHload] = anon_sym_DASH_DASHload,
  [anon_sym_DASH_DASHmount] = anon_sym_DASH_DASHmount,
  [sym_network_none] = sym_network_none,
  [sym_no_cache] = sym_no_cache,
  [anon_sym_DASH_DASHoidc] = anon_sym_DASH_DASHoidc,
  [sym_pass_args] = sym_pass_args,
  [sym_persist] = sym_persist,
  [anon_sym_DASH_DASHplatform] = anon_sym_DASH_DASHplatform,
  [sym_privileged] = sym_privileged,
  [anon_sym_DASH_DASHpull] = anon_sym_DASH_DASHpull,
  [sym_push] = sym_push,
  [sym_raw_output] = sym_raw_output,
  [sym_required] = sym_required,
  [anon_sym_DASH_DASHsecret] = anon_sym_DASH_DASHsecret,
  [anon_sym_EQ4] = anon_sym_EQ,
  [anon_sym_DASH_DASHsep] = anon_sym_DASH_DASHsep,
  [anon_sym_DASH_DASHservice] = anon_sym_DASH_DASHservice,
  [anon_sym_DASH_DASHsharing] = anon_sym_DASH_DASHsharing,
  [sym_ssh] = sym_ssh,
  [sym_symlink_no_follow] = sym_symlink_no_follow,
  [aux_sym_unknown_option_token1] = aux_sym_unknown_option_token1,
  [sym_without_earthly_labels] = sym_without_earthly_labels,
  [sym__string_base_other] = sym__string_base_other,
  [sym__string_base_alpha] = sym__string_base_alpha,
  [sym__string_base_num] = sym__string_base_num,
  [sym__immediate_string_base_other] = sym__immediate_string_base_other,
  [sym__immediate_string_base_alpha] = sym__immediate_string_base_alpha,
  [sym__immediate_string_base_num] = sym__immediate_string_base_num,
  [aux_sym_double_quoted_string_token1] = aux_sym_double_quoted_string_token1,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [aux_sym_single_quoted_string_token1] = aux_sym_single_quoted_string_token1,
  [anon_sym_PLUS2] = anon_sym_PLUS,
  [aux_sym_unquoted_string_with_spaces_token1] = aux_sym_unquoted_string_with_spaces_token1,
  [anon_sym_RPAREN4] = anon_sym_RPAREN,
  [anon_sym_DOLLAR2] = anon_sym_DOLLAR,
  [aux_sym__immediate_escape_sequence_token1] = aux_sym__immediate_escape_sequence_token1,
  [sym_line_continuation] = sym_line_continuation,
  [sym_comment] = sym_comment,
  [sym_line_continuation_comment] = sym_line_continuation_comment,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_CR_LF] = anon_sym_CR_LF,
  [anon_sym_FF] = anon_sym_FF,
  [anon_sym_NULL] = anon_sym_NULL,
  [sym__indent] = sym__indent,
  [sym__dedent] = sym__dedent,
  [sym_source_file] = sym_source_file,
  [sym_project_command] = sym_project_command,
  [sym_target] = sym_target,
  [sym_version_command] = sym_version_command,
  [sym_version_options] = sym_options,
  [sym_arg_command] = sym_arg_command,
  [sym_arg_options] = sym_options,
  [sym_build_command] = sym_build_command,
  [sym_build_options] = sym_options,
  [sym_cache_command] = sym_cache_command,
  [sym_cache_options] = sym_options,
  [sym_cmd_command] = sym_cmd_command,
  [sym_copy_command] = sym_copy_command,
  [sym_copy_options] = sym_options,
  [sym_do_command] = sym_do_command,
  [sym_do_options] = sym_options,
  [sym_entrypoint_command] = sym_entrypoint_command,
  [sym_env_command] = sym_env_command,
  [sym_expose_command] = sym_expose_command,
  [sym_for_command] = sym_for_command,
  [sym_for_options] = sym_options,
  [sym_from_command] = sym_from_command,
  [sym_from_options] = sym_options,
  [sym_from_dockerfile_command] = sym_from_dockerfile_command,
  [sym_from_dockerfile_options] = sym_options,
  [sym_function_command] = sym_function_command,
  [sym_git_clone_command] = sym_git_clone_command,
  [sym_git_clone_options] = sym_options,
  [sym_host_command] = sym_host_command,
  [sym_if_command] = sym_if_command,
  [sym_import_command] = sym_import_command,
  [sym_import_options] = sym_options,
  [sym_let_command] = sym_let_command,
  [sym_label_command] = sym_label_command,
  [sym_locally_command] = sym_locally_command,
  [sym_run_command] = sym_run_command,
  [sym_run_options] = sym_options,
  [sym_save_artifact_command] = sym_save_artifact_command,
  [sym_save_artifact_options] = sym_options,
  [sym_save_image_command] = sym_save_image_command,
  [sym_save_image_options] = sym_options,
  [sym_set_command] = sym_set_command,
  [sym_try_command] = sym_try_command,
  [sym_try_command_finally_block] = sym_block,
  [sym_user_command] = sym_user_command,
  [sym_volume_command] = sym_volume_command,
  [sym_wait_command] = sym_wait_command,
  [sym_with_docker_command] = sym_with_docker_command,
  [sym_with_docker_options] = sym_options,
  [sym_workdir_command] = sym_workdir_command,
  [sym_block] = sym_block,
  [sym__conditional_block] = sym__conditional_block,
  [aux_sym__conditional_block_options] = aux_sym__conditional_block_options,
  [sym_elif_block] = sym_elif_block,
  [sym_else_block] = sym_else_block,
  [sym__immediate_identifier] = sym_identifier,
  [sym_earthfile_ref] = sym_earthfile_ref,
  [sym_identifier] = sym_identifier,
  [sym_image_spec] = sym_image_spec,
  [sym_image_name] = sym_image_name,
  [sym_image_tag] = sym_image_tag,
  [sym_image_digest] = sym_image_digest,
  [sym_images] = sym_images,
  [sym_label] = sym_label,
  [sym_shell_fragment] = sym_shell_fragment,
  [sym_string_array] = sym_string_array,
  [sym_target_ref] = sym_target_ref,
  [sym_target_ref_with_build_args] = sym_target_ref_with_build_args,
  [sym_target_artifact] = sym_target_artifact,
  [sym_target_artifact_build_args] = sym_target_artifact_build_args,
  [sym_variable] = sym_variable,
  [sym_branch] = sym_branch,
  [sym_build_arg] = sym_build_arg,
  [sym_build_args] = sym_build_args,
  [sym_build_arg_deprecated] = sym_build_arg_deprecated,
  [sym_cache_id] = sym_cache_id,
  [sym_cache_from] = sym_cache_from,
  [sym_chmod] = sym_chmod,
  [sym_chown] = sym_chown,
  [sym_compose] = sym_compose,
  [sym_docker_build_arg] = sym_docker_build_arg,
  [sym_docker_file] = sym_docker_file,
  [sym_docker_target] = sym_docker_target,
  [sym_id] = sym_id,
  [sym_interactive] = sym_interactive,
  [sym_load] = sym_load,
  [sym_mount] = sym_mount,
  [sym_oidc] = sym_oidc,
  [sym_platform] = sym_platform,
  [sym_pull] = sym_pull,
  [sym_secret] = sym_secret,
  [sym_sep] = sym_sep,
  [sym_service] = sym_service,
  [sym_sharing] = sym_sharing,
  [sym_unknown_option] = sym_unknown_option,
  [sym__string_base] = sym__string_base,
  [sym__immediate_string_base] = sym__immediate_string_base,
  [sym_double_quoted_string] = sym_double_quoted_string,
  [sym__immediate_double_quoted_string] = sym_double_quoted_string,
  [sym_single_quoted_string] = sym_single_quoted_string,
  [sym__immediate_single_quoted_string] = sym_single_quoted_string,
  [sym_unquoted_string] = sym_unquoted_string,
  [sym__immediate_unquoted_string] = sym_unquoted_string,
  [sym_unquoted_string_with_spaces] = sym_unquoted_string,
  [sym_string_with_spaces] = sym_string,
  [sym_string] = sym_string,
  [sym_strings] = sym_strings,
  [sym_expansion] = sym_expansion,
  [sym__immediate_expansion] = sym_expansion,
  [sym__immediate_variable] = sym_variable,
  [sym__immediate_escape_sequence] = sym__immediate_escape_sequence,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym__eol] = sym__eol,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_version_options_repeat1] = aux_sym_version_options_repeat1,
  [aux_sym_arg_options_repeat1] = aux_sym_arg_options_repeat1,
  [aux_sym_build_options_repeat1] = aux_sym_build_options_repeat1,
  [aux_sym_cache_options_repeat1] = aux_sym_cache_options_repeat1,
  [aux_sym_copy_command_repeat1] = aux_sym_copy_command_repeat1,
  [aux_sym_copy_options_repeat1] = aux_sym_copy_options_repeat1,
  [aux_sym_do_options_repeat1] = aux_sym_do_options_repeat1,
  [aux_sym_expose_command_repeat1] = aux_sym_expose_command_repeat1,
  [aux_sym_for_options_repeat1] = aux_sym_for_options_repeat1,
  [aux_sym_from_options_repeat1] = aux_sym_from_options_repeat1,
  [aux_sym_from_dockerfile_options_repeat1] = aux_sym_from_dockerfile_options_repeat1,
  [aux_sym_git_clone_options_repeat1] = aux_sym_git_clone_options_repeat1,
  [aux_sym_if_command_repeat1] = aux_sym_if_command_repeat1,
  [aux_sym_import_options_repeat1] = aux_sym_import_options_repeat1,
  [aux_sym_label_command_repeat1] = aux_sym_label_command_repeat1,
  [aux_sym_run_options_repeat1] = aux_sym_run_options_repeat1,
  [aux_sym_save_artifact_options_repeat1] = aux_sym_save_artifact_options_repeat1,
  [aux_sym_save_image_options_repeat1] = aux_sym_save_image_options_repeat1,
  [aux_sym_try_command_finally_block_repeat1] = aux_sym_try_command_finally_block_repeat1,
  [aux_sym_with_docker_options_repeat1] = aux_sym_with_docker_options_repeat1,
  [aux_sym_block_repeat1] = aux_sym_block_repeat1,
  [aux_sym__immediate_identifier_repeat1] = aux_sym__immediate_identifier_repeat1,
  [aux_sym_earthfile_ref_repeat1] = aux_sym_earthfile_ref_repeat1,
  [aux_sym_image_name_repeat1] = aux_sym_image_name_repeat1,
  [aux_sym_image_digest_repeat1] = aux_sym_image_digest_repeat1,
  [aux_sym_images_repeat1] = aux_sym_images_repeat1,
  [aux_sym_shell_fragment_repeat1] = aux_sym_shell_fragment_repeat1,
  [aux_sym_shell_fragment_repeat2] = aux_sym_shell_fragment_repeat2,
  [aux_sym_shell_fragment_repeat3] = aux_sym_shell_fragment_repeat3,
  [aux_sym_string_array_repeat1] = aux_sym_string_array_repeat1,
  [aux_sym_variable_repeat1] = aux_sym_variable_repeat1,
  [aux_sym_build_args_repeat1] = aux_sym_build_args_repeat1,
  [aux_sym__immediate_string_base_repeat1] = aux_sym__immediate_string_base_repeat1,
  [aux_sym_double_quoted_string_repeat1] = aux_sym_double_quoted_string_repeat1,
  [aux_sym_single_quoted_string_repeat1] = aux_sym_single_quoted_string_repeat1,
  [aux_sym_unquoted_string_repeat1] = aux_sym_unquoted_string_repeat1,
  [aux_sym_unquoted_string_with_spaces_repeat1] = aux_sym_unquoted_string_with_spaces_repeat1,
  [aux_sym_string_with_spaces_repeat1] = aux_sym_string_with_spaces_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [alias_sym__immediate_escape_sequence] = alias_sym__immediate_escape_sequence,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_PROJECT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_VERSION] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ARG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BUILD] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CACHE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CMD] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COPY] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DO] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ENTRYPOINT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ENV] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EXPOSE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_FOR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_IN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_END] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_FROM] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_FROMDOCKERFILE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_FUNCTION] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMAND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GITCLONE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_HOST] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_IF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_IMPORT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LABEL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LOCALLY] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RUN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SAVEARTIFACT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ASLOCAL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SAVEIMAGE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TRY] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_FINALLY] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_USER] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_VOLUME] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_WAIT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_WITHDOCKER] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_WORKDIR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_block_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_ELSEIF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ELSE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT2] = {
    .visible = true,
    .named = false,
  },
  [sym_function_ref] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SPACE] = {
    .visible = true,
    .named = false,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_options] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_shell_fragment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_shell_fragment_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LBRACK3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN3] = {
    .visible = true,
    .named = false,
  },
  [sym_version_major_minor] = {
    .visible = true,
    .named = true,
  },
  [sym_allow_privileged] = {
    .visible = true,
    .named = true,
  },
  [sym_auto_skip] = {
    .visible = true,
    .named = true,
  },
  [sym_aws] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DASH_DASHbranch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASHbuild_DASHarg] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASHcache_DASHid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASHcache_DASHfrom] = {
    .visible = true,
    .named = false,
  },
  [sym_cache_hint] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DASH_DASHchmod] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASHchown] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASHcompose] = {
    .visible = true,
    .named = false,
  },
  [sym_dir] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DASHf] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASHtarget] = {
    .visible = true,
    .named = false,
  },
  [sym_entrypoint] = {
    .visible = true,
    .named = true,
  },
  [sym_feature_flag] = {
    .visible = true,
    .named = true,
  },
  [sym_force] = {
    .visible = true,
    .named = true,
  },
  [sym_global] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DASH_DASHid] = {
    .visible = true,
    .named = false,
  },
  [sym_if_exists] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DASH_DASHinteractive] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASHinteractive_DASHkeep] = {
    .visible = true,
    .named = false,
  },
  [sym_keep_own] = {
    .visible = true,
    .named = true,
  },
  [sym_keep_ts] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DASH_DASHload] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASHmount] = {
    .visible = true,
    .named = false,
  },
  [sym_network_none] = {
    .visible = true,
    .named = true,
  },
  [sym_no_cache] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DASH_DASHoidc] = {
    .visible = true,
    .named = false,
  },
  [sym_pass_args] = {
    .visible = true,
    .named = true,
  },
  [sym_persist] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DASH_DASHplatform] = {
    .visible = true,
    .named = false,
  },
  [sym_privileged] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DASH_DASHpull] = {
    .visible = true,
    .named = false,
  },
  [sym_push] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_output] = {
    .visible = true,
    .named = true,
  },
  [sym_required] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DASH_DASHsecret] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASHsep] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASHservice] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASHsharing] = {
    .visible = true,
    .named = false,
  },
  [sym_ssh] = {
    .visible = true,
    .named = true,
  },
  [sym_symlink_no_follow] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_unknown_option_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_without_earthly_labels] = {
    .visible = true,
    .named = true,
  },
  [sym__string_base_other] = {
    .visible = false,
    .named = true,
  },
  [sym__string_base_alpha] = {
    .visible = false,
    .named = true,
  },
  [sym__string_base_num] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_string_base_other] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_string_base_alpha] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_string_base_num] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_double_quoted_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_single_quoted_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_PLUS2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_unquoted_string_with_spaces_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_RPAREN4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__immediate_escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_line_continuation] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_line_continuation_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CR_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_FF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym_project_command] = {
    .visible = true,
    .named = true,
  },
  [sym_target] = {
    .visible = true,
    .named = true,
  },
  [sym_version_command] = {
    .visible = true,
    .named = true,
  },
  [sym_version_options] = {
    .visible = true,
    .named = true,
  },
  [sym_arg_command] = {
    .visible = true,
    .named = true,
  },
  [sym_arg_options] = {
    .visible = true,
    .named = true,
  },
  [sym_build_command] = {
    .visible = true,
    .named = true,
  },
  [sym_build_options] = {
    .visible = true,
    .named = true,
  },
  [sym_cache_command] = {
    .visible = true,
    .named = true,
  },
  [sym_cache_options] = {
    .visible = true,
    .named = true,
  },
  [sym_cmd_command] = {
    .visible = true,
    .named = true,
  },
  [sym_copy_command] = {
    .visible = true,
    .named = true,
  },
  [sym_copy_options] = {
    .visible = true,
    .named = true,
  },
  [sym_do_command] = {
    .visible = true,
    .named = true,
  },
  [sym_do_options] = {
    .visible = true,
    .named = true,
  },
  [sym_entrypoint_command] = {
    .visible = true,
    .named = true,
  },
  [sym_env_command] = {
    .visible = true,
    .named = true,
  },
  [sym_expose_command] = {
    .visible = true,
    .named = true,
  },
  [sym_for_command] = {
    .visible = true,
    .named = true,
  },
  [sym_for_options] = {
    .visible = true,
    .named = true,
  },
  [sym_from_command] = {
    .visible = true,
    .named = true,
  },
  [sym_from_options] = {
    .visible = true,
    .named = true,
  },
  [sym_from_dockerfile_command] = {
    .visible = true,
    .named = true,
  },
  [sym_from_dockerfile_options] = {
    .visible = true,
    .named = true,
  },
  [sym_function_command] = {
    .visible = true,
    .named = true,
  },
  [sym_git_clone_command] = {
    .visible = true,
    .named = true,
  },
  [sym_git_clone_options] = {
    .visible = true,
    .named = true,
  },
  [sym_host_command] = {
    .visible = true,
    .named = true,
  },
  [sym_if_command] = {
    .visible = true,
    .named = true,
  },
  [sym_import_command] = {
    .visible = true,
    .named = true,
  },
  [sym_import_options] = {
    .visible = true,
    .named = true,
  },
  [sym_let_command] = {
    .visible = true,
    .named = true,
  },
  [sym_label_command] = {
    .visible = true,
    .named = true,
  },
  [sym_locally_command] = {
    .visible = true,
    .named = true,
  },
  [sym_run_command] = {
    .visible = true,
    .named = true,
  },
  [sym_run_options] = {
    .visible = true,
    .named = true,
  },
  [sym_save_artifact_command] = {
    .visible = true,
    .named = true,
  },
  [sym_save_artifact_options] = {
    .visible = true,
    .named = true,
  },
  [sym_save_image_command] = {
    .visible = true,
    .named = true,
  },
  [sym_save_image_options] = {
    .visible = true,
    .named = true,
  },
  [sym_set_command] = {
    .visible = true,
    .named = true,
  },
  [sym_try_command] = {
    .visible = true,
    .named = true,
  },
  [sym_try_command_finally_block] = {
    .visible = true,
    .named = true,
  },
  [sym_user_command] = {
    .visible = true,
    .named = true,
  },
  [sym_volume_command] = {
    .visible = true,
    .named = true,
  },
  [sym_wait_command] = {
    .visible = true,
    .named = true,
  },
  [sym_with_docker_command] = {
    .visible = true,
    .named = true,
  },
  [sym_with_docker_options] = {
    .visible = true,
    .named = true,
  },
  [sym_workdir_command] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym__conditional_block] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__conditional_block_options] = {
    .visible = false,
    .named = false,
  },
  [sym_elif_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_block] = {
    .visible = true,
    .named = true,
  },
  [sym__immediate_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_earthfile_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_image_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_image_name] = {
    .visible = true,
    .named = true,
  },
  [sym_image_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_image_digest] = {
    .visible = true,
    .named = true,
  },
  [sym_images] = {
    .visible = true,
    .named = true,
  },
  [sym_label] = {
    .visible = true,
    .named = true,
  },
  [sym_shell_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_string_array] = {
    .visible = true,
    .named = true,
  },
  [sym_target_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_target_ref_with_build_args] = {
    .visible = true,
    .named = true,
  },
  [sym_target_artifact] = {
    .visible = true,
    .named = true,
  },
  [sym_target_artifact_build_args] = {
    .visible = true,
    .named = true,
  },
  [sym_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_branch] = {
    .visible = true,
    .named = true,
  },
  [sym_build_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_build_args] = {
    .visible = true,
    .named = true,
  },
  [sym_build_arg_deprecated] = {
    .visible = true,
    .named = true,
  },
  [sym_cache_id] = {
    .visible = true,
    .named = true,
  },
  [sym_cache_from] = {
    .visible = true,
    .named = true,
  },
  [sym_chmod] = {
    .visible = true,
    .named = true,
  },
  [sym_chown] = {
    .visible = true,
    .named = true,
  },
  [sym_compose] = {
    .visible = true,
    .named = true,
  },
  [sym_docker_build_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_docker_file] = {
    .visible = true,
    .named = true,
  },
  [sym_docker_target] = {
    .visible = true,
    .named = true,
  },
  [sym_id] = {
    .visible = true,
    .named = true,
  },
  [sym_interactive] = {
    .visible = true,
    .named = true,
  },
  [sym_load] = {
    .visible = true,
    .named = true,
  },
  [sym_mount] = {
    .visible = true,
    .named = true,
  },
  [sym_oidc] = {
    .visible = true,
    .named = true,
  },
  [sym_platform] = {
    .visible = true,
    .named = true,
  },
  [sym_pull] = {
    .visible = true,
    .named = true,
  },
  [sym_secret] = {
    .visible = true,
    .named = true,
  },
  [sym_sep] = {
    .visible = true,
    .named = true,
  },
  [sym_service] = {
    .visible = true,
    .named = true,
  },
  [sym_sharing] = {
    .visible = true,
    .named = true,
  },
  [sym_unknown_option] = {
    .visible = true,
    .named = true,
  },
  [sym__string_base] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_string_base] = {
    .visible = false,
    .named = true,
  },
  [sym_double_quoted_string] = {
    .visible = true,
    .named = true,
  },
  [sym__immediate_double_quoted_string] = {
    .visible = true,
    .named = true,
  },
  [sym_single_quoted_string] = {
    .visible = true,
    .named = true,
  },
  [sym__immediate_single_quoted_string] = {
    .visible = true,
    .named = true,
  },
  [sym_unquoted_string] = {
    .visible = true,
    .named = true,
  },
  [sym__immediate_unquoted_string] = {
    .visible = true,
    .named = true,
  },
  [sym_unquoted_string_with_spaces] = {
    .visible = true,
    .named = true,
  },
  [sym_string_with_spaces] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_strings] = {
    .visible = true,
    .named = true,
  },
  [sym_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym__immediate_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym__immediate_variable] = {
    .visible = true,
    .named = true,
  },
  [sym__immediate_escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym__eol] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_version_options_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arg_options_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_build_options_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cache_options_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_copy_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_copy_options_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_do_options_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expose_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_options_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_from_options_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_from_dockerfile_options_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_git_clone_options_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_options_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_label_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_run_options_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_save_artifact_options_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_save_image_options_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_command_finally_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_with_docker_options_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__immediate_identifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_earthfile_ref_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_image_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_image_digest_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_images_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_shell_fragment_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_shell_fragment_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_shell_fragment_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_build_args_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__immediate_string_base_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_double_quoted_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_single_quoted_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unquoted_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unquoted_string_with_spaces_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_with_spaces_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym__immediate_escape_sequence] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_base_target = 3,
  field_body = 4,
  field_command = 5,
  field_condition = 6,
  field_context = 7,
  field_default_value = 8,
  field_dest = 9,
  field_digest = 10,
  field_earthfile = 11,
  field_finally = 12,
  field_group = 13,
  field_id = 14,
  field_image = 15,
  field_images = 16,
  field_ip = 17,
  field_key = 18,
  field_label = 19,
  field_local_dest = 20,
  field_mount_point = 21,
  field_name = 22,
  field_options = 23,
  field_org_name = 24,
  field_project_name = 25,
  field_spec = 26,
  field_src = 27,
  field_tag = 28,
  field_target = 29,
  field_url = 30,
  field_user = 31,
  field_value = 32,
  field_values = 33,
  field_var = 34,
  field_version = 35,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_base_target] = "base_target",
  [field_body] = "body",
  [field_command] = "command",
  [field_condition] = "condition",
  [field_context] = "context",
  [field_default_value] = "default_value",
  [field_dest] = "dest",
  [field_digest] = "digest",
  [field_earthfile] = "earthfile",
  [field_finally] = "finally",
  [field_group] = "group",
  [field_id] = "id",
  [field_image] = "image",
  [field_images] = "images",
  [field_ip] = "ip",
  [field_key] = "key",
  [field_label] = "label",
  [field_local_dest] = "local_dest",
  [field_mount_point] = "mount_point",
  [field_name] = "name",
  [field_options] = "options",
  [field_org_name] = "org_name",
  [field_project_name] = "project_name",
  [field_spec] = "spec",
  [field_src] = "src",
  [field_tag] = "tag",
  [field_target] = "target",
  [field_url] = "url",
  [field_user] = "user",
  [field_value] = "value",
  [field_values] = "values",
  [field_var] = "var",
  [field_version] = "version",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [5] = {.index = 3, .length = 1},
  [6] = {.index = 4, .length = 1},
  [7] = {.index = 5, .length = 1},
  [9] = {.index = 6, .length = 1},
  [10] = {.index = 7, .length = 2},
  [12] = {.index = 9, .length = 1},
  [13] = {.index = 10, .length = 1},
  [14] = {.index = 11, .length = 1},
  [15] = {.index = 12, .length = 1},
  [16] = {.index = 13, .length = 1},
  [17] = {.index = 14, .length = 1},
  [18] = {.index = 15, .length = 1},
  [19] = {.index = 16, .length = 1},
  [20] = {.index = 17, .length = 2},
  [21] = {.index = 19, .length = 1},
  [22] = {.index = 20, .length = 2},
  [23] = {.index = 22, .length = 2},
  [24] = {.index = 24, .length = 2},
  [25] = {.index = 26, .length = 2},
  [26] = {.index = 14, .length = 1},
  [27] = {.index = 28, .length = 2},
  [28] = {.index = 30, .length = 1},
  [29] = {.index = 31, .length = 2},
  [30] = {.index = 33, .length = 2},
  [31] = {.index = 35, .length = 2},
  [32] = {.index = 37, .length = 2},
  [33] = {.index = 39, .length = 2},
  [34] = {.index = 41, .length = 3},
  [35] = {.index = 44, .length = 1},
  [36] = {.index = 45, .length = 2},
  [37] = {.index = 47, .length = 2},
  [38] = {.index = 49, .length = 2},
  [39] = {.index = 51, .length = 2},
  [40] = {.index = 53, .length = 1},
  [41] = {.index = 54, .length = 1},
  [42] = {.index = 55, .length = 2},
  [43] = {.index = 57, .length = 2},
  [44] = {.index = 59, .length = 2},
  [45] = {.index = 61, .length = 2},
  [46] = {.index = 63, .length = 1},
  [47] = {.index = 64, .length = 2},
  [48] = {.index = 66, .length = 2},
  [49] = {.index = 68, .length = 2},
  [50] = {.index = 70, .length = 3},
  [51] = {.index = 73, .length = 2},
  [52] = {.index = 75, .length = 3},
  [53] = {.index = 78, .length = 4},
  [54] = {.index = 82, .length = 4},
  [55] = {.index = 86, .length = 3},
  [56] = {.index = 89, .length = 1},
  [57] = {.index = 90, .length = 2},
  [58] = {.index = 92, .length = 2},
  [59] = {.index = 94, .length = 3},
  [60] = {.index = 97, .length = 2},
  [61] = {.index = 99, .length = 2},
  [62] = {.index = 101, .length = 3},
  [63] = {.index = 104, .length = 2},
  [64] = {.index = 106, .length = 3},
  [65] = {.index = 109, .length = 2},
  [66] = {.index = 111, .length = 5},
  [67] = {.index = 116, .length = 2},
  [68] = {.index = 118, .length = 3},
  [69] = {.index = 121, .length = 3},
  [70] = {.index = 124, .length = 2},
  [71] = {.index = 126, .length = 2},
  [72] = {.index = 128, .length = 4},
  [73] = {.index = 132, .length = 1},
  [74] = {.index = 133, .length = 1},
  [75] = {.index = 134, .length = 3},
  [76] = {.index = 137, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_base_target, 0},
  [1] =
    {field_src, 0},
  [2] =
    {field_name, 0},
  [3] =
    {field_base_target, 1},
  [4] =
    {field_version, 1},
  [5] =
    {field_name, 1},
  [6] =
    {field_mount_point, 1},
  [7] =
    {field_src, 0, .inherited = true},
    {field_src, 1, .inherited = true},
  [9] =
    {field_context, 1},
  [10] =
    {field_alternative, 0},
  [11] =
    {field_condition, 0},
  [12] =
    {field_command, 1},
  [13] =
    {field_src, 1},
  [14] =
    {field_options, 1},
  [15] =
    {field_images, 1},
  [16] =
    {field_user, 1},
  [17] =
    {field_options, 1},
    {field_version, 2},
  [19] =
    {field_value, 2},
  [20] =
    {field_name, 2},
    {field_options, 1},
  [22] =
    {field_earthfile, 0},
    {field_name, 2},
  [24] =
    {field_mount_point, 2},
    {field_options, 1},
  [26] =
    {field_dest, 2},
    {field_src, 1, .inherited = true},
  [28] =
    {field_key, 1},
    {field_value, 2},
  [30] =
    {field_id, 2},
  [31] =
    {field_name, 0},
    {field_tag, 2},
  [33] =
    {field_digest, 2},
    {field_name, 0},
  [35] =
    {field_context, 2},
    {field_options, 1},
  [37] =
    {field_dest, 2},
    {field_url, 1},
  [39] =
    {field_ip, 2},
    {field_name, 1},
  [41] =
    {field_body, 1, .inherited = true},
    {field_condition, 1, .inherited = true},
    {field_options, 1, .inherited = true},
  [44] =
    {field_body, 1},
  [45] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [47] =
    {field_condition, 1},
    {field_options, 0},
  [49] =
    {field_body, 2},
    {field_condition, 0},
  [51] =
    {field_label, 0},
    {field_value, 2},
  [53] =
    {field_command, 2},
  [54] =
    {field_spec, 2},
  [55] =
    {field_command, 2},
    {field_options, 1},
  [57] =
    {field_options, 1},
    {field_src, 2},
  [59] =
    {field_dest, 2},
    {field_src, 1},
  [61] =
    {field_images, 2},
    {field_options, 1},
  [63] =
    {field_target, 2},
  [64] =
    {field_org_name, 1},
    {field_project_name, 3},
  [66] =
    {field_default_value, 3},
    {field_name, 1},
  [68] =
    {field_name, 1},
    {field_value, 2},
  [70] =
    {field_dest, 3},
    {field_options, 1},
    {field_src, 2, .inherited = true},
  [73] =
    {field_key, 1},
    {field_value, 3},
  [75] =
    {field_dest, 3},
    {field_options, 1},
    {field_url, 2},
  [78] =
    {field_alternative, 2},
    {field_body, 1, .inherited = true},
    {field_condition, 1, .inherited = true},
    {field_options, 1, .inherited = true},
  [82] =
    {field_alternative, 2, .inherited = true},
    {field_body, 1, .inherited = true},
    {field_condition, 1, .inherited = true},
    {field_options, 1, .inherited = true},
  [86] =
    {field_body, 3},
    {field_condition, 1},
    {field_options, 0},
  [89] =
    {field_alias, 3},
  [90] =
    {field_name, 1},
    {field_value, 3},
  [92] =
    {field_command, 3},
    {field_options, 1},
  [94] =
    {field_dest, 3},
    {field_options, 1},
    {field_src, 2},
  [97] =
    {field_local_dest, 3},
    {field_src, 1},
  [99] =
    {field_group, 3},
    {field_user, 1},
  [101] =
    {field_default_value, 4},
    {field_name, 2},
    {field_options, 1},
  [104] =
    {field_id, 4},
    {field_var, 2},
  [106] =
    {field_digest, 4},
    {field_name, 0},
    {field_tag, 2},
  [109] =
    {field_key, 2},
    {field_value, 4},
  [111] =
    {field_alternative, 2, .inherited = true},
    {field_alternative, 3},
    {field_body, 1, .inherited = true},
    {field_condition, 1, .inherited = true},
    {field_options, 1, .inherited = true},
  [116] =
    {field_alias, 4},
    {field_options, 1},
  [118] =
    {field_local_dest, 4},
    {field_options, 1},
    {field_src, 2},
  [121] =
    {field_dest, 2},
    {field_local_dest, 4},
    {field_src, 1},
  [124] =
    {field_image, 2},
    {field_target, 4},
  [126] =
    {field_name, 1},
    {field_values, 3},
  [128] =
    {field_dest, 3},
    {field_local_dest, 5},
    {field_options, 1},
    {field_src, 2},
  [132] =
    {field_finally, 4},
  [133] =
    {field_body, 2},
  [134] =
    {field_name, 2},
    {field_options, 1},
    {field_values, 4},
  [137] =
    {field_body, 2},
    {field_finally, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = alias_sym__immediate_escape_sequence,
  },
  [8] = {
    [0] = sym_escape_sequence,
  },
  [11] = {
    [1] = sym_function_ref,
  },
  [26] = {
    [2] = sym_function_ref,
  },
  [37] = {
    [0] = sym_options,
  },
  [55] = {
    [0] = sym_options,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  aux_sym__conditional_block_options, 2,
    aux_sym__conditional_block_options,
    sym_options,
  sym_target_ref, 2,
    sym_target_ref,
    sym_function_ref,
  sym__immediate_escape_sequence, 2,
    sym__immediate_escape_sequence,
    sym_escape_sequence,
  sym_escape_sequence, 2,
    sym_escape_sequence,
    alias_sym__immediate_escape_sequence,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 7,
  [9] = 9,
  [10] = 3,
  [11] = 7,
  [12] = 12,
  [13] = 9,
  [14] = 14,
  [15] = 15,
  [16] = 6,
  [17] = 12,
  [18] = 12,
  [19] = 14,
  [20] = 14,
  [21] = 9,
  [22] = 3,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 6,
  [27] = 27,
  [28] = 24,
  [29] = 25,
  [30] = 27,
  [31] = 24,
  [32] = 25,
  [33] = 27,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 36,
  [39] = 35,
  [40] = 37,
  [41] = 34,
  [42] = 42,
  [43] = 37,
  [44] = 35,
  [45] = 34,
  [46] = 46,
  [47] = 36,
  [48] = 46,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 24,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 27,
  [63] = 25,
  [64] = 64,
  [65] = 50,
  [66] = 66,
  [67] = 49,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 51,
  [75] = 52,
  [76] = 76,
  [77] = 53,
  [78] = 25,
  [79] = 61,
  [80] = 56,
  [81] = 24,
  [82] = 25,
  [83] = 69,
  [84] = 27,
  [85] = 59,
  [86] = 27,
  [87] = 60,
  [88] = 25,
  [89] = 24,
  [90] = 55,
  [91] = 24,
  [92] = 68,
  [93] = 58,
  [94] = 70,
  [95] = 64,
  [96] = 66,
  [97] = 73,
  [98] = 57,
  [99] = 27,
  [100] = 27,
  [101] = 72,
  [102] = 76,
  [103] = 25,
  [104] = 46,
  [105] = 24,
  [106] = 24,
  [107] = 51,
  [108] = 24,
  [109] = 50,
  [110] = 27,
  [111] = 49,
  [112] = 25,
  [113] = 25,
  [114] = 27,
  [115] = 52,
  [116] = 76,
  [117] = 56,
  [118] = 70,
  [119] = 57,
  [120] = 55,
  [121] = 69,
  [122] = 68,
  [123] = 72,
  [124] = 27,
  [125] = 125,
  [126] = 58,
  [127] = 73,
  [128] = 24,
  [129] = 60,
  [130] = 59,
  [131] = 25,
  [132] = 64,
  [133] = 133,
  [134] = 66,
  [135] = 53,
  [136] = 61,
  [137] = 137,
  [138] = 24,
  [139] = 24,
  [140] = 25,
  [141] = 137,
  [142] = 34,
  [143] = 37,
  [144] = 27,
  [145] = 25,
  [146] = 27,
  [147] = 36,
  [148] = 35,
  [149] = 137,
  [150] = 34,
  [151] = 35,
  [152] = 36,
  [153] = 37,
  [154] = 36,
  [155] = 24,
  [156] = 34,
  [157] = 24,
  [158] = 34,
  [159] = 25,
  [160] = 24,
  [161] = 37,
  [162] = 27,
  [163] = 36,
  [164] = 35,
  [165] = 27,
  [166] = 35,
  [167] = 27,
  [168] = 34,
  [169] = 37,
  [170] = 35,
  [171] = 25,
  [172] = 37,
  [173] = 25,
  [174] = 36,
  [175] = 24,
  [176] = 37,
  [177] = 34,
  [178] = 27,
  [179] = 35,
  [180] = 37,
  [181] = 35,
  [182] = 34,
  [183] = 25,
  [184] = 24,
  [185] = 36,
  [186] = 36,
  [187] = 36,
  [188] = 27,
  [189] = 37,
  [190] = 25,
  [191] = 34,
  [192] = 42,
  [193] = 37,
  [194] = 27,
  [195] = 35,
  [196] = 25,
  [197] = 24,
  [198] = 36,
  [199] = 46,
  [200] = 52,
  [201] = 37,
  [202] = 37,
  [203] = 46,
  [204] = 51,
  [205] = 125,
  [206] = 36,
  [207] = 207,
  [208] = 36,
  [209] = 207,
  [210] = 46,
  [211] = 211,
  [212] = 35,
  [213] = 46,
  [214] = 207,
  [215] = 133,
  [216] = 207,
  [217] = 34,
  [218] = 34,
  [219] = 49,
  [220] = 35,
  [221] = 46,
  [222] = 50,
  [223] = 35,
  [224] = 49,
  [225] = 59,
  [226] = 36,
  [227] = 227,
  [228] = 49,
  [229] = 229,
  [230] = 70,
  [231] = 125,
  [232] = 57,
  [233] = 133,
  [234] = 46,
  [235] = 50,
  [236] = 76,
  [237] = 56,
  [238] = 52,
  [239] = 69,
  [240] = 46,
  [241] = 52,
  [242] = 34,
  [243] = 35,
  [244] = 73,
  [245] = 34,
  [246] = 51,
  [247] = 37,
  [248] = 37,
  [249] = 60,
  [250] = 36,
  [251] = 53,
  [252] = 50,
  [253] = 37,
  [254] = 61,
  [255] = 66,
  [256] = 52,
  [257] = 50,
  [258] = 64,
  [259] = 50,
  [260] = 36,
  [261] = 51,
  [262] = 49,
  [263] = 55,
  [264] = 52,
  [265] = 51,
  [266] = 72,
  [267] = 51,
  [268] = 35,
  [269] = 58,
  [270] = 68,
  [271] = 271,
  [272] = 34,
  [273] = 49,
  [274] = 55,
  [275] = 70,
  [276] = 69,
  [277] = 68,
  [278] = 66,
  [279] = 49,
  [280] = 66,
  [281] = 61,
  [282] = 53,
  [283] = 69,
  [284] = 35,
  [285] = 64,
  [286] = 60,
  [287] = 68,
  [288] = 52,
  [289] = 73,
  [290] = 52,
  [291] = 66,
  [292] = 49,
  [293] = 64,
  [294] = 58,
  [295] = 55,
  [296] = 50,
  [297] = 72,
  [298] = 51,
  [299] = 56,
  [300] = 58,
  [301] = 55,
  [302] = 34,
  [303] = 58,
  [304] = 53,
  [305] = 61,
  [306] = 73,
  [307] = 68,
  [308] = 71,
  [309] = 53,
  [310] = 56,
  [311] = 52,
  [312] = 61,
  [313] = 57,
  [314] = 51,
  [315] = 36,
  [316] = 68,
  [317] = 37,
  [318] = 60,
  [319] = 64,
  [320] = 72,
  [321] = 66,
  [322] = 69,
  [323] = 56,
  [324] = 60,
  [325] = 69,
  [326] = 50,
  [327] = 59,
  [328] = 36,
  [329] = 34,
  [330] = 46,
  [331] = 73,
  [332] = 61,
  [333] = 73,
  [334] = 55,
  [335] = 60,
  [336] = 72,
  [337] = 35,
  [338] = 76,
  [339] = 72,
  [340] = 57,
  [341] = 70,
  [342] = 37,
  [343] = 57,
  [344] = 58,
  [345] = 59,
  [346] = 51,
  [347] = 56,
  [348] = 76,
  [349] = 50,
  [350] = 70,
  [351] = 76,
  [352] = 76,
  [353] = 70,
  [354] = 53,
  [355] = 57,
  [356] = 59,
  [357] = 64,
  [358] = 59,
  [359] = 49,
  [360] = 49,
  [361] = 56,
  [362] = 362,
  [363] = 73,
  [364] = 56,
  [365] = 365,
  [366] = 37,
  [367] = 57,
  [368] = 362,
  [369] = 50,
  [370] = 60,
  [371] = 36,
  [372] = 52,
  [373] = 60,
  [374] = 72,
  [375] = 76,
  [376] = 34,
  [377] = 73,
  [378] = 35,
  [379] = 69,
  [380] = 68,
  [381] = 61,
  [382] = 53,
  [383] = 69,
  [384] = 59,
  [385] = 362,
  [386] = 55,
  [387] = 387,
  [388] = 60,
  [389] = 76,
  [390] = 57,
  [391] = 68,
  [392] = 56,
  [393] = 58,
  [394] = 61,
  [395] = 53,
  [396] = 69,
  [397] = 64,
  [398] = 53,
  [399] = 66,
  [400] = 400,
  [401] = 70,
  [402] = 46,
  [403] = 59,
  [404] = 51,
  [405] = 46,
  [406] = 55,
  [407] = 58,
  [408] = 72,
  [409] = 66,
  [410] = 70,
  [411] = 64,
  [412] = 64,
  [413] = 56,
  [414] = 37,
  [415] = 50,
  [416] = 55,
  [417] = 46,
  [418] = 53,
  [419] = 50,
  [420] = 61,
  [421] = 68,
  [422] = 70,
  [423] = 59,
  [424] = 58,
  [425] = 69,
  [426] = 73,
  [427] = 72,
  [428] = 49,
  [429] = 60,
  [430] = 52,
  [431] = 52,
  [432] = 51,
  [433] = 76,
  [434] = 51,
  [435] = 46,
  [436] = 66,
  [437] = 46,
  [438] = 36,
  [439] = 57,
  [440] = 49,
  [441] = 53,
  [442] = 46,
  [443] = 59,
  [444] = 52,
  [445] = 73,
  [446] = 69,
  [447] = 72,
  [448] = 76,
  [449] = 58,
  [450] = 66,
  [451] = 49,
  [452] = 70,
  [453] = 60,
  [454] = 50,
  [455] = 61,
  [456] = 55,
  [457] = 57,
  [458] = 56,
  [459] = 51,
  [460] = 51,
  [461] = 53,
  [462] = 76,
  [463] = 52,
  [464] = 68,
  [465] = 58,
  [466] = 211,
  [467] = 61,
  [468] = 57,
  [469] = 46,
  [470] = 56,
  [471] = 60,
  [472] = 49,
  [473] = 50,
  [474] = 70,
  [475] = 51,
  [476] = 52,
  [477] = 64,
  [478] = 49,
  [479] = 69,
  [480] = 59,
  [481] = 68,
  [482] = 66,
  [483] = 64,
  [484] = 55,
  [485] = 73,
  [486] = 72,
  [487] = 50,
  [488] = 488,
  [489] = 72,
  [490] = 55,
  [491] = 55,
  [492] = 52,
  [493] = 58,
  [494] = 51,
  [495] = 46,
  [496] = 49,
  [497] = 70,
  [498] = 50,
  [499] = 70,
  [500] = 76,
  [501] = 53,
  [502] = 70,
  [503] = 72,
  [504] = 69,
  [505] = 55,
  [506] = 58,
  [507] = 60,
  [508] = 72,
  [509] = 50,
  [510] = 53,
  [511] = 57,
  [512] = 64,
  [513] = 64,
  [514] = 66,
  [515] = 76,
  [516] = 66,
  [517] = 211,
  [518] = 73,
  [519] = 76,
  [520] = 56,
  [521] = 64,
  [522] = 59,
  [523] = 66,
  [524] = 73,
  [525] = 58,
  [526] = 59,
  [527] = 227,
  [528] = 528,
  [529] = 52,
  [530] = 60,
  [531] = 59,
  [532] = 51,
  [533] = 61,
  [534] = 60,
  [535] = 57,
  [536] = 53,
  [537] = 56,
  [538] = 57,
  [539] = 61,
  [540] = 528,
  [541] = 49,
  [542] = 68,
  [543] = 69,
  [544] = 68,
  [545] = 46,
  [546] = 68,
  [547] = 69,
  [548] = 229,
  [549] = 56,
  [550] = 73,
  [551] = 551,
  [552] = 528,
  [553] = 61,
  [554] = 227,
  [555] = 57,
  [556] = 72,
  [557] = 58,
  [558] = 55,
  [559] = 61,
  [560] = 68,
  [561] = 53,
  [562] = 69,
  [563] = 68,
  [564] = 60,
  [565] = 57,
  [566] = 56,
  [567] = 59,
  [568] = 76,
  [569] = 60,
  [570] = 73,
  [571] = 69,
  [572] = 66,
  [573] = 49,
  [574] = 64,
  [575] = 76,
  [576] = 59,
  [577] = 73,
  [578] = 52,
  [579] = 66,
  [580] = 51,
  [581] = 70,
  [582] = 50,
  [583] = 64,
  [584] = 50,
  [585] = 72,
  [586] = 58,
  [587] = 587,
  [588] = 53,
  [589] = 70,
  [590] = 229,
  [591] = 51,
  [592] = 61,
  [593] = 49,
  [594] = 56,
  [595] = 52,
  [596] = 55,
  [597] = 49,
  [598] = 70,
  [599] = 69,
  [600] = 73,
  [601] = 59,
  [602] = 76,
  [603] = 51,
  [604] = 76,
  [605] = 66,
  [606] = 606,
  [607] = 64,
  [608] = 53,
  [609] = 606,
  [610] = 72,
  [611] = 611,
  [612] = 61,
  [613] = 58,
  [614] = 606,
  [615] = 60,
  [616] = 60,
  [617] = 61,
  [618] = 55,
  [619] = 50,
  [620] = 72,
  [621] = 69,
  [622] = 56,
  [623] = 70,
  [624] = 57,
  [625] = 56,
  [626] = 68,
  [627] = 52,
  [628] = 628,
  [629] = 60,
  [630] = 56,
  [631] = 69,
  [632] = 632,
  [633] = 53,
  [634] = 634,
  [635] = 632,
  [636] = 632,
  [637] = 27,
  [638] = 25,
  [639] = 639,
  [640] = 24,
  [641] = 25,
  [642] = 639,
  [643] = 27,
  [644] = 639,
  [645] = 24,
  [646] = 27,
  [647] = 24,
  [648] = 648,
  [649] = 25,
  [650] = 650,
  [651] = 24,
  [652] = 652,
  [653] = 27,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 125,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 659,
  [679] = 679,
  [680] = 680,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 659,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 659,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 749,
  [751] = 749,
  [752] = 752,
  [753] = 271,
  [754] = 752,
  [755] = 755,
  [756] = 133,
  [757] = 752,
  [758] = 703,
  [759] = 700,
  [760] = 663,
  [761] = 661,
  [762] = 669,
  [763] = 34,
  [764] = 764,
  [765] = 737,
  [766] = 704,
  [767] = 694,
  [768] = 664,
  [769] = 654,
  [770] = 710,
  [771] = 736,
  [772] = 691,
  [773] = 35,
  [774] = 684,
  [775] = 687,
  [776] = 689,
  [777] = 666,
  [778] = 740,
  [779] = 690,
  [780] = 36,
  [781] = 655,
  [782] = 660,
  [783] = 783,
  [784] = 784,
  [785] = 658,
  [786] = 764,
  [787] = 713,
  [788] = 682,
  [789] = 672,
  [790] = 734,
  [791] = 716,
  [792] = 695,
  [793] = 764,
  [794] = 681,
  [795] = 674,
  [796] = 697,
  [797] = 717,
  [798] = 711,
  [799] = 733,
  [800] = 680,
  [801] = 801,
  [802] = 36,
  [803] = 699,
  [804] = 718,
  [805] = 648,
  [806] = 683,
  [807] = 731,
  [808] = 688,
  [809] = 708,
  [810] = 692,
  [811] = 728,
  [812] = 719,
  [813] = 725,
  [814] = 706,
  [815] = 707,
  [816] = 37,
  [817] = 744,
  [818] = 745,
  [819] = 747,
  [820] = 724,
  [821] = 727,
  [822] = 742,
  [823] = 729,
  [824] = 37,
  [825] = 35,
  [826] = 676,
  [827] = 723,
  [828] = 667,
  [829] = 730,
  [830] = 732,
  [831] = 738,
  [832] = 739,
  [833] = 741,
  [834] = 743,
  [835] = 746,
  [836] = 748,
  [837] = 34,
  [838] = 693,
  [839] = 726,
  [840] = 712,
  [841] = 721,
  [842] = 670,
  [843] = 698,
  [844] = 705,
  [845] = 686,
  [846] = 668,
  [847] = 662,
  [848] = 673,
  [849] = 715,
  [850] = 702,
  [851] = 714,
  [852] = 656,
  [853] = 675,
  [854] = 701,
  [855] = 665,
  [856] = 709,
  [857] = 671,
  [858] = 858,
  [859] = 727,
  [860] = 860,
  [861] = 683,
  [862] = 25,
  [863] = 24,
  [864] = 27,
  [865] = 860,
  [866] = 866,
  [867] = 867,
  [868] = 676,
  [869] = 37,
  [870] = 693,
  [871] = 669,
  [872] = 700,
  [873] = 716,
  [874] = 866,
  [875] = 673,
  [876] = 876,
  [877] = 671,
  [878] = 656,
  [879] = 717,
  [880] = 662,
  [881] = 739,
  [882] = 882,
  [883] = 670,
  [884] = 741,
  [885] = 743,
  [886] = 667,
  [887] = 736,
  [888] = 734,
  [889] = 733,
  [890] = 731,
  [891] = 680,
  [892] = 711,
  [893] = 882,
  [894] = 677,
  [895] = 658,
  [896] = 681,
  [897] = 684,
  [898] = 898,
  [899] = 867,
  [900] = 660,
  [901] = 661,
  [902] = 663,
  [903] = 664,
  [904] = 904,
  [905] = 666,
  [906] = 906,
  [907] = 907,
  [908] = 689,
  [909] = 860,
  [910] = 910,
  [911] = 672,
  [912] = 682,
  [913] = 674,
  [914] = 686,
  [915] = 687,
  [916] = 691,
  [917] = 917,
  [918] = 654,
  [919] = 695,
  [920] = 694,
  [921] = 697,
  [922] = 699,
  [923] = 688,
  [924] = 704,
  [925] = 710,
  [926] = 692,
  [927] = 713,
  [928] = 708,
  [929] = 718,
  [930] = 698,
  [931] = 719,
  [932] = 867,
  [933] = 729,
  [934] = 730,
  [935] = 702,
  [936] = 732,
  [937] = 703,
  [938] = 738,
  [939] = 655,
  [940] = 706,
  [941] = 707,
  [942] = 35,
  [943] = 709,
  [944] = 866,
  [945] = 746,
  [946] = 748,
  [947] = 726,
  [948] = 714,
  [949] = 715,
  [950] = 712,
  [951] = 705,
  [952] = 882,
  [953] = 898,
  [954] = 954,
  [955] = 721,
  [956] = 668,
  [957] = 723,
  [958] = 724,
  [959] = 725,
  [960] = 675,
  [961] = 701,
  [962] = 728,
  [963] = 665,
  [964] = 690,
  [965] = 747,
  [966] = 898,
  [967] = 745,
  [968] = 744,
  [969] = 36,
  [970] = 742,
  [971] = 34,
  [972] = 737,
  [973] = 740,
  [974] = 974,
  [975] = 46,
  [976] = 24,
  [977] = 25,
  [978] = 978,
  [979] = 979,
  [980] = 978,
  [981] = 981,
  [982] = 25,
  [983] = 27,
  [984] = 984,
  [985] = 27,
  [986] = 986,
  [987] = 984,
  [988] = 978,
  [989] = 42,
  [990] = 990,
  [991] = 24,
  [992] = 984,
  [993] = 993,
  [994] = 27,
  [995] = 24,
  [996] = 996,
  [997] = 27,
  [998] = 24,
  [999] = 999,
  [1000] = 25,
  [1001] = 27,
  [1002] = 1002,
  [1003] = 24,
  [1004] = 46,
  [1005] = 49,
  [1006] = 652,
  [1007] = 996,
  [1008] = 1008,
  [1009] = 996,
  [1010] = 25,
  [1011] = 25,
  [1012] = 51,
  [1013] = 52,
  [1014] = 986,
  [1015] = 49,
  [1016] = 125,
  [1017] = 50,
  [1018] = 50,
  [1019] = 46,
  [1020] = 1020,
  [1021] = 974,
  [1022] = 1022,
  [1023] = 51,
  [1024] = 76,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 227,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1026,
  [1032] = 1032,
  [1033] = 125,
  [1034] = 49,
  [1035] = 1022,
  [1036] = 1020,
  [1037] = 1020,
  [1038] = 1038,
  [1039] = 229,
  [1040] = 1022,
  [1041] = 1032,
  [1042] = 1032,
  [1043] = 981,
  [1044] = 1032,
  [1045] = 1026,
  [1046] = 1022,
  [1047] = 1047,
  [1048] = 211,
  [1049] = 1047,
  [1050] = 1047,
  [1051] = 69,
  [1052] = 1052,
  [1053] = 52,
  [1054] = 61,
  [1055] = 50,
  [1056] = 1056,
  [1057] = 133,
  [1058] = 71,
  [1059] = 55,
  [1060] = 1060,
  [1061] = 37,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1060,
  [1065] = 53,
  [1066] = 61,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 69,
  [1070] = 56,
  [1071] = 53,
  [1072] = 587,
  [1073] = 1073,
  [1074] = 52,
  [1075] = 68,
  [1076] = 60,
  [1077] = 1060,
  [1078] = 51,
  [1079] = 68,
  [1080] = 57,
  [1081] = 1062,
  [1082] = 58,
  [1083] = 73,
  [1084] = 64,
  [1085] = 72,
  [1086] = 60,
  [1087] = 1073,
  [1088] = 1063,
  [1089] = 1089,
  [1090] = 36,
  [1091] = 76,
  [1092] = 66,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1093,
  [1096] = 133,
  [1097] = 34,
  [1098] = 57,
  [1099] = 55,
  [1100] = 1100,
  [1101] = 58,
  [1102] = 59,
  [1103] = 35,
  [1104] = 70,
  [1105] = 1105,
  [1106] = 1063,
  [1107] = 1073,
  [1108] = 1067,
  [1109] = 1093,
  [1110] = 1094,
  [1111] = 1067,
  [1112] = 70,
  [1113] = 64,
  [1114] = 56,
  [1115] = 1115,
  [1116] = 1068,
  [1117] = 1094,
  [1118] = 66,
  [1119] = 59,
  [1120] = 49,
  [1121] = 72,
  [1122] = 73,
  [1123] = 1068,
  [1124] = 68,
  [1125] = 37,
  [1126] = 73,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 125,
  [1131] = 1127,
  [1132] = 1132,
  [1133] = 1132,
  [1134] = 648,
  [1135] = 58,
  [1136] = 70,
  [1137] = 64,
  [1138] = 59,
  [1139] = 34,
  [1140] = 66,
  [1141] = 1141,
  [1142] = 35,
  [1143] = 1141,
  [1144] = 35,
  [1145] = 36,
  [1146] = 72,
  [1147] = 61,
  [1148] = 55,
  [1149] = 1127,
  [1150] = 57,
  [1151] = 34,
  [1152] = 36,
  [1153] = 1141,
  [1154] = 69,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 53,
  [1158] = 37,
  [1159] = 56,
  [1160] = 76,
  [1161] = 1161,
  [1162] = 1132,
  [1163] = 1155,
  [1164] = 60,
  [1165] = 1165,
  [1166] = 125,
  [1167] = 1167,
  [1168] = 1167,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 34,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1173,
  [1179] = 1173,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 36,
  [1183] = 1183,
  [1184] = 1180,
  [1185] = 1180,
  [1186] = 1180,
  [1187] = 1180,
  [1188] = 1180,
  [1189] = 37,
  [1190] = 1180,
  [1191] = 1180,
  [1192] = 1180,
  [1193] = 1180,
  [1194] = 1194,
  [1195] = 1180,
  [1196] = 35,
  [1197] = 1180,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1183,
  [1203] = 1180,
  [1204] = 1204,
  [1205] = 1177,
  [1206] = 1167,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 907,
  [1211] = 1198,
  [1212] = 1212,
  [1213] = 1199,
  [1214] = 1183,
  [1215] = 1200,
  [1216] = 1216,
  [1217] = 1201,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1220,
  [1224] = 1208,
  [1225] = 1207,
  [1226] = 1226,
  [1227] = 1183,
  [1228] = 1228,
  [1229] = 1221,
  [1230] = 1230,
  [1231] = 1180,
  [1232] = 1232,
  [1233] = 1177,
  [1234] = 1201,
  [1235] = 1167,
  [1236] = 1236,
  [1237] = 1216,
  [1238] = 1176,
  [1239] = 1175,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1170,
  [1244] = 1169,
  [1245] = 1198,
  [1246] = 1212,
  [1247] = 1199,
  [1248] = 1200,
  [1249] = 1216,
  [1250] = 1201,
  [1251] = 1221,
  [1252] = 1220,
  [1253] = 1253,
  [1254] = 986,
  [1255] = 677,
  [1256] = 133,
  [1257] = 1207,
  [1258] = 1194,
  [1259] = 1183,
  [1260] = 1181,
  [1261] = 648,
  [1262] = 1180,
  [1263] = 1263,
  [1264] = 1208,
  [1265] = 1265,
  [1266] = 1177,
  [1267] = 1176,
  [1268] = 1175,
  [1269] = 1170,
  [1270] = 1200,
  [1271] = 1169,
  [1272] = 1199,
  [1273] = 648,
  [1274] = 1212,
  [1275] = 1275,
  [1276] = 1198,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 650,
  [1280] = 36,
  [1281] = 1281,
  [1282] = 37,
  [1283] = 648,
  [1284] = 35,
  [1285] = 34,
  [1286] = 36,
  [1287] = 34,
  [1288] = 35,
  [1289] = 648,
  [1290] = 37,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1292,
  [1295] = 46,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1291,
  [1300] = 677,
  [1301] = 36,
  [1302] = 677,
  [1303] = 1291,
  [1304] = 1304,
  [1305] = 46,
  [1306] = 1306,
  [1307] = 46,
  [1308] = 677,
  [1309] = 46,
  [1310] = 720,
  [1311] = 1292,
  [1312] = 1293,
  [1313] = 46,
  [1314] = 648,
  [1315] = 1292,
  [1316] = 906,
  [1317] = 677,
  [1318] = 1297,
  [1319] = 907,
  [1320] = 46,
  [1321] = 679,
  [1322] = 1293,
  [1323] = 1297,
  [1324] = 1291,
  [1325] = 52,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 974,
  [1329] = 917,
  [1330] = 648,
  [1331] = 49,
  [1332] = 50,
  [1333] = 1333,
  [1334] = 49,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 46,
  [1338] = 49,
  [1339] = 49,
  [1340] = 51,
  [1341] = 677,
  [1342] = 1342,
  [1343] = 1336,
  [1344] = 981,
  [1345] = 49,
  [1346] = 1336,
  [1347] = 1347,
  [1348] = 49,
  [1349] = 986,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1351,
  [1353] = 1353,
  [1354] = 1351,
  [1355] = 36,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 46,
  [1359] = 1357,
  [1360] = 50,
  [1361] = 1351,
  [1362] = 66,
  [1363] = 64,
  [1364] = 1357,
  [1365] = 1351,
  [1366] = 58,
  [1367] = 55,
  [1368] = 1357,
  [1369] = 1351,
  [1370] = 76,
  [1371] = 46,
  [1372] = 1357,
  [1373] = 1373,
  [1374] = 1351,
  [1375] = 1357,
  [1376] = 53,
  [1377] = 1351,
  [1378] = 61,
  [1379] = 1357,
  [1380] = 68,
  [1381] = 1381,
  [1382] = 1351,
  [1383] = 1357,
  [1384] = 51,
  [1385] = 1351,
  [1386] = 1357,
  [1387] = 1351,
  [1388] = 73,
  [1389] = 1357,
  [1390] = 1351,
  [1391] = 72,
  [1392] = 1357,
  [1393] = 211,
  [1394] = 1030,
  [1395] = 49,
  [1396] = 1357,
  [1397] = 70,
  [1398] = 1351,
  [1399] = 1357,
  [1400] = 1351,
  [1401] = 1357,
  [1402] = 1351,
  [1403] = 51,
  [1404] = 57,
  [1405] = 76,
  [1406] = 51,
  [1407] = 1357,
  [1408] = 51,
  [1409] = 1357,
  [1410] = 648,
  [1411] = 52,
  [1412] = 1357,
  [1413] = 59,
  [1414] = 1381,
  [1415] = 1351,
  [1416] = 677,
  [1417] = 1357,
  [1418] = 648,
  [1419] = 1356,
  [1420] = 1420,
  [1421] = 1357,
  [1422] = 1357,
  [1423] = 1351,
  [1424] = 1351,
  [1425] = 1357,
  [1426] = 69,
  [1427] = 1373,
  [1428] = 1428,
  [1429] = 1356,
  [1430] = 227,
  [1431] = 1351,
  [1432] = 1357,
  [1433] = 1351,
  [1434] = 907,
  [1435] = 1357,
  [1436] = 52,
  [1437] = 1357,
  [1438] = 1357,
  [1439] = 1351,
  [1440] = 76,
  [1441] = 1441,
  [1442] = 229,
  [1443] = 1351,
  [1444] = 1381,
  [1445] = 1357,
  [1446] = 1441,
  [1447] = 1351,
  [1448] = 1351,
  [1449] = 1373,
  [1450] = 211,
  [1451] = 52,
  [1452] = 1452,
  [1453] = 1357,
  [1454] = 1357,
  [1455] = 1441,
  [1456] = 1351,
  [1457] = 69,
  [1458] = 1357,
  [1459] = 1351,
  [1460] = 50,
  [1461] = 56,
  [1462] = 1357,
  [1463] = 1351,
  [1464] = 1351,
  [1465] = 1357,
  [1466] = 1357,
  [1467] = 229,
  [1468] = 1351,
  [1469] = 60,
  [1470] = 69,
  [1471] = 227,
  [1472] = 1357,
  [1473] = 50,
  [1474] = 52,
  [1475] = 69,
  [1476] = 60,
  [1477] = 60,
  [1478] = 73,
  [1479] = 66,
  [1480] = 53,
  [1481] = 64,
  [1482] = 70,
  [1483] = 53,
  [1484] = 677,
  [1485] = 61,
  [1486] = 52,
  [1487] = 68,
  [1488] = 1488,
  [1489] = 57,
  [1490] = 76,
  [1491] = 1491,
  [1492] = 50,
  [1493] = 49,
  [1494] = 677,
  [1495] = 56,
  [1496] = 648,
  [1497] = 68,
  [1498] = 59,
  [1499] = 51,
  [1500] = 61,
  [1501] = 51,
  [1502] = 73,
  [1503] = 1491,
  [1504] = 66,
  [1505] = 64,
  [1506] = 49,
  [1507] = 1507,
  [1508] = 72,
  [1509] = 58,
  [1510] = 1488,
  [1511] = 50,
  [1512] = 56,
  [1513] = 55,
  [1514] = 52,
  [1515] = 59,
  [1516] = 72,
  [1517] = 1517,
  [1518] = 70,
  [1519] = 58,
  [1520] = 50,
  [1521] = 55,
  [1522] = 57,
  [1523] = 1488,
  [1524] = 1491,
  [1525] = 51,
  [1526] = 72,
  [1527] = 61,
  [1528] = 76,
  [1529] = 227,
  [1530] = 64,
  [1531] = 229,
  [1532] = 69,
  [1533] = 68,
  [1534] = 57,
  [1535] = 61,
  [1536] = 53,
  [1537] = 66,
  [1538] = 70,
  [1539] = 64,
  [1540] = 58,
  [1541] = 55,
  [1542] = 70,
  [1543] = 55,
  [1544] = 53,
  [1545] = 58,
  [1546] = 72,
  [1547] = 61,
  [1548] = 64,
  [1549] = 66,
  [1550] = 73,
  [1551] = 59,
  [1552] = 68,
  [1553] = 56,
  [1554] = 677,
  [1555] = 60,
  [1556] = 73,
  [1557] = 72,
  [1558] = 70,
  [1559] = 57,
  [1560] = 76,
  [1561] = 60,
  [1562] = 68,
  [1563] = 1563,
  [1564] = 56,
  [1565] = 59,
  [1566] = 73,
  [1567] = 53,
  [1568] = 58,
  [1569] = 55,
  [1570] = 59,
  [1571] = 69,
  [1572] = 66,
  [1573] = 211,
  [1574] = 227,
  [1575] = 229,
  [1576] = 60,
  [1577] = 56,
  [1578] = 57,
  [1579] = 1171,
  [1580] = 1580,
  [1581] = 1219,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 76,
  [1587] = 1222,
  [1588] = 1580,
  [1589] = 76,
  [1590] = 1585,
  [1591] = 1228,
  [1592] = 1226,
  [1593] = 1593,
  [1594] = 70,
  [1595] = 1584,
  [1596] = 76,
  [1597] = 68,
  [1598] = 1598,
  [1599] = 73,
  [1600] = 1600,
  [1601] = 70,
  [1602] = 59,
  [1603] = 70,
  [1604] = 57,
  [1605] = 1580,
  [1606] = 1585,
  [1607] = 1584,
  [1608] = 1598,
  [1609] = 1609,
  [1610] = 1582,
  [1611] = 979,
  [1612] = 993,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 46,
  [1616] = 1614,
  [1617] = 1614,
  [1618] = 49,
  [1619] = 1619,
  [1620] = 1620,
  [1621] = 1619,
  [1622] = 1622,
  [1623] = 69,
  [1624] = 76,
  [1625] = 1265,
  [1626] = 1626,
  [1627] = 1626,
  [1628] = 1626,
  [1629] = 1278,
  [1630] = 986,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 979,
  [1634] = 993,
  [1635] = 1335,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1342,
  [1639] = 1333,
  [1640] = 993,
  [1641] = 979,
  [1642] = 1517,
  [1643] = 648,
  [1644] = 1563,
  [1645] = 1645,
  [1646] = 907,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 986,
  [1652] = 1583,
  [1653] = 1653,
  [1654] = 1278,
  [1655] = 1600,
  [1656] = 1656,
  [1657] = 1657,
  [1658] = 986,
  [1659] = 677,
  [1660] = 1660,
  [1661] = 650,
  [1662] = 1662,
  [1663] = 648,
  [1664] = 1265,
  [1665] = 1632,
  [1666] = 677,
  [1667] = 1667,
  [1668] = 1631,
  [1669] = 1667,
  [1670] = 679,
  [1671] = 1671,
  [1672] = 1667,
  [1673] = 720,
  [1674] = 1674,
  [1675] = 986,
  [1676] = 52,
  [1677] = 50,
  [1678] = 981,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 51,
  [1682] = 986,
  [1683] = 1683,
  [1684] = 1335,
  [1685] = 1674,
  [1686] = 50,
  [1687] = 1687,
  [1688] = 52,
  [1689] = 1683,
  [1690] = 1690,
  [1691] = 1691,
  [1692] = 974,
  [1693] = 1333,
  [1694] = 1694,
  [1695] = 1694,
  [1696] = 1679,
  [1697] = 1694,
  [1698] = 1679,
  [1699] = 1699,
  [1700] = 1700,
  [1701] = 1694,
  [1702] = 1679,
  [1703] = 1632,
  [1704] = 986,
  [1705] = 1699,
  [1706] = 1700,
  [1707] = 1694,
  [1708] = 51,
  [1709] = 974,
  [1710] = 1679,
  [1711] = 1699,
  [1712] = 1700,
  [1713] = 1694,
  [1714] = 1679,
  [1715] = 1699,
  [1716] = 1700,
  [1717] = 1694,
  [1718] = 1679,
  [1719] = 1699,
  [1720] = 1700,
  [1721] = 1694,
  [1722] = 1679,
  [1723] = 1699,
  [1724] = 1700,
  [1725] = 1694,
  [1726] = 1679,
  [1727] = 1699,
  [1728] = 1700,
  [1729] = 1694,
  [1730] = 1679,
  [1731] = 1699,
  [1732] = 1700,
  [1733] = 1694,
  [1734] = 1679,
  [1735] = 1699,
  [1736] = 1265,
  [1737] = 1700,
  [1738] = 1694,
  [1739] = 1679,
  [1740] = 1699,
  [1741] = 1700,
  [1742] = 1694,
  [1743] = 1679,
  [1744] = 1699,
  [1745] = 1700,
  [1746] = 1694,
  [1747] = 1679,
  [1748] = 1699,
  [1749] = 1700,
  [1750] = 1694,
  [1751] = 1679,
  [1752] = 1699,
  [1753] = 1700,
  [1754] = 1694,
  [1755] = 1679,
  [1756] = 1699,
  [1757] = 1278,
  [1758] = 1700,
  [1759] = 1694,
  [1760] = 1679,
  [1761] = 1699,
  [1762] = 1631,
  [1763] = 1700,
  [1764] = 1694,
  [1765] = 1691,
  [1766] = 1679,
  [1767] = 981,
  [1768] = 1699,
  [1769] = 1700,
  [1770] = 1694,
  [1771] = 1679,
  [1772] = 1699,
  [1773] = 1700,
  [1774] = 1694,
  [1775] = 1679,
  [1776] = 1699,
  [1777] = 1700,
  [1778] = 1694,
  [1779] = 1679,
  [1780] = 1699,
  [1781] = 1690,
  [1782] = 1700,
  [1783] = 1694,
  [1784] = 1679,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1699,
  [1788] = 1700,
  [1789] = 1691,
  [1790] = 1694,
  [1791] = 1679,
  [1792] = 1699,
  [1793] = 974,
  [1794] = 1700,
  [1795] = 1694,
  [1796] = 1700,
  [1797] = 1679,
  [1798] = 1699,
  [1799] = 1799,
  [1800] = 1700,
  [1801] = 1694,
  [1802] = 1679,
  [1803] = 1683,
  [1804] = 1699,
  [1805] = 981,
  [1806] = 1700,
  [1807] = 1694,
  [1808] = 1679,
  [1809] = 1699,
  [1810] = 1700,
  [1811] = 1694,
  [1812] = 1679,
  [1813] = 1699,
  [1814] = 1700,
  [1815] = 1786,
  [1816] = 1694,
  [1817] = 1786,
  [1818] = 1785,
  [1819] = 1679,
  [1820] = 1690,
  [1821] = 1785,
  [1822] = 1699,
  [1823] = 1679,
  [1824] = 1680,
  [1825] = 1674,
  [1826] = 1700,
  [1827] = 1694,
  [1828] = 1687,
  [1829] = 1687,
  [1830] = 1680,
  [1831] = 1679,
  [1832] = 1799,
  [1833] = 1694,
  [1834] = 1699,
  [1835] = 1700,
  [1836] = 1699,
  [1837] = 1342,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1840,
  [1841] = 1841,
  [1842] = 1842,
  [1843] = 1842,
  [1844] = 1838,
  [1845] = 1839,
  [1846] = 1839,
  [1847] = 1841,
  [1848] = 1631,
  [1849] = 1840,
  [1850] = 1838,
  [1851] = 1851,
  [1852] = 1632,
  [1853] = 1853,
  [1854] = 1851,
  [1855] = 1840,
  [1856] = 1851,
  [1857] = 1842,
  [1858] = 1858,
  [1859] = 1841,
  [1860] = 1860,
  [1861] = 1861,
  [1862] = 1862,
  [1863] = 1863,
  [1864] = 1864,
  [1865] = 1452,
  [1866] = 1866,
  [1867] = 1867,
  [1868] = 1860,
  [1869] = 1860,
  [1870] = 1870,
  [1871] = 1871,
  [1872] = 1861,
  [1873] = 1870,
  [1874] = 1874,
  [1875] = 1860,
  [1876] = 1353,
  [1877] = 1861,
  [1878] = 1871,
  [1879] = 1870,
  [1880] = 1860,
  [1881] = 1866,
  [1882] = 1860,
  [1883] = 1883,
  [1884] = 1870,
  [1885] = 1861,
  [1886] = 1874,
  [1887] = 1871,
  [1888] = 1870,
  [1889] = 1883,
  [1890] = 1871,
  [1891] = 1871,
  [1892] = 1861,
  [1893] = 1893,
  [1894] = 1870,
  [1895] = 1861,
  [1896] = 1871,
  [1897] = 1870,
  [1898] = 1898,
  [1899] = 1860,
  [1900] = 1900,
  [1901] = 1860,
  [1902] = 1902,
  [1903] = 1903,
  [1904] = 1870,
  [1905] = 1861,
  [1906] = 1871,
  [1907] = 1870,
  [1908] = 1871,
  [1909] = 1860,
  [1910] = 1910,
  [1911] = 1861,
  [1912] = 1871,
  [1913] = 1870,
  [1914] = 1333,
  [1915] = 1915,
  [1916] = 1861,
  [1917] = 1867,
  [1918] = 648,
  [1919] = 1860,
  [1920] = 1860,
  [1921] = 1861,
  [1922] = 1871,
  [1923] = 1870,
  [1924] = 1870,
  [1925] = 1860,
  [1926] = 1926,
  [1927] = 1861,
  [1928] = 1871,
  [1929] = 1870,
  [1930] = 1871,
  [1931] = 1860,
  [1932] = 1861,
  [1933] = 1910,
  [1934] = 1861,
  [1935] = 1871,
  [1936] = 1870,
  [1937] = 1335,
  [1938] = 1900,
  [1939] = 1860,
  [1940] = 1860,
  [1941] = 1861,
  [1942] = 1871,
  [1943] = 1870,
  [1944] = 1863,
  [1945] = 51,
  [1946] = 1860,
  [1947] = 1860,
  [1948] = 1870,
  [1949] = 1861,
  [1950] = 1860,
  [1951] = 1871,
  [1952] = 1952,
  [1953] = 1870,
  [1954] = 1871,
  [1955] = 1900,
  [1956] = 1910,
  [1957] = 1860,
  [1958] = 1861,
  [1959] = 1861,
  [1960] = 1871,
  [1961] = 1870,
  [1962] = 1860,
  [1963] = 1860,
  [1964] = 1871,
  [1965] = 1870,
  [1966] = 1861,
  [1967] = 1967,
  [1968] = 1871,
  [1969] = 1870,
  [1970] = 1871,
  [1971] = 1860,
  [1972] = 1861,
  [1973] = 1861,
  [1974] = 1871,
  [1975] = 1870,
  [1976] = 1862,
  [1977] = 1342,
  [1978] = 1860,
  [1979] = 1860,
  [1980] = 1870,
  [1981] = 1870,
  [1982] = 1861,
  [1983] = 1871,
  [1984] = 1871,
  [1985] = 1870,
  [1986] = 1883,
  [1987] = 1874,
  [1988] = 1952,
  [1989] = 1871,
  [1990] = 1870,
  [1991] = 1860,
  [1992] = 1861,
  [1993] = 1861,
  [1994] = 1871,
  [1995] = 1870,
  [1996] = 1861,
  [1997] = 1860,
  [1998] = 1860,
  [1999] = 1867,
  [2000] = 1861,
  [2001] = 1871,
  [2002] = 1870,
  [2003] = 2003,
  [2004] = 1860,
  [2005] = 2005,
  [2006] = 1517,
  [2007] = 1861,
  [2008] = 2008,
  [2009] = 1861,
  [2010] = 1871,
  [2011] = 1870,
  [2012] = 1870,
  [2013] = 1871,
  [2014] = 1860,
  [2015] = 1861,
  [2016] = 1863,
  [2017] = 2017,
  [2018] = 2018,
  [2019] = 2019,
  [2020] = 52,
  [2021] = 50,
  [2022] = 2018,
  [2023] = 2019,
  [2024] = 2019,
  [2025] = 2018,
  [2026] = 2019,
  [2027] = 51,
  [2028] = 2018,
  [2029] = 2018,
  [2030] = 1563,
  [2031] = 2019,
  [2032] = 2018,
  [2033] = 2019,
  [2034] = 2019,
  [2035] = 2019,
  [2036] = 2018,
  [2037] = 2018,
  [2038] = 2019,
  [2039] = 69,
  [2040] = 2019,
  [2041] = 2018,
  [2042] = 2019,
  [2043] = 2018,
  [2044] = 2018,
  [2045] = 2019,
  [2046] = 2018,
  [2047] = 2018,
  [2048] = 2018,
  [2049] = 2019,
  [2050] = 2019,
  [2051] = 677,
  [2052] = 2018,
  [2053] = 2019,
  [2054] = 2018,
  [2055] = 2018,
  [2056] = 50,
  [2057] = 2019,
  [2058] = 2018,
  [2059] = 2019,
  [2060] = 2019,
  [2061] = 2018,
  [2062] = 1353,
  [2063] = 2063,
  [2064] = 2018,
  [2065] = 2065,
  [2066] = 1452,
  [2067] = 2019,
  [2068] = 2018,
  [2069] = 2019,
  [2070] = 2070,
  [2071] = 2019,
  [2072] = 2072,
  [2073] = 2018,
  [2074] = 2019,
  [2075] = 2018,
  [2076] = 2019,
  [2077] = 52,
  [2078] = 2018,
  [2079] = 1353,
  [2080] = 2019,
  [2081] = 1452,
  [2082] = 69,
  [2083] = 2083,
  [2084] = 2019,
  [2085] = 2018,
  [2086] = 2019,
  [2087] = 2018,
  [2088] = 2018,
  [2089] = 2019,
  [2090] = 2019,
  [2091] = 56,
  [2092] = 2019,
  [2093] = 2019,
  [2094] = 56,
  [2095] = 2019,
  [2096] = 2019,
  [2097] = 2018,
  [2098] = 1452,
  [2099] = 2083,
  [2100] = 2019,
  [2101] = 60,
  [2102] = 2018,
  [2103] = 60,
  [2104] = 2104,
  [2105] = 2105,
  [2106] = 2106,
  [2107] = 2107,
  [2108] = 2108,
  [2109] = 69,
  [2110] = 1650,
  [2111] = 2111,
  [2112] = 2112,
  [2113] = 69,
  [2114] = 2114,
  [2115] = 2115,
  [2116] = 2116,
  [2117] = 2117,
  [2118] = 2118,
  [2119] = 2111,
  [2120] = 2120,
  [2121] = 1650,
  [2122] = 1647,
  [2123] = 2108,
  [2124] = 2105,
  [2125] = 2125,
  [2126] = 2104,
  [2127] = 1600,
  [2128] = 2128,
  [2129] = 2129,
  [2130] = 2114,
  [2131] = 2131,
  [2132] = 2105,
  [2133] = 2114,
  [2134] = 2134,
  [2135] = 2106,
  [2136] = 2115,
  [2137] = 2128,
  [2138] = 2115,
  [2139] = 2114,
  [2140] = 2140,
  [2141] = 2141,
  [2142] = 2117,
  [2143] = 2116,
  [2144] = 2104,
  [2145] = 2145,
  [2146] = 1583,
  [2147] = 2117,
  [2148] = 2116,
  [2149] = 2134,
  [2150] = 2150,
  [2151] = 2111,
  [2152] = 2125,
  [2153] = 2112,
  [2154] = 2116,
  [2155] = 2117,
  [2156] = 1647,
  [2157] = 2157,
  [2158] = 2125,
  [2159] = 2112,
  [2160] = 2108,
  [2161] = 2161,
  [2162] = 2118,
  [2163] = 2131,
  [2164] = 69,
  [2165] = 2111,
  [2166] = 1517,
  [2167] = 2115,
  [2168] = 2106,
  [2169] = 2134,
  [2170] = 69,
  [2171] = 2171,
  [2172] = 2172,
  [2173] = 2173,
  [2174] = 2174,
  [2175] = 2175,
  [2176] = 2176,
  [2177] = 2177,
  [2178] = 2178,
  [2179] = 2171,
  [2180] = 2180,
  [2181] = 2181,
  [2182] = 2182,
  [2183] = 2183,
  [2184] = 2184,
  [2185] = 2185,
  [2186] = 2186,
  [2187] = 2187,
  [2188] = 2188,
  [2189] = 2189,
  [2190] = 2190,
  [2191] = 2191,
  [2192] = 2171,
  [2193] = 2193,
  [2194] = 2194,
  [2195] = 2171,
  [2196] = 2182,
  [2197] = 2197,
  [2198] = 2198,
  [2199] = 2199,
  [2200] = 2200,
  [2201] = 2182,
  [2202] = 2202,
  [2203] = 2203,
  [2204] = 2204,
  [2205] = 2171,
  [2206] = 2206,
  [2207] = 2194,
  [2208] = 2182,
  [2209] = 2209,
  [2210] = 2210,
  [2211] = 2211,
  [2212] = 2206,
  [2213] = 2213,
  [2214] = 2181,
  [2215] = 2215,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 2171,
  [2219] = 2182,
  [2220] = 2220,
  [2221] = 2171,
  [2222] = 2222,
  [2223] = 2172,
  [2224] = 2224,
  [2225] = 2182,
  [2226] = 2171,
  [2227] = 59,
  [2228] = 2182,
  [2229] = 2229,
  [2230] = 2202,
  [2231] = 2171,
  [2232] = 2232,
  [2233] = 2175,
  [2234] = 2234,
  [2235] = 2235,
  [2236] = 2236,
  [2237] = 2237,
  [2238] = 2182,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2182,
  [2242] = 2182,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2171,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 2171,
  [2249] = 2229,
  [2250] = 2182,
  [2251] = 2251,
  [2252] = 2172,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 2255,
  [2256] = 2182,
  [2257] = 2171,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 2171,
  [2261] = 2182,
  [2262] = 2262,
  [2263] = 2182,
  [2264] = 2264,
  [2265] = 2182,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 2182,
  [2269] = 2186,
  [2270] = 2182,
  [2271] = 2271,
  [2272] = 2272,
  [2273] = 2190,
  [2274] = 2171,
  [2275] = 2182,
  [2276] = 2276,
  [2277] = 2182,
  [2278] = 2278,
  [2279] = 2183,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2171,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 2171,
  [2287] = 2287,
  [2288] = 2193,
  [2289] = 2289,
  [2290] = 2182,
  [2291] = 2291,
  [2292] = 2198,
  [2293] = 2176,
  [2294] = 2210,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2224,
  [2300] = 2237,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2237,
  [2304] = 2171,
  [2305] = 2204,
  [2306] = 2306,
  [2307] = 2291,
  [2308] = 2184,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2297,
  [2312] = 2312,
  [2313] = 2310,
  [2314] = 2314,
  [2315] = 2182,
  [2316] = 2316,
  [2317] = 2314,
  [2318] = 2310,
  [2319] = 2171,
  [2320] = 57,
  [2321] = 2264,
  [2322] = 1563,
  [2323] = 2183,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2297,
  [2327] = 2314,
  [2328] = 2182,
  [2329] = 2302,
  [2330] = 2171,
  [2331] = 2188,
  [2332] = 2312,
  [2333] = 2182,
  [2334] = 2182,
  [2335] = 2222,
  [2336] = 2295,
  [2337] = 2337,
  [2338] = 2295,
  [2339] = 2271,
  [2340] = 2271,
  [2341] = 2287,
  [2342] = 2253,
  [2343] = 2171,
  [2344] = 2344,
  [2345] = 2291,
  [2346] = 2346,
  [2347] = 2182,
  [2348] = 2171,
  [2349] = 2267,
  [2350] = 2171,
  [2351] = 2253,
  [2352] = 2182,
  [2353] = 2234,
  [2354] = 2202,
  [2355] = 2232,
  [2356] = 2356,
  [2357] = 2357,
  [2358] = 2182,
  [2359] = 2346,
  [2360] = 2183,
  [2361] = 2361,
  [2362] = 2171,
  [2363] = 2363,
  [2364] = 734,
  [2365] = 2234,
  [2366] = 2206,
  [2367] = 2216,
  [2368] = 2181,
  [2369] = 2176,
  [2370] = 736,
  [2371] = 2371,
  [2372] = 2357,
  [2373] = 2216,
  [2374] = 2215,
  [2375] = 2375,
  [2376] = 2376,
  [2377] = 2254,
  [2378] = 2203,
  [2379] = 2262,
  [2380] = 2222,
  [2381] = 2197,
  [2382] = 2215,
  [2383] = 2258,
  [2384] = 2184,
  [2385] = 2309,
  [2386] = 2213,
  [2387] = 2376,
  [2388] = 2180,
  [2389] = 2182,
  [2390] = 2199,
  [2391] = 2203,
  [2392] = 2392,
  [2393] = 2197,
  [2394] = 2232,
  [2395] = 2302,
  [2396] = 2278,
  [2397] = 2235,
  [2398] = 2398,
  [2399] = 2194,
  [2400] = 2171,
  [2401] = 2287,
  [2402] = 2402,
  [2403] = 2182,
  [2404] = 2404,
  [2405] = 2224,
  [2406] = 2217,
  [2407] = 2180,
  [2408] = 2278,
  [2409] = 2284,
  [2410] = 2236,
  [2411] = 2337,
  [2412] = 741,
  [2413] = 2244,
  [2414] = 2240,
  [2415] = 2415,
  [2416] = 739,
  [2417] = 2417,
  [2418] = 2418,
  [2419] = 2375,
  [2420] = 2420,
  [2421] = 2239,
  [2422] = 2398,
  [2423] = 2280,
  [2424] = 2254,
  [2425] = 2402,
  [2426] = 2392,
  [2427] = 2357,
  [2428] = 2272,
  [2429] = 2284,
  [2430] = 2298,
  [2431] = 2431,
  [2432] = 2415,
  [2433] = 2420,
  [2434] = 2434,
  [2435] = 2280,
  [2436] = 2235,
  [2437] = 2437,
  [2438] = 2312,
  [2439] = 2439,
  [2440] = 717,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2276,
  [2444] = 2266,
  [2445] = 2337,
  [2446] = 2404,
  [2447] = 2420,
  [2448] = 658,
  [2449] = 2276,
  [2450] = 2298,
  [2451] = 716,
  [2452] = 2441,
  [2453] = 2251,
  [2454] = 2177,
  [2455] = 2220,
  [2456] = 2174,
  [2457] = 2266,
  [2458] = 2185,
  [2459] = 2174,
  [2460] = 2177,
  [2461] = 2259,
  [2462] = 2189,
  [2463] = 2463,
  [2464] = 2185,
  [2465] = 700,
  [2466] = 2259,
  [2467] = 2189,
  [2468] = 2191,
  [2469] = 2375,
  [2470] = 2376,
  [2471] = 2191,
  [2472] = 2346,
  [2473] = 2309,
  [2474] = 2204,
  [2475] = 2243,
  [2476] = 2211,
  [2477] = 2211,
  [2478] = 2213,
  [2479] = 2182,
  [2480] = 2217,
  [2481] = 2220,
  [2482] = 2186,
  [2483] = 2182,
  [2484] = 2484,
  [2485] = 2171,
  [2486] = 2190,
  [2487] = 2199,
  [2488] = 2357,
  [2489] = 2182,
  [2490] = 2490,
  [2491] = 2229,
  [2492] = 2234,
  [2493] = 2175,
  [2494] = 2236,
  [2495] = 2247,
  [2496] = 2239,
  [2497] = 2216,
  [2498] = 2243,
  [2499] = 2402,
  [2500] = 2247,
  [2501] = 2251,
  [2502] = 2284,
  [2503] = 2392,
  [2504] = 2420,
  [2505] = 2258,
  [2506] = 2266,
  [2507] = 2262,
  [2508] = 2171,
  [2509] = 2186,
  [2510] = 2211,
  [2511] = 2190,
  [2512] = 2182,
  [2513] = 2513,
  [2514] = 2171,
  [2515] = 2193,
  [2516] = 2267,
  [2517] = 2441,
  [2518] = 2171,
  [2519] = 2415,
  [2520] = 2198,
  [2521] = 2272,
  [2522] = 2490,
  [2523] = 2357,
  [2524] = 2324,
  [2525] = 2398,
  [2526] = 2526,
  [2527] = 2240,
  [2528] = 2244,
  [2529] = 2188,
  [2530] = 2404,
  [2531] = 2210,
  [2532] = 2171,
  [2533] = 2533,
  [2534] = 2534,
  [2535] = 2534,
  [2536] = 2536,
  [2537] = 2534,
  [2538] = 2538,
  [2539] = 2539,
  [2540] = 2536,
  [2541] = 2534,
  [2542] = 2542,
  [2543] = 2533,
  [2544] = 2536,
  [2545] = 2534,
  [2546] = 2546,
  [2547] = 2538,
  [2548] = 2536,
  [2549] = 2534,
  [2550] = 2550,
  [2551] = 2551,
  [2552] = 2534,
  [2553] = 2533,
  [2554] = 2536,
  [2555] = 2536,
  [2556] = 2533,
  [2557] = 2536,
  [2558] = 2538,
  [2559] = 2533,
  [2560] = 2560,
  [2561] = 2534,
  [2562] = 2536,
  [2563] = 2538,
  [2564] = 2533,
  [2565] = 2534,
  [2566] = 2536,
  [2567] = 2538,
  [2568] = 2533,
  [2569] = 2534,
  [2570] = 2536,
  [2571] = 2538,
  [2572] = 2533,
  [2573] = 1600,
  [2574] = 2534,
  [2575] = 2536,
  [2576] = 2539,
  [2577] = 2538,
  [2578] = 2542,
  [2579] = 2533,
  [2580] = 2534,
  [2581] = 2546,
  [2582] = 2536,
  [2583] = 2538,
  [2584] = 2538,
  [2585] = 2550,
  [2586] = 2551,
  [2587] = 743,
  [2588] = 2534,
  [2589] = 2536,
  [2590] = 2538,
  [2591] = 2533,
  [2592] = 2551,
  [2593] = 2534,
  [2594] = 2536,
  [2595] = 2560,
  [2596] = 2538,
  [2597] = 2533,
  [2598] = 2534,
  [2599] = 2536,
  [2600] = 2542,
  [2601] = 2538,
  [2602] = 2533,
  [2603] = 2534,
  [2604] = 2536,
  [2605] = 2538,
  [2606] = 2533,
  [2607] = 733,
  [2608] = 731,
  [2609] = 2534,
  [2610] = 2536,
  [2611] = 2538,
  [2612] = 2550,
  [2613] = 2533,
  [2614] = 2534,
  [2615] = 2536,
  [2616] = 2533,
  [2617] = 2533,
  [2618] = 1583,
  [2619] = 2534,
  [2620] = 2536,
  [2621] = 2538,
  [2622] = 2533,
  [2623] = 2534,
  [2624] = 2536,
  [2625] = 2538,
  [2626] = 2534,
  [2627] = 2536,
  [2628] = 2538,
  [2629] = 2533,
  [2630] = 681,
  [2631] = 2534,
  [2632] = 2536,
  [2633] = 2538,
  [2634] = 2634,
  [2635] = 2533,
  [2636] = 2534,
  [2637] = 2536,
  [2638] = 2538,
  [2639] = 2533,
  [2640] = 2534,
  [2641] = 2536,
  [2642] = 2538,
  [2643] = 2533,
  [2644] = 2534,
  [2645] = 2536,
  [2646] = 2538,
  [2647] = 2533,
  [2648] = 2534,
  [2649] = 2536,
  [2650] = 2546,
  [2651] = 2538,
  [2652] = 2533,
  [2653] = 2534,
  [2654] = 2536,
  [2655] = 2538,
  [2656] = 2533,
  [2657] = 2534,
  [2658] = 2536,
  [2659] = 2538,
  [2660] = 2533,
  [2661] = 2534,
  [2662] = 2536,
  [2663] = 1171,
  [2664] = 2538,
  [2665] = 2665,
  [2666] = 2534,
  [2667] = 2536,
  [2668] = 2668,
  [2669] = 2538,
  [2670] = 2533,
  [2671] = 2671,
  [2672] = 2542,
  [2673] = 1219,
  [2674] = 2674,
  [2675] = 2675,
  [2676] = 2676,
  [2677] = 2677,
  [2678] = 2665,
  [2679] = 2679,
  [2680] = 2534,
  [2681] = 2536,
  [2682] = 2682,
  [2683] = 2683,
  [2684] = 2684,
  [2685] = 2538,
  [2686] = 2533,
  [2687] = 2687,
  [2688] = 2688,
  [2689] = 2689,
  [2690] = 2689,
  [2691] = 1222,
  [2692] = 2692,
  [2693] = 2688,
  [2694] = 2687,
  [2695] = 2533,
  [2696] = 2696,
  [2697] = 2538,
  [2698] = 2675,
  [2699] = 2676,
  [2700] = 2539,
  [2701] = 2677,
  [2702] = 2675,
  [2703] = 2679,
  [2704] = 2704,
  [2705] = 2534,
  [2706] = 2536,
  [2707] = 2682,
  [2708] = 2708,
  [2709] = 2709,
  [2710] = 2710,
  [2711] = 2683,
  [2712] = 2684,
  [2713] = 2538,
  [2714] = 2533,
  [2715] = 2687,
  [2716] = 2688,
  [2717] = 2684,
  [2718] = 2689,
  [2719] = 2560,
  [2720] = 2671,
  [2721] = 2721,
  [2722] = 2692,
  [2723] = 2683,
  [2724] = 1226,
  [2725] = 1228,
  [2726] = 2726,
  [2727] = 2682,
  [2728] = 2536,
  [2729] = 2534,
  [2730] = 2671,
  [2731] = 2731,
  [2732] = 2692,
  [2733] = 2733,
  [2734] = 2679,
  [2735] = 2634,
  [2736] = 2674,
  [2737] = 2737,
  [2738] = 2634,
  [2739] = 2674,
  [2740] = 2665,
  [2741] = 2677,
  [2742] = 2676,
  [2743] = 2743,
};

static TSCharacterRange sym__string_base_other_character_set_1[] = {
  {0, 0x08}, {0x0e, 0x1f}, {'!', '!'}, {'#', '#'}, {'%', '&'}, {'*', '*'}, {';', '<'}, {'>', '?'},
  {'^', '^'}, {'`', '`'}, {'|', '|'}, {'~', 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(419);
      ADVANCE_MAP(
        0, 1049,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 1024,
        '(', 570,
        ')', 1031,
        '+', 1029,
        ',', 551,
        '-', 503,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 612,
        '@', 552,
        'A', 299,
        'B', 331,
        'C', 189,
        'D', 281,
        'E', 266,
        'F', 240,
        'G', 241,
        'H', 284,
        'I', 232,
        'L', 190,
        'P', 309,
        'R', 332,
        'S', 191,
        'T', 300,
        'U', 313,
        'V', 225,
        'W', 196,
        '[', 569,
        '\\', 154,
        ']', 548,
        'd', 409,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(414);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '@' || ']' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || '{' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        0, 1049,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 1024,
        '(', 570,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 501,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(41);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        0, 1049,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 1024,
        '(', 545,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 501,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        'A', 1013,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(42);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        0, 1049,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 1024,
        '(', 545,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 501,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(43);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        0, 1049,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 1024,
        '(', 545,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 510,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(44);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        0, 1049,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 564,
        '(', 545,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 501,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        'A', 1013,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(17);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        0, 1049,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 564,
        '(', 545,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 501,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        'A', 1014,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(16);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        0, 1049,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 564,
        '(', 545,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 501,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(15);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        0, 1049,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 564,
        '(', 545,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 514,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(13);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        0, 1049,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 564,
        '(', 545,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 502,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(14);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        0, 1049,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 1009,
        '$', 1032,
        '\'', 1024,
        '(', 545,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 501,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
        '\t', 1030,
        ' ', 1030,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        0, 1049,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 1009,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 501,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 428,
        '@', 552,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(48);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        0, 1049,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 1009,
        '$', 557,
        '\'', 564,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(43);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        0, 1048,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '#', 153,
        '\'', 564,
        '+', 558,
        '-', 184,
        '\\', 154,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(13);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        0, 1048,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '#', 153,
        '\'', 564,
        '+', 558,
        '-', 530,
        '\\', 154,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(14);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        0, 1048,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '#', 153,
        '\'', 564,
        '+', 558,
        '\\', 154,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(15);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        0, 1048,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '#', 153,
        '\'', 564,
        'A', 312,
        '\\', 154,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(16);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        0, 1048,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '#', 153,
        '\'', 564,
        'A', 318,
        '\\', 154,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(17);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        0, 1048,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '#', 153,
        '-', 501,
        '.', 500,
        ':', 487,
        '\\', 155,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(29);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      END_STATE();
    case 19:
      if ((!eof && lookahead == 00)) ADVANCE(1048);
      if (lookahead == '\n') ADVANCE(1041);
      if (lookahead == '\f') ADVANCE(1045);
      if (lookahead == '\r') ADVANCE(152);
      if (lookahead == '#') ADVANCE(153);
      if (lookahead == '-') ADVANCE(184);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(19);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        0, 1048,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '#', 153,
        '-', 187,
        '=', 612,
        '\\', 155,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(21);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(555);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 21:
      if ((!eof && lookahead == 00)) ADVANCE(1048);
      if (lookahead == '\n') ADVANCE(1041);
      if (lookahead == '\f') ADVANCE(1045);
      if (lookahead == '\r') ADVANCE(152);
      if (lookahead == '#') ADVANCE(153);
      if (lookahead == '-') ADVANCE(187);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(21);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(555);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        0, 1048,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '#', 153,
        '-', 186,
        'A', 312,
        '\\', 155,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(22);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(188);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        0, 1048,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '#', 153,
        '-', 514,
        '.', 500,
        ':', 487,
        '=', 469,
        '@', 552,
        '\\', 155,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(19);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        0, 1048,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '#', 153,
        '-', 530,
        '/', 422,
        ':', 487,
        '@', 552,
        '\\', 155,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(26);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        0, 1048,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '#', 153,
        '-', 530,
        '=', 428,
        '\\', 155,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(25);
      END_STATE();
    case 26:
      if ((!eof && lookahead == 00)) ADVANCE(1048);
      if (lookahead == '\n') ADVANCE(1041);
      if (lookahead == '\f') ADVANCE(1045);
      if (lookahead == '\r') ADVANCE(152);
      if (lookahead == '#') ADVANCE(153);
      if (lookahead == '-') ADVANCE(530);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(26);
      END_STATE();
    case 27:
      ADVANCE_MAP(
        0, 1048,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '#', 153,
        '-', 502,
        '.', 500,
        '=', 428,
        '@', 552,
        '\\', 155,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(25);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      END_STATE();
    case 28:
      if ((!eof && lookahead == 00)) ADVANCE(1048);
      if (lookahead == '\n') ADVANCE(1041);
      if (lookahead == '\f') ADVANCE(1045);
      if (lookahead == '\r') ADVANCE(152);
      if (lookahead == '#') ADVANCE(153);
      if (lookahead == 'A') ADVANCE(318);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(28);
      END_STATE();
    case 29:
      if ((!eof && lookahead == 00)) ADVANCE(1048);
      if (lookahead == '\n') ADVANCE(1041);
      if (lookahead == '\f') ADVANCE(1045);
      if (lookahead == '\r') ADVANCE(152);
      if (lookahead == '#') ADVANCE(153);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(29);
      END_STATE();
    case 30:
      ADVANCE_MAP(
        0, 1050,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 570,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(45);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        0, 1050,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 501,
        '.', 500,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 552,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(48);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 32:
      ADVANCE_MAP(
        0, 1050,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 487,
        '=', 428,
        '@', 552,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(48);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 33:
      ADVANCE_MAP(
        0, 1050,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 487,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(48);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 34:
      ADVANCE_MAP(
        0, 1050,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 552,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(48);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 35:
      ADVANCE_MAP(
        0, 1050,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        'A', 985,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(46);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 36:
      ADVANCE_MAP(
        0, 1050,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 569,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(47);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 37:
      ADVANCE_MAP(
        0, 1050,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(48);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 38:
      ADVANCE_MAP(
        0, 1050,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 538,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(49);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 39:
      ADVANCE_MAP(
        0, 1050,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 538,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 469,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(49);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 40:
      ADVANCE_MAP(
        0, 1050,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 530,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(50);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 41:
      ADVANCE_MAP(
        0, 1050,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 570,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(41);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 42:
      ADVANCE_MAP(
        0, 1050,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        'A', 985,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(42);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 43:
      ADVANCE_MAP(
        0, 1050,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(43);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 44:
      ADVANCE_MAP(
        0, 1050,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 538,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(44);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        0, 1050,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '(', 570,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(45);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(902);
      END_STATE();
    case 46:
      ADVANCE_MAP(
        0, 1050,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        'A', 985,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(46);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(902);
      END_STATE();
    case 47:
      ADVANCE_MAP(
        0, 1050,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 569,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(47);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(902);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        0, 1050,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(48);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(902);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        0, 1050,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 538,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(49);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(902);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        0, 1050,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 530,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(50);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(902);
      END_STATE();
    case 51:
      if (lookahead == '\t') SKIP(149);
      if (lookahead == '\n') ADVANCE(1041);
      if (lookahead == '\f') ADVANCE(1045);
      if (lookahead == '\r') ADVANCE(152);
      if (lookahead == ' ') ADVANCE(554);
      if (lookahead == '#') ADVANCE(153);
      if (lookahead == '-') ADVANCE(501);
      if (lookahead == '.') ADVANCE(500);
      if (lookahead == '=') ADVANCE(469);
      if (lookahead == '\\') ADVANCE(155);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 1024,
        '(', 570,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 501,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(102);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 1024,
        '(', 570,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 506,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(103);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 54:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 1024,
        '(', 570,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 505,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(104);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 55:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 1024,
        '(', 545,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 501,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(111);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 1024,
        '(', 545,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 507,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(112);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 57:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 1024,
        '(', 545,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 509,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(116);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 58:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 1024,
        '(', 545,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 511,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(117);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 59:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 1024,
        '(', 545,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 512,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(118);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 1024,
        '(', 545,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 517,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(119);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 1024,
        '(', 545,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 513,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(120);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 62:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 1024,
        '(', 545,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 518,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(121);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 63:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 564,
        '(', 545,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 504,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 612,
        '@', 552,
        '[', 569,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(108);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 64:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 564,
        '(', 545,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 504,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 569,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(108);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 65:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 564,
        '(', 545,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 508,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 612,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(114);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 66:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 564,
        '(', 545,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 508,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(114);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 67:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 564,
        '(', 545,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 516,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 612,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(138);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 68:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 564,
        '(', 545,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 516,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(138);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 69:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 564,
        '(', 545,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 515,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(139);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 70:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 1023,
        '#', 1009,
        '$', 1032,
        '\'', 564,
        '(', 545,
        ')', 571,
        '+', 1029,
        ',', 551,
        '-', 502,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(137);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 71:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 1009,
        '$', 1032,
        '\'', 1024,
        '(', 570,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 501,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(123);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 72:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 1009,
        '$', 1032,
        '\'', 1024,
        '(', 570,
        ')', 546,
        '+', 1029,
        ',', 551,
        '-', 506,
        '.', 500,
        '/', 422,
        ':', 487,
        '=', 469,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(124);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 73:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 1009,
        '$', 557,
        '\'', 564,
        '(', 519,
        ')', 1031,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(105);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 74:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 1009,
        '$', 557,
        '\'', 564,
        '(', 519,
        ')', 546,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(111);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1010);
      END_STATE();
    case 75:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 570,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(123);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 76:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 570,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 506,
        '.', 500,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(124);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 77:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 570,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 534,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(124);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 78:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 570,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 534,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 469,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(124);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 79:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 570,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 533,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 469,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(125);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 80:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 501,
        '.', 500,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(127);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 81:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 443,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(126);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 82:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 443,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(126);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 83:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(127);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 84:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 469,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(127);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 85:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 469,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(127);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 86:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 535,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(128);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 87:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 535,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 469,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(128);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 88:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 537,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(129);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 89:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 537,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 469,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(129);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 90:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 511,
        '.', 500,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(130);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 91:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 539,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(130);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 92:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 539,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 469,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(130);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 93:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 540,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(131);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 94:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 540,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 469,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(131);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 95:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 542,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(132);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 96:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 542,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 469,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(132);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 97:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 541,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(133);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 98:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 541,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 469,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(133);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 543,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(134);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 100:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 543,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 469,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(134);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 519,
        ')', 571,
        '+', 558,
        ',', 526,
        '-', 530,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(135);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 102:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 570,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(102);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 103:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 570,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 534,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(103);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 104:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 570,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 533,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(104);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 105:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 519,
        ')', 1031,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(105);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 106:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 519,
        ')', 546,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(111);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 107:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 532,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 612,
        '@', 527,
        '[', 569,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(108);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 108:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 532,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 569,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(108);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 109:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 532,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 469,
        '@', 527,
        '[', 569,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(108);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 110:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 569,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(110);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 111:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(111);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 112:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 535,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(112);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 113:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 536,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 612,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(114);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 114:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 536,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(114);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 115:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 536,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 469,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(114);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 116:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 537,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(116);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 117:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 539,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(117);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 118:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 540,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(118);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 119:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 542,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(119);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 120:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 541,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(120);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 121:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 543,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(121);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 122:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 544,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 569,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(122);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 123:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '(', 570,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(123);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(902);
      END_STATE();
    case 124:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '(', 570,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 534,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(124);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(902);
      END_STATE();
    case 125:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '(', 570,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 533,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(125);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(902);
      END_STATE();
    case 126:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 443,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(126);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(902);
      END_STATE();
    case 127:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 529,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(127);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(902);
      END_STATE();
    case 128:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 535,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(128);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(902);
      END_STATE();
    case 129:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 537,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(129);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(902);
      END_STATE();
    case 130:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 539,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(130);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(902);
      END_STATE();
    case 131:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 540,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(131);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(902);
      END_STATE();
    case 132:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 542,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(132);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(902);
      END_STATE();
    case 133:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 541,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(133);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(902);
      END_STATE();
    case 134:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '(', 519,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 543,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(134);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(902);
      END_STATE();
    case 135:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '(', 519,
        ')', 571,
        '+', 558,
        ',', 526,
        '-', 530,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(135);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(902);
      END_STATE();
    case 136:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '#', 1009,
        '(', 545,
        ')', 546,
        '+', 558,
        ',', 551,
        '-', 501,
        '.', 500,
        '/', 422,
        ':', 487,
        '@', 552,
        '[', 547,
        '\\', 154,
        ']', 548,
        '{', 549,
        '}', 550,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(140);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != '=') ADVANCE(1010);
      END_STATE();
    case 137:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '#', 153,
        '\'', 564,
        ')', 571,
        '+', 558,
        '-', 530,
        '\\', 154,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(137);
      END_STATE();
    case 138:
      if (lookahead == '\n') ADVANCE(1041);
      if (lookahead == '\f') ADVANCE(1045);
      if (lookahead == '\r') ADVANCE(152);
      if (lookahead == '#') ADVANCE(153);
      if (lookahead == '\'') ADVANCE(564);
      if (lookahead == '-') ADVANCE(187);
      if (lookahead == '\\') ADVANCE(154);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(138);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 139:
      if (lookahead == '\n') ADVANCE(1041);
      if (lookahead == '\f') ADVANCE(1045);
      if (lookahead == '\r') ADVANCE(152);
      if (lookahead == '#') ADVANCE(153);
      if (lookahead == '\'') ADVANCE(564);
      if (lookahead == '-') ADVANCE(185);
      if (lookahead == '\\') ADVANCE(154);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(139);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 140:
      if (lookahead == '\n') ADVANCE(1041);
      if (lookahead == '\f') ADVANCE(1045);
      if (lookahead == '\r') ADVANCE(152);
      if (lookahead == '#') ADVANCE(153);
      if (lookahead == '+') ADVANCE(558);
      if (lookahead == '\\') ADVANCE(154);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(140);
      END_STATE();
    case 141:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '#', 153,
        '-', 501,
        '.', 500,
        '/', 422,
        ':', 423,
        '=', 469,
        '@', 552,
        '\\', 155,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(146);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      END_STATE();
    case 142:
      if (lookahead == '\n') ADVANCE(1041);
      if (lookahead == '\f') ADVANCE(1045);
      if (lookahead == '\r') ADVANCE(152);
      if (lookahead == '#') ADVANCE(153);
      if (lookahead == '-') ADVANCE(187);
      if (lookahead == '=') ADVANCE(469);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(143);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(188);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 143:
      if (lookahead == '\n') ADVANCE(1041);
      if (lookahead == '\f') ADVANCE(1045);
      if (lookahead == '\r') ADVANCE(152);
      if (lookahead == '#') ADVANCE(153);
      if (lookahead == '-') ADVANCE(187);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(143);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(188);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 144:
      if (lookahead == '\n') ADVANCE(1041);
      if (lookahead == '\f') ADVANCE(1045);
      if (lookahead == '\r') ADVANCE(152);
      if (lookahead == '#') ADVANCE(153);
      if (lookahead == '-') ADVANCE(185);
      if (lookahead == '=') ADVANCE(469);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(145);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 145:
      if (lookahead == '\n') ADVANCE(1041);
      if (lookahead == '\f') ADVANCE(1045);
      if (lookahead == '\r') ADVANCE(152);
      if (lookahead == '#') ADVANCE(153);
      if (lookahead == '-') ADVANCE(185);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(145);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 146:
      if (lookahead == '\n') ADVANCE(1041);
      if (lookahead == '\f') ADVANCE(1045);
      if (lookahead == '\r') ADVANCE(152);
      if (lookahead == '#') ADVANCE(153);
      if (lookahead == ':') ADVANCE(423);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(146);
      END_STATE();
    case 147:
      if (lookahead == '\n') ADVANCE(1041);
      if (lookahead == '\f') ADVANCE(1045);
      if (lookahead == '\r') ADVANCE(152);
      if (lookahead == '#') ADVANCE(153);
      if (lookahead == 'I') ADVANCE(1012);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(148);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      END_STATE();
    case 148:
      if (lookahead == '\n') ADVANCE(1041);
      if (lookahead == '\f') ADVANCE(1045);
      if (lookahead == '\r') ADVANCE(152);
      if (lookahead == '#') ADVANCE(153);
      if (lookahead == 'I') ADVANCE(272);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(148);
      END_STATE();
    case 149:
      if (lookahead == '\n') ADVANCE(1041);
      if (lookahead == '\f') ADVANCE(1045);
      if (lookahead == '\r') ADVANCE(152);
      if (lookahead == '#') ADVANCE(153);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(149);
      END_STATE();
    case 150:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1047,
        '\r', 1025,
        '#', 1026,
        '\'', 1024,
        '\\', 154,
        '\t', 1027,
        ' ', 1027,
      );
      if (lookahead != 0) ADVANCE(1028);
      END_STATE();
    case 151:
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1047,
        '\r', 1025,
        '#', 1026,
        '\'', 564,
        '\\', 154,
        '\t', 1027,
        ' ', 1027,
      );
      if (lookahead != 0) ADVANCE(1028);
      END_STATE();
    case 152:
      if (lookahead == '\n') ADVANCE(1043);
      END_STATE();
    case 153:
      if (lookahead == '\n') ADVANCE(1037);
      if (lookahead == '\f') ADVANCE(1038);
      if (lookahead == '\r') ADVANCE(153);
      if (lookahead != 0) ADVANCE(153);
      END_STATE();
    case 154:
      if (lookahead == '\n') ADVANCE(1036);
      if (lookahead == '#') ADVANCE(1034);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1035);
      if (lookahead != 0) ADVANCE(1033);
      END_STATE();
    case 155:
      if (lookahead == '\n') ADVANCE(1036);
      if (lookahead == '#') ADVANCE(156);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(183);
      END_STATE();
    case 156:
      if (lookahead == '\n') ADVANCE(1040);
      if (lookahead != 0) ADVANCE(156);
      END_STATE();
    case 157:
      ADVANCE_MAP(
        '\n', 1042,
        0x0b, 497,
        '\f', 1046,
        '\r', 496,
        '#', 153,
        'A', 298,
        'B', 331,
        'C', 189,
        'D', 281,
        'E', 266,
        'F', 240,
        'G', 241,
        'H', 284,
        'I', 231,
        'L', 190,
        'P', 309,
        'R', 332,
        'S', 191,
        'T', 300,
        'U', 313,
        'V', 282,
        'W', 196,
        '\\', 155,
        '\t', 495,
        ' ', 495,
      );
      END_STATE();
    case 158:
      ADVANCE_MAP(
        '\n', 1022,
        '\f', 1022,
        '\r', 1019,
        '"', 1023,
        '#', 1018,
        '$', 1032,
        '\\', 154,
        '\t', 1017,
        ' ', 1017,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1020);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1021);
      if (lookahead != 0) ADVANCE(1022);
      END_STATE();
    case 159:
      ADVANCE_MAP(
        '\n', 1022,
        '\f', 1022,
        '\r', 1019,
        '"', 559,
        '#', 1018,
        '$', 1032,
        '\\', 154,
        '\t', 1017,
        ' ', 1017,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1020);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1021);
      if (lookahead != 0) ADVANCE(1022);
      END_STATE();
    case 160:
      ADVANCE_MAP(
        '\n', 568,
        '\f', 568,
        '\r', 567,
        '#', 566,
        '\'', 564,
        '\\', 154,
        '\t', 565,
        ' ', 565,
      );
      if (lookahead != 0) ADVANCE(568);
      END_STATE();
    case 161:
      ADVANCE_MAP(
        '\n', 563,
        '\f', 563,
        '\r', 562,
        '"', 559,
        '#', 561,
        '\\', 154,
        '\t', 560,
        ' ', 560,
      );
      if (lookahead != 0) ADVANCE(563);
      END_STATE();
    case 162:
      if (lookahead == ' ') ADVANCE(198);
      END_STATE();
    case 163:
      if (lookahead == ' ') ADVANCE(378);
      END_STATE();
    case 164:
      if (lookahead == ' ') ADVANCE(406);
      END_STATE();
    case 165:
      if (lookahead == ' ') ADVANCE(351);
      END_STATE();
    case 166:
      if (lookahead == ' ') ADVANCE(345);
      END_STATE();
    case 167:
      if (lookahead == ' ') ADVANCE(365);
      END_STATE();
    case 168:
      if (lookahead == ' ') ADVANCE(352);
      END_STATE();
    case 169:
      if (lookahead == ' ') ADVANCE(476);
      END_STATE();
    case 170:
      if (lookahead == ' ') ADVANCE(410);
      END_STATE();
    case 171:
      if (lookahead == ' ') ADVANCE(404);
      END_STATE();
    case 172:
      if (lookahead == ' ') ADVANCE(342);
      END_STATE();
    case 173:
      if (lookahead == ' ') ADVANCE(369);
      END_STATE();
    case 174:
      if (lookahead == ' ') ADVANCE(408);
      END_STATE();
    case 175:
      if (lookahead == ' ') ADVANCE(341);
      END_STATE();
    case 176:
      if (lookahead == ' ') ADVANCE(203);
      END_STATE();
    case 177:
      if (lookahead == ' ') ADVANCE(388);
      END_STATE();
    case 178:
      if (lookahead == ' ') ADVANCE(265);
      END_STATE();
    case 179:
      if (lookahead == ' ') ADVANCE(216);
      END_STATE();
    case 180:
      if (lookahead == ' ') ADVANCE(348);
      END_STATE();
    case 181:
      if (lookahead == ' ') ADVANCE(349);
      END_STATE();
    case 182:
      if (lookahead == ' ') ADVANCE(350);
      END_STATE();
    case 183:
      if (lookahead == '#') ADVANCE(156);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(183);
      END_STATE();
    case 184:
      if (lookahead == '-') ADVANCE(640);
      END_STATE();
    case 185:
      if (lookahead == '-') ADVANCE(725);
      END_STATE();
    case 186:
      if (lookahead == '-') ADVANCE(413);
      END_STATE();
    case 187:
      if (lookahead == '-') ADVANCE(779);
      END_STATE();
    case 188:
      if (lookahead == '.') ADVANCE(412);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(188);
      END_STATE();
    case 189:
      if (lookahead == 'A') ADVANCE(201);
      if (lookahead == 'M') ADVANCE(210);
      if (lookahead == 'O') ADVANCE(267);
      END_STATE();
    case 190:
      if (lookahead == 'A') ADVANCE(200);
      if (lookahead == 'E') ADVANCE(320);
      if (lookahead == 'O') ADVANCE(208);
      END_STATE();
    case 191:
      if (lookahead == 'A') ADVANCE(334);
      if (lookahead == 'E') ADVANCE(321);
      END_STATE();
    case 192:
      if (lookahead == 'A') ADVANCE(237);
      END_STATE();
    case 193:
      if (lookahead == 'A') ADVANCE(261);
      END_STATE();
    case 194:
      if (lookahead == 'A') ADVANCE(278);
      END_STATE();
    case 195:
      if (lookahead == 'A') ADVANCE(256);
      END_STATE();
    case 196:
      if (lookahead == 'A') ADVANCE(245);
      if (lookahead == 'I') ADVANCE(328);
      if (lookahead == 'O') ADVANCE(302);
      END_STATE();
    case 197:
      if (lookahead == 'A') ADVANCE(262);
      END_STATE();
    case 198:
      if (lookahead == 'A') ADVANCE(311);
      if (lookahead == 'I') ADVANCE(270);
      END_STATE();
    case 199:
      if (lookahead == 'A') ADVANCE(206);
      END_STATE();
    case 200:
      if (lookahead == 'B') ADVANCE(226);
      END_STATE();
    case 201:
      if (lookahead == 'C') ADVANCE(239);
      END_STATE();
    case 202:
      if (lookahead == 'C') ADVANCE(253);
      END_STATE();
    case 203:
      if (lookahead == 'C') ADVANCE(263);
      END_STATE();
    case 204:
      if (lookahead == 'C') ADVANCE(330);
      END_STATE();
    case 205:
      if (lookahead == 'C') ADVANCE(325);
      END_STATE();
    case 206:
      if (lookahead == 'C') ADVANCE(327);
      END_STATE();
    case 207:
      if (lookahead == 'C') ADVANCE(195);
      END_STATE();
    case 208:
      if (lookahead == 'C') ADVANCE(197);
      END_STATE();
    case 209:
      if (lookahead == 'C') ADVANCE(254);
      END_STATE();
    case 210:
      if (lookahead == 'D') ADVANCE(433);
      END_STATE();
    case 211:
      if (lookahead == 'D') ADVANCE(450);
      if (lookahead == 'T') ADVANCE(307);
      if (lookahead == 'V') ADVANCE(441);
      END_STATE();
    case 212:
      if (lookahead == 'D') ADVANCE(429);
      END_STATE();
    case 213:
      if (lookahead == 'D') ADVANCE(456);
      END_STATE();
    case 214:
      if (lookahead == 'D') ADVANCE(249);
      END_STATE();
    case 215:
      if (lookahead == 'D') ADVANCE(286);
      END_STATE();
    case 216:
      if (lookahead == 'D') ADVANCE(294);
      END_STATE();
    case 217:
      if (lookahead == 'E') ADVANCE(499);
      END_STATE();
    case 218:
      if (lookahead == 'E') ADVANCE(431);
      END_STATE();
    case 219:
      if (lookahead == 'E') ADVANCE(444);
      END_STATE();
    case 220:
      if (lookahead == 'E') ADVANCE(488);
      END_STATE();
    case 221:
      if (lookahead == 'E') ADVANCE(458);
      END_STATE();
    case 222:
      if (lookahead == 'E') ADVANCE(479);
      END_STATE();
    case 223:
      if (lookahead == 'E') ADVANCE(453);
      END_STATE();
    case 224:
      if (lookahead == 'E') ADVANCE(162);
      END_STATE();
    case 225:
      if (lookahead == 'E') ADVANCE(306);
      if (lookahead == 'O') ADVANCE(258);
      END_STATE();
    case 226:
      if (lookahead == 'E') ADVANCE(255);
      END_STATE();
    case 227:
      if (lookahead == 'E') ADVANCE(303);
      END_STATE();
    case 228:
      if (lookahead == 'E') ADVANCE(308);
      END_STATE();
    case 229:
      if (lookahead == 'E') ADVANCE(305);
      END_STATE();
    case 230:
      if (lookahead == 'E') ADVANCE(205);
      END_STATE();
    case 231:
      if (lookahead == 'F') ADVANCE(461);
      if (lookahead == 'M') ADVANCE(296);
      END_STATE();
    case 232:
      if (lookahead == 'F') ADVANCE(461);
      if (lookahead == 'M') ADVANCE(296);
      if (lookahead == 'N') ADVANCE(448);
      END_STATE();
    case 233:
      if (lookahead == 'F') ADVANCE(498);
      END_STATE();
    case 234:
      if (lookahead == 'F') ADVANCE(199);
      END_STATE();
    case 235:
      if (lookahead == 'F') ADVANCE(248);
      END_STATE();
    case 236:
      if (lookahead == 'G') ADVANCE(426);
      END_STATE();
    case 237:
      if (lookahead == 'G') ADVANCE(222);
      END_STATE();
    case 238:
      if (lookahead == 'H') ADVANCE(179);
      END_STATE();
    case 239:
      if (lookahead == 'H') ADVANCE(218);
      END_STATE();
    case 240:
      if (lookahead == 'I') ADVANCE(273);
      if (lookahead == 'O') ADVANCE(301);
      if (lookahead == 'R') ADVANCE(285);
      if (lookahead == 'U') ADVANCE(277);
      END_STATE();
    case 241:
      if (lookahead == 'I') ADVANCE(319);
      END_STATE();
    case 242:
      if (lookahead == 'I') ADVANCE(233);
      END_STATE();
    case 243:
      if (lookahead == 'I') ADVANCE(257);
      END_STATE();
    case 244:
      if (lookahead == 'I') ADVANCE(234);
      END_STATE();
    case 245:
      if (lookahead == 'I') ADVANCE(323);
      END_STATE();
    case 246:
      if (lookahead == 'I') ADVANCE(287);
      END_STATE();
    case 247:
      if (lookahead == 'I') ADVANCE(280);
      END_STATE();
    case 248:
      if (lookahead == 'I') ADVANCE(264);
      END_STATE();
    case 249:
      if (lookahead == 'I') ADVANCE(304);
      END_STATE();
    case 250:
      if (lookahead == 'I') ADVANCE(289);
      END_STATE();
    case 251:
      if (lookahead == 'J') ADVANCE(230);
      END_STATE();
    case 252:
      if (lookahead == 'K') ADVANCE(214);
      END_STATE();
    case 253:
      if (lookahead == 'K') ADVANCE(228);
      END_STATE();
    case 254:
      if (lookahead == 'K') ADVANCE(229);
      END_STATE();
    case 255:
      if (lookahead == 'L') ADVANCE(470);
      END_STATE();
    case 256:
      if (lookahead == 'L') ADVANCE(478);
      END_STATE();
    case 257:
      if (lookahead == 'L') ADVANCE(212);
      END_STATE();
    case 258:
      if (lookahead == 'L') ADVANCE(333);
      END_STATE();
    case 259:
      if (lookahead == 'L') ADVANCE(337);
      END_STATE();
    case 260:
      if (lookahead == 'L') ADVANCE(338);
      END_STATE();
    case 261:
      if (lookahead == 'L') ADVANCE(259);
      END_STATE();
    case 262:
      if (lookahead == 'L') ADVANCE(260);
      END_STATE();
    case 263:
      if (lookahead == 'L') ADVANCE(290);
      END_STATE();
    case 264:
      if (lookahead == 'L') ADVANCE(223);
      END_STATE();
    case 265:
      if (lookahead == 'L') ADVANCE(292);
      END_STATE();
    case 266:
      if (lookahead == 'L') ADVANCE(314);
      if (lookahead == 'N') ADVANCE(211);
      if (lookahead == 'X') ADVANCE(295);
      END_STATE();
    case 267:
      if (lookahead == 'M') ADVANCE(269);
      if (lookahead == 'P') ADVANCE(336);
      END_STATE();
    case 268:
      if (lookahead == 'M') ADVANCE(451);
      END_STATE();
    case 269:
      if (lookahead == 'M') ADVANCE(194);
      END_STATE();
    case 270:
      if (lookahead == 'M') ADVANCE(192);
      END_STATE();
    case 271:
      if (lookahead == 'M') ADVANCE(220);
      END_STATE();
    case 272:
      if (lookahead == 'N') ADVANCE(448);
      END_STATE();
    case 273:
      if (lookahead == 'N') ADVANCE(193);
      END_STATE();
    case 274:
      if (lookahead == 'N') ADVANCE(474);
      END_STATE();
    case 275:
      if (lookahead == 'N') ADVANCE(424);
      END_STATE();
    case 276:
      if (lookahead == 'N') ADVANCE(454);
      END_STATE();
    case 277:
      if (lookahead == 'N') ADVANCE(204);
      END_STATE();
    case 278:
      if (lookahead == 'N') ADVANCE(213);
      END_STATE();
    case 279:
      if (lookahead == 'N') ADVANCE(221);
      END_STATE();
    case 280:
      if (lookahead == 'N') ADVANCE(326);
      END_STATE();
    case 281:
      if (lookahead == 'O') ADVANCE(437);
      END_STATE();
    case 282:
      if (lookahead == 'O') ADVANCE(258);
      END_STATE();
    case 283:
      if (lookahead == 'O') ADVANCE(251);
      END_STATE();
    case 284:
      if (lookahead == 'O') ADVANCE(316);
      END_STATE();
    case 285:
      if (lookahead == 'O') ADVANCE(268);
      END_STATE();
    case 286:
      if (lookahead == 'O') ADVANCE(202);
      END_STATE();
    case 287:
      if (lookahead == 'O') ADVANCE(275);
      END_STATE();
    case 288:
      if (lookahead == 'O') ADVANCE(247);
      END_STATE();
    case 289:
      if (lookahead == 'O') ADVANCE(276);
      END_STATE();
    case 290:
      if (lookahead == 'O') ADVANCE(279);
      END_STATE();
    case 291:
      if (lookahead == 'O') ADVANCE(310);
      END_STATE();
    case 292:
      if (lookahead == 'O') ADVANCE(207);
      END_STATE();
    case 293:
      if (lookahead == 'O') ADVANCE(317);
      END_STATE();
    case 294:
      if (lookahead == 'O') ADVANCE(209);
      END_STATE();
    case 295:
      if (lookahead == 'P') ADVANCE(293);
      END_STATE();
    case 296:
      if (lookahead == 'P') ADVANCE(291);
      END_STATE();
    case 297:
      if (lookahead == 'P') ADVANCE(288);
      END_STATE();
    case 298:
      if (lookahead == 'R') ADVANCE(236);
      END_STATE();
    case 299:
      if (lookahead == 'R') ADVANCE(236);
      if (lookahead == 'S') ADVANCE(465);
      END_STATE();
    case 300:
      if (lookahead == 'R') ADVANCE(335);
      END_STATE();
    case 301:
      if (lookahead == 'R') ADVANCE(446);
      END_STATE();
    case 302:
      if (lookahead == 'R') ADVANCE(252);
      END_STATE();
    case 303:
      if (lookahead == 'R') ADVANCE(485);
      END_STATE();
    case 304:
      if (lookahead == 'R') ADVANCE(493);
      END_STATE();
    case 305:
      if (lookahead == 'R') ADVANCE(492);
      END_STATE();
    case 306:
      if (lookahead == 'R') ADVANCE(315);
      END_STATE();
    case 307:
      if (lookahead == 'R') ADVANCE(339);
      END_STATE();
    case 308:
      if (lookahead == 'R') ADVANCE(235);
      END_STATE();
    case 309:
      if (lookahead == 'R') ADVANCE(283);
      END_STATE();
    case 310:
      if (lookahead == 'R') ADVANCE(324);
      END_STATE();
    case 311:
      if (lookahead == 'R') ADVANCE(329);
      END_STATE();
    case 312:
      if (lookahead == 'S') ADVANCE(465);
      END_STATE();
    case 313:
      if (lookahead == 'S') ADVANCE(227);
      END_STATE();
    case 314:
      if (lookahead == 'S') ADVANCE(217);
      END_STATE();
    case 315:
      if (lookahead == 'S') ADVANCE(246);
      END_STATE();
    case 316:
      if (lookahead == 'S') ADVANCE(322);
      END_STATE();
    case 317:
      if (lookahead == 'S') ADVANCE(219);
      END_STATE();
    case 318:
      if (lookahead == 'S') ADVANCE(178);
      END_STATE();
    case 319:
      if (lookahead == 'T') ADVANCE(176);
      END_STATE();
    case 320:
      if (lookahead == 'T') ADVANCE(467);
      END_STATE();
    case 321:
      if (lookahead == 'T') ADVANCE(480);
      END_STATE();
    case 322:
      if (lookahead == 'T') ADVANCE(459);
      END_STATE();
    case 323:
      if (lookahead == 'T') ADVANCE(490);
      END_STATE();
    case 324:
      if (lookahead == 'T') ADVANCE(463);
      END_STATE();
    case 325:
      if (lookahead == 'T') ADVANCE(420);
      END_STATE();
    case 326:
      if (lookahead == 'T') ADVANCE(439);
      END_STATE();
    case 327:
      if (lookahead == 'T') ADVANCE(477);
      END_STATE();
    case 328:
      if (lookahead == 'T') ADVANCE(238);
      END_STATE();
    case 329:
      if (lookahead == 'T') ADVANCE(244);
      END_STATE();
    case 330:
      if (lookahead == 'T') ADVANCE(250);
      END_STATE();
    case 331:
      if (lookahead == 'U') ADVANCE(243);
      END_STATE();
    case 332:
      if (lookahead == 'U') ADVANCE(274);
      END_STATE();
    case 333:
      if (lookahead == 'U') ADVANCE(271);
      END_STATE();
    case 334:
      if (lookahead == 'V') ADVANCE(224);
      END_STATE();
    case 335:
      if (lookahead == 'Y') ADVANCE(482);
      END_STATE();
    case 336:
      if (lookahead == 'Y') ADVANCE(435);
      END_STATE();
    case 337:
      if (lookahead == 'Y') ADVANCE(484);
      END_STATE();
    case 338:
      if (lookahead == 'Y') ADVANCE(472);
      END_STATE();
    case 339:
      if (lookahead == 'Y') ADVANCE(297);
      END_STATE();
    case 340:
      if (lookahead == '_') ADVANCE(395);
      END_STATE();
    case 341:
      if (lookahead == 'a') ADVANCE(372);
      END_STATE();
    case 342:
      if (lookahead == 'a') ADVANCE(382);
      END_STATE();
    case 343:
      if (lookahead == 'a') ADVANCE(394);
      END_STATE();
    case 344:
      if (lookahead == 'a') ADVANCE(384);
      END_STATE();
    case 345:
      if (lookahead == 'a') ADVANCE(399);
      END_STATE();
    case 346:
      if (lookahead == 'a') ADVANCE(400);
      END_STATE();
    case 347:
      if (lookahead == 'a') ADVANCE(401);
      END_STATE();
    case 348:
      if (lookahead == 'a') ADVANCE(373);
      END_STATE();
    case 349:
      if (lookahead == 'a') ADVANCE(385);
      END_STATE();
    case 350:
      if (lookahead == 'a') ADVANCE(403);
      END_STATE();
    case 351:
      if (lookahead == 'b') ADVANCE(361);
      if (lookahead == 'u') ADVANCE(402);
      END_STATE();
    case 352:
      if (lookahead == 'c') ADVANCE(392);
      END_STATE();
    case 353:
      if (lookahead == 'd') ADVANCE(360);
      END_STATE();
    case 354:
      if (lookahead == 'd') ADVANCE(177);
      END_STATE();
    case 355:
      if (lookahead == 'd') ADVANCE(182);
      END_STATE();
    case 356:
      if (lookahead == 'e') ADVANCE(600);
      END_STATE();
    case 357:
      if (lookahead == 'e') ADVANCE(355);
      END_STATE();
    case 358:
      if (lookahead == 'e') ADVANCE(364);
      END_STATE();
    case 359:
      if (lookahead == 'e') ADVANCE(405);
      END_STATE();
    case 360:
      if (lookahead == 'e') ADVANCE(164);
      END_STATE();
    case 361:
      if (lookahead == 'e') ADVANCE(170);
      END_STATE();
    case 362:
      if (lookahead == 'e') ADVANCE(166);
      END_STATE();
    case 363:
      if (lookahead == 'e') ADVANCE(168);
      END_STATE();
    case 364:
      if (lookahead == 'f') ADVANCE(553);
      END_STATE();
    case 365:
      if (lookahead == 'f') ADVANCE(387);
      END_STATE();
    case 366:
      if (lookahead == 'g') ADVANCE(359);
      END_STATE();
    case 367:
      if (lookahead == 'h') ADVANCE(363);
      END_STATE();
    case 368:
      if (lookahead == 'i') ADVANCE(389);
      END_STATE();
    case 369:
      if (lookahead == 'i') ADVANCE(383);
      END_STATE();
    case 370:
      if (lookahead == 'i') ADVANCE(346);
      END_STATE();
    case 371:
      if (lookahead == 'i') ADVANCE(347);
      END_STATE();
    case 372:
      if (lookahead == 'l') ADVANCE(370);
      END_STATE();
    case 373:
      if (lookahead == 'l') ADVANCE(371);
      END_STATE();
    case 374:
      if (lookahead == 'm') ADVANCE(411);
      END_STATE();
    case 375:
      if (lookahead == 'm') ADVANCE(374);
      END_STATE();
    case 376:
      if (lookahead == 'm') ADVANCE(377);
      END_STATE();
    case 377:
      if (lookahead == 'm') ADVANCE(344);
      END_STATE();
    case 378:
      if (lookahead == 'n') ADVANCE(386);
      END_STATE();
    case 379:
      if (lookahead == 'n') ADVANCE(397);
      END_STATE();
    case 380:
      if (lookahead == 'n') ADVANCE(356);
      END_STATE();
    case 381:
      if (lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 382:
      if (lookahead == 'n') ADVANCE(175);
      END_STATE();
    case 383:
      if (lookahead == 'n') ADVANCE(171);
      END_STATE();
    case 384:
      if (lookahead == 'n') ADVANCE(354);
      END_STATE();
    case 385:
      if (lookahead == 'n') ADVANCE(180);
      END_STATE();
    case 386:
      if (lookahead == 'o') ADVANCE(353);
      END_STATE();
    case 387:
      if (lookahead == 'o') ADVANCE(396);
      END_STATE();
    case 388:
      if (lookahead == 'o') ADVANCE(393);
      END_STATE();
    case 389:
      if (lookahead == 'o') ADVANCE(379);
      END_STATE();
    case 390:
      if (lookahead == 'o') ADVANCE(380);
      END_STATE();
    case 391:
      if (lookahead == 'o') ADVANCE(165);
      END_STATE();
    case 392:
      if (lookahead == 'o') ADVANCE(376);
      END_STATE();
    case 393:
      if (lookahead == 'p') ADVANCE(407);
      END_STATE();
    case 394:
      if (lookahead == 'r') ADVANCE(366);
      END_STATE();
    case 395:
      if (lookahead == 'r') ADVANCE(358);
      END_STATE();
    case 396:
      if (lookahead == 'r') ADVANCE(174);
      END_STATE();
    case 397:
      if (lookahead == 's') ADVANCE(556);
      END_STATE();
    case 398:
      if (lookahead == 's') ADVANCE(357);
      END_STATE();
    case 399:
      if (lookahead == 's') ADVANCE(172);
      END_STATE();
    case 400:
      if (lookahead == 's') ADVANCE(173);
      END_STATE();
    case 401:
      if (lookahead == 's') ADVANCE(167);
      END_STATE();
    case 402:
      if (lookahead == 's') ADVANCE(362);
      END_STATE();
    case 403:
      if (lookahead == 's') ADVANCE(181);
      END_STATE();
    case 404:
      if (lookahead == 't') ADVANCE(367);
      END_STATE();
    case 405:
      if (lookahead == 't') ADVANCE(340);
      END_STATE();
    case 406:
      if (lookahead == 't') ADVANCE(391);
      END_STATE();
    case 407:
      if (lookahead == 't') ADVANCE(368);
      END_STATE();
    case 408:
      if (lookahead == 't') ADVANCE(343);
      END_STATE();
    case 409:
      if (lookahead == 'u') ADVANCE(375);
      END_STATE();
    case 410:
      if (lookahead == 'u') ADVANCE(398);
      END_STATE();
    case 411:
      if (lookahead == 'y') ADVANCE(163);
      END_STATE();
    case 412:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(572);
      END_STATE();
    case 413:
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(589);
      END_STATE();
    case 414:
      if (eof) ADVANCE(419);
      ADVANCE_MAP(
        0, 1050,
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 564,
        '(', 570,
        ')', 1031,
        '+', 558,
        ',', 526,
        '-', 531,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 443,
        '@', 527,
        'A', 299,
        'B', 331,
        'C', 189,
        'D', 281,
        'E', 266,
        'F', 240,
        'G', 241,
        'H', 284,
        'I', 232,
        'L', 190,
        'P', 309,
        'R', 332,
        'S', 191,
        'T', 300,
        'U', 313,
        'V', 225,
        'W', 196,
        '[', 569,
        '\\', 154,
        ']', 522,
        'd', 409,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(414);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(555);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '@' || ']' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || '{' < lookahead)) ADVANCE(902);
      END_STATE();
    case 415:
      if (eof) ADVANCE(419);
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '\'', 1024,
        '(', 570,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 533,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(416);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(902);
      END_STATE();
    case 416:
      if (eof) ADVANCE(419);
      ADVANCE_MAP(
        '\n', 1041,
        '\f', 1045,
        '\r', 152,
        '"', 559,
        '#', 901,
        '$', 557,
        '(', 570,
        ')', 520,
        '+', 558,
        ',', 526,
        '-', 533,
        '.', 528,
        '/', 525,
        ':', 423,
        '=', 428,
        '@', 527,
        '[', 521,
        '\\', 154,
        ']', 522,
        '{', 523,
        '}', 524,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(416);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(902);
      END_STATE();
    case 417:
      if (eof) ADVANCE(419);
      ADVANCE_MAP(
        '\n', 1042,
        0x0b, 497,
        '\f', 1046,
        '\r', 496,
        '#', 153,
        'A', 973,
        'B', 999,
        'C', 907,
        'D', 959,
        'E', 952,
        'F', 964,
        'G', 934,
        'H', 962,
        'I', 930,
        'L', 908,
        'P', 981,
        'R', 1000,
        'S', 909,
        'T', 974,
        'U', 983,
        'V', 927,
        'W', 912,
        '\\', 155,
        '\t', 495,
        ' ', 495,
      );
      if (('J' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 418:
      if (eof) ADVANCE(419);
      ADVANCE_MAP(
        '\n', 1042,
        0x0b, 497,
        '\f', 1046,
        '\r', 496,
        '#', 153,
        'A', 973,
        'B', 999,
        'C', 907,
        'D', 959,
        'E', 952,
        'F', 964,
        'G', 934,
        'H', 962,
        'I', 930,
        'L', 908,
        'P', 981,
        'R', 1000,
        'S', 909,
        'T', 974,
        'U', 983,
        'V', 960,
        'W', 912,
        '\\', 155,
        '\t', 495,
        ' ', 495,
      );
      if (('J' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_PROJECT);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_PROJECT);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_VERSION);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_VERSION);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym_ARG);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym_ARG);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_BUILD);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_BUILD);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_CACHE);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_CACHE);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_CMD);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_CMD);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_COPY);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_COPY);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_DO);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_DO);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_ENTRYPOINT);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_ENTRYPOINT);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_ENV);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_ENV);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_EQ2);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_EXPOSE);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_EXPOSE);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_FOR);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_FOR);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_IN);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_IN);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_END);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_FROM);
      if (lookahead == ' ') ADVANCE(215);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_FROM);
      if (lookahead == ' ') ADVANCE(215);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_FROMDOCKERFILE);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_FUNCTION);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_FUNCTION);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_COMMAND);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_COMMAND);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_GITCLONE);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_HOST);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_HOST);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_IF);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_IF);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_IMPORT);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_IMPORT);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_AS);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_AS);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_LET);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_LET);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_EQ3);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_LABEL);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_LABEL);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_LOCALLY);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_LOCALLY);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_RUN);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_RUN);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_SAVEARTIFACT);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_ASLOCAL);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_SAVEIMAGE);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_SET);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_SET);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_TRY);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_TRY);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_FINALLY);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_USER);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_USER);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_COLON2);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_VOLUME);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_VOLUME);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_WAIT);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_WAIT);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_WITHDOCKER);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_WORKDIR);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_WORKDIR);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(aux_sym_block_token1);
      ADVANCE_MAP(
        '\n', 1042,
        0x0b, 497,
        '\f', 1046,
        '\r', 496,
        '#', 153,
        '\\', 155,
        '\t', 495,
        ' ', 495,
      );
      END_STATE();
    case 496:
      ACCEPT_TOKEN(aux_sym_block_token1);
      if (lookahead == '\n') ADVANCE(1044);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(497);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(aux_sym_block_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(497);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_ELSEIF);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_ELSE);
      if (lookahead == ' ') ADVANCE(242);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(577);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(577);
      if (lookahead == 'f') ADVANCE(586);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(618);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(638);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(639);
      if (lookahead == 'f') ADVANCE(586);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(635);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(778);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(718);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(674);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(668);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(641);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(661);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(640);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(725);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(779);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(642);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(643);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_DOT2);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_DASH2);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_DASH2);
      if (lookahead == '-') ADVANCE(577);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_DASH2);
      if (lookahead == '-') ADVANCE(577);
      if (lookahead == 'f') ADVANCE(586);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_DASH2);
      if (lookahead == '-') ADVANCE(618);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_DASH2);
      if (lookahead == '-') ADVANCE(638);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_DASH2);
      if (lookahead == '-') ADVANCE(639);
      if (lookahead == 'f') ADVANCE(586);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_DASH2);
      if (lookahead == '-') ADVANCE(635);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_DASH2);
      if (lookahead == '-') ADVANCE(778);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_DASH2);
      if (lookahead == '-') ADVANCE(718);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_DASH2);
      if (lookahead == '-') ADVANCE(674);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_DASH2);
      if (lookahead == '-') ADVANCE(668);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_DASH2);
      if (lookahead == '-') ADVANCE(641);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_DASH2);
      if (lookahead == '-') ADVANCE(661);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_DASH2);
      if (lookahead == '-') ADVANCE(642);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_DASH2);
      if (lookahead == '-') ADVANCE(643);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_DASH2);
      if (lookahead == '-') ADVANCE(169);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_RPAREN2);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_LBRACK2);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_RBRACK2);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_LBRACE2);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_RBRACE2);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_COMMA2);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_AT2);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_function_ref);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_SPACE);
      if (lookahead == '#') ADVANCE(153);
      if (lookahead == '\\') ADVANCE(155);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_options);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(aux_sym_shell_fragment_token1);
      if (lookahead == '\n') ADVANCE(563);
      if (lookahead == '\f') ADVANCE(563);
      if (lookahead == '\r') ADVANCE(562);
      if (lookahead == '#') ADVANCE(561);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(560);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          lookahead != '\\') ADVANCE(563);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(aux_sym_shell_fragment_token1);
      if (lookahead == '\n') ADVANCE(563);
      if (lookahead == '\f') ADVANCE(561);
      if (lookahead == '\r') ADVANCE(561);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(561);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(aux_sym_shell_fragment_token1);
      if (lookahead == '\n') ADVANCE(563);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(563);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(aux_sym_shell_fragment_token1);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(563);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(aux_sym_shell_fragment_token2);
      if (lookahead == '\n') ADVANCE(568);
      if (lookahead == '\f') ADVANCE(568);
      if (lookahead == '\r') ADVANCE(567);
      if (lookahead == '#') ADVANCE(566);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(565);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(568);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(aux_sym_shell_fragment_token2);
      if (lookahead == '\n') ADVANCE(568);
      if (lookahead == '\f') ADVANCE(566);
      if (lookahead == '\r') ADVANCE(566);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(566);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(aux_sym_shell_fragment_token2);
      if (lookahead == '\n') ADVANCE(568);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(568);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(aux_sym_shell_fragment_token2);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(568);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_LBRACK3);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym_LPAREN3);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(anon_sym_RPAREN3);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_version_major_minor);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(572);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_allow_privileged);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_auto_skip);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_aws);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_DASH_DASHbranch);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_DASH_DASH2);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_DASH_DASHbuild_DASHarg);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_DASH_DASHcache_DASHid);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_DASH_DASHcache_DASHfrom);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_cache_hint);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym_DASH_DASHchmod);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym_DASH_DASHchown);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_DASH_DASHcompose);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_dir);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(anon_sym_DASHf);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(anon_sym_DASH_DASHtarget);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_entrypoint);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_feature_flag);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(589);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_force);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_global);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(anon_sym_DASH_DASHid);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_if_exists);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(anon_sym_DASH_DASHinteractive);
      if (lookahead == '-') ADVANCE(758);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(anon_sym_DASH_DASHinteractive_DASHkeep);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_keep_own);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_keep_ts);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(anon_sym_DASH_DASHload);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(anon_sym_DASH_DASHmount);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_network_none);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_no_cache);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(anon_sym_DASH_DASHoidc);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_pass_args);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_persist);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(anon_sym_DASH_DASHplatform);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_privileged);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(anon_sym_DASH_DASHpull);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_push);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_raw_output);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_required);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(anon_sym_DASH_DASHsecret);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(anon_sym_EQ4);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(anon_sym_DASH_DASHsep);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(anon_sym_DASH_DASHservice);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(anon_sym_DASH_DASHsharing);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_ssh);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_symlink_no_follow);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      ADVANCE_MAP(
        ' ', 476,
        'a', 888,
        'e', 786,
        'i', 789,
        'm', 797,
        'n', 695,
        'o', 737,
        'p', 828,
        'r', 637,
        's', 684,
      );
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == '-') ADVANCE(805);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == '-') ADVANCE(716);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == '-') ADVANCE(663);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == '-') ADVANCE(715);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == '-') ADVANCE(648);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == '-') ADVANCE(793);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == '-') ADVANCE(820);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == '-') ADVANCE(770);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == '-') ADVANCE(852);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == '-') ADVANCE(688);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == '-') ADVANCE(713);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == '-') ADVANCE(872);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == '-') ADVANCE(799);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == '-') ADVANCE(747);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == '-') ADVANCE(651);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == '=') ADVANCE(381);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'a') ADVANCE(767);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'p') ADVANCE(644);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('c' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'a') ADVANCE(660);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'a') ADVANCE(892);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      ADVANCE_MAP(
        'a', 768,
        'b', 879,
        'c', 728,
        'd', 744,
        'i', 714,
        'k', 704,
        'p', 644,
        's', 897,
      );
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('e' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == 'b') ADVANCE(879);
      if (lookahead == 'p') ADVANCE(763);
      if (lookahead == 't') ADVANCE(653);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('c' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == 'c') ADVANCE(658);
      if (lookahead == 'l') ADVANCE(809);
      if (lookahead == 'p') ADVANCE(762);
      if (lookahead == 's') ADVANCE(711);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == 'p') ADVANCE(644);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == 'p') ADVANCE(645);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'a') ADVANCE(768);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'a') ADVANCE(851);
      if (lookahead == 'l') ADVANCE(652);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'a') ADVANCE(851);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'a') ADVANCE(666);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'a') ADVANCE(667);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'a') ADVANCE(831);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'a') ADVANCE(794);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'a') ADVANCE(679);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'a') ADVANCE(833);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'a') ADVANCE(868);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'a') ADVANCE(843);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'a') ADVANCE(761);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'a') ADVANCE(839);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'a') ADVANCE(838);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'a') ADVANCE(672);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'a') ADVANCE(673);
      if (lookahead == 'o') ADVANCE(785);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'b') ADVANCE(654);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'b') ADVANCE(705);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'b') ADVANCE(835);
      if (lookahead == 'k') ADVANCE(710);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'c') ADVANCE(602);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'c') ADVANCE(646);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'c') ADVANCE(830);
      if (lookahead == 'p') ADVANCE(613);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'c') ADVANCE(830);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'c') ADVANCE(730);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'c') ADVANCE(870);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'c') ADVANCE(731);
      if (lookahead == 'i') ADVANCE(678);
      if (lookahead == 'p') ADVANCE(709);
      if (lookahead == 's') ADVANCE(736);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'c') ADVANCE(729);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'c') ADVANCE(689);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'c') ADVANCE(691);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'c') ADVANCE(733);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'c') ADVANCE(734);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'c') ADVANCE(657);
      if (lookahead == 'p') ADVANCE(877);
      if (lookahead == 'w') ADVANCE(748);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'd') ADVANCE(606);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'd') ADVANCE(582);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'd') ADVANCE(573);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'd') ADVANCE(592);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'd') ADVANCE(598);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'd') ADVANCE(579);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'd') ADVANCE(610);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'd') ADVANCE(662);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'd') ADVANCE(633);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(665);
      if (lookahead == 's') ADVANCE(726);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(721);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(601);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(594);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(895);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(590);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(584);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(614);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(664);
      if (lookahead == 's') ADVANCE(726);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(824);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(675);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(869);
      if (lookahead == 'o') ADVANCE(621);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(842);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(816);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(819);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(861);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(677);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(822);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(697);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(681);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(698);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(773);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(620);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(864);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(632);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(837);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(701);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(841);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(723);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'e') ADVANCE(655);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'f') ADVANCE(628);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'f') ADVANCE(815);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'f') ADVANCE(836);
      if (lookahead == 'h') ADVANCE(753);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'f') ADVANCE(807);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'f') ADVANCE(811);
      if (lookahead == 'i') ADVANCE(714);
      if (lookahead == 'k') ADVANCE(704);
      if (lookahead == 's') ADVANCE(897);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'g') ADVANCE(578);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'g') ADVANCE(615);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'g') ADVANCE(694);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'g') ADVANCE(848);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'g') ADVANCE(700);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'g') ADVANCE(707);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'g') ADVANCE(775);
      if (lookahead == 'r') ADVANCE(693);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'h') ADVANCE(616);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'h') ADVANCE(608);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'h') ADVANCE(782);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'h') ADVANCE(576);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'h') ADVANCE(686);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'h') ADVANCE(783);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'h') ADVANCE(766);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'h') ADVANCE(706);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'h') ADVANCE(708);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'h') ADVANCE(814);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'h') ADVANCE(656);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'i') ADVANCE(682);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'i') ADVANCE(884);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'i') ADVANCE(765);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'i') ADVANCE(885);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'i') ADVANCE(790);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'i') ADVANCE(764);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'i') ADVANCE(854);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'i') ADVANCE(827);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'i') ADVANCE(792);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'i') ADVANCE(817);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'i') ADVANCE(680);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'i') ADVANCE(871);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'i') ADVANCE(840);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'i') ADVANCE(855);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'i') ADVANCE(671);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'i') ADVANCE(795);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'i') ADVANCE(796);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'i') ADVANCE(776);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'i') ADVANCE(887);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'k') ADVANCE(634);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'k') ADVANCE(624);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'k') ADVANCE(702);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'k') ADVANCE(746);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'l') ADVANCE(607);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'l') ADVANCE(591);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'l') ADVANCE(652);
      if (lookahead == 'u') ADVANCE(774);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'l') ADVANCE(652);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'l') ADVANCE(683);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'l') ADVANCE(685);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'l') ADVANCE(898);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'l') ADVANCE(769);
      if (lookahead == 'u') ADVANCE(876);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'l') ADVANCE(769);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'l') ADVANCE(813);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'l') ADVANCE(636);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'l') ADVANCE(806);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'l') ADVANCE(741);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'l') ADVANCE(849);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'l') ADVANCE(760);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'l') ADVANCE(800);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'l') ADVANCE(712);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'l') ADVANCE(771);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'm') ADVANCE(797);
      if (lookahead == 'n') ADVANCE(798);
      if (lookahead == 'p') ADVANCE(829);
      if (lookahead == 's') ADVANCE(684);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'm') ADVANCE(797);
      if (lookahead == 'n') ADVANCE(798);
      if (lookahead == 'p') ADVANCE(829);
      if (lookahead == 's') ADVANCE(692);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'm') ADVANCE(605);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'm') ADVANCE(580);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'm') ADVANCE(803);
      if (lookahead == 'o') ADVANCE(890);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'm') ADVANCE(803);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'm') ADVANCE(772);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'm') ADVANCE(821);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'n') ADVANCE(858);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'n') ADVANCE(583);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'n') ADVANCE(596);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'n') ADVANCE(859);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'n') ADVANCE(757);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'n') ADVANCE(860);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'n') ADVANCE(720);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'n') ADVANCE(808);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'n') ADVANCE(669);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'n') ADVANCE(862);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'n') ADVANCE(865);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'o') ADVANCE(883);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'o') ADVANCE(621);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'o') ADVANCE(878);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'o') ADVANCE(659);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'o') ADVANCE(781);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'o') ADVANCE(752);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'o') ADVANCE(676);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'o') ADVANCE(826);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'o') ADVANCE(893);
      if (lookahead == 't') ADVANCE(846);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'o') ADVANCE(889);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'o') ADVANCE(832);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'o') ADVANCE(622);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'o') ADVANCE(650);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'o') ADVANCE(627);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'o') ADVANCE(834);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'o') ADVANCE(856);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'o') ADVANCE(894);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'o') ADVANCE(882);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'o') ADVANCE(777);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'p') ADVANCE(595);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'p') ADVANCE(574);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'p') ADVANCE(802);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'p') ADVANCE(619);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'p') ADVANCE(844);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'p') ADVANCE(812);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'p') ADVANCE(630);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'p') ADVANCE(880);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'q') ADVANCE(881);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'r') ADVANCE(896);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'r') ADVANCE(756);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'r') ADVANCE(585);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'r') ADVANCE(738);
      if (lookahead == 'u') ADVANCE(850);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'r') ADVANCE(738);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'r') ADVANCE(699);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'r') ADVANCE(722);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'r') ADVANCE(780);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'r') ADVANCE(719);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'r') ADVANCE(670);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'r') ADVANCE(649);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'r') ADVANCE(801);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'r') ADVANCE(857);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'r') ADVANCE(745);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'r') ADVANCE(873);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'r') ADVANCE(703);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'r') ADVANCE(886);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'r') ADVANCE(647);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'r') ADVANCE(724);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'r') ADVANCE(755);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 's') ADVANCE(575);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 's') ADVANCE(597);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 's') ADVANCE(593);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 's') ADVANCE(603);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 's') ADVANCE(900);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 's') ADVANCE(727);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 's') ADVANCE(853);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 's') ADVANCE(759);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 's') ADVANCE(874);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 's') ADVANCE(866);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 's') ADVANCE(690);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 's') ADVANCE(750);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 't') ADVANCE(825);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 't') ADVANCE(696);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 't') ADVANCE(599);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 't') ADVANCE(611);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 't') ADVANCE(588);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 't') ADVANCE(609);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 't') ADVANCE(587);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 't') ADVANCE(581);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 't') ADVANCE(604);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 't') ADVANCE(823);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 't') ADVANCE(717);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 't') ADVANCE(891);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 't') ADVANCE(740);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 't') ADVANCE(735);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 't') ADVANCE(846);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 't') ADVANCE(732);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 't') ADVANCE(847);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 't') ADVANCE(629);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 't') ADVANCE(810);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'u') ADVANCE(850);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'u') ADVANCE(867);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'u') ADVANCE(742);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'u') ADVANCE(863);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'u') ADVANCE(749);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'u') ADVANCE(875);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'u') ADVANCE(791);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'v') ADVANCE(739);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'v') ADVANCE(687);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'v') ADVANCE(751);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'v') ADVANCE(754);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'w') ADVANCE(845);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'w') ADVANCE(617);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'w') ADVANCE(787);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'w') ADVANCE(804);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'w') ADVANCE(631);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'w') ADVANCE(788);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'w') ADVANCE(625);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'x') ADVANCE(743);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'y') ADVANCE(818);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'y') ADVANCE(784);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == 'y') ADVANCE(626);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(aux_sym_unknown_option_token1);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(899);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(sym_without_earthly_labels);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(sym__string_base_other);
      if (lookahead == '\n') ADVANCE(1037);
      if (lookahead == '\f') ADVANCE(1038);
      if (lookahead == '\r') ADVANCE(153);
      if (('\t' <= lookahead && lookahead <= 0x0b) ||
          lookahead == ' ' ||
          lookahead == '"' ||
          lookahead == '$' ||
          ('\'' <= lookahead && lookahead <= ')') ||
          ('+' <= lookahead && lookahead <= ':') ||
          lookahead == '=' ||
          ('@' <= lookahead && lookahead <= ']') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= '{') ||
          lookahead == '}') ADVANCE(153);
      if (lookahead != 0) ADVANCE(901);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(sym__string_base_other);
      if ((!eof && set_contains(sym__string_base_other_character_set_1, 12, lookahead))) ADVANCE(902);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == ' ') ADVANCE(198);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == ' ') ADVANCE(203);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == ' ') ADVANCE(265);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == ' ') ADVANCE(216);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'A') ADVANCE(914);
      if (lookahead == 'M') ADVANCE(918);
      if (lookahead == 'O') ADVANCE(948);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'A') ADVANCE(913);
      if (lookahead == 'E') ADVANCE(989);
      if (lookahead == 'O') ADVANCE(915);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'A') ADVANCE(1002);
      if (lookahead == 'E') ADVANCE(990);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 910:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'A') ADVANCE(957);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'A') ADVANCE(947);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'A') ADVANCE(937);
      if (lookahead == 'I') ADVANCE(996);
      if (lookahead == 'O') ADVANCE(976);
      if (('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 913:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'B') ADVANCE(926);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'C') ADVANCE(933);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'C') ADVANCE(911);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'C') ADVANCE(998);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'C') ADVANCE(994);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'D') ADVANCE(434);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'D') ADVANCE(430);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 920:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'D') ADVANCE(457);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'D') ADVANCE(940);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 922:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'E') ADVANCE(432);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'E') ADVANCE(445);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'E') ADVANCE(489);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'E') ADVANCE(903);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'E') ADVANCE(943);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'E') ADVANCE(979);
      if (lookahead == 'O') ADVANCE(945);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'E') ADVANCE(977);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'E') ADVANCE(917);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 930:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'F') ADVANCE(462);
      if (lookahead == 'M') ADVANCE(971);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 931:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'G') ADVANCE(427);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 932:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'H') ADVANCE(906);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'H') ADVANCE(922);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 934:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'I') ADVANCE(988);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 935:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'I') ADVANCE(944);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 936:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'I') ADVANCE(958);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 937:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'I') ADVANCE(992);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 938:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'I') ADVANCE(965);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'I') ADVANCE(967);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'I') ADVANCE(978);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'J') ADVANCE(929);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 942:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'K') ADVANCE(921);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 943:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'L') ADVANCE(471);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 944:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'L') ADVANCE(919);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 945:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'L') ADVANCE(1001);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 946:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'L') ADVANCE(1005);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 947:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'L') ADVANCE(946);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 948:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'M') ADVANCE(950);
      if (lookahead == 'P') ADVANCE(1004);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 949:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'M') ADVANCE(452);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 950:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'M') ADVANCE(910);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 951:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'M') ADVANCE(924);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 952:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'N') ADVANCE(997);
      if (lookahead == 'X') ADVANCE(970);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 953:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'N') ADVANCE(475);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 954:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'N') ADVANCE(425);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 955:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'N') ADVANCE(455);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 956:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'N') ADVANCE(916);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 957:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'N') ADVANCE(920);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 958:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'N') ADVANCE(995);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 959:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'O') ADVANCE(438);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 960:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'O') ADVANCE(945);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 961:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'O') ADVANCE(941);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 962:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'O') ADVANCE(986);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 963:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'O') ADVANCE(949);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 964:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'O') ADVANCE(975);
      if (lookahead == 'R') ADVANCE(963);
      if (lookahead == 'U') ADVANCE(956);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 965:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'O') ADVANCE(954);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 966:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'O') ADVANCE(936);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 967:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'O') ADVANCE(955);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 968:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'O') ADVANCE(982);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 969:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'O') ADVANCE(987);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 970:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'P') ADVANCE(969);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 971:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'P') ADVANCE(968);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 972:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'P') ADVANCE(966);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 973:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'R') ADVANCE(931);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 974:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'R') ADVANCE(1003);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 975:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'R') ADVANCE(447);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 976:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'R') ADVANCE(942);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 977:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'R') ADVANCE(486);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 978:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'R') ADVANCE(494);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 979:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'R') ADVANCE(984);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 980:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'R') ADVANCE(1006);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 981:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'R') ADVANCE(961);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 982:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'R') ADVANCE(993);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 983:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'S') ADVANCE(928);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 984:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'S') ADVANCE(938);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 985:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'S') ADVANCE(905);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 986:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'S') ADVANCE(991);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 987:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'S') ADVANCE(923);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 988:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'T') ADVANCE(904);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 989:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'T') ADVANCE(468);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 990:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'T') ADVANCE(481);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 991:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'T') ADVANCE(460);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 992:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'T') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 993:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'T') ADVANCE(464);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 994:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'T') ADVANCE(421);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 995:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'T') ADVANCE(440);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 996:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'T') ADVANCE(932);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 997:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'T') ADVANCE(980);
      if (lookahead == 'V') ADVANCE(442);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 998:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'T') ADVANCE(939);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 999:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'U') ADVANCE(935);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1000:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'U') ADVANCE(953);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1001:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'U') ADVANCE(951);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1002:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'V') ADVANCE(925);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1003:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'Y') ADVANCE(483);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1004:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'Y') ADVANCE(436);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1005:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'Y') ADVANCE(473);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1006:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (lookahead == 'Y') ADVANCE(972);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1007:
      ACCEPT_TOKEN(sym__string_base_alpha);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1007);
      END_STATE();
    case 1008:
      ACCEPT_TOKEN(sym__string_base_num);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1008);
      END_STATE();
    case 1009:
      ACCEPT_TOKEN(sym__immediate_string_base_other);
      if (lookahead == '\n') ADVANCE(1037);
      if (lookahead == '\f') ADVANCE(1038);
      if (lookahead == '\r') ADVANCE(153);
      if (('\t' <= lookahead && lookahead <= 0x0b) ||
          lookahead == ' ' ||
          lookahead == '"' ||
          lookahead == '$' ||
          ('\'' <= lookahead && lookahead <= ')') ||
          ('+' <= lookahead && lookahead <= ':') ||
          lookahead == '=' ||
          ('@' <= lookahead && lookahead <= ']') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= '{') ||
          lookahead == '}') ADVANCE(153);
      if (lookahead != 0) ADVANCE(1009);
      END_STATE();
    case 1010:
      ACCEPT_TOKEN(sym__immediate_string_base_other);
      if ((!eof && set_contains(sym__string_base_other_character_set_1, 12, lookahead))) ADVANCE(1010);
      END_STATE();
    case 1011:
      ACCEPT_TOKEN(sym__immediate_string_base_alpha);
      if (lookahead == ' ') ADVANCE(265);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      END_STATE();
    case 1012:
      ACCEPT_TOKEN(sym__immediate_string_base_alpha);
      if (lookahead == 'N') ADVANCE(449);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      END_STATE();
    case 1013:
      ACCEPT_TOKEN(sym__immediate_string_base_alpha);
      if (lookahead == 'S') ADVANCE(1011);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      END_STATE();
    case 1014:
      ACCEPT_TOKEN(sym__immediate_string_base_alpha);
      if (lookahead == 'S') ADVANCE(466);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      END_STATE();
    case 1015:
      ACCEPT_TOKEN(sym__immediate_string_base_alpha);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      END_STATE();
    case 1016:
      ACCEPT_TOKEN(sym__immediate_string_base_num);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1016);
      END_STATE();
    case 1017:
      ACCEPT_TOKEN(aux_sym_double_quoted_string_token1);
      if (lookahead == '\n') ADVANCE(1022);
      if (lookahead == '\f') ADVANCE(1022);
      if (lookahead == '\r') ADVANCE(1019);
      if (lookahead == '#') ADVANCE(1018);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1017);
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          lookahead != '\\') ADVANCE(1022);
      END_STATE();
    case 1018:
      ACCEPT_TOKEN(aux_sym_double_quoted_string_token1);
      if (lookahead == '\n') ADVANCE(1022);
      if (lookahead == '\f') ADVANCE(1018);
      if (lookahead == '\r') ADVANCE(1018);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(1018);
      END_STATE();
    case 1019:
      ACCEPT_TOKEN(aux_sym_double_quoted_string_token1);
      if (lookahead == '\n') ADVANCE(1022);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(1022);
      END_STATE();
    case 1020:
      ACCEPT_TOKEN(aux_sym_double_quoted_string_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1020);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(1022);
      END_STATE();
    case 1021:
      ACCEPT_TOKEN(aux_sym_double_quoted_string_token1);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1021);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(1022);
      END_STATE();
    case 1022:
      ACCEPT_TOKEN(aux_sym_double_quoted_string_token1);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\') ADVANCE(1022);
      END_STATE();
    case 1023:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 1024:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 1025:
      ACCEPT_TOKEN(aux_sym_single_quoted_string_token1);
      if (lookahead == '\n') ADVANCE(1043);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(1028);
      END_STATE();
    case 1026:
      ACCEPT_TOKEN(aux_sym_single_quoted_string_token1);
      if (lookahead == '\n') ADVANCE(1037);
      if (lookahead == '\f') ADVANCE(1039);
      if (lookahead == '\r') ADVANCE(1026);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(153);
      if (lookahead != 0) ADVANCE(1026);
      END_STATE();
    case 1027:
      ACCEPT_TOKEN(aux_sym_single_quoted_string_token1);
      if (lookahead == '\f') ADVANCE(1047);
      if (lookahead == '\r') ADVANCE(1025);
      if (lookahead == '#') ADVANCE(1026);
      if (lookahead == '\\') ADVANCE(154);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1027);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\'') ADVANCE(1028);
      END_STATE();
    case 1028:
      ACCEPT_TOKEN(aux_sym_single_quoted_string_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(1028);
      END_STATE();
    case 1029:
      ACCEPT_TOKEN(anon_sym_PLUS2);
      END_STATE();
    case 1030:
      ACCEPT_TOKEN(aux_sym_unquoted_string_with_spaces_token1);
      if (lookahead == '#') ADVANCE(901);
      if (lookahead == '\\') ADVANCE(154);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(1030);
      END_STATE();
    case 1031:
      ACCEPT_TOKEN(anon_sym_RPAREN4);
      END_STATE();
    case 1032:
      ACCEPT_TOKEN(anon_sym_DOLLAR2);
      END_STATE();
    case 1033:
      ACCEPT_TOKEN(aux_sym__immediate_escape_sequence_token1);
      END_STATE();
    case 1034:
      ACCEPT_TOKEN(aux_sym__immediate_escape_sequence_token1);
      if (lookahead == '\n') ADVANCE(1040);
      if (lookahead != 0) ADVANCE(156);
      END_STATE();
    case 1035:
      ACCEPT_TOKEN(aux_sym__immediate_escape_sequence_token1);
      if (lookahead == '#') ADVANCE(156);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(183);
      END_STATE();
    case 1036:
      ACCEPT_TOKEN(sym_line_continuation);
      if (lookahead == '#') ADVANCE(156);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(183);
      END_STATE();
    case 1037:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 1038:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(1037);
      if (lookahead == '\f') ADVANCE(1038);
      if (lookahead == '\r') ADVANCE(153);
      if (lookahead != 0) ADVANCE(153);
      END_STATE();
    case 1039:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(1037);
      if (lookahead == '\f') ADVANCE(1039);
      if (lookahead == '\r') ADVANCE(1026);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(153);
      if (lookahead != 0) ADVANCE(1026);
      END_STATE();
    case 1040:
      ACCEPT_TOKEN(sym_line_continuation_comment);
      if (lookahead == '#') ADVANCE(156);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(183);
      END_STATE();
    case 1041:
      ACCEPT_TOKEN(anon_sym_LF);
      END_STATE();
    case 1042:
      ACCEPT_TOKEN(anon_sym_LF);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(497);
      END_STATE();
    case 1043:
      ACCEPT_TOKEN(anon_sym_CR_LF);
      END_STATE();
    case 1044:
      ACCEPT_TOKEN(anon_sym_CR_LF);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(497);
      END_STATE();
    case 1045:
      ACCEPT_TOKEN(anon_sym_FF);
      END_STATE();
    case 1046:
      ACCEPT_TOKEN(anon_sym_FF);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(497);
      END_STATE();
    case 1047:
      ACCEPT_TOKEN(anon_sym_FF);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(1028);
      END_STATE();
    case 1048:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 1049:
      ACCEPT_TOKEN(anon_sym_NULL);
      if ((!eof && set_contains(sym__string_base_other_character_set_1, 12, lookahead))) ADVANCE(1010);
      END_STATE();
    case 1050:
      ACCEPT_TOKEN(anon_sym_NULL);
      if ((!eof && set_contains(sym__string_base_other_character_set_1, 12, lookahead))) ADVANCE(902);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 417},
  [2] = {.lex_state = 418},
  [3] = {.lex_state = 157},
  [4] = {.lex_state = 157},
  [5] = {.lex_state = 157},
  [6] = {.lex_state = 157},
  [7] = {.lex_state = 157},
  [8] = {.lex_state = 157},
  [9] = {.lex_state = 157},
  [10] = {.lex_state = 418},
  [11] = {.lex_state = 157},
  [12] = {.lex_state = 157},
  [13] = {.lex_state = 157},
  [14] = {.lex_state = 157},
  [15] = {.lex_state = 157, .external_lex_state = 2},
  [16] = {.lex_state = 418},
  [17] = {.lex_state = 157},
  [18] = {.lex_state = 157},
  [19] = {.lex_state = 157},
  [20] = {.lex_state = 157},
  [21] = {.lex_state = 157},
  [22] = {.lex_state = 157, .external_lex_state = 2},
  [23] = {.lex_state = 157},
  [24] = {.lex_state = 63},
  [25] = {.lex_state = 63},
  [26] = {.lex_state = 157, .external_lex_state = 2},
  [27] = {.lex_state = 63},
  [28] = {.lex_state = 64},
  [29] = {.lex_state = 64},
  [30] = {.lex_state = 64},
  [31] = {.lex_state = 54},
  [32] = {.lex_state = 54},
  [33] = {.lex_state = 54},
  [34] = {.lex_state = 63},
  [35] = {.lex_state = 63},
  [36] = {.lex_state = 63},
  [37] = {.lex_state = 63},
  [38] = {.lex_state = 64},
  [39] = {.lex_state = 64},
  [40] = {.lex_state = 64},
  [41] = {.lex_state = 64},
  [42] = {.lex_state = 63},
  [43] = {.lex_state = 54},
  [44] = {.lex_state = 54},
  [45] = {.lex_state = 54},
  [46] = {.lex_state = 63},
  [47] = {.lex_state = 54},
  [48] = {.lex_state = 64},
  [49] = {.lex_state = 63},
  [50] = {.lex_state = 63},
  [51] = {.lex_state = 63},
  [52] = {.lex_state = 63},
  [53] = {.lex_state = 63},
  [54] = {.lex_state = 53},
  [55] = {.lex_state = 63},
  [56] = {.lex_state = 63},
  [57] = {.lex_state = 63},
  [58] = {.lex_state = 63},
  [59] = {.lex_state = 63},
  [60] = {.lex_state = 63},
  [61] = {.lex_state = 63},
  [62] = {.lex_state = 53},
  [63] = {.lex_state = 53},
  [64] = {.lex_state = 63},
  [65] = {.lex_state = 64},
  [66] = {.lex_state = 63},
  [67] = {.lex_state = 64},
  [68] = {.lex_state = 63},
  [69] = {.lex_state = 63},
  [70] = {.lex_state = 63},
  [71] = {.lex_state = 63},
  [72] = {.lex_state = 63},
  [73] = {.lex_state = 63},
  [74] = {.lex_state = 64},
  [75] = {.lex_state = 64},
  [76] = {.lex_state = 63},
  [77] = {.lex_state = 64},
  [78] = {.lex_state = 56},
  [79] = {.lex_state = 64},
  [80] = {.lex_state = 64},
  [81] = {.lex_state = 65},
  [82] = {.lex_state = 57},
  [83] = {.lex_state = 64},
  [84] = {.lex_state = 56},
  [85] = {.lex_state = 64},
  [86] = {.lex_state = 65},
  [87] = {.lex_state = 64},
  [88] = {.lex_state = 4},
  [89] = {.lex_state = 56},
  [90] = {.lex_state = 64},
  [91] = {.lex_state = 57},
  [92] = {.lex_state = 64},
  [93] = {.lex_state = 64},
  [94] = {.lex_state = 64},
  [95] = {.lex_state = 64},
  [96] = {.lex_state = 64},
  [97] = {.lex_state = 64},
  [98] = {.lex_state = 64},
  [99] = {.lex_state = 4},
  [100] = {.lex_state = 57},
  [101] = {.lex_state = 64},
  [102] = {.lex_state = 64},
  [103] = {.lex_state = 65},
  [104] = {.lex_state = 54},
  [105] = {.lex_state = 4},
  [106] = {.lex_state = 66},
  [107] = {.lex_state = 54},
  [108] = {.lex_state = 58},
  [109] = {.lex_state = 54},
  [110] = {.lex_state = 66},
  [111] = {.lex_state = 54},
  [112] = {.lex_state = 58},
  [113] = {.lex_state = 66},
  [114] = {.lex_state = 58},
  [115] = {.lex_state = 54},
  [116] = {.lex_state = 54},
  [117] = {.lex_state = 54},
  [118] = {.lex_state = 54},
  [119] = {.lex_state = 54},
  [120] = {.lex_state = 54},
  [121] = {.lex_state = 54},
  [122] = {.lex_state = 54},
  [123] = {.lex_state = 54},
  [124] = {.lex_state = 59},
  [125] = {.lex_state = 53},
  [126] = {.lex_state = 54},
  [127] = {.lex_state = 54},
  [128] = {.lex_state = 59},
  [129] = {.lex_state = 54},
  [130] = {.lex_state = 54},
  [131] = {.lex_state = 59},
  [132] = {.lex_state = 54},
  [133] = {.lex_state = 53},
  [134] = {.lex_state = 54},
  [135] = {.lex_state = 54},
  [136] = {.lex_state = 54},
  [137] = {.lex_state = 415},
  [138] = {.lex_state = 60},
  [139] = {.lex_state = 61},
  [140] = {.lex_state = 61},
  [141] = {.lex_state = 415},
  [142] = {.lex_state = 53},
  [143] = {.lex_state = 53},
  [144] = {.lex_state = 60},
  [145] = {.lex_state = 60},
  [146] = {.lex_state = 61},
  [147] = {.lex_state = 53},
  [148] = {.lex_state = 53},
  [149] = {.lex_state = 415},
  [150] = {.lex_state = 65},
  [151] = {.lex_state = 57},
  [152] = {.lex_state = 4},
  [153] = {.lex_state = 57},
  [154] = {.lex_state = 56},
  [155] = {.lex_state = 2},
  [156] = {.lex_state = 57},
  [157] = {.lex_state = 62},
  [158] = {.lex_state = 4},
  [159] = {.lex_state = 2},
  [160] = {.lex_state = 1},
  [161] = {.lex_state = 56},
  [162] = {.lex_state = 62},
  [163] = {.lex_state = 57},
  [164] = {.lex_state = 56},
  [165] = {.lex_state = 1},
  [166] = {.lex_state = 4},
  [167] = {.lex_state = 2},
  [168] = {.lex_state = 56},
  [169] = {.lex_state = 65},
  [170] = {.lex_state = 65},
  [171] = {.lex_state = 1},
  [172] = {.lex_state = 4},
  [173] = {.lex_state = 62},
  [174] = {.lex_state = 65},
  [175] = {.lex_state = 3},
  [176] = {.lex_state = 72},
  [177] = {.lex_state = 58},
  [178] = {.lex_state = 52},
  [179] = {.lex_state = 66},
  [180] = {.lex_state = 66},
  [181] = {.lex_state = 58},
  [182] = {.lex_state = 66},
  [183] = {.lex_state = 3},
  [184] = {.lex_state = 52},
  [185] = {.lex_state = 72},
  [186] = {.lex_state = 66},
  [187] = {.lex_state = 58},
  [188] = {.lex_state = 3},
  [189] = {.lex_state = 58},
  [190] = {.lex_state = 52},
  [191] = {.lex_state = 59},
  [192] = {.lex_state = 65},
  [193] = {.lex_state = 59},
  [194] = {.lex_state = 55},
  [195] = {.lex_state = 59},
  [196] = {.lex_state = 55},
  [197] = {.lex_state = 55},
  [198] = {.lex_state = 59},
  [199] = {.lex_state = 53},
  [200] = {.lex_state = 53},
  [201] = {.lex_state = 61},
  [202] = {.lex_state = 60},
  [203] = {.lex_state = 4},
  [204] = {.lex_state = 53},
  [205] = {.lex_state = 1},
  [206] = {.lex_state = 60},
  [207] = {.lex_state = 108},
  [208] = {.lex_state = 61},
  [209] = {.lex_state = 108},
  [210] = {.lex_state = 65},
  [211] = {.lex_state = 53},
  [212] = {.lex_state = 60},
  [213] = {.lex_state = 56},
  [214] = {.lex_state = 108},
  [215] = {.lex_state = 1},
  [216] = {.lex_state = 108},
  [217] = {.lex_state = 60},
  [218] = {.lex_state = 61},
  [219] = {.lex_state = 53},
  [220] = {.lex_state = 61},
  [221] = {.lex_state = 57},
  [222] = {.lex_state = 53},
  [223] = {.lex_state = 1},
  [224] = {.lex_state = 57},
  [225] = {.lex_state = 53},
  [226] = {.lex_state = 62},
  [227] = {.lex_state = 53},
  [228] = {.lex_state = 65},
  [229] = {.lex_state = 53},
  [230] = {.lex_state = 53},
  [231] = {.lex_state = 52},
  [232] = {.lex_state = 53},
  [233] = {.lex_state = 52},
  [234] = {.lex_state = 58},
  [235] = {.lex_state = 56},
  [236] = {.lex_state = 53},
  [237] = {.lex_state = 53},
  [238] = {.lex_state = 65},
  [239] = {.lex_state = 53},
  [240] = {.lex_state = 66},
  [241] = {.lex_state = 57},
  [242] = {.lex_state = 1},
  [243] = {.lex_state = 62},
  [244] = {.lex_state = 53},
  [245] = {.lex_state = 2},
  [246] = {.lex_state = 56},
  [247] = {.lex_state = 62},
  [248] = {.lex_state = 2},
  [249] = {.lex_state = 53},
  [250] = {.lex_state = 2},
  [251] = {.lex_state = 53},
  [252] = {.lex_state = 57},
  [253] = {.lex_state = 1},
  [254] = {.lex_state = 53},
  [255] = {.lex_state = 53},
  [256] = {.lex_state = 56},
  [257] = {.lex_state = 4},
  [258] = {.lex_state = 53},
  [259] = {.lex_state = 65},
  [260] = {.lex_state = 1},
  [261] = {.lex_state = 4},
  [262] = {.lex_state = 4},
  [263] = {.lex_state = 53},
  [264] = {.lex_state = 4},
  [265] = {.lex_state = 65},
  [266] = {.lex_state = 53},
  [267] = {.lex_state = 57},
  [268] = {.lex_state = 2},
  [269] = {.lex_state = 53},
  [270] = {.lex_state = 53},
  [271] = {.lex_state = 3},
  [272] = {.lex_state = 62},
  [273] = {.lex_state = 56},
  [274] = {.lex_state = 57},
  [275] = {.lex_state = 65},
  [276] = {.lex_state = 57},
  [277] = {.lex_state = 65},
  [278] = {.lex_state = 56},
  [279] = {.lex_state = 66},
  [280] = {.lex_state = 65},
  [281] = {.lex_state = 57},
  [282] = {.lex_state = 57},
  [283] = {.lex_state = 4},
  [284] = {.lex_state = 52},
  [285] = {.lex_state = 56},
  [286] = {.lex_state = 56},
  [287] = {.lex_state = 57},
  [288] = {.lex_state = 58},
  [289] = {.lex_state = 57},
  [290] = {.lex_state = 72},
  [291] = {.lex_state = 4},
  [292] = {.lex_state = 72},
  [293] = {.lex_state = 4},
  [294] = {.lex_state = 56},
  [295] = {.lex_state = 56},
  [296] = {.lex_state = 72},
  [297] = {.lex_state = 57},
  [298] = {.lex_state = 72},
  [299] = {.lex_state = 65},
  [300] = {.lex_state = 4},
  [301] = {.lex_state = 4},
  [302] = {.lex_state = 52},
  [303] = {.lex_state = 57},
  [304] = {.lex_state = 56},
  [305] = {.lex_state = 56},
  [306] = {.lex_state = 65},
  [307] = {.lex_state = 56},
  [308] = {.lex_state = 65},
  [309] = {.lex_state = 4},
  [310] = {.lex_state = 4},
  [311] = {.lex_state = 66},
  [312] = {.lex_state = 4},
  [313] = {.lex_state = 57},
  [314] = {.lex_state = 58},
  [315] = {.lex_state = 52},
  [316] = {.lex_state = 4},
  [317] = {.lex_state = 3},
  [318] = {.lex_state = 4},
  [319] = {.lex_state = 57},
  [320] = {.lex_state = 65},
  [321] = {.lex_state = 57},
  [322] = {.lex_state = 65},
  [323] = {.lex_state = 57},
  [324] = {.lex_state = 65},
  [325] = {.lex_state = 56},
  [326] = {.lex_state = 66},
  [327] = {.lex_state = 57},
  [328] = {.lex_state = 3},
  [329] = {.lex_state = 3},
  [330] = {.lex_state = 59},
  [331] = {.lex_state = 4},
  [332] = {.lex_state = 65},
  [333] = {.lex_state = 56},
  [334] = {.lex_state = 65},
  [335] = {.lex_state = 57},
  [336] = {.lex_state = 56},
  [337] = {.lex_state = 3},
  [338] = {.lex_state = 4},
  [339] = {.lex_state = 4},
  [340] = {.lex_state = 56},
  [341] = {.lex_state = 4},
  [342] = {.lex_state = 52},
  [343] = {.lex_state = 65},
  [344] = {.lex_state = 65},
  [345] = {.lex_state = 4},
  [346] = {.lex_state = 66},
  [347] = {.lex_state = 56},
  [348] = {.lex_state = 57},
  [349] = {.lex_state = 58},
  [350] = {.lex_state = 57},
  [351] = {.lex_state = 65},
  [352] = {.lex_state = 56},
  [353] = {.lex_state = 56},
  [354] = {.lex_state = 65},
  [355] = {.lex_state = 4},
  [356] = {.lex_state = 56},
  [357] = {.lex_state = 65},
  [358] = {.lex_state = 65},
  [359] = {.lex_state = 58},
  [360] = {.lex_state = 59},
  [361] = {.lex_state = 58},
  [362] = {.lex_state = 77},
  [363] = {.lex_state = 66},
  [364] = {.lex_state = 72},
  [365] = {.lex_state = 10},
  [366] = {.lex_state = 55},
  [367] = {.lex_state = 58},
  [368] = {.lex_state = 77},
  [369] = {.lex_state = 59},
  [370] = {.lex_state = 66},
  [371] = {.lex_state = 55},
  [372] = {.lex_state = 59},
  [373] = {.lex_state = 72},
  [374] = {.lex_state = 58},
  [375] = {.lex_state = 58},
  [376] = {.lex_state = 55},
  [377] = {.lex_state = 58},
  [378] = {.lex_state = 55},
  [379] = {.lex_state = 72},
  [380] = {.lex_state = 66},
  [381] = {.lex_state = 66},
  [382] = {.lex_state = 66},
  [383] = {.lex_state = 58},
  [384] = {.lex_state = 66},
  [385] = {.lex_state = 77},
  [386] = {.lex_state = 66},
  [387] = {.lex_state = 10},
  [388] = {.lex_state = 58},
  [389] = {.lex_state = 66},
  [390] = {.lex_state = 66},
  [391] = {.lex_state = 58},
  [392] = {.lex_state = 66},
  [393] = {.lex_state = 66},
  [394] = {.lex_state = 58},
  [395] = {.lex_state = 58},
  [396] = {.lex_state = 66},
  [397] = {.lex_state = 66},
  [398] = {.lex_state = 72},
  [399] = {.lex_state = 66},
  [400] = {.lex_state = 10},
  [401] = {.lex_state = 58},
  [402] = {.lex_state = 61},
  [403] = {.lex_state = 58},
  [404] = {.lex_state = 59},
  [405] = {.lex_state = 60},
  [406] = {.lex_state = 58},
  [407] = {.lex_state = 58},
  [408] = {.lex_state = 66},
  [409] = {.lex_state = 58},
  [410] = {.lex_state = 66},
  [411] = {.lex_state = 58},
  [412] = {.lex_state = 59},
  [413] = {.lex_state = 59},
  [414] = {.lex_state = 71},
  [415] = {.lex_state = 61},
  [416] = {.lex_state = 59},
  [417] = {.lex_state = 62},
  [418] = {.lex_state = 59},
  [419] = {.lex_state = 60},
  [420] = {.lex_state = 59},
  [421] = {.lex_state = 59},
  [422] = {.lex_state = 59},
  [423] = {.lex_state = 59},
  [424] = {.lex_state = 59},
  [425] = {.lex_state = 59},
  [426] = {.lex_state = 59},
  [427] = {.lex_state = 59},
  [428] = {.lex_state = 61},
  [429] = {.lex_state = 59},
  [430] = {.lex_state = 61},
  [431] = {.lex_state = 60},
  [432] = {.lex_state = 60},
  [433] = {.lex_state = 59},
  [434] = {.lex_state = 61},
  [435] = {.lex_state = 1},
  [436] = {.lex_state = 59},
  [437] = {.lex_state = 2},
  [438] = {.lex_state = 71},
  [439] = {.lex_state = 59},
  [440] = {.lex_state = 60},
  [441] = {.lex_state = 60},
  [442] = {.lex_state = 3},
  [443] = {.lex_state = 60},
  [444] = {.lex_state = 62},
  [445] = {.lex_state = 61},
  [446] = {.lex_state = 60},
  [447] = {.lex_state = 61},
  [448] = {.lex_state = 60},
  [449] = {.lex_state = 61},
  [450] = {.lex_state = 60},
  [451] = {.lex_state = 62},
  [452] = {.lex_state = 61},
  [453] = {.lex_state = 61},
  [454] = {.lex_state = 2},
  [455] = {.lex_state = 61},
  [456] = {.lex_state = 60},
  [457] = {.lex_state = 61},
  [458] = {.lex_state = 60},
  [459] = {.lex_state = 1},
  [460] = {.lex_state = 62},
  [461] = {.lex_state = 61},
  [462] = {.lex_state = 61},
  [463] = {.lex_state = 1},
  [464] = {.lex_state = 61},
  [465] = {.lex_state = 60},
  [466] = {.lex_state = 1},
  [467] = {.lex_state = 60},
  [468] = {.lex_state = 60},
  [469] = {.lex_state = 52},
  [470] = {.lex_state = 61},
  [471] = {.lex_state = 60},
  [472] = {.lex_state = 2},
  [473] = {.lex_state = 62},
  [474] = {.lex_state = 60},
  [475] = {.lex_state = 2},
  [476] = {.lex_state = 2},
  [477] = {.lex_state = 60},
  [478] = {.lex_state = 1},
  [479] = {.lex_state = 61},
  [480] = {.lex_state = 61},
  [481] = {.lex_state = 60},
  [482] = {.lex_state = 61},
  [483] = {.lex_state = 61},
  [484] = {.lex_state = 61},
  [485] = {.lex_state = 60},
  [486] = {.lex_state = 60},
  [487] = {.lex_state = 1},
  [488] = {.lex_state = 108},
  [489] = {.lex_state = 62},
  [490] = {.lex_state = 1},
  [491] = {.lex_state = 62},
  [492] = {.lex_state = 52},
  [493] = {.lex_state = 62},
  [494] = {.lex_state = 52},
  [495] = {.lex_state = 55},
  [496] = {.lex_state = 52},
  [497] = {.lex_state = 2},
  [498] = {.lex_state = 3},
  [499] = {.lex_state = 1},
  [500] = {.lex_state = 62},
  [501] = {.lex_state = 1},
  [502] = {.lex_state = 62},
  [503] = {.lex_state = 1},
  [504] = {.lex_state = 1},
  [505] = {.lex_state = 2},
  [506] = {.lex_state = 2},
  [507] = {.lex_state = 1},
  [508] = {.lex_state = 2},
  [509] = {.lex_state = 52},
  [510] = {.lex_state = 2},
  [511] = {.lex_state = 1},
  [512] = {.lex_state = 2},
  [513] = {.lex_state = 1},
  [514] = {.lex_state = 2},
  [515] = {.lex_state = 1},
  [516] = {.lex_state = 1},
  [517] = {.lex_state = 52},
  [518] = {.lex_state = 2},
  [519] = {.lex_state = 2},
  [520] = {.lex_state = 1},
  [521] = {.lex_state = 62},
  [522] = {.lex_state = 2},
  [523] = {.lex_state = 62},
  [524] = {.lex_state = 1},
  [525] = {.lex_state = 1},
  [526] = {.lex_state = 1},
  [527] = {.lex_state = 1},
  [528] = {.lex_state = 38},
  [529] = {.lex_state = 3},
  [530] = {.lex_state = 62},
  [531] = {.lex_state = 62},
  [532] = {.lex_state = 3},
  [533] = {.lex_state = 2},
  [534] = {.lex_state = 2},
  [535] = {.lex_state = 2},
  [536] = {.lex_state = 62},
  [537] = {.lex_state = 62},
  [538] = {.lex_state = 62},
  [539] = {.lex_state = 62},
  [540] = {.lex_state = 38},
  [541] = {.lex_state = 3},
  [542] = {.lex_state = 2},
  [543] = {.lex_state = 62},
  [544] = {.lex_state = 1},
  [545] = {.lex_state = 10},
  [546] = {.lex_state = 62},
  [547] = {.lex_state = 2},
  [548] = {.lex_state = 1},
  [549] = {.lex_state = 2},
  [550] = {.lex_state = 62},
  [551] = {.lex_state = 108},
  [552] = {.lex_state = 38},
  [553] = {.lex_state = 1},
  [554] = {.lex_state = 52},
  [555] = {.lex_state = 3},
  [556] = {.lex_state = 52},
  [557] = {.lex_state = 52},
  [558] = {.lex_state = 52},
  [559] = {.lex_state = 52},
  [560] = {.lex_state = 3},
  [561] = {.lex_state = 52},
  [562] = {.lex_state = 3},
  [563] = {.lex_state = 52},
  [564] = {.lex_state = 52},
  [565] = {.lex_state = 52},
  [566] = {.lex_state = 3},
  [567] = {.lex_state = 3},
  [568] = {.lex_state = 3},
  [569] = {.lex_state = 3},
  [570] = {.lex_state = 3},
  [571] = {.lex_state = 52},
  [572] = {.lex_state = 3},
  [573] = {.lex_state = 10},
  [574] = {.lex_state = 3},
  [575] = {.lex_state = 52},
  [576] = {.lex_state = 52},
  [577] = {.lex_state = 52},
  [578] = {.lex_state = 55},
  [579] = {.lex_state = 52},
  [580] = {.lex_state = 10},
  [581] = {.lex_state = 52},
  [582] = {.lex_state = 55},
  [583] = {.lex_state = 52},
  [584] = {.lex_state = 10},
  [585] = {.lex_state = 3},
  [586] = {.lex_state = 3},
  [587] = {.lex_state = 3},
  [588] = {.lex_state = 3},
  [589] = {.lex_state = 3},
  [590] = {.lex_state = 52},
  [591] = {.lex_state = 55},
  [592] = {.lex_state = 3},
  [593] = {.lex_state = 55},
  [594] = {.lex_state = 52},
  [595] = {.lex_state = 10},
  [596] = {.lex_state = 3},
  [597] = {.lex_state = 71},
  [598] = {.lex_state = 10},
  [599] = {.lex_state = 55},
  [600] = {.lex_state = 55},
  [601] = {.lex_state = 55},
  [602] = {.lex_state = 10},
  [603] = {.lex_state = 71},
  [604] = {.lex_state = 55},
  [605] = {.lex_state = 55},
  [606] = {.lex_state = 86},
  [607] = {.lex_state = 55},
  [608] = {.lex_state = 55},
  [609] = {.lex_state = 86},
  [610] = {.lex_state = 55},
  [611] = {.lex_state = 10},
  [612] = {.lex_state = 10},
  [613] = {.lex_state = 55},
  [614] = {.lex_state = 86},
  [615] = {.lex_state = 55},
  [616] = {.lex_state = 10},
  [617] = {.lex_state = 55},
  [618] = {.lex_state = 55},
  [619] = {.lex_state = 71},
  [620] = {.lex_state = 10},
  [621] = {.lex_state = 10},
  [622] = {.lex_state = 55},
  [623] = {.lex_state = 55},
  [624] = {.lex_state = 55},
  [625] = {.lex_state = 10},
  [626] = {.lex_state = 55},
  [627] = {.lex_state = 71},
  [628] = {.lex_state = 415},
  [629] = {.lex_state = 71},
  [630] = {.lex_state = 71},
  [631] = {.lex_state = 71},
  [632] = {.lex_state = 93},
  [633] = {.lex_state = 71},
  [634] = {.lex_state = 415},
  [635] = {.lex_state = 93},
  [636] = {.lex_state = 93},
  [637] = {.lex_state = 8},
  [638] = {.lex_state = 8},
  [639] = {.lex_state = 91},
  [640] = {.lex_state = 67},
  [641] = {.lex_state = 67},
  [642] = {.lex_state = 91},
  [643] = {.lex_state = 67},
  [644] = {.lex_state = 91},
  [645] = {.lex_state = 8},
  [646] = {.lex_state = 8},
  [647] = {.lex_state = 8},
  [648] = {.lex_state = 109},
  [649] = {.lex_state = 68},
  [650] = {.lex_state = 107},
  [651] = {.lex_state = 68},
  [652] = {.lex_state = 8},
  [653] = {.lex_state = 68},
  [654] = {.lex_state = 157},
  [655] = {.lex_state = 157},
  [656] = {.lex_state = 157},
  [657] = {.lex_state = 8},
  [658] = {.lex_state = 157},
  [659] = {.lex_state = 88},
  [660] = {.lex_state = 157},
  [661] = {.lex_state = 157},
  [662] = {.lex_state = 157},
  [663] = {.lex_state = 157},
  [664] = {.lex_state = 157},
  [665] = {.lex_state = 157},
  [666] = {.lex_state = 157},
  [667] = {.lex_state = 157},
  [668] = {.lex_state = 157},
  [669] = {.lex_state = 157},
  [670] = {.lex_state = 157},
  [671] = {.lex_state = 157},
  [672] = {.lex_state = 157},
  [673] = {.lex_state = 157},
  [674] = {.lex_state = 157},
  [675] = {.lex_state = 157},
  [676] = {.lex_state = 157},
  [677] = {.lex_state = 108},
  [678] = {.lex_state = 88},
  [679] = {.lex_state = 108},
  [680] = {.lex_state = 157},
  [681] = {.lex_state = 157},
  [682] = {.lex_state = 157},
  [683] = {.lex_state = 157},
  [684] = {.lex_state = 157},
  [685] = {.lex_state = 88},
  [686] = {.lex_state = 157},
  [687] = {.lex_state = 157},
  [688] = {.lex_state = 157},
  [689] = {.lex_state = 157},
  [690] = {.lex_state = 157},
  [691] = {.lex_state = 157},
  [692] = {.lex_state = 157},
  [693] = {.lex_state = 157},
  [694] = {.lex_state = 157},
  [695] = {.lex_state = 157},
  [696] = {.lex_state = 108},
  [697] = {.lex_state = 157},
  [698] = {.lex_state = 157},
  [699] = {.lex_state = 157},
  [700] = {.lex_state = 157},
  [701] = {.lex_state = 157},
  [702] = {.lex_state = 157},
  [703] = {.lex_state = 157},
  [704] = {.lex_state = 157},
  [705] = {.lex_state = 157},
  [706] = {.lex_state = 157},
  [707] = {.lex_state = 157},
  [708] = {.lex_state = 157},
  [709] = {.lex_state = 157},
  [710] = {.lex_state = 157},
  [711] = {.lex_state = 157},
  [712] = {.lex_state = 157},
  [713] = {.lex_state = 157},
  [714] = {.lex_state = 157},
  [715] = {.lex_state = 157},
  [716] = {.lex_state = 157},
  [717] = {.lex_state = 157},
  [718] = {.lex_state = 157},
  [719] = {.lex_state = 157},
  [720] = {.lex_state = 108},
  [721] = {.lex_state = 157},
  [722] = {.lex_state = 108},
  [723] = {.lex_state = 157},
  [724] = {.lex_state = 157},
  [725] = {.lex_state = 157},
  [726] = {.lex_state = 157},
  [727] = {.lex_state = 157},
  [728] = {.lex_state = 157},
  [729] = {.lex_state = 157},
  [730] = {.lex_state = 157},
  [731] = {.lex_state = 157},
  [732] = {.lex_state = 157},
  [733] = {.lex_state = 157},
  [734] = {.lex_state = 157},
  [735] = {.lex_state = 88},
  [736] = {.lex_state = 157},
  [737] = {.lex_state = 157},
  [738] = {.lex_state = 157},
  [739] = {.lex_state = 157},
  [740] = {.lex_state = 157},
  [741] = {.lex_state = 157},
  [742] = {.lex_state = 157},
  [743] = {.lex_state = 157},
  [744] = {.lex_state = 157},
  [745] = {.lex_state = 157},
  [746] = {.lex_state = 157},
  [747] = {.lex_state = 157},
  [748] = {.lex_state = 157},
  [749] = {.lex_state = 114},
  [750] = {.lex_state = 114},
  [751] = {.lex_state = 114},
  [752] = {.lex_state = 95},
  [753] = {.lex_state = 8},
  [754] = {.lex_state = 95},
  [755] = {.lex_state = 114},
  [756] = {.lex_state = 8},
  [757] = {.lex_state = 95},
  [758] = {.lex_state = 418},
  [759] = {.lex_state = 418},
  [760] = {.lex_state = 418},
  [761] = {.lex_state = 418},
  [762] = {.lex_state = 418},
  [763] = {.lex_state = 8},
  [764] = {.lex_state = 97},
  [765] = {.lex_state = 418},
  [766] = {.lex_state = 418},
  [767] = {.lex_state = 418},
  [768] = {.lex_state = 418},
  [769] = {.lex_state = 418},
  [770] = {.lex_state = 418},
  [771] = {.lex_state = 418},
  [772] = {.lex_state = 418},
  [773] = {.lex_state = 8},
  [774] = {.lex_state = 418},
  [775] = {.lex_state = 418},
  [776] = {.lex_state = 418},
  [777] = {.lex_state = 418},
  [778] = {.lex_state = 418},
  [779] = {.lex_state = 418},
  [780] = {.lex_state = 67},
  [781] = {.lex_state = 418},
  [782] = {.lex_state = 418},
  [783] = {.lex_state = 418},
  [784] = {.lex_state = 418},
  [785] = {.lex_state = 418},
  [786] = {.lex_state = 97},
  [787] = {.lex_state = 418},
  [788] = {.lex_state = 418},
  [789] = {.lex_state = 418},
  [790] = {.lex_state = 418},
  [791] = {.lex_state = 418},
  [792] = {.lex_state = 418},
  [793] = {.lex_state = 97},
  [794] = {.lex_state = 418},
  [795] = {.lex_state = 418},
  [796] = {.lex_state = 418},
  [797] = {.lex_state = 418},
  [798] = {.lex_state = 418},
  [799] = {.lex_state = 418},
  [800] = {.lex_state = 418},
  [801] = {.lex_state = 114},
  [802] = {.lex_state = 8},
  [803] = {.lex_state = 418},
  [804] = {.lex_state = 418},
  [805] = {.lex_state = 79},
  [806] = {.lex_state = 418},
  [807] = {.lex_state = 418},
  [808] = {.lex_state = 418},
  [809] = {.lex_state = 418},
  [810] = {.lex_state = 418},
  [811] = {.lex_state = 418},
  [812] = {.lex_state = 418},
  [813] = {.lex_state = 418},
  [814] = {.lex_state = 418},
  [815] = {.lex_state = 418},
  [816] = {.lex_state = 8},
  [817] = {.lex_state = 418},
  [818] = {.lex_state = 418},
  [819] = {.lex_state = 418},
  [820] = {.lex_state = 418},
  [821] = {.lex_state = 418},
  [822] = {.lex_state = 418},
  [823] = {.lex_state = 418},
  [824] = {.lex_state = 67},
  [825] = {.lex_state = 67},
  [826] = {.lex_state = 418},
  [827] = {.lex_state = 418},
  [828] = {.lex_state = 418},
  [829] = {.lex_state = 418},
  [830] = {.lex_state = 418},
  [831] = {.lex_state = 418},
  [832] = {.lex_state = 418},
  [833] = {.lex_state = 418},
  [834] = {.lex_state = 418},
  [835] = {.lex_state = 418},
  [836] = {.lex_state = 418},
  [837] = {.lex_state = 67},
  [838] = {.lex_state = 418},
  [839] = {.lex_state = 418},
  [840] = {.lex_state = 418},
  [841] = {.lex_state = 418},
  [842] = {.lex_state = 418},
  [843] = {.lex_state = 418},
  [844] = {.lex_state = 418},
  [845] = {.lex_state = 418},
  [846] = {.lex_state = 418},
  [847] = {.lex_state = 418},
  [848] = {.lex_state = 418},
  [849] = {.lex_state = 418},
  [850] = {.lex_state = 418},
  [851] = {.lex_state = 418},
  [852] = {.lex_state = 418},
  [853] = {.lex_state = 418},
  [854] = {.lex_state = 418},
  [855] = {.lex_state = 418},
  [856] = {.lex_state = 418},
  [857] = {.lex_state = 418},
  [858] = {.lex_state = 77},
  [859] = {.lex_state = 157, .external_lex_state = 2},
  [860] = {.lex_state = 99},
  [861] = {.lex_state = 157, .external_lex_state = 2},
  [862] = {.lex_state = 69},
  [863] = {.lex_state = 69},
  [864] = {.lex_state = 69},
  [865] = {.lex_state = 99},
  [866] = {.lex_state = 37},
  [867] = {.lex_state = 75},
  [868] = {.lex_state = 157, .external_lex_state = 2},
  [869] = {.lex_state = 68},
  [870] = {.lex_state = 157, .external_lex_state = 2},
  [871] = {.lex_state = 157, .external_lex_state = 2},
  [872] = {.lex_state = 157, .external_lex_state = 2},
  [873] = {.lex_state = 157, .external_lex_state = 2},
  [874] = {.lex_state = 37},
  [875] = {.lex_state = 157, .external_lex_state = 2},
  [876] = {.lex_state = 75},
  [877] = {.lex_state = 157, .external_lex_state = 2},
  [878] = {.lex_state = 157, .external_lex_state = 2},
  [879] = {.lex_state = 157, .external_lex_state = 2},
  [880] = {.lex_state = 157, .external_lex_state = 2},
  [881] = {.lex_state = 157, .external_lex_state = 2},
  [882] = {.lex_state = 75},
  [883] = {.lex_state = 157, .external_lex_state = 2},
  [884] = {.lex_state = 157, .external_lex_state = 2},
  [885] = {.lex_state = 157, .external_lex_state = 2},
  [886] = {.lex_state = 157, .external_lex_state = 2},
  [887] = {.lex_state = 157, .external_lex_state = 2},
  [888] = {.lex_state = 157, .external_lex_state = 2},
  [889] = {.lex_state = 157, .external_lex_state = 2},
  [890] = {.lex_state = 157, .external_lex_state = 2},
  [891] = {.lex_state = 157, .external_lex_state = 2},
  [892] = {.lex_state = 157, .external_lex_state = 2},
  [893] = {.lex_state = 75},
  [894] = {.lex_state = 415},
  [895] = {.lex_state = 157, .external_lex_state = 2},
  [896] = {.lex_state = 157, .external_lex_state = 2},
  [897] = {.lex_state = 157, .external_lex_state = 2},
  [898] = {.lex_state = 75},
  [899] = {.lex_state = 75},
  [900] = {.lex_state = 157, .external_lex_state = 2},
  [901] = {.lex_state = 157, .external_lex_state = 2},
  [902] = {.lex_state = 157, .external_lex_state = 2},
  [903] = {.lex_state = 157, .external_lex_state = 2},
  [904] = {.lex_state = 415},
  [905] = {.lex_state = 157, .external_lex_state = 2},
  [906] = {.lex_state = 415},
  [907] = {.lex_state = 415},
  [908] = {.lex_state = 157, .external_lex_state = 2},
  [909] = {.lex_state = 99},
  [910] = {.lex_state = 77},
  [911] = {.lex_state = 157, .external_lex_state = 2},
  [912] = {.lex_state = 157, .external_lex_state = 2},
  [913] = {.lex_state = 157, .external_lex_state = 2},
  [914] = {.lex_state = 157, .external_lex_state = 2},
  [915] = {.lex_state = 157, .external_lex_state = 2},
  [916] = {.lex_state = 157, .external_lex_state = 2},
  [917] = {.lex_state = 415},
  [918] = {.lex_state = 157, .external_lex_state = 2},
  [919] = {.lex_state = 157, .external_lex_state = 2},
  [920] = {.lex_state = 157, .external_lex_state = 2},
  [921] = {.lex_state = 157, .external_lex_state = 2},
  [922] = {.lex_state = 157, .external_lex_state = 2},
  [923] = {.lex_state = 157, .external_lex_state = 2},
  [924] = {.lex_state = 157, .external_lex_state = 2},
  [925] = {.lex_state = 157, .external_lex_state = 2},
  [926] = {.lex_state = 157, .external_lex_state = 2},
  [927] = {.lex_state = 157, .external_lex_state = 2},
  [928] = {.lex_state = 157, .external_lex_state = 2},
  [929] = {.lex_state = 157, .external_lex_state = 2},
  [930] = {.lex_state = 157, .external_lex_state = 2},
  [931] = {.lex_state = 157, .external_lex_state = 2},
  [932] = {.lex_state = 75},
  [933] = {.lex_state = 157, .external_lex_state = 2},
  [934] = {.lex_state = 157, .external_lex_state = 2},
  [935] = {.lex_state = 157, .external_lex_state = 2},
  [936] = {.lex_state = 157, .external_lex_state = 2},
  [937] = {.lex_state = 157, .external_lex_state = 2},
  [938] = {.lex_state = 157, .external_lex_state = 2},
  [939] = {.lex_state = 157, .external_lex_state = 2},
  [940] = {.lex_state = 157, .external_lex_state = 2},
  [941] = {.lex_state = 157, .external_lex_state = 2},
  [942] = {.lex_state = 68},
  [943] = {.lex_state = 157, .external_lex_state = 2},
  [944] = {.lex_state = 37},
  [945] = {.lex_state = 157, .external_lex_state = 2},
  [946] = {.lex_state = 157, .external_lex_state = 2},
  [947] = {.lex_state = 157, .external_lex_state = 2},
  [948] = {.lex_state = 157, .external_lex_state = 2},
  [949] = {.lex_state = 157, .external_lex_state = 2},
  [950] = {.lex_state = 157, .external_lex_state = 2},
  [951] = {.lex_state = 157, .external_lex_state = 2},
  [952] = {.lex_state = 75},
  [953] = {.lex_state = 75},
  [954] = {.lex_state = 75},
  [955] = {.lex_state = 157, .external_lex_state = 2},
  [956] = {.lex_state = 157, .external_lex_state = 2},
  [957] = {.lex_state = 157, .external_lex_state = 2},
  [958] = {.lex_state = 157, .external_lex_state = 2},
  [959] = {.lex_state = 157, .external_lex_state = 2},
  [960] = {.lex_state = 157, .external_lex_state = 2},
  [961] = {.lex_state = 157, .external_lex_state = 2},
  [962] = {.lex_state = 157, .external_lex_state = 2},
  [963] = {.lex_state = 157, .external_lex_state = 2},
  [964] = {.lex_state = 157, .external_lex_state = 2},
  [965] = {.lex_state = 157, .external_lex_state = 2},
  [966] = {.lex_state = 75},
  [967] = {.lex_state = 157, .external_lex_state = 2},
  [968] = {.lex_state = 157, .external_lex_state = 2},
  [969] = {.lex_state = 68},
  [970] = {.lex_state = 157, .external_lex_state = 2},
  [971] = {.lex_state = 68},
  [972] = {.lex_state = 157, .external_lex_state = 2},
  [973] = {.lex_state = 157, .external_lex_state = 2},
  [974] = {.lex_state = 76},
  [975] = {.lex_state = 8},
  [976] = {.lex_state = 70},
  [977] = {.lex_state = 70},
  [978] = {.lex_state = 36},
  [979] = {.lex_state = 11},
  [980] = {.lex_state = 36},
  [981] = {.lex_state = 76},
  [982] = {.lex_state = 9},
  [983] = {.lex_state = 70},
  [984] = {.lex_state = 75},
  [985] = {.lex_state = 9},
  [986] = {.lex_state = 76},
  [987] = {.lex_state = 75},
  [988] = {.lex_state = 36},
  [989] = {.lex_state = 67},
  [990] = {.lex_state = 75},
  [991] = {.lex_state = 9},
  [992] = {.lex_state = 75},
  [993] = {.lex_state = 11},
  [994] = {.lex_state = 6},
  [995] = {.lex_state = 7},
  [996] = {.lex_state = 83},
  [997] = {.lex_state = 5},
  [998] = {.lex_state = 5},
  [999] = {.lex_state = 37},
  [1000] = {.lex_state = 7},
  [1001] = {.lex_state = 7},
  [1002] = {.lex_state = 75},
  [1003] = {.lex_state = 6},
  [1004] = {.lex_state = 67},
  [1005] = {.lex_state = 8},
  [1006] = {.lex_state = 9},
  [1007] = {.lex_state = 83},
  [1008] = {.lex_state = 37},
  [1009] = {.lex_state = 83},
  [1010] = {.lex_state = 6},
  [1011] = {.lex_state = 5},
  [1012] = {.lex_state = 67},
  [1013] = {.lex_state = 67},
  [1014] = {.lex_state = 90},
  [1015] = {.lex_state = 67},
  [1016] = {.lex_state = 9},
  [1017] = {.lex_state = 8},
  [1018] = {.lex_state = 67},
  [1019] = {.lex_state = 68},
  [1020] = {.lex_state = 37},
  [1021] = {.lex_state = 90},
  [1022] = {.lex_state = 35},
  [1023] = {.lex_state = 8},
  [1024] = {.lex_state = 8},
  [1025] = {.lex_state = 114},
  [1026] = {.lex_state = 37},
  [1027] = {.lex_state = 86},
  [1028] = {.lex_state = 8},
  [1029] = {.lex_state = 91},
  [1030] = {.lex_state = 8},
  [1031] = {.lex_state = 37},
  [1032] = {.lex_state = 35},
  [1033] = {.lex_state = 70},
  [1034] = {.lex_state = 11},
  [1035] = {.lex_state = 35},
  [1036] = {.lex_state = 37},
  [1037] = {.lex_state = 37},
  [1038] = {.lex_state = 91},
  [1039] = {.lex_state = 8},
  [1040] = {.lex_state = 35},
  [1041] = {.lex_state = 35},
  [1042] = {.lex_state = 35},
  [1043] = {.lex_state = 90},
  [1044] = {.lex_state = 35},
  [1045] = {.lex_state = 37},
  [1046] = {.lex_state = 35},
  [1047] = {.lex_state = 37},
  [1048] = {.lex_state = 8},
  [1049] = {.lex_state = 37},
  [1050] = {.lex_state = 37},
  [1051] = {.lex_state = 8},
  [1052] = {.lex_state = 86},
  [1053] = {.lex_state = 8},
  [1054] = {.lex_state = 67},
  [1055] = {.lex_state = 68},
  [1056] = {.lex_state = 38},
  [1057] = {.lex_state = 70},
  [1058] = {.lex_state = 67},
  [1059] = {.lex_state = 8},
  [1060] = {.lex_state = 83},
  [1061] = {.lex_state = 69},
  [1062] = {.lex_state = 101},
  [1063] = {.lex_state = 83},
  [1064] = {.lex_state = 83},
  [1065] = {.lex_state = 8},
  [1066] = {.lex_state = 8},
  [1067] = {.lex_state = 37},
  [1068] = {.lex_state = 83},
  [1069] = {.lex_state = 67},
  [1070] = {.lex_state = 8},
  [1071] = {.lex_state = 67},
  [1072] = {.lex_state = 8},
  [1073] = {.lex_state = 37},
  [1074] = {.lex_state = 68},
  [1075] = {.lex_state = 8},
  [1076] = {.lex_state = 8},
  [1077] = {.lex_state = 83},
  [1078] = {.lex_state = 68},
  [1079] = {.lex_state = 67},
  [1080] = {.lex_state = 67},
  [1081] = {.lex_state = 40},
  [1082] = {.lex_state = 8},
  [1083] = {.lex_state = 8},
  [1084] = {.lex_state = 8},
  [1085] = {.lex_state = 8},
  [1086] = {.lex_state = 67},
  [1087] = {.lex_state = 37},
  [1088] = {.lex_state = 83},
  [1089] = {.lex_state = 37},
  [1090] = {.lex_state = 69},
  [1091] = {.lex_state = 67},
  [1092] = {.lex_state = 8},
  [1093] = {.lex_state = 83},
  [1094] = {.lex_state = 83},
  [1095] = {.lex_state = 83},
  [1096] = {.lex_state = 9},
  [1097] = {.lex_state = 69},
  [1098] = {.lex_state = 8},
  [1099] = {.lex_state = 67},
  [1100] = {.lex_state = 37},
  [1101] = {.lex_state = 67},
  [1102] = {.lex_state = 67},
  [1103] = {.lex_state = 69},
  [1104] = {.lex_state = 67},
  [1105] = {.lex_state = 83},
  [1106] = {.lex_state = 83},
  [1107] = {.lex_state = 37},
  [1108] = {.lex_state = 37},
  [1109] = {.lex_state = 83},
  [1110] = {.lex_state = 83},
  [1111] = {.lex_state = 37},
  [1112] = {.lex_state = 8},
  [1113] = {.lex_state = 67},
  [1114] = {.lex_state = 67},
  [1115] = {.lex_state = 38},
  [1116] = {.lex_state = 83},
  [1117] = {.lex_state = 83},
  [1118] = {.lex_state = 67},
  [1119] = {.lex_state = 8},
  [1120] = {.lex_state = 68},
  [1121] = {.lex_state = 67},
  [1122] = {.lex_state = 67},
  [1123] = {.lex_state = 83},
  [1124] = {.lex_state = 68},
  [1125] = {.lex_state = 9},
  [1126] = {.lex_state = 68},
  [1127] = {.lex_state = 83},
  [1128] = {.lex_state = 88},
  [1129] = {.lex_state = 37},
  [1130] = {.lex_state = 7},
  [1131] = {.lex_state = 83},
  [1132] = {.lex_state = 82},
  [1133] = {.lex_state = 82},
  [1134] = {.lex_state = 78},
  [1135] = {.lex_state = 68},
  [1136] = {.lex_state = 68},
  [1137] = {.lex_state = 68},
  [1138] = {.lex_state = 68},
  [1139] = {.lex_state = 9},
  [1140] = {.lex_state = 68},
  [1141] = {.lex_state = 83},
  [1142] = {.lex_state = 9},
  [1143] = {.lex_state = 83},
  [1144] = {.lex_state = 70},
  [1145] = {.lex_state = 70},
  [1146] = {.lex_state = 68},
  [1147] = {.lex_state = 68},
  [1148] = {.lex_state = 68},
  [1149] = {.lex_state = 83},
  [1150] = {.lex_state = 68},
  [1151] = {.lex_state = 70},
  [1152] = {.lex_state = 9},
  [1153] = {.lex_state = 83},
  [1154] = {.lex_state = 68},
  [1155] = {.lex_state = 85},
  [1156] = {.lex_state = 37},
  [1157] = {.lex_state = 68},
  [1158] = {.lex_state = 70},
  [1159] = {.lex_state = 68},
  [1160] = {.lex_state = 68},
  [1161] = {.lex_state = 88},
  [1162] = {.lex_state = 82},
  [1163] = {.lex_state = 85},
  [1164] = {.lex_state = 68},
  [1165] = {.lex_state = 37},
  [1166] = {.lex_state = 6},
  [1167] = {.lex_state = 122},
  [1168] = {.lex_state = 122},
  [1169] = {.lex_state = 83},
  [1170] = {.lex_state = 83},
  [1171] = {.lex_state = 77},
  [1172] = {.lex_state = 93},
  [1173] = {.lex_state = 83},
  [1174] = {.lex_state = 6},
  [1175] = {.lex_state = 83},
  [1176] = {.lex_state = 83},
  [1177] = {.lex_state = 83},
  [1178] = {.lex_state = 83},
  [1179] = {.lex_state = 83},
  [1180] = {.lex_state = 83},
  [1181] = {.lex_state = 83},
  [1182] = {.lex_state = 6},
  [1183] = {.lex_state = 83},
  [1184] = {.lex_state = 83},
  [1185] = {.lex_state = 83},
  [1186] = {.lex_state = 83},
  [1187] = {.lex_state = 83},
  [1188] = {.lex_state = 83},
  [1189] = {.lex_state = 6},
  [1190] = {.lex_state = 83},
  [1191] = {.lex_state = 83},
  [1192] = {.lex_state = 83},
  [1193] = {.lex_state = 83},
  [1194] = {.lex_state = 83},
  [1195] = {.lex_state = 83},
  [1196] = {.lex_state = 6},
  [1197] = {.lex_state = 83},
  [1198] = {.lex_state = 83},
  [1199] = {.lex_state = 83},
  [1200] = {.lex_state = 83},
  [1201] = {.lex_state = 83},
  [1202] = {.lex_state = 83},
  [1203] = {.lex_state = 83},
  [1204] = {.lex_state = 83},
  [1205] = {.lex_state = 83},
  [1206] = {.lex_state = 122},
  [1207] = {.lex_state = 83},
  [1208] = {.lex_state = 83},
  [1209] = {.lex_state = 83},
  [1210] = {.lex_state = 77},
  [1211] = {.lex_state = 83},
  [1212] = {.lex_state = 83},
  [1213] = {.lex_state = 83},
  [1214] = {.lex_state = 83},
  [1215] = {.lex_state = 83},
  [1216] = {.lex_state = 83},
  [1217] = {.lex_state = 83},
  [1218] = {.lex_state = 83},
  [1219] = {.lex_state = 77},
  [1220] = {.lex_state = 83},
  [1221] = {.lex_state = 83},
  [1222] = {.lex_state = 77},
  [1223] = {.lex_state = 83},
  [1224] = {.lex_state = 83},
  [1225] = {.lex_state = 83},
  [1226] = {.lex_state = 77},
  [1227] = {.lex_state = 83},
  [1228] = {.lex_state = 77},
  [1229] = {.lex_state = 83},
  [1230] = {.lex_state = 83},
  [1231] = {.lex_state = 83},
  [1232] = {.lex_state = 83},
  [1233] = {.lex_state = 83},
  [1234] = {.lex_state = 83},
  [1235] = {.lex_state = 122},
  [1236] = {.lex_state = 83},
  [1237] = {.lex_state = 83},
  [1238] = {.lex_state = 83},
  [1239] = {.lex_state = 83},
  [1240] = {.lex_state = 83},
  [1241] = {.lex_state = 83},
  [1242] = {.lex_state = 83},
  [1243] = {.lex_state = 83},
  [1244] = {.lex_state = 83},
  [1245] = {.lex_state = 83},
  [1246] = {.lex_state = 83},
  [1247] = {.lex_state = 83},
  [1248] = {.lex_state = 83},
  [1249] = {.lex_state = 83},
  [1250] = {.lex_state = 83},
  [1251] = {.lex_state = 83},
  [1252] = {.lex_state = 83},
  [1253] = {.lex_state = 93},
  [1254] = {.lex_state = 31},
  [1255] = {.lex_state = 77},
  [1256] = {.lex_state = 7},
  [1257] = {.lex_state = 83},
  [1258] = {.lex_state = 83},
  [1259] = {.lex_state = 83},
  [1260] = {.lex_state = 83},
  [1261] = {.lex_state = 39},
  [1262] = {.lex_state = 83},
  [1263] = {.lex_state = 77},
  [1264] = {.lex_state = 83},
  [1265] = {.lex_state = 31},
  [1266] = {.lex_state = 83},
  [1267] = {.lex_state = 83},
  [1268] = {.lex_state = 83},
  [1269] = {.lex_state = 83},
  [1270] = {.lex_state = 83},
  [1271] = {.lex_state = 83},
  [1272] = {.lex_state = 83},
  [1273] = {.lex_state = 89},
  [1274] = {.lex_state = 83},
  [1275] = {.lex_state = 83},
  [1276] = {.lex_state = 83},
  [1277] = {.lex_state = 77},
  [1278] = {.lex_state = 31},
  [1279] = {.lex_state = 113},
  [1280] = {.lex_state = 5},
  [1281] = {.lex_state = 77},
  [1282] = {.lex_state = 5},
  [1283] = {.lex_state = 87},
  [1284] = {.lex_state = 7},
  [1285] = {.lex_state = 7},
  [1286] = {.lex_state = 7},
  [1287] = {.lex_state = 5},
  [1288] = {.lex_state = 5},
  [1289] = {.lex_state = 115},
  [1290] = {.lex_state = 7},
  [1291] = {.lex_state = 110},
  [1292] = {.lex_state = 110},
  [1293] = {.lex_state = 110},
  [1294] = {.lex_state = 110},
  [1295] = {.lex_state = 69},
  [1296] = {.lex_state = 97},
  [1297] = {.lex_state = 110},
  [1298] = {.lex_state = 38},
  [1299] = {.lex_state = 110},
  [1300] = {.lex_state = 86},
  [1301] = {.lex_state = 70},
  [1302] = {.lex_state = 88},
  [1303] = {.lex_state = 110},
  [1304] = {.lex_state = 97},
  [1305] = {.lex_state = 9},
  [1306] = {.lex_state = 114},
  [1307] = {.lex_state = 74},
  [1308] = {.lex_state = 38},
  [1309] = {.lex_state = 70},
  [1310] = {.lex_state = 114},
  [1311] = {.lex_state = 110},
  [1312] = {.lex_state = 110},
  [1313] = {.lex_state = 73},
  [1314] = {.lex_state = 92},
  [1315] = {.lex_state = 110},
  [1316] = {.lex_state = 86},
  [1317] = {.lex_state = 114},
  [1318] = {.lex_state = 110},
  [1319] = {.lex_state = 86},
  [1320] = {.lex_state = 12},
  [1321] = {.lex_state = 114},
  [1322] = {.lex_state = 110},
  [1323] = {.lex_state = 110},
  [1324] = {.lex_state = 110},
  [1325] = {.lex_state = 69},
  [1326] = {.lex_state = 91},
  [1327] = {.lex_state = 91},
  [1328] = {.lex_state = 80},
  [1329] = {.lex_state = 91},
  [1330] = {.lex_state = 94},
  [1331] = {.lex_state = 70},
  [1332] = {.lex_state = 69},
  [1333] = {.lex_state = 33},
  [1334] = {.lex_state = 9},
  [1335] = {.lex_state = 33},
  [1336] = {.lex_state = 12},
  [1337] = {.lex_state = 7},
  [1338] = {.lex_state = 12},
  [1339] = {.lex_state = 69},
  [1340] = {.lex_state = 69},
  [1341] = {.lex_state = 91},
  [1342] = {.lex_state = 33},
  [1343] = {.lex_state = 74},
  [1344] = {.lex_state = 80},
  [1345] = {.lex_state = 73},
  [1346] = {.lex_state = 73},
  [1347] = {.lex_state = 95},
  [1348] = {.lex_state = 74},
  [1349] = {.lex_state = 80},
  [1350] = {.lex_state = 95},
  [1351] = {.lex_state = 111},
  [1352] = {.lex_state = 111},
  [1353] = {.lex_state = 81},
  [1354] = {.lex_state = 111},
  [1355] = {.lex_state = 7},
  [1356] = {.lex_state = 55},
  [1357] = {.lex_state = 111},
  [1358] = {.lex_state = 6},
  [1359] = {.lex_state = 111},
  [1360] = {.lex_state = 70},
  [1361] = {.lex_state = 111},
  [1362] = {.lex_state = 69},
  [1363] = {.lex_state = 69},
  [1364] = {.lex_state = 111},
  [1365] = {.lex_state = 111},
  [1366] = {.lex_state = 69},
  [1367] = {.lex_state = 69},
  [1368] = {.lex_state = 111},
  [1369] = {.lex_state = 111},
  [1370] = {.lex_state = 70},
  [1371] = {.lex_state = 5},
  [1372] = {.lex_state = 111},
  [1373] = {.lex_state = 43},
  [1374] = {.lex_state = 111},
  [1375] = {.lex_state = 111},
  [1376] = {.lex_state = 69},
  [1377] = {.lex_state = 111},
  [1378] = {.lex_state = 69},
  [1379] = {.lex_state = 111},
  [1380] = {.lex_state = 69},
  [1381] = {.lex_state = 43},
  [1382] = {.lex_state = 111},
  [1383] = {.lex_state = 111},
  [1384] = {.lex_state = 84},
  [1385] = {.lex_state = 111},
  [1386] = {.lex_state = 111},
  [1387] = {.lex_state = 111},
  [1388] = {.lex_state = 69},
  [1389] = {.lex_state = 111},
  [1390] = {.lex_state = 111},
  [1391] = {.lex_state = 69},
  [1392] = {.lex_state = 111},
  [1393] = {.lex_state = 70},
  [1394] = {.lex_state = 9},
  [1395] = {.lex_state = 7},
  [1396] = {.lex_state = 111},
  [1397] = {.lex_state = 69},
  [1398] = {.lex_state = 111},
  [1399] = {.lex_state = 111},
  [1400] = {.lex_state = 111},
  [1401] = {.lex_state = 111},
  [1402] = {.lex_state = 111},
  [1403] = {.lex_state = 9},
  [1404] = {.lex_state = 69},
  [1405] = {.lex_state = 69},
  [1406] = {.lex_state = 81},
  [1407] = {.lex_state = 111},
  [1408] = {.lex_state = 70},
  [1409] = {.lex_state = 111},
  [1410] = {.lex_state = 98},
  [1411] = {.lex_state = 70},
  [1412] = {.lex_state = 111},
  [1413] = {.lex_state = 69},
  [1414] = {.lex_state = 105},
  [1415] = {.lex_state = 111},
  [1416] = {.lex_state = 93},
  [1417] = {.lex_state = 111},
  [1418] = {.lex_state = 96},
  [1419] = {.lex_state = 55},
  [1420] = {.lex_state = 99},
  [1421] = {.lex_state = 111},
  [1422] = {.lex_state = 111},
  [1423] = {.lex_state = 111},
  [1424] = {.lex_state = 111},
  [1425] = {.lex_state = 111},
  [1426] = {.lex_state = 69},
  [1427] = {.lex_state = 105},
  [1428] = {.lex_state = 99},
  [1429] = {.lex_state = 55},
  [1430] = {.lex_state = 70},
  [1431] = {.lex_state = 111},
  [1432] = {.lex_state = 111},
  [1433] = {.lex_state = 111},
  [1434] = {.lex_state = 93},
  [1435] = {.lex_state = 111},
  [1436] = {.lex_state = 84},
  [1437] = {.lex_state = 111},
  [1438] = {.lex_state = 111},
  [1439] = {.lex_state = 111},
  [1440] = {.lex_state = 9},
  [1441] = {.lex_state = 55},
  [1442] = {.lex_state = 70},
  [1443] = {.lex_state = 111},
  [1444] = {.lex_state = 106},
  [1445] = {.lex_state = 111},
  [1446] = {.lex_state = 55},
  [1447] = {.lex_state = 111},
  [1448] = {.lex_state = 111},
  [1449] = {.lex_state = 106},
  [1450] = {.lex_state = 9},
  [1451] = {.lex_state = 9},
  [1452] = {.lex_state = 81},
  [1453] = {.lex_state = 111},
  [1454] = {.lex_state = 111},
  [1455] = {.lex_state = 55},
  [1456] = {.lex_state = 111},
  [1457] = {.lex_state = 70},
  [1458] = {.lex_state = 111},
  [1459] = {.lex_state = 111},
  [1460] = {.lex_state = 84},
  [1461] = {.lex_state = 69},
  [1462] = {.lex_state = 111},
  [1463] = {.lex_state = 111},
  [1464] = {.lex_state = 111},
  [1465] = {.lex_state = 111},
  [1466] = {.lex_state = 111},
  [1467] = {.lex_state = 9},
  [1468] = {.lex_state = 111},
  [1469] = {.lex_state = 69},
  [1470] = {.lex_state = 9},
  [1471] = {.lex_state = 9},
  [1472] = {.lex_state = 111},
  [1473] = {.lex_state = 9},
  [1474] = {.lex_state = 5},
  [1475] = {.lex_state = 7},
  [1476] = {.lex_state = 70},
  [1477] = {.lex_state = 9},
  [1478] = {.lex_state = 9},
  [1479] = {.lex_state = 9},
  [1480] = {.lex_state = 9},
  [1481] = {.lex_state = 9},
  [1482] = {.lex_state = 9},
  [1483] = {.lex_state = 70},
  [1484] = {.lex_state = 95},
  [1485] = {.lex_state = 9},
  [1486] = {.lex_state = 7},
  [1487] = {.lex_state = 70},
  [1488] = {.lex_state = 30},
  [1489] = {.lex_state = 9},
  [1490] = {.lex_state = 7},
  [1491] = {.lex_state = 30},
  [1492] = {.lex_state = 5},
  [1493] = {.lex_state = 5},
  [1494] = {.lex_state = 97},
  [1495] = {.lex_state = 70},
  [1496] = {.lex_state = 100},
  [1497] = {.lex_state = 9},
  [1498] = {.lex_state = 9},
  [1499] = {.lex_state = 6},
  [1500] = {.lex_state = 70},
  [1501] = {.lex_state = 7},
  [1502] = {.lex_state = 70},
  [1503] = {.lex_state = 30},
  [1504] = {.lex_state = 70},
  [1505] = {.lex_state = 70},
  [1506] = {.lex_state = 6},
  [1507] = {.lex_state = 97},
  [1508] = {.lex_state = 70},
  [1509] = {.lex_state = 70},
  [1510] = {.lex_state = 30},
  [1511] = {.lex_state = 6},
  [1512] = {.lex_state = 9},
  [1513] = {.lex_state = 70},
  [1514] = {.lex_state = 6},
  [1515] = {.lex_state = 70},
  [1516] = {.lex_state = 9},
  [1517] = {.lex_state = 32},
  [1518] = {.lex_state = 70},
  [1519] = {.lex_state = 9},
  [1520] = {.lex_state = 7},
  [1521] = {.lex_state = 9},
  [1522] = {.lex_state = 70},
  [1523] = {.lex_state = 30},
  [1524] = {.lex_state = 30},
  [1525] = {.lex_state = 5},
  [1526] = {.lex_state = 7},
  [1527] = {.lex_state = 6},
  [1528] = {.lex_state = 6},
  [1529] = {.lex_state = 6},
  [1530] = {.lex_state = 7},
  [1531] = {.lex_state = 6},
  [1532] = {.lex_state = 6},
  [1533] = {.lex_state = 7},
  [1534] = {.lex_state = 7},
  [1535] = {.lex_state = 7},
  [1536] = {.lex_state = 7},
  [1537] = {.lex_state = 5},
  [1538] = {.lex_state = 6},
  [1539] = {.lex_state = 5},
  [1540] = {.lex_state = 5},
  [1541] = {.lex_state = 5},
  [1542] = {.lex_state = 7},
  [1543] = {.lex_state = 6},
  [1544] = {.lex_state = 5},
  [1545] = {.lex_state = 6},
  [1546] = {.lex_state = 6},
  [1547] = {.lex_state = 5},
  [1548] = {.lex_state = 6},
  [1549] = {.lex_state = 6},
  [1550] = {.lex_state = 6},
  [1551] = {.lex_state = 6},
  [1552] = {.lex_state = 5},
  [1553] = {.lex_state = 7},
  [1554] = {.lex_state = 99},
  [1555] = {.lex_state = 6},
  [1556] = {.lex_state = 5},
  [1557] = {.lex_state = 5},
  [1558] = {.lex_state = 5},
  [1559] = {.lex_state = 5},
  [1560] = {.lex_state = 5},
  [1561] = {.lex_state = 7},
  [1562] = {.lex_state = 6},
  [1563] = {.lex_state = 34},
  [1564] = {.lex_state = 6},
  [1565] = {.lex_state = 5},
  [1566] = {.lex_state = 7},
  [1567] = {.lex_state = 6},
  [1568] = {.lex_state = 7},
  [1569] = {.lex_state = 7},
  [1570] = {.lex_state = 7},
  [1571] = {.lex_state = 5},
  [1572] = {.lex_state = 7},
  [1573] = {.lex_state = 7},
  [1574] = {.lex_state = 7},
  [1575] = {.lex_state = 7},
  [1576] = {.lex_state = 5},
  [1577] = {.lex_state = 5},
  [1578] = {.lex_state = 6},
  [1579] = {.lex_state = 75},
  [1580] = {.lex_state = 106},
  [1581] = {.lex_state = 75},
  [1582] = {.lex_state = 6},
  [1583] = {.lex_state = 37},
  [1584] = {.lex_state = 106},
  [1585] = {.lex_state = 43},
  [1586] = {.lex_state = 43},
  [1587] = {.lex_state = 75},
  [1588] = {.lex_state = 43},
  [1589] = {.lex_state = 106},
  [1590] = {.lex_state = 106},
  [1591] = {.lex_state = 75},
  [1592] = {.lex_state = 75},
  [1593] = {.lex_state = 75},
  [1594] = {.lex_state = 43},
  [1595] = {.lex_state = 105},
  [1596] = {.lex_state = 105},
  [1597] = {.lex_state = 37},
  [1598] = {.lex_state = 6},
  [1599] = {.lex_state = 37},
  [1600] = {.lex_state = 37},
  [1601] = {.lex_state = 105},
  [1602] = {.lex_state = 37},
  [1603] = {.lex_state = 106},
  [1604] = {.lex_state = 37},
  [1605] = {.lex_state = 105},
  [1606] = {.lex_state = 105},
  [1607] = {.lex_state = 43},
  [1608] = {.lex_state = 136},
  [1609] = {.lex_state = 136},
  [1610] = {.lex_state = 136},
  [1611] = {.lex_state = 8},
  [1612] = {.lex_state = 8},
  [1613] = {.lex_state = 83},
  [1614] = {.lex_state = 23},
  [1615] = {.lex_state = 136},
  [1616] = {.lex_state = 23},
  [1617] = {.lex_state = 23},
  [1618] = {.lex_state = 136},
  [1619] = {.lex_state = 6},
  [1620] = {.lex_state = 23},
  [1621] = {.lex_state = 136},
  [1622] = {.lex_state = 23},
  [1623] = {.lex_state = 136},
  [1624] = {.lex_state = 136},
  [1625] = {.lex_state = 23},
  [1626] = {.lex_state = 20},
  [1627] = {.lex_state = 20},
  [1628] = {.lex_state = 20},
  [1629] = {.lex_state = 23},
  [1630] = {.lex_state = 23},
  [1631] = {.lex_state = 23},
  [1632] = {.lex_state = 23},
  [1633] = {.lex_state = 9},
  [1634] = {.lex_state = 9},
  [1635] = {.lex_state = 23},
  [1636] = {.lex_state = 20},
  [1637] = {.lex_state = 20},
  [1638] = {.lex_state = 23},
  [1639] = {.lex_state = 23},
  [1640] = {.lex_state = 52},
  [1641] = {.lex_state = 52},
  [1642] = {.lex_state = 23},
  [1643] = {.lex_state = 23},
  [1644] = {.lex_state = 23},
  [1645] = {.lex_state = 23},
  [1646] = {.lex_state = 23},
  [1647] = {.lex_state = 23},
  [1648] = {.lex_state = 23},
  [1649] = {.lex_state = 23},
  [1650] = {.lex_state = 23},
  [1651] = {.lex_state = 141},
  [1652] = {.lex_state = 23},
  [1653] = {.lex_state = 23},
  [1654] = {.lex_state = 27},
  [1655] = {.lex_state = 23},
  [1656] = {.lex_state = 23},
  [1657] = {.lex_state = 23},
  [1658] = {.lex_state = 27},
  [1659] = {.lex_state = 23},
  [1660] = {.lex_state = 23},
  [1661] = {.lex_state = 20},
  [1662] = {.lex_state = 23},
  [1663] = {.lex_state = 142},
  [1664] = {.lex_state = 27},
  [1665] = {.lex_state = 27},
  [1666] = {.lex_state = 20},
  [1667] = {.lex_state = 144},
  [1668] = {.lex_state = 27},
  [1669] = {.lex_state = 144},
  [1670] = {.lex_state = 20},
  [1671] = {.lex_state = 20},
  [1672] = {.lex_state = 144},
  [1673] = {.lex_state = 20},
  [1674] = {.lex_state = 24},
  [1675] = {.lex_state = 51},
  [1676] = {.lex_state = 158},
  [1677] = {.lex_state = 158},
  [1678] = {.lex_state = 141},
  [1679] = {.lex_state = 159},
  [1680] = {.lex_state = 24},
  [1681] = {.lex_state = 159},
  [1682] = {.lex_state = 70},
  [1683] = {.lex_state = 24},
  [1684] = {.lex_state = 24},
  [1685] = {.lex_state = 24},
  [1686] = {.lex_state = 159},
  [1687] = {.lex_state = 24},
  [1688] = {.lex_state = 159},
  [1689] = {.lex_state = 24},
  [1690] = {.lex_state = 24},
  [1691] = {.lex_state = 24},
  [1692] = {.lex_state = 141},
  [1693] = {.lex_state = 24},
  [1694] = {.lex_state = 159},
  [1695] = {.lex_state = 159},
  [1696] = {.lex_state = 159},
  [1697] = {.lex_state = 159},
  [1698] = {.lex_state = 159},
  [1699] = {.lex_state = 158},
  [1700] = {.lex_state = 158},
  [1701] = {.lex_state = 159},
  [1702] = {.lex_state = 159},
  [1703] = {.lex_state = 70},
  [1704] = {.lex_state = 18},
  [1705] = {.lex_state = 158},
  [1706] = {.lex_state = 158},
  [1707] = {.lex_state = 159},
  [1708] = {.lex_state = 158},
  [1709] = {.lex_state = 18},
  [1710] = {.lex_state = 159},
  [1711] = {.lex_state = 158},
  [1712] = {.lex_state = 158},
  [1713] = {.lex_state = 159},
  [1714] = {.lex_state = 159},
  [1715] = {.lex_state = 158},
  [1716] = {.lex_state = 158},
  [1717] = {.lex_state = 159},
  [1718] = {.lex_state = 159},
  [1719] = {.lex_state = 158},
  [1720] = {.lex_state = 158},
  [1721] = {.lex_state = 159},
  [1722] = {.lex_state = 159},
  [1723] = {.lex_state = 158},
  [1724] = {.lex_state = 158},
  [1725] = {.lex_state = 159},
  [1726] = {.lex_state = 159},
  [1727] = {.lex_state = 158},
  [1728] = {.lex_state = 158},
  [1729] = {.lex_state = 159},
  [1730] = {.lex_state = 159},
  [1731] = {.lex_state = 158},
  [1732] = {.lex_state = 158},
  [1733] = {.lex_state = 159},
  [1734] = {.lex_state = 159},
  [1735] = {.lex_state = 158},
  [1736] = {.lex_state = 1},
  [1737] = {.lex_state = 158},
  [1738] = {.lex_state = 159},
  [1739] = {.lex_state = 159},
  [1740] = {.lex_state = 158},
  [1741] = {.lex_state = 158},
  [1742] = {.lex_state = 159},
  [1743] = {.lex_state = 159},
  [1744] = {.lex_state = 158},
  [1745] = {.lex_state = 158},
  [1746] = {.lex_state = 159},
  [1747] = {.lex_state = 159},
  [1748] = {.lex_state = 158},
  [1749] = {.lex_state = 158},
  [1750] = {.lex_state = 159},
  [1751] = {.lex_state = 159},
  [1752] = {.lex_state = 158},
  [1753] = {.lex_state = 158},
  [1754] = {.lex_state = 159},
  [1755] = {.lex_state = 159},
  [1756] = {.lex_state = 158},
  [1757] = {.lex_state = 1},
  [1758] = {.lex_state = 158},
  [1759] = {.lex_state = 159},
  [1760] = {.lex_state = 159},
  [1761] = {.lex_state = 158},
  [1762] = {.lex_state = 70},
  [1763] = {.lex_state = 158},
  [1764] = {.lex_state = 159},
  [1765] = {.lex_state = 24},
  [1766] = {.lex_state = 159},
  [1767] = {.lex_state = 51},
  [1768] = {.lex_state = 158},
  [1769] = {.lex_state = 158},
  [1770] = {.lex_state = 159},
  [1771] = {.lex_state = 159},
  [1772] = {.lex_state = 158},
  [1773] = {.lex_state = 158},
  [1774] = {.lex_state = 159},
  [1775] = {.lex_state = 159},
  [1776] = {.lex_state = 158},
  [1777] = {.lex_state = 158},
  [1778] = {.lex_state = 159},
  [1779] = {.lex_state = 159},
  [1780] = {.lex_state = 158},
  [1781] = {.lex_state = 24},
  [1782] = {.lex_state = 158},
  [1783] = {.lex_state = 159},
  [1784] = {.lex_state = 159},
  [1785] = {.lex_state = 24},
  [1786] = {.lex_state = 24},
  [1787] = {.lex_state = 158},
  [1788] = {.lex_state = 158},
  [1789] = {.lex_state = 24},
  [1790] = {.lex_state = 159},
  [1791] = {.lex_state = 159},
  [1792] = {.lex_state = 158},
  [1793] = {.lex_state = 51},
  [1794] = {.lex_state = 158},
  [1795] = {.lex_state = 159},
  [1796] = {.lex_state = 158},
  [1797] = {.lex_state = 159},
  [1798] = {.lex_state = 158},
  [1799] = {.lex_state = 158},
  [1800] = {.lex_state = 158},
  [1801] = {.lex_state = 159},
  [1802] = {.lex_state = 159},
  [1803] = {.lex_state = 24},
  [1804] = {.lex_state = 158},
  [1805] = {.lex_state = 18},
  [1806] = {.lex_state = 158},
  [1807] = {.lex_state = 159},
  [1808] = {.lex_state = 159},
  [1809] = {.lex_state = 158},
  [1810] = {.lex_state = 158},
  [1811] = {.lex_state = 159},
  [1812] = {.lex_state = 159},
  [1813] = {.lex_state = 158},
  [1814] = {.lex_state = 158},
  [1815] = {.lex_state = 24},
  [1816] = {.lex_state = 159},
  [1817] = {.lex_state = 24},
  [1818] = {.lex_state = 24},
  [1819] = {.lex_state = 159},
  [1820] = {.lex_state = 24},
  [1821] = {.lex_state = 24},
  [1822] = {.lex_state = 158},
  [1823] = {.lex_state = 159},
  [1824] = {.lex_state = 24},
  [1825] = {.lex_state = 24},
  [1826] = {.lex_state = 158},
  [1827] = {.lex_state = 159},
  [1828] = {.lex_state = 24},
  [1829] = {.lex_state = 24},
  [1830] = {.lex_state = 24},
  [1831] = {.lex_state = 159},
  [1832] = {.lex_state = 159},
  [1833] = {.lex_state = 159},
  [1834] = {.lex_state = 158},
  [1835] = {.lex_state = 158},
  [1836] = {.lex_state = 158},
  [1837] = {.lex_state = 24},
  [1838] = {.lex_state = 101},
  [1839] = {.lex_state = 0},
  [1840] = {.lex_state = 101},
  [1841] = {.lex_state = 20},
  [1842] = {.lex_state = 0},
  [1843] = {.lex_state = 0},
  [1844] = {.lex_state = 101},
  [1845] = {.lex_state = 0},
  [1846] = {.lex_state = 0},
  [1847] = {.lex_state = 20},
  [1848] = {.lex_state = 1},
  [1849] = {.lex_state = 101},
  [1850] = {.lex_state = 101},
  [1851] = {.lex_state = 20},
  [1852] = {.lex_state = 1},
  [1853] = {.lex_state = 144},
  [1854] = {.lex_state = 20},
  [1855] = {.lex_state = 101},
  [1856] = {.lex_state = 20},
  [1857] = {.lex_state = 0},
  [1858] = {.lex_state = 144},
  [1859] = {.lex_state = 20},
  [1860] = {.lex_state = 150},
  [1861] = {.lex_state = 151},
  [1862] = {.lex_state = 151},
  [1863] = {.lex_state = 0},
  [1864] = {.lex_state = 415},
  [1865] = {.lex_state = 27},
  [1866] = {.lex_state = 24},
  [1867] = {.lex_state = 0},
  [1868] = {.lex_state = 150},
  [1869] = {.lex_state = 150},
  [1870] = {.lex_state = 150},
  [1871] = {.lex_state = 151},
  [1872] = {.lex_state = 151},
  [1873] = {.lex_state = 150},
  [1874] = {.lex_state = 160},
  [1875] = {.lex_state = 150},
  [1876] = {.lex_state = 27},
  [1877] = {.lex_state = 151},
  [1878] = {.lex_state = 151},
  [1879] = {.lex_state = 150},
  [1880] = {.lex_state = 150},
  [1881] = {.lex_state = 101},
  [1882] = {.lex_state = 150},
  [1883] = {.lex_state = 161},
  [1884] = {.lex_state = 150},
  [1885] = {.lex_state = 151},
  [1886] = {.lex_state = 160},
  [1887] = {.lex_state = 151},
  [1888] = {.lex_state = 150},
  [1889] = {.lex_state = 161},
  [1890] = {.lex_state = 151},
  [1891] = {.lex_state = 151},
  [1892] = {.lex_state = 151},
  [1893] = {.lex_state = 415},
  [1894] = {.lex_state = 150},
  [1895] = {.lex_state = 151},
  [1896] = {.lex_state = 151},
  [1897] = {.lex_state = 150},
  [1898] = {.lex_state = 20},
  [1899] = {.lex_state = 150},
  [1900] = {.lex_state = 161},
  [1901] = {.lex_state = 150},
  [1902] = {.lex_state = 415},
  [1903] = {.lex_state = 415},
  [1904] = {.lex_state = 150},
  [1905] = {.lex_state = 151},
  [1906] = {.lex_state = 151},
  [1907] = {.lex_state = 150},
  [1908] = {.lex_state = 151},
  [1909] = {.lex_state = 150},
  [1910] = {.lex_state = 160},
  [1911] = {.lex_state = 151},
  [1912] = {.lex_state = 151},
  [1913] = {.lex_state = 150},
  [1914] = {.lex_state = 64},
  [1915] = {.lex_state = 101},
  [1916] = {.lex_state = 151},
  [1917] = {.lex_state = 0},
  [1918] = {.lex_state = 144},
  [1919] = {.lex_state = 150},
  [1920] = {.lex_state = 150},
  [1921] = {.lex_state = 151},
  [1922] = {.lex_state = 151},
  [1923] = {.lex_state = 150},
  [1924] = {.lex_state = 150},
  [1925] = {.lex_state = 150},
  [1926] = {.lex_state = 415},
  [1927] = {.lex_state = 151},
  [1928] = {.lex_state = 151},
  [1929] = {.lex_state = 150},
  [1930] = {.lex_state = 151},
  [1931] = {.lex_state = 150},
  [1932] = {.lex_state = 151},
  [1933] = {.lex_state = 160},
  [1934] = {.lex_state = 151},
  [1935] = {.lex_state = 151},
  [1936] = {.lex_state = 150},
  [1937] = {.lex_state = 64},
  [1938] = {.lex_state = 161},
  [1939] = {.lex_state = 150},
  [1940] = {.lex_state = 150},
  [1941] = {.lex_state = 151},
  [1942] = {.lex_state = 151},
  [1943] = {.lex_state = 150},
  [1944] = {.lex_state = 0},
  [1945] = {.lex_state = 27},
  [1946] = {.lex_state = 150},
  [1947] = {.lex_state = 150},
  [1948] = {.lex_state = 150},
  [1949] = {.lex_state = 151},
  [1950] = {.lex_state = 150},
  [1951] = {.lex_state = 151},
  [1952] = {.lex_state = 101},
  [1953] = {.lex_state = 150},
  [1954] = {.lex_state = 151},
  [1955] = {.lex_state = 161},
  [1956] = {.lex_state = 160},
  [1957] = {.lex_state = 150},
  [1958] = {.lex_state = 151},
  [1959] = {.lex_state = 151},
  [1960] = {.lex_state = 151},
  [1961] = {.lex_state = 150},
  [1962] = {.lex_state = 150},
  [1963] = {.lex_state = 150},
  [1964] = {.lex_state = 151},
  [1965] = {.lex_state = 150},
  [1966] = {.lex_state = 151},
  [1967] = {.lex_state = 0},
  [1968] = {.lex_state = 151},
  [1969] = {.lex_state = 150},
  [1970] = {.lex_state = 151},
  [1971] = {.lex_state = 150},
  [1972] = {.lex_state = 151},
  [1973] = {.lex_state = 151},
  [1974] = {.lex_state = 151},
  [1975] = {.lex_state = 150},
  [1976] = {.lex_state = 150},
  [1977] = {.lex_state = 64},
  [1978] = {.lex_state = 150},
  [1979] = {.lex_state = 150},
  [1980] = {.lex_state = 150},
  [1981] = {.lex_state = 150},
  [1982] = {.lex_state = 151},
  [1983] = {.lex_state = 151},
  [1984] = {.lex_state = 151},
  [1985] = {.lex_state = 150},
  [1986] = {.lex_state = 161},
  [1987] = {.lex_state = 160},
  [1988] = {.lex_state = 24},
  [1989] = {.lex_state = 151},
  [1990] = {.lex_state = 150},
  [1991] = {.lex_state = 150},
  [1992] = {.lex_state = 151},
  [1993] = {.lex_state = 151},
  [1994] = {.lex_state = 151},
  [1995] = {.lex_state = 150},
  [1996] = {.lex_state = 151},
  [1997] = {.lex_state = 150},
  [1998] = {.lex_state = 150},
  [1999] = {.lex_state = 0},
  [2000] = {.lex_state = 151},
  [2001] = {.lex_state = 151},
  [2002] = {.lex_state = 150},
  [2003] = {.lex_state = 415},
  [2004] = {.lex_state = 150},
  [2005] = {.lex_state = 161},
  [2006] = {.lex_state = 24},
  [2007] = {.lex_state = 151},
  [2008] = {.lex_state = 160},
  [2009] = {.lex_state = 151},
  [2010] = {.lex_state = 151},
  [2011] = {.lex_state = 150},
  [2012] = {.lex_state = 150},
  [2013] = {.lex_state = 151},
  [2014] = {.lex_state = 150},
  [2015] = {.lex_state = 151},
  [2016] = {.lex_state = 0},
  [2017] = {.lex_state = 415},
  [2018] = {.lex_state = 63},
  [2019] = {.lex_state = 63},
  [2020] = {.lex_state = 63},
  [2021] = {.lex_state = 76},
  [2022] = {.lex_state = 63},
  [2023] = {.lex_state = 63},
  [2024] = {.lex_state = 63},
  [2025] = {.lex_state = 63},
  [2026] = {.lex_state = 63},
  [2027] = {.lex_state = 147},
  [2028] = {.lex_state = 63},
  [2029] = {.lex_state = 63},
  [2030] = {.lex_state = 24},
  [2031] = {.lex_state = 63},
  [2032] = {.lex_state = 63},
  [2033] = {.lex_state = 63},
  [2034] = {.lex_state = 63},
  [2035] = {.lex_state = 63},
  [2036] = {.lex_state = 63},
  [2037] = {.lex_state = 63},
  [2038] = {.lex_state = 63},
  [2039] = {.lex_state = 158},
  [2040] = {.lex_state = 63},
  [2041] = {.lex_state = 63},
  [2042] = {.lex_state = 63},
  [2043] = {.lex_state = 63},
  [2044] = {.lex_state = 63},
  [2045] = {.lex_state = 63},
  [2046] = {.lex_state = 63},
  [2047] = {.lex_state = 63},
  [2048] = {.lex_state = 63},
  [2049] = {.lex_state = 63},
  [2050] = {.lex_state = 63},
  [2051] = {.lex_state = 144},
  [2052] = {.lex_state = 63},
  [2053] = {.lex_state = 63},
  [2054] = {.lex_state = 63},
  [2055] = {.lex_state = 63},
  [2056] = {.lex_state = 63},
  [2057] = {.lex_state = 63},
  [2058] = {.lex_state = 63},
  [2059] = {.lex_state = 63},
  [2060] = {.lex_state = 63},
  [2061] = {.lex_state = 63},
  [2062] = {.lex_state = 147},
  [2063] = {.lex_state = 0},
  [2064] = {.lex_state = 63},
  [2065] = {.lex_state = 415},
  [2066] = {.lex_state = 147},
  [2067] = {.lex_state = 63},
  [2068] = {.lex_state = 63},
  [2069] = {.lex_state = 63},
  [2070] = {.lex_state = 0},
  [2071] = {.lex_state = 63},
  [2072] = {.lex_state = 22},
  [2073] = {.lex_state = 63},
  [2074] = {.lex_state = 63},
  [2075] = {.lex_state = 63},
  [2076] = {.lex_state = 63},
  [2077] = {.lex_state = 76},
  [2078] = {.lex_state = 63},
  [2079] = {.lex_state = 64},
  [2080] = {.lex_state = 63},
  [2081] = {.lex_state = 64},
  [2082] = {.lex_state = 159},
  [2083] = {.lex_state = 158},
  [2084] = {.lex_state = 63},
  [2085] = {.lex_state = 63},
  [2086] = {.lex_state = 63},
  [2087] = {.lex_state = 63},
  [2088] = {.lex_state = 63},
  [2089] = {.lex_state = 63},
  [2090] = {.lex_state = 63},
  [2091] = {.lex_state = 158},
  [2092] = {.lex_state = 63},
  [2093] = {.lex_state = 63},
  [2094] = {.lex_state = 159},
  [2095] = {.lex_state = 63},
  [2096] = {.lex_state = 63},
  [2097] = {.lex_state = 63},
  [2098] = {.lex_state = 63},
  [2099] = {.lex_state = 159},
  [2100] = {.lex_state = 63},
  [2101] = {.lex_state = 159},
  [2102] = {.lex_state = 63},
  [2103] = {.lex_state = 158},
  [2104] = {.lex_state = 22},
  [2105] = {.lex_state = 23},
  [2106] = {.lex_state = 27},
  [2107] = {.lex_state = 22},
  [2108] = {.lex_state = 27},
  [2109] = {.lex_state = 161},
  [2110] = {.lex_state = 24},
  [2111] = {.lex_state = 28},
  [2112] = {.lex_state = 22},
  [2113] = {.lex_state = 151},
  [2114] = {.lex_state = 63},
  [2115] = {.lex_state = 28},
  [2116] = {.lex_state = 63},
  [2117] = {.lex_state = 63},
  [2118] = {.lex_state = 151},
  [2119] = {.lex_state = 28},
  [2120] = {.lex_state = 0},
  [2121] = {.lex_state = 24},
  [2122] = {.lex_state = 24},
  [2123] = {.lex_state = 27},
  [2124] = {.lex_state = 23},
  [2125] = {.lex_state = 20},
  [2126] = {.lex_state = 22},
  [2127] = {.lex_state = 24},
  [2128] = {.lex_state = 24},
  [2129] = {.lex_state = 0},
  [2130] = {.lex_state = 63},
  [2131] = {.lex_state = 24},
  [2132] = {.lex_state = 23},
  [2133] = {.lex_state = 63},
  [2134] = {.lex_state = 20},
  [2135] = {.lex_state = 27},
  [2136] = {.lex_state = 28},
  [2137] = {.lex_state = 101},
  [2138] = {.lex_state = 28},
  [2139] = {.lex_state = 63},
  [2140] = {.lex_state = 0},
  [2141] = {.lex_state = 0},
  [2142] = {.lex_state = 63},
  [2143] = {.lex_state = 63},
  [2144] = {.lex_state = 22},
  [2145] = {.lex_state = 415},
  [2146] = {.lex_state = 24},
  [2147] = {.lex_state = 63},
  [2148] = {.lex_state = 63},
  [2149] = {.lex_state = 20},
  [2150] = {.lex_state = 415},
  [2151] = {.lex_state = 28},
  [2152] = {.lex_state = 20},
  [2153] = {.lex_state = 22},
  [2154] = {.lex_state = 63},
  [2155] = {.lex_state = 63},
  [2156] = {.lex_state = 24},
  [2157] = {.lex_state = 415, .external_lex_state = 3},
  [2158] = {.lex_state = 20},
  [2159] = {.lex_state = 22},
  [2160] = {.lex_state = 27},
  [2161] = {.lex_state = 22},
  [2162] = {.lex_state = 150},
  [2163] = {.lex_state = 101},
  [2164] = {.lex_state = 150},
  [2165] = {.lex_state = 28},
  [2166] = {.lex_state = 64},
  [2167] = {.lex_state = 28},
  [2168] = {.lex_state = 27},
  [2169] = {.lex_state = 20},
  [2170] = {.lex_state = 160},
  [2171] = {.lex_state = 63},
  [2172] = {.lex_state = 23},
  [2173] = {.lex_state = 23},
  [2174] = {.lex_state = 23},
  [2175] = {.lex_state = 23},
  [2176] = {.lex_state = 415},
  [2177] = {.lex_state = 23},
  [2178] = {.lex_state = 51},
  [2179] = {.lex_state = 63},
  [2180] = {.lex_state = 23},
  [2181] = {.lex_state = 23},
  [2182] = {.lex_state = 63},
  [2183] = {.lex_state = 63},
  [2184] = {.lex_state = 23},
  [2185] = {.lex_state = 23},
  [2186] = {.lex_state = 23},
  [2187] = {.lex_state = 415},
  [2188] = {.lex_state = 415},
  [2189] = {.lex_state = 23},
  [2190] = {.lex_state = 23},
  [2191] = {.lex_state = 23},
  [2192] = {.lex_state = 63},
  [2193] = {.lex_state = 23},
  [2194] = {.lex_state = 23},
  [2195] = {.lex_state = 63},
  [2196] = {.lex_state = 63},
  [2197] = {.lex_state = 23},
  [2198] = {.lex_state = 23},
  [2199] = {.lex_state = 0},
  [2200] = {.lex_state = 415},
  [2201] = {.lex_state = 63},
  [2202] = {.lex_state = 23},
  [2203] = {.lex_state = 23},
  [2204] = {.lex_state = 23},
  [2205] = {.lex_state = 63},
  [2206] = {.lex_state = 23},
  [2207] = {.lex_state = 23},
  [2208] = {.lex_state = 63},
  [2209] = {.lex_state = 51},
  [2210] = {.lex_state = 23},
  [2211] = {.lex_state = 23},
  [2212] = {.lex_state = 23},
  [2213] = {.lex_state = 23},
  [2214] = {.lex_state = 23},
  [2215] = {.lex_state = 23},
  [2216] = {.lex_state = 23},
  [2217] = {.lex_state = 23},
  [2218] = {.lex_state = 63},
  [2219] = {.lex_state = 63},
  [2220] = {.lex_state = 23},
  [2221] = {.lex_state = 63},
  [2222] = {.lex_state = 415},
  [2223] = {.lex_state = 23},
  [2224] = {.lex_state = 23},
  [2225] = {.lex_state = 63},
  [2226] = {.lex_state = 63},
  [2227] = {.lex_state = 415},
  [2228] = {.lex_state = 63},
  [2229] = {.lex_state = 23},
  [2230] = {.lex_state = 23},
  [2231] = {.lex_state = 63},
  [2232] = {.lex_state = 23},
  [2233] = {.lex_state = 23},
  [2234] = {.lex_state = 23},
  [2235] = {.lex_state = 23},
  [2236] = {.lex_state = 23},
  [2237] = {.lex_state = 23},
  [2238] = {.lex_state = 63},
  [2239] = {.lex_state = 23},
  [2240] = {.lex_state = 51},
  [2241] = {.lex_state = 63},
  [2242] = {.lex_state = 63},
  [2243] = {.lex_state = 23},
  [2244] = {.lex_state = 51},
  [2245] = {.lex_state = 63},
  [2246] = {.lex_state = 23},
  [2247] = {.lex_state = 23},
  [2248] = {.lex_state = 63},
  [2249] = {.lex_state = 23},
  [2250] = {.lex_state = 63},
  [2251] = {.lex_state = 23},
  [2252] = {.lex_state = 23},
  [2253] = {.lex_state = 23},
  [2254] = {.lex_state = 23},
  [2255] = {.lex_state = 51},
  [2256] = {.lex_state = 63},
  [2257] = {.lex_state = 63},
  [2258] = {.lex_state = 23},
  [2259] = {.lex_state = 415},
  [2260] = {.lex_state = 63},
  [2261] = {.lex_state = 63},
  [2262] = {.lex_state = 23},
  [2263] = {.lex_state = 63},
  [2264] = {.lex_state = 63},
  [2265] = {.lex_state = 63},
  [2266] = {.lex_state = 23},
  [2267] = {.lex_state = 415},
  [2268] = {.lex_state = 63},
  [2269] = {.lex_state = 23},
  [2270] = {.lex_state = 63},
  [2271] = {.lex_state = 23},
  [2272] = {.lex_state = 23},
  [2273] = {.lex_state = 23},
  [2274] = {.lex_state = 63},
  [2275] = {.lex_state = 63},
  [2276] = {.lex_state = 23},
  [2277] = {.lex_state = 63},
  [2278] = {.lex_state = 415},
  [2279] = {.lex_state = 63},
  [2280] = {.lex_state = 23},
  [2281] = {.lex_state = 51},
  [2282] = {.lex_state = 415},
  [2283] = {.lex_state = 63},
  [2284] = {.lex_state = 23},
  [2285] = {.lex_state = 51},
  [2286] = {.lex_state = 63},
  [2287] = {.lex_state = 415},
  [2288] = {.lex_state = 23},
  [2289] = {.lex_state = 51},
  [2290] = {.lex_state = 63},
  [2291] = {.lex_state = 23},
  [2292] = {.lex_state = 23},
  [2293] = {.lex_state = 415},
  [2294] = {.lex_state = 23},
  [2295] = {.lex_state = 23},
  [2296] = {.lex_state = 415},
  [2297] = {.lex_state = 23},
  [2298] = {.lex_state = 23},
  [2299] = {.lex_state = 23},
  [2300] = {.lex_state = 23},
  [2301] = {.lex_state = 51},
  [2302] = {.lex_state = 415},
  [2303] = {.lex_state = 23},
  [2304] = {.lex_state = 63},
  [2305] = {.lex_state = 23},
  [2306] = {.lex_state = 415},
  [2307] = {.lex_state = 23},
  [2308] = {.lex_state = 23},
  [2309] = {.lex_state = 23},
  [2310] = {.lex_state = 23},
  [2311] = {.lex_state = 23},
  [2312] = {.lex_state = 23},
  [2313] = {.lex_state = 23},
  [2314] = {.lex_state = 23},
  [2315] = {.lex_state = 63},
  [2316] = {.lex_state = 51},
  [2317] = {.lex_state = 23},
  [2318] = {.lex_state = 23},
  [2319] = {.lex_state = 63},
  [2320] = {.lex_state = 415},
  [2321] = {.lex_state = 63},
  [2322] = {.lex_state = 64},
  [2323] = {.lex_state = 63},
  [2324] = {.lex_state = 51},
  [2325] = {.lex_state = 51},
  [2326] = {.lex_state = 23},
  [2327] = {.lex_state = 23},
  [2328] = {.lex_state = 63},
  [2329] = {.lex_state = 415},
  [2330] = {.lex_state = 63},
  [2331] = {.lex_state = 415},
  [2332] = {.lex_state = 23},
  [2333] = {.lex_state = 63},
  [2334] = {.lex_state = 63},
  [2335] = {.lex_state = 415},
  [2336] = {.lex_state = 23},
  [2337] = {.lex_state = 23},
  [2338] = {.lex_state = 23},
  [2339] = {.lex_state = 23},
  [2340] = {.lex_state = 23},
  [2341] = {.lex_state = 415},
  [2342] = {.lex_state = 23},
  [2343] = {.lex_state = 63},
  [2344] = {.lex_state = 51},
  [2345] = {.lex_state = 23},
  [2346] = {.lex_state = 23},
  [2347] = {.lex_state = 63},
  [2348] = {.lex_state = 63},
  [2349] = {.lex_state = 415},
  [2350] = {.lex_state = 63},
  [2351] = {.lex_state = 23},
  [2352] = {.lex_state = 63},
  [2353] = {.lex_state = 23},
  [2354] = {.lex_state = 23},
  [2355] = {.lex_state = 23},
  [2356] = {.lex_state = 51},
  [2357] = {.lex_state = 51},
  [2358] = {.lex_state = 63},
  [2359] = {.lex_state = 23},
  [2360] = {.lex_state = 63},
  [2361] = {.lex_state = 23},
  [2362] = {.lex_state = 63},
  [2363] = {.lex_state = 20},
  [2364] = {.lex_state = 0},
  [2365] = {.lex_state = 23},
  [2366] = {.lex_state = 23},
  [2367] = {.lex_state = 23},
  [2368] = {.lex_state = 23},
  [2369] = {.lex_state = 415},
  [2370] = {.lex_state = 0},
  [2371] = {.lex_state = 51},
  [2372] = {.lex_state = 51},
  [2373] = {.lex_state = 23},
  [2374] = {.lex_state = 23},
  [2375] = {.lex_state = 23},
  [2376] = {.lex_state = 23},
  [2377] = {.lex_state = 23},
  [2378] = {.lex_state = 23},
  [2379] = {.lex_state = 23},
  [2380] = {.lex_state = 415},
  [2381] = {.lex_state = 23},
  [2382] = {.lex_state = 23},
  [2383] = {.lex_state = 23},
  [2384] = {.lex_state = 23},
  [2385] = {.lex_state = 23},
  [2386] = {.lex_state = 23},
  [2387] = {.lex_state = 23},
  [2388] = {.lex_state = 23},
  [2389] = {.lex_state = 63},
  [2390] = {.lex_state = 0},
  [2391] = {.lex_state = 23},
  [2392] = {.lex_state = 23},
  [2393] = {.lex_state = 23},
  [2394] = {.lex_state = 23},
  [2395] = {.lex_state = 415},
  [2396] = {.lex_state = 415},
  [2397] = {.lex_state = 23},
  [2398] = {.lex_state = 23},
  [2399] = {.lex_state = 23},
  [2400] = {.lex_state = 63},
  [2401] = {.lex_state = 415},
  [2402] = {.lex_state = 23},
  [2403] = {.lex_state = 63},
  [2404] = {.lex_state = 0},
  [2405] = {.lex_state = 23},
  [2406] = {.lex_state = 23},
  [2407] = {.lex_state = 23},
  [2408] = {.lex_state = 415},
  [2409] = {.lex_state = 23},
  [2410] = {.lex_state = 23},
  [2411] = {.lex_state = 23},
  [2412] = {.lex_state = 0},
  [2413] = {.lex_state = 51},
  [2414] = {.lex_state = 51},
  [2415] = {.lex_state = 415},
  [2416] = {.lex_state = 0},
  [2417] = {.lex_state = 51},
  [2418] = {.lex_state = 51},
  [2419] = {.lex_state = 23},
  [2420] = {.lex_state = 23},
  [2421] = {.lex_state = 23},
  [2422] = {.lex_state = 23},
  [2423] = {.lex_state = 23},
  [2424] = {.lex_state = 23},
  [2425] = {.lex_state = 23},
  [2426] = {.lex_state = 23},
  [2427] = {.lex_state = 51},
  [2428] = {.lex_state = 23},
  [2429] = {.lex_state = 23},
  [2430] = {.lex_state = 23},
  [2431] = {.lex_state = 51},
  [2432] = {.lex_state = 415},
  [2433] = {.lex_state = 23},
  [2434] = {.lex_state = 51},
  [2435] = {.lex_state = 23},
  [2436] = {.lex_state = 23},
  [2437] = {.lex_state = 63},
  [2438] = {.lex_state = 23},
  [2439] = {.lex_state = 415},
  [2440] = {.lex_state = 0},
  [2441] = {.lex_state = 415},
  [2442] = {.lex_state = 51},
  [2443] = {.lex_state = 23},
  [2444] = {.lex_state = 23},
  [2445] = {.lex_state = 23},
  [2446] = {.lex_state = 0},
  [2447] = {.lex_state = 23},
  [2448] = {.lex_state = 0},
  [2449] = {.lex_state = 23},
  [2450] = {.lex_state = 23},
  [2451] = {.lex_state = 0},
  [2452] = {.lex_state = 415},
  [2453] = {.lex_state = 23},
  [2454] = {.lex_state = 23},
  [2455] = {.lex_state = 23},
  [2456] = {.lex_state = 23},
  [2457] = {.lex_state = 23},
  [2458] = {.lex_state = 23},
  [2459] = {.lex_state = 23},
  [2460] = {.lex_state = 23},
  [2461] = {.lex_state = 415},
  [2462] = {.lex_state = 23},
  [2463] = {.lex_state = 415},
  [2464] = {.lex_state = 23},
  [2465] = {.lex_state = 0},
  [2466] = {.lex_state = 415},
  [2467] = {.lex_state = 23},
  [2468] = {.lex_state = 23},
  [2469] = {.lex_state = 23},
  [2470] = {.lex_state = 23},
  [2471] = {.lex_state = 23},
  [2472] = {.lex_state = 23},
  [2473] = {.lex_state = 23},
  [2474] = {.lex_state = 23},
  [2475] = {.lex_state = 23},
  [2476] = {.lex_state = 23},
  [2477] = {.lex_state = 23},
  [2478] = {.lex_state = 23},
  [2479] = {.lex_state = 63},
  [2480] = {.lex_state = 23},
  [2481] = {.lex_state = 23},
  [2482] = {.lex_state = 23},
  [2483] = {.lex_state = 63},
  [2484] = {.lex_state = 23},
  [2485] = {.lex_state = 63},
  [2486] = {.lex_state = 23},
  [2487] = {.lex_state = 0},
  [2488] = {.lex_state = 51},
  [2489] = {.lex_state = 63},
  [2490] = {.lex_state = 51},
  [2491] = {.lex_state = 23},
  [2492] = {.lex_state = 23},
  [2493] = {.lex_state = 23},
  [2494] = {.lex_state = 23},
  [2495] = {.lex_state = 23},
  [2496] = {.lex_state = 23},
  [2497] = {.lex_state = 23},
  [2498] = {.lex_state = 23},
  [2499] = {.lex_state = 23},
  [2500] = {.lex_state = 23},
  [2501] = {.lex_state = 23},
  [2502] = {.lex_state = 23},
  [2503] = {.lex_state = 23},
  [2504] = {.lex_state = 23},
  [2505] = {.lex_state = 23},
  [2506] = {.lex_state = 23},
  [2507] = {.lex_state = 23},
  [2508] = {.lex_state = 63},
  [2509] = {.lex_state = 23},
  [2510] = {.lex_state = 23},
  [2511] = {.lex_state = 23},
  [2512] = {.lex_state = 63},
  [2513] = {.lex_state = 415},
  [2514] = {.lex_state = 63},
  [2515] = {.lex_state = 23},
  [2516] = {.lex_state = 415},
  [2517] = {.lex_state = 415},
  [2518] = {.lex_state = 63},
  [2519] = {.lex_state = 415},
  [2520] = {.lex_state = 23},
  [2521] = {.lex_state = 23},
  [2522] = {.lex_state = 51},
  [2523] = {.lex_state = 51},
  [2524] = {.lex_state = 51},
  [2525] = {.lex_state = 23},
  [2526] = {.lex_state = 23},
  [2527] = {.lex_state = 51},
  [2528] = {.lex_state = 51},
  [2529] = {.lex_state = 415},
  [2530] = {.lex_state = 0},
  [2531] = {.lex_state = 23},
  [2532] = {.lex_state = 63},
  [2533] = {.lex_state = 73},
  [2534] = {.lex_state = 0},
  [2535] = {.lex_state = 0},
  [2536] = {.lex_state = 63},
  [2537] = {.lex_state = 0},
  [2538] = {.lex_state = 415},
  [2539] = {.lex_state = 0},
  [2540] = {.lex_state = 63},
  [2541] = {.lex_state = 0},
  [2542] = {.lex_state = 415},
  [2543] = {.lex_state = 73},
  [2544] = {.lex_state = 63},
  [2545] = {.lex_state = 0},
  [2546] = {.lex_state = 0},
  [2547] = {.lex_state = 415},
  [2548] = {.lex_state = 63},
  [2549] = {.lex_state = 0},
  [2550] = {.lex_state = 64},
  [2551] = {.lex_state = 64},
  [2552] = {.lex_state = 0},
  [2553] = {.lex_state = 73},
  [2554] = {.lex_state = 63},
  [2555] = {.lex_state = 63},
  [2556] = {.lex_state = 73},
  [2557] = {.lex_state = 63},
  [2558] = {.lex_state = 415},
  [2559] = {.lex_state = 73},
  [2560] = {.lex_state = 63},
  [2561] = {.lex_state = 0},
  [2562] = {.lex_state = 63},
  [2563] = {.lex_state = 415},
  [2564] = {.lex_state = 73},
  [2565] = {.lex_state = 0},
  [2566] = {.lex_state = 63},
  [2567] = {.lex_state = 415},
  [2568] = {.lex_state = 73},
  [2569] = {.lex_state = 0},
  [2570] = {.lex_state = 63},
  [2571] = {.lex_state = 415},
  [2572] = {.lex_state = 73},
  [2573] = {.lex_state = 64},
  [2574] = {.lex_state = 0},
  [2575] = {.lex_state = 63},
  [2576] = {.lex_state = 0},
  [2577] = {.lex_state = 415},
  [2578] = {.lex_state = 415},
  [2579] = {.lex_state = 73},
  [2580] = {.lex_state = 0},
  [2581] = {.lex_state = 0},
  [2582] = {.lex_state = 63},
  [2583] = {.lex_state = 415},
  [2584] = {.lex_state = 415},
  [2585] = {.lex_state = 64},
  [2586] = {.lex_state = 64},
  [2587] = {.lex_state = 0},
  [2588] = {.lex_state = 0},
  [2589] = {.lex_state = 63},
  [2590] = {.lex_state = 415},
  [2591] = {.lex_state = 73},
  [2592] = {.lex_state = 64},
  [2593] = {.lex_state = 0},
  [2594] = {.lex_state = 63},
  [2595] = {.lex_state = 63},
  [2596] = {.lex_state = 415},
  [2597] = {.lex_state = 73},
  [2598] = {.lex_state = 0},
  [2599] = {.lex_state = 63},
  [2600] = {.lex_state = 415},
  [2601] = {.lex_state = 415},
  [2602] = {.lex_state = 73},
  [2603] = {.lex_state = 0},
  [2604] = {.lex_state = 63},
  [2605] = {.lex_state = 415},
  [2606] = {.lex_state = 73},
  [2607] = {.lex_state = 0},
  [2608] = {.lex_state = 0},
  [2609] = {.lex_state = 0},
  [2610] = {.lex_state = 63},
  [2611] = {.lex_state = 415},
  [2612] = {.lex_state = 64},
  [2613] = {.lex_state = 73},
  [2614] = {.lex_state = 0},
  [2615] = {.lex_state = 63},
  [2616] = {.lex_state = 73},
  [2617] = {.lex_state = 73},
  [2618] = {.lex_state = 64},
  [2619] = {.lex_state = 0},
  [2620] = {.lex_state = 63},
  [2621] = {.lex_state = 415},
  [2622] = {.lex_state = 73},
  [2623] = {.lex_state = 0},
  [2624] = {.lex_state = 63},
  [2625] = {.lex_state = 415},
  [2626] = {.lex_state = 0},
  [2627] = {.lex_state = 63},
  [2628] = {.lex_state = 415},
  [2629] = {.lex_state = 73},
  [2630] = {.lex_state = 0},
  [2631] = {.lex_state = 0},
  [2632] = {.lex_state = 63},
  [2633] = {.lex_state = 415},
  [2634] = {.lex_state = 0},
  [2635] = {.lex_state = 73},
  [2636] = {.lex_state = 0},
  [2637] = {.lex_state = 63},
  [2638] = {.lex_state = 415},
  [2639] = {.lex_state = 73},
  [2640] = {.lex_state = 0},
  [2641] = {.lex_state = 63},
  [2642] = {.lex_state = 415},
  [2643] = {.lex_state = 73},
  [2644] = {.lex_state = 0},
  [2645] = {.lex_state = 63},
  [2646] = {.lex_state = 415},
  [2647] = {.lex_state = 73},
  [2648] = {.lex_state = 0},
  [2649] = {.lex_state = 63},
  [2650] = {.lex_state = 0},
  [2651] = {.lex_state = 415},
  [2652] = {.lex_state = 73},
  [2653] = {.lex_state = 0},
  [2654] = {.lex_state = 63},
  [2655] = {.lex_state = 415},
  [2656] = {.lex_state = 73},
  [2657] = {.lex_state = 0},
  [2658] = {.lex_state = 63},
  [2659] = {.lex_state = 415},
  [2660] = {.lex_state = 73},
  [2661] = {.lex_state = 0},
  [2662] = {.lex_state = 63},
  [2663] = {.lex_state = 23},
  [2664] = {.lex_state = 415},
  [2665] = {.lex_state = 70},
  [2666] = {.lex_state = 0},
  [2667] = {.lex_state = 63},
  [2668] = {.lex_state = 23},
  [2669] = {.lex_state = 415},
  [2670] = {.lex_state = 73},
  [2671] = {.lex_state = 0},
  [2672] = {.lex_state = 415},
  [2673] = {.lex_state = 23},
  [2674] = {.lex_state = 0},
  [2675] = {.lex_state = 0},
  [2676] = {.lex_state = 0},
  [2677] = {.lex_state = 0},
  [2678] = {.lex_state = 70},
  [2679] = {.lex_state = 0},
  [2680] = {.lex_state = 0},
  [2681] = {.lex_state = 63},
  [2682] = {.lex_state = 0},
  [2683] = {.lex_state = 0},
  [2684] = {.lex_state = 70},
  [2685] = {.lex_state = 415},
  [2686] = {.lex_state = 73},
  [2687] = {.lex_state = 0},
  [2688] = {.lex_state = 0},
  [2689] = {.lex_state = 0},
  [2690] = {.lex_state = 0},
  [2691] = {.lex_state = 23},
  [2692] = {.lex_state = 0},
  [2693] = {.lex_state = 0},
  [2694] = {.lex_state = 0},
  [2695] = {.lex_state = 73},
  [2696] = {.lex_state = 142},
  [2697] = {.lex_state = 415},
  [2698] = {.lex_state = 0},
  [2699] = {.lex_state = 0},
  [2700] = {.lex_state = 0},
  [2701] = {.lex_state = 0},
  [2702] = {.lex_state = 0},
  [2703] = {.lex_state = 0},
  [2704] = {.lex_state = 415},
  [2705] = {.lex_state = 0},
  [2706] = {.lex_state = 63},
  [2707] = {.lex_state = 0},
  [2708] = {.lex_state = 0},
  [2709] = {.lex_state = 23},
  [2710] = {.lex_state = 415},
  [2711] = {.lex_state = 0},
  [2712] = {.lex_state = 70},
  [2713] = {.lex_state = 415},
  [2714] = {.lex_state = 73},
  [2715] = {.lex_state = 0},
  [2716] = {.lex_state = 0},
  [2717] = {.lex_state = 70},
  [2718] = {.lex_state = 0},
  [2719] = {.lex_state = 63},
  [2720] = {.lex_state = 0},
  [2721] = {.lex_state = 0},
  [2722] = {.lex_state = 0},
  [2723] = {.lex_state = 0},
  [2724] = {.lex_state = 23},
  [2725] = {.lex_state = 23},
  [2726] = {.lex_state = 64},
  [2727] = {.lex_state = 0},
  [2728] = {.lex_state = 63},
  [2729] = {.lex_state = 0},
  [2730] = {.lex_state = 0},
  [2731] = {.lex_state = 23},
  [2732] = {.lex_state = 0},
  [2733] = {.lex_state = 415},
  [2734] = {.lex_state = 0},
  [2735] = {.lex_state = 0},
  [2736] = {.lex_state = 0},
  [2737] = {.lex_state = 0, .external_lex_state = 2},
  [2738] = {.lex_state = 0},
  [2739] = {.lex_state = 0},
  [2740] = {.lex_state = 70},
  [2741] = {.lex_state = 0},
  [2742] = {.lex_state = 0},
  [2743] = {.lex_state = 70},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_PROJECT] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_VERSION] = ACTIONS(1),
    [anon_sym_ARG] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_BUILD] = ACTIONS(1),
    [anon_sym_CACHE] = ACTIONS(1),
    [anon_sym_CMD] = ACTIONS(1),
    [anon_sym_COPY] = ACTIONS(1),
    [anon_sym_DO] = ACTIONS(1),
    [anon_sym_ENTRYPOINT] = ACTIONS(1),
    [anon_sym_ENV] = ACTIONS(1),
    [anon_sym_EQ2] = ACTIONS(1),
    [anon_sym_EXPOSE] = ACTIONS(1),
    [anon_sym_FOR] = ACTIONS(1),
    [anon_sym_IN] = ACTIONS(1),
    [anon_sym_END] = ACTIONS(1),
    [anon_sym_FROM] = ACTIONS(1),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(1),
    [anon_sym_FUNCTION] = ACTIONS(1),
    [anon_sym_COMMAND] = ACTIONS(1),
    [anon_sym_GITCLONE] = ACTIONS(1),
    [anon_sym_HOST] = ACTIONS(1),
    [anon_sym_IF] = ACTIONS(1),
    [anon_sym_IMPORT] = ACTIONS(1),
    [anon_sym_AS] = ACTIONS(1),
    [anon_sym_LET] = ACTIONS(1),
    [anon_sym_EQ3] = ACTIONS(1),
    [anon_sym_LABEL] = ACTIONS(1),
    [anon_sym_LOCALLY] = ACTIONS(1),
    [anon_sym_RUN] = ACTIONS(1),
    [anon_sym_SAVEARTIFACT] = ACTIONS(1),
    [anon_sym_SAVEIMAGE] = ACTIONS(1),
    [anon_sym_SET] = ACTIONS(1),
    [anon_sym_TRY] = ACTIONS(1),
    [anon_sym_FINALLY] = ACTIONS(1),
    [anon_sym_USER] = ACTIONS(1),
    [anon_sym_COLON2] = ACTIONS(1),
    [anon_sym_VOLUME] = ACTIONS(1),
    [anon_sym_WAIT] = ACTIONS(1),
    [anon_sym_WITHDOCKER] = ACTIONS(1),
    [anon_sym_WORKDIR] = ACTIONS(1),
    [anon_sym_ELSEIF] = ACTIONS(1),
    [anon_sym_ELSE] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_DOT2] = ACTIONS(1),
    [anon_sym_DASH2] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_RPAREN2] = ACTIONS(1),
    [anon_sym_LBRACK2] = ACTIONS(1),
    [anon_sym_RBRACK2] = ACTIONS(1),
    [anon_sym_LBRACE2] = ACTIONS(1),
    [anon_sym_RBRACE2] = ACTIONS(1),
    [anon_sym_COMMA2] = ACTIONS(1),
    [anon_sym_AT2] = ACTIONS(1),
    [sym_function_ref] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_options] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_LBRACK3] = ACTIONS(1),
    [anon_sym_LPAREN3] = ACTIONS(1),
    [anon_sym_RPAREN3] = ACTIONS(1),
    [anon_sym_DASH_DASH2] = ACTIONS(1),
    [anon_sym_DASHf] = ACTIONS(1),
    [anon_sym_EQ4] = ACTIONS(1),
    [aux_sym_unknown_option_token1] = ACTIONS(1),
    [sym__string_base_other] = ACTIONS(1),
    [sym__string_base_num] = ACTIONS(1),
    [sym__immediate_string_base_other] = ACTIONS(1),
    [sym__immediate_string_base_num] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_PLUS2] = ACTIONS(1),
    [anon_sym_RPAREN4] = ACTIONS(1),
    [anon_sym_DOLLAR2] = ACTIONS(1),
    [aux_sym__immediate_escape_sequence_token1] = ACTIONS(1),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(5),
    [sym_line_continuation_comment] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR_LF] = ACTIONS(5),
    [anon_sym_FF] = ACTIONS(5),
    [anon_sym_NULL] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
  },
  [1] = {
    [sym_source_file] = STATE(2708),
    [sym_project_command] = STATE(10),
    [sym_target] = STATE(2003),
    [sym_version_command] = STATE(2),
    [sym_arg_command] = STATE(10),
    [sym_build_command] = STATE(10),
    [sym_cache_command] = STATE(10),
    [sym_cmd_command] = STATE(10),
    [sym_copy_command] = STATE(10),
    [sym_do_command] = STATE(10),
    [sym_entrypoint_command] = STATE(10),
    [sym_env_command] = STATE(10),
    [sym_expose_command] = STATE(10),
    [sym_for_command] = STATE(10),
    [sym_from_command] = STATE(10),
    [sym_from_dockerfile_command] = STATE(10),
    [sym_function_command] = STATE(10),
    [sym_git_clone_command] = STATE(10),
    [sym_host_command] = STATE(10),
    [sym_if_command] = STATE(10),
    [sym_import_command] = STATE(10),
    [sym_let_command] = STATE(10),
    [sym_label_command] = STATE(10),
    [sym_locally_command] = STATE(10),
    [sym_run_command] = STATE(10),
    [sym_save_artifact_command] = STATE(10),
    [sym_save_image_command] = STATE(10),
    [sym_set_command] = STATE(10),
    [sym_try_command] = STATE(10),
    [sym_user_command] = STATE(10),
    [sym_volume_command] = STATE(10),
    [sym_wait_command] = STATE(10),
    [sym_with_docker_command] = STATE(10),
    [sym_workdir_command] = STATE(10),
    [sym_block] = STATE(2017),
    [sym_identifier] = STATE(2704),
    [aux_sym_source_file_repeat1] = STATE(2003),
    [aux_sym_block_repeat1] = STATE(10),
    [ts_builtin_sym_end] = ACTIONS(7),
    [anon_sym_PROJECT] = ACTIONS(9),
    [anon_sym_VERSION] = ACTIONS(11),
    [anon_sym_ARG] = ACTIONS(13),
    [anon_sym_BUILD] = ACTIONS(15),
    [anon_sym_CACHE] = ACTIONS(17),
    [anon_sym_CMD] = ACTIONS(19),
    [anon_sym_COPY] = ACTIONS(21),
    [anon_sym_DO] = ACTIONS(23),
    [anon_sym_ENTRYPOINT] = ACTIONS(25),
    [anon_sym_ENV] = ACTIONS(27),
    [anon_sym_EXPOSE] = ACTIONS(29),
    [anon_sym_FOR] = ACTIONS(31),
    [anon_sym_FROM] = ACTIONS(33),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(35),
    [anon_sym_FUNCTION] = ACTIONS(37),
    [anon_sym_COMMAND] = ACTIONS(37),
    [anon_sym_GITCLONE] = ACTIONS(39),
    [anon_sym_HOST] = ACTIONS(41),
    [anon_sym_IF] = ACTIONS(43),
    [anon_sym_IMPORT] = ACTIONS(45),
    [anon_sym_LET] = ACTIONS(47),
    [anon_sym_LABEL] = ACTIONS(49),
    [anon_sym_LOCALLY] = ACTIONS(51),
    [anon_sym_RUN] = ACTIONS(53),
    [anon_sym_SAVEARTIFACT] = ACTIONS(55),
    [anon_sym_SAVEIMAGE] = ACTIONS(57),
    [anon_sym_SET] = ACTIONS(59),
    [anon_sym_TRY] = ACTIONS(61),
    [anon_sym_USER] = ACTIONS(63),
    [anon_sym_VOLUME] = ACTIONS(65),
    [anon_sym_WAIT] = ACTIONS(67),
    [anon_sym_WITHDOCKER] = ACTIONS(69),
    [anon_sym_WORKDIR] = ACTIONS(71),
    [aux_sym_block_token1] = ACTIONS(73),
    [sym__string_base_alpha] = ACTIONS(75),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation_comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_CR_LF] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
  },
  [2] = {
    [sym_project_command] = STATE(10),
    [sym_target] = STATE(1902),
    [sym_arg_command] = STATE(10),
    [sym_build_command] = STATE(10),
    [sym_cache_command] = STATE(10),
    [sym_cmd_command] = STATE(10),
    [sym_copy_command] = STATE(10),
    [sym_do_command] = STATE(10),
    [sym_entrypoint_command] = STATE(10),
    [sym_env_command] = STATE(10),
    [sym_expose_command] = STATE(10),
    [sym_for_command] = STATE(10),
    [sym_from_command] = STATE(10),
    [sym_from_dockerfile_command] = STATE(10),
    [sym_function_command] = STATE(10),
    [sym_git_clone_command] = STATE(10),
    [sym_host_command] = STATE(10),
    [sym_if_command] = STATE(10),
    [sym_import_command] = STATE(10),
    [sym_let_command] = STATE(10),
    [sym_label_command] = STATE(10),
    [sym_locally_command] = STATE(10),
    [sym_run_command] = STATE(10),
    [sym_save_artifact_command] = STATE(10),
    [sym_save_image_command] = STATE(10),
    [sym_set_command] = STATE(10),
    [sym_try_command] = STATE(10),
    [sym_user_command] = STATE(10),
    [sym_volume_command] = STATE(10),
    [sym_wait_command] = STATE(10),
    [sym_with_docker_command] = STATE(10),
    [sym_workdir_command] = STATE(10),
    [sym_block] = STATE(1903),
    [sym_identifier] = STATE(2704),
    [aux_sym_source_file_repeat1] = STATE(1902),
    [aux_sym_block_repeat1] = STATE(10),
    [ts_builtin_sym_end] = ACTIONS(77),
    [anon_sym_PROJECT] = ACTIONS(9),
    [anon_sym_ARG] = ACTIONS(13),
    [anon_sym_BUILD] = ACTIONS(15),
    [anon_sym_CACHE] = ACTIONS(17),
    [anon_sym_CMD] = ACTIONS(19),
    [anon_sym_COPY] = ACTIONS(21),
    [anon_sym_DO] = ACTIONS(23),
    [anon_sym_ENTRYPOINT] = ACTIONS(25),
    [anon_sym_ENV] = ACTIONS(27),
    [anon_sym_EXPOSE] = ACTIONS(29),
    [anon_sym_FOR] = ACTIONS(31),
    [anon_sym_FROM] = ACTIONS(33),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(35),
    [anon_sym_FUNCTION] = ACTIONS(37),
    [anon_sym_COMMAND] = ACTIONS(37),
    [anon_sym_GITCLONE] = ACTIONS(39),
    [anon_sym_HOST] = ACTIONS(41),
    [anon_sym_IF] = ACTIONS(43),
    [anon_sym_IMPORT] = ACTIONS(45),
    [anon_sym_LET] = ACTIONS(47),
    [anon_sym_LABEL] = ACTIONS(49),
    [anon_sym_LOCALLY] = ACTIONS(51),
    [anon_sym_RUN] = ACTIONS(53),
    [anon_sym_SAVEARTIFACT] = ACTIONS(55),
    [anon_sym_SAVEIMAGE] = ACTIONS(57),
    [anon_sym_SET] = ACTIONS(59),
    [anon_sym_TRY] = ACTIONS(61),
    [anon_sym_USER] = ACTIONS(63),
    [anon_sym_VOLUME] = ACTIONS(65),
    [anon_sym_WAIT] = ACTIONS(67),
    [anon_sym_WITHDOCKER] = ACTIONS(69),
    [anon_sym_WORKDIR] = ACTIONS(71),
    [aux_sym_block_token1] = ACTIONS(73),
    [sym__string_base_alpha] = ACTIONS(75),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation_comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_CR_LF] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
  },
  [3] = {
    [sym_project_command] = STATE(6),
    [sym_arg_command] = STATE(6),
    [sym_build_command] = STATE(6),
    [sym_cache_command] = STATE(6),
    [sym_cmd_command] = STATE(6),
    [sym_copy_command] = STATE(6),
    [sym_do_command] = STATE(6),
    [sym_entrypoint_command] = STATE(6),
    [sym_env_command] = STATE(6),
    [sym_expose_command] = STATE(6),
    [sym_for_command] = STATE(6),
    [sym_from_command] = STATE(6),
    [sym_from_dockerfile_command] = STATE(6),
    [sym_function_command] = STATE(6),
    [sym_git_clone_command] = STATE(6),
    [sym_host_command] = STATE(6),
    [sym_if_command] = STATE(6),
    [sym_import_command] = STATE(6),
    [sym_let_command] = STATE(6),
    [sym_label_command] = STATE(6),
    [sym_locally_command] = STATE(6),
    [sym_run_command] = STATE(6),
    [sym_save_artifact_command] = STATE(6),
    [sym_save_image_command] = STATE(6),
    [sym_set_command] = STATE(6),
    [sym_try_command] = STATE(6),
    [sym_user_command] = STATE(6),
    [sym_volume_command] = STATE(6),
    [sym_wait_command] = STATE(6),
    [sym_with_docker_command] = STATE(6),
    [sym_workdir_command] = STATE(6),
    [aux_sym_block_repeat1] = STATE(6),
    [anon_sym_PROJECT] = ACTIONS(79),
    [anon_sym_ARG] = ACTIONS(81),
    [anon_sym_BUILD] = ACTIONS(83),
    [anon_sym_CACHE] = ACTIONS(85),
    [anon_sym_CMD] = ACTIONS(87),
    [anon_sym_COPY] = ACTIONS(89),
    [anon_sym_DO] = ACTIONS(91),
    [anon_sym_ENTRYPOINT] = ACTIONS(93),
    [anon_sym_ENV] = ACTIONS(95),
    [anon_sym_EXPOSE] = ACTIONS(97),
    [anon_sym_FOR] = ACTIONS(99),
    [anon_sym_END] = ACTIONS(101),
    [anon_sym_FROM] = ACTIONS(103),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(105),
    [anon_sym_FUNCTION] = ACTIONS(107),
    [anon_sym_COMMAND] = ACTIONS(107),
    [anon_sym_GITCLONE] = ACTIONS(109),
    [anon_sym_HOST] = ACTIONS(111),
    [anon_sym_IF] = ACTIONS(113),
    [anon_sym_IMPORT] = ACTIONS(115),
    [anon_sym_LET] = ACTIONS(117),
    [anon_sym_LABEL] = ACTIONS(119),
    [anon_sym_LOCALLY] = ACTIONS(121),
    [anon_sym_RUN] = ACTIONS(123),
    [anon_sym_SAVEARTIFACT] = ACTIONS(125),
    [anon_sym_SAVEIMAGE] = ACTIONS(127),
    [anon_sym_SET] = ACTIONS(129),
    [anon_sym_TRY] = ACTIONS(131),
    [anon_sym_FINALLY] = ACTIONS(101),
    [anon_sym_USER] = ACTIONS(133),
    [anon_sym_VOLUME] = ACTIONS(135),
    [anon_sym_WAIT] = ACTIONS(137),
    [anon_sym_WITHDOCKER] = ACTIONS(139),
    [anon_sym_WORKDIR] = ACTIONS(141),
    [aux_sym_block_token1] = ACTIONS(143),
    [anon_sym_ELSEIF] = ACTIONS(101),
    [anon_sym_ELSE] = ACTIONS(101),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation_comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_CR_LF] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
  },
  [4] = {
    [sym_project_command] = STATE(3),
    [sym_arg_command] = STATE(3),
    [sym_build_command] = STATE(3),
    [sym_cache_command] = STATE(3),
    [sym_cmd_command] = STATE(3),
    [sym_copy_command] = STATE(3),
    [sym_do_command] = STATE(3),
    [sym_entrypoint_command] = STATE(3),
    [sym_env_command] = STATE(3),
    [sym_expose_command] = STATE(3),
    [sym_for_command] = STATE(3),
    [sym_from_command] = STATE(3),
    [sym_from_dockerfile_command] = STATE(3),
    [sym_function_command] = STATE(3),
    [sym_git_clone_command] = STATE(3),
    [sym_host_command] = STATE(3),
    [sym_if_command] = STATE(3),
    [sym_import_command] = STATE(3),
    [sym_let_command] = STATE(3),
    [sym_label_command] = STATE(3),
    [sym_locally_command] = STATE(3),
    [sym_run_command] = STATE(3),
    [sym_save_artifact_command] = STATE(3),
    [sym_save_image_command] = STATE(3),
    [sym_set_command] = STATE(3),
    [sym_try_command] = STATE(3),
    [sym_user_command] = STATE(3),
    [sym_volume_command] = STATE(3),
    [sym_wait_command] = STATE(3),
    [sym_with_docker_command] = STATE(3),
    [sym_workdir_command] = STATE(3),
    [sym_block] = STATE(2129),
    [aux_sym_block_repeat1] = STATE(3),
    [anon_sym_PROJECT] = ACTIONS(79),
    [anon_sym_ARG] = ACTIONS(81),
    [anon_sym_BUILD] = ACTIONS(83),
    [anon_sym_CACHE] = ACTIONS(85),
    [anon_sym_CMD] = ACTIONS(87),
    [anon_sym_COPY] = ACTIONS(89),
    [anon_sym_DO] = ACTIONS(91),
    [anon_sym_ENTRYPOINT] = ACTIONS(93),
    [anon_sym_ENV] = ACTIONS(95),
    [anon_sym_EXPOSE] = ACTIONS(97),
    [anon_sym_FOR] = ACTIONS(99),
    [anon_sym_END] = ACTIONS(145),
    [anon_sym_FROM] = ACTIONS(103),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(105),
    [anon_sym_FUNCTION] = ACTIONS(107),
    [anon_sym_COMMAND] = ACTIONS(107),
    [anon_sym_GITCLONE] = ACTIONS(109),
    [anon_sym_HOST] = ACTIONS(111),
    [anon_sym_IF] = ACTIONS(113),
    [anon_sym_IMPORT] = ACTIONS(115),
    [anon_sym_LET] = ACTIONS(117),
    [anon_sym_LABEL] = ACTIONS(119),
    [anon_sym_LOCALLY] = ACTIONS(121),
    [anon_sym_RUN] = ACTIONS(123),
    [anon_sym_SAVEARTIFACT] = ACTIONS(125),
    [anon_sym_SAVEIMAGE] = ACTIONS(127),
    [anon_sym_SET] = ACTIONS(129),
    [anon_sym_TRY] = ACTIONS(131),
    [anon_sym_USER] = ACTIONS(133),
    [anon_sym_VOLUME] = ACTIONS(135),
    [anon_sym_WAIT] = ACTIONS(137),
    [anon_sym_WITHDOCKER] = ACTIONS(139),
    [anon_sym_WORKDIR] = ACTIONS(141),
    [aux_sym_block_token1] = ACTIONS(147),
    [anon_sym_ELSEIF] = ACTIONS(145),
    [anon_sym_ELSE] = ACTIONS(145),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation_comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_CR_LF] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
  },
  [5] = {
    [sym_project_command] = STATE(3),
    [sym_arg_command] = STATE(3),
    [sym_build_command] = STATE(3),
    [sym_cache_command] = STATE(3),
    [sym_cmd_command] = STATE(3),
    [sym_copy_command] = STATE(3),
    [sym_do_command] = STATE(3),
    [sym_entrypoint_command] = STATE(3),
    [sym_env_command] = STATE(3),
    [sym_expose_command] = STATE(3),
    [sym_for_command] = STATE(3),
    [sym_from_command] = STATE(3),
    [sym_from_dockerfile_command] = STATE(3),
    [sym_function_command] = STATE(3),
    [sym_git_clone_command] = STATE(3),
    [sym_host_command] = STATE(3),
    [sym_if_command] = STATE(3),
    [sym_import_command] = STATE(3),
    [sym_let_command] = STATE(3),
    [sym_label_command] = STATE(3),
    [sym_locally_command] = STATE(3),
    [sym_run_command] = STATE(3),
    [sym_save_artifact_command] = STATE(3),
    [sym_save_image_command] = STATE(3),
    [sym_set_command] = STATE(3),
    [sym_try_command] = STATE(3),
    [sym_user_command] = STATE(3),
    [sym_volume_command] = STATE(3),
    [sym_wait_command] = STATE(3),
    [sym_with_docker_command] = STATE(3),
    [sym_workdir_command] = STATE(3),
    [sym_block] = STATE(2140),
    [aux_sym_block_repeat1] = STATE(3),
    [anon_sym_PROJECT] = ACTIONS(79),
    [anon_sym_ARG] = ACTIONS(81),
    [anon_sym_BUILD] = ACTIONS(83),
    [anon_sym_CACHE] = ACTIONS(85),
    [anon_sym_CMD] = ACTIONS(87),
    [anon_sym_COPY] = ACTIONS(89),
    [anon_sym_DO] = ACTIONS(91),
    [anon_sym_ENTRYPOINT] = ACTIONS(93),
    [anon_sym_ENV] = ACTIONS(95),
    [anon_sym_EXPOSE] = ACTIONS(97),
    [anon_sym_FOR] = ACTIONS(99),
    [anon_sym_END] = ACTIONS(149),
    [anon_sym_FROM] = ACTIONS(103),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(105),
    [anon_sym_FUNCTION] = ACTIONS(107),
    [anon_sym_COMMAND] = ACTIONS(107),
    [anon_sym_GITCLONE] = ACTIONS(109),
    [anon_sym_HOST] = ACTIONS(111),
    [anon_sym_IF] = ACTIONS(113),
    [anon_sym_IMPORT] = ACTIONS(115),
    [anon_sym_LET] = ACTIONS(117),
    [anon_sym_LABEL] = ACTIONS(119),
    [anon_sym_LOCALLY] = ACTIONS(121),
    [anon_sym_RUN] = ACTIONS(123),
    [anon_sym_SAVEARTIFACT] = ACTIONS(125),
    [anon_sym_SAVEIMAGE] = ACTIONS(127),
    [anon_sym_SET] = ACTIONS(129),
    [anon_sym_TRY] = ACTIONS(131),
    [anon_sym_USER] = ACTIONS(133),
    [anon_sym_VOLUME] = ACTIONS(135),
    [anon_sym_WAIT] = ACTIONS(137),
    [anon_sym_WITHDOCKER] = ACTIONS(139),
    [anon_sym_WORKDIR] = ACTIONS(141),
    [aux_sym_block_token1] = ACTIONS(147),
    [anon_sym_ELSEIF] = ACTIONS(149),
    [anon_sym_ELSE] = ACTIONS(149),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation_comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_CR_LF] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
  },
  [6] = {
    [sym_project_command] = STATE(6),
    [sym_arg_command] = STATE(6),
    [sym_build_command] = STATE(6),
    [sym_cache_command] = STATE(6),
    [sym_cmd_command] = STATE(6),
    [sym_copy_command] = STATE(6),
    [sym_do_command] = STATE(6),
    [sym_entrypoint_command] = STATE(6),
    [sym_env_command] = STATE(6),
    [sym_expose_command] = STATE(6),
    [sym_for_command] = STATE(6),
    [sym_from_command] = STATE(6),
    [sym_from_dockerfile_command] = STATE(6),
    [sym_function_command] = STATE(6),
    [sym_git_clone_command] = STATE(6),
    [sym_host_command] = STATE(6),
    [sym_if_command] = STATE(6),
    [sym_import_command] = STATE(6),
    [sym_let_command] = STATE(6),
    [sym_label_command] = STATE(6),
    [sym_locally_command] = STATE(6),
    [sym_run_command] = STATE(6),
    [sym_save_artifact_command] = STATE(6),
    [sym_save_image_command] = STATE(6),
    [sym_set_command] = STATE(6),
    [sym_try_command] = STATE(6),
    [sym_user_command] = STATE(6),
    [sym_volume_command] = STATE(6),
    [sym_wait_command] = STATE(6),
    [sym_with_docker_command] = STATE(6),
    [sym_workdir_command] = STATE(6),
    [aux_sym_block_repeat1] = STATE(6),
    [anon_sym_PROJECT] = ACTIONS(151),
    [anon_sym_ARG] = ACTIONS(154),
    [anon_sym_BUILD] = ACTIONS(157),
    [anon_sym_CACHE] = ACTIONS(160),
    [anon_sym_CMD] = ACTIONS(163),
    [anon_sym_COPY] = ACTIONS(166),
    [anon_sym_DO] = ACTIONS(169),
    [anon_sym_ENTRYPOINT] = ACTIONS(172),
    [anon_sym_ENV] = ACTIONS(175),
    [anon_sym_EXPOSE] = ACTIONS(178),
    [anon_sym_FOR] = ACTIONS(181),
    [anon_sym_END] = ACTIONS(184),
    [anon_sym_FROM] = ACTIONS(186),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(189),
    [anon_sym_FUNCTION] = ACTIONS(192),
    [anon_sym_COMMAND] = ACTIONS(192),
    [anon_sym_GITCLONE] = ACTIONS(195),
    [anon_sym_HOST] = ACTIONS(198),
    [anon_sym_IF] = ACTIONS(201),
    [anon_sym_IMPORT] = ACTIONS(204),
    [anon_sym_LET] = ACTIONS(207),
    [anon_sym_LABEL] = ACTIONS(210),
    [anon_sym_LOCALLY] = ACTIONS(213),
    [anon_sym_RUN] = ACTIONS(216),
    [anon_sym_SAVEARTIFACT] = ACTIONS(219),
    [anon_sym_SAVEIMAGE] = ACTIONS(222),
    [anon_sym_SET] = ACTIONS(225),
    [anon_sym_TRY] = ACTIONS(228),
    [anon_sym_FINALLY] = ACTIONS(184),
    [anon_sym_USER] = ACTIONS(231),
    [anon_sym_VOLUME] = ACTIONS(234),
    [anon_sym_WAIT] = ACTIONS(237),
    [anon_sym_WITHDOCKER] = ACTIONS(240),
    [anon_sym_WORKDIR] = ACTIONS(243),
    [aux_sym_block_token1] = ACTIONS(246),
    [anon_sym_ELSEIF] = ACTIONS(184),
    [anon_sym_ELSE] = ACTIONS(184),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation_comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_CR_LF] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
  },
  [7] = {
    [sym_project_command] = STATE(3),
    [sym_arg_command] = STATE(3),
    [sym_build_command] = STATE(3),
    [sym_cache_command] = STATE(3),
    [sym_cmd_command] = STATE(3),
    [sym_copy_command] = STATE(3),
    [sym_do_command] = STATE(3),
    [sym_entrypoint_command] = STATE(3),
    [sym_env_command] = STATE(3),
    [sym_expose_command] = STATE(3),
    [sym_for_command] = STATE(3),
    [sym_from_command] = STATE(3),
    [sym_from_dockerfile_command] = STATE(3),
    [sym_function_command] = STATE(3),
    [sym_git_clone_command] = STATE(3),
    [sym_host_command] = STATE(3),
    [sym_if_command] = STATE(3),
    [sym_import_command] = STATE(3),
    [sym_let_command] = STATE(3),
    [sym_label_command] = STATE(3),
    [sym_locally_command] = STATE(3),
    [sym_run_command] = STATE(3),
    [sym_save_artifact_command] = STATE(3),
    [sym_save_image_command] = STATE(3),
    [sym_set_command] = STATE(3),
    [sym_try_command] = STATE(3),
    [sym_user_command] = STATE(3),
    [sym_volume_command] = STATE(3),
    [sym_wait_command] = STATE(3),
    [sym_with_docker_command] = STATE(3),
    [sym_workdir_command] = STATE(3),
    [sym_block] = STATE(2716),
    [aux_sym_block_repeat1] = STATE(3),
    [anon_sym_PROJECT] = ACTIONS(79),
    [anon_sym_ARG] = ACTIONS(81),
    [anon_sym_BUILD] = ACTIONS(83),
    [anon_sym_CACHE] = ACTIONS(85),
    [anon_sym_CMD] = ACTIONS(87),
    [anon_sym_COPY] = ACTIONS(89),
    [anon_sym_DO] = ACTIONS(91),
    [anon_sym_ENTRYPOINT] = ACTIONS(93),
    [anon_sym_ENV] = ACTIONS(95),
    [anon_sym_EXPOSE] = ACTIONS(97),
    [anon_sym_FOR] = ACTIONS(99),
    [anon_sym_END] = ACTIONS(249),
    [anon_sym_FROM] = ACTIONS(103),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(105),
    [anon_sym_FUNCTION] = ACTIONS(107),
    [anon_sym_COMMAND] = ACTIONS(107),
    [anon_sym_GITCLONE] = ACTIONS(109),
    [anon_sym_HOST] = ACTIONS(111),
    [anon_sym_IF] = ACTIONS(113),
    [anon_sym_IMPORT] = ACTIONS(115),
    [anon_sym_LET] = ACTIONS(117),
    [anon_sym_LABEL] = ACTIONS(119),
    [anon_sym_LOCALLY] = ACTIONS(121),
    [anon_sym_RUN] = ACTIONS(123),
    [anon_sym_SAVEARTIFACT] = ACTIONS(125),
    [anon_sym_SAVEIMAGE] = ACTIONS(127),
    [anon_sym_SET] = ACTIONS(129),
    [anon_sym_TRY] = ACTIONS(131),
    [anon_sym_USER] = ACTIONS(133),
    [anon_sym_VOLUME] = ACTIONS(135),
    [anon_sym_WAIT] = ACTIONS(137),
    [anon_sym_WITHDOCKER] = ACTIONS(139),
    [anon_sym_WORKDIR] = ACTIONS(141),
    [aux_sym_block_token1] = ACTIONS(147),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation_comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_CR_LF] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
  },
  [8] = {
    [sym_project_command] = STATE(3),
    [sym_arg_command] = STATE(3),
    [sym_build_command] = STATE(3),
    [sym_cache_command] = STATE(3),
    [sym_cmd_command] = STATE(3),
    [sym_copy_command] = STATE(3),
    [sym_do_command] = STATE(3),
    [sym_entrypoint_command] = STATE(3),
    [sym_env_command] = STATE(3),
    [sym_expose_command] = STATE(3),
    [sym_for_command] = STATE(3),
    [sym_from_command] = STATE(3),
    [sym_from_dockerfile_command] = STATE(3),
    [sym_function_command] = STATE(3),
    [sym_git_clone_command] = STATE(3),
    [sym_host_command] = STATE(3),
    [sym_if_command] = STATE(3),
    [sym_import_command] = STATE(3),
    [sym_let_command] = STATE(3),
    [sym_label_command] = STATE(3),
    [sym_locally_command] = STATE(3),
    [sym_run_command] = STATE(3),
    [sym_save_artifact_command] = STATE(3),
    [sym_save_image_command] = STATE(3),
    [sym_set_command] = STATE(3),
    [sym_try_command] = STATE(3),
    [sym_user_command] = STATE(3),
    [sym_volume_command] = STATE(3),
    [sym_wait_command] = STATE(3),
    [sym_with_docker_command] = STATE(3),
    [sym_workdir_command] = STATE(3),
    [sym_block] = STATE(2688),
    [aux_sym_block_repeat1] = STATE(3),
    [anon_sym_PROJECT] = ACTIONS(79),
    [anon_sym_ARG] = ACTIONS(81),
    [anon_sym_BUILD] = ACTIONS(83),
    [anon_sym_CACHE] = ACTIONS(85),
    [anon_sym_CMD] = ACTIONS(87),
    [anon_sym_COPY] = ACTIONS(89),
    [anon_sym_DO] = ACTIONS(91),
    [anon_sym_ENTRYPOINT] = ACTIONS(93),
    [anon_sym_ENV] = ACTIONS(95),
    [anon_sym_EXPOSE] = ACTIONS(97),
    [anon_sym_FOR] = ACTIONS(99),
    [anon_sym_END] = ACTIONS(251),
    [anon_sym_FROM] = ACTIONS(103),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(105),
    [anon_sym_FUNCTION] = ACTIONS(107),
    [anon_sym_COMMAND] = ACTIONS(107),
    [anon_sym_GITCLONE] = ACTIONS(109),
    [anon_sym_HOST] = ACTIONS(111),
    [anon_sym_IF] = ACTIONS(113),
    [anon_sym_IMPORT] = ACTIONS(115),
    [anon_sym_LET] = ACTIONS(117),
    [anon_sym_LABEL] = ACTIONS(119),
    [anon_sym_LOCALLY] = ACTIONS(121),
    [anon_sym_RUN] = ACTIONS(123),
    [anon_sym_SAVEARTIFACT] = ACTIONS(125),
    [anon_sym_SAVEIMAGE] = ACTIONS(127),
    [anon_sym_SET] = ACTIONS(129),
    [anon_sym_TRY] = ACTIONS(131),
    [anon_sym_USER] = ACTIONS(133),
    [anon_sym_VOLUME] = ACTIONS(135),
    [anon_sym_WAIT] = ACTIONS(137),
    [anon_sym_WITHDOCKER] = ACTIONS(139),
    [anon_sym_WORKDIR] = ACTIONS(141),
    [aux_sym_block_token1] = ACTIONS(147),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation_comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_CR_LF] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
  },
  [9] = {
    [sym_project_command] = STATE(3),
    [sym_arg_command] = STATE(3),
    [sym_build_command] = STATE(3),
    [sym_cache_command] = STATE(3),
    [sym_cmd_command] = STATE(3),
    [sym_copy_command] = STATE(3),
    [sym_do_command] = STATE(3),
    [sym_entrypoint_command] = STATE(3),
    [sym_env_command] = STATE(3),
    [sym_expose_command] = STATE(3),
    [sym_for_command] = STATE(3),
    [sym_from_command] = STATE(3),
    [sym_from_dockerfile_command] = STATE(3),
    [sym_function_command] = STATE(3),
    [sym_git_clone_command] = STATE(3),
    [sym_host_command] = STATE(3),
    [sym_if_command] = STATE(3),
    [sym_import_command] = STATE(3),
    [sym_let_command] = STATE(3),
    [sym_label_command] = STATE(3),
    [sym_locally_command] = STATE(3),
    [sym_run_command] = STATE(3),
    [sym_save_artifact_command] = STATE(3),
    [sym_save_image_command] = STATE(3),
    [sym_set_command] = STATE(3),
    [sym_try_command] = STATE(3),
    [sym_user_command] = STATE(3),
    [sym_volume_command] = STATE(3),
    [sym_wait_command] = STATE(3),
    [sym_with_docker_command] = STATE(3),
    [sym_workdir_command] = STATE(3),
    [sym_block] = STATE(2701),
    [aux_sym_block_repeat1] = STATE(3),
    [anon_sym_PROJECT] = ACTIONS(79),
    [anon_sym_ARG] = ACTIONS(81),
    [anon_sym_BUILD] = ACTIONS(83),
    [anon_sym_CACHE] = ACTIONS(85),
    [anon_sym_CMD] = ACTIONS(87),
    [anon_sym_COPY] = ACTIONS(89),
    [anon_sym_DO] = ACTIONS(91),
    [anon_sym_ENTRYPOINT] = ACTIONS(93),
    [anon_sym_ENV] = ACTIONS(95),
    [anon_sym_EXPOSE] = ACTIONS(97),
    [anon_sym_FOR] = ACTIONS(99),
    [anon_sym_END] = ACTIONS(253),
    [anon_sym_FROM] = ACTIONS(103),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(105),
    [anon_sym_FUNCTION] = ACTIONS(107),
    [anon_sym_COMMAND] = ACTIONS(107),
    [anon_sym_GITCLONE] = ACTIONS(109),
    [anon_sym_HOST] = ACTIONS(111),
    [anon_sym_IF] = ACTIONS(113),
    [anon_sym_IMPORT] = ACTIONS(115),
    [anon_sym_LET] = ACTIONS(117),
    [anon_sym_LABEL] = ACTIONS(119),
    [anon_sym_LOCALLY] = ACTIONS(121),
    [anon_sym_RUN] = ACTIONS(123),
    [anon_sym_SAVEARTIFACT] = ACTIONS(125),
    [anon_sym_SAVEIMAGE] = ACTIONS(127),
    [anon_sym_SET] = ACTIONS(129),
    [anon_sym_TRY] = ACTIONS(131),
    [anon_sym_USER] = ACTIONS(133),
    [anon_sym_VOLUME] = ACTIONS(135),
    [anon_sym_WAIT] = ACTIONS(137),
    [anon_sym_WITHDOCKER] = ACTIONS(139),
    [anon_sym_WORKDIR] = ACTIONS(141),
    [aux_sym_block_token1] = ACTIONS(147),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation_comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_CR_LF] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
  },
  [10] = {
    [sym_project_command] = STATE(16),
    [sym_arg_command] = STATE(16),
    [sym_build_command] = STATE(16),
    [sym_cache_command] = STATE(16),
    [sym_cmd_command] = STATE(16),
    [sym_copy_command] = STATE(16),
    [sym_do_command] = STATE(16),
    [sym_entrypoint_command] = STATE(16),
    [sym_env_command] = STATE(16),
    [sym_expose_command] = STATE(16),
    [sym_for_command] = STATE(16),
    [sym_from_command] = STATE(16),
    [sym_from_dockerfile_command] = STATE(16),
    [sym_function_command] = STATE(16),
    [sym_git_clone_command] = STATE(16),
    [sym_host_command] = STATE(16),
    [sym_if_command] = STATE(16),
    [sym_import_command] = STATE(16),
    [sym_let_command] = STATE(16),
    [sym_label_command] = STATE(16),
    [sym_locally_command] = STATE(16),
    [sym_run_command] = STATE(16),
    [sym_save_artifact_command] = STATE(16),
    [sym_save_image_command] = STATE(16),
    [sym_set_command] = STATE(16),
    [sym_try_command] = STATE(16),
    [sym_user_command] = STATE(16),
    [sym_volume_command] = STATE(16),
    [sym_wait_command] = STATE(16),
    [sym_with_docker_command] = STATE(16),
    [sym_workdir_command] = STATE(16),
    [aux_sym_block_repeat1] = STATE(16),
    [ts_builtin_sym_end] = ACTIONS(255),
    [anon_sym_PROJECT] = ACTIONS(9),
    [anon_sym_ARG] = ACTIONS(13),
    [anon_sym_BUILD] = ACTIONS(15),
    [anon_sym_CACHE] = ACTIONS(17),
    [anon_sym_CMD] = ACTIONS(19),
    [anon_sym_COPY] = ACTIONS(21),
    [anon_sym_DO] = ACTIONS(23),
    [anon_sym_ENTRYPOINT] = ACTIONS(25),
    [anon_sym_ENV] = ACTIONS(27),
    [anon_sym_EXPOSE] = ACTIONS(29),
    [anon_sym_FOR] = ACTIONS(31),
    [anon_sym_FROM] = ACTIONS(33),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(35),
    [anon_sym_FUNCTION] = ACTIONS(37),
    [anon_sym_COMMAND] = ACTIONS(37),
    [anon_sym_GITCLONE] = ACTIONS(39),
    [anon_sym_HOST] = ACTIONS(41),
    [anon_sym_IF] = ACTIONS(43),
    [anon_sym_IMPORT] = ACTIONS(45),
    [anon_sym_LET] = ACTIONS(47),
    [anon_sym_LABEL] = ACTIONS(49),
    [anon_sym_LOCALLY] = ACTIONS(51),
    [anon_sym_RUN] = ACTIONS(53),
    [anon_sym_SAVEARTIFACT] = ACTIONS(55),
    [anon_sym_SAVEIMAGE] = ACTIONS(57),
    [anon_sym_SET] = ACTIONS(59),
    [anon_sym_TRY] = ACTIONS(61),
    [anon_sym_USER] = ACTIONS(63),
    [anon_sym_VOLUME] = ACTIONS(65),
    [anon_sym_WAIT] = ACTIONS(67),
    [anon_sym_WITHDOCKER] = ACTIONS(69),
    [anon_sym_WORKDIR] = ACTIONS(71),
    [aux_sym_block_token1] = ACTIONS(257),
    [sym__string_base_alpha] = ACTIONS(101),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation_comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_CR_LF] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
  },
  [11] = {
    [sym_project_command] = STATE(3),
    [sym_arg_command] = STATE(3),
    [sym_build_command] = STATE(3),
    [sym_cache_command] = STATE(3),
    [sym_cmd_command] = STATE(3),
    [sym_copy_command] = STATE(3),
    [sym_do_command] = STATE(3),
    [sym_entrypoint_command] = STATE(3),
    [sym_env_command] = STATE(3),
    [sym_expose_command] = STATE(3),
    [sym_for_command] = STATE(3),
    [sym_from_command] = STATE(3),
    [sym_from_dockerfile_command] = STATE(3),
    [sym_function_command] = STATE(3),
    [sym_git_clone_command] = STATE(3),
    [sym_host_command] = STATE(3),
    [sym_if_command] = STATE(3),
    [sym_import_command] = STATE(3),
    [sym_let_command] = STATE(3),
    [sym_label_command] = STATE(3),
    [sym_locally_command] = STATE(3),
    [sym_run_command] = STATE(3),
    [sym_save_artifact_command] = STATE(3),
    [sym_save_image_command] = STATE(3),
    [sym_set_command] = STATE(3),
    [sym_try_command] = STATE(3),
    [sym_user_command] = STATE(3),
    [sym_volume_command] = STATE(3),
    [sym_wait_command] = STATE(3),
    [sym_with_docker_command] = STATE(3),
    [sym_workdir_command] = STATE(3),
    [sym_block] = STATE(2693),
    [aux_sym_block_repeat1] = STATE(3),
    [anon_sym_PROJECT] = ACTIONS(79),
    [anon_sym_ARG] = ACTIONS(81),
    [anon_sym_BUILD] = ACTIONS(83),
    [anon_sym_CACHE] = ACTIONS(85),
    [anon_sym_CMD] = ACTIONS(87),
    [anon_sym_COPY] = ACTIONS(89),
    [anon_sym_DO] = ACTIONS(91),
    [anon_sym_ENTRYPOINT] = ACTIONS(93),
    [anon_sym_ENV] = ACTIONS(95),
    [anon_sym_EXPOSE] = ACTIONS(97),
    [anon_sym_FOR] = ACTIONS(99),
    [anon_sym_END] = ACTIONS(259),
    [anon_sym_FROM] = ACTIONS(103),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(105),
    [anon_sym_FUNCTION] = ACTIONS(107),
    [anon_sym_COMMAND] = ACTIONS(107),
    [anon_sym_GITCLONE] = ACTIONS(109),
    [anon_sym_HOST] = ACTIONS(111),
    [anon_sym_IF] = ACTIONS(113),
    [anon_sym_IMPORT] = ACTIONS(115),
    [anon_sym_LET] = ACTIONS(117),
    [anon_sym_LABEL] = ACTIONS(119),
    [anon_sym_LOCALLY] = ACTIONS(121),
    [anon_sym_RUN] = ACTIONS(123),
    [anon_sym_SAVEARTIFACT] = ACTIONS(125),
    [anon_sym_SAVEIMAGE] = ACTIONS(127),
    [anon_sym_SET] = ACTIONS(129),
    [anon_sym_TRY] = ACTIONS(131),
    [anon_sym_USER] = ACTIONS(133),
    [anon_sym_VOLUME] = ACTIONS(135),
    [anon_sym_WAIT] = ACTIONS(137),
    [anon_sym_WITHDOCKER] = ACTIONS(139),
    [anon_sym_WORKDIR] = ACTIONS(141),
    [aux_sym_block_token1] = ACTIONS(147),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation_comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_CR_LF] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
  },
  [12] = {
    [sym_project_command] = STATE(3),
    [sym_arg_command] = STATE(3),
    [sym_build_command] = STATE(3),
    [sym_cache_command] = STATE(3),
    [sym_cmd_command] = STATE(3),
    [sym_copy_command] = STATE(3),
    [sym_do_command] = STATE(3),
    [sym_entrypoint_command] = STATE(3),
    [sym_env_command] = STATE(3),
    [sym_expose_command] = STATE(3),
    [sym_for_command] = STATE(3),
    [sym_from_command] = STATE(3),
    [sym_from_dockerfile_command] = STATE(3),
    [sym_function_command] = STATE(3),
    [sym_git_clone_command] = STATE(3),
    [sym_host_command] = STATE(3),
    [sym_if_command] = STATE(3),
    [sym_import_command] = STATE(3),
    [sym_let_command] = STATE(3),
    [sym_label_command] = STATE(3),
    [sym_locally_command] = STATE(3),
    [sym_run_command] = STATE(3),
    [sym_save_artifact_command] = STATE(3),
    [sym_save_image_command] = STATE(3),
    [sym_set_command] = STATE(3),
    [sym_try_command] = STATE(3),
    [sym_user_command] = STATE(3),
    [sym_volume_command] = STATE(3),
    [sym_wait_command] = STATE(3),
    [sym_with_docker_command] = STATE(3),
    [sym_workdir_command] = STATE(3),
    [sym_block] = STATE(2702),
    [aux_sym_block_repeat1] = STATE(3),
    [anon_sym_PROJECT] = ACTIONS(79),
    [anon_sym_ARG] = ACTIONS(81),
    [anon_sym_BUILD] = ACTIONS(83),
    [anon_sym_CACHE] = ACTIONS(85),
    [anon_sym_CMD] = ACTIONS(87),
    [anon_sym_COPY] = ACTIONS(89),
    [anon_sym_DO] = ACTIONS(91),
    [anon_sym_ENTRYPOINT] = ACTIONS(93),
    [anon_sym_ENV] = ACTIONS(95),
    [anon_sym_EXPOSE] = ACTIONS(97),
    [anon_sym_FOR] = ACTIONS(99),
    [anon_sym_END] = ACTIONS(261),
    [anon_sym_FROM] = ACTIONS(103),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(105),
    [anon_sym_FUNCTION] = ACTIONS(107),
    [anon_sym_COMMAND] = ACTIONS(107),
    [anon_sym_GITCLONE] = ACTIONS(109),
    [anon_sym_HOST] = ACTIONS(111),
    [anon_sym_IF] = ACTIONS(113),
    [anon_sym_IMPORT] = ACTIONS(115),
    [anon_sym_LET] = ACTIONS(117),
    [anon_sym_LABEL] = ACTIONS(119),
    [anon_sym_LOCALLY] = ACTIONS(121),
    [anon_sym_RUN] = ACTIONS(123),
    [anon_sym_SAVEARTIFACT] = ACTIONS(125),
    [anon_sym_SAVEIMAGE] = ACTIONS(127),
    [anon_sym_SET] = ACTIONS(129),
    [anon_sym_TRY] = ACTIONS(131),
    [anon_sym_USER] = ACTIONS(133),
    [anon_sym_VOLUME] = ACTIONS(135),
    [anon_sym_WAIT] = ACTIONS(137),
    [anon_sym_WITHDOCKER] = ACTIONS(139),
    [anon_sym_WORKDIR] = ACTIONS(141),
    [aux_sym_block_token1] = ACTIONS(147),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation_comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_CR_LF] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
  },
  [13] = {
    [sym_project_command] = STATE(3),
    [sym_arg_command] = STATE(3),
    [sym_build_command] = STATE(3),
    [sym_cache_command] = STATE(3),
    [sym_cmd_command] = STATE(3),
    [sym_copy_command] = STATE(3),
    [sym_do_command] = STATE(3),
    [sym_entrypoint_command] = STATE(3),
    [sym_env_command] = STATE(3),
    [sym_expose_command] = STATE(3),
    [sym_for_command] = STATE(3),
    [sym_from_command] = STATE(3),
    [sym_from_dockerfile_command] = STATE(3),
    [sym_function_command] = STATE(3),
    [sym_git_clone_command] = STATE(3),
    [sym_host_command] = STATE(3),
    [sym_if_command] = STATE(3),
    [sym_import_command] = STATE(3),
    [sym_let_command] = STATE(3),
    [sym_label_command] = STATE(3),
    [sym_locally_command] = STATE(3),
    [sym_run_command] = STATE(3),
    [sym_save_artifact_command] = STATE(3),
    [sym_save_image_command] = STATE(3),
    [sym_set_command] = STATE(3),
    [sym_try_command] = STATE(3),
    [sym_user_command] = STATE(3),
    [sym_volume_command] = STATE(3),
    [sym_wait_command] = STATE(3),
    [sym_with_docker_command] = STATE(3),
    [sym_workdir_command] = STATE(3),
    [sym_block] = STATE(2677),
    [aux_sym_block_repeat1] = STATE(3),
    [anon_sym_PROJECT] = ACTIONS(79),
    [anon_sym_ARG] = ACTIONS(81),
    [anon_sym_BUILD] = ACTIONS(83),
    [anon_sym_CACHE] = ACTIONS(85),
    [anon_sym_CMD] = ACTIONS(87),
    [anon_sym_COPY] = ACTIONS(89),
    [anon_sym_DO] = ACTIONS(91),
    [anon_sym_ENTRYPOINT] = ACTIONS(93),
    [anon_sym_ENV] = ACTIONS(95),
    [anon_sym_EXPOSE] = ACTIONS(97),
    [anon_sym_FOR] = ACTIONS(99),
    [anon_sym_END] = ACTIONS(263),
    [anon_sym_FROM] = ACTIONS(103),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(105),
    [anon_sym_FUNCTION] = ACTIONS(107),
    [anon_sym_COMMAND] = ACTIONS(107),
    [anon_sym_GITCLONE] = ACTIONS(109),
    [anon_sym_HOST] = ACTIONS(111),
    [anon_sym_IF] = ACTIONS(113),
    [anon_sym_IMPORT] = ACTIONS(115),
    [anon_sym_LET] = ACTIONS(117),
    [anon_sym_LABEL] = ACTIONS(119),
    [anon_sym_LOCALLY] = ACTIONS(121),
    [anon_sym_RUN] = ACTIONS(123),
    [anon_sym_SAVEARTIFACT] = ACTIONS(125),
    [anon_sym_SAVEIMAGE] = ACTIONS(127),
    [anon_sym_SET] = ACTIONS(129),
    [anon_sym_TRY] = ACTIONS(131),
    [anon_sym_USER] = ACTIONS(133),
    [anon_sym_VOLUME] = ACTIONS(135),
    [anon_sym_WAIT] = ACTIONS(137),
    [anon_sym_WITHDOCKER] = ACTIONS(139),
    [anon_sym_WORKDIR] = ACTIONS(141),
    [aux_sym_block_token1] = ACTIONS(147),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation_comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_CR_LF] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
  },
  [14] = {
    [sym_project_command] = STATE(3),
    [sym_arg_command] = STATE(3),
    [sym_build_command] = STATE(3),
    [sym_cache_command] = STATE(3),
    [sym_cmd_command] = STATE(3),
    [sym_copy_command] = STATE(3),
    [sym_do_command] = STATE(3),
    [sym_entrypoint_command] = STATE(3),
    [sym_env_command] = STATE(3),
    [sym_expose_command] = STATE(3),
    [sym_for_command] = STATE(3),
    [sym_from_command] = STATE(3),
    [sym_from_dockerfile_command] = STATE(3),
    [sym_function_command] = STATE(3),
    [sym_git_clone_command] = STATE(3),
    [sym_host_command] = STATE(3),
    [sym_if_command] = STATE(3),
    [sym_import_command] = STATE(3),
    [sym_let_command] = STATE(3),
    [sym_label_command] = STATE(3),
    [sym_locally_command] = STATE(3),
    [sym_run_command] = STATE(3),
    [sym_save_artifact_command] = STATE(3),
    [sym_save_image_command] = STATE(3),
    [sym_set_command] = STATE(3),
    [sym_try_command] = STATE(3),
    [sym_user_command] = STATE(3),
    [sym_volume_command] = STATE(3),
    [sym_wait_command] = STATE(3),
    [sym_with_docker_command] = STATE(3),
    [sym_workdir_command] = STATE(3),
    [sym_block] = STATE(2732),
    [aux_sym_block_repeat1] = STATE(3),
    [anon_sym_PROJECT] = ACTIONS(79),
    [anon_sym_ARG] = ACTIONS(81),
    [anon_sym_BUILD] = ACTIONS(83),
    [anon_sym_CACHE] = ACTIONS(85),
    [anon_sym_CMD] = ACTIONS(87),
    [anon_sym_COPY] = ACTIONS(89),
    [anon_sym_DO] = ACTIONS(91),
    [anon_sym_ENTRYPOINT] = ACTIONS(93),
    [anon_sym_ENV] = ACTIONS(95),
    [anon_sym_EXPOSE] = ACTIONS(97),
    [anon_sym_FOR] = ACTIONS(99),
    [anon_sym_FROM] = ACTIONS(103),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(105),
    [anon_sym_FUNCTION] = ACTIONS(107),
    [anon_sym_COMMAND] = ACTIONS(107),
    [anon_sym_GITCLONE] = ACTIONS(109),
    [anon_sym_HOST] = ACTIONS(111),
    [anon_sym_IF] = ACTIONS(113),
    [anon_sym_IMPORT] = ACTIONS(115),
    [anon_sym_LET] = ACTIONS(117),
    [anon_sym_LABEL] = ACTIONS(119),
    [anon_sym_LOCALLY] = ACTIONS(121),
    [anon_sym_RUN] = ACTIONS(123),
    [anon_sym_SAVEARTIFACT] = ACTIONS(125),
    [anon_sym_SAVEIMAGE] = ACTIONS(127),
    [anon_sym_SET] = ACTIONS(129),
    [anon_sym_TRY] = ACTIONS(131),
    [anon_sym_FINALLY] = ACTIONS(265),
    [anon_sym_USER] = ACTIONS(133),
    [anon_sym_VOLUME] = ACTIONS(135),
    [anon_sym_WAIT] = ACTIONS(137),
    [anon_sym_WITHDOCKER] = ACTIONS(139),
    [anon_sym_WORKDIR] = ACTIONS(141),
    [aux_sym_block_token1] = ACTIONS(147),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation_comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_CR_LF] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
  },
  [15] = {
    [sym_project_command] = STATE(22),
    [sym_arg_command] = STATE(22),
    [sym_build_command] = STATE(22),
    [sym_cache_command] = STATE(22),
    [sym_cmd_command] = STATE(22),
    [sym_copy_command] = STATE(22),
    [sym_do_command] = STATE(22),
    [sym_entrypoint_command] = STATE(22),
    [sym_env_command] = STATE(22),
    [sym_expose_command] = STATE(22),
    [sym_for_command] = STATE(22),
    [sym_from_command] = STATE(22),
    [sym_from_dockerfile_command] = STATE(22),
    [sym_function_command] = STATE(22),
    [sym_git_clone_command] = STATE(22),
    [sym_host_command] = STATE(22),
    [sym_if_command] = STATE(22),
    [sym_import_command] = STATE(22),
    [sym_let_command] = STATE(22),
    [sym_label_command] = STATE(22),
    [sym_locally_command] = STATE(22),
    [sym_run_command] = STATE(22),
    [sym_save_artifact_command] = STATE(22),
    [sym_save_image_command] = STATE(22),
    [sym_set_command] = STATE(22),
    [sym_try_command] = STATE(22),
    [sym_user_command] = STATE(22),
    [sym_volume_command] = STATE(22),
    [sym_wait_command] = STATE(22),
    [sym_with_docker_command] = STATE(22),
    [sym_workdir_command] = STATE(22),
    [sym_block] = STATE(2737),
    [aux_sym_block_repeat1] = STATE(22),
    [anon_sym_PROJECT] = ACTIONS(267),
    [anon_sym_ARG] = ACTIONS(269),
    [anon_sym_BUILD] = ACTIONS(271),
    [anon_sym_CACHE] = ACTIONS(273),
    [anon_sym_CMD] = ACTIONS(275),
    [anon_sym_COPY] = ACTIONS(277),
    [anon_sym_DO] = ACTIONS(279),
    [anon_sym_ENTRYPOINT] = ACTIONS(281),
    [anon_sym_ENV] = ACTIONS(283),
    [anon_sym_EXPOSE] = ACTIONS(285),
    [anon_sym_FOR] = ACTIONS(287),
    [anon_sym_FROM] = ACTIONS(289),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(291),
    [anon_sym_FUNCTION] = ACTIONS(293),
    [anon_sym_COMMAND] = ACTIONS(293),
    [anon_sym_GITCLONE] = ACTIONS(295),
    [anon_sym_HOST] = ACTIONS(297),
    [anon_sym_IF] = ACTIONS(299),
    [anon_sym_IMPORT] = ACTIONS(301),
    [anon_sym_LET] = ACTIONS(303),
    [anon_sym_LABEL] = ACTIONS(305),
    [anon_sym_LOCALLY] = ACTIONS(307),
    [anon_sym_RUN] = ACTIONS(309),
    [anon_sym_SAVEARTIFACT] = ACTIONS(311),
    [anon_sym_SAVEIMAGE] = ACTIONS(313),
    [anon_sym_SET] = ACTIONS(315),
    [anon_sym_TRY] = ACTIONS(317),
    [anon_sym_USER] = ACTIONS(319),
    [anon_sym_VOLUME] = ACTIONS(321),
    [anon_sym_WAIT] = ACTIONS(323),
    [anon_sym_WITHDOCKER] = ACTIONS(325),
    [anon_sym_WORKDIR] = ACTIONS(327),
    [aux_sym_block_token1] = ACTIONS(329),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation_comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_CR_LF] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
    [sym__dedent] = ACTIONS(331),
  },
  [16] = {
    [sym_project_command] = STATE(16),
    [sym_arg_command] = STATE(16),
    [sym_build_command] = STATE(16),
    [sym_cache_command] = STATE(16),
    [sym_cmd_command] = STATE(16),
    [sym_copy_command] = STATE(16),
    [sym_do_command] = STATE(16),
    [sym_entrypoint_command] = STATE(16),
    [sym_env_command] = STATE(16),
    [sym_expose_command] = STATE(16),
    [sym_for_command] = STATE(16),
    [sym_from_command] = STATE(16),
    [sym_from_dockerfile_command] = STATE(16),
    [sym_function_command] = STATE(16),
    [sym_git_clone_command] = STATE(16),
    [sym_host_command] = STATE(16),
    [sym_if_command] = STATE(16),
    [sym_import_command] = STATE(16),
    [sym_let_command] = STATE(16),
    [sym_label_command] = STATE(16),
    [sym_locally_command] = STATE(16),
    [sym_run_command] = STATE(16),
    [sym_save_artifact_command] = STATE(16),
    [sym_save_image_command] = STATE(16),
    [sym_set_command] = STATE(16),
    [sym_try_command] = STATE(16),
    [sym_user_command] = STATE(16),
    [sym_volume_command] = STATE(16),
    [sym_wait_command] = STATE(16),
    [sym_with_docker_command] = STATE(16),
    [sym_workdir_command] = STATE(16),
    [aux_sym_block_repeat1] = STATE(16),
    [ts_builtin_sym_end] = ACTIONS(333),
    [anon_sym_PROJECT] = ACTIONS(335),
    [anon_sym_ARG] = ACTIONS(338),
    [anon_sym_BUILD] = ACTIONS(341),
    [anon_sym_CACHE] = ACTIONS(344),
    [anon_sym_CMD] = ACTIONS(347),
    [anon_sym_COPY] = ACTIONS(350),
    [anon_sym_DO] = ACTIONS(353),
    [anon_sym_ENTRYPOINT] = ACTIONS(356),
    [anon_sym_ENV] = ACTIONS(359),
    [anon_sym_EXPOSE] = ACTIONS(362),
    [anon_sym_FOR] = ACTIONS(365),
    [anon_sym_FROM] = ACTIONS(368),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(371),
    [anon_sym_FUNCTION] = ACTIONS(374),
    [anon_sym_COMMAND] = ACTIONS(374),
    [anon_sym_GITCLONE] = ACTIONS(377),
    [anon_sym_HOST] = ACTIONS(380),
    [anon_sym_IF] = ACTIONS(383),
    [anon_sym_IMPORT] = ACTIONS(386),
    [anon_sym_LET] = ACTIONS(389),
    [anon_sym_LABEL] = ACTIONS(392),
    [anon_sym_LOCALLY] = ACTIONS(395),
    [anon_sym_RUN] = ACTIONS(398),
    [anon_sym_SAVEARTIFACT] = ACTIONS(401),
    [anon_sym_SAVEIMAGE] = ACTIONS(404),
    [anon_sym_SET] = ACTIONS(407),
    [anon_sym_TRY] = ACTIONS(410),
    [anon_sym_USER] = ACTIONS(413),
    [anon_sym_VOLUME] = ACTIONS(416),
    [anon_sym_WAIT] = ACTIONS(419),
    [anon_sym_WITHDOCKER] = ACTIONS(422),
    [anon_sym_WORKDIR] = ACTIONS(425),
    [aux_sym_block_token1] = ACTIONS(428),
    [sym__string_base_alpha] = ACTIONS(184),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation_comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_CR_LF] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
  },
  [17] = {
    [sym_project_command] = STATE(3),
    [sym_arg_command] = STATE(3),
    [sym_build_command] = STATE(3),
    [sym_cache_command] = STATE(3),
    [sym_cmd_command] = STATE(3),
    [sym_copy_command] = STATE(3),
    [sym_do_command] = STATE(3),
    [sym_entrypoint_command] = STATE(3),
    [sym_env_command] = STATE(3),
    [sym_expose_command] = STATE(3),
    [sym_for_command] = STATE(3),
    [sym_from_command] = STATE(3),
    [sym_from_dockerfile_command] = STATE(3),
    [sym_function_command] = STATE(3),
    [sym_git_clone_command] = STATE(3),
    [sym_host_command] = STATE(3),
    [sym_if_command] = STATE(3),
    [sym_import_command] = STATE(3),
    [sym_let_command] = STATE(3),
    [sym_label_command] = STATE(3),
    [sym_locally_command] = STATE(3),
    [sym_run_command] = STATE(3),
    [sym_save_artifact_command] = STATE(3),
    [sym_save_image_command] = STATE(3),
    [sym_set_command] = STATE(3),
    [sym_try_command] = STATE(3),
    [sym_user_command] = STATE(3),
    [sym_volume_command] = STATE(3),
    [sym_wait_command] = STATE(3),
    [sym_with_docker_command] = STATE(3),
    [sym_workdir_command] = STATE(3),
    [sym_block] = STATE(2675),
    [aux_sym_block_repeat1] = STATE(3),
    [anon_sym_PROJECT] = ACTIONS(79),
    [anon_sym_ARG] = ACTIONS(81),
    [anon_sym_BUILD] = ACTIONS(83),
    [anon_sym_CACHE] = ACTIONS(85),
    [anon_sym_CMD] = ACTIONS(87),
    [anon_sym_COPY] = ACTIONS(89),
    [anon_sym_DO] = ACTIONS(91),
    [anon_sym_ENTRYPOINT] = ACTIONS(93),
    [anon_sym_ENV] = ACTIONS(95),
    [anon_sym_EXPOSE] = ACTIONS(97),
    [anon_sym_FOR] = ACTIONS(99),
    [anon_sym_END] = ACTIONS(431),
    [anon_sym_FROM] = ACTIONS(103),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(105),
    [anon_sym_FUNCTION] = ACTIONS(107),
    [anon_sym_COMMAND] = ACTIONS(107),
    [anon_sym_GITCLONE] = ACTIONS(109),
    [anon_sym_HOST] = ACTIONS(111),
    [anon_sym_IF] = ACTIONS(113),
    [anon_sym_IMPORT] = ACTIONS(115),
    [anon_sym_LET] = ACTIONS(117),
    [anon_sym_LABEL] = ACTIONS(119),
    [anon_sym_LOCALLY] = ACTIONS(121),
    [anon_sym_RUN] = ACTIONS(123),
    [anon_sym_SAVEARTIFACT] = ACTIONS(125),
    [anon_sym_SAVEIMAGE] = ACTIONS(127),
    [anon_sym_SET] = ACTIONS(129),
    [anon_sym_TRY] = ACTIONS(131),
    [anon_sym_USER] = ACTIONS(133),
    [anon_sym_VOLUME] = ACTIONS(135),
    [anon_sym_WAIT] = ACTIONS(137),
    [anon_sym_WITHDOCKER] = ACTIONS(139),
    [anon_sym_WORKDIR] = ACTIONS(141),
    [aux_sym_block_token1] = ACTIONS(147),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation_comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_CR_LF] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
  },
  [18] = {
    [sym_project_command] = STATE(3),
    [sym_arg_command] = STATE(3),
    [sym_build_command] = STATE(3),
    [sym_cache_command] = STATE(3),
    [sym_cmd_command] = STATE(3),
    [sym_copy_command] = STATE(3),
    [sym_do_command] = STATE(3),
    [sym_entrypoint_command] = STATE(3),
    [sym_env_command] = STATE(3),
    [sym_expose_command] = STATE(3),
    [sym_for_command] = STATE(3),
    [sym_from_command] = STATE(3),
    [sym_from_dockerfile_command] = STATE(3),
    [sym_function_command] = STATE(3),
    [sym_git_clone_command] = STATE(3),
    [sym_host_command] = STATE(3),
    [sym_if_command] = STATE(3),
    [sym_import_command] = STATE(3),
    [sym_let_command] = STATE(3),
    [sym_label_command] = STATE(3),
    [sym_locally_command] = STATE(3),
    [sym_run_command] = STATE(3),
    [sym_save_artifact_command] = STATE(3),
    [sym_save_image_command] = STATE(3),
    [sym_set_command] = STATE(3),
    [sym_try_command] = STATE(3),
    [sym_user_command] = STATE(3),
    [sym_volume_command] = STATE(3),
    [sym_wait_command] = STATE(3),
    [sym_with_docker_command] = STATE(3),
    [sym_workdir_command] = STATE(3),
    [sym_block] = STATE(2698),
    [aux_sym_block_repeat1] = STATE(3),
    [anon_sym_PROJECT] = ACTIONS(79),
    [anon_sym_ARG] = ACTIONS(81),
    [anon_sym_BUILD] = ACTIONS(83),
    [anon_sym_CACHE] = ACTIONS(85),
    [anon_sym_CMD] = ACTIONS(87),
    [anon_sym_COPY] = ACTIONS(89),
    [anon_sym_DO] = ACTIONS(91),
    [anon_sym_ENTRYPOINT] = ACTIONS(93),
    [anon_sym_ENV] = ACTIONS(95),
    [anon_sym_EXPOSE] = ACTIONS(97),
    [anon_sym_FOR] = ACTIONS(99),
    [anon_sym_END] = ACTIONS(433),
    [anon_sym_FROM] = ACTIONS(103),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(105),
    [anon_sym_FUNCTION] = ACTIONS(107),
    [anon_sym_COMMAND] = ACTIONS(107),
    [anon_sym_GITCLONE] = ACTIONS(109),
    [anon_sym_HOST] = ACTIONS(111),
    [anon_sym_IF] = ACTIONS(113),
    [anon_sym_IMPORT] = ACTIONS(115),
    [anon_sym_LET] = ACTIONS(117),
    [anon_sym_LABEL] = ACTIONS(119),
    [anon_sym_LOCALLY] = ACTIONS(121),
    [anon_sym_RUN] = ACTIONS(123),
    [anon_sym_SAVEARTIFACT] = ACTIONS(125),
    [anon_sym_SAVEIMAGE] = ACTIONS(127),
    [anon_sym_SET] = ACTIONS(129),
    [anon_sym_TRY] = ACTIONS(131),
    [anon_sym_USER] = ACTIONS(133),
    [anon_sym_VOLUME] = ACTIONS(135),
    [anon_sym_WAIT] = ACTIONS(137),
    [anon_sym_WITHDOCKER] = ACTIONS(139),
    [anon_sym_WORKDIR] = ACTIONS(141),
    [aux_sym_block_token1] = ACTIONS(147),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation_comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_CR_LF] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
  },
  [19] = {
    [sym_project_command] = STATE(3),
    [sym_arg_command] = STATE(3),
    [sym_build_command] = STATE(3),
    [sym_cache_command] = STATE(3),
    [sym_cmd_command] = STATE(3),
    [sym_copy_command] = STATE(3),
    [sym_do_command] = STATE(3),
    [sym_entrypoint_command] = STATE(3),
    [sym_env_command] = STATE(3),
    [sym_expose_command] = STATE(3),
    [sym_for_command] = STATE(3),
    [sym_from_command] = STATE(3),
    [sym_from_dockerfile_command] = STATE(3),
    [sym_function_command] = STATE(3),
    [sym_git_clone_command] = STATE(3),
    [sym_host_command] = STATE(3),
    [sym_if_command] = STATE(3),
    [sym_import_command] = STATE(3),
    [sym_let_command] = STATE(3),
    [sym_label_command] = STATE(3),
    [sym_locally_command] = STATE(3),
    [sym_run_command] = STATE(3),
    [sym_save_artifact_command] = STATE(3),
    [sym_save_image_command] = STATE(3),
    [sym_set_command] = STATE(3),
    [sym_try_command] = STATE(3),
    [sym_user_command] = STATE(3),
    [sym_volume_command] = STATE(3),
    [sym_wait_command] = STATE(3),
    [sym_with_docker_command] = STATE(3),
    [sym_workdir_command] = STATE(3),
    [sym_block] = STATE(2692),
    [aux_sym_block_repeat1] = STATE(3),
    [anon_sym_PROJECT] = ACTIONS(79),
    [anon_sym_ARG] = ACTIONS(81),
    [anon_sym_BUILD] = ACTIONS(83),
    [anon_sym_CACHE] = ACTIONS(85),
    [anon_sym_CMD] = ACTIONS(87),
    [anon_sym_COPY] = ACTIONS(89),
    [anon_sym_DO] = ACTIONS(91),
    [anon_sym_ENTRYPOINT] = ACTIONS(93),
    [anon_sym_ENV] = ACTIONS(95),
    [anon_sym_EXPOSE] = ACTIONS(97),
    [anon_sym_FOR] = ACTIONS(99),
    [anon_sym_FROM] = ACTIONS(103),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(105),
    [anon_sym_FUNCTION] = ACTIONS(107),
    [anon_sym_COMMAND] = ACTIONS(107),
    [anon_sym_GITCLONE] = ACTIONS(109),
    [anon_sym_HOST] = ACTIONS(111),
    [anon_sym_IF] = ACTIONS(113),
    [anon_sym_IMPORT] = ACTIONS(115),
    [anon_sym_LET] = ACTIONS(117),
    [anon_sym_LABEL] = ACTIONS(119),
    [anon_sym_LOCALLY] = ACTIONS(121),
    [anon_sym_RUN] = ACTIONS(123),
    [anon_sym_SAVEARTIFACT] = ACTIONS(125),
    [anon_sym_SAVEIMAGE] = ACTIONS(127),
    [anon_sym_SET] = ACTIONS(129),
    [anon_sym_TRY] = ACTIONS(131),
    [anon_sym_FINALLY] = ACTIONS(435),
    [anon_sym_USER] = ACTIONS(133),
    [anon_sym_VOLUME] = ACTIONS(135),
    [anon_sym_WAIT] = ACTIONS(137),
    [anon_sym_WITHDOCKER] = ACTIONS(139),
    [anon_sym_WORKDIR] = ACTIONS(141),
    [aux_sym_block_token1] = ACTIONS(147),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation_comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_CR_LF] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
  },
  [20] = {
    [sym_project_command] = STATE(3),
    [sym_arg_command] = STATE(3),
    [sym_build_command] = STATE(3),
    [sym_cache_command] = STATE(3),
    [sym_cmd_command] = STATE(3),
    [sym_copy_command] = STATE(3),
    [sym_do_command] = STATE(3),
    [sym_entrypoint_command] = STATE(3),
    [sym_env_command] = STATE(3),
    [sym_expose_command] = STATE(3),
    [sym_for_command] = STATE(3),
    [sym_from_command] = STATE(3),
    [sym_from_dockerfile_command] = STATE(3),
    [sym_function_command] = STATE(3),
    [sym_git_clone_command] = STATE(3),
    [sym_host_command] = STATE(3),
    [sym_if_command] = STATE(3),
    [sym_import_command] = STATE(3),
    [sym_let_command] = STATE(3),
    [sym_label_command] = STATE(3),
    [sym_locally_command] = STATE(3),
    [sym_run_command] = STATE(3),
    [sym_save_artifact_command] = STATE(3),
    [sym_save_image_command] = STATE(3),
    [sym_set_command] = STATE(3),
    [sym_try_command] = STATE(3),
    [sym_user_command] = STATE(3),
    [sym_volume_command] = STATE(3),
    [sym_wait_command] = STATE(3),
    [sym_with_docker_command] = STATE(3),
    [sym_workdir_command] = STATE(3),
    [sym_block] = STATE(2722),
    [aux_sym_block_repeat1] = STATE(3),
    [anon_sym_PROJECT] = ACTIONS(79),
    [anon_sym_ARG] = ACTIONS(81),
    [anon_sym_BUILD] = ACTIONS(83),
    [anon_sym_CACHE] = ACTIONS(85),
    [anon_sym_CMD] = ACTIONS(87),
    [anon_sym_COPY] = ACTIONS(89),
    [anon_sym_DO] = ACTIONS(91),
    [anon_sym_ENTRYPOINT] = ACTIONS(93),
    [anon_sym_ENV] = ACTIONS(95),
    [anon_sym_EXPOSE] = ACTIONS(97),
    [anon_sym_FOR] = ACTIONS(99),
    [anon_sym_FROM] = ACTIONS(103),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(105),
    [anon_sym_FUNCTION] = ACTIONS(107),
    [anon_sym_COMMAND] = ACTIONS(107),
    [anon_sym_GITCLONE] = ACTIONS(109),
    [anon_sym_HOST] = ACTIONS(111),
    [anon_sym_IF] = ACTIONS(113),
    [anon_sym_IMPORT] = ACTIONS(115),
    [anon_sym_LET] = ACTIONS(117),
    [anon_sym_LABEL] = ACTIONS(119),
    [anon_sym_LOCALLY] = ACTIONS(121),
    [anon_sym_RUN] = ACTIONS(123),
    [anon_sym_SAVEARTIFACT] = ACTIONS(125),
    [anon_sym_SAVEIMAGE] = ACTIONS(127),
    [anon_sym_SET] = ACTIONS(129),
    [anon_sym_TRY] = ACTIONS(131),
    [anon_sym_FINALLY] = ACTIONS(437),
    [anon_sym_USER] = ACTIONS(133),
    [anon_sym_VOLUME] = ACTIONS(135),
    [anon_sym_WAIT] = ACTIONS(137),
    [anon_sym_WITHDOCKER] = ACTIONS(139),
    [anon_sym_WORKDIR] = ACTIONS(141),
    [aux_sym_block_token1] = ACTIONS(147),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation_comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_CR_LF] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
  },
  [21] = {
    [sym_project_command] = STATE(3),
    [sym_arg_command] = STATE(3),
    [sym_build_command] = STATE(3),
    [sym_cache_command] = STATE(3),
    [sym_cmd_command] = STATE(3),
    [sym_copy_command] = STATE(3),
    [sym_do_command] = STATE(3),
    [sym_entrypoint_command] = STATE(3),
    [sym_env_command] = STATE(3),
    [sym_expose_command] = STATE(3),
    [sym_for_command] = STATE(3),
    [sym_from_command] = STATE(3),
    [sym_from_dockerfile_command] = STATE(3),
    [sym_function_command] = STATE(3),
    [sym_git_clone_command] = STATE(3),
    [sym_host_command] = STATE(3),
    [sym_if_command] = STATE(3),
    [sym_import_command] = STATE(3),
    [sym_let_command] = STATE(3),
    [sym_label_command] = STATE(3),
    [sym_locally_command] = STATE(3),
    [sym_run_command] = STATE(3),
    [sym_save_artifact_command] = STATE(3),
    [sym_save_image_command] = STATE(3),
    [sym_set_command] = STATE(3),
    [sym_try_command] = STATE(3),
    [sym_user_command] = STATE(3),
    [sym_volume_command] = STATE(3),
    [sym_wait_command] = STATE(3),
    [sym_with_docker_command] = STATE(3),
    [sym_workdir_command] = STATE(3),
    [sym_block] = STATE(2741),
    [aux_sym_block_repeat1] = STATE(3),
    [anon_sym_PROJECT] = ACTIONS(79),
    [anon_sym_ARG] = ACTIONS(81),
    [anon_sym_BUILD] = ACTIONS(83),
    [anon_sym_CACHE] = ACTIONS(85),
    [anon_sym_CMD] = ACTIONS(87),
    [anon_sym_COPY] = ACTIONS(89),
    [anon_sym_DO] = ACTIONS(91),
    [anon_sym_ENTRYPOINT] = ACTIONS(93),
    [anon_sym_ENV] = ACTIONS(95),
    [anon_sym_EXPOSE] = ACTIONS(97),
    [anon_sym_FOR] = ACTIONS(99),
    [anon_sym_END] = ACTIONS(439),
    [anon_sym_FROM] = ACTIONS(103),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(105),
    [anon_sym_FUNCTION] = ACTIONS(107),
    [anon_sym_COMMAND] = ACTIONS(107),
    [anon_sym_GITCLONE] = ACTIONS(109),
    [anon_sym_HOST] = ACTIONS(111),
    [anon_sym_IF] = ACTIONS(113),
    [anon_sym_IMPORT] = ACTIONS(115),
    [anon_sym_LET] = ACTIONS(117),
    [anon_sym_LABEL] = ACTIONS(119),
    [anon_sym_LOCALLY] = ACTIONS(121),
    [anon_sym_RUN] = ACTIONS(123),
    [anon_sym_SAVEARTIFACT] = ACTIONS(125),
    [anon_sym_SAVEIMAGE] = ACTIONS(127),
    [anon_sym_SET] = ACTIONS(129),
    [anon_sym_TRY] = ACTIONS(131),
    [anon_sym_USER] = ACTIONS(133),
    [anon_sym_VOLUME] = ACTIONS(135),
    [anon_sym_WAIT] = ACTIONS(137),
    [anon_sym_WITHDOCKER] = ACTIONS(139),
    [anon_sym_WORKDIR] = ACTIONS(141),
    [aux_sym_block_token1] = ACTIONS(147),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation_comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_CR_LF] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
  },
  [22] = {
    [sym_project_command] = STATE(26),
    [sym_arg_command] = STATE(26),
    [sym_build_command] = STATE(26),
    [sym_cache_command] = STATE(26),
    [sym_cmd_command] = STATE(26),
    [sym_copy_command] = STATE(26),
    [sym_do_command] = STATE(26),
    [sym_entrypoint_command] = STATE(26),
    [sym_env_command] = STATE(26),
    [sym_expose_command] = STATE(26),
    [sym_for_command] = STATE(26),
    [sym_from_command] = STATE(26),
    [sym_from_dockerfile_command] = STATE(26),
    [sym_function_command] = STATE(26),
    [sym_git_clone_command] = STATE(26),
    [sym_host_command] = STATE(26),
    [sym_if_command] = STATE(26),
    [sym_import_command] = STATE(26),
    [sym_let_command] = STATE(26),
    [sym_label_command] = STATE(26),
    [sym_locally_command] = STATE(26),
    [sym_run_command] = STATE(26),
    [sym_save_artifact_command] = STATE(26),
    [sym_save_image_command] = STATE(26),
    [sym_set_command] = STATE(26),
    [sym_try_command] = STATE(26),
    [sym_user_command] = STATE(26),
    [sym_volume_command] = STATE(26),
    [sym_wait_command] = STATE(26),
    [sym_with_docker_command] = STATE(26),
    [sym_workdir_command] = STATE(26),
    [aux_sym_block_repeat1] = STATE(26),
    [anon_sym_PROJECT] = ACTIONS(267),
    [anon_sym_ARG] = ACTIONS(269),
    [anon_sym_BUILD] = ACTIONS(271),
    [anon_sym_CACHE] = ACTIONS(273),
    [anon_sym_CMD] = ACTIONS(275),
    [anon_sym_COPY] = ACTIONS(277),
    [anon_sym_DO] = ACTIONS(279),
    [anon_sym_ENTRYPOINT] = ACTIONS(281),
    [anon_sym_ENV] = ACTIONS(283),
    [anon_sym_EXPOSE] = ACTIONS(285),
    [anon_sym_FOR] = ACTIONS(287),
    [anon_sym_FROM] = ACTIONS(289),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(291),
    [anon_sym_FUNCTION] = ACTIONS(293),
    [anon_sym_COMMAND] = ACTIONS(293),
    [anon_sym_GITCLONE] = ACTIONS(295),
    [anon_sym_HOST] = ACTIONS(297),
    [anon_sym_IF] = ACTIONS(299),
    [anon_sym_IMPORT] = ACTIONS(301),
    [anon_sym_LET] = ACTIONS(303),
    [anon_sym_LABEL] = ACTIONS(305),
    [anon_sym_LOCALLY] = ACTIONS(307),
    [anon_sym_RUN] = ACTIONS(309),
    [anon_sym_SAVEARTIFACT] = ACTIONS(311),
    [anon_sym_SAVEIMAGE] = ACTIONS(313),
    [anon_sym_SET] = ACTIONS(315),
    [anon_sym_TRY] = ACTIONS(317),
    [anon_sym_USER] = ACTIONS(319),
    [anon_sym_VOLUME] = ACTIONS(321),
    [anon_sym_WAIT] = ACTIONS(323),
    [anon_sym_WITHDOCKER] = ACTIONS(325),
    [anon_sym_WORKDIR] = ACTIONS(327),
    [aux_sym_block_token1] = ACTIONS(441),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation_comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_CR_LF] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
    [sym__dedent] = ACTIONS(255),
  },
  [23] = {
    [sym_project_command] = STATE(3),
    [sym_arg_command] = STATE(3),
    [sym_build_command] = STATE(3),
    [sym_cache_command] = STATE(3),
    [sym_cmd_command] = STATE(3),
    [sym_copy_command] = STATE(3),
    [sym_do_command] = STATE(3),
    [sym_entrypoint_command] = STATE(3),
    [sym_env_command] = STATE(3),
    [sym_expose_command] = STATE(3),
    [sym_for_command] = STATE(3),
    [sym_from_command] = STATE(3),
    [sym_from_dockerfile_command] = STATE(3),
    [sym_function_command] = STATE(3),
    [sym_git_clone_command] = STATE(3),
    [sym_host_command] = STATE(3),
    [sym_if_command] = STATE(3),
    [sym_import_command] = STATE(3),
    [sym_let_command] = STATE(3),
    [sym_label_command] = STATE(3),
    [sym_locally_command] = STATE(3),
    [sym_run_command] = STATE(3),
    [sym_save_artifact_command] = STATE(3),
    [sym_save_image_command] = STATE(3),
    [sym_set_command] = STATE(3),
    [sym_try_command] = STATE(3),
    [sym_user_command] = STATE(3),
    [sym_volume_command] = STATE(3),
    [sym_wait_command] = STATE(3),
    [sym_with_docker_command] = STATE(3),
    [sym_workdir_command] = STATE(3),
    [sym_block] = STATE(2721),
    [aux_sym_block_repeat1] = STATE(3),
    [anon_sym_PROJECT] = ACTIONS(79),
    [anon_sym_ARG] = ACTIONS(81),
    [anon_sym_BUILD] = ACTIONS(83),
    [anon_sym_CACHE] = ACTIONS(85),
    [anon_sym_CMD] = ACTIONS(87),
    [anon_sym_COPY] = ACTIONS(89),
    [anon_sym_DO] = ACTIONS(91),
    [anon_sym_ENTRYPOINT] = ACTIONS(93),
    [anon_sym_ENV] = ACTIONS(95),
    [anon_sym_EXPOSE] = ACTIONS(97),
    [anon_sym_FOR] = ACTIONS(99),
    [anon_sym_FROM] = ACTIONS(103),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(105),
    [anon_sym_FUNCTION] = ACTIONS(107),
    [anon_sym_COMMAND] = ACTIONS(107),
    [anon_sym_GITCLONE] = ACTIONS(109),
    [anon_sym_HOST] = ACTIONS(111),
    [anon_sym_IF] = ACTIONS(113),
    [anon_sym_IMPORT] = ACTIONS(115),
    [anon_sym_LET] = ACTIONS(117),
    [anon_sym_LABEL] = ACTIONS(119),
    [anon_sym_LOCALLY] = ACTIONS(121),
    [anon_sym_RUN] = ACTIONS(123),
    [anon_sym_SAVEARTIFACT] = ACTIONS(125),
    [anon_sym_SAVEIMAGE] = ACTIONS(127),
    [anon_sym_SET] = ACTIONS(129),
    [anon_sym_TRY] = ACTIONS(131),
    [anon_sym_USER] = ACTIONS(133),
    [anon_sym_VOLUME] = ACTIONS(135),
    [anon_sym_WAIT] = ACTIONS(137),
    [anon_sym_WITHDOCKER] = ACTIONS(139),
    [anon_sym_WORKDIR] = ACTIONS(141),
    [aux_sym_block_token1] = ACTIONS(147),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation_comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_CR_LF] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
  },
  [24] = {
    [sym__immediate_string_base] = STATE(36),
    [sym__immediate_double_quoted_string] = STATE(25),
    [sym__immediate_single_quoted_string] = STATE(25),
    [sym__immediate_unquoted_string] = STATE(25),
    [sym__immediate_expansion] = STATE(36),
    [sym__immediate_escape_sequence] = STATE(53),
    [aux_sym__immediate_string_base_repeat1] = STATE(36),
    [aux_sym_unquoted_string_repeat1] = STATE(36),
    [aux_sym_string_repeat1] = STATE(25),
    [anon_sym_SLASH] = ACTIONS(443),
    [anon_sym_COLON] = ACTIONS(445),
    [anon_sym_EQ] = ACTIONS(445),
    [anon_sym_EQ3] = ACTIONS(447),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_COLON2] = ACTIONS(443),
    [anon_sym_DOT] = ACTIONS(443),
    [anon_sym_DASH] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_RPAREN] = ACTIONS(445),
    [anon_sym_LBRACK] = ACTIONS(445),
    [anon_sym_RBRACK] = ACTIONS(445),
    [anon_sym_LBRACE] = ACTIONS(445),
    [anon_sym_RBRACE] = ACTIONS(445),
    [anon_sym_SLASH2] = ACTIONS(445),
    [anon_sym_COMMA] = ACTIONS(445),
    [anon_sym_AT] = ACTIONS(445),
    [anon_sym_DOT2] = ACTIONS(445),
    [anon_sym_DASH2] = ACTIONS(445),
    [anon_sym_LPAREN2] = ACTIONS(443),
    [anon_sym_RPAREN2] = ACTIONS(443),
    [anon_sym_LBRACK2] = ACTIONS(447),
    [anon_sym_RBRACK2] = ACTIONS(443),
    [anon_sym_LBRACE2] = ACTIONS(443),
    [anon_sym_RBRACE2] = ACTIONS(443),
    [anon_sym_COMMA2] = ACTIONS(443),
    [anon_sym_AT2] = ACTIONS(443),
    [anon_sym_DOLLAR] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DQUOTE] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(451),
    [anon_sym_LBRACK3] = ACTIONS(449),
    [sym_aws] = ACTIONS(449),
    [sym_entrypoint] = ACTIONS(449),
    [anon_sym_DASH_DASHinteractive] = ACTIONS(445),
    [anon_sym_DASH_DASHinteractive_DASHkeep] = ACTIONS(449),
    [anon_sym_DASH_DASHmount] = ACTIONS(449),
    [sym_network_none] = ACTIONS(449),
    [sym_no_cache] = ACTIONS(449),
    [anon_sym_DASH_DASHoidc] = ACTIONS(449),
    [sym_privileged] = ACTIONS(449),
    [sym_push] = ACTIONS(449),
    [sym_raw_output] = ACTIONS(449),
    [anon_sym_DASH_DASHsecret] = ACTIONS(449),
    [anon_sym_EQ4] = ACTIONS(449),
    [sym_ssh] = ACTIONS(449),
    [aux_sym_unknown_option_token1] = ACTIONS(445),
    [sym__string_base_other] = ACTIONS(445),
    [sym__string_base_alpha] = ACTIONS(445),
    [sym__string_base_num] = ACTIONS(445),
    [sym__immediate_string_base_other] = ACTIONS(447),
    [sym__immediate_string_base_alpha] = ACTIONS(443),
    [sym__immediate_string_base_num] = ACTIONS(443),
    [anon_sym_DQUOTE2] = ACTIONS(454),
    [anon_sym_PLUS2] = ACTIONS(443),
    [anon_sym_DOLLAR2] = ACTIONS(456),
    [aux_sym__immediate_escape_sequence_token1] = ACTIONS(458),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(449),
    [sym_line_continuation_comment] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR_LF] = ACTIONS(5),
    [anon_sym_FF] = ACTIONS(5),
  },
  [25] = {
    [sym__immediate_string_base] = STATE(36),
    [sym__immediate_double_quoted_string] = STATE(25),
    [sym__immediate_single_quoted_string] = STATE(25),
    [sym__immediate_unquoted_string] = STATE(25),
    [sym__immediate_expansion] = STATE(36),
    [sym__immediate_escape_sequence] = STATE(53),
    [aux_sym__immediate_string_base_repeat1] = STATE(36),
    [aux_sym_unquoted_string_repeat1] = STATE(36),
    [aux_sym_string_repeat1] = STATE(25),
    [anon_sym_SLASH] = ACTIONS(461),
    [anon_sym_COLON] = ACTIONS(464),
    [anon_sym_EQ] = ACTIONS(464),
    [anon_sym_EQ3] = ACTIONS(466),
    [anon_sym_DASH_DASH] = ACTIONS(469),
    [anon_sym_COLON2] = ACTIONS(461),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_DASH] = ACTIONS(466),
    [anon_sym_LPAREN] = ACTIONS(464),
    [anon_sym_RPAREN] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(464),
    [anon_sym_LBRACE] = ACTIONS(464),
    [anon_sym_RBRACE] = ACTIONS(464),
    [anon_sym_SLASH2] = ACTIONS(464),
    [anon_sym_COMMA] = ACTIONS(464),
    [anon_sym_AT] = ACTIONS(464),
    [anon_sym_DOT2] = ACTIONS(464),
    [anon_sym_DASH2] = ACTIONS(464),
    [anon_sym_LPAREN2] = ACTIONS(461),
    [anon_sym_RPAREN2] = ACTIONS(461),
    [anon_sym_LBRACK2] = ACTIONS(466),
    [anon_sym_RBRACK2] = ACTIONS(461),
    [anon_sym_LBRACE2] = ACTIONS(461),
    [anon_sym_RBRACE2] = ACTIONS(461),
    [anon_sym_COMMA2] = ACTIONS(461),
    [anon_sym_AT2] = ACTIONS(461),
    [anon_sym_DOLLAR] = ACTIONS(464),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DQUOTE] = ACTIONS(464),
    [anon_sym_SQUOTE] = ACTIONS(471),
    [anon_sym_LBRACK3] = ACTIONS(469),
    [sym_aws] = ACTIONS(469),
    [sym_entrypoint] = ACTIONS(469),
    [anon_sym_DASH_DASHinteractive] = ACTIONS(464),
    [anon_sym_DASH_DASHinteractive_DASHkeep] = ACTIONS(469),
    [anon_sym_DASH_DASHmount] = ACTIONS(469),
    [sym_network_none] = ACTIONS(469),
    [sym_no_cache] = ACTIONS(469),
    [anon_sym_DASH_DASHoidc] = ACTIONS(469),
    [sym_privileged] = ACTIONS(469),
    [sym_push] = ACTIONS(469),
    [sym_raw_output] = ACTIONS(469),
    [anon_sym_DASH_DASHsecret] = ACTIONS(469),
    [anon_sym_EQ4] = ACTIONS(469),
    [sym_ssh] = ACTIONS(469),
    [aux_sym_unknown_option_token1] = ACTIONS(464),
    [sym__string_base_other] = ACTIONS(464),
    [sym__string_base_alpha] = ACTIONS(464),
    [sym__string_base_num] = ACTIONS(464),
    [sym__immediate_string_base_other] = ACTIONS(466),
    [sym__immediate_string_base_alpha] = ACTIONS(461),
    [sym__immediate_string_base_num] = ACTIONS(461),
    [anon_sym_DQUOTE2] = ACTIONS(474),
    [anon_sym_PLUS2] = ACTIONS(461),
    [anon_sym_DOLLAR2] = ACTIONS(477),
    [aux_sym__immediate_escape_sequence_token1] = ACTIONS(480),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(469),
    [sym_line_continuation_comment] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR_LF] = ACTIONS(5),
    [anon_sym_FF] = ACTIONS(5),
  },
  [26] = {
    [sym_project_command] = STATE(26),
    [sym_arg_command] = STATE(26),
    [sym_build_command] = STATE(26),
    [sym_cache_command] = STATE(26),
    [sym_cmd_command] = STATE(26),
    [sym_copy_command] = STATE(26),
    [sym_do_command] = STATE(26),
    [sym_entrypoint_command] = STATE(26),
    [sym_env_command] = STATE(26),
    [sym_expose_command] = STATE(26),
    [sym_for_command] = STATE(26),
    [sym_from_command] = STATE(26),
    [sym_from_dockerfile_command] = STATE(26),
    [sym_function_command] = STATE(26),
    [sym_git_clone_command] = STATE(26),
    [sym_host_command] = STATE(26),
    [sym_if_command] = STATE(26),
    [sym_import_command] = STATE(26),
    [sym_let_command] = STATE(26),
    [sym_label_command] = STATE(26),
    [sym_locally_command] = STATE(26),
    [sym_run_command] = STATE(26),
    [sym_save_artifact_command] = STATE(26),
    [sym_save_image_command] = STATE(26),
    [sym_set_command] = STATE(26),
    [sym_try_command] = STATE(26),
    [sym_user_command] = STATE(26),
    [sym_volume_command] = STATE(26),
    [sym_wait_command] = STATE(26),
    [sym_with_docker_command] = STATE(26),
    [sym_workdir_command] = STATE(26),
    [aux_sym_block_repeat1] = STATE(26),
    [anon_sym_PROJECT] = ACTIONS(483),
    [anon_sym_ARG] = ACTIONS(486),
    [anon_sym_BUILD] = ACTIONS(489),
    [anon_sym_CACHE] = ACTIONS(492),
    [anon_sym_CMD] = ACTIONS(495),
    [anon_sym_COPY] = ACTIONS(498),
    [anon_sym_DO] = ACTIONS(501),
    [anon_sym_ENTRYPOINT] = ACTIONS(504),
    [anon_sym_ENV] = ACTIONS(507),
    [anon_sym_EXPOSE] = ACTIONS(510),
    [anon_sym_FOR] = ACTIONS(513),
    [anon_sym_FROM] = ACTIONS(516),
    [anon_sym_FROMDOCKERFILE] = ACTIONS(519),
    [anon_sym_FUNCTION] = ACTIONS(522),
    [anon_sym_COMMAND] = ACTIONS(522),
    [anon_sym_GITCLONE] = ACTIONS(525),
    [anon_sym_HOST] = ACTIONS(528),
    [anon_sym_IF] = ACTIONS(531),
    [anon_sym_IMPORT] = ACTIONS(534),
    [anon_sym_LET] = ACTIONS(537),
    [anon_sym_LABEL] = ACTIONS(540),
    [anon_sym_LOCALLY] = ACTIONS(543),
    [anon_sym_RUN] = ACTIONS(546),
    [anon_sym_SAVEARTIFACT] = ACTIONS(549),
    [anon_sym_SAVEIMAGE] = ACTIONS(552),
    [anon_sym_SET] = ACTIONS(555),
    [anon_sym_TRY] = ACTIONS(558),
    [anon_sym_USER] = ACTIONS(561),
    [anon_sym_VOLUME] = ACTIONS(564),
    [anon_sym_WAIT] = ACTIONS(567),
    [anon_sym_WITHDOCKER] = ACTIONS(570),
    [anon_sym_WORKDIR] = ACTIONS(573),
    [aux_sym_block_token1] = ACTIONS(576),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation_comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(3),
    [anon_sym_CR_LF] = ACTIONS(3),
    [anon_sym_FF] = ACTIONS(3),
    [sym__dedent] = ACTIONS(333),
  },
  [27] = {
    [sym__immediate_string_base] = STATE(36),
    [sym__immediate_double_quoted_string] = STATE(24),
    [sym__immediate_single_quoted_string] = STATE(24),
    [sym__immediate_unquoted_string] = STATE(24),
    [sym__immediate_expansion] = STATE(36),
    [sym__immediate_escape_sequence] = STATE(53),
    [aux_sym__immediate_string_base_repeat1] = STATE(36),
    [aux_sym_unquoted_string_repeat1] = STATE(36),
    [aux_sym_string_repeat1] = STATE(24),
    [anon_sym_SLASH] = ACTIONS(443),
    [anon_sym_COLON] = ACTIONS(579),
    [anon_sym_EQ] = ACTIONS(579),
    [anon_sym_EQ3] = ACTIONS(447),
    [anon_sym_DASH_DASH] = ACTIONS(581),
    [anon_sym_COLON2] = ACTIONS(443),
    [anon_sym_DOT] = ACTIONS(443),
    [anon_sym_DASH] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_RPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_RBRACK] = ACTIONS(579),
    [anon_sym_LBRACE] = ACTIONS(579),
    [anon_sym_RBRACE] = ACTIONS(579),
    [anon_sym_SLASH2] = ACTIONS(579),
    [anon_sym_COMMA] = ACTIONS(579),
    [anon_sym_AT] = ACTIONS(579),
    [anon_sym_DOT2] = ACTIONS(579),
    [anon_sym_DASH2] = ACTIONS(579),
    [anon_sym_LPAREN2] = ACTIONS(443),
    [anon_sym_RPAREN2] = ACTIONS(443),
    [anon_sym_LBRACK2] = ACTIONS(447),
    [anon_sym_RBRACK2] = ACTIONS(443),
    [anon_sym_LBRACE2] = ACTIONS(443),
    [anon_sym_RBRACE2] = ACTIONS(443),
    [anon_sym_COMMA2] = ACTIONS(443),
    [anon_sym_AT2] = ACTIONS(443),
    [anon_sym_DOLLAR] = ACTIONS(579),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(583),
    [anon_sym_LBRACK3] = ACTIONS(581),
    [sym_aws] = ACTIONS(581),
    [sym_entrypoint] = ACTIONS(581),
    [anon_sym_DASH_DASHinteractive] = ACTIONS(579),
    [anon_sym_DASH_DASHinteractive_DASHkeep] = ACTIONS(581),
    [anon_sym_DASH_DASHmount] = ACTIONS(581),
    [sym_network_none] = ACTIONS(581),
    [sym_no_cache] = ACTIONS(581),
    [anon_sym_DASH_DASHoidc] = ACTIONS(581),
    [sym_privileged] = ACTIONS(581),
    [sym_push] = ACTIONS(581),
    [sym_raw_output] = ACTIONS(581),
    [anon_sym_DASH_DASHsecret] = ACTIONS(581),
    [anon_sym_EQ4] = ACTIONS(581),
    [sym_ssh] = ACTIONS(581),
    [aux_sym_unknown_option_token1] = ACTIONS(579),
    [sym__string_base_other] = ACTIONS(579),
    [sym__string_base_alpha] = ACTIONS(579),
    [sym__string_base_num] = ACTIONS(579),
    [sym__immediate_string_base_other] = ACTIONS(447),
    [sym__immediate_string_base_alpha] = ACTIONS(443),
    [sym__immediate_string_base_num] = ACTIONS(443),
    [anon_sym_DQUOTE2] = ACTIONS(454),
    [anon_sym_PLUS2] = ACTIONS(443),
    [anon_sym_DOLLAR2] = ACTIONS(456),
    [aux_sym__immediate_escape_sequence_token1] = ACTIONS(586),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(581),
    [sym_line_continuation_comment] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR_LF] = ACTIONS(5),
    [anon_sym_FF] = ACTIONS(5),
  },
  [28] = {
    [sym__immediate_string_base] = STATE(38),
    [sym__immediate_double_quoted_string] = STATE(29),
    [sym__immediate_single_quoted_string] = STATE(29),
    [sym__immediate_unquoted_string] = STATE(29),
    [sym__immediate_expansion] = STATE(38),
    [sym__immediate_escape_sequence] = STATE(77),
    [aux_sym__immediate_string_base_repeat1] = STATE(38),
    [aux_sym_unquoted_string_repeat1] = STATE(38),
    [aux_sym_string_repeat1] = STATE(29),
    [anon_sym_SLASH] = ACTIONS(589),
    [anon_sym_COLON] = ACTIONS(445),
    [anon_sym_EQ] = ACTIONS(445),
    [anon_sym_EQ3] = ACTIONS(589),
    [anon_sym_DASH_DASH] = ACTIONS(449),
    [anon_sym_COLON2] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(589),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_RPAREN] = ACTIONS(445),
    [anon_sym_LBRACK] = ACTIONS(445),
    [anon_sym_RBRACK] = ACTIONS(445),
    [anon_sym_LBRACE] = ACTIONS(445),
    [anon_sym_RBRACE] = ACTIONS(445),
    [anon_sym_SLASH2] = ACTIONS(445),
    [anon_sym_COMMA] = ACTIONS(445),
    [anon_sym_AT] = ACTIONS(445),
    [anon_sym_DOT2] = ACTIONS(445),
    [anon_sym_DASH2] = ACTIONS(445),
    [anon_sym_LPAREN2] = ACTIONS(589),
    [anon_sym_RPAREN2] = ACTIONS(589),
    [anon_sym_LBRACK2] = ACTIONS(591),
    [anon_sym_RBRACK2] = ACTIONS(589),
    [anon_sym_LBRACE2] = ACTIONS(589),
    [anon_sym_RBRACE2] = ACTIONS(589),
    [anon_sym_COMMA2] = ACTIONS(589),
    [anon_sym_AT2] = ACTIONS(589),
    [anon_sym_DOLLAR] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DQUOTE] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(593),
    [anon_sym_LBRACK3] = ACTIONS(449),
    [sym_aws] = ACTIONS(449),
    [sym_entrypoint] = ACTIONS(449),
    [anon_sym_DASH_DASHinteractive] = ACTIONS(445),
    [anon_sym_DASH_DASHinteractive_DASHkeep] = ACTIONS(449),
    [anon_sym_DASH_DASHmount] = ACTIONS(449),
    [sym_network_none] = ACTIONS(449),
    [sym_no_cache] = ACTIONS(449),
    [anon_sym_DASH_DASHoidc] = ACTIONS(449),
    [sym_privileged] = ACTIONS(449),
    [sym_push] = ACTIONS(449),
    [sym_raw_output] = ACTIONS(449),
    [anon_sym_DASH_DASHsecret] = ACTIONS(449),
    [sym_ssh] = ACTIONS(449),
    [aux_sym_unknown_option_token1] = ACTIONS(445),
    [sym__string_base_other] = ACTIONS(445),
    [sym__string_base_alpha] = ACTIONS(445),
    [sym__string_base_num] = ACTIONS(445),
    [sym__immediate_string_base_other] = ACTIONS(591),
    [sym__immediate_string_base_alpha] = ACTIONS(589),
    [sym__immediate_string_base_num] = ACTIONS(589),
    [anon_sym_DQUOTE2] = ACTIONS(596),
    [anon_sym_PLUS2] = ACTIONS(589),
    [anon_sym_DOLLAR2] = ACTIONS(598),
    [aux_sym__immediate_escape_sequence_token1] = ACTIONS(600),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(449),
    [sym_line_continuation_comment] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR_LF] = ACTIONS(5),
    [anon_sym_FF] = ACTIONS(5),
  },
  [29] = {
    [sym__immediate_string_base] = STATE(38),
    [sym__immediate_double_quoted_string] = STATE(29),
    [sym__immediate_single_quoted_string] = STATE(29),
    [sym__immediate_unquoted_string] = STATE(29),
    [sym__immediate_expansion] = STATE(38),
    [sym__immediate_escape_sequence] = STATE(77),
    [aux_sym__immediate_string_base_repeat1] = STATE(38),
    [aux_sym_unquoted_string_repeat1] = STATE(38),
    [aux_sym_string_repeat1] = STATE(29),
    [anon_sym_SLASH] = ACTIONS(603),
    [anon_sym_COLON] = ACTIONS(464),
    [anon_sym_EQ] = ACTIONS(464),
    [anon_sym_EQ3] = ACTIONS(603),
    [anon_sym_DASH_DASH] = ACTIONS(469),
    [anon_sym_COLON2] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(606),
    [anon_sym_LPAREN] = ACTIONS(464),
    [anon_sym_RPAREN] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(464),
    [anon_sym_LBRACE] = ACTIONS(464),
    [anon_sym_RBRACE] = ACTIONS(464),
    [anon_sym_SLASH2] = ACTIONS(464),
    [anon_sym_COMMA] = ACTIONS(464),
    [anon_sym_AT] = ACTIONS(464),
    [anon_sym_DOT2] = ACTIONS(464),
    [anon_sym_DASH2] = ACTIONS(464),
    [anon_sym_LPAREN2] = ACTIONS(603),
    [anon_sym_RPAREN2] = ACTIONS(603),
    [anon_sym_LBRACK2] = ACTIONS(606),
    [anon_sym_RBRACK2] = ACTIONS(603),
    [anon_sym_LBRACE2] = ACTIONS(603),
    [anon_sym_RBRACE2] = ACTIONS(603),
    [anon_sym_COMMA2] = ACTIONS(603),
    [anon_sym_AT2] = ACTIONS(603),
    [anon_sym_DOLLAR] = ACTIONS(464),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DQUOTE] = ACTIONS(464),
    [anon_sym_SQUOTE] = ACTIONS(609),
    [anon_sym_LBRACK3] = ACTIONS(469),
    [sym_aws] = ACTIONS(469),
    [sym_entrypoint] = ACTIONS(469),
    [anon_sym_DASH_DASHinteractive] = ACTIONS(464),
    [anon_sym_DASH_DASHinteractive_DASHkeep] = ACTIONS(469),
    [anon_sym_DASH_DASHmount] = ACTIONS(469),
    [sym_network_none] = ACTIONS(469),
    [sym_no_cache] = ACTIONS(469),
    [anon_sym_DASH_DASHoidc] = ACTIONS(469),
    [sym_privileged] = ACTIONS(469),
    [sym_push] = ACTIONS(469),
    [sym_raw_output] = ACTIONS(469),
    [anon_sym_DASH_DASHsecret] = ACTIONS(469),
    [sym_ssh] = ACTIONS(469),
    [aux_sym_unknown_option_token1] = ACTIONS(464),
    [sym__string_base_other] = ACTIONS(464),
    [sym__string_base_alpha] = ACTIONS(464),
    [sym__string_base_num] = ACTIONS(464),
    [sym__immediate_string_base_other] = ACTIONS(606),
    [sym__immediate_string_base_alpha] = ACTIONS(603),
    [sym__immediate_string_base_num] = ACTIONS(603),
    [anon_sym_DQUOTE2] = ACTIONS(612),
    [anon_sym_PLUS2] = ACTIONS(603),
    [anon_sym_DOLLAR2] = ACTIONS(615),
    [aux_sym__immediate_escape_sequence_token1] = ACTIONS(618),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(469),
    [sym_line_continuation_comment] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR_LF] = ACTIONS(5),
    [anon_sym_FF] = ACTIONS(5),
  },
  [30] = {
    [sym__immediate_string_base] = STATE(38),
    [sym__immediate_double_quoted_string] = STATE(28),
    [sym__immediate_single_quoted_string] = STATE(28),
    [sym__immediate_unquoted_string] = STATE(28),
    [sym__immediate_expansion] = STATE(38),
    [sym__immediate_escape_sequence] = STATE(77),
    [aux_sym__immediate_string_base_repeat1] = STATE(38),
    [aux_sym_unquoted_string_repeat1] = STATE(38),
    [aux_sym_string_repeat1] = STATE(28),
    [anon_sym_SLASH] = ACTIONS(589),
    [anon_sym_COLON] = ACTIONS(579),
    [anon_sym_EQ] = ACTIONS(579),
    [anon_sym_EQ3] = ACTIONS(589),
    [anon_sym_DASH_DASH] = ACTIONS(581),
    [anon_sym_COLON2] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(589),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_RPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_RBRACK] = ACTIONS(579),
    [anon_sym_LBRACE] = ACTIONS(579),
    [anon_sym_RBRACE] = ACTIONS(579),
    [anon_sym_SLASH2] = ACTIONS(579),
    [anon_sym_COMMA] = ACTIONS(579),
    [anon_sym_AT] = ACTIONS(579),
    [anon_sym_DOT2] = ACTIONS(579),
    [anon_sym_DASH2] = ACTIONS(579),
    [anon_sym_LPAREN2] = ACTIONS(589),
    [anon_sym_RPAREN2] = ACTIONS(589),
    [anon_sym_LBRACK2] = ACTIONS(591),
    [anon_sym_RBRACK2] = ACTIONS(589),
    [anon_sym_LBRACE2] = ACTIONS(589),
    [anon_sym_RBRACE2] = ACTIONS(589),
    [anon_sym_COMMA2] = ACTIONS(589),
    [anon_sym_AT2] = ACTIONS(589),
    [anon_sym_DOLLAR] = ACTIONS(579),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(621),
    [anon_sym_LBRACK3] = ACTIONS(581),
    [sym_aws] = ACTIONS(581),
    [sym_entrypoint] = ACTIONS(581),
    [anon_sym_DASH_DASHinteractive] = ACTIONS(579),
    [anon_sym_DASH_DASHinteractive_DASHkeep] = ACTIONS(581),
    [anon_sym_DASH_DASHmount] = ACTIONS(581),
    [sym_network_none] = ACTIONS(581),
    [sym_no_cache] = ACTIONS(581),
    [anon_sym_DASH_DASHoidc] = ACTIONS(581),
    [sym_privileged] = ACTIONS(581),
    [sym_push] = ACTIONS(581),
    [sym_raw_output] = ACTIONS(581),
    [anon_sym_DASH_DASHsecret] = ACTIONS(581),
    [sym_ssh] = ACTIONS(581),
    [aux_sym_unknown_option_token1] = ACTIONS(579),
    [sym__string_base_other] = ACTIONS(579),
    [sym__string_base_alpha] = ACTIONS(579),
    [sym__string_base_num] = ACTIONS(579),
    [sym__immediate_string_base_other] = ACTIONS(591),
    [sym__immediate_string_base_alpha] = ACTIONS(589),
    [sym__immediate_string_base_num] = ACTIONS(589),
    [anon_sym_DQUOTE2] = ACTIONS(596),
    [anon_sym_PLUS2] = ACTIONS(589),
    [anon_sym_DOLLAR2] = ACTIONS(598),
    [aux_sym__immediate_escape_sequence_token1] = ACTIONS(624),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(581),
    [sym_line_continuation_comment] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR_LF] = ACTIONS(5),
    [anon_sym_FF] = ACTIONS(5),
  },
  [31] = {
    [sym__immediate_string_base] = STATE(47),
    [sym__immediate_double_quoted_string] = STATE(32),
    [sym__immediate_single_quoted_string] = STATE(32),
    [sym__immediate_unquoted_string] = STATE(32),
    [sym__immediate_expansion] = STATE(47),
    [sym__immediate_escape_sequence] = STATE(135),
    [aux_sym__immediate_string_base_repeat1] = STATE(47),
    [aux_sym_unquoted_string_repeat1] = STATE(47),
    [aux_sym_string_repeat1] = STATE(32),
    [anon_sym_SLASH] = ACTIONS(627),
    [anon_sym_COLON] = ACTIONS(445),
    [anon_sym_EQ] = ACTIONS(445),
    [anon_sym_EQ3] = ACTIONS(627),
    [anon_sym_COLON2] = ACTIONS(627),
    [anon_sym_DOT] = ACTIONS(627),
    [anon_sym_DASH] = ACTIONS(629),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_RPAREN] = ACTIONS(445),
    [anon_sym_LBRACK] = ACTIONS(445),
    [anon_sym_RBRACK] = ACTIONS(445),
    [anon_sym_LBRACE] = ACTIONS(445),
    [anon_sym_RBRACE] = ACTIONS(445),
    [anon_sym_SLASH2] = ACTIONS(445),
    [anon_sym_COMMA] = ACTIONS(445),
    [anon_sym_AT] = ACTIONS(445),
    [anon_sym_DOT2] = ACTIONS(445),
    [anon_sym_DASH2] = ACTIONS(445),
    [anon_sym_LPAREN2] = ACTIONS(629),
    [anon_sym_RPAREN2] = ACTIONS(627),
    [anon_sym_LBRACK2] = ACTIONS(627),
    [anon_sym_RBRACK2] = ACTIONS(627),
    [anon_sym_LBRACE2] = ACTIONS(627),
    [anon_sym_RBRACE2] = ACTIONS(627),
    [anon_sym_COMMA2] = ACTIONS(627),
    [anon_sym_AT2] = ACTIONS(627),
    [anon_sym_DOLLAR] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DQUOTE] = ACTIONS(445),
    [anon_sym_SQUOTE] = ACTIONS(631),
    [anon_sym_LPAREN3] = ACTIONS(449),
    [sym_allow_privileged] = ACTIONS(449),
    [anon_sym_DASH_DASHbuild_DASHarg] = ACTIONS(449),
    [anon_sym_DASH_DASHchmod] = ACTIONS(449),
    [anon_sym_DASH_DASHchown] = ACTIONS(449),
    [sym_dir] = ACTIONS(449),
    [sym_if_exists] = ACTIONS(449),
    [sym_keep_own] = ACTIONS(449),
    [sym_keep_ts] = ACTIONS(449),
    [sym_pass_args] = ACTIONS(449),
    [anon_sym_DASH_DASHplatform] = ACTIONS(449),
    [sym_symlink_no_follow] = ACTIONS(449),
    [aux_sym_unknown_option_token1] = ACTIONS(445),
    [sym__string_base_other] = ACTIONS(445),
    [sym__string_base_alpha] = ACTIONS(445),
    [sym__string_base_num] = ACTIONS(445),
    [sym__immediate_string_base_other] = ACTIONS(629),
    [sym__immediate_string_base_alpha] = ACTIONS(627),
    [sym__immediate_string_base_num] = ACTIONS(627),
    [anon_sym_DQUOTE2] = ACTIONS(633),
    [anon_sym_SQUOTE2] = ACTIONS(449),
    [anon_sym_PLUS2] = ACTIONS(627),
    [anon_sym_DOLLAR2] = ACTIONS(635),
    [aux_sym__immediate_escape_sequence_token1] = ACTIONS(637),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(5),
    [sym_line_continuation_comment] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR_LF] = ACTIONS(5),
    [anon_sym_FF] = ACTIONS(5),
  },
  [32] = {
    [sym__immediate_string_base] = STATE(47),
    [sym__immediate_double_quoted_string] = STATE(32),
    [sym__immediate_single_quoted_string] = STATE(32),
    [sym__immediate_unquoted_string] = STATE(32),
    [sym__immediate_expansion] = STATE(47),
    [sym__immediate_escape_sequence] = STATE(135),
    [aux_sym__immediate_string_base_repeat1] = STATE(47),
    [aux_sym_unquoted_string_repeat1] = STATE(47),
    [aux_sym_string_repeat1] = STATE(32),
    [anon_sym_SLASH] = ACTIONS(640),
    [anon_sym_COLON] = ACTIONS(464),
    [anon_sym_EQ] = ACTIONS(464),
    [anon_sym_EQ3] = ACTIONS(640),
    [anon_sym_COLON2] = ACTIONS(640),
    [anon_sym_DOT] = ACTIONS(640),
    [anon_sym_DASH] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(464),
    [anon_sym_RPAREN] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(464),
    [anon_sym_LBRACE] = ACTIONS(464),
    [anon_sym_RBRACE] = ACTIONS(464),
    [anon_sym_SLASH2] = ACTIONS(464),
    [anon_sym_COMMA] = ACTIONS(464),
    [anon_sym_AT] = ACTIONS(464),
    [anon_sym_DOT2] = ACTIONS(464),
    [anon_sym_DASH2] = ACTIONS(464),
    [anon_sym_LPAREN2] = ACTIONS(643),
    [anon_sym_RPAREN2] = ACTIONS(640),
    [anon_sym_LBRACK2] = ACTIONS(640),
    [anon_sym_RBRACK2] = ACTIONS(640),
    [anon_sym_LBRACE2] = ACTIONS(640),
    [anon_sym_RBRACE2] = ACTIONS(640),
    [anon_sym_COMMA2] = ACTIONS(640),
    [anon_sym_AT2] = ACTIONS(640),
    [anon_sym_DOLLAR] = ACTIONS(464),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DQUOTE] = ACTIONS(464),
    [anon_sym_SQUOTE] = ACTIONS(646),
    [anon_sym_LPAREN3] = ACTIONS(469),
    [sym_allow_privileged] = ACTIONS(469),
    [anon_sym_DASH_DASHbuild_DASHarg] = ACTIONS(469),
    [anon_sym_DASH_DASHchmod] = ACTIONS(469),
    [anon_sym_DASH_DASHchown] = ACTIONS(469),
    [sym_dir] = ACTIONS(469),
    [sym_if_exists] = ACTIONS(469),
    [sym_keep_own] = ACTIONS(469),
    [sym_keep_ts] = ACTIONS(469),
    [sym_pass_args] = ACTIONS(469),
    [anon_sym_DASH_DASHplatform] = ACTIONS(469),
    [sym_symlink_no_follow] = ACTIONS(469),
    [aux_sym_unknown_option_token1] = ACTIONS(464),
    [sym__string_base_other] = ACTIONS(464),
    [sym__string_base_alpha] = ACTIONS(464),
    [sym__string_base_num] = ACTIONS(464),
    [sym__immediate_string_base_other] = ACTIONS(643),
    [sym__immediate_string_base_alpha] = ACTIONS(640),
    [sym__immediate_string_base_num] = ACTIONS(640),
    [anon_sym_DQUOTE2] = ACTIONS(649),
    [anon_sym_SQUOTE2] = ACTIONS(469),
    [anon_sym_PLUS2] = ACTIONS(640),
    [anon_sym_DOLLAR2] = ACTIONS(652),
    [aux_sym__immediate_escape_sequence_token1] = ACTIONS(655),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(5),
    [sym_line_continuation_comment] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR_LF] = ACTIONS(5),
    [anon_sym_FF] = ACTIONS(5),
  },
  [33] = {
    [sym__immediate_string_base] = STATE(47),
    [sym__immediate_double_quoted_string] = STATE(31),
    [sym__immediate_single_quoted_string] = STATE(31),
    [sym__immediate_unquoted_string] = STATE(31),
    [sym__immediate_expansion] = STATE(47),
    [sym__immediate_escape_sequence] = STATE(135),
    [aux_sym__immediate_string_base_repeat1] = STATE(47),
    [aux_sym_unquoted_string_repeat1] = STATE(47),
    [aux_sym_string_repeat1] = STATE(31),
    [anon_sym_SLASH] = ACTIONS(627),
    [anon_sym_COLON] = ACTIONS(579),
    [anon_sym_EQ] = ACTIONS(579),
    [anon_sym_EQ3] = ACTIONS(627),
    [anon_sym_COLON2] = ACTIONS(627),
    [anon_sym_DOT] = ACTIONS(627),
    [anon_sym_DASH] = ACTIONS(629),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_RPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_RBRACK] = ACTIONS(579),
    [anon_sym_LBRACE] = ACTIONS(579),
    [anon_sym_RBRACE] = ACTIONS(579),
    [anon_sym_SLASH2] = ACTIONS(579),
    [anon_sym_COMMA] = ACTIONS(579),
    [anon_sym_AT] = ACTIONS(579),
    [anon_sym_DOT2] = ACTIONS(579),
    [anon_sym_DASH2] = ACTIONS(579),
    [anon_sym_LPAREN2] = ACTIONS(629),
    [anon_sym_RPAREN2] = ACTIONS(627),
    [anon_sym_LBRACK2] = ACTIONS(627),
    [anon_sym_RBRACK2] = ACTIONS(627),
    [anon_sym_LBRACE2] = ACTIONS(627),
    [anon_sym_RBRACE2] = ACTIONS(627),
    [anon_sym_COMMA2] = ACTIONS(627),
    [anon_sym_AT2] = ACTIONS(627),
    [anon_sym_DOLLAR] = ACTIONS(579),
    [anon_sym_PLUS] = ACTIONS(579),
    [anon_sym_DQUOTE] = ACTIONS(579),
    [anon_sym_SQUOTE] = ACTIONS(631),
    [anon_sym_LPAREN3] = ACTIONS(581),
    [sym_allow_privileged] = ACTIONS(581),
    [anon_sym_DASH_DASHbuild_DASHarg] = ACTIONS(581),
    [anon_sym_DASH_DASHchmod] = ACTIONS(581),
    [anon_sym_DASH_DASHchown] = ACTIONS(581),
    [sym_dir] = ACTIONS(581),
    [sym_if_exists] = ACTIONS(581),
    [sym_keep_own] = ACTIONS(581),
    [sym_keep_ts] = ACTIONS(581),
    [sym_pass_args] = ACTIONS(581),
    [anon_sym_DASH_DASHplatform] = ACTIONS(581),
    [sym_symlink_no_follow] = ACTIONS(581),
    [aux_sym_unknown_option_token1] = ACTIONS(579),
    [sym__string_base_other] = ACTIONS(579),
    [sym__string_base_alpha] = ACTIONS(579),
    [sym__string_base_num] = ACTIONS(579),
    [sym__immediate_string_base_other] = ACTIONS(629),
    [sym__immediate_string_base_alpha] = ACTIONS(627),
    [sym__immediate_string_base_num] = ACTIONS(627),
    [anon_sym_DQUOTE2] = ACTIONS(633),
    [anon_sym_SQUOTE2] = ACTIONS(581),
    [anon_sym_PLUS2] = ACTIONS(627),
    [anon_sym_DOLLAR2] = ACTIONS(635),
    [aux_sym__immediate_escape_sequence_token1] = ACTIONS(658),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(5),
    [sym_line_continuation_comment] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR_LF] = ACTIONS(5),
    [anon_sym_FF] = ACTIONS(5),
  },
  [34] = {
    [sym__immediate_string_base] = STATE(37),
    [sym__immediate_expansion] = STATE(37),
    [sym__immediate_escape_sequence] = STATE(53),
    [aux_sym__immediate_string_base_repeat1] = STATE(37),
    [aux_sym_unquoted_string_repeat1] = STATE(37),
    [anon_sym_SLASH] = ACTIONS(661),
    [anon_sym_COLON] = ACTIONS(664),
    [anon_sym_EQ] = ACTIONS(664),
    [anon_sym_EQ3] = ACTIONS(666),
    [anon_sym_DASH_DASH] = ACTIONS(669),
    [anon_sym_COLON2] = ACTIONS(661),
    [anon_sym_DOT] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(666),
    [anon_sym_LPAREN] = ACTIONS(664),
    [anon_sym_RPAREN] = ACTIONS(664),
    [anon_sym_LBRACK] = ACTIONS(664),
    [anon_sym_RBRACK] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(664),
    [anon_sym_RBRACE] = ACTIONS(664),
    [anon_sym_SLASH2] = ACTIONS(664),
    [anon_sym_COMMA] = ACTIONS(664),
    [anon_sym_AT] = ACTIONS(664),
    [anon_sym_DOT2] = ACTIONS(664),
    [anon_sym_DASH2] = ACTIONS(664),
    [anon_sym_LPAREN2] = ACTIONS(661),
    [anon_sym_RPAREN2] = ACTIONS(661),
    [anon_sym_LBRACK2] = ACTIONS(666),
    [anon_sym_RBRACK2] = ACTIONS(661),
    [anon_sym_LBRACE2] = ACTIONS(661),
    [anon_sym_RBRACE2] = ACTIONS(661),
    [anon_sym_COMMA2] = ACTIONS(661),
    [anon_sym_AT2] = ACTIONS(661),
    [anon_sym_DOLLAR] = ACTIONS(664),
    [anon_sym_PLUS] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(664),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LBRACK3] = ACTIONS(669),
    [sym_aws] = ACTIONS(669),
    [sym_entrypoint] = ACTIONS(669),
    [anon_sym_DASH_DASHinteractive] = ACTIONS(664),
    [anon_sym_DASH_DASHinteractive_DASHkeep] = ACTIONS(669),
    [anon_sym_DASH_DASHmount] = ACTIONS(669),
    [sym_network_none] = ACTIONS(669),
    [sym_no_cache] = ACTIONS(669),
    [anon_sym_DASH_DASHoidc] = ACTIONS(669),
    [sym_privileged] = ACTIONS(669),
    [sym_push] = ACTIONS(669),
    [sym_raw_output] = ACTIONS(669),
    [anon_sym_DASH_DASHsecret] = ACTIONS(669),
    [anon_sym_EQ4] = ACTIONS(669),
    [sym_ssh] = ACTIONS(669),
    [aux_sym_unknown_option_token1] = ACTIONS(664),
    [sym__string_base_other] = ACTIONS(664),
    [sym__string_base_alpha] = ACTIONS(664),
    [sym__string_base_num] = ACTIONS(664),
    [sym__immediate_string_base_other] = ACTIONS(666),
    [sym__immediate_string_base_alpha] = ACTIONS(661),
    [sym__immediate_string_base_num] = ACTIONS(661),
    [anon_sym_DQUOTE2] = ACTIONS(669),
    [anon_sym_PLUS2] = ACTIONS(661),
    [anon_sym_DOLLAR2] = ACTIONS(671),
    [aux_sym__immediate_escape_sequence_token1] = ACTIONS(674),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(669),
    [sym_line_continuation_comment] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR_LF] = ACTIONS(5),
    [anon_sym_FF] = ACTIONS(5),
  },
  [35] = {
    [sym__immediate_string_base] = STATE(34),
    [sym__immediate_expansion] = STATE(34),
    [sym__immediate_escape_sequence] = STATE(53),
    [aux_sym__immediate_string_base_repeat1] = STATE(34),
    [aux_sym_unquoted_string_repeat1] = STATE(34),
    [anon_sym_SLASH] = ACTIONS(677),
    [anon_sym_COLON] = ACTIONS(680),
    [anon_sym_EQ] = ACTIONS(680),
    [anon_sym_EQ3] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(685),
    [anon_sym_COLON2] = ACTIONS(677),
    [anon_sym_DOT] = ACTIONS(677),
    [anon_sym_DASH] = ACTIONS(682),
    [anon_sym_LPAREN] = ACTIONS(680),
    [anon_sym_RPAREN] = ACTIONS(680),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_RBRACK] = ACTIONS(680),
    [anon_sym_LBRACE] = ACTIONS(680),
    [anon_sym_RBRACE] = ACTIONS(680),
    [anon_sym_SLASH2] = ACTIONS(680),
    [anon_sym_COMMA] = ACTIONS(680),
    [anon_sym_AT] = ACTIONS(680),
    [anon_sym_DOT2] = ACTIONS(680),
    [anon_sym_DASH2] = ACTIONS(680),
    [anon_sym_LPAREN2] = ACTIONS(677),
    [anon_sym_RPAREN2] = ACTIONS(677),
    [anon_sym_LBRACK2] = ACTIONS(682),
    [anon_sym_RBRACK2] = ACTIONS(677),
    [anon_sym_LBRACE2] = ACTIONS(677),
    [anon_sym_RBRACE2] = ACTIONS(677),
    [anon_sym_COMMA2] = ACTIONS(677),
    [anon_sym_AT2] = ACTIONS(677),
    [anon_sym_DOLLAR] = ACTIONS(680),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DQUOTE] = ACTIONS(680),
    [anon_sym_SQUOTE] = ACTIONS(685),
    [anon_sym_LBRACK3] = ACTIONS(685),
    [sym_aws] = ACTIONS(685),
    [sym_entrypoint] = ACTIONS(685),
    [anon_sym_DASH_DASHinteractive] = ACTIONS(680),
    [anon_sym_DASH_DASHinteractive_DASHkeep] = ACTIONS(685),
    [anon_sym_DASH_DASHmount] = ACTIONS(685),
    [sym_network_none] = ACTIONS(685),
    [sym_no_cache] = ACTIONS(685),
    [anon_sym_DASH_DASHoidc] = ACTIONS(685),
    [sym_privileged] = ACTIONS(685),
    [sym_push] = ACTIONS(685),
    [sym_raw_output] = ACTIONS(685),
    [anon_sym_DASH_DASHsecret] = ACTIONS(685),
    [anon_sym_EQ4] = ACTIONS(685),
    [sym_ssh] = ACTIONS(685),
    [aux_sym_unknown_option_token1] = ACTIONS(680),
    [sym__string_base_other] = ACTIONS(680),
    [sym__string_base_alpha] = ACTIONS(680),
    [sym__string_base_num] = ACTIONS(680),
    [sym__immediate_string_base_other] = ACTIONS(682),
    [sym__immediate_string_base_alpha] = ACTIONS(677),
    [sym__immediate_string_base_num] = ACTIONS(677),
    [anon_sym_DQUOTE2] = ACTIONS(685),
    [anon_sym_PLUS2] = ACTIONS(677),
    [anon_sym_DOLLAR2] = ACTIONS(687),
    [aux_sym__immediate_escape_sequence_token1] = ACTIONS(690),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(685),
    [sym_line_continuation_comment] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR_LF] = ACTIONS(5),
    [anon_sym_FF] = ACTIONS(5),
  },
  [36] = {
    [sym__immediate_string_base] = STATE(37),
    [sym__immediate_expansion] = STATE(37),
    [sym__immediate_escape_sequence] = STATE(53),
    [aux_sym__immediate_string_base_repeat1] = STATE(37),
    [aux_sym_unquoted_string_repeat1] = STATE(37),
    [anon_sym_SLASH] = ACTIONS(693),
    [anon_sym_COLON] = ACTIONS(695),
    [anon_sym_EQ] = ACTIONS(695),
    [anon_sym_EQ3] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_COLON2] = ACTIONS(693),
    [anon_sym_DOT] = ACTIONS(693),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_RPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(695),
    [anon_sym_RBRACK] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_RBRACE] = ACTIONS(695),
    [anon_sym_SLASH2] = ACTIONS(695),
    [anon_sym_COMMA] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [anon_sym_DOT2] = ACTIONS(695),
    [anon_sym_DASH2] = ACTIONS(695),
    [anon_sym_LPAREN2] = ACTIONS(693),
    [anon_sym_RPAREN2] = ACTIONS(693),
    [anon_sym_LBRACK2] = ACTIONS(695),
    [anon_sym_RBRACK2] = ACTIONS(693),
    [anon_sym_LBRACE2] = ACTIONS(693),
    [anon_sym_RBRACE2] = ACTIONS(693),
    [anon_sym_COMMA2] = ACTIONS(693),
    [anon_sym_AT2] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_LBRACK3] = ACTIONS(693),
    [sym_aws] = ACTIONS(693),
    [sym_entrypoint] = ACTIONS(693),
    [anon_sym_DASH_DASHinteractive] = ACTIONS(695),
    [anon_sym_DASH_DASHinteractive_DASHkeep] = ACTIONS(693),
    [anon_sym_DASH_DASHmount] = ACTIONS(693),
    [sym_network_none] = ACTIONS(693),
    [sym_no_cache] = ACTIONS(693),
    [anon_sym_DASH_DASHoidc] = ACTIONS(693),
    [sym_privileged] = ACTIONS(693),
    [sym_push] = ACTIONS(693),
    [sym_raw_output] = ACTIONS(693),
    [anon_sym_DASH_DASHsecret] = ACTIONS(693),
    [anon_sym_EQ4] = ACTIONS(693),
    [sym_ssh] = ACTIONS(693),
    [aux_sym_unknown_option_token1] = ACTIONS(695),
    [sym__string_base_other] = ACTIONS(695),
    [sym__string_base_alpha] = ACTIONS(695),
    [sym__string_base_num] = ACTIONS(695),
    [sym__immediate_string_base_other] = ACTIONS(695),
    [sym__immediate_string_base_alpha] = ACTIONS(693),
    [sym__immediate_string_base_num] = ACTIONS(693),
    [anon_sym_DQUOTE2] = ACTIONS(693),
    [anon_sym_PLUS2] = ACTIONS(693),
    [anon_sym_DOLLAR2] = ACTIONS(693),
    [aux_sym__immediate_escape_sequence_token1] = ACTIONS(695),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(693),
    [sym_line_continuation_comment] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR_LF] = ACTIONS(5),
    [anon_sym_FF] = ACTIONS(5),
  },
  [37] = {
    [sym__immediate_string_base] = STATE(37),
    [sym__immediate_expansion] = STATE(37),
    [sym__immediate_escape_sequence] = STATE(53),
    [aux_sym__immediate_string_base_repeat1] = STATE(37),
    [aux_sym_unquoted_string_repeat1] = STATE(37),
    [anon_sym_SLASH] = ACTIONS(697),
    [anon_sym_COLON] = ACTIONS(700),
    [anon_sym_EQ] = ACTIONS(700),
    [anon_sym_EQ3] = ACTIONS(702),
    [anon_sym_DASH_DASH] = ACTIONS(705),
    [anon_sym_COLON2] = ACTIONS(697),
    [anon_sym_DOT] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(702),
    [anon_sym_LPAREN] = ACTIONS(700),
    [anon_sym_RPAREN] = ACTIONS(700),
    [anon_sym_LBRACK] = ACTIONS(700),
    [anon_sym_RBRACK] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_RBRACE] = ACTIONS(700),
    [anon_sym_SLASH2] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(700),
    [anon_sym_AT] = ACTIONS(700),
    [anon_sym_DOT2] = ACTIONS(700),
    [anon_sym_DASH2] = ACTIONS(700),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(697),
    [anon_sym_LBRACK2] = ACTIONS(702),
    [anon_sym_RBRACK2] = ACTIONS(697),
    [anon_sym_LBRACE2] = ACTIONS(697),
    [anon_sym_RBRACE2] = ACTIONS(697),
    [anon_sym_COMMA2] = ACTIONS(697),
    [anon_sym_AT2] = ACTIONS(697),
    [anon_sym_DOLLAR] = ACTIONS(700),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_DQUOTE] = ACTIONS(700),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LBRACK3] = ACTIONS(705),
    [sym_aws] = ACTIONS(705),
    [sym_entrypoint] = ACTIONS(705),
    [anon_sym_DASH_DASHinteractive] = ACTIONS(700),
    [anon_sym_DASH_DASHinteractive_DASHkeep] = ACTIONS(705),
    [anon_sym_DASH_DASHmount] = ACTIONS(705),
    [sym_network_none] = ACTIONS(705),
    [sym_no_cache] = ACTIONS(705),
    [anon_sym_DASH_DASHoidc] = ACTIONS(705),
    [sym_privileged] = ACTIONS(705),
    [sym_push] = ACTIONS(705),
    [sym_raw_output] = ACTIONS(705),
    [anon_sym_DASH_DASHsecret] = ACTIONS(705),
    [anon_sym_EQ4] = ACTIONS(705),
    [sym_ssh] = ACTIONS(705),
    [aux_sym_unknown_option_token1] = ACTIONS(700),
    [sym__string_base_other] = ACTIONS(700),
    [sym__string_base_alpha] = ACTIONS(700),
    [sym__string_base_num] = ACTIONS(700),
    [sym__immediate_string_base_other] = ACTIONS(702),
    [sym__immediate_string_base_alpha] = ACTIONS(697),
    [sym__immediate_string_base_num] = ACTIONS(697),
    [anon_sym_DQUOTE2] = ACTIONS(705),
    [anon_sym_PLUS2] = ACTIONS(697),
    [anon_sym_DOLLAR2] = ACTIONS(707),
    [aux_sym__immediate_escape_sequence_token1] = ACTIONS(710),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(705),
    [sym_line_continuation_comment] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR_LF] = ACTIONS(5),
    [anon_sym_FF] = ACTIONS(5),
  },
  [38] = {
    [sym__immediate_string_base] = STATE(40),
    [sym__immediate_expansion] = STATE(40),
    [sym__immediate_escape_sequence] = STATE(77),
    [aux_sym__immediate_string_base_repeat1] = STATE(40),
    [aux_sym_unquoted_string_repeat1] = STATE(40),
    [anon_sym_SLASH] = ACTIONS(693),
    [anon_sym_COLON] = ACTIONS(695),
    [anon_sym_EQ] = ACTIONS(695),
    [anon_sym_EQ3] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_COLON2] = ACTIONS(693),
    [anon_sym_DOT] = ACTIONS(693),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_RPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(695),
    [anon_sym_RBRACK] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_RBRACE] = ACTIONS(695),
    [anon_sym_SLASH2] = ACTIONS(695),
    [anon_sym_COMMA] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [anon_sym_DOT2] = ACTIONS(695),
    [anon_sym_DASH2] = ACTIONS(695),
    [anon_sym_LPAREN2] = ACTIONS(693),
    [anon_sym_RPAREN2] = ACTIONS(693),
    [anon_sym_LBRACK2] = ACTIONS(695),
    [anon_sym_RBRACK2] = ACTIONS(693),
    [anon_sym_LBRACE2] = ACTIONS(693),
    [anon_sym_RBRACE2] = ACTIONS(693),
    [anon_sym_COMMA2] = ACTIONS(693),
    [anon_sym_AT2] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_LBRACK3] = ACTIONS(693),
    [sym_aws] = ACTIONS(693),
    [sym_entrypoint] = ACTIONS(693),
    [anon_sym_DASH_DASHinteractive] = ACTIONS(695),
    [anon_sym_DASH_DASHinteractive_DASHkeep] = ACTIONS(693),
    [anon_sym_DASH_DASHmount] = ACTIONS(693),
    [sym_network_none] = ACTIONS(693),
    [sym_no_cache] = ACTIONS(693),
    [anon_sym_DASH_DASHoidc] = ACTIONS(693),
    [sym_privileged] = ACTIONS(693),
    [sym_push] = ACTIONS(693),
    [sym_raw_output] = ACTIONS(693),
    [anon_sym_DASH_DASHsecret] = ACTIONS(693),
    [sym_ssh] = ACTIONS(693),
    [aux_sym_unknown_option_token1] = ACTIONS(695),
    [sym__string_base_other] = ACTIONS(695),
    [sym__string_base_alpha] = ACTIONS(695),
    [sym__string_base_num] = ACTIONS(695),
    [sym__immediate_string_base_other] = ACTIONS(695),
    [sym__immediate_string_base_alpha] = ACTIONS(693),
    [sym__immediate_string_base_num] = ACTIONS(693),
    [anon_sym_DQUOTE2] = ACTIONS(693),
    [anon_sym_PLUS2] = ACTIONS(693),
    [anon_sym_DOLLAR2] = ACTIONS(693),
    [aux_sym__immediate_escape_sequence_token1] = ACTIONS(695),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(693),
    [sym_line_continuation_comment] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR_LF] = ACTIONS(5),
    [anon_sym_FF] = ACTIONS(5),
  },
  [39] = {
    [sym__immediate_string_base] = STATE(41),
    [sym__immediate_expansion] = STATE(41),
    [sym__immediate_escape_sequence] = STATE(77),
    [aux_sym__immediate_string_base_repeat1] = STATE(41),
    [aux_sym_unquoted_string_repeat1] = STATE(41),
    [anon_sym_SLASH] = ACTIONS(713),
    [anon_sym_COLON] = ACTIONS(680),
    [anon_sym_EQ] = ACTIONS(680),
    [anon_sym_EQ3] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(685),
    [anon_sym_COLON2] = ACTIONS(713),
    [anon_sym_DOT] = ACTIONS(713),
    [anon_sym_DASH] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(680),
    [anon_sym_RPAREN] = ACTIONS(680),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_RBRACK] = ACTIONS(680),
    [anon_sym_LBRACE] = ACTIONS(680),
    [anon_sym_RBRACE] = ACTIONS(680),
    [anon_sym_SLASH2] = ACTIONS(680),
    [anon_sym_COMMA] = ACTIONS(680),
    [anon_sym_AT] = ACTIONS(680),
    [anon_sym_DOT2] = ACTIONS(680),
    [anon_sym_DASH2] = ACTIONS(680),
    [anon_sym_LPAREN2] = ACTIONS(713),
    [anon_sym_RPAREN2] = ACTIONS(713),
    [anon_sym_LBRACK2] = ACTIONS(716),
    [anon_sym_RBRACK2] = ACTIONS(713),
    [anon_sym_LBRACE2] = ACTIONS(713),
    [anon_sym_RBRACE2] = ACTIONS(713),
    [anon_sym_COMMA2] = ACTIONS(713),
    [anon_sym_AT2] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(680),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DQUOTE] = ACTIONS(680),
    [anon_sym_SQUOTE] = ACTIONS(685),
    [anon_sym_LBRACK3] = ACTIONS(685),
    [sym_aws] = ACTIONS(685),
    [sym_entrypoint] = ACTIONS(685),
    [anon_sym_DASH_DASHinteractive] = ACTIONS(680),
    [anon_sym_DASH_DASHinteractive_DASHkeep] = ACTIONS(685),
    [anon_sym_DASH_DASHmount] = ACTIONS(685),
    [sym_network_none] = ACTIONS(685),
    [sym_no_cache] = ACTIONS(685),
    [anon_sym_DASH_DASHoidc] = ACTIONS(685),
    [sym_privileged] = ACTIONS(685),
    [sym_push] = ACTIONS(685),
    [sym_raw_output] = ACTIONS(685),
    [anon_sym_DASH_DASHsecret] = ACTIONS(685),
    [sym_ssh] = ACTIONS(685),
    [aux_sym_unknown_option_token1] = ACTIONS(680),
    [sym__string_base_other] = ACTIONS(680),
    [sym__string_base_alpha] = ACTIONS(680),
    [sym__string_base_num] = ACTIONS(680),
    [sym__immediate_string_base_other] = ACTIONS(716),
    [sym__immediate_string_base_alpha] = ACTIONS(713),
    [sym__immediate_string_base_num] = ACTIONS(713),
    [anon_sym_DQUOTE2] = ACTIONS(685),
    [anon_sym_PLUS2] = ACTIONS(713),
    [anon_sym_DOLLAR2] = ACTIONS(719),
    [aux_sym__immediate_escape_sequence_token1] = ACTIONS(722),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(685),
    [sym_line_continuation_comment] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR_LF] = ACTIONS(5),
    [anon_sym_FF] = ACTIONS(5),
  },
  [40] = {
    [sym__immediate_string_base] = STATE(40),
    [sym__immediate_expansion] = STATE(40),
    [sym__immediate_escape_sequence] = STATE(77),
    [aux_sym__immediate_string_base_repeat1] = STATE(40),
    [aux_sym_unquoted_string_repeat1] = STATE(40),
    [anon_sym_SLASH] = ACTIONS(725),
    [anon_sym_COLON] = ACTIONS(700),
    [anon_sym_EQ] = ACTIONS(700),
    [anon_sym_EQ3] = ACTIONS(725),
    [anon_sym_DASH_DASH] = ACTIONS(705),
    [anon_sym_COLON2] = ACTIONS(725),
    [anon_sym_DOT] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(700),
    [anon_sym_RPAREN] = ACTIONS(700),
    [anon_sym_LBRACK] = ACTIONS(700),
    [anon_sym_RBRACK] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_RBRACE] = ACTIONS(700),
    [anon_sym_SLASH2] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(700),
    [anon_sym_AT] = ACTIONS(700),
    [anon_sym_DOT2] = ACTIONS(700),
    [anon_sym_DASH2] = ACTIONS(700),
    [anon_sym_LPAREN2] = ACTIONS(725),
    [anon_sym_RPAREN2] = ACTIONS(725),
    [anon_sym_LBRACK2] = ACTIONS(728),
    [anon_sym_RBRACK2] = ACTIONS(725),
    [anon_sym_LBRACE2] = ACTIONS(725),
    [anon_sym_RBRACE2] = ACTIONS(725),
    [anon_sym_COMMA2] = ACTIONS(725),
    [anon_sym_AT2] = ACTIONS(725),
    [anon_sym_DOLLAR] = ACTIONS(700),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_DQUOTE] = ACTIONS(700),
    [anon_sym_SQUOTE] = ACTIONS(705),
    [anon_sym_LBRACK3] = ACTIONS(705),
    [sym_aws] = ACTIONS(705),
    [sym_entrypoint] = ACTIONS(705),
    [anon_sym_DASH_DASHinteractive] = ACTIONS(700),
    [anon_sym_DASH_DASHinteractive_DASHkeep] = ACTIONS(705),
    [anon_sym_DASH_DASHmount] = ACTIONS(705),
    [sym_network_none] = ACTIONS(705),
    [sym_no_cache] = ACTIONS(705),
    [anon_sym_DASH_DASHoidc] = ACTIONS(705),
    [sym_privileged] = ACTIONS(705),
    [sym_push] = ACTIONS(705),
    [sym_raw_output] = ACTIONS(705),
    [anon_sym_DASH_DASHsecret] = ACTIONS(705),
    [sym_ssh] = ACTIONS(705),
    [aux_sym_unknown_option_token1] = ACTIONS(700),
    [sym__string_base_other] = ACTIONS(700),
    [sym__string_base_alpha] = ACTIONS(700),
    [sym__string_base_num] = ACTIONS(700),
    [sym__immediate_string_base_other] = ACTIONS(728),
    [sym__immediate_string_base_alpha] = ACTIONS(725),
    [sym__immediate_string_base_num] = ACTIONS(725),
    [anon_sym_DQUOTE2] = ACTIONS(705),
    [anon_sym_PLUS2] = ACTIONS(725),
    [anon_sym_DOLLAR2] = ACTIONS(731),
    [aux_sym__immediate_escape_sequence_token1] = ACTIONS(734),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(705),
    [sym_line_continuation_comment] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR_LF] = ACTIONS(5),
    [anon_sym_FF] = ACTIONS(5),
  },
  [41] = {
    [sym__immediate_string_base] = STATE(40),
    [sym__immediate_expansion] = STATE(40),
    [sym__immediate_escape_sequence] = STATE(77),
    [aux_sym__immediate_string_base_repeat1] = STATE(40),
    [aux_sym_unquoted_string_repeat1] = STATE(40),
    [anon_sym_SLASH] = ACTIONS(737),
    [anon_sym_COLON] = ACTIONS(664),
    [anon_sym_EQ] = ACTIONS(664),
    [anon_sym_EQ3] = ACTIONS(737),
    [anon_sym_DASH_DASH] = ACTIONS(669),
    [anon_sym_COLON2] = ACTIONS(737),
    [anon_sym_DOT] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_LPAREN] = ACTIONS(664),
    [anon_sym_RPAREN] = ACTIONS(664),
    [anon_sym_LBRACK] = ACTIONS(664),
    [anon_sym_RBRACK] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(664),
    [anon_sym_RBRACE] = ACTIONS(664),
    [anon_sym_SLASH2] = ACTIONS(664),
    [anon_sym_COMMA] = ACTIONS(664),
    [anon_sym_AT] = ACTIONS(664),
    [anon_sym_DOT2] = ACTIONS(664),
    [anon_sym_DASH2] = ACTIONS(664),
    [anon_sym_LPAREN2] = ACTIONS(737),
    [anon_sym_RPAREN2] = ACTIONS(737),
    [anon_sym_LBRACK2] = ACTIONS(740),
    [anon_sym_RBRACK2] = ACTIONS(737),
    [anon_sym_LBRACE2] = ACTIONS(737),
    [anon_sym_RBRACE2] = ACTIONS(737),
    [anon_sym_COMMA2] = ACTIONS(737),
    [anon_sym_AT2] = ACTIONS(737),
    [anon_sym_DOLLAR] = ACTIONS(664),
    [anon_sym_PLUS] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(664),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LBRACK3] = ACTIONS(669),
    [sym_aws] = ACTIONS(669),
    [sym_entrypoint] = ACTIONS(669),
    [anon_sym_DASH_DASHinteractive] = ACTIONS(664),
    [anon_sym_DASH_DASHinteractive_DASHkeep] = ACTIONS(669),
    [anon_sym_DASH_DASHmount] = ACTIONS(669),
    [sym_network_none] = ACTIONS(669),
    [sym_no_cache] = ACTIONS(669),
    [anon_sym_DASH_DASHoidc] = ACTIONS(669),
    [sym_privileged] = ACTIONS(669),
    [sym_push] = ACTIONS(669),
    [sym_raw_output] = ACTIONS(669),
    [anon_sym_DASH_DASHsecret] = ACTIONS(669),
    [sym_ssh] = ACTIONS(669),
    [aux_sym_unknown_option_token1] = ACTIONS(664),
    [sym__string_base_other] = ACTIONS(664),
    [sym__string_base_alpha] = ACTIONS(664),
    [sym__string_base_num] = ACTIONS(664),
    [sym__immediate_string_base_other] = ACTIONS(740),
    [sym__immediate_string_base_alpha] = ACTIONS(737),
    [sym__immediate_string_base_num] = ACTIONS(737),
    [anon_sym_DQUOTE2] = ACTIONS(669),
    [anon_sym_PLUS2] = ACTIONS(737),
    [anon_sym_DOLLAR2] = ACTIONS(743),
    [aux_sym__immediate_escape_sequence_token1] = ACTIONS(746),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(669),
    [sym_line_continuation_comment] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR_LF] = ACTIONS(5),
    [anon_sym_FF] = ACTIONS(5),
  },
  [42] = {
    [sym__immediate_string_base] = STATE(76),
    [aux_sym_variable_repeat1] = STATE(2098),
    [aux_sym__immediate_string_base_repeat1] = STATE(76),
    [anon_sym_SLASH] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(751),
    [anon_sym_EQ] = ACTIONS(751),
    [anon_sym_EQ3] = ACTIONS(751),
    [anon_sym_DASH_DASH] = ACTIONS(749),
    [anon_sym_COLON2] = ACTIONS(749),
    [anon_sym_DOT] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(751),
    [anon_sym_RPAREN] = ACTIONS(751),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_RBRACK] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_RBRACE] = ACTIONS(751),
    [anon_sym_SLASH2] = ACTIONS(751),
    [anon_sym_COMMA] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(751),
    [anon_sym_DOT2] = ACTIONS(751),
    [anon_sym_DASH2] = ACTIONS(751),
    [anon_sym_LPAREN2] = ACTIONS(749),
    [anon_sym_RPAREN2] = ACTIONS(749),
    [anon_sym_LBRACK2] = ACTIONS(751),
    [anon_sym_RBRACK2] = ACTIONS(749),
    [anon_sym_LBRACE2] = ACTIONS(749),
    [anon_sym_RBRACE2] = ACTIONS(749),
    [anon_sym_COMMA2] = ACTIONS(749),
    [anon_sym_AT2] = ACTIONS(749),
    [anon_sym_DOLLAR] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(749),
    [anon_sym_LBRACK3] = ACTIONS(749),
    [sym_aws] = ACTIONS(749),
    [sym_entrypoint] = ACTIONS(749),
    [anon_sym_DASH_DASHinteractive] = ACTIONS(751),
    [anon_sym_DASH_DASHinteractive_DASHkeep] = ACTIONS(749),
    [anon_sym_DASH_DASHmount] = ACTIONS(749),
    [sym_network_none] = ACTIONS(749),
    [sym_no_cache] = ACTIONS(749),
    [anon_sym_DASH_DASHoidc] = ACTIONS(749),
    [sym_privileged] = ACTIONS(749),
    [sym_push] = ACTIONS(749),
    [sym_raw_output] = ACTIONS(749),
    [anon_sym_DASH_DASHsecret] = ACTIONS(749),
    [anon_sym_EQ4] = ACTIONS(753),
    [sym_ssh] = ACTIONS(749),
    [aux_sym_unknown_option_token1] = ACTIONS(751),
    [sym__string_base_other] = ACTIONS(751),
    [sym__string_base_alpha] = ACTIONS(751),
    [sym__string_base_num] = ACTIONS(751),
    [sym__immediate_string_base_other] = ACTIONS(756),
    [sym__immediate_string_base_alpha] = ACTIONS(759),
    [sym__immediate_string_base_num] = ACTIONS(759),
    [anon_sym_DQUOTE2] = ACTIONS(749),
    [anon_sym_PLUS2] = ACTIONS(749),
    [anon_sym_DOLLAR2] = ACTIONS(749),
    [aux_sym__immediate_escape_sequence_token1] = ACTIONS(751),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(749),
    [sym_line_continuation_comment] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR_LF] = ACTIONS(5),
    [anon_sym_FF] = ACTIONS(5),
  },
  [43] = {
    [sym__immediate_string_base] = STATE(43),
    [sym__immediate_expansion] = STATE(43),
    [sym__immediate_escape_sequence] = STATE(135),
    [aux_sym__immediate_string_base_repeat1] = STATE(43),
    [aux_sym_unquoted_string_repeat1] = STATE(43),
    [anon_sym_SLASH] = ACTIONS(762),
    [anon_sym_COLON] = ACTIONS(700),
    [anon_sym_EQ] = ACTIONS(700),
    [anon_sym_EQ3] = ACTIONS(762),
    [anon_sym_COLON2] = ACTIONS(762),
    [anon_sym_DOT] = ACTIONS(762),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LPAREN] = ACTIONS(700),
    [anon_sym_RPAREN] = ACTIONS(700),
    [anon_sym_LBRACK] = ACTIONS(700),
    [anon_sym_RBRACK] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_RBRACE] = ACTIONS(700),
    [anon_sym_SLASH2] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(700),
    [anon_sym_AT] = ACTIONS(700),
    [anon_sym_DOT2] = ACTIONS(700),
    [anon_sym_DASH2] = ACTIONS(700),
    [anon_sym_LPAREN2] = ACTIONS(765),
    [anon_sym_RPAREN2] = ACTIONS(762),
    [anon_sym_LBRACK2] = ACTIONS(762),
    [anon_sym_RBRACK2] = ACTIONS(762),
    [anon_sym_LBRACE2] = ACTIONS(762),
    [anon_sym_RBRACE2] = ACTIONS(762),
    [anon_sym_COMMA2] = ACTIONS(762),
    [anon_sym_AT2] = ACTIONS(762),
    [anon_sym_DOLLAR] = ACTIONS(700),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_DQUOTE] = ACTIONS(700),
    [anon_sym_SQUOTE] = ACTIONS(700),
    [anon_sym_LPAREN3] = ACTIONS(705),
    [sym_allow_privileged] = ACTIONS(705),
    [anon_sym_DASH_DASHbuild_DASHarg] = ACTIONS(705),
    [anon_sym_DASH_DASHchmod] = ACTIONS(705),
    [anon_sym_DASH_DASHchown] = ACTIONS(705),
    [sym_dir] = ACTIONS(705),
    [sym_if_exists] = ACTIONS(705),
    [sym_keep_own] = ACTIONS(705),
    [sym_keep_ts] = ACTIONS(705),
    [sym_pass_args] = ACTIONS(705),
    [anon_sym_DASH_DASHplatform] = ACTIONS(705),
    [sym_symlink_no_follow] = ACTIONS(705),
    [aux_sym_unknown_option_token1] = ACTIONS(700),
    [sym__string_base_other] = ACTIONS(700),
    [sym__string_base_alpha] = ACTIONS(700),
    [sym__string_base_num] = ACTIONS(700),
    [sym__immediate_string_base_other] = ACTIONS(765),
    [sym__immediate_string_base_alpha] = ACTIONS(762),
    [sym__immediate_string_base_num] = ACTIONS(762),
    [anon_sym_DQUOTE2] = ACTIONS(705),
    [anon_sym_SQUOTE2] = ACTIONS(705),
    [anon_sym_PLUS2] = ACTIONS(762),
    [anon_sym_DOLLAR2] = ACTIONS(768),
    [aux_sym__immediate_escape_sequence_token1] = ACTIONS(771),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(5),
    [sym_line_continuation_comment] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR_LF] = ACTIONS(5),
    [anon_sym_FF] = ACTIONS(5),
  },
  [44] = {
    [sym__immediate_string_base] = STATE(45),
    [sym__immediate_expansion] = STATE(45),
    [sym__immediate_escape_sequence] = STATE(135),
    [aux_sym__immediate_string_base_repeat1] = STATE(45),
    [aux_sym_unquoted_string_repeat1] = STATE(45),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_COLON] = ACTIONS(680),
    [anon_sym_EQ] = ACTIONS(680),
    [anon_sym_EQ3] = ACTIONS(774),
    [anon_sym_COLON2] = ACTIONS(774),
    [anon_sym_DOT] = ACTIONS(774),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_LPAREN] = ACTIONS(680),
    [anon_sym_RPAREN] = ACTIONS(680),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_RBRACK] = ACTIONS(680),
    [anon_sym_LBRACE] = ACTIONS(680),
    [anon_sym_RBRACE] = ACTIONS(680),
    [anon_sym_SLASH2] = ACTIONS(680),
    [anon_sym_COMMA] = ACTIONS(680),
    [anon_sym_AT] = ACTIONS(680),
    [anon_sym_DOT2] = ACTIONS(680),
    [anon_sym_DASH2] = ACTIONS(680),
    [anon_sym_LPAREN2] = ACTIONS(777),
    [anon_sym_RPAREN2] = ACTIONS(774),
    [anon_sym_LBRACK2] = ACTIONS(774),
    [anon_sym_RBRACK2] = ACTIONS(774),
    [anon_sym_LBRACE2] = ACTIONS(774),
    [anon_sym_RBRACE2] = ACTIONS(774),
    [anon_sym_COMMA2] = ACTIONS(774),
    [anon_sym_AT2] = ACTIONS(774),
    [anon_sym_DOLLAR] = ACTIONS(680),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DQUOTE] = ACTIONS(680),
    [anon_sym_SQUOTE] = ACTIONS(680),
    [anon_sym_LPAREN3] = ACTIONS(685),
    [sym_allow_privileged] = ACTIONS(685),
    [anon_sym_DASH_DASHbuild_DASHarg] = ACTIONS(685),
    [anon_sym_DASH_DASHchmod] = ACTIONS(685),
    [anon_sym_DASH_DASHchown] = ACTIONS(685),
    [sym_dir] = ACTIONS(685),
    [sym_if_exists] = ACTIONS(685),
    [sym_keep_own] = ACTIONS(685),
    [sym_keep_ts] = ACTIONS(685),
    [sym_pass_args] = ACTIONS(685),
    [anon_sym_DASH_DASHplatform] = ACTIONS(685),
    [sym_symlink_no_follow] = ACTIONS(685),
    [aux_sym_unknown_option_token1] = ACTIONS(680),
    [sym__string_base_other] = ACTIONS(680),
    [sym__string_base_alpha] = ACTIONS(680),
    [sym__string_base_num] = ACTIONS(680),
    [sym__immediate_string_base_other] = ACTIONS(777),
    [sym__immediate_string_base_alpha] = ACTIONS(774),
    [sym__immediate_string_base_num] = ACTIONS(774),
    [anon_sym_DQUOTE2] = ACTIONS(685),
    [anon_sym_SQUOTE2] = ACTIONS(685),
    [anon_sym_PLUS2] = ACTIONS(774),
    [anon_sym_DOLLAR2] = ACTIONS(780),
    [aux_sym__immediate_escape_sequence_token1] = ACTIONS(783),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(5),
    [sym_line_continuation_comment] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR_LF] = ACTIONS(5),
    [anon_sym_FF] = ACTIONS(5),
  },
  [45] = {
    [sym__immediate_string_base] = STATE(43),
    [sym__immediate_expansion] = STATE(43),
    [sym__immediate_escape_sequence] = STATE(135),
    [aux_sym__immediate_string_base_repeat1] = STATE(43),
    [aux_sym_unquoted_string_repeat1] = STATE(43),
    [anon_sym_SLASH] = ACTIONS(786),
    [anon_sym_COLON] = ACTIONS(664),
    [anon_sym_EQ] = ACTIONS(664),
    [anon_sym_EQ3] = ACTIONS(786),
    [anon_sym_COLON2] = ACTIONS(786),
    [anon_sym_DOT] = ACTIONS(786),
    [anon_sym_DASH] = ACTIONS(789),
    [anon_sym_LPAREN] = ACTIONS(664),
    [anon_sym_RPAREN] = ACTIONS(664),
    [anon_sym_LBRACK] = ACTIONS(664),
    [anon_sym_RBRACK] = ACTIONS(664),
    [anon_sym_LBRACE] = ACTIONS(664),
    [anon_sym_RBRACE] = ACTIONS(664),
    [anon_sym_SLASH2] = ACTIONS(664),
    [anon_sym_COMMA] = ACTIONS(664),
    [anon_sym_AT] = ACTIONS(664),
    [anon_sym_DOT2] = ACTIONS(664),
    [anon_sym_DASH2] = ACTIONS(664),
    [anon_sym_LPAREN2] = ACTIONS(789),
    [anon_sym_RPAREN2] = ACTIONS(786),
    [anon_sym_LBRACK2] = ACTIONS(786),
    [anon_sym_RBRACK2] = ACTIONS(786),
    [anon_sym_LBRACE2] = ACTIONS(786),
    [anon_sym_RBRACE2] = ACTIONS(786),
    [anon_sym_COMMA2] = ACTIONS(786),
    [anon_sym_AT2] = ACTIONS(786),
    [anon_sym_DOLLAR] = ACTIONS(664),
    [anon_sym_PLUS] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(664),
    [anon_sym_SQUOTE] = ACTIONS(664),
    [anon_sym_LPAREN3] = ACTIONS(669),
    [sym_allow_privileged] = ACTIONS(669),
    [anon_sym_DASH_DASHbuild_DASHarg] = ACTIONS(669),
    [anon_sym_DASH_DASHchmod] = ACTIONS(669),
    [anon_sym_DASH_DASHchown] = ACTIONS(669),
    [sym_dir] = ACTIONS(669),
    [sym_if_exists] = ACTIONS(669),
    [sym_keep_own] = ACTIONS(669),
    [sym_keep_ts] = ACTIONS(669),
    [sym_pass_args] = ACTIONS(669),
    [anon_sym_DASH_DASHplatform] = ACTIONS(669),
    [sym_symlink_no_follow] = ACTIONS(669),
    [aux_sym_unknown_option_token1] = ACTIONS(664),
    [sym__string_base_other] = ACTIONS(664),
    [sym__string_base_alpha] = ACTIONS(664),
    [sym__string_base_num] = ACTIONS(664),
    [sym__immediate_string_base_other] = ACTIONS(789),
    [sym__immediate_string_base_alpha] = ACTIONS(786),
    [sym__immediate_string_base_num] = ACTIONS(786),
    [anon_sym_DQUOTE2] = ACTIONS(669),
    [anon_sym_SQUOTE2] = ACTIONS(669),
    [anon_sym_PLUS2] = ACTIONS(786),
    [anon_sym_DOLLAR2] = ACTIONS(792),
    [aux_sym__immediate_escape_sequence_token1] = ACTIONS(795),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(5),
    [sym_line_continuation_comment] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR_LF] = ACTIONS(5),
    [anon_sym_FF] = ACTIONS(5),
  },
  [46] = {
    [sym__immediate_string_base] = STATE(76),
    [aux_sym__immediate_string_base_repeat1] = STATE(76),
    [anon_sym_SLASH] = ACTIONS(749),
    [anon_sym_COLON] = ACTIONS(751),
    [anon_sym_EQ] = ACTIONS(751),
    [anon_sym_EQ3] = ACTIONS(751),
    [anon_sym_DASH_DASH] = ACTIONS(749),
    [anon_sym_COLON2] = ACTIONS(749),
    [anon_sym_DOT] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(751),
    [anon_sym_RPAREN] = ACTIONS(751),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_RBRACK] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_RBRACE] = ACTIONS(751),
    [anon_sym_SLASH2] = ACTIONS(751),
    [anon_sym_COMMA] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(751),
    [anon_sym_DOT2] = ACTIONS(751),
    [anon_sym_DASH2] = ACTIONS(751),
    [anon_sym_LPAREN2] = ACTIONS(749),
    [anon_sym_RPAREN2] = ACTIONS(749),
    [anon_sym_LBRACK2] = ACTIONS(751),
    [anon_sym_RBRACK2] = ACTIONS(749),
    [anon_sym_LBRACE2] = ACTIONS(749),
    [anon_sym_RBRACE2] = ACTIONS(749),
    [anon_sym_COMMA2] = ACTIONS(749),
    [anon_sym_AT2] = ACTIONS(749),
    [anon_sym_DOLLAR] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(749),
    [anon_sym_LBRACK3] = ACTIONS(749),
    [sym_aws] = ACTIONS(749),
    [sym_entrypoint] = ACTIONS(749),
    [anon_sym_DASH_DASHinteractive] = ACTIONS(751),
    [anon_sym_DASH_DASHinteractive_DASHkeep] = ACTIONS(749),
    [anon_sym_DASH_DASHmount] = ACTIONS(749),
    [sym_network_none] = ACTIONS(749),
    [sym_no_cache] = ACTIONS(749),
    [anon_sym_DASH_DASHoidc] = ACTIONS(749),
    [sym_privileged] = ACTIONS(749),
    [sym_push] = ACTIONS(749),
    [sym_raw_output] = ACTIONS(749),
    [anon_sym_DASH_DASHsecret] = ACTIONS(749),
    [anon_sym_EQ4] = ACTIONS(749),
    [sym_ssh] = ACTIONS(749),
    [aux_sym_unknown_option_token1] = ACTIONS(751),
    [sym__string_base_other] = ACTIONS(751),
    [sym__string_base_alpha] = ACTIONS(751),
    [sym__string_base_num] = ACTIONS(751),
    [sym__immediate_string_base_other] = ACTIONS(756),
    [sym__immediate_string_base_alpha] = ACTIONS(798),
    [sym__immediate_string_base_num] = ACTIONS(798),
    [anon_sym_DQUOTE2] = ACTIONS(749),
    [anon_sym_PLUS2] = ACTIONS(749),
    [anon_sym_DOLLAR2] = ACTIONS(749),
    [aux_sym__immediate_escape_sequence_token1] = ACTIONS(751),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(749),
    [sym_line_continuation_comment] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR_LF] = ACTIONS(5),
    [anon_sym_FF] = ACTIONS(5),
  },
  [47] = {
    [sym__immediate_string_base] = STATE(43),
    [sym__immediate_expansion] = STATE(43),
    [sym__immediate_escape_sequence] = STATE(135),
    [aux_sym__immediate_string_base_repeat1] = STATE(43),
    [aux_sym_unquoted_string_repeat1] = STATE(43),
    [anon_sym_SLASH] = ACTIONS(693),
    [anon_sym_COLON] = ACTIONS(695),
    [anon_sym_EQ] = ACTIONS(695),
    [anon_sym_EQ3] = ACTIONS(693),
    [anon_sym_COLON2] = ACTIONS(693),
    [anon_sym_DOT] = ACTIONS(693),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_RPAREN] = ACTIONS(695),
    [anon_sym_LBRACK] = ACTIONS(695),
    [anon_sym_RBRACK] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_RBRACE] = ACTIONS(695),
    [anon_sym_SLASH2] = ACTIONS(695),
    [anon_sym_COMMA] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(695),
    [anon_sym_DOT2] = ACTIONS(695),
    [anon_sym_DASH2] = ACTIONS(695),
    [anon_sym_LPAREN2] = ACTIONS(695),
    [anon_sym_RPAREN2] = ACTIONS(693),
    [anon_sym_LBRACK2] = ACTIONS(693),
    [anon_sym_RBRACK2] = ACTIONS(693),
    [anon_sym_LBRACE2] = ACTIONS(693),
    [anon_sym_RBRACE2] = ACTIONS(693),
    [anon_sym_COMMA2] = ACTIONS(693),
    [anon_sym_AT2] = ACTIONS(693),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_LPAREN3] = ACTIONS(693),
    [sym_allow_privileged] = ACTIONS(693),
    [anon_sym_DASH_DASHbuild_DASHarg] = ACTIONS(693),
    [anon_sym_DASH_DASHchmod] = ACTIONS(693),
    [anon_sym_DASH_DASHchown] = ACTIONS(693),
    [sym_dir] = ACTIONS(693),
    [sym_if_exists] = ACTIONS(693),
    [sym_keep_own] = ACTIONS(693),
    [sym_keep_ts] = ACTIONS(693),
    [sym_pass_args] = ACTIONS(693),
    [anon_sym_DASH_DASHplatform] = ACTIONS(693),
    [sym_symlink_no_follow] = ACTIONS(693),
    [aux_sym_unknown_option_token1] = ACTIONS(695),
    [sym__string_base_other] = ACTIONS(695),
    [sym__string_base_alpha] = ACTIONS(695),
    [sym__string_base_num] = ACTIONS(695),
    [sym__immediate_string_base_other] = ACTIONS(695),
    [sym__immediate_string_base_alpha] = ACTIONS(693),
    [sym__immediate_string_base_num] = ACTIONS(693),
    [anon_sym_DQUOTE2] = ACTIONS(693),
    [anon_sym_SQUOTE2] = ACTIONS(693),
    [anon_sym_PLUS2] = ACTIONS(693),
    [anon_sym_DOLLAR2] = ACTIONS(693),
    [aux_sym__immediate_escape_sequence_token1] = ACTIONS(695),
    [sym_line_continuation] = ACTIONS(3),
    [sym_comment] = ACTIONS(5),
    [sym_line_continuation_comment] = ACTIONS(5),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR_LF] = ACTIONS(5),
    [anon_sym_FF] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(801), 1,
      sym__immediate_string_base_other,
    ACTIONS(804), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(102), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(751), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(749), 30,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [79] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(811), 1,
      sym__immediate_string_base_other,
    STATE(49), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(814), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(809), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(807), 30,
      anon_sym_SLASH,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [158] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(51), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(819), 26,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(817), 32,
      anon_sym_SLASH,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [233] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(51), 1,
      aux_sym_variable_repeat1,
    ACTIONS(825), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(823), 26,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(821), 30,
      anon_sym_SLASH,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [310] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(50), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(830), 26,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(828), 32,
      anon_sym_SLASH,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [385] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(834), 26,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(832), 32,
      anon_sym_SLASH,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [457] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(840), 1,
      anon_sym_SQUOTE,
    ACTIONS(842), 1,
      anon_sym_DQUOTE2,
    ACTIONS(844), 1,
      anon_sym_DOLLAR2,
    ACTIONS(846), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(251), 1,
      sym__immediate_escape_sequence,
    ACTIONS(838), 3,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    STATE(63), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(147), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(449), 7,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      anon_sym_SQUOTE2,
    ACTIONS(836), 14,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(445), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [547] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(851), 26,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(849), 32,
      anon_sym_SLASH,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [619] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(855), 26,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(853), 32,
      anon_sym_SLASH,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [691] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(859), 26,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(857), 32,
      anon_sym_SLASH,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [763] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(863), 26,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(861), 32,
      anon_sym_SLASH,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [835] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(867), 26,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(865), 32,
      anon_sym_SLASH,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [907] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(871), 26,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(869), 32,
      anon_sym_SLASH,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [979] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(875), 26,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(873), 32,
      anon_sym_SLASH,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [1051] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(840), 1,
      anon_sym_SQUOTE,
    ACTIONS(842), 1,
      anon_sym_DQUOTE2,
    ACTIONS(844), 1,
      anon_sym_DOLLAR2,
    ACTIONS(877), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(251), 1,
      sym__immediate_escape_sequence,
    ACTIONS(838), 3,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    STATE(54), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(147), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(581), 7,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      anon_sym_SQUOTE2,
    ACTIONS(836), 14,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(579), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [1141] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(886), 1,
      anon_sym_SQUOTE,
    ACTIONS(889), 1,
      anon_sym_DQUOTE2,
    ACTIONS(892), 1,
      anon_sym_DOLLAR2,
    ACTIONS(895), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(251), 1,
      sym__immediate_escape_sequence,
    ACTIONS(883), 3,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    STATE(63), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(147), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(469), 7,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      anon_sym_SQUOTE2,
    ACTIONS(880), 14,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(464), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [1231] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(900), 26,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(898), 32,
      anon_sym_SLASH,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [1303] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(74), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(819), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(817), 32,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [1377] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(904), 26,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(902), 32,
      anon_sym_SLASH,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [1449] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(906), 1,
      sym__immediate_string_base_other,
    STATE(67), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(909), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(809), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(807), 30,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [1527] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(914), 26,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(912), 32,
      anon_sym_SLASH,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [1599] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(918), 26,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(916), 32,
      anon_sym_SLASH,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [1671] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(922), 26,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(920), 32,
      anon_sym_SLASH,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [1743] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(928), 3,
      anon_sym_EQ4,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(926), 26,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(924), 29,
      anon_sym_SLASH,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [1817] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(933), 26,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(931), 32,
      anon_sym_SLASH,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [1889] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(937), 26,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(935), 32,
      anon_sym_SLASH,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [1961] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(74), 1,
      aux_sym_variable_repeat1,
    ACTIONS(939), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(823), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(821), 30,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [2037] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(65), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(830), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(828), 32,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [2111] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(944), 26,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(942), 32,
      anon_sym_SLASH,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [2183] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(834), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(832), 32,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [2254] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(952), 1,
      anon_sym_SQUOTE,
    ACTIONS(955), 1,
      anon_sym_DQUOTE2,
    ACTIONS(958), 1,
      anon_sym_DOLLAR2,
    ACTIONS(961), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(304), 1,
      sym__immediate_escape_sequence,
    ACTIONS(949), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(78), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(154), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(469), 6,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      anon_sym_SQUOTE2,
    ACTIONS(946), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(464), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [2343] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(875), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(873), 32,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [2414] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(855), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(853), 32,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [2485] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(968), 1,
      anon_sym_SQUOTE,
    ACTIONS(971), 1,
      anon_sym_DQUOTE2,
    ACTIONS(973), 1,
      anon_sym_DOLLAR2,
    ACTIONS(975), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(354), 1,
      sym__immediate_escape_sequence,
    ACTIONS(966), 3,
      anon_sym_EQ3,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(103), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(174), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(449), 7,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym_comment,
    ACTIONS(964), 14,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(445), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [2574] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(984), 1,
      anon_sym_SQUOTE,
    ACTIONS(987), 1,
      anon_sym_DQUOTE2,
    ACTIONS(990), 1,
      anon_sym_DOLLAR2,
    ACTIONS(993), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(282), 1,
      sym__immediate_escape_sequence,
    ACTIONS(981), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(82), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(163), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(469), 6,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      anon_sym_SQUOTE2,
    ACTIONS(978), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(464), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [2663] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(918), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(916), 32,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [2734] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1000), 1,
      anon_sym_SQUOTE,
    ACTIONS(1002), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1004), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1006), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(304), 1,
      sym__immediate_escape_sequence,
    ACTIONS(998), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(89), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(154), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(581), 6,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      anon_sym_SQUOTE2,
    ACTIONS(996), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(579), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [2823] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(867), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(865), 32,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [2894] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(971), 1,
      anon_sym_DQUOTE2,
    ACTIONS(973), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1009), 1,
      anon_sym_SQUOTE,
    ACTIONS(1012), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(354), 1,
      sym__immediate_escape_sequence,
    ACTIONS(966), 3,
      anon_sym_EQ3,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(81), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(174), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(581), 7,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym_comment,
    ACTIONS(964), 14,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(579), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [2983] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(871), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(869), 32,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [3054] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1021), 1,
      anon_sym_SQUOTE,
    ACTIONS(1024), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1027), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1030), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(309), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1018), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(88), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(152), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(469), 9,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1015), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(464), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [3143] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1000), 1,
      anon_sym_SQUOTE,
    ACTIONS(1002), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1004), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1033), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(304), 1,
      sym__immediate_escape_sequence,
    ACTIONS(998), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(78), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(154), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(449), 6,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      anon_sym_SQUOTE2,
    ACTIONS(996), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(445), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [3232] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(851), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(849), 32,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [3303] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1040), 1,
      anon_sym_SQUOTE,
    ACTIONS(1042), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1044), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1046), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(282), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1038), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(82), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(163), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(449), 6,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      anon_sym_SQUOTE2,
    ACTIONS(1036), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(445), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [3392] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(914), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(912), 32,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [3463] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(863), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(861), 32,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [3534] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(922), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(920), 32,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [3605] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(900), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(898), 32,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [3676] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(904), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(902), 32,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [3747] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(937), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(935), 32,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [3818] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(859), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(857), 32,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [3889] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1053), 1,
      anon_sym_SQUOTE,
    ACTIONS(1055), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1057), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1059), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(309), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1051), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(105), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(152), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(581), 9,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1049), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(579), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [3978] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1040), 1,
      anon_sym_SQUOTE,
    ACTIONS(1042), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1044), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1062), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(282), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1038), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(91), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(163), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(581), 6,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      anon_sym_SQUOTE2,
    ACTIONS(1036), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(579), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [4067] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(933), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(931), 32,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [4138] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(944), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LBRACK2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(942), 32,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_DASH_DASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [4209] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1071), 1,
      anon_sym_SQUOTE,
    ACTIONS(1074), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1077), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1080), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(354), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1068), 3,
      anon_sym_EQ3,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(103), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(174), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(469), 7,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym_comment,
    ACTIONS(1065), 14,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(464), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [4298] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1083), 1,
      sym__immediate_string_base_other,
    ACTIONS(1086), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(116), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(751), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(749), 27,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [4375] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1053), 1,
      anon_sym_SQUOTE,
    ACTIONS(1055), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1057), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1089), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(309), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1051), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(88), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(152), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(449), 9,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1049), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(445), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [4464] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1096), 1,
      anon_sym_SQUOTE,
    ACTIONS(1099), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1103), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(382), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1094), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(113), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(186), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(449), 6,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym_comment,
    ACTIONS(1092), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(445), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [4552] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(107), 1,
      aux_sym_variable_repeat1,
    ACTIONS(1106), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(823), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(821), 27,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [4626] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1113), 1,
      anon_sym_SQUOTE,
    ACTIONS(1115), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1117), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1119), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(395), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1111), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(112), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(187), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(449), 5,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      anon_sym_SQUOTE2,
    ACTIONS(1109), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(445), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [4714] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(107), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(819), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(817), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [4786] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1099), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1122), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(382), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1094), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(106), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(186), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(581), 6,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym_comment,
    ACTIONS(1092), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(579), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [4874] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1128), 1,
      sym__immediate_string_base_other,
    STATE(111), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(1131), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(809), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(807), 27,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [4950] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1140), 1,
      anon_sym_SQUOTE,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1146), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1149), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(395), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1137), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(112), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(187), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(469), 5,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      anon_sym_SQUOTE2,
    ACTIONS(1134), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(464), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [5038] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1158), 1,
      anon_sym_SQUOTE,
    ACTIONS(1161), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1164), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1167), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(382), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1155), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(113), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(186), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(469), 6,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym_comment,
    ACTIONS(1152), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(464), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [5126] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1113), 1,
      anon_sym_SQUOTE,
    ACTIONS(1115), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1117), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1170), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(395), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1111), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(108), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(187), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(581), 5,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      anon_sym_SQUOTE2,
    ACTIONS(1109), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(579), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [5214] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(109), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(830), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(828), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [5286] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(944), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(942), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [5355] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(855), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(853), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [5424] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(922), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(920), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [5493] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(859), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(857), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [5562] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(851), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(849), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [5631] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(918), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(916), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [5700] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(914), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(912), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [5769] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(933), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(931), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [5838] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1177), 1,
      anon_sym_SQUOTE,
    ACTIONS(1179), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1181), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1183), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(418), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1175), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(581), 4,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      anon_sym_SQUOTE2,
    STATE(128), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(198), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1173), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(579), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [5925] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1195), 1,
      anon_sym_PLUS,
    ACTIONS(1198), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1201), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(229), 1,
      sym__immediate_escape_sequence,
    STATE(1608), 1,
      aux_sym_earthfile_ref_repeat1,
    ACTIONS(1189), 2,
      anon_sym_EQ3,
      anon_sym_PLUS2,
    STATE(142), 2,
      sym__immediate_expansion,
      aux_sym_unquoted_string_repeat1,
    STATE(227), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(1192), 3,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(685), 8,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    ACTIONS(1186), 12,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(680), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [6014] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(863), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(861), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [6083] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(937), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(935), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [6152] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1177), 1,
      anon_sym_SQUOTE,
    ACTIONS(1179), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1181), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1204), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(418), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1175), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(449), 4,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      anon_sym_SQUOTE2,
    STATE(131), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(198), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1173), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(445), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [6239] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(871), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(869), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [6308] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(867), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(865), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [6377] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1213), 1,
      anon_sym_SQUOTE,
    ACTIONS(1216), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1219), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1222), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(418), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1210), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(469), 4,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      anon_sym_SQUOTE2,
    STATE(131), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(198), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1207), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(464), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [6464] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(900), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(898), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [6533] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1198), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1201), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(1228), 1,
      sym__immediate_string_base_alpha,
    STATE(251), 1,
      sym__immediate_escape_sequence,
    STATE(2121), 1,
      sym__immediate_identifier,
    ACTIONS(1225), 3,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    STATE(142), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(685), 8,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    ACTIONS(1189), 13,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(680), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [6618] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(904), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(902), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [6687] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(834), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(832), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [6756] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(875), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(873), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [6825] = 28,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1233), 1,
      anon_sym_EQ,
    ACTIONS(1237), 1,
      anon_sym_DOLLAR,
    ACTIONS(1239), 1,
      anon_sym_PLUS,
    ACTIONS(1241), 1,
      anon_sym_DQUOTE,
    ACTIONS(1243), 1,
      anon_sym_LPAREN3,
    ACTIONS(1247), 1,
      anon_sym_DASH_DASHbuild_DASHarg,
    ACTIONS(1249), 1,
      anon_sym_DASH_DASHchmod,
    ACTIONS(1251), 1,
      anon_sym_DASH_DASHchown,
    ACTIONS(1253), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(1255), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(1257), 1,
      sym__string_base_other,
    ACTIONS(1261), 1,
      anon_sym_SQUOTE2,
    ACTIONS(1263), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(231), 1,
      sym__string_base,
    STATE(898), 1,
      sym_copy_options,
    STATE(899), 1,
      aux_sym_copy_command_repeat1,
    STATE(2542), 1,
      sym_earthfile_ref,
    STATE(2650), 1,
      sym_target_ref,
    ACTIONS(1235), 2,
      anon_sym_LPAREN,
      anon_sym_DASH2,
    ACTIONS(1259), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(284), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(178), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1593), 3,
      sym_target_artifact,
      sym_target_artifact_build_args,
      sym_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(634), 6,
      sym_build_arg_deprecated,
      sym_chmod,
      sym_chown,
      sym_platform,
      sym_unknown_option,
      aux_sym_copy_options_repeat1,
    ACTIONS(1245), 7,
      sym_allow_privileged,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      sym_symlink_no_follow,
    ACTIONS(1231), 10,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
  [6941] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1269), 1,
      anon_sym_SQUOTE,
    ACTIONS(1271), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1273), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1275), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(441), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1267), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(449), 3,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_SQUOTE2,
    STATE(145), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(206), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1265), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(445), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [7027] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1282), 1,
      anon_sym_SQUOTE,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1286), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1288), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(461), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1280), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(449), 3,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      anon_sym_SQUOTE2,
    STATE(140), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(208), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1278), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(445), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [7113] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1297), 1,
      anon_sym_SQUOTE,
    ACTIONS(1300), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1303), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1306), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(461), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1294), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(469), 3,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      anon_sym_SQUOTE2,
    STATE(140), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(208), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1291), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(464), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [7199] = 28,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1233), 1,
      anon_sym_EQ,
    ACTIONS(1237), 1,
      anon_sym_DOLLAR,
    ACTIONS(1239), 1,
      anon_sym_PLUS,
    ACTIONS(1241), 1,
      anon_sym_DQUOTE,
    ACTIONS(1243), 1,
      anon_sym_LPAREN3,
    ACTIONS(1247), 1,
      anon_sym_DASH_DASHbuild_DASHarg,
    ACTIONS(1249), 1,
      anon_sym_DASH_DASHchmod,
    ACTIONS(1251), 1,
      anon_sym_DASH_DASHchown,
    ACTIONS(1253), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(1255), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(1257), 1,
      sym__string_base_other,
    ACTIONS(1261), 1,
      anon_sym_SQUOTE2,
    ACTIONS(1263), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(231), 1,
      sym__string_base,
    STATE(932), 1,
      aux_sym_copy_command_repeat1,
    STATE(953), 1,
      sym_copy_options,
    STATE(2542), 1,
      sym_earthfile_ref,
    STATE(2650), 1,
      sym_target_ref,
    ACTIONS(1235), 2,
      anon_sym_LPAREN,
      anon_sym_DASH2,
    ACTIONS(1259), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(284), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(178), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1593), 3,
      sym_target_artifact,
      sym_target_artifact_build_args,
      sym_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(634), 6,
      sym_build_arg_deprecated,
      sym_chmod,
      sym_chown,
      sym_platform,
      sym_unknown_option,
      aux_sym_copy_options_repeat1,
    ACTIONS(1245), 7,
      sym_allow_privileged,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      sym_symlink_no_follow,
    ACTIONS(1231), 10,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
  [7315] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1315), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1318), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(251), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1312), 3,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    STATE(143), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(669), 8,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    ACTIONS(1309), 14,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(664), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [7395] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1327), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1330), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(251), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1324), 3,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    STATE(143), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(705), 8,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    ACTIONS(1321), 14,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(700), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [7475] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1269), 1,
      anon_sym_SQUOTE,
    ACTIONS(1271), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1273), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1333), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(441), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1267), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(581), 3,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_SQUOTE2,
    STATE(138), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(206), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1265), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(579), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [7561] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1342), 1,
      anon_sym_SQUOTE,
    ACTIONS(1345), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1348), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1351), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(441), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1339), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(469), 3,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_SQUOTE2,
    STATE(145), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(206), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1336), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(464), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [7647] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1282), 1,
      anon_sym_SQUOTE,
    ACTIONS(1284), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1286), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1354), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(461), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1280), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(581), 3,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      anon_sym_SQUOTE2,
    STATE(139), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(208), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1278), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(579), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [7733] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(251), 1,
      sym__immediate_escape_sequence,
    STATE(143), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(693), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(695), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [7805] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1198), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1201), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(251), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1225), 3,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    STATE(142), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(685), 8,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    ACTIONS(1189), 14,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(680), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [7885] = 28,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1233), 1,
      anon_sym_EQ,
    ACTIONS(1237), 1,
      anon_sym_DOLLAR,
    ACTIONS(1239), 1,
      anon_sym_PLUS,
    ACTIONS(1241), 1,
      anon_sym_DQUOTE,
    ACTIONS(1243), 1,
      anon_sym_LPAREN3,
    ACTIONS(1247), 1,
      anon_sym_DASH_DASHbuild_DASHarg,
    ACTIONS(1249), 1,
      anon_sym_DASH_DASHchmod,
    ACTIONS(1251), 1,
      anon_sym_DASH_DASHchown,
    ACTIONS(1253), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(1255), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(1257), 1,
      sym__string_base_other,
    ACTIONS(1261), 1,
      anon_sym_SQUOTE2,
    ACTIONS(1263), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(231), 1,
      sym__string_base,
    STATE(867), 1,
      aux_sym_copy_command_repeat1,
    STATE(966), 1,
      sym_copy_options,
    STATE(2542), 1,
      sym_earthfile_ref,
    STATE(2650), 1,
      sym_target_ref,
    ACTIONS(1235), 2,
      anon_sym_LPAREN,
      anon_sym_DASH2,
    ACTIONS(1259), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(284), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(178), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1593), 3,
      sym_target_artifact,
      sym_target_artifact_build_args,
      sym_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(634), 6,
      sym_build_arg_deprecated,
      sym_chmod,
      sym_chown,
      sym_platform,
      sym_unknown_option,
      aux_sym_copy_options_repeat1,
    ACTIONS(1245), 7,
      sym_allow_privileged,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      sym_symlink_no_follow,
    ACTIONS(1231), 10,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
  [8001] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1363), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1366), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(354), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1360), 3,
      anon_sym_EQ3,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(169), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(669), 9,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      anon_sym_DQUOTE2,
      sym_comment,
    ACTIONS(1357), 14,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(664), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [8080] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1375), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1378), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(282), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1372), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(156), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(685), 7,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    ACTIONS(1369), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(680), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [8159] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(309), 1,
      sym__immediate_escape_sequence,
    STATE(172), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(695), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(693), 26,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [8230] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1387), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1390), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(282), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1384), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(153), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(705), 7,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    ACTIONS(1381), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(700), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [8309] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(304), 1,
      sym__immediate_escape_sequence,
    STATE(161), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(693), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(695), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [8380] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1395), 1,
      anon_sym_SQUOTE,
    ACTIONS(1399), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1403), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(510), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1397), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    STATE(159), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(250), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(449), 6,
      anon_sym_ASLOCAL,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1393), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(445), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [8465] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1412), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1415), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(282), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1409), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(153), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(669), 7,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    ACTIONS(1406), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(664), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [8544] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1422), 1,
      anon_sym_SQUOTE,
    ACTIONS(1424), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1426), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1428), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(536), 1,
      sym__immediate_escape_sequence,
    ACTIONS(449), 2,
      sym_allow_privileged,
      anon_sym_SQUOTE2,
    ACTIONS(1420), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(173), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(226), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1418), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(445), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [8629] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1437), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1440), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(309), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1434), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(172), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(669), 10,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1431), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(664), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [8708] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1446), 1,
      anon_sym_SQUOTE,
    ACTIONS(1452), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1455), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1458), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(510), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1449), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    STATE(159), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(250), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(469), 6,
      anon_sym_ASLOCAL,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1443), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(464), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [8793] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1465), 1,
      anon_sym_SQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1471), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(501), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1463), 2,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    STATE(171), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(260), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(449), 6,
      anon_sym_LPAREN3,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1461), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(445), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [8878] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1480), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1483), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(304), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1477), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(161), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(705), 7,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    ACTIONS(1474), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(700), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [8957] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1422), 1,
      anon_sym_SQUOTE,
    ACTIONS(1424), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1426), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1486), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(536), 1,
      sym__immediate_escape_sequence,
    ACTIONS(581), 2,
      sym_allow_privileged,
      anon_sym_SQUOTE2,
    ACTIONS(1420), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(157), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(226), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1418), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(579), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [9042] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(282), 1,
      sym__immediate_escape_sequence,
    STATE(153), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(693), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(695), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [9113] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1495), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1498), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(304), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1492), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(168), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(685), 7,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    ACTIONS(1489), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(680), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [9192] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1465), 1,
      anon_sym_SQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1501), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(501), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1463), 2,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    STATE(160), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(260), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(581), 6,
      anon_sym_LPAREN3,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1461), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(579), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [9277] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1510), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1513), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(309), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1507), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(158), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(685), 10,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1504), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(680), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [9356] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1395), 1,
      anon_sym_SQUOTE,
    ACTIONS(1399), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1516), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(510), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1397), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    STATE(155), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(250), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(581), 6,
      anon_sym_ASLOCAL,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1393), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(579), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [9441] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1525), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1528), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(304), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1522), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(161), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(669), 7,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    ACTIONS(1519), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(664), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [9520] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1537), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1540), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(354), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1534), 3,
      anon_sym_EQ3,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(169), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(705), 9,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      anon_sym_DQUOTE2,
      sym_comment,
    ACTIONS(1531), 14,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(700), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [9599] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1549), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1552), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(354), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1546), 3,
      anon_sym_EQ3,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(150), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(685), 9,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      anon_sym_DQUOTE2,
      sym_comment,
    ACTIONS(1543), 14,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(680), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [9678] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1561), 1,
      anon_sym_SQUOTE,
    ACTIONS(1564), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1567), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1570), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(501), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1558), 2,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    STATE(171), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(260), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(469), 6,
      anon_sym_LPAREN3,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1555), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(464), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [9763] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1579), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1582), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(309), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1576), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(172), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(705), 10,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1573), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(700), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [9842] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1591), 1,
      anon_sym_SQUOTE,
    ACTIONS(1594), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1597), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1600), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(536), 1,
      sym__immediate_escape_sequence,
    ACTIONS(469), 2,
      sym_allow_privileged,
      anon_sym_SQUOTE2,
    ACTIONS(1588), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(173), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(226), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1585), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(464), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [9927] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(354), 1,
      sym__immediate_escape_sequence,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(169), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(693), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(695), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [9998] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1605), 1,
      anon_sym_SQUOTE,
    ACTIONS(1607), 1,
      sym__immediate_string_base_other,
    ACTIONS(1609), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1611), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1613), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(588), 1,
      sym__immediate_escape_sequence,
    STATE(183), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(328), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(449), 5,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1603), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(445), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [10082] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1622), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1625), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(398), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1619), 3,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    STATE(176), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(705), 8,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      anon_sym_SQUOTE2,
    ACTIONS(1616), 14,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(700), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [10160] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1634), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1637), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(395), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1631), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(189), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(669), 6,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    ACTIONS(1628), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(664), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [10238] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1644), 1,
      anon_sym_SQUOTE,
    ACTIONS(1646), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1648), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1650), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(561), 1,
      sym__immediate_escape_sequence,
    ACTIONS(581), 2,
      anon_sym_LPAREN3,
      anon_sym_SQUOTE2,
    ACTIONS(1642), 2,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    STATE(184), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(315), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1640), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(579), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [10322] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1659), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1662), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(382), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1656), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(182), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(685), 8,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      anon_sym_DQUOTE2,
      sym_comment,
    ACTIONS(1653), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(680), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [10400] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1671), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1674), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(382), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1668), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(180), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(705), 8,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      anon_sym_DQUOTE2,
      sym_comment,
    ACTIONS(1665), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(700), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [10478] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1686), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(395), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1680), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(177), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(685), 6,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    ACTIONS(1677), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(680), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [10556] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1698), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(382), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1692), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(180), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(669), 8,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      anon_sym_DQUOTE2,
      sym_comment,
    ACTIONS(1689), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(664), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [10634] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1704), 1,
      anon_sym_SQUOTE,
    ACTIONS(1707), 1,
      sym__immediate_string_base_other,
    ACTIONS(1710), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1713), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1716), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(588), 1,
      sym__immediate_escape_sequence,
    STATE(183), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(328), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(469), 5,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1701), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(464), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [10718] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1644), 1,
      anon_sym_SQUOTE,
    ACTIONS(1646), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1648), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1719), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(561), 1,
      sym__immediate_escape_sequence,
    ACTIONS(449), 2,
      anon_sym_LPAREN3,
      anon_sym_SQUOTE2,
    ACTIONS(1642), 2,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    STATE(190), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(315), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1640), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(445), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [10802] = 9,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1726), 1,
      anon_sym_DOLLAR2,
    STATE(398), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1724), 3,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    STATE(176), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(693), 8,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      anon_sym_SQUOTE2,
    ACTIONS(1722), 14,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(695), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [10878] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(382), 1,
      sym__immediate_escape_sequence,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(180), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(695), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(693), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [10948] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(395), 1,
      sym__immediate_escape_sequence,
    STATE(189), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(693), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(695), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [11018] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1605), 1,
      anon_sym_SQUOTE,
    ACTIONS(1607), 1,
      sym__immediate_string_base_other,
    ACTIONS(1609), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1611), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1728), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(588), 1,
      sym__immediate_escape_sequence,
    STATE(175), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(328), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(581), 5,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1603), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(579), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [11102] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1737), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1740), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(395), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1734), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(189), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(705), 6,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    ACTIONS(1731), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(700), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [11180] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1749), 1,
      anon_sym_SQUOTE,
    ACTIONS(1752), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1755), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1758), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(561), 1,
      sym__immediate_escape_sequence,
    ACTIONS(469), 2,
      anon_sym_LPAREN3,
      anon_sym_SQUOTE2,
    ACTIONS(1746), 2,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    STATE(190), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(315), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1743), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(464), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [11264] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1767), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1770), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(418), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1764), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(193), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(669), 5,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    ACTIONS(1761), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(664), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [11341] = 9,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(753), 1,
      anon_sym_EQ4,
    ACTIONS(1773), 1,
      sym__immediate_string_base_other,
    STATE(2098), 1,
      aux_sym_variable_repeat1,
    ACTIONS(1776), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(351), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(749), 21,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(751), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [11416] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1785), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1788), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(418), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1782), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(193), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(705), 5,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    ACTIONS(1779), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(700), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [11493] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(581), 1,
      anon_sym_SQUOTE2,
    ACTIONS(1793), 1,
      anon_sym_SQUOTE,
    ACTIONS(1795), 1,
      sym__immediate_string_base_other,
    ACTIONS(1797), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1801), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(608), 1,
      sym__immediate_escape_sequence,
    STATE(197), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(371), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1791), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(579), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [11576] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1810), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1813), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(418), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1807), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(191), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(685), 5,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    ACTIONS(1804), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(680), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [11653] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(469), 1,
      anon_sym_SQUOTE2,
    ACTIONS(1819), 1,
      anon_sym_SQUOTE,
    ACTIONS(1822), 1,
      sym__immediate_string_base_other,
    ACTIONS(1825), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1828), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1831), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(608), 1,
      sym__immediate_escape_sequence,
    STATE(196), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(371), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1816), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(464), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [11736] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(449), 1,
      anon_sym_SQUOTE2,
    ACTIONS(1793), 1,
      anon_sym_SQUOTE,
    ACTIONS(1795), 1,
      sym__immediate_string_base_other,
    ACTIONS(1797), 1,
      anon_sym_DQUOTE2,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1834), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(608), 1,
      sym__immediate_escape_sequence,
    STATE(196), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(371), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1791), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(445), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [11819] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(418), 1,
      sym__immediate_escape_sequence,
    STATE(193), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(693), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(695), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [11888] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1837), 1,
      sym__immediate_string_base_other,
    ACTIONS(1840), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(236), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(749), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(751), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [11959] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(222), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(828), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(830), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [12025] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1849), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1852), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(461), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1846), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(705), 4,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    STATE(201), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1843), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(700), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [12101] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1861), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1864), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(441), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1858), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(705), 4,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    STATE(202), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1855), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(700), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [12177] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1867), 1,
      sym__immediate_string_base_other,
    ACTIONS(1870), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(338), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(749), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(751), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [12247] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(204), 1,
      aux_sym_variable_repeat1,
    ACTIONS(1873), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(821), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(823), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [12315] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1195), 1,
      anon_sym_PLUS,
    ACTIONS(1885), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1888), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(548), 1,
      sym__immediate_escape_sequence,
    STATE(1608), 1,
      aux_sym_earthfile_ref_repeat1,
    ACTIONS(1879), 2,
      anon_sym_EQ3,
      anon_sym_PLUS2,
    ACTIONS(1882), 2,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    STATE(242), 2,
      sym__immediate_expansion,
      aux_sym_unquoted_string_repeat1,
    STATE(527), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(685), 7,
      anon_sym_LPAREN3,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1876), 13,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(680), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [12399] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(441), 1,
      sym__immediate_escape_sequence,
    STATE(202), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(693), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(695), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [12467] = 23,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1893), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(1905), 1,
      anon_sym_DASH_DASHinteractive,
    ACTIONS(1907), 1,
      anon_sym_DASH_DASHinteractive_DASHkeep,
    ACTIONS(1909), 1,
      anon_sym_DASH_DASHmount,
    ACTIONS(1911), 1,
      anon_sym_DASH_DASHoidc,
    ACTIONS(1913), 1,
      anon_sym_DASH_DASHsecret,
    ACTIONS(1915), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1235), 1,
      sym_run_options,
    STATE(1585), 1,
      sym_escape_sequence,
    ACTIONS(1895), 2,
      anon_sym_LBRACK,
      anon_sym_DASH2,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    STATE(2211), 2,
      sym_shell_fragment,
      sym_string_array,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(551), 6,
      sym_interactive,
      sym_mount,
      sym_oidc,
      sym_secret,
      sym_unknown_option,
      aux_sym_run_options_repeat1,
    ACTIONS(1903), 8,
      sym_aws,
      sym_entrypoint,
      sym_network_none,
      sym_no_cache,
      sym_privileged,
      sym_push,
      sym_raw_output,
      sym_ssh,
    ACTIONS(1891), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [12569] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(461), 1,
      sym__immediate_escape_sequence,
    STATE(201), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(693), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(695), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [12637] = 23,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(1905), 1,
      anon_sym_DASH_DASHinteractive,
    ACTIONS(1907), 1,
      anon_sym_DASH_DASHinteractive_DASHkeep,
    ACTIONS(1909), 1,
      anon_sym_DASH_DASHmount,
    ACTIONS(1911), 1,
      anon_sym_DASH_DASHoidc,
    ACTIONS(1913), 1,
      anon_sym_DASH_DASHsecret,
    ACTIONS(1915), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(1923), 1,
      anon_sym_DASH_DASH,
    STATE(1167), 1,
      sym_run_options,
    STATE(1585), 1,
      sym_escape_sequence,
    ACTIONS(1895), 2,
      anon_sym_LBRACK,
      anon_sym_DASH2,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    STATE(2476), 2,
      sym_shell_fragment,
      sym_string_array,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(551), 6,
      sym_interactive,
      sym_mount,
      sym_oidc,
      sym_secret,
      sym_unknown_option,
      aux_sym_run_options_repeat1,
    ACTIONS(1903), 8,
      sym_aws,
      sym_entrypoint,
      sym_network_none,
      sym_no_cache,
      sym_privileged,
      sym_push,
      sym_raw_output,
      sym_ssh,
    ACTIONS(1891), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [12739] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1773), 1,
      sym__immediate_string_base_other,
    ACTIONS(1925), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(351), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(749), 22,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(751), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [12809] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1928), 1,
      anon_sym_SLASH,
    ACTIONS(1934), 1,
      anon_sym_DASH,
    STATE(1852), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(1931), 3,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(924), 19,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(926), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [12881] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1943), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1946), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(441), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1940), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(685), 4,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    STATE(217), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1937), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(680), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [12957] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1949), 1,
      sym__immediate_string_base_other,
    ACTIONS(1952), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(352), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(749), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(751), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [13027] = 23,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(1905), 1,
      anon_sym_DASH_DASHinteractive,
    ACTIONS(1907), 1,
      anon_sym_DASH_DASHinteractive_DASHkeep,
    ACTIONS(1909), 1,
      anon_sym_DASH_DASHmount,
    ACTIONS(1911), 1,
      anon_sym_DASH_DASHoidc,
    ACTIONS(1913), 1,
      anon_sym_DASH_DASHsecret,
    ACTIONS(1915), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(1955), 1,
      anon_sym_DASH_DASH,
    STATE(1168), 1,
      sym_run_options,
    STATE(1585), 1,
      sym_escape_sequence,
    ACTIONS(1895), 2,
      anon_sym_LBRACK,
      anon_sym_DASH2,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    STATE(2510), 2,
      sym_shell_fragment,
      sym_string_array,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(551), 6,
      sym_interactive,
      sym_mount,
      sym_oidc,
      sym_secret,
      sym_unknown_option,
      aux_sym_run_options_repeat1,
    ACTIONS(1903), 8,
      sym_aws,
      sym_entrypoint,
      sym_network_none,
      sym_no_cache,
      sym_privileged,
      sym_push,
      sym_raw_output,
      sym_ssh,
    ACTIONS(1891), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [13129] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1885), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1888), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(1960), 1,
      sym__immediate_string_base_alpha,
    STATE(501), 1,
      sym__immediate_escape_sequence,
    STATE(2121), 1,
      sym__immediate_identifier,
    ACTIONS(1957), 2,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    STATE(242), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(685), 7,
      anon_sym_LPAREN3,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1879), 14,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(680), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [13209] = 23,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(1905), 1,
      anon_sym_DASH_DASHinteractive,
    ACTIONS(1907), 1,
      anon_sym_DASH_DASHinteractive_DASHkeep,
    ACTIONS(1909), 1,
      anon_sym_DASH_DASHmount,
    ACTIONS(1911), 1,
      anon_sym_DASH_DASHoidc,
    ACTIONS(1913), 1,
      anon_sym_DASH_DASHsecret,
    ACTIONS(1915), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(1963), 1,
      anon_sym_DASH_DASH,
    STATE(1206), 1,
      sym_run_options,
    STATE(1585), 1,
      sym_escape_sequence,
    ACTIONS(1895), 2,
      anon_sym_LBRACK,
      anon_sym_DASH2,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    STATE(2477), 2,
      sym_shell_fragment,
      sym_string_array,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(551), 6,
      sym_interactive,
      sym_mount,
      sym_oidc,
      sym_secret,
      sym_unknown_option,
      aux_sym_run_options_repeat1,
    ACTIONS(1903), 8,
      sym_aws,
      sym_entrypoint,
      sym_network_none,
      sym_no_cache,
      sym_privileged,
      sym_push,
      sym_raw_output,
      sym_ssh,
    ACTIONS(1891), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [13311] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1971), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1974), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(441), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1968), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(669), 4,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    STATE(202), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1965), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(664), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [13387] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1983), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1986), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(461), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1980), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(669), 4,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    STATE(201), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1977), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(664), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [13463] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1989), 1,
      sym__immediate_string_base_other,
    STATE(219), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(1992), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(807), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(809), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [13533] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2001), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2004), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(461), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1998), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(685), 4,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    STATE(218), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1995), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(680), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [13609] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2007), 1,
      sym__immediate_string_base_other,
    ACTIONS(2010), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(348), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(749), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(751), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [13679] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(204), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(817), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(819), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [13745] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1885), 1,
      anon_sym_DOLLAR2,
    ACTIONS(1888), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(501), 1,
      sym__immediate_escape_sequence,
    ACTIONS(1957), 2,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    STATE(242), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(685), 7,
      anon_sym_LPAREN3,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1879), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(680), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [13820] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2013), 1,
      sym__immediate_string_base_other,
    STATE(224), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(2016), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(807), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(809), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [13889] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(865), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(867), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [13952] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(536), 1,
      sym__immediate_escape_sequence,
    STATE(247), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(693), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(695), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [14019] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2026), 5,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2024), 11,
      anon_sym_EQ3,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(2019), 12,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(2022), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [14086] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2029), 1,
      sym__immediate_string_base_other,
    STATE(228), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(2032), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(807), 22,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(809), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [14155] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2038), 5,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(832), 11,
      anon_sym_EQ3,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(2035), 12,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(834), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [14222] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(920), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(922), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [14285] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1195), 1,
      anon_sym_PLUS,
    ACTIONS(2050), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2053), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(590), 1,
      sym__immediate_escape_sequence,
    STATE(1608), 1,
      aux_sym_earthfile_ref_repeat1,
    ACTIONS(2044), 2,
      anon_sym_EQ3,
      anon_sym_PLUS2,
    ACTIONS(2047), 2,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    STATE(302), 2,
      sym__immediate_expansion,
      aux_sym_unquoted_string_repeat1,
    STATE(554), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(685), 3,
      anon_sym_LPAREN3,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2041), 13,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(680), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [14368] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(857), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(859), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [14431] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2050), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2053), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2059), 1,
      sym__immediate_string_base_alpha,
    STATE(561), 1,
      sym__immediate_escape_sequence,
    STATE(2121), 1,
      sym__immediate_identifier,
    ACTIONS(2056), 2,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    ACTIONS(685), 3,
      anon_sym_LPAREN3,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    STATE(302), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2044), 14,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(680), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [14510] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2062), 1,
      sym__immediate_string_base_other,
    ACTIONS(2065), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(375), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(749), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(751), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [14579] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(246), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(817), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(819), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [14644] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(942), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(944), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [14707] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(853), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(855), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [14770] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(259), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(828), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(830), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [14835] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(916), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(918), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [14898] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2068), 1,
      sym__immediate_string_base_other,
    ACTIONS(2071), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(389), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(749), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(751), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [14967] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(252), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(828), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(830), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [15032] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2080), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2083), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(501), 1,
      sym__immediate_escape_sequence,
    ACTIONS(2077), 2,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    STATE(253), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(669), 7,
      anon_sym_LPAREN3,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2074), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(664), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [15107] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2092), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2095), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(536), 1,
      sym__immediate_escape_sequence,
    ACTIONS(2089), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(685), 3,
      sym_allow_privileged,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    STATE(272), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2086), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(680), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [15182] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(935), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(937), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [15245] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2104), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2107), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(510), 1,
      sym__immediate_escape_sequence,
    ACTIONS(2101), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    STATE(248), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(669), 7,
      anon_sym_ASLOCAL,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2098), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(664), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [15320] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(246), 1,
      aux_sym_variable_repeat1,
    ACTIONS(2110), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(821), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(823), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [15387] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2119), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2122), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(536), 1,
      sym__immediate_escape_sequence,
    ACTIONS(2116), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(705), 3,
      sym_allow_privileged,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    STATE(247), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2113), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(700), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [15462] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2131), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2134), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(510), 1,
      sym__immediate_escape_sequence,
    ACTIONS(2128), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    STATE(248), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(705), 7,
      anon_sym_ASLOCAL,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2125), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(700), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [15537] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(869), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(871), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [15600] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(510), 1,
      sym__immediate_escape_sequence,
    STATE(248), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(693), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(695), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [15667] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(832), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(834), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [15730] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(267), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(817), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(819), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [15795] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2143), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2146), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(501), 1,
      sym__immediate_escape_sequence,
    ACTIONS(2140), 2,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    STATE(253), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(705), 7,
      anon_sym_LPAREN3,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2137), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(700), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [15870] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(873), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(875), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [15933] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(902), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(904), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [15996] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(235), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(828), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(830), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [16061] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(261), 1,
      aux_sym_variable_repeat1,
    ACTIONS(819), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(817), 26,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [16126] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(898), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(900), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [16189] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(265), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(817), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(819), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [16254] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(501), 1,
      sym__immediate_escape_sequence,
    STATE(253), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(693), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(695), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [16321] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(261), 1,
      aux_sym_variable_repeat1,
    ACTIONS(2149), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(821), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(823), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [16388] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2152), 1,
      sym__immediate_string_base_other,
    STATE(262), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(2155), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(807), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(809), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [16457] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(849), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(851), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [16520] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(257), 1,
      aux_sym_variable_repeat1,
    ACTIONS(830), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(828), 26,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [16585] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(265), 1,
      aux_sym_variable_repeat1,
    ACTIONS(2158), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(821), 22,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(823), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [16652] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(931), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(933), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [16715] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(267), 1,
      aux_sym_variable_repeat1,
    ACTIONS(2161), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(821), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(823), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [16782] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2170), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2173), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(510), 1,
      sym__immediate_escape_sequence,
    ACTIONS(2167), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    STATE(245), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(685), 7,
      anon_sym_ASLOCAL,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2164), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(680), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [16857] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(861), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(863), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [16920] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(912), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(914), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [16983] = 16,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(680), 1,
      anon_sym_SQUOTE,
    ACTIONS(685), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2189), 1,
      sym__immediate_string_base_other,
    ACTIONS(2195), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2198), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(588), 1,
      sym__immediate_escape_sequence,
    STATE(993), 1,
      aux_sym_image_name_repeat1,
    ACTIONS(2185), 2,
      anon_sym_COLON2,
      anon_sym_AT2,
    STATE(329), 2,
      sym__immediate_expansion,
      aux_sym_unquoted_string_repeat1,
    STATE(587), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(2176), 5,
      anon_sym_SLASH,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(2192), 5,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2182), 9,
      anon_sym_EQ3,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_PLUS2,
    ACTIONS(2179), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [17070] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2208), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2211), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(536), 1,
      sym__immediate_escape_sequence,
    ACTIONS(2205), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(669), 3,
      sym_allow_privileged,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    STATE(247), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2202), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(664), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [17145] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2214), 1,
      sym__immediate_string_base_other,
    STATE(273), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(2217), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(807), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(809), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [17214] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(849), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(851), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [17276] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(920), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(922), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [17338] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(916), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(918), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [17400] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(912), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(914), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [17462] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(902), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(904), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [17524] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2220), 1,
      sym__immediate_string_base_other,
    STATE(279), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(2223), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(807), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(809), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [17592] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(902), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(904), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [17654] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(873), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(875), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [17716] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(832), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(834), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [17778] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(918), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(916), 26,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [17840] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2050), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2053), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(561), 1,
      sym__immediate_escape_sequence,
    ACTIONS(2056), 2,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    ACTIONS(685), 3,
      anon_sym_LPAREN3,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    STATE(302), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2044), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(680), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [17914] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(898), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(900), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [17976] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(869), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(871), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [18038] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(912), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(914), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [18100] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(349), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(828), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(830), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [18164] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(935), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(937), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [18226] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(296), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(828), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(830), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [18290] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(904), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(902), 26,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [18352] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2226), 1,
      sym__immediate_string_base_other,
    STATE(292), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(2229), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(807), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(809), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [18420] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(900), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(898), 26,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [18482] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(861), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(863), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [18544] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(849), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(851), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [18606] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(298), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(817), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(819), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [18670] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(931), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(933), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [18732] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(298), 1,
      aux_sym_variable_repeat1,
    ACTIONS(2232), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(821), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(823), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [18798] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(853), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(855), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [18860] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(863), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(861), 26,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [18922] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(851), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(849), 26,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [18984] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2241), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2244), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(561), 1,
      sym__immediate_escape_sequence,
    ACTIONS(2238), 2,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    ACTIONS(669), 3,
      anon_sym_LPAREN3,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    STATE(342), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2235), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(664), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [19058] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(861), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(863), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [19120] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(832), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(834), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [19182] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(873), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(875), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [19244] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(935), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(937), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [19306] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(912), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(914), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [19368] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(928), 3,
      anon_sym_EQ4,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(924), 21,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(926), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [19432] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(834), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(832), 26,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [19494] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(855), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(853), 26,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [19556] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(326), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(830), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(828), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [19620] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(875), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(873), 26,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [19682] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(857), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(859), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [19744] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(314), 1,
      aux_sym_variable_repeat1,
    ACTIONS(2247), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(821), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(823), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [19810] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(561), 1,
      sym__immediate_escape_sequence,
    STATE(342), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(693), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(695), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [19876] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(914), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(912), 26,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [19938] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2253), 1,
      sym__immediate_string_base_other,
    ACTIONS(2256), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2259), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(588), 1,
      sym__immediate_escape_sequence,
    STATE(317), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(705), 6,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2250), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(700), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [20012] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(871), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(869), 26,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [20074] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(898), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(900), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [20136] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(931), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(933), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [20198] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(902), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(904), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [20260] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(916), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(918), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [20322] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(853), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(855), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [20384] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(869), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(871), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [20446] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(916), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(918), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [20508] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(346), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(819), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(817), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [20572] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(865), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(867), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [20634] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(588), 1,
      sym__immediate_escape_sequence,
    STATE(317), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(693), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(695), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [20700] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2265), 1,
      sym__immediate_string_base_other,
    ACTIONS(2268), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2271), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(588), 1,
      sym__immediate_escape_sequence,
    STATE(317), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(669), 6,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2262), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(664), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [20774] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2274), 1,
      sym__immediate_string_base_other,
    ACTIONS(2277), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(433), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(749), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(751), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [20842] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(937), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(935), 26,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [20904] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(873), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(875), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [20966] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(935), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(937), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [21028] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(849), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(851), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [21090] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(869), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(871), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [21152] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(931), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(933), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [21214] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2195), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2280), 1,
      sym__immediate_string_base_other,
    ACTIONS(2283), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(588), 1,
      sym__immediate_escape_sequence,
    STATE(329), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(685), 6,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2182), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(680), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [21288] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(944), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(942), 26,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [21350] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(933), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(931), 26,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [21412] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(857), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(859), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [21474] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(922), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(920), 26,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [21536] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2292), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2295), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(561), 1,
      sym__immediate_escape_sequence,
    ACTIONS(2289), 2,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    ACTIONS(705), 3,
      anon_sym_LPAREN3,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    STATE(342), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2286), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(700), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [21610] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(857), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(859), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [21672] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(861), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(863), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [21734] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(867), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(865), 26,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [21796] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(346), 1,
      aux_sym_variable_repeat1,
    ACTIONS(2298), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(821), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(823), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [21862] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(853), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(855), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [21924] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(942), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(944), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [21986] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(314), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(817), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(819), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [22050] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(920), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(922), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [22112] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(942), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(944), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [22174] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(942), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(944), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [22236] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(920), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(922), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [22298] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(832), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(834), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [22360] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(859), 25,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(857), 26,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [22422] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(865), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(867), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [22484] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(898), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(900), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [22546] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(865), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
    ACTIONS(867), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_EQ3,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [22608] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2301), 1,
      sym__immediate_string_base_other,
    STATE(359), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(2304), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(807), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(809), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [22676] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2307), 1,
      sym__immediate_string_base_other,
    STATE(360), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(2310), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(807), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(809), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [22743] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(853), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(855), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [22804] = 27,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2315), 1,
      anon_sym_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2321), 1,
      anon_sym_PLUS,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2325), 1,
      anon_sym_LPAREN3,
    ACTIONS(2327), 1,
      sym_allow_privileged,
    ACTIONS(2329), 1,
      anon_sym_DASH_DASHbuild_DASHarg,
    ACTIONS(2331), 1,
      anon_sym_DASHf,
    ACTIONS(2333), 1,
      anon_sym_DASH_DASHtarget,
    ACTIONS(2335), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(2337), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(987), 1,
      sym_from_dockerfile_options,
    STATE(1130), 1,
      sym__string_base,
    STATE(2542), 1,
      sym_earthfile_ref,
    STATE(2546), 1,
      sym_target_ref,
    ACTIONS(2317), 2,
      anon_sym_LPAREN,
      anon_sym_DASH2,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1284), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(2204), 3,
      sym_target_artifact,
      sym_target_artifact_build_args,
      sym_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(910), 6,
      sym_docker_build_arg,
      sym_docker_file,
      sym_docker_target,
      sym_platform,
      sym_unknown_option,
      aux_sym_from_dockerfile_options_repeat1,
    ACTIONS(2313), 10,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
  [22911] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(937), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(935), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [22972] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(853), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(855), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [23033] = 9,
    ACTIONS(2355), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2357), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2360), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(611), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 2,
      sym_line_continuation,
      sym_line_continuation_comment,
    ACTIONS(2352), 2,
      sym__immediate_string_base_other,
      aux_sym_unquoted_string_with_spaces_token1,
    STATE(365), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_with_spaces_repeat1,
    ACTIONS(2347), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(2350), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [23104] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2366), 1,
      sym__immediate_string_base_other,
    ACTIONS(2369), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2372), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(608), 1,
      sym__immediate_escape_sequence,
    ACTIONS(705), 2,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    STATE(366), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2363), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(700), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [23177] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(857), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(859), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [23238] = 27,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2315), 1,
      anon_sym_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2321), 1,
      anon_sym_PLUS,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2325), 1,
      anon_sym_LPAREN3,
    ACTIONS(2327), 1,
      sym_allow_privileged,
    ACTIONS(2329), 1,
      anon_sym_DASH_DASHbuild_DASHarg,
    ACTIONS(2331), 1,
      anon_sym_DASHf,
    ACTIONS(2333), 1,
      anon_sym_DASH_DASHtarget,
    ACTIONS(2335), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(2337), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(992), 1,
      sym_from_dockerfile_options,
    STATE(1130), 1,
      sym__string_base,
    STATE(2542), 1,
      sym_earthfile_ref,
    STATE(2546), 1,
      sym_target_ref,
    ACTIONS(2317), 2,
      anon_sym_LPAREN,
      anon_sym_DASH2,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1284), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(2305), 3,
      sym_target_artifact,
      sym_target_artifact_build_args,
      sym_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(910), 6,
      sym_docker_build_arg,
      sym_docker_file,
      sym_docker_target,
      sym_platform,
      sym_unknown_option,
      aux_sym_from_dockerfile_options_repeat1,
    ACTIONS(2313), 10,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
  [23345] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(404), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(817), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(819), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [23408] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(871), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(869), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [23469] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(608), 1,
      sym__immediate_escape_sequence,
    STATE(366), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(693), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(695), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [23534] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(369), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(828), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(830), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [23597] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(869), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(871), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [23658] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(931), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(933), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [23719] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(942), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(944), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [23780] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2378), 1,
      sym__immediate_string_base_other,
    ACTIONS(2381), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2384), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(608), 1,
      sym__immediate_escape_sequence,
    ACTIONS(669), 2,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    STATE(366), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2375), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(664), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [23853] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(935), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(937), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [23914] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2390), 1,
      sym__immediate_string_base_other,
    ACTIONS(2393), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2396), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(608), 1,
      sym__immediate_escape_sequence,
    ACTIONS(685), 2,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
    STATE(376), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2387), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(680), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [23987] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(916), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(918), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [24048] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(914), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(912), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [24109] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(875), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(873), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [24170] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(834), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(832), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [24231] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(916), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(918), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [24292] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(867), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(865), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [24353] = 27,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2315), 1,
      anon_sym_EQ,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2321), 1,
      anon_sym_PLUS,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2325), 1,
      anon_sym_LPAREN3,
    ACTIONS(2327), 1,
      sym_allow_privileged,
    ACTIONS(2329), 1,
      anon_sym_DASH_DASHbuild_DASHarg,
    ACTIONS(2331), 1,
      anon_sym_DASHf,
    ACTIONS(2333), 1,
      anon_sym_DASH_DASHtarget,
    ACTIONS(2335), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(2337), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(984), 1,
      sym_from_dockerfile_options,
    STATE(1130), 1,
      sym__string_base,
    STATE(2542), 1,
      sym_earthfile_ref,
    STATE(2546), 1,
      sym_target_ref,
    ACTIONS(2317), 2,
      anon_sym_LPAREN,
      anon_sym_DASH2,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1284), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(2474), 3,
      sym_target_artifact,
      sym_target_artifact_build_args,
      sym_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(910), 6,
      sym_docker_build_arg,
      sym_docker_file,
      sym_docker_target,
      sym_platform,
      sym_unknown_option,
      aux_sym_from_dockerfile_options_repeat1,
    ACTIONS(2313), 10,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
  [24460] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(851), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(849), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [24521] = 9,
    ACTIONS(2405), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2407), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2409), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(611), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 2,
      sym_line_continuation,
      sym_line_continuation_comment,
    ACTIONS(2403), 2,
      sym__immediate_string_base_other,
      aux_sym_unquoted_string_with_spaces_token1,
    STATE(365), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_with_spaces_repeat1,
    ACTIONS(2399), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(2401), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [24592] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(869), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(871), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [24653] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(944), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(942), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [24714] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(859), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(857), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [24775] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(912), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(914), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [24836] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(855), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(853), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [24897] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(863), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(861), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [24958] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(873), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(875), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [25019] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(832), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(834), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [25080] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(918), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(916), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [25141] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(900), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(898), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [25202] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(832), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(834), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [25263] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(904), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(902), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [25324] = 9,
    ACTIONS(2407), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2418), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2420), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(611), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 2,
      sym_line_continuation,
      sym_line_continuation_comment,
    ACTIONS(2416), 2,
      sym__immediate_string_base_other,
      aux_sym_unquoted_string_with_spaces_token1,
    STATE(387), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_with_spaces_repeat1,
    ACTIONS(2412), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(2414), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [25395] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(920), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(922), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [25456] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2423), 1,
      sym__immediate_string_base_other,
    ACTIONS(2426), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(462), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(749), 18,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(751), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [25523] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(865), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(867), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [25584] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(404), 1,
      aux_sym_variable_repeat1,
    ACTIONS(2429), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(821), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(823), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [25649] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2432), 1,
      sym__immediate_string_base_other,
    ACTIONS(2435), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(448), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(749), 18,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(751), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [25716] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(849), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(851), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [25777] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(861), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(863), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [25838] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(933), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(931), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [25899] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(902), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(904), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [25960] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(922), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(920), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
  [26021] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(898), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(900), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [26082] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(898), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(900), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [26142] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(853), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(855), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [26202] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2444), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2447), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(633), 1,
      sym__immediate_escape_sequence,
    ACTIONS(2441), 2,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    ACTIONS(705), 3,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      anon_sym_SQUOTE2,
    STATE(414), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2438), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(700), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [26274] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(434), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(817), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(819), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [26336] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(849), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(851), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [26396] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2450), 1,
      sym__immediate_string_base_other,
    ACTIONS(2453), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(500), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(749), 17,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(751), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [26462] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(832), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(834), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [26522] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(432), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(817), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(819), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [26584] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(873), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(875), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [26644] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(912), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(914), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [26704] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(920), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(922), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [26764] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(865), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(867), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [26824] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(861), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(863), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [26884] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(916), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(918), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [26944] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(935), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(937), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [27004] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(931), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(933), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [27064] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2456), 1,
      sym__immediate_string_base_other,
    STATE(428), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(2459), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(807), 18,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(809), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [27130] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(869), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(871), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [27190] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(415), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(828), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(830), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [27252] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(419), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(828), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(830), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [27314] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(432), 1,
      aux_sym_variable_repeat1,
    ACTIONS(2462), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(821), 18,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(823), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [27378] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(942), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(944), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [27438] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(434), 1,
      aux_sym_variable_repeat1,
    ACTIONS(2465), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(821), 18,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(823), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [27502] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2468), 1,
      sym__immediate_string_base_other,
    ACTIONS(2471), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(515), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(749), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(751), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [27568] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(902), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(904), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [27628] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2477), 1,
      sym__immediate_string_base_num,
    ACTIONS(2474), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    STATE(519), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(749), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(751), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [27694] = 9,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2484), 1,
      anon_sym_DOLLAR2,
    STATE(633), 1,
      sym__immediate_escape_sequence,
    ACTIONS(2482), 2,
      anon_sym_LPAREN2,
      sym__immediate_string_base_other,
    ACTIONS(693), 3,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      anon_sym_SQUOTE2,
    STATE(414), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2480), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
    ACTIONS(695), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [27764] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(857), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(859), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [27824] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2486), 1,
      sym__immediate_string_base_other,
    STATE(440), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(2489), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(807), 18,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(809), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [27890] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(832), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(834), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [27949] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2492), 1,
      sym__immediate_string_base_other,
    ACTIONS(2495), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(568), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(749), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(751), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [28014] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(865), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(867), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [28073] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(473), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(828), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(830), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [28134] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(935), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(937), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [28193] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(916), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(918), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [28252] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(931), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(933), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [28311] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(942), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(944), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [28370] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(861), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(863), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [28429] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(902), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(904), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [28488] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2498), 1,
      sym__immediate_string_base_other,
    STATE(451), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(2501), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(807), 17,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(809), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [28553] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(920), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(922), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [28612] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(869), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(871), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [28671] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(475), 1,
      aux_sym_variable_repeat1,
    ACTIONS(817), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(819), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [28732] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(873), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(875), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [28791] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(849), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(851), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [28850] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(857), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(859), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [28909] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(853), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(855), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [28968] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(459), 1,
      aux_sym_variable_repeat1,
    ACTIONS(2504), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(821), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(823), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [29031] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(460), 1,
      aux_sym_variable_repeat1,
    ACTIONS(2507), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(821), 17,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(823), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [29094] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(832), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(834), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [29153] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(942), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(944), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [29212] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(487), 1,
      aux_sym_variable_repeat1,
    ACTIONS(828), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(830), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [29273] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(912), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(914), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [29332] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(861), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(863), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [29391] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1928), 1,
      anon_sym_SLASH,
    STATE(1852), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(1931), 4,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(924), 18,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(926), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [29456] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(873), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(875), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [29515] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(857), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(859), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [29574] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2510), 1,
      sym__immediate_string_base_other,
    ACTIONS(2513), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(575), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(749), 17,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(751), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [29639] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(853), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(855), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [29698] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(869), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(871), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [29757] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2519), 1,
      sym__immediate_string_base_num,
    STATE(472), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(2516), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    ACTIONS(807), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(809), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [29822] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(460), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(817), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(819), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [29883] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(920), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(922), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [29942] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2522), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(2525), 1,
      sym__immediate_string_base_num,
    STATE(475), 1,
      aux_sym_variable_repeat1,
    ACTIONS(821), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(823), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [30007] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(454), 1,
      aux_sym_variable_repeat1,
    ACTIONS(828), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(830), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [30068] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(898), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(900), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [30127] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2528), 1,
      sym__immediate_string_base_other,
    STATE(478), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(2531), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(807), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(809), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [30192] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(916), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(918), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [30251] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(865), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(867), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [30310] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(912), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(914), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [30369] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(902), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(904), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [30428] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(898), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(900), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [30487] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(849), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(851), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [30546] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(935), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(937), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [30605] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(931), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym_pass_args,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(933), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [30664] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(459), 1,
      aux_sym_variable_repeat1,
    ACTIONS(817), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(819), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [30725] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2541), 1,
      anon_sym_DASH_DASHinteractive,
    ACTIONS(2544), 1,
      anon_sym_DASH_DASHinteractive_DASHkeep,
    ACTIONS(2547), 1,
      anon_sym_DASH_DASHmount,
    ACTIONS(2550), 1,
      anon_sym_DASH_DASHoidc,
    ACTIONS(2553), 1,
      anon_sym_DASH_DASHsecret,
    ACTIONS(2556), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2536), 4,
      anon_sym_LBRACK,
      anon_sym_DASH2,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    STATE(488), 6,
      sym_interactive,
      sym_mount,
      sym_oidc,
      sym_secret,
      sym_unknown_option,
      aux_sym_run_options_repeat1,
    ACTIONS(2538), 8,
      sym_aws,
      sym_entrypoint,
      sym_network_none,
      sym_no_cache,
      sym_privileged,
      sym_push,
      sym_raw_output,
      sym_ssh,
    ACTIONS(2534), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
  [30799] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(931), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(933), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [30857] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(849), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(851), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [30915] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(849), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(851), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [30973] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(509), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(828), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(830), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [31033] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(861), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(863), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [31091] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(494), 1,
      aux_sym_variable_repeat1,
    ACTIONS(2559), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(821), 17,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(823), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [31153] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2562), 1,
      sym__immediate_string_base_other,
    ACTIONS(2565), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(604), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(749), 17,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(751), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [31217] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2568), 1,
      sym__immediate_string_base_other,
    STATE(496), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(2571), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(807), 17,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(809), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [31281] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(920), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(922), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [31339] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(532), 1,
      aux_sym_variable_repeat1,
    ACTIONS(817), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(819), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [31399] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(920), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(922), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [31457] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(942), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(944), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [31515] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(832), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(834), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [31573] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(920), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(922), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [31631] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(931), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(933), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [31689] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(916), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(918), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [31747] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(849), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(851), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [31805] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(861), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(863), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [31863] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(869), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(871), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [31921] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(931), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(933), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [31979] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(494), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(817), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(819), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [32039] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(832), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(834), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [32097] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(857), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(859), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [32155] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(898), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(900), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [32213] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(898), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(900), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [32271] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(902), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(904), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [32329] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(942), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(944), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [32387] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(902), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(904), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [32445] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1928), 1,
      anon_sym_SLASH,
    STATE(1852), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(1931), 4,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(924), 14,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(926), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [32509] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(935), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(937), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [32567] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(942), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(944), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [32625] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(853), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(855), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [32683] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(898), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(900), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [32741] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(865), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(867), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [32799] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(902), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(904), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [32857] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(935), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(937), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [32915] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(861), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(863), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [32973] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(865), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(867), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [33031] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2026), 4,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2024), 10,
      anon_sym_EQ3,
      anon_sym_LPAREN3,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2019), 13,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(2022), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [33093] = 24,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2576), 1,
      anon_sym_DASH2,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2582), 1,
      anon_sym_DASH_DASHcache_DASHfrom,
    ACTIONS(2586), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2598), 1,
      anon_sym_NULL,
    STATE(271), 1,
      sym__string_base,
    STATE(776), 1,
      sym__eol,
    STATE(944), 1,
      sym_save_image_options,
    STATE(1517), 1,
      sym_image_name,
    STATE(2386), 1,
      sym_images,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(337), 2,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(2584), 3,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(999), 3,
      sym_image_spec,
      sym_string,
      aux_sym_images_repeat1,
    STATE(1115), 3,
      sym_cache_from,
      sym_unknown_option,
      aux_sym_save_image_options_repeat1,
    ACTIONS(2596), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 13,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_PLUS,
  [33191] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(498), 1,
      aux_sym_variable_repeat1,
    ACTIONS(828), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(830), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [33251] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(869), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(871), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [33309] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(865), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(867), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [33367] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(532), 1,
      aux_sym_variable_repeat1,
    ACTIONS(2600), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(821), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(823), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [33429] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(873), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(875), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [33487] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(869), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(871), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [33545] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(857), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(859), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [33603] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(832), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(834), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [33661] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(853), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(855), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [33719] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(857), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(859), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [33777] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(873), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(875), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [33835] = 24,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2576), 1,
      anon_sym_DASH2,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2582), 1,
      anon_sym_DASH_DASHcache_DASHfrom,
    ACTIONS(2586), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2605), 1,
      anon_sym_NULL,
    STATE(271), 1,
      sym__string_base,
    STATE(689), 1,
      sym__eol,
    STATE(866), 1,
      sym_save_image_options,
    STATE(1517), 1,
      sym_image_name,
    STATE(2478), 1,
      sym_images,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(337), 2,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(2584), 3,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(999), 3,
      sym_image_spec,
      sym_string,
      aux_sym_images_repeat1,
    STATE(1115), 3,
      sym_cache_from,
      sym_unknown_option,
      aux_sym_save_image_options_repeat1,
    ACTIONS(2603), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 13,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_PLUS,
  [33933] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2607), 1,
      sym__immediate_string_base_other,
    STATE(541), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(2610), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(807), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(809), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [33997] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(912), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(914), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [34055] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(916), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(918), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [34113] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(912), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(914), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [34171] = 6,
    ACTIONS(2613), 1,
      sym__immediate_string_base_other,
    ACTIONS(3), 2,
      sym_line_continuation,
      sym_line_continuation_comment,
    ACTIONS(2616), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(602), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(749), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(751), 26,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym_unquoted_string_with_spaces_token1,
      aux_sym__immediate_escape_sequence_token1,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [34233] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(912), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(914), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [34291] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(916), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(918), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [34349] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2038), 4,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(832), 10,
      anon_sym_EQ3,
      anon_sym_LPAREN3,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2035), 13,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(834), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_NULL,
  [34411] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(853), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(855), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [34469] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(935), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym_allow_privileged,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(937), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [34527] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1905), 1,
      anon_sym_DASH_DASHinteractive,
    ACTIONS(1907), 1,
      anon_sym_DASH_DASHinteractive_DASHkeep,
    ACTIONS(1909), 1,
      anon_sym_DASH_DASHmount,
    ACTIONS(1911), 1,
      anon_sym_DASH_DASHoidc,
    ACTIONS(1913), 1,
      anon_sym_DASH_DASHsecret,
    ACTIONS(1915), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2621), 4,
      anon_sym_LBRACK,
      anon_sym_DASH2,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    STATE(488), 6,
      sym_interactive,
      sym_mount,
      sym_oidc,
      sym_secret,
      sym_unknown_option,
      aux_sym_run_options_repeat1,
    ACTIONS(2623), 8,
      sym_aws,
      sym_entrypoint,
      sym_network_none,
      sym_no_cache,
      sym_privileged,
      sym_push,
      sym_raw_output,
      sym_ssh,
    ACTIONS(2619), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
  [34601] = 24,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2576), 1,
      anon_sym_DASH2,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2582), 1,
      anon_sym_DASH_DASHcache_DASHfrom,
    ACTIONS(2586), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2627), 1,
      anon_sym_NULL,
    STATE(271), 1,
      sym__string_base,
    STATE(874), 1,
      sym_save_image_options,
    STATE(908), 1,
      sym__eol,
    STATE(1517), 1,
      sym_image_name,
    STATE(2213), 1,
      sym_images,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(337), 2,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(2584), 3,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(999), 3,
      sym_image_spec,
      sym_string,
      aux_sym_images_repeat1,
    STATE(1115), 3,
      sym_cache_from,
      sym_unknown_option,
      aux_sym_save_image_options_repeat1,
    ACTIONS(2625), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 13,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_PLUS,
  [34699] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(873), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(875), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [34757] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2026), 4,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2024), 6,
      anon_sym_EQ3,
      anon_sym_LPAREN3,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(2019), 13,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(2022), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [34818] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(857), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(859), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [34875] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(931), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(933), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [34932] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(861), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(863), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [34989] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(849), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(851), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [35046] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(873), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(875), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [35103] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(912), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(914), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [35160] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(832), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(834), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [35217] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(916), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(918), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [35274] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(912), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(914), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [35331] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(869), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(871), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [35388] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(857), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(859), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [35445] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(853), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(855), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [35502] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(865), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(867), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [35559] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(942), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(944), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [35616] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(869), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(871), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [35673] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(935), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(937), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [35730] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(916), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(918), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [35787] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(902), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(904), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [35844] = 6,
    ACTIONS(2629), 1,
      sym__immediate_string_base_other,
    STATE(573), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(3), 2,
      sym_line_continuation,
      sym_line_continuation_comment,
    ACTIONS(2632), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(807), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(809), 26,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym_unquoted_string_with_spaces_token1,
      aux_sym__immediate_escape_sequence_token1,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [35905] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(898), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(900), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [35962] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(942), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(944), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [36019] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(865), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(867), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [36076] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(935), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(937), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [36133] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(582), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(828), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(830), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [36192] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(902), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(904), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [36249] = 5,
    STATE(580), 1,
      aux_sym_variable_repeat1,
    ACTIONS(3), 2,
      sym_line_continuation,
      sym_line_continuation_comment,
    ACTIONS(2635), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(821), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(823), 27,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym_unquoted_string_with_spaces_token1,
      aux_sym__immediate_escape_sequence_token1,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [36308] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(920), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(922), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [36365] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(591), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(817), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(819), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [36424] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(898), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(900), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [36481] = 4,
    STATE(580), 1,
      aux_sym_variable_repeat1,
    ACTIONS(3), 2,
      sym_line_continuation,
      sym_line_continuation_comment,
    ACTIONS(817), 18,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(819), 27,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym_unquoted_string_with_spaces_token1,
      aux_sym__immediate_escape_sequence_token1,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [36538] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(931), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(933), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [36595] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(861), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(863), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [36652] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2022), 1,
      anon_sym_SQUOTE,
    ACTIONS(2024), 11,
      anon_sym_EQ3,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(2638), 12,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2641), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [36713] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(832), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(834), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [36770] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(920), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(922), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [36827] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2038), 4,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(832), 6,
      anon_sym_EQ3,
      anon_sym_LPAREN3,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(2035), 13,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(834), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
  [36888] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(591), 1,
      aux_sym_variable_repeat1,
    ACTIONS(2644), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(821), 17,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(823), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [36949] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(873), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(875), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [37006] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2647), 1,
      sym__immediate_string_base_other,
    STATE(593), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(2650), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(807), 17,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(809), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [37069] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(853), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(855), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [37126] = 4,
    STATE(584), 1,
      aux_sym_variable_repeat1,
    ACTIONS(3), 2,
      sym_line_continuation,
      sym_line_continuation_comment,
    ACTIONS(828), 18,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(830), 27,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym_unquoted_string_with_spaces_token1,
      aux_sym__immediate_escape_sequence_token1,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [37183] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(849), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(851), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
  [37240] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2653), 1,
      sym__immediate_string_base_other,
    STATE(597), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(2656), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(807), 17,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(809), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
  [37302] = 3,
    ACTIONS(3), 2,
      sym_line_continuation,
      sym_line_continuation_comment,
    ACTIONS(920), 18,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(922), 27,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym_unquoted_string_with_spaces_token1,
      aux_sym__immediate_escape_sequence_token1,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [37356] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(916), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(918), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [37412] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(935), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(937), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [37468] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(865), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(867), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [37524] = 3,
    ACTIONS(3), 2,
      sym_line_continuation,
      sym_line_continuation_comment,
    ACTIONS(942), 18,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(944), 27,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym_unquoted_string_with_spaces_token1,
      aux_sym__immediate_escape_sequence_token1,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [37578] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(603), 1,
      aux_sym_variable_repeat1,
    ACTIONS(2659), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(821), 17,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(823), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [37638] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(942), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(944), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [37694] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(902), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(904), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [37750] = 23,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2664), 1,
      anon_sym_EQ,
    ACTIONS(2666), 1,
      anon_sym_DASH2,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR,
    ACTIONS(2670), 1,
      anon_sym_PLUS,
    ACTIONS(2672), 1,
      anon_sym_DQUOTE,
    ACTIONS(2676), 1,
      anon_sym_DASH_DASHbuild_DASHarg,
    ACTIONS(2678), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(2680), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(2682), 1,
      sym__string_base_other,
    ACTIONS(2686), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2688), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1016), 1,
      sym__string_base,
    STATE(1093), 1,
      sym_build_options,
    STATE(2672), 1,
      sym_earthfile_ref,
    ACTIONS(2684), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1142), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1824), 2,
      sym_target_ref,
      sym_string,
    ACTIONS(2674), 3,
      sym_allow_privileged,
      sym_auto_skip,
      sym_pass_args,
    STATE(985), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1027), 4,
      sym_build_arg_deprecated,
      sym_platform,
      sym_unknown_option,
      aux_sym_build_options_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2662), 11,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
  [37844] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(898), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(900), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [37900] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(832), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(834), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [37956] = 23,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2664), 1,
      anon_sym_EQ,
    ACTIONS(2666), 1,
      anon_sym_DASH2,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR,
    ACTIONS(2670), 1,
      anon_sym_PLUS,
    ACTIONS(2672), 1,
      anon_sym_DQUOTE,
    ACTIONS(2676), 1,
      anon_sym_DASH_DASHbuild_DASHarg,
    ACTIONS(2678), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(2680), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(2682), 1,
      sym__string_base_other,
    ACTIONS(2686), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2688), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1016), 1,
      sym__string_base,
    STATE(1095), 1,
      sym_build_options,
    STATE(2672), 1,
      sym_earthfile_ref,
    ACTIONS(2684), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1142), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1680), 2,
      sym_target_ref,
      sym_string,
    ACTIONS(2674), 3,
      sym_allow_privileged,
      sym_auto_skip,
      sym_pass_args,
    STATE(985), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1027), 4,
      sym_build_arg_deprecated,
      sym_platform,
      sym_unknown_option,
      aux_sym_build_options_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2662), 11,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
  [38050] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(931), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(933), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [38106] = 3,
    ACTIONS(3), 2,
      sym_line_continuation,
      sym_line_continuation_comment,
    ACTIONS(2690), 18,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(2692), 27,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym_unquoted_string_with_spaces_token1,
      aux_sym__immediate_escape_sequence_token1,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [38160] = 3,
    ACTIONS(3), 2,
      sym_line_continuation,
      sym_line_continuation_comment,
    ACTIONS(873), 18,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(875), 27,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym_unquoted_string_with_spaces_token1,
      aux_sym__immediate_escape_sequence_token1,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [38214] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(861), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(863), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [38270] = 23,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2664), 1,
      anon_sym_EQ,
    ACTIONS(2666), 1,
      anon_sym_DASH2,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR,
    ACTIONS(2670), 1,
      anon_sym_PLUS,
    ACTIONS(2672), 1,
      anon_sym_DQUOTE,
    ACTIONS(2676), 1,
      anon_sym_DASH_DASHbuild_DASHarg,
    ACTIONS(2678), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(2680), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(2682), 1,
      sym__string_base_other,
    ACTIONS(2686), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2688), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1016), 1,
      sym__string_base,
    STATE(1109), 1,
      sym_build_options,
    STATE(2672), 1,
      sym_earthfile_ref,
    ACTIONS(2684), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1142), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1830), 2,
      sym_target_ref,
      sym_string,
    ACTIONS(2674), 3,
      sym_allow_privileged,
      sym_auto_skip,
      sym_pass_args,
    STATE(985), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1027), 4,
      sym_build_arg_deprecated,
      sym_platform,
      sym_unknown_option,
      aux_sym_build_options_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2662), 11,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
  [38364] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(869), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(871), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [38420] = 3,
    ACTIONS(3), 2,
      sym_line_continuation,
      sym_line_continuation_comment,
    ACTIONS(869), 18,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(871), 27,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym_unquoted_string_with_spaces_token1,
      aux_sym__immediate_escape_sequence_token1,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [38474] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(873), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(875), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [38530] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(849), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(851), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [38586] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(603), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(817), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(819), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [38644] = 3,
    ACTIONS(3), 2,
      sym_line_continuation,
      sym_line_continuation_comment,
    ACTIONS(931), 18,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(933), 27,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym_unquoted_string_with_spaces_token1,
      aux_sym__immediate_escape_sequence_token1,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [38698] = 3,
    ACTIONS(3), 2,
      sym_line_continuation,
      sym_line_continuation_comment,
    ACTIONS(916), 18,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(918), 27,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym_unquoted_string_with_spaces_token1,
      aux_sym__immediate_escape_sequence_token1,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [38752] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(853), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(855), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [38808] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(920), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(922), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [38864] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(857), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(859), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [38920] = 3,
    ACTIONS(3), 2,
      sym_line_continuation,
      sym_line_continuation_comment,
    ACTIONS(853), 18,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(855), 27,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym_unquoted_string_with_spaces_token1,
      aux_sym__immediate_escape_sequence_token1,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [38974] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(912), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(914), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [39030] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(619), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(828), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(830), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [39088] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2701), 1,
      anon_sym_DASH_DASHbuild_DASHarg,
    ACTIONS(2704), 1,
      anon_sym_DASH_DASHchmod,
    ACTIONS(2707), 1,
      anon_sym_DASH_DASHchown,
    ACTIONS(2710), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(2713), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(2696), 4,
      anon_sym_LPAREN,
      anon_sym_DASH2,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(628), 6,
      sym_build_arg_deprecated,
      sym_chmod,
      sym_chown,
      sym_platform,
      sym_unknown_option,
      aux_sym_copy_options_repeat1,
    ACTIONS(2698), 7,
      sym_allow_privileged,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      sym_symlink_no_follow,
    ACTIONS(2694), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [39157] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(869), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(871), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [39212] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(853), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(855), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [39267] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(916), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(918), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [39322] = 23,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2664), 1,
      anon_sym_EQ,
    ACTIONS(2666), 1,
      anon_sym_DASH2,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR,
    ACTIONS(2670), 1,
      anon_sym_PLUS,
    ACTIONS(2672), 1,
      anon_sym_DQUOTE,
    ACTIONS(2682), 1,
      sym__string_base_other,
    ACTIONS(2686), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2688), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2718), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(2720), 1,
      aux_sym_unknown_option_token1,
    STATE(996), 1,
      sym_from_options,
    STATE(1006), 1,
      sym__string_base,
    STATE(2006), 1,
      sym_image_name,
    STATE(2672), 1,
      sym_earthfile_ref,
    ACTIONS(2684), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    ACTIONS(2716), 2,
      sym_allow_privileged,
      sym_pass_args,
    STATE(1142), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(985), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1172), 3,
      sym_platform,
      sym_unknown_option,
      aux_sym_from_options_repeat1,
    STATE(1803), 3,
      sym_image_spec,
      sym_target_ref,
      sym_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2662), 11,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
  [39415] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(832), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_SQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(834), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
  [39470] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1247), 1,
      anon_sym_DASH_DASHbuild_DASHarg,
    ACTIONS(1249), 1,
      anon_sym_DASH_DASHchmod,
    ACTIONS(1251), 1,
      anon_sym_DASH_DASHchown,
    ACTIONS(1253), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(1255), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(2724), 4,
      anon_sym_LPAREN,
      anon_sym_DASH2,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(628), 6,
      sym_build_arg_deprecated,
      sym_chmod,
      sym_chown,
      sym_platform,
      sym_unknown_option,
      aux_sym_copy_options_repeat1,
    ACTIONS(2726), 7,
      sym_allow_privileged,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      sym_symlink_no_follow,
    ACTIONS(2722), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [39539] = 23,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2664), 1,
      anon_sym_EQ,
    ACTIONS(2666), 1,
      anon_sym_DASH2,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR,
    ACTIONS(2670), 1,
      anon_sym_PLUS,
    ACTIONS(2672), 1,
      anon_sym_DQUOTE,
    ACTIONS(2682), 1,
      sym__string_base_other,
    ACTIONS(2686), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2688), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2718), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(2720), 1,
      aux_sym_unknown_option_token1,
    STATE(1006), 1,
      sym__string_base,
    STATE(1009), 1,
      sym_from_options,
    STATE(2006), 1,
      sym_image_name,
    STATE(2672), 1,
      sym_earthfile_ref,
    ACTIONS(2684), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    ACTIONS(2716), 2,
      sym_allow_privileged,
      sym_pass_args,
    STATE(1142), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(985), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1172), 3,
      sym_platform,
      sym_unknown_option,
      aux_sym_from_options_repeat1,
    STATE(1683), 3,
      sym_image_spec,
      sym_target_ref,
      sym_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2662), 11,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
  [39632] = 23,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2664), 1,
      anon_sym_EQ,
    ACTIONS(2666), 1,
      anon_sym_DASH2,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR,
    ACTIONS(2670), 1,
      anon_sym_PLUS,
    ACTIONS(2672), 1,
      anon_sym_DQUOTE,
    ACTIONS(2682), 1,
      sym__string_base_other,
    ACTIONS(2686), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2688), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2718), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(2720), 1,
      aux_sym_unknown_option_token1,
    STATE(1006), 1,
      sym__string_base,
    STATE(1007), 1,
      sym_from_options,
    STATE(2006), 1,
      sym_image_name,
    STATE(2672), 1,
      sym_earthfile_ref,
    ACTIONS(2684), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    ACTIONS(2716), 2,
      sym_allow_privileged,
      sym_pass_args,
    STATE(1142), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(985), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1172), 3,
      sym_platform,
      sym_unknown_option,
      aux_sym_from_options_repeat1,
    STATE(1689), 3,
      sym_image_spec,
      sym_target_ref,
      sym_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2662), 11,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
  [39725] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2732), 1,
      anon_sym_SQUOTE,
    ACTIONS(2734), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2736), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2738), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1065), 1,
      sym__immediate_escape_sequence,
    ACTIONS(579), 2,
      aux_sym_unknown_option_token1,
      anon_sym_NULL,
    ACTIONS(2730), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(647), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(802), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(581), 11,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2728), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [39797] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2746), 1,
      anon_sym_SQUOTE,
    ACTIONS(2749), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2752), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2755), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1065), 1,
      sym__immediate_escape_sequence,
    ACTIONS(464), 2,
      aux_sym_unknown_option_token1,
      anon_sym_NULL,
    ACTIONS(2743), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(638), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(802), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(469), 11,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2740), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [39869] = 20,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2758), 1,
      anon_sym_DASH2,
    ACTIONS(2760), 1,
      anon_sym_DASH_DASHchmod,
    ACTIONS(2762), 1,
      anon_sym_DASH_DASHid,
    ACTIONS(2764), 1,
      sym_persist,
    ACTIONS(2766), 1,
      anon_sym_DASH_DASHsharing,
    ACTIONS(2768), 1,
      aux_sym_unknown_option_token1,
    STATE(1170), 1,
      sym_cache_options,
    STATE(2181), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(1029), 5,
      sym_chmod,
      sym_id,
      sym_sharing,
      sym_unknown_option,
      aux_sym_cache_options_repeat1,
    ACTIONS(2315), 13,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_PLUS,
  [39955] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2774), 1,
      anon_sym_SQUOTE,
    ACTIONS(2776), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2778), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2780), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1071), 1,
      sym__immediate_escape_sequence,
    ACTIONS(445), 2,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
    ACTIONS(2772), 3,
      anon_sym_EQ3,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(641), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(780), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(449), 7,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
    ACTIONS(2770), 14,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [40027] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2788), 1,
      anon_sym_SQUOTE,
    ACTIONS(2791), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2794), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2797), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1071), 1,
      sym__immediate_escape_sequence,
    ACTIONS(464), 2,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
    ACTIONS(2785), 3,
      anon_sym_EQ3,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(641), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(780), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(469), 7,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
    ACTIONS(2782), 14,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [40099] = 20,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2758), 1,
      anon_sym_DASH2,
    ACTIONS(2760), 1,
      anon_sym_DASH_DASHchmod,
    ACTIONS(2762), 1,
      anon_sym_DASH_DASHid,
    ACTIONS(2764), 1,
      sym_persist,
    ACTIONS(2766), 1,
      anon_sym_DASH_DASHsharing,
    ACTIONS(2768), 1,
      aux_sym_unknown_option_token1,
    STATE(1269), 1,
      sym_cache_options,
    STATE(2368), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(1029), 5,
      sym_chmod,
      sym_id,
      sym_sharing,
      sym_unknown_option,
      aux_sym_cache_options_repeat1,
    ACTIONS(2315), 13,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_PLUS,
  [40185] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2774), 1,
      anon_sym_SQUOTE,
    ACTIONS(2776), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2778), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2780), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1071), 1,
      sym__immediate_escape_sequence,
    ACTIONS(579), 2,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
    ACTIONS(2772), 3,
      anon_sym_EQ3,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(640), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(780), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(581), 7,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
    ACTIONS(2770), 14,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [40257] = 20,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2758), 1,
      anon_sym_DASH2,
    ACTIONS(2760), 1,
      anon_sym_DASH_DASHchmod,
    ACTIONS(2762), 1,
      anon_sym_DASH_DASHid,
    ACTIONS(2764), 1,
      sym_persist,
    ACTIONS(2766), 1,
      anon_sym_DASH_DASHsharing,
    ACTIONS(2768), 1,
      aux_sym_unknown_option_token1,
    STATE(1243), 1,
      sym_cache_options,
    STATE(2214), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(1029), 5,
      sym_chmod,
      sym_id,
      sym_sharing,
      sym_unknown_option,
      aux_sym_cache_options_repeat1,
    ACTIONS(2315), 13,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_PLUS,
  [40343] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2732), 1,
      anon_sym_SQUOTE,
    ACTIONS(2734), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2736), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2738), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2800), 1,
      anon_sym_EQ3,
    STATE(1065), 1,
      sym__immediate_escape_sequence,
    ACTIONS(445), 2,
      aux_sym_unknown_option_token1,
      anon_sym_NULL,
    ACTIONS(2730), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(638), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(802), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(449), 11,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2728), 14,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [40417] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2732), 1,
      anon_sym_SQUOTE,
    ACTIONS(2734), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2736), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2738), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2803), 1,
      anon_sym_EQ3,
    STATE(1065), 1,
      sym__immediate_escape_sequence,
    ACTIONS(579), 2,
      aux_sym_unknown_option_token1,
      anon_sym_NULL,
    ACTIONS(2730), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(645), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(802), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(581), 11,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2728), 14,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [40491] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2732), 1,
      anon_sym_SQUOTE,
    ACTIONS(2734), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2736), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2738), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1065), 1,
      sym__immediate_escape_sequence,
    ACTIONS(445), 2,
      aux_sym_unknown_option_token1,
      anon_sym_NULL,
    ACTIONS(2730), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(638), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(802), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(449), 11,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2728), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [40563] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2810), 1,
      anon_sym_EQ3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2808), 7,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DASH2,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2806), 31,
      anon_sym_COLON,
      anon_sym_DASH_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
  [40618] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2818), 1,
      anon_sym_SQUOTE,
    ACTIONS(2821), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2824), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2827), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1157), 1,
      sym__immediate_escape_sequence,
    ACTIONS(464), 2,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
    ACTIONS(2815), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(649), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(969), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(469), 6,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
    ACTIONS(2812), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [40689] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2834), 1,
      anon_sym_EQ4,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2832), 7,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_DASH2,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2830), 31,
      anon_sym_COLON,
      anon_sym_DASH_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
  [40744] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2840), 1,
      anon_sym_SQUOTE,
    ACTIONS(2842), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2844), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2846), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1157), 1,
      sym__immediate_escape_sequence,
    ACTIONS(445), 2,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
    ACTIONS(2838), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(649), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(969), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(449), 6,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
    ACTIONS(2836), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [40815] = 18,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2851), 1,
      anon_sym_EQ3,
    ACTIONS(2865), 1,
      anon_sym_PLUS,
    ACTIONS(2867), 1,
      anon_sym_PLUS2,
    ACTIONS(2870), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2873), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1039), 1,
      sym__immediate_escape_sequence,
    STATE(1608), 1,
      aux_sym_earthfile_ref_repeat1,
    STATE(1640), 1,
      aux_sym_image_name_repeat1,
    ACTIONS(680), 2,
      aux_sym_unknown_option_token1,
      anon_sym_NULL,
    ACTIONS(2855), 2,
      anon_sym_COLON2,
      anon_sym_AT2,
    ACTIONS(2859), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(763), 2,
      sym__immediate_expansion,
      aux_sym_unquoted_string_repeat1,
    STATE(1030), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(2848), 4,
      anon_sym_SLASH,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(2862), 7,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
    ACTIONS(685), 13,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      anon_sym_DQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [40896] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2840), 1,
      anon_sym_SQUOTE,
    ACTIONS(2842), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2844), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2846), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1157), 1,
      sym__immediate_escape_sequence,
    ACTIONS(579), 2,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
    ACTIONS(2838), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(651), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(969), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(581), 6,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
    ACTIONS(2836), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [40967] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2876), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [41015] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2878), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [41063] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2880), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [41111] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2865), 1,
      anon_sym_PLUS,
    ACTIONS(2870), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2873), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1039), 1,
      sym__immediate_escape_sequence,
    STATE(1608), 1,
      aux_sym_earthfile_ref_repeat1,
    ACTIONS(680), 2,
      aux_sym_unknown_option_token1,
      anon_sym_NULL,
    ACTIONS(2867), 2,
      anon_sym_EQ3,
      anon_sym_PLUS2,
    ACTIONS(2882), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(763), 2,
      sym__immediate_expansion,
      aux_sym_unquoted_string_repeat1,
    STATE(1028), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(685), 13,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      anon_sym_DQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2862), 13,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
  [41183] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2885), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [41231] = 17,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2889), 1,
      anon_sym_DASH2,
    ACTIONS(2891), 1,
      anon_sym_DOLLAR,
    ACTIONS(2893), 1,
      anon_sym_DQUOTE,
    ACTIONS(2897), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(2899), 1,
      sym__string_base_other,
    ACTIONS(2903), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2905), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1035), 1,
      sym_string,
    STATE(1205), 1,
      sym_save_artifact_options,
    ACTIONS(2901), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1128), 2,
      sym_unknown_option,
      aux_sym_save_artifact_options_repeat1,
    STATE(167), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(268), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2895), 5,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
    ACTIONS(2887), 13,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_PLUS,
  [41309] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2907), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [41357] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2909), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [41405] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2911), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [41453] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2913), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [41501] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2915), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [41549] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2917), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [41597] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2919), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [41645] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2921), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [41693] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2923), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [41741] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2925), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [41789] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2927), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [41837] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2929), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [41885] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2931), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [41933] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2933), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [41981] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2935), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [42029] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2937), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [42077] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2939), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [42125] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2943), 6,
      anon_sym_LBRACK,
      anon_sym_DASH2,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2941), 32,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
  [42177] = 17,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2889), 1,
      anon_sym_DASH2,
    ACTIONS(2891), 1,
      anon_sym_DOLLAR,
    ACTIONS(2893), 1,
      anon_sym_DQUOTE,
    ACTIONS(2897), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(2899), 1,
      sym__string_base_other,
    ACTIONS(2903), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2905), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1040), 1,
      sym_string,
    STATE(1233), 1,
      sym_save_artifact_options,
    ACTIONS(2901), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1128), 2,
      sym_unknown_option,
      aux_sym_save_artifact_options_repeat1,
    STATE(167), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(268), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2895), 5,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
    ACTIONS(2887), 13,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_PLUS,
  [42255] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2947), 6,
      anon_sym_LBRACK,
      anon_sym_DASH2,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2945), 32,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
  [42307] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2949), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [42355] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2951), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [42403] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2953), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [42451] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2955), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [42499] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2957), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [42547] = 17,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2889), 1,
      anon_sym_DASH2,
    ACTIONS(2891), 1,
      anon_sym_DOLLAR,
    ACTIONS(2893), 1,
      anon_sym_DQUOTE,
    ACTIONS(2897), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(2899), 1,
      sym__string_base_other,
    ACTIONS(2903), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2905), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1046), 1,
      sym_string,
    STATE(1177), 1,
      sym_save_artifact_options,
    ACTIONS(2901), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1128), 2,
      sym_unknown_option,
      aux_sym_save_artifact_options_repeat1,
    STATE(167), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(268), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2895), 5,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
    ACTIONS(2887), 13,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_PLUS,
  [42625] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2959), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [42673] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2961), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [42721] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2963), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [42769] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2965), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [42817] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2967), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [42865] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2969), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [42913] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2971), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [42961] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2973), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [43009] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2975), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [43057] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2977), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [43105] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2981), 6,
      anon_sym_LBRACK,
      anon_sym_DASH2,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2979), 32,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
  [43157] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2983), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [43205] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2985), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [43253] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2987), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [43301] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2989), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [43349] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2991), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [43397] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2993), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [43445] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2995), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [43493] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2997), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [43541] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2999), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [43589] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3001), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [43637] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3003), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [43685] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3005), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [43733] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3007), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [43781] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3009), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [43829] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3011), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [43877] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3013), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [43925] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3015), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [43973] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3017), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [44021] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3019), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [44069] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3021), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [44117] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3023), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [44165] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3025), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [44213] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3027), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [44261] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3031), 6,
      anon_sym_LBRACK,
      anon_sym_DASH2,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3029), 32,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
  [44313] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3033), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [44361] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3037), 6,
      anon_sym_LBRACK,
      anon_sym_DASH2,
      anon_sym_DASH_DASHinteractive,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3035), 32,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LBRACK3,
      sym_aws,
      sym_entrypoint,
      anon_sym_DASH_DASHinteractive_DASHkeep,
      anon_sym_DASH_DASHmount,
      sym_network_none,
      sym_no_cache,
      anon_sym_DASH_DASHoidc,
      sym_privileged,
      sym_push,
      sym_raw_output,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
  [44413] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3039), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [44461] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3041), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [44509] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3043), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [44557] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3045), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [44605] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3047), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [44653] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3049), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [44701] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3051), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [44749] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3053), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [44797] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3055), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [44845] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3057), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [44893] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3059), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [44941] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3061), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [44989] = 17,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2889), 1,
      anon_sym_DASH2,
    ACTIONS(2891), 1,
      anon_sym_DOLLAR,
    ACTIONS(2893), 1,
      anon_sym_DQUOTE,
    ACTIONS(2897), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(2899), 1,
      sym__string_base_other,
    ACTIONS(2903), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2905), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1022), 1,
      sym_string,
    STATE(1266), 1,
      sym_save_artifact_options,
    ACTIONS(2901), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1128), 2,
      sym_unknown_option,
      aux_sym_save_artifact_options_repeat1,
    STATE(167), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(268), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2895), 5,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
    ACTIONS(2887), 13,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_PLUS,
  [45067] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3063), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [45115] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3065), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [45163] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3067), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [45211] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3069), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [45259] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3071), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [45307] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3073), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [45355] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3075), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [45403] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3077), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [45451] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3079), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [45499] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3081), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [45547] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3083), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [45595] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3085), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [45643] = 2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3087), 37,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_END,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_FINALLY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      anon_sym_ELSEIF,
      anon_sym_ELSE,
  [45691] = 19,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1895), 1,
      anon_sym_DASH2,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3089), 1,
      anon_sym_DASH_DASHmount,
    ACTIONS(3093), 1,
      anon_sym_DASH_DASHsecret,
    ACTIONS(3095), 1,
      aux_sym_unknown_option_token1,
    STATE(801), 1,
      aux_sym__conditional_block_options,
    STATE(1585), 1,
      sym_escape_sequence,
    STATE(1843), 1,
      sym__conditional_block,
    STATE(2361), 1,
      sym_shell_fragment,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(3091), 3,
      sym_no_cache,
      sym_privileged,
      sym_ssh,
    STATE(1306), 3,
      sym_mount,
      sym_secret,
      sym_unknown_option,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1891), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [45772] = 19,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1895), 1,
      anon_sym_DASH2,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3089), 1,
      anon_sym_DASH_DASHmount,
    ACTIONS(3093), 1,
      anon_sym_DASH_DASHsecret,
    ACTIONS(3095), 1,
      aux_sym_unknown_option_token1,
    STATE(801), 1,
      aux_sym__conditional_block_options,
    STATE(1585), 1,
      sym_escape_sequence,
    STATE(1842), 1,
      sym__conditional_block,
    STATE(2361), 1,
      sym_shell_fragment,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(3091), 3,
      sym_no_cache,
      sym_privileged,
      sym_ssh,
    STATE(1306), 3,
      sym_mount,
      sym_secret,
      sym_unknown_option,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1891), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [45853] = 19,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1895), 1,
      anon_sym_DASH2,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3089), 1,
      anon_sym_DASH_DASHmount,
    ACTIONS(3093), 1,
      anon_sym_DASH_DASHsecret,
    ACTIONS(3095), 1,
      aux_sym_unknown_option_token1,
    STATE(801), 1,
      aux_sym__conditional_block_options,
    STATE(1585), 1,
      sym_escape_sequence,
    STATE(1857), 1,
      sym__conditional_block,
    STATE(2361), 1,
      sym_shell_fragment,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(3091), 3,
      sym_no_cache,
      sym_privileged,
      sym_ssh,
    STATE(1306), 3,
      sym_mount,
      sym_secret,
      sym_unknown_option,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1891), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [45934] = 22,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2664), 1,
      anon_sym_EQ,
    ACTIONS(2666), 1,
      anon_sym_DASH2,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR,
    ACTIONS(2670), 1,
      anon_sym_PLUS,
    ACTIONS(2672), 1,
      anon_sym_DQUOTE,
    ACTIONS(2682), 1,
      sym__string_base_other,
    ACTIONS(2686), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2688), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3099), 1,
      aux_sym_unknown_option_token1,
    STATE(1016), 1,
      sym__string_base,
    STATE(1123), 1,
      sym_do_options,
    STATE(1674), 1,
      sym_target_ref,
    STATE(1829), 1,
      sym_string,
    STATE(2672), 1,
      sym_earthfile_ref,
    ACTIONS(2684), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    ACTIONS(3097), 2,
      sym_allow_privileged,
      sym_pass_args,
    STATE(1142), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1350), 2,
      sym_unknown_option,
      aux_sym_do_options_repeat1,
    STATE(985), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2662), 11,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
  [46021] = 15,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2870), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2873), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1065), 1,
      sym__immediate_escape_sequence,
    STATE(1612), 1,
      aux_sym_image_name_repeat1,
    ACTIONS(685), 2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
    ACTIONS(2179), 2,
      aux_sym_unknown_option_token1,
      anon_sym_NULL,
    ACTIONS(2851), 2,
      anon_sym_COLON2,
      anon_sym_AT2,
    ACTIONS(3104), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(763), 2,
      sym__immediate_expansion,
      aux_sym_unquoted_string_repeat1,
    STATE(1072), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(3101), 4,
      anon_sym_SLASH,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(2867), 9,
      anon_sym_EQ3,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_PLUS2,
    ACTIONS(2192), 11,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [46094] = 22,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2664), 1,
      anon_sym_EQ,
    ACTIONS(2666), 1,
      anon_sym_DASH2,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR,
    ACTIONS(2670), 1,
      anon_sym_PLUS,
    ACTIONS(2672), 1,
      anon_sym_DQUOTE,
    ACTIONS(2682), 1,
      sym__string_base_other,
    ACTIONS(2686), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2688), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3099), 1,
      aux_sym_unknown_option_token1,
    STATE(1016), 1,
      sym__string_base,
    STATE(1116), 1,
      sym_do_options,
    STATE(1825), 1,
      sym_target_ref,
    STATE(1828), 1,
      sym_string,
    STATE(2672), 1,
      sym_earthfile_ref,
    ACTIONS(2684), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    ACTIONS(3097), 2,
      sym_allow_privileged,
      sym_pass_args,
    STATE(1142), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1350), 2,
      sym_unknown_option,
      aux_sym_do_options_repeat1,
    STATE(985), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2662), 11,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
  [46181] = 19,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1895), 1,
      anon_sym_DASH2,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3089), 1,
      anon_sym_DASH_DASHmount,
    ACTIONS(3093), 1,
      anon_sym_DASH_DASHsecret,
    ACTIONS(3095), 1,
      aux_sym_unknown_option_token1,
    STATE(801), 1,
      aux_sym__conditional_block_options,
    STATE(1585), 1,
      sym_escape_sequence,
    STATE(2141), 1,
      sym__conditional_block,
    STATE(2361), 1,
      sym_shell_fragment,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(3091), 3,
      sym_no_cache,
      sym_privileged,
      sym_ssh,
    STATE(1306), 3,
      sym_mount,
      sym_secret,
      sym_unknown_option,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1891), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [46262] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2870), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2873), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3110), 1,
      sym__immediate_string_base_alpha,
    STATE(1065), 1,
      sym__immediate_escape_sequence,
    STATE(1650), 1,
      sym__immediate_identifier,
    ACTIONS(680), 2,
      aux_sym_unknown_option_token1,
      anon_sym_NULL,
    ACTIONS(3107), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(763), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(685), 13,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      anon_sym_DQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2867), 14,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [46329] = 22,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2664), 1,
      anon_sym_EQ,
    ACTIONS(2666), 1,
      anon_sym_DASH2,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR,
    ACTIONS(2670), 1,
      anon_sym_PLUS,
    ACTIONS(2672), 1,
      anon_sym_DQUOTE,
    ACTIONS(2682), 1,
      sym__string_base_other,
    ACTIONS(2686), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2688), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3099), 1,
      aux_sym_unknown_option_token1,
    STATE(1016), 1,
      sym__string_base,
    STATE(1068), 1,
      sym_do_options,
    STATE(1685), 1,
      sym_target_ref,
    STATE(1687), 1,
      sym_string,
    STATE(2672), 1,
      sym_earthfile_ref,
    ACTIONS(2684), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    ACTIONS(3097), 2,
      sym_allow_privileged,
      sym_pass_args,
    STATE(1142), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1350), 2,
      sym_unknown_option,
      aux_sym_do_options_repeat1,
    STATE(985), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2662), 11,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
  [46416] = 3,
    ACTIONS(3113), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2995), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [46464] = 3,
    ACTIONS(3115), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2989), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [46512] = 3,
    ACTIONS(3117), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2913), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [46560] = 3,
    ACTIONS(3119), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2909), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [46608] = 3,
    ACTIONS(3121), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2925), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [46656] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3129), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3132), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1065), 1,
      sym__immediate_escape_sequence,
    ACTIONS(664), 2,
      aux_sym_unknown_option_token1,
      anon_sym_NULL,
    ACTIONS(3126), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(816), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(669), 13,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      anon_sym_DQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3123), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [46718] = 18,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3137), 1,
      anon_sym_DASH2,
    ACTIONS(3139), 1,
      anon_sym_DOLLAR,
    ACTIONS(3141), 1,
      anon_sym_DQUOTE,
    ACTIONS(3143), 1,
      anon_sym_DASH_DASHbranch,
    ACTIONS(3145), 1,
      sym_keep_ts,
    ACTIONS(3147), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(3149), 1,
      sym__string_base_other,
    ACTIONS(3153), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3155), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1178), 1,
      sym_git_clone_options,
    STATE(1239), 1,
      sym_string,
    ACTIONS(3151), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(194), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(378), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    STATE(1296), 3,
      sym_branch,
      sym_unknown_option,
      aux_sym_git_clone_options_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3135), 13,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_PLUS,
  [46796] = 3,
    ACTIONS(3157), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3065), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [46844] = 3,
    ACTIONS(3159), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2997), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [46892] = 3,
    ACTIONS(3161), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2975), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [46940] = 3,
    ACTIONS(3163), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2915), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [46988] = 3,
    ACTIONS(3165), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2876), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [47036] = 3,
    ACTIONS(3167), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3009), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [47084] = 3,
    ACTIONS(3169), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3063), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [47132] = 3,
    ACTIONS(3171), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2969), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [47180] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2870), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2873), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1065), 1,
      sym__immediate_escape_sequence,
    ACTIONS(680), 2,
      aux_sym_unknown_option_token1,
      anon_sym_NULL,
    ACTIONS(3107), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(763), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(685), 13,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      anon_sym_DQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2867), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [47242] = 3,
    ACTIONS(3173), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2957), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [47290] = 3,
    ACTIONS(3175), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2961), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [47338] = 3,
    ACTIONS(3177), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2965), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [47386] = 3,
    ACTIONS(3179), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2919), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [47434] = 3,
    ACTIONS(3181), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3071), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [47482] = 3,
    ACTIONS(3183), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2967), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [47530] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1071), 1,
      sym__immediate_escape_sequence,
    STATE(824), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(695), 6,
      anon_sym_EQ3,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(693), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [47584] = 3,
    ACTIONS(3185), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2878), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [47632] = 3,
    ACTIONS(3187), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2907), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [47680] = 3,
    ACTIONS(3189), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3191), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [47728] = 3,
    ACTIONS(3193), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3195), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [47776] = 3,
    ACTIONS(3197), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2885), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [47824] = 18,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3137), 1,
      anon_sym_DASH2,
    ACTIONS(3139), 1,
      anon_sym_DOLLAR,
    ACTIONS(3141), 1,
      anon_sym_DQUOTE,
    ACTIONS(3143), 1,
      anon_sym_DASH_DASHbranch,
    ACTIONS(3145), 1,
      sym_keep_ts,
    ACTIONS(3147), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(3149), 1,
      sym__string_base_other,
    ACTIONS(3153), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3155), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1179), 1,
      sym_git_clone_options,
    STATE(1268), 1,
      sym_string,
    ACTIONS(3151), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(194), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(378), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    STATE(1296), 3,
      sym_branch,
      sym_unknown_option,
      aux_sym_git_clone_options_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3135), 13,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_PLUS,
  [47902] = 3,
    ACTIONS(3199), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3015), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [47950] = 3,
    ACTIONS(3201), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2953), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [47998] = 3,
    ACTIONS(3203), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2931), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [48046] = 3,
    ACTIONS(3205), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3061), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [48094] = 3,
    ACTIONS(3207), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3021), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [48142] = 3,
    ACTIONS(3209), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2977), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [48190] = 18,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3137), 1,
      anon_sym_DASH2,
    ACTIONS(3139), 1,
      anon_sym_DOLLAR,
    ACTIONS(3141), 1,
      anon_sym_DQUOTE,
    ACTIONS(3143), 1,
      anon_sym_DASH_DASHbranch,
    ACTIONS(3145), 1,
      sym_keep_ts,
    ACTIONS(3147), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(3149), 1,
      sym__string_base_other,
    ACTIONS(3153), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3155), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1173), 1,
      sym_git_clone_options,
    STATE(1175), 1,
      sym_string,
    ACTIONS(3151), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(194), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(378), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    STATE(1296), 3,
      sym_branch,
      sym_unknown_option,
      aux_sym_git_clone_options_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3135), 13,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_PLUS,
  [48268] = 3,
    ACTIONS(3211), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2951), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [48316] = 3,
    ACTIONS(3213), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2935), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [48364] = 3,
    ACTIONS(3215), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2983), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [48412] = 3,
    ACTIONS(3217), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3023), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [48460] = 3,
    ACTIONS(3219), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3011), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [48508] = 3,
    ACTIONS(3221), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3059), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [48556] = 3,
    ACTIONS(3223), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2949), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [48604] = 18,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1895), 1,
      anon_sym_DASH2,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3089), 1,
      anon_sym_DASH_DASHmount,
    ACTIONS(3093), 1,
      anon_sym_DASH_DASHsecret,
    ACTIONS(3095), 1,
      aux_sym_unknown_option_token1,
    STATE(1025), 1,
      aux_sym__conditional_block_options,
    STATE(1585), 1,
      sym_escape_sequence,
    STATE(2173), 1,
      sym_shell_fragment,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(3091), 3,
      sym_no_cache,
      sym_privileged,
      sym_ssh,
    STATE(1306), 3,
      sym_mount,
      sym_secret,
      sym_unknown_option,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1891), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [48682] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1065), 1,
      sym__immediate_escape_sequence,
    STATE(816), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(695), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(693), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [48736] = 3,
    ACTIONS(3225), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2987), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [48784] = 3,
    ACTIONS(3227), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3025), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [48832] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3229), 1,
      anon_sym_EQ3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2808), 6,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2806), 28,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [48884] = 3,
    ACTIONS(3231), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2955), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [48932] = 3,
    ACTIONS(3233), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3055), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [48980] = 3,
    ACTIONS(3235), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2963), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [49028] = 3,
    ACTIONS(3237), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3005), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [49076] = 3,
    ACTIONS(3239), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2971), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [49124] = 3,
    ACTIONS(3241), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3049), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [49172] = 3,
    ACTIONS(3243), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3027), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [49220] = 3,
    ACTIONS(3245), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3043), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [49268] = 3,
    ACTIONS(3247), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3001), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [49316] = 3,
    ACTIONS(3249), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3003), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [49364] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3257), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3260), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1065), 1,
      sym__immediate_escape_sequence,
    ACTIONS(700), 2,
      aux_sym_unknown_option_token1,
      anon_sym_NULL,
    ACTIONS(3254), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(816), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(705), 13,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      anon_sym_DQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3251), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [49426] = 3,
    ACTIONS(3263), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3079), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [49474] = 3,
    ACTIONS(3265), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3081), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [49522] = 3,
    ACTIONS(3267), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3085), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [49570] = 3,
    ACTIONS(3269), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3041), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [49618] = 3,
    ACTIONS(3271), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3047), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [49666] = 3,
    ACTIONS(3273), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3075), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [49714] = 3,
    ACTIONS(3275), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3051), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [49762] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3283), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3286), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1071), 1,
      sym__immediate_escape_sequence,
    ACTIONS(700), 2,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
    ACTIONS(3280), 3,
      anon_sym_EQ3,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(824), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(705), 9,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      anon_sym_DQUOTE2,
    ACTIONS(3277), 14,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [49824] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3295), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3298), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1071), 1,
      sym__immediate_escape_sequence,
    ACTIONS(680), 2,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
    ACTIONS(3292), 3,
      anon_sym_EQ3,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(837), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(685), 9,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      anon_sym_DQUOTE2,
    ACTIONS(3289), 14,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [49886] = 3,
    ACTIONS(3301), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2939), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [49934] = 3,
    ACTIONS(3303), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3039), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [49982] = 3,
    ACTIONS(3305), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2921), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [50030] = 3,
    ACTIONS(3307), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3053), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [50078] = 3,
    ACTIONS(3309), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3057), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [50126] = 3,
    ACTIONS(3311), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3067), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [50174] = 3,
    ACTIONS(3313), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3069), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [50222] = 3,
    ACTIONS(3315), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3073), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [50270] = 3,
    ACTIONS(3317), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3077), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [50318] = 3,
    ACTIONS(3319), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3083), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [50366] = 3,
    ACTIONS(3321), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3087), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [50414] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3329), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3332), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1071), 1,
      sym__immediate_escape_sequence,
    ACTIONS(664), 2,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
    ACTIONS(3326), 3,
      anon_sym_EQ3,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(824), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(669), 9,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      anon_sym_DQUOTE2,
    ACTIONS(3323), 14,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [50476] = 3,
    ACTIONS(3335), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2973), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [50524] = 3,
    ACTIONS(3337), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3045), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [50572] = 3,
    ACTIONS(3339), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3013), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [50620] = 3,
    ACTIONS(3341), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3033), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [50668] = 3,
    ACTIONS(3343), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2927), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [50716] = 3,
    ACTIONS(3345), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2985), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [50764] = 3,
    ACTIONS(3347), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2999), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [50812] = 3,
    ACTIONS(3349), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2959), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [50860] = 3,
    ACTIONS(3351), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2923), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [50908] = 3,
    ACTIONS(3353), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2911), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [50956] = 3,
    ACTIONS(3355), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2933), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [51004] = 3,
    ACTIONS(3357), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3019), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [51052] = 3,
    ACTIONS(3359), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2993), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [51100] = 3,
    ACTIONS(3361), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3017), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [51148] = 3,
    ACTIONS(3363), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2880), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [51196] = 3,
    ACTIONS(3365), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2937), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [51244] = 3,
    ACTIONS(3367), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2991), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [51292] = 3,
    ACTIONS(3369), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2917), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [51340] = 3,
    ACTIONS(3371), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3007), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [51388] = 3,
    ACTIONS(3373), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2929), 34,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
      sym__string_base_alpha,
  [51436] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3379), 1,
      sym_allow_privileged,
    ACTIONS(3382), 1,
      anon_sym_DASH_DASHbuild_DASHarg,
    ACTIONS(3385), 1,
      anon_sym_DASHf,
    ACTIONS(3388), 1,
      anon_sym_DASH_DASHtarget,
    ACTIONS(3391), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(3394), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(3377), 4,
      anon_sym_LPAREN,
      anon_sym_DASH2,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(858), 6,
      sym_docker_build_arg,
      sym_docker_file,
      sym_docker_target,
      sym_platform,
      sym_unknown_option,
      aux_sym_from_dockerfile_options_repeat1,
    ACTIONS(3375), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [51499] = 3,
    ACTIONS(3271), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3047), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [51546] = 19,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3401), 1,
      anon_sym_DASH2,
    ACTIONS(3403), 1,
      anon_sym_DOLLAR,
    ACTIONS(3405), 1,
      anon_sym_DQUOTE,
    ACTIONS(3407), 1,
      sym_allow_privileged,
    ACTIONS(3409), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(3411), 1,
      sym__string_base_other,
    ACTIONS(3415), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3417), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1143), 1,
      sym_import_options,
    STATE(1166), 1,
      sym__string_base,
    ACTIONS(3399), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(3413), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1196), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1428), 2,
      sym_unknown_option,
      aux_sym_import_options_repeat1,
    STATE(2126), 2,
      sym_earthfile_ref,
      sym_string,
    STATE(994), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3397), 11,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
  [51625] = 3,
    ACTIONS(3231), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2955), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [51672] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3425), 1,
      anon_sym_SQUOTE,
    ACTIONS(3428), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3431), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3434), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1376), 1,
      sym__immediate_escape_sequence,
    ACTIONS(464), 2,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
    ACTIONS(469), 2,
      sym_global,
      sym_required,
    ACTIONS(3422), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(862), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(1090), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3419), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [51739] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3441), 1,
      anon_sym_SQUOTE,
    ACTIONS(3443), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3445), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3447), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1376), 1,
      sym__immediate_escape_sequence,
    ACTIONS(445), 2,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
    ACTIONS(449), 2,
      sym_global,
      sym_required,
    ACTIONS(3439), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(862), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(1090), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3437), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [51806] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3441), 1,
      anon_sym_SQUOTE,
    ACTIONS(3443), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3445), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3447), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1376), 1,
      sym__immediate_escape_sequence,
    ACTIONS(579), 2,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
    ACTIONS(581), 2,
      sym_global,
      sym_required,
    ACTIONS(3439), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(863), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(1090), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3437), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [51873] = 19,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3401), 1,
      anon_sym_DASH2,
    ACTIONS(3403), 1,
      anon_sym_DOLLAR,
    ACTIONS(3405), 1,
      anon_sym_DQUOTE,
    ACTIONS(3407), 1,
      sym_allow_privileged,
    ACTIONS(3409), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(3411), 1,
      sym__string_base_other,
    ACTIONS(3415), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3417), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1141), 1,
      sym_import_options,
    STATE(1166), 1,
      sym__string_base,
    ACTIONS(3399), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(3413), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1196), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1428), 2,
      sym_unknown_option,
      aux_sym_import_options_repeat1,
    STATE(2144), 2,
      sym_earthfile_ref,
      sym_string,
    STATE(994), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3397), 11,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
  [51952] = 18,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3451), 1,
      anon_sym_NULL,
    STATE(271), 1,
      sym__string_base,
    STATE(660), 1,
      sym__eol,
    STATE(1517), 1,
      sym_image_name,
    STATE(2515), 1,
      sym_images,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(337), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(999), 3,
      sym_image_spec,
      sym_string,
      aux_sym_images_repeat1,
    ACTIONS(3449), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [52029] = 21,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1243), 1,
      anon_sym_LPAREN3,
    ACTIONS(3455), 1,
      anon_sym_EQ,
    ACTIONS(3457), 1,
      anon_sym_LPAREN,
    ACTIONS(3459), 1,
      anon_sym_DOLLAR,
    ACTIONS(3461), 1,
      anon_sym_PLUS,
    ACTIONS(3463), 1,
      anon_sym_DQUOTE,
    ACTIONS(3465), 1,
      sym__string_base_other,
    ACTIONS(3469), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3471), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(205), 1,
      sym__string_base,
    STATE(876), 1,
      aux_sym_copy_command_repeat1,
    STATE(1510), 1,
      sym_string,
    STATE(2542), 1,
      sym_earthfile_ref,
    STATE(2650), 1,
      sym_target_ref,
    ACTIONS(3467), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(223), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1593), 2,
      sym_target_artifact,
      sym_target_artifact_build_args,
    STATE(165), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3453), 11,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [52112] = 3,
    ACTIONS(3301), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2939), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [52159] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3479), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3482), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1157), 1,
      sym__immediate_escape_sequence,
    ACTIONS(700), 2,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
    ACTIONS(3476), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(869), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(705), 8,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      anon_sym_DQUOTE2,
    ACTIONS(3473), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [52220] = 3,
    ACTIONS(3335), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2973), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [52267] = 3,
    ACTIONS(3121), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2925), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [52314] = 3,
    ACTIONS(3115), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2989), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [52361] = 3,
    ACTIONS(3207), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3021), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [52408] = 18,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3487), 1,
      anon_sym_NULL,
    STATE(271), 1,
      sym__string_base,
    STATE(900), 1,
      sym__eol,
    STATE(1517), 1,
      sym_image_name,
    STATE(2288), 1,
      sym_images,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(337), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(999), 3,
      sym_image_spec,
      sym_string,
      aux_sym_images_repeat1,
    ACTIONS(3485), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [52485] = 3,
    ACTIONS(3355), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2933), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [52532] = 20,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3492), 1,
      anon_sym_EQ,
    ACTIONS(3495), 1,
      anon_sym_LPAREN,
    ACTIONS(3498), 1,
      anon_sym_DOLLAR,
    ACTIONS(3501), 1,
      anon_sym_PLUS,
    ACTIONS(3504), 1,
      anon_sym_DQUOTE,
    ACTIONS(3507), 1,
      anon_sym_LPAREN3,
    ACTIONS(3510), 1,
      sym__string_base_other,
    ACTIONS(3516), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3519), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(231), 1,
      sym__string_base,
    STATE(876), 1,
      aux_sym_copy_command_repeat1,
    STATE(2542), 1,
      sym_earthfile_ref,
    STATE(2650), 1,
      sym_target_ref,
    ACTIONS(3513), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(284), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(178), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1593), 3,
      sym_target_artifact,
      sym_target_artifact_build_args,
      sym_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3489), 11,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [52613] = 3,
    ACTIONS(3373), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2929), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [52660] = 3,
    ACTIONS(3363), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2880), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [52707] = 3,
    ACTIONS(3217), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3023), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [52754] = 3,
    ACTIONS(3353), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2911), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [52801] = 3,
    ACTIONS(3313), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3069), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [52848] = 21,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1243), 1,
      anon_sym_LPAREN3,
    ACTIONS(3455), 1,
      anon_sym_EQ,
    ACTIONS(3457), 1,
      anon_sym_LPAREN,
    ACTIONS(3459), 1,
      anon_sym_DOLLAR,
    ACTIONS(3461), 1,
      anon_sym_PLUS,
    ACTIONS(3463), 1,
      anon_sym_DQUOTE,
    ACTIONS(3465), 1,
      sym__string_base_other,
    ACTIONS(3469), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3471), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(205), 1,
      sym__string_base,
    STATE(876), 1,
      aux_sym_copy_command_repeat1,
    STATE(1491), 1,
      sym_string,
    STATE(2542), 1,
      sym_earthfile_ref,
    STATE(2650), 1,
      sym_target_ref,
    ACTIONS(3467), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(223), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1593), 2,
      sym_target_artifact,
      sym_target_artifact_build_args,
    STATE(165), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3453), 11,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [52931] = 3,
    ACTIONS(3343), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2927), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [52978] = 3,
    ACTIONS(3315), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3073), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [53025] = 3,
    ACTIONS(3317), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3077), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [53072] = 3,
    ACTIONS(3305), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2921), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [53119] = 3,
    ACTIONS(3169), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3063), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [53166] = 3,
    ACTIONS(3205), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3061), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [53213] = 3,
    ACTIONS(3221), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3059), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [53260] = 3,
    ACTIONS(3233), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3055), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [53307] = 3,
    ACTIONS(3223), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2949), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [53354] = 3,
    ACTIONS(3219), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3011), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [53401] = 21,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1243), 1,
      anon_sym_LPAREN3,
    ACTIONS(3455), 1,
      anon_sym_EQ,
    ACTIONS(3457), 1,
      anon_sym_LPAREN,
    ACTIONS(3459), 1,
      anon_sym_DOLLAR,
    ACTIONS(3461), 1,
      anon_sym_PLUS,
    ACTIONS(3463), 1,
      anon_sym_DQUOTE,
    ACTIONS(3465), 1,
      sym__string_base_other,
    ACTIONS(3469), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3471), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(205), 1,
      sym__string_base,
    STATE(876), 1,
      aux_sym_copy_command_repeat1,
    STATE(1524), 1,
      sym_string,
    STATE(2542), 1,
      sym_earthfile_ref,
    STATE(2650), 1,
      sym_target_ref,
    ACTIONS(3467), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(223), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1593), 2,
      sym_target_artifact,
      sym_target_artifact_build_args,
    STATE(165), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3453), 11,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [53484] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2943), 5,
      anon_sym_LPAREN,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2941), 29,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [53533] = 3,
    ACTIONS(3197), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2885), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [53580] = 3,
    ACTIONS(3211), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2951), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [53627] = 3,
    ACTIONS(3173), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2957), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [53674] = 20,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1233), 1,
      anon_sym_EQ,
    ACTIONS(1235), 1,
      anon_sym_LPAREN,
    ACTIONS(1237), 1,
      anon_sym_DOLLAR,
    ACTIONS(1239), 1,
      anon_sym_PLUS,
    ACTIONS(1241), 1,
      anon_sym_DQUOTE,
    ACTIONS(1243), 1,
      anon_sym_LPAREN3,
    ACTIONS(1257), 1,
      sym__string_base_other,
    ACTIONS(1261), 1,
      anon_sym_SQUOTE2,
    ACTIONS(1263), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(231), 1,
      sym__string_base,
    STATE(882), 1,
      aux_sym_copy_command_repeat1,
    STATE(2542), 1,
      sym_earthfile_ref,
    STATE(2650), 1,
      sym_target_ref,
    ACTIONS(1259), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(284), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(178), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1593), 3,
      sym_target_artifact,
      sym_target_artifact_build_args,
      sym_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1231), 11,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [53755] = 21,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1243), 1,
      anon_sym_LPAREN3,
    ACTIONS(3455), 1,
      anon_sym_EQ,
    ACTIONS(3457), 1,
      anon_sym_LPAREN,
    ACTIONS(3459), 1,
      anon_sym_DOLLAR,
    ACTIONS(3461), 1,
      anon_sym_PLUS,
    ACTIONS(3463), 1,
      anon_sym_DQUOTE,
    ACTIONS(3465), 1,
      sym__string_base_other,
    ACTIONS(3469), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3471), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(205), 1,
      sym__string_base,
    STATE(876), 1,
      aux_sym_copy_command_repeat1,
    STATE(1523), 1,
      sym_string,
    STATE(2542), 1,
      sym_earthfile_ref,
    STATE(2650), 1,
      sym_target_ref,
    ACTIONS(3467), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(223), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1593), 2,
      sym_target_artifact,
      sym_target_artifact_build_args,
    STATE(165), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3453), 11,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [53838] = 3,
    ACTIONS(3187), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2907), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [53885] = 3,
    ACTIONS(3119), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2909), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [53932] = 3,
    ACTIONS(3117), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2913), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [53979] = 3,
    ACTIONS(3163), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2915), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [54026] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3524), 5,
      anon_sym_LPAREN,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3522), 29,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [54075] = 3,
    ACTIONS(3179), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2919), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [54122] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3528), 5,
      anon_sym_LPAREN,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3526), 29,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [54171] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3532), 5,
      anon_sym_LPAREN,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3530), 29,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [54220] = 3,
    ACTIONS(3177), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2965), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [54267] = 19,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3401), 1,
      anon_sym_DASH2,
    ACTIONS(3403), 1,
      anon_sym_DOLLAR,
    ACTIONS(3405), 1,
      anon_sym_DQUOTE,
    ACTIONS(3407), 1,
      sym_allow_privileged,
    ACTIONS(3409), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(3411), 1,
      sym__string_base_other,
    ACTIONS(3415), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3417), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1153), 1,
      sym_import_options,
    STATE(1166), 1,
      sym__string_base,
    ACTIONS(3399), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(3413), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1196), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1428), 2,
      sym_unknown_option,
      aux_sym_import_options_repeat1,
    STATE(2104), 2,
      sym_earthfile_ref,
      sym_string,
    STATE(994), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3397), 11,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
  [54346] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2329), 1,
      anon_sym_DASH_DASHbuild_DASHarg,
    ACTIONS(2331), 1,
      anon_sym_DASHf,
    ACTIONS(2333), 1,
      anon_sym_DASH_DASHtarget,
    ACTIONS(2335), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(2337), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(3538), 1,
      sym_allow_privileged,
    ACTIONS(3536), 4,
      anon_sym_LPAREN,
      anon_sym_DASH2,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(858), 6,
      sym_docker_build_arg,
      sym_docker_file,
      sym_docker_target,
      sym_platform,
      sym_unknown_option,
      aux_sym_from_dockerfile_options_repeat1,
    ACTIONS(3534), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [54409] = 3,
    ACTIONS(3203), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2931), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [54456] = 3,
    ACTIONS(3201), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2953), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [54503] = 3,
    ACTIONS(3213), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2935), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [54550] = 3,
    ACTIONS(3349), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2959), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [54597] = 3,
    ACTIONS(3175), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2961), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [54644] = 3,
    ACTIONS(3171), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2969), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [54691] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3542), 5,
      anon_sym_LPAREN,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3540), 29,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHchown,
      sym_dir,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym_symlink_no_follow,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [54740] = 3,
    ACTIONS(3165), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2876), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [54787] = 3,
    ACTIONS(3209), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2977), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [54834] = 3,
    ACTIONS(3161), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2975), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [54881] = 3,
    ACTIONS(3215), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2983), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [54928] = 3,
    ACTIONS(3225), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2987), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [54975] = 3,
    ACTIONS(3235), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2963), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [55022] = 3,
    ACTIONS(3159), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2997), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [55069] = 3,
    ACTIONS(3167), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3009), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [55116] = 3,
    ACTIONS(3239), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2971), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [55163] = 3,
    ACTIONS(3199), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3015), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [55210] = 3,
    ACTIONS(3237), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3005), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [55257] = 3,
    ACTIONS(3227), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3025), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [55304] = 3,
    ACTIONS(3345), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2985), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [55351] = 3,
    ACTIONS(3243), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3027), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [55398] = 21,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1243), 1,
      anon_sym_LPAREN3,
    ACTIONS(3455), 1,
      anon_sym_EQ,
    ACTIONS(3457), 1,
      anon_sym_LPAREN,
    ACTIONS(3459), 1,
      anon_sym_DOLLAR,
    ACTIONS(3461), 1,
      anon_sym_PLUS,
    ACTIONS(3463), 1,
      anon_sym_DQUOTE,
    ACTIONS(3465), 1,
      sym__string_base_other,
    ACTIONS(3469), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3471), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(205), 1,
      sym__string_base,
    STATE(876), 1,
      aux_sym_copy_command_repeat1,
    STATE(1488), 1,
      sym_string,
    STATE(2542), 1,
      sym_earthfile_ref,
    STATE(2650), 1,
      sym_target_ref,
    ACTIONS(3467), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(223), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1593), 2,
      sym_target_artifact,
      sym_target_artifact_build_args,
    STATE(165), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3453), 11,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [55481] = 3,
    ACTIONS(3275), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3051), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [55528] = 3,
    ACTIONS(3307), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3053), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [55575] = 3,
    ACTIONS(3359), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2993), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [55622] = 3,
    ACTIONS(3309), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3057), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [55669] = 3,
    ACTIONS(3113), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2995), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [55716] = 3,
    ACTIONS(3311), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3067), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [55763] = 3,
    ACTIONS(3185), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2878), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [55810] = 3,
    ACTIONS(3247), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3001), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [55857] = 3,
    ACTIONS(3249), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3003), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [55904] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3550), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3553), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1157), 1,
      sym__immediate_escape_sequence,
    ACTIONS(680), 2,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
    ACTIONS(3547), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(971), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(685), 8,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      anon_sym_DQUOTE2,
    ACTIONS(3544), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [55965] = 3,
    ACTIONS(3371), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3007), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [56012] = 18,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3558), 1,
      anon_sym_NULL,
    STATE(271), 1,
      sym__string_base,
    STATE(782), 1,
      sym__eol,
    STATE(1517), 1,
      sym_image_name,
    STATE(2193), 1,
      sym_images,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(337), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(999), 3,
      sym_image_spec,
      sym_string,
      aux_sym_images_repeat1,
    ACTIONS(3556), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [56089] = 3,
    ACTIONS(3319), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3083), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [56136] = 3,
    ACTIONS(3321), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3087), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [56183] = 3,
    ACTIONS(3337), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3045), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [56230] = 3,
    ACTIONS(3361), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3017), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [56277] = 3,
    ACTIONS(3357), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3019), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [56324] = 3,
    ACTIONS(3339), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3013), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [56371] = 3,
    ACTIONS(3347), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2999), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [56418] = 21,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1243), 1,
      anon_sym_LPAREN3,
    ACTIONS(3455), 1,
      anon_sym_EQ,
    ACTIONS(3457), 1,
      anon_sym_LPAREN,
    ACTIONS(3459), 1,
      anon_sym_DOLLAR,
    ACTIONS(3461), 1,
      anon_sym_PLUS,
    ACTIONS(3463), 1,
      anon_sym_DQUOTE,
    ACTIONS(3465), 1,
      sym__string_base_other,
    ACTIONS(3469), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3471), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(205), 1,
      sym__string_base,
    STATE(876), 1,
      aux_sym_copy_command_repeat1,
    STATE(1503), 1,
      sym_string,
    STATE(2542), 1,
      sym_earthfile_ref,
    STATE(2650), 1,
      sym_target_ref,
    ACTIONS(3467), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(223), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1593), 2,
      sym_target_artifact,
      sym_target_artifact_build_args,
    STATE(165), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3453), 11,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [56501] = 20,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1233), 1,
      anon_sym_EQ,
    ACTIONS(1235), 1,
      anon_sym_LPAREN,
    ACTIONS(1237), 1,
      anon_sym_DOLLAR,
    ACTIONS(1239), 1,
      anon_sym_PLUS,
    ACTIONS(1241), 1,
      anon_sym_DQUOTE,
    ACTIONS(1243), 1,
      anon_sym_LPAREN3,
    ACTIONS(1257), 1,
      sym__string_base_other,
    ACTIONS(1261), 1,
      anon_sym_SQUOTE2,
    ACTIONS(1263), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(231), 1,
      sym__string_base,
    STATE(952), 1,
      aux_sym_copy_command_repeat1,
    STATE(2542), 1,
      sym_earthfile_ref,
    STATE(2650), 1,
      sym_target_ref,
    ACTIONS(1259), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(284), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(178), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1593), 3,
      sym_target_artifact,
      sym_target_artifact_build_args,
      sym_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1231), 11,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [56582] = 21,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3562), 1,
      anon_sym_EQ,
    ACTIONS(3564), 1,
      anon_sym_LPAREN,
    ACTIONS(3566), 1,
      anon_sym_DOLLAR,
    ACTIONS(3568), 1,
      anon_sym_PLUS,
    ACTIONS(3570), 1,
      anon_sym_DQUOTE,
    ACTIONS(3572), 1,
      anon_sym_LPAREN3,
    ACTIONS(3574), 1,
      sym__string_base_other,
    ACTIONS(3578), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3580), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(652), 1,
      sym__string_base,
    STATE(1645), 1,
      sym_string,
    STATE(2166), 1,
      sym_image_name,
    STATE(2578), 1,
      sym_earthfile_ref,
    STATE(2726), 1,
      sym_image_spec,
    ACTIONS(3576), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(773), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1653), 2,
      sym_target_ref,
      sym_target_ref_with_build_args,
    STATE(646), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3560), 11,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [56665] = 3,
    ACTIONS(3341), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3033), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [56712] = 3,
    ACTIONS(3351), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2923), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [56759] = 3,
    ACTIONS(3303), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3039), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [56806] = 3,
    ACTIONS(3269), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3041), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [56853] = 3,
    ACTIONS(3245), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3043), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [56900] = 3,
    ACTIONS(3365), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2937), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [56947] = 3,
    ACTIONS(3367), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2991), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [56994] = 3,
    ACTIONS(3241), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3049), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [57041] = 3,
    ACTIONS(3369), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2917), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [57088] = 3,
    ACTIONS(3183), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2967), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [57135] = 3,
    ACTIONS(3267), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3085), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [57182] = 20,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1233), 1,
      anon_sym_EQ,
    ACTIONS(1235), 1,
      anon_sym_LPAREN,
    ACTIONS(1237), 1,
      anon_sym_DOLLAR,
    ACTIONS(1239), 1,
      anon_sym_PLUS,
    ACTIONS(1241), 1,
      anon_sym_DQUOTE,
    ACTIONS(1243), 1,
      anon_sym_LPAREN3,
    ACTIONS(1257), 1,
      sym__string_base_other,
    ACTIONS(1261), 1,
      anon_sym_SQUOTE2,
    ACTIONS(1263), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(231), 1,
      sym__string_base,
    STATE(893), 1,
      aux_sym_copy_command_repeat1,
    STATE(2542), 1,
      sym_earthfile_ref,
    STATE(2650), 1,
      sym_target_ref,
    ACTIONS(1259), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(284), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(178), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1593), 3,
      sym_target_artifact,
      sym_target_artifact_build_args,
      sym_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1231), 11,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [57263] = 3,
    ACTIONS(3265), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3081), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [57310] = 3,
    ACTIONS(3263), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3079), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [57357] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1157), 1,
      sym__immediate_escape_sequence,
    STATE(869), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(695), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(693), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [57410] = 3,
    ACTIONS(3273), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3075), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [57457] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3588), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3591), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1157), 1,
      sym__immediate_escape_sequence,
    ACTIONS(664), 2,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
    ACTIONS(3585), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(869), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(669), 8,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      anon_sym_DQUOTE2,
    ACTIONS(3582), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [57518] = 3,
    ACTIONS(3157), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3065), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [57565] = 3,
    ACTIONS(3181), 1,
      sym__dedent,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3071), 33,
      anon_sym_PROJECT,
      anon_sym_ARG,
      anon_sym_BUILD,
      anon_sym_CACHE,
      anon_sym_CMD,
      anon_sym_COPY,
      anon_sym_DO,
      anon_sym_ENTRYPOINT,
      anon_sym_ENV,
      anon_sym_EXPOSE,
      anon_sym_FOR,
      anon_sym_FROM,
      anon_sym_FROMDOCKERFILE,
      anon_sym_FUNCTION,
      anon_sym_COMMAND,
      anon_sym_GITCLONE,
      anon_sym_HOST,
      anon_sym_IF,
      anon_sym_IMPORT,
      anon_sym_LET,
      anon_sym_LABEL,
      anon_sym_LOCALLY,
      anon_sym_RUN,
      anon_sym_SAVEARTIFACT,
      anon_sym_SAVEIMAGE,
      anon_sym_SET,
      anon_sym_TRY,
      anon_sym_USER,
      anon_sym_VOLUME,
      anon_sym_WAIT,
      anon_sym_WITHDOCKER,
      anon_sym_WORKDIR,
      aux_sym_block_token1,
  [57612] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3598), 1,
      anon_sym_DASH,
    STATE(986), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(3596), 3,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3600), 8,
      anon_sym_LPAREN,
      anon_sym_DOT2,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3594), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      anon_sym_SQUOTE2,
  [57666] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3602), 1,
      sym__immediate_string_base_other,
    ACTIONS(3605), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(1024), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(751), 5,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_unknown_option_token1,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(749), 27,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [57720] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(445), 1,
      anon_sym_DASH2,
    ACTIONS(3612), 1,
      anon_sym_SQUOTE,
    ACTIONS(3614), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3616), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3618), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1483), 1,
      sym__immediate_escape_sequence,
    ACTIONS(449), 2,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
    ACTIONS(3610), 3,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
    STATE(977), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(1145), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3608), 14,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [57786] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(464), 1,
      anon_sym_DASH2,
    ACTIONS(3626), 1,
      anon_sym_SQUOTE,
    ACTIONS(3629), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3632), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3635), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1483), 1,
      sym__immediate_escape_sequence,
    ACTIONS(469), 2,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
    ACTIONS(3623), 3,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
    STATE(977), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(1145), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3620), 14,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [57852] = 18,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(2576), 1,
      anon_sym_LBRACK,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3640), 1,
      anon_sym_NULL,
    STATE(774), 1,
      sym__eol,
    STATE(2406), 1,
      sym_string_array,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1037), 2,
      sym_string,
      aux_sym_expose_command_repeat1,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(337), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(3638), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 13,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [57928] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3649), 1,
      sym__immediate_string_base_other,
    STATE(979), 3,
      sym__immediate_string_base,
      aux_sym_image_name_repeat1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(3642), 5,
      anon_sym_SLASH,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(3645), 10,
      anon_sym_COLON,
      anon_sym_SLASH2,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(3647), 18,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_AT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [57982] = 18,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(2576), 1,
      anon_sym_LBRACK,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3654), 1,
      anon_sym_NULL,
    STATE(897), 1,
      sym__eol,
    STATE(2217), 1,
      sym_string_array,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1036), 2,
      sym_string,
      aux_sym_expose_command_repeat1,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(337), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(3652), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 13,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [58058] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3660), 1,
      anon_sym_DASH,
    STATE(974), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(3658), 3,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3662), 8,
      anon_sym_LPAREN,
      anon_sym_DOT2,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3656), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      anon_sym_SQUOTE2,
  [58112] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3670), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3676), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3679), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1480), 1,
      sym__immediate_escape_sequence,
    ACTIONS(464), 2,
      anon_sym_DASH2,
      anon_sym_NULL,
    ACTIONS(3667), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(982), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(1152), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(469), 5,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3664), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [58178] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(579), 1,
      anon_sym_DASH2,
    ACTIONS(3612), 1,
      anon_sym_SQUOTE,
    ACTIONS(3614), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3616), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3618), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1483), 1,
      sym__immediate_escape_sequence,
    ACTIONS(581), 2,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
    ACTIONS(3610), 3,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
    STATE(976), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(1145), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3608), 14,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [58244] = 19,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2315), 1,
      anon_sym_EQ,
    ACTIONS(2317), 1,
      anon_sym_LPAREN,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2321), 1,
      anon_sym_PLUS,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2325), 1,
      anon_sym_LPAREN3,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1130), 1,
      sym__string_base,
    STATE(2542), 1,
      sym_earthfile_ref,
    STATE(2546), 1,
      sym_target_ref,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1284), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(2501), 3,
      sym_target_artifact,
      sym_target_artifact_build_args,
      sym_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2313), 11,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [58322] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3686), 1,
      anon_sym_SQUOTE,
    ACTIONS(3688), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3690), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3692), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1480), 1,
      sym__immediate_escape_sequence,
    ACTIONS(579), 2,
      anon_sym_DASH2,
      anon_sym_NULL,
    ACTIONS(3684), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(991), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(1152), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(581), 5,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3682), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [58388] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3699), 1,
      anon_sym_DASH,
    STATE(986), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(3696), 3,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3702), 8,
      anon_sym_LPAREN,
      anon_sym_DOT2,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3694), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      anon_sym_SQUOTE2,
  [58442] = 19,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2315), 1,
      anon_sym_EQ,
    ACTIONS(2317), 1,
      anon_sym_LPAREN,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2321), 1,
      anon_sym_PLUS,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2325), 1,
      anon_sym_LPAREN3,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1130), 1,
      sym__string_base,
    STATE(2542), 1,
      sym_earthfile_ref,
    STATE(2546), 1,
      sym_target_ref,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1284), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(2251), 3,
      sym_target_artifact,
      sym_target_artifact_build_args,
      sym_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2313), 11,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [58520] = 18,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(2576), 1,
      anon_sym_LBRACK,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3706), 1,
      anon_sym_NULL,
    STATE(684), 1,
      sym__eol,
    STATE(2480), 1,
      sym_string_array,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1020), 2,
      sym_string,
      aux_sym_expose_command_repeat1,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(337), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(3704), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 13,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [58596] = 9,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(753), 1,
      anon_sym_EQ4,
    ACTIONS(3708), 1,
      sym__immediate_string_base_other,
    STATE(2098), 1,
      aux_sym_variable_repeat1,
    ACTIONS(3711), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(1091), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(751), 5,
      anon_sym_EQ3,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(749), 21,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [58654] = 19,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3716), 1,
      anon_sym_EQ,
    ACTIONS(3718), 1,
      anon_sym_LPAREN,
    ACTIONS(3720), 1,
      anon_sym_DOLLAR,
    ACTIONS(3722), 1,
      anon_sym_PLUS,
    ACTIONS(3724), 1,
      anon_sym_DQUOTE,
    ACTIONS(3726), 1,
      anon_sym_LPAREN3,
    ACTIONS(3728), 1,
      sym__string_base_other,
    ACTIONS(3732), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3734), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(125), 1,
      sym__string_base,
    STATE(2542), 1,
      sym_earthfile_ref,
    STATE(2581), 1,
      sym_target_ref,
    ACTIONS(3730), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(148), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(62), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1263), 3,
      sym_target_artifact,
      sym_target_artifact_build_args,
      sym_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3714), 11,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [58732] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3686), 1,
      anon_sym_SQUOTE,
    ACTIONS(3688), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3690), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3692), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1480), 1,
      sym__immediate_escape_sequence,
    ACTIONS(445), 2,
      anon_sym_DASH2,
      anon_sym_NULL,
    ACTIONS(3684), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(982), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(1152), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(449), 5,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3682), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [58798] = 19,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2315), 1,
      anon_sym_EQ,
    ACTIONS(2317), 1,
      anon_sym_LPAREN,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2321), 1,
      anon_sym_PLUS,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2325), 1,
      anon_sym_LPAREN3,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1130), 1,
      sym__string_base,
    STATE(2542), 1,
      sym_earthfile_ref,
    STATE(2546), 1,
      sym_target_ref,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1284), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(2453), 3,
      sym_target_artifact,
      sym_target_artifact_build_args,
      sym_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2313), 11,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [58876] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3742), 1,
      sym__immediate_string_base_other,
    STATE(979), 3,
      sym__immediate_string_base,
      aux_sym_image_name_repeat1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(3736), 5,
      anon_sym_SLASH,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(3738), 10,
      anon_sym_COLON,
      anon_sym_SLASH2,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(3740), 18,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_AT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [58930] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3746), 1,
      anon_sym_SQUOTE,
    ACTIONS(3750), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3752), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3754), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1567), 1,
      sym__immediate_escape_sequence,
    ACTIONS(579), 2,
      anon_sym_AS,
      anon_sym_NULL,
    ACTIONS(3748), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    ACTIONS(581), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(1003), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(1182), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(3744), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [58995] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3758), 1,
      anon_sym_SQUOTE,
    ACTIONS(3760), 1,
      sym__immediate_string_base_other,
    ACTIONS(3762), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3764), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3766), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1536), 1,
      sym__immediate_escape_sequence,
    ACTIONS(445), 2,
      sym__string_base_alpha,
      anon_sym_NULL,
    ACTIONS(449), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(1000), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(1286), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(3756), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [59060] = 17,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2664), 1,
      anon_sym_EQ,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR,
    ACTIONS(2670), 1,
      anon_sym_PLUS,
    ACTIONS(2672), 1,
      anon_sym_DQUOTE,
    ACTIONS(2682), 1,
      sym__string_base_other,
    ACTIONS(2686), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2688), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1006), 1,
      sym__string_base,
    STATE(2006), 1,
      sym_image_name,
    STATE(2672), 1,
      sym_earthfile_ref,
    ACTIONS(2684), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1142), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(985), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1781), 3,
      sym_image_spec,
      sym_target_ref,
      sym_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2662), 12,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [59133] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(579), 1,
      anon_sym_NULL,
    ACTIONS(3770), 1,
      anon_sym_SQUOTE,
    ACTIONS(3774), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3776), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3778), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1544), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3772), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    STATE(998), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(1280), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(581), 5,
      anon_sym_ASLOCAL,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3768), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [59198] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(445), 1,
      anon_sym_NULL,
    ACTIONS(3770), 1,
      anon_sym_SQUOTE,
    ACTIONS(3774), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3776), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3778), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1544), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3772), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    STATE(1011), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(1280), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(449), 5,
      anon_sym_ASLOCAL,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3768), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [59263] = 16,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3782), 1,
      anon_sym_NULL,
    STATE(271), 1,
      sym__string_base,
    STATE(1517), 1,
      sym_image_name,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(337), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1008), 3,
      sym_image_spec,
      sym_string,
      aux_sym_images_repeat1,
    ACTIONS(3780), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [59334] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3787), 1,
      anon_sym_SQUOTE,
    ACTIONS(3790), 1,
      sym__immediate_string_base_other,
    ACTIONS(3793), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3796), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3799), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1536), 1,
      sym__immediate_escape_sequence,
    ACTIONS(464), 2,
      sym__string_base_alpha,
      anon_sym_NULL,
    ACTIONS(469), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(1000), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(1286), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(3784), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [59399] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3758), 1,
      anon_sym_SQUOTE,
    ACTIONS(3760), 1,
      sym__immediate_string_base_other,
    ACTIONS(3762), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3764), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3766), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1536), 1,
      sym__immediate_escape_sequence,
    ACTIONS(579), 2,
      sym__string_base_alpha,
      anon_sym_NULL,
    ACTIONS(581), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(995), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(1286), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(3756), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [59464] = 18,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3562), 1,
      anon_sym_EQ,
    ACTIONS(3564), 1,
      anon_sym_LPAREN,
    ACTIONS(3566), 1,
      anon_sym_DOLLAR,
    ACTIONS(3568), 1,
      anon_sym_PLUS,
    ACTIONS(3570), 1,
      anon_sym_DQUOTE,
    ACTIONS(3572), 1,
      anon_sym_LPAREN3,
    ACTIONS(3574), 1,
      sym__string_base_other,
    ACTIONS(3578), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3580), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(657), 1,
      sym__string_base,
    STATE(2578), 1,
      sym_earthfile_ref,
    ACTIONS(3576), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(773), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(637), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1662), 3,
      sym_target_ref,
      sym_target_ref_with_build_args,
      sym_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3560), 11,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [59539] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3746), 1,
      anon_sym_SQUOTE,
    ACTIONS(3750), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3752), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3754), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1567), 1,
      sym__immediate_escape_sequence,
    ACTIONS(445), 2,
      anon_sym_AS,
      anon_sym_NULL,
    ACTIONS(3748), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    ACTIONS(449), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(1010), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(1182), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(3744), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [59604] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3708), 1,
      sym__immediate_string_base_other,
    ACTIONS(3802), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(1091), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(751), 5,
      anon_sym_EQ3,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(749), 22,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [59657] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3805), 1,
      sym__immediate_string_base_other,
    STATE(1005), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(3808), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(809), 5,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_unknown_option_token1,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(807), 27,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [59710] = 18,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2865), 1,
      anon_sym_PLUS,
    ACTIONS(3827), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3830), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1467), 1,
      sym__immediate_escape_sequence,
    STATE(1608), 1,
      aux_sym_earthfile_ref_repeat1,
    STATE(1634), 1,
      aux_sym_image_name_repeat1,
    ACTIONS(685), 2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
    ACTIONS(2179), 2,
      anon_sym_DASH2,
      anon_sym_NULL,
    ACTIONS(3814), 2,
      anon_sym_EQ3,
      anon_sym_PLUS2,
    ACTIONS(3817), 2,
      anon_sym_COLON2,
      anon_sym_AT2,
    ACTIONS(3821), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(1139), 2,
      sym__immediate_expansion,
      aux_sym_unquoted_string_repeat1,
    STATE(1394), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(3811), 4,
      anon_sym_SLASH,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(2192), 5,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3824), 7,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
  [59785] = 17,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2664), 1,
      anon_sym_EQ,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR,
    ACTIONS(2670), 1,
      anon_sym_PLUS,
    ACTIONS(2672), 1,
      anon_sym_DQUOTE,
    ACTIONS(2682), 1,
      sym__string_base_other,
    ACTIONS(2686), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2688), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1006), 1,
      sym__string_base,
    STATE(2006), 1,
      sym_image_name,
    STATE(2672), 1,
      sym_earthfile_ref,
    ACTIONS(2684), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1142), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(985), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1820), 3,
      sym_image_spec,
      sym_target_ref,
      sym_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2662), 12,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [59858] = 16,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3836), 1,
      anon_sym_DOLLAR,
    ACTIONS(3839), 1,
      anon_sym_DQUOTE,
    ACTIONS(3842), 1,
      sym__string_base_other,
    ACTIONS(3848), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3851), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3856), 1,
      anon_sym_NULL,
    STATE(271), 1,
      sym__string_base,
    STATE(1517), 1,
      sym_image_name,
    ACTIONS(3845), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(337), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1008), 3,
      sym_image_spec,
      sym_string,
      aux_sym_images_repeat1,
    ACTIONS(3854), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3833), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [59929] = 17,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2664), 1,
      anon_sym_EQ,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR,
    ACTIONS(2670), 1,
      anon_sym_PLUS,
    ACTIONS(2672), 1,
      anon_sym_DQUOTE,
    ACTIONS(2682), 1,
      sym__string_base_other,
    ACTIONS(2686), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2688), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1006), 1,
      sym__string_base,
    STATE(2006), 1,
      sym_image_name,
    STATE(2672), 1,
      sym_earthfile_ref,
    ACTIONS(2684), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1142), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(985), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1690), 3,
      sym_image_spec,
      sym_target_ref,
      sym_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2662), 12,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [60002] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3861), 1,
      anon_sym_SQUOTE,
    ACTIONS(3867), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3873), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1567), 1,
      sym__immediate_escape_sequence,
    ACTIONS(464), 2,
      anon_sym_AS,
      anon_sym_NULL,
    ACTIONS(3864), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    ACTIONS(469), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(1010), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(1182), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(3858), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [60067] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(464), 1,
      anon_sym_NULL,
    ACTIONS(3879), 1,
      anon_sym_SQUOTE,
    ACTIONS(3885), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3888), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3891), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1544), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3882), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    STATE(1011), 4,
      sym__immediate_double_quoted_string,
      sym__immediate_single_quoted_string,
      sym__immediate_unquoted_string,
      aux_sym_string_repeat1,
    STATE(1280), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(469), 5,
      anon_sym_ASLOCAL,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3876), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [60132] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1012), 1,
      aux_sym_variable_repeat1,
    ACTIONS(3894), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(823), 6,
      anon_sym_EQ3,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(821), 22,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [60182] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1018), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(830), 6,
      anon_sym_EQ3,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(828), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [60230] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3900), 1,
      anon_sym_DASH,
    STATE(1014), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(3897), 3,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3702), 7,
      anon_sym_DOT2,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3694), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      anon_sym_SQUOTE2,
  [60282] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3903), 1,
      sym__immediate_string_base_other,
    STATE(1015), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(3906), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(809), 5,
      anon_sym_EQ3,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(807), 22,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [60334] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2865), 1,
      anon_sym_PLUS,
    ACTIONS(3827), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3830), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1467), 1,
      sym__immediate_escape_sequence,
    STATE(1608), 1,
      aux_sym_earthfile_ref_repeat1,
    ACTIONS(680), 2,
      anon_sym_DASH2,
      anon_sym_NULL,
    ACTIONS(3814), 2,
      anon_sym_EQ3,
      anon_sym_PLUS2,
    ACTIONS(3909), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(1139), 2,
      sym__immediate_expansion,
      aux_sym_unquoted_string_repeat1,
    STATE(1471), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(685), 7,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      anon_sym_DQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3824), 13,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
  [60400] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1023), 1,
      aux_sym_variable_repeat1,
    ACTIONS(819), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(817), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [60448] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1012), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(819), 6,
      anon_sym_EQ3,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(817), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [60496] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3912), 1,
      sym__immediate_string_base_other,
    ACTIONS(3915), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(1160), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(751), 4,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(749), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [60548] = 15,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3920), 1,
      anon_sym_NULL,
    STATE(664), 1,
      sym__eol,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1100), 2,
      sym_string,
      aux_sym_expose_command_repeat1,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(337), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(3918), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [60616] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3924), 1,
      anon_sym_DASH,
    STATE(1014), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(3922), 3,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3600), 7,
      anon_sym_DOT2,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3594), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      anon_sym_SQUOTE2,
  [60668] = 16,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3928), 1,
      anon_sym_ASLOCAL,
    ACTIONS(3930), 1,
      anon_sym_DOLLAR,
    ACTIONS(3932), 1,
      anon_sym_DQUOTE,
    ACTIONS(3936), 1,
      sym__string_base_num,
    ACTIONS(3938), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3940), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3944), 1,
      anon_sym_NULL,
    STATE(658), 1,
      sym__eol,
    STATE(2111), 1,
      sym_string,
    ACTIONS(3934), 2,
      sym__string_base_other,
      sym__string_base_alpha,
    STATE(997), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1288), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(3942), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3926), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [60738] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1023), 1,
      aux_sym_variable_repeat1,
    ACTIONS(3946), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(823), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(821), 27,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [60788] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(944), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_unknown_option_token1,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(942), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [60834] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3953), 1,
      anon_sym_DASH_DASHmount,
    ACTIONS(3959), 1,
      anon_sym_DASH_DASHsecret,
    ACTIONS(3962), 1,
      aux_sym_unknown_option_token1,
    STATE(1025), 1,
      aux_sym__conditional_block_options,
    ACTIONS(3951), 3,
      anon_sym_DASH2,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3956), 3,
      sym_no_cache,
      sym_privileged,
      sym_ssh,
    STATE(1306), 3,
      sym_mount,
      sym_secret,
      sym_unknown_option,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3949), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
  [60892] = 15,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3967), 1,
      anon_sym_NULL,
    STATE(880), 1,
      sym__eol,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1100), 2,
      sym_string,
      aux_sym_expose_command_repeat1,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(337), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(3965), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [60960] = 9,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2676), 1,
      anon_sym_DASH_DASHbuild_DASHarg,
    ACTIONS(2678), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(2680), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(3971), 3,
      anon_sym_DASH2,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3973), 3,
      sym_allow_privileged,
      sym_auto_skip,
      sym_pass_args,
    STATE(1052), 4,
      sym_build_arg_deprecated,
      sym_platform,
      sym_unknown_option,
      aux_sym_build_options_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3969), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [61016] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3975), 1,
      anon_sym_PLUS,
    ACTIONS(2022), 2,
      aux_sym_unknown_option_token1,
      anon_sym_NULL,
    ACTIONS(2026), 3,
      anon_sym_DASH,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2019), 13,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(2024), 16,
      anon_sym_EQ3,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [61068] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2760), 1,
      anon_sym_DASH_DASHchmod,
    ACTIONS(2762), 1,
      anon_sym_DASH_DASHid,
    ACTIONS(2766), 1,
      anon_sym_DASH_DASHsharing,
    ACTIONS(2768), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(3981), 1,
      sym_persist,
    ACTIONS(3979), 3,
      anon_sym_DASH2,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(1038), 5,
      sym_chmod,
      sym_id,
      sym_sharing,
      sym_unknown_option,
      aux_sym_cache_options_repeat1,
    ACTIONS(3977), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [61126] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2026), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2638), 1,
      anon_sym_EQ3,
    ACTIONS(3975), 1,
      anon_sym_PLUS,
    ACTIONS(2022), 2,
      aux_sym_unknown_option_token1,
      anon_sym_NULL,
    ACTIONS(3987), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(3983), 6,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(2019), 7,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
    ACTIONS(2024), 15,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [61184] = 15,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3993), 1,
      anon_sym_NULL,
    STATE(662), 1,
      sym__eol,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1100), 2,
      sym_string,
      aux_sym_expose_command_repeat1,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(337), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(3991), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [61252] = 16,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3930), 1,
      anon_sym_DOLLAR,
    ACTIONS(3932), 1,
      anon_sym_DQUOTE,
    ACTIONS(3936), 1,
      sym__string_base_num,
    ACTIONS(3938), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3940), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3995), 1,
      anon_sym_ASLOCAL,
    ACTIONS(3999), 1,
      anon_sym_NULL,
    STATE(734), 1,
      sym__eol,
    STATE(2167), 1,
      sym_string,
    ACTIONS(3934), 2,
      sym__string_base_other,
      sym__string_base_alpha,
    STATE(997), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1288), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(3997), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3926), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [61322] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(680), 1,
      anon_sym_DASH2,
    ACTIONS(2865), 1,
      anon_sym_PLUS,
    ACTIONS(4010), 1,
      anon_sym_DOLLAR2,
    ACTIONS(4013), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1442), 1,
      sym__immediate_escape_sequence,
    STATE(1608), 1,
      aux_sym_earthfile_ref_repeat1,
    ACTIONS(4004), 2,
      anon_sym_EQ3,
      anon_sym_PLUS2,
    STATE(1151), 2,
      sym__immediate_expansion,
      aux_sym_unquoted_string_repeat1,
    STATE(1430), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(4007), 3,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
    ACTIONS(685), 4,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      anon_sym_DQUOTE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4001), 12,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
  [61388] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4016), 1,
      sym__immediate_string_base_other,
    STATE(1034), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(4019), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(809), 10,
      anon_sym_COLON,
      anon_sym_SLASH2,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(807), 21,
      anon_sym_SLASH,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_AT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [61440] = 16,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3930), 1,
      anon_sym_DOLLAR,
    ACTIONS(3932), 1,
      anon_sym_DQUOTE,
    ACTIONS(3936), 1,
      sym__string_base_num,
    ACTIONS(3938), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3940), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4022), 1,
      anon_sym_ASLOCAL,
    ACTIONS(4026), 1,
      anon_sym_NULL,
    STATE(895), 1,
      sym__eol,
    STATE(2119), 1,
      sym_string,
    ACTIONS(3934), 2,
      sym__string_base_other,
      sym__string_base_alpha,
    STATE(997), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1288), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(4024), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3926), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [61510] = 15,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4030), 1,
      anon_sym_NULL,
    STATE(903), 1,
      sym__eol,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1100), 2,
      sym_string,
      aux_sym_expose_command_repeat1,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(337), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(4028), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [61578] = 15,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4034), 1,
      anon_sym_NULL,
    STATE(768), 1,
      sym__eol,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1100), 2,
      sym_string,
      aux_sym_expose_command_repeat1,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(337), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(4032), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [61646] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4040), 1,
      anon_sym_DASH_DASHchmod,
    ACTIONS(4043), 1,
      anon_sym_DASH_DASHid,
    ACTIONS(4046), 1,
      sym_persist,
    ACTIONS(4049), 1,
      anon_sym_DASH_DASHsharing,
    ACTIONS(4052), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(4038), 3,
      anon_sym_DASH2,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(1038), 5,
      sym_chmod,
      sym_id,
      sym_sharing,
      sym_unknown_option,
      aux_sym_cache_options_repeat1,
    ACTIONS(4036), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [61704] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4055), 1,
      anon_sym_PLUS,
    ACTIONS(834), 2,
      aux_sym_unknown_option_token1,
      anon_sym_NULL,
    ACTIONS(2038), 3,
      anon_sym_DASH,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2035), 13,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(832), 16,
      anon_sym_EQ3,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [61756] = 16,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3930), 1,
      anon_sym_DOLLAR,
    ACTIONS(3932), 1,
      anon_sym_DQUOTE,
    ACTIONS(3936), 1,
      sym__string_base_num,
    ACTIONS(3938), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3940), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4057), 1,
      anon_sym_ASLOCAL,
    ACTIONS(4061), 1,
      anon_sym_NULL,
    STATE(2151), 1,
      sym_string,
    STATE(2448), 1,
      sym__eol,
    ACTIONS(3934), 2,
      sym__string_base_other,
      sym__string_base_alpha,
    STATE(997), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1288), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(4059), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3926), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [61826] = 16,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3930), 1,
      anon_sym_DOLLAR,
    ACTIONS(3932), 1,
      anon_sym_DQUOTE,
    ACTIONS(3936), 1,
      sym__string_base_num,
    ACTIONS(3938), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3940), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4063), 1,
      anon_sym_ASLOCAL,
    ACTIONS(4067), 1,
      anon_sym_NULL,
    STATE(790), 1,
      sym__eol,
    STATE(2136), 1,
      sym_string,
    ACTIONS(3934), 2,
      sym__string_base_other,
      sym__string_base_alpha,
    STATE(997), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1288), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(4065), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3926), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [61896] = 16,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3930), 1,
      anon_sym_DOLLAR,
    ACTIONS(3932), 1,
      anon_sym_DQUOTE,
    ACTIONS(3936), 1,
      sym__string_base_num,
    ACTIONS(3938), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3940), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4069), 1,
      anon_sym_ASLOCAL,
    ACTIONS(4073), 1,
      anon_sym_NULL,
    STATE(888), 1,
      sym__eol,
    STATE(2115), 1,
      sym_string,
    ACTIONS(3934), 2,
      sym__string_base_other,
      sym__string_base_alpha,
    STATE(997), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1288), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(4071), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3926), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [61966] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4077), 1,
      anon_sym_DASH,
    STATE(1021), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(4075), 3,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3662), 7,
      anon_sym_DOT2,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3656), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      anon_sym_SQUOTE2,
  [62018] = 16,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3930), 1,
      anon_sym_DOLLAR,
    ACTIONS(3932), 1,
      anon_sym_DQUOTE,
    ACTIONS(3936), 1,
      sym__string_base_num,
    ACTIONS(3938), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3940), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4079), 1,
      anon_sym_ASLOCAL,
    ACTIONS(4083), 1,
      anon_sym_NULL,
    STATE(2138), 1,
      sym_string,
    STATE(2364), 1,
      sym__eol,
    ACTIONS(3934), 2,
      sym__string_base_other,
      sym__string_base_alpha,
    STATE(997), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1288), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(4081), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3926), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [62088] = 15,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4087), 1,
      anon_sym_NULL,
    STATE(847), 1,
      sym__eol,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1100), 2,
      sym_string,
      aux_sym_expose_command_repeat1,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(337), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(4085), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [62156] = 16,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3930), 1,
      anon_sym_DOLLAR,
    ACTIONS(3932), 1,
      anon_sym_DQUOTE,
    ACTIONS(3936), 1,
      sym__string_base_num,
    ACTIONS(3938), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3940), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4089), 1,
      anon_sym_ASLOCAL,
    ACTIONS(4093), 1,
      anon_sym_NULL,
    STATE(785), 1,
      sym__eol,
    STATE(2165), 1,
      sym_string,
    ACTIONS(3934), 2,
      sym__string_base_other,
      sym__string_base_alpha,
    STATE(997), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1288), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(4091), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3926), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [62226] = 15,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4097), 1,
      anon_sym_NULL,
    STATE(809), 1,
      sym__eol,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1045), 2,
      sym_string,
      aux_sym_expose_command_repeat1,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(337), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(4095), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [62294] = 9,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4102), 1,
      anon_sym_DASH,
    STATE(1632), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(926), 2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4105), 2,
      aux_sym_unknown_option_token1,
      anon_sym_NULL,
    ACTIONS(4099), 3,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(1928), 11,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(924), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [62350] = 15,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4110), 1,
      anon_sym_NULL,
    STATE(928), 1,
      sym__eol,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1026), 2,
      sym_string,
      aux_sym_expose_command_repeat1,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(337), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(4108), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [62418] = 15,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4114), 1,
      anon_sym_NULL,
    STATE(708), 1,
      sym__eol,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1031), 2,
      sym_string,
      aux_sym_expose_command_repeat1,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(337), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(4112), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [62486] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(918), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      aux_sym_unknown_option_token1,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(916), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [62532] = 9,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4123), 1,
      anon_sym_DASH_DASHbuild_DASHarg,
    ACTIONS(4126), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(4129), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(4118), 3,
      anon_sym_DASH2,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4120), 3,
      sym_allow_privileged,
      sym_auto_skip,
      sym_pass_args,
    STATE(1052), 4,
      sym_build_arg_deprecated,
      sym_platform,
      sym_unknown_option,
      aux_sym_build_options_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4116), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [62588] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1017), 1,
      aux_sym_variable_repeat1,
    ACTIONS(830), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(828), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [62636] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(875), 6,
      anon_sym_EQ3,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(873), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [62681] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1078), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(819), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(817), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [62728] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4136), 1,
      anon_sym_DASH_DASHcache_DASHfrom,
    ACTIONS(4142), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(4139), 3,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
    STATE(1056), 3,
      sym_cache_from,
      sym_unknown_option,
      aux_sym_save_image_options_repeat1,
    ACTIONS(4134), 4,
      anon_sym_DASH2,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(4132), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [62781] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(680), 1,
      anon_sym_DASH2,
    ACTIONS(4010), 1,
      anon_sym_DOLLAR2,
    ACTIONS(4013), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4148), 1,
      sym__immediate_string_base_alpha,
    STATE(1483), 1,
      sym__immediate_escape_sequence,
    STATE(2121), 1,
      sym__immediate_identifier,
    ACTIONS(4145), 3,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
    ACTIONS(685), 4,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      anon_sym_DQUOTE2,
    STATE(1151), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4004), 13,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [62842] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(928), 3,
      anon_sym_EQ4,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(926), 6,
      anon_sym_EQ3,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(924), 21,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [62889] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(851), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(849), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [62934] = 17,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4153), 1,
      anon_sym_EQ,
    ACTIONS(4155), 1,
      anon_sym_DOLLAR,
    ACTIONS(4157), 1,
      anon_sym_PLUS,
    ACTIONS(4159), 1,
      anon_sym_DQUOTE,
    ACTIONS(4161), 1,
      sym__string_base_other,
    ACTIONS(4165), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4167), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1033), 1,
      sym__string_base,
    STATE(1844), 1,
      sym_string,
    STATE(2542), 1,
      sym_earthfile_ref,
    STATE(2730), 1,
      sym_target_ref,
    ACTIONS(4163), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1144), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(983), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4151), 12,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [63005] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4175), 1,
      anon_sym_DOLLAR2,
    ACTIONS(4178), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1376), 1,
      sym__immediate_escape_sequence,
    ACTIONS(700), 2,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
    ACTIONS(4172), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(705), 4,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      anon_sym_DQUOTE2,
    STATE(1061), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4169), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [63062] = 15,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4155), 1,
      anon_sym_DOLLAR,
    ACTIONS(4159), 1,
      anon_sym_DQUOTE,
    ACTIONS(4161), 1,
      sym__string_base_other,
    ACTIONS(4165), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4167), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4181), 1,
      anon_sym_RPAREN,
    ACTIONS(4183), 1,
      anon_sym_DASH2,
    STATE(2137), 1,
      sym_string,
    ACTIONS(4163), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    ACTIONS(4186), 2,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
    STATE(983), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1144), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4153), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_PLUS,
  [63129] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2375), 1,
      sym_strings,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1089), 2,
      sym_string,
      aux_sym_expose_command_repeat1,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(337), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [63192] = 17,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4153), 1,
      anon_sym_EQ,
    ACTIONS(4155), 1,
      anon_sym_DOLLAR,
    ACTIONS(4157), 1,
      anon_sym_PLUS,
    ACTIONS(4159), 1,
      anon_sym_DQUOTE,
    ACTIONS(4161), 1,
      sym__string_base_other,
    ACTIONS(4165), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4167), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1033), 1,
      sym__string_base,
    STATE(1838), 1,
      sym_string,
    STATE(2542), 1,
      sym_earthfile_ref,
    STATE(2720), 1,
      sym_target_ref,
    ACTIONS(4163), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1144), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(983), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4151), 12,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [63263] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(834), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(832), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [63308] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(875), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(873), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [63353] = 15,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4192), 1,
      anon_sym_DQUOTE,
    ACTIONS(4194), 1,
      sym__string_base_other,
    ACTIONS(4198), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4200), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4204), 1,
      anon_sym_NULL,
    STATE(744), 1,
      sym__eol,
    STATE(2180), 1,
      sym_string_with_spaces,
    ACTIONS(4196), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(400), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    STATE(1129), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string_with_spaces,
    ACTIONS(4202), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4188), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [63420] = 17,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2664), 1,
      anon_sym_EQ,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR,
    ACTIONS(2670), 1,
      anon_sym_PLUS,
    ACTIONS(2672), 1,
      anon_sym_DQUOTE,
    ACTIONS(2682), 1,
      sym__string_base_other,
    ACTIONS(2686), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2688), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1016), 1,
      sym__string_base,
    STATE(1817), 1,
      sym_target_ref,
    STATE(1818), 1,
      sym_string,
    STATE(2672), 1,
      sym_earthfile_ref,
    ACTIONS(2684), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1142), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(985), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2662), 12,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [63491] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(918), 6,
      anon_sym_EQ3,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(916), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [63536] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(855), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(853), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [63581] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(834), 6,
      anon_sym_EQ3,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(832), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [63626] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2022), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2641), 4,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__immediate_string_base_other,
      anon_sym_NULL,
    ACTIONS(2024), 12,
      anon_sym_EQ3,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(2638), 17,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_AT2,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [63675] = 15,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4192), 1,
      anon_sym_DQUOTE,
    ACTIONS(4194), 1,
      sym__string_base_other,
    ACTIONS(4198), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4200), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4208), 1,
      anon_sym_NULL,
    STATE(913), 1,
      sym__eol,
    STATE(2299), 1,
      sym_string_with_spaces,
    ACTIONS(4196), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(400), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    STATE(1129), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string_with_spaces,
    ACTIONS(4206), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4188), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [63742] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1055), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(830), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(828), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [63789] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(914), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(912), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [63834] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(871), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(869), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [63879] = 17,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4153), 1,
      anon_sym_EQ,
    ACTIONS(4155), 1,
      anon_sym_DOLLAR,
    ACTIONS(4157), 1,
      anon_sym_PLUS,
    ACTIONS(4159), 1,
      anon_sym_DQUOTE,
    ACTIONS(4161), 1,
      sym__string_base_other,
    ACTIONS(4165), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4167), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1033), 1,
      sym__string_base,
    STATE(1850), 1,
      sym_string,
    STATE(2542), 1,
      sym_earthfile_ref,
    STATE(2671), 1,
      sym_target_ref,
    ACTIONS(4163), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1144), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(983), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4151), 12,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [63950] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1078), 1,
      aux_sym_variable_repeat1,
    ACTIONS(4210), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(823), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(821), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [63999] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(914), 6,
      anon_sym_EQ3,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(912), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [64044] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(859), 6,
      anon_sym_EQ3,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(857), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [64089] = 15,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR,
    ACTIONS(2672), 1,
      anon_sym_DQUOTE,
    ACTIONS(2682), 1,
      sym__string_base_other,
    ACTIONS(2686), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2688), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4213), 1,
      anon_sym_DASH2,
    ACTIONS(4216), 1,
      anon_sym_NULL,
    STATE(2128), 1,
      sym_string,
    ACTIONS(2684), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(985), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1142), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(4186), 5,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2664), 13,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_PLUS,
  [64156] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(863), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(861), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [64201] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(937), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(935), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [64246] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(900), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(898), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [64291] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(933), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(931), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [64336] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(871), 6,
      anon_sym_EQ3,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(869), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [64381] = 15,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4192), 1,
      anon_sym_DQUOTE,
    ACTIONS(4194), 1,
      sym__string_base_other,
    ACTIONS(4198), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4200), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4220), 1,
      anon_sym_NULL,
    STATE(795), 1,
      sym__eol,
    STATE(2224), 1,
      sym_string_with_spaces,
    ACTIONS(4196), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(400), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    STATE(1129), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string_with_spaces,
    ACTIONS(4218), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4188), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [64448] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2419), 1,
      sym_strings,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1089), 2,
      sym_string,
      aux_sym_expose_command_repeat1,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(337), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [64511] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4224), 1,
      anon_sym_NULL,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1100), 2,
      sym_string,
      aux_sym_expose_command_repeat1,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(337), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(4222), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [64576] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1376), 1,
      sym__immediate_escape_sequence,
    STATE(1061), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(695), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(693), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [64625] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(944), 6,
      anon_sym_EQ3,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(942), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [64670] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(904), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(902), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [64715] = 16,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2664), 1,
      anon_sym_EQ,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR,
    ACTIONS(2670), 1,
      anon_sym_PLUS,
    ACTIONS(2672), 1,
      anon_sym_DQUOTE,
    ACTIONS(2682), 1,
      sym__string_base_other,
    ACTIONS(2686), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2688), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1016), 1,
      sym__string_base,
    STATE(2672), 1,
      sym_earthfile_ref,
    ACTIONS(2684), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1142), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1691), 2,
      sym_target_ref,
      sym_string,
    STATE(985), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2662), 12,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [64784] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2385), 1,
      sym_strings,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1089), 2,
      sym_string,
      aux_sym_expose_command_repeat1,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(337), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [64847] = 16,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2664), 1,
      anon_sym_EQ,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR,
    ACTIONS(2670), 1,
      anon_sym_PLUS,
    ACTIONS(2672), 1,
      anon_sym_DQUOTE,
    ACTIONS(2682), 1,
      sym__string_base_other,
    ACTIONS(2686), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2688), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1016), 1,
      sym__string_base,
    STATE(2672), 1,
      sym_earthfile_ref,
    ACTIONS(2684), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1142), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1765), 2,
      sym_target_ref,
      sym_string,
    STATE(985), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2662), 12,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [64916] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3827), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3830), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4229), 1,
      sym__immediate_string_base_alpha,
    STATE(1480), 1,
      sym__immediate_escape_sequence,
    STATE(2110), 1,
      sym__immediate_identifier,
    ACTIONS(680), 2,
      anon_sym_DASH2,
      anon_sym_NULL,
    ACTIONS(4226), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(1139), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(685), 7,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      anon_sym_DQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3814), 14,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [64977] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4238), 1,
      anon_sym_DOLLAR2,
    ACTIONS(4241), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1376), 1,
      sym__immediate_escape_sequence,
    ACTIONS(664), 2,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
    ACTIONS(4235), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(669), 4,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      anon_sym_DQUOTE2,
    STATE(1061), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4232), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [65034] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(859), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(857), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [65079] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(851), 6,
      anon_sym_EQ3,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(849), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [65124] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4247), 1,
      anon_sym_DOLLAR,
    ACTIONS(4250), 1,
      anon_sym_DQUOTE,
    ACTIONS(4253), 1,
      sym__string_base_other,
    ACTIONS(4259), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4262), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4267), 1,
      anon_sym_NULL,
    ACTIONS(4256), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1100), 2,
      sym_string,
      aux_sym_expose_command_repeat1,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(337), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(4265), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4244), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [65189] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(863), 6,
      anon_sym_EQ3,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(861), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [65234] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(867), 6,
      anon_sym_EQ3,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(865), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [65279] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4275), 1,
      anon_sym_DOLLAR2,
    ACTIONS(4278), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1376), 1,
      sym__immediate_escape_sequence,
    ACTIONS(680), 2,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
    ACTIONS(4272), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(685), 4,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      anon_sym_DQUOTE2,
    STATE(1097), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4269), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [65336] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(922), 6,
      anon_sym_EQ3,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(920), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [65381] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3566), 1,
      anon_sym_DOLLAR,
    ACTIONS(3570), 1,
      anon_sym_DQUOTE,
    ACTIONS(3574), 1,
      sym__string_base_other,
    ACTIONS(3578), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3580), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(753), 1,
      sym__string_base,
    STATE(1642), 1,
      sym_image_name,
    ACTIONS(3576), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(773), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1657), 2,
      sym_image_spec,
      sym_string,
    STATE(637), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3562), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [65446] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2469), 1,
      sym_strings,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1089), 2,
      sym_string,
      aux_sym_expose_command_repeat1,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(337), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [65509] = 15,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4192), 1,
      anon_sym_DQUOTE,
    ACTIONS(4194), 1,
      sym__string_base_other,
    ACTIONS(4198), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4200), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4283), 1,
      anon_sym_NULL,
    STATE(674), 1,
      sym__eol,
    STATE(2405), 1,
      sym_string_with_spaces,
    ACTIONS(4196), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(400), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    STATE(1129), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string_with_spaces,
    ACTIONS(4281), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4188), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [65576] = 15,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4192), 1,
      anon_sym_DQUOTE,
    ACTIONS(4194), 1,
      sym__string_base_other,
    ACTIONS(4198), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4200), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4287), 1,
      anon_sym_NULL,
    STATE(817), 1,
      sym__eol,
    STATE(2407), 1,
      sym_string_with_spaces,
    ACTIONS(4196), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(400), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    STATE(1129), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string_with_spaces,
    ACTIONS(4285), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4188), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [65643] = 16,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2664), 1,
      anon_sym_EQ,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR,
    ACTIONS(2670), 1,
      anon_sym_PLUS,
    ACTIONS(2672), 1,
      anon_sym_DQUOTE,
    ACTIONS(2682), 1,
      sym__string_base_other,
    ACTIONS(2686), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2688), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1016), 1,
      sym__string_base,
    STATE(2672), 1,
      sym_earthfile_ref,
    ACTIONS(2684), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1142), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(1789), 2,
      sym_target_ref,
      sym_string,
    STATE(985), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2662), 12,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [65712] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2309), 1,
      sym_strings,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1089), 2,
      sym_string,
      aux_sym_expose_command_repeat1,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(337), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [65775] = 15,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4192), 1,
      anon_sym_DQUOTE,
    ACTIONS(4194), 1,
      sym__string_base_other,
    ACTIONS(4198), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4200), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4291), 1,
      anon_sym_NULL,
    STATE(968), 1,
      sym__eol,
    STATE(2388), 1,
      sym_string_with_spaces,
    ACTIONS(4196), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(400), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    STATE(1129), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string_with_spaces,
    ACTIONS(4289), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4188), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [65842] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(922), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(920), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [65887] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(900), 6,
      anon_sym_EQ3,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(898), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [65932] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(855), 6,
      anon_sym_EQ3,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(853), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [65977] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2582), 1,
      anon_sym_DASH_DASHcache_DASHfrom,
    ACTIONS(2586), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(4297), 3,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
    STATE(1056), 3,
      sym_cache_from,
      sym_unknown_option,
      aux_sym_save_image_options_repeat1,
    ACTIONS(4295), 4,
      anon_sym_DASH2,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(4293), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [66030] = 17,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2664), 1,
      anon_sym_EQ,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR,
    ACTIONS(2670), 1,
      anon_sym_PLUS,
    ACTIONS(2672), 1,
      anon_sym_DQUOTE,
    ACTIONS(2682), 1,
      sym__string_base_other,
    ACTIONS(2686), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2688), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1016), 1,
      sym__string_base,
    STATE(1815), 1,
      sym_target_ref,
    STATE(1821), 1,
      sym_string,
    STATE(2672), 1,
      sym_earthfile_ref,
    ACTIONS(2684), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1142), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(985), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2662), 12,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [66101] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2578), 1,
      anon_sym_DOLLAR,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2588), 1,
      sym__string_base_other,
    ACTIONS(2592), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2594), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2473), 1,
      sym_strings,
    ACTIONS(2590), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1089), 2,
      sym_string,
      aux_sym_expose_command_repeat1,
    STATE(188), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(337), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2574), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [66164] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(904), 6,
      anon_sym_EQ3,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(902), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [66209] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(867), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(865), 29,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [66254] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4299), 1,
      sym__immediate_string_base_other,
    STATE(1120), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(4302), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(809), 4,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(807), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [66305] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(933), 6,
      anon_sym_EQ3,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(931), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [66350] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(937), 6,
      anon_sym_EQ3,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(935), 24,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_EQ4,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [66395] = 17,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2664), 1,
      anon_sym_EQ,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR,
    ACTIONS(2670), 1,
      anon_sym_PLUS,
    ACTIONS(2672), 1,
      anon_sym_DQUOTE,
    ACTIONS(2682), 1,
      sym__string_base_other,
    ACTIONS(2686), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2688), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1016), 1,
      sym__string_base,
    STATE(1785), 1,
      sym_string,
    STATE(1786), 1,
      sym_target_ref,
    STATE(2672), 1,
      sym_earthfile_ref,
    ACTIONS(2684), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1142), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(985), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2662), 12,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [66466] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(914), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(912), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [66510] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4311), 1,
      anon_sym_DOLLAR2,
    ACTIONS(4314), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1480), 1,
      sym__immediate_escape_sequence,
    ACTIONS(700), 2,
      anon_sym_DASH2,
      anon_sym_NULL,
    ACTIONS(4308), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(1125), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(705), 7,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      anon_sym_DQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4305), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [66566] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(937), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(935), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [66610] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4319), 1,
      anon_sym_DOLLAR,
    ACTIONS(4321), 1,
      anon_sym_DQUOTE,
    ACTIONS(4323), 1,
      sym__string_base_other,
    ACTIONS(4325), 1,
      sym__string_base_alpha,
    ACTIONS(4327), 1,
      sym__string_base_num,
    ACTIONS(4329), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4331), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1661), 1,
      sym_string,
    STATE(2719), 1,
      sym_variable,
    STATE(643), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(825), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4317), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [66674] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2897), 1,
      aux_sym_unknown_option_token1,
    STATE(1161), 2,
      sym_unknown_option,
      aux_sym_save_artifact_options_repeat1,
    ACTIONS(4335), 3,
      anon_sym_DASH2,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4337), 5,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
    ACTIONS(4333), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [66724] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4192), 1,
      anon_sym_DQUOTE,
    ACTIONS(4194), 1,
      sym__string_base_other,
    ACTIONS(4198), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4200), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4341), 1,
      anon_sym_NULL,
    ACTIONS(4196), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(400), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(4339), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(1156), 4,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string_with_spaces,
      aux_sym_string_with_spaces_repeat1,
    ACTIONS(4188), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [66786] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(680), 1,
      anon_sym_NULL,
    ACTIONS(2865), 1,
      anon_sym_PLUS,
    ACTIONS(4349), 1,
      sym__immediate_string_base_other,
    ACTIONS(4352), 1,
      anon_sym_DOLLAR2,
    ACTIONS(4355), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1575), 1,
      sym__immediate_escape_sequence,
    STATE(1608), 1,
      aux_sym_earthfile_ref_repeat1,
    ACTIONS(4346), 2,
      anon_sym_EQ3,
      anon_sym_PLUS2,
    STATE(1285), 2,
      sym__immediate_expansion,
      aux_sym_unquoted_string_repeat1,
    STATE(1574), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(685), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4343), 14,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
  [66850] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4360), 1,
      anon_sym_DOLLAR,
    ACTIONS(4362), 1,
      anon_sym_DQUOTE,
    ACTIONS(4364), 1,
      sym__string_base_other,
    ACTIONS(4366), 1,
      sym__string_base_alpha,
    ACTIONS(4368), 1,
      sym__string_base_num,
    ACTIONS(4370), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4372), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(650), 1,
      sym_string,
    STATE(2595), 1,
      sym_variable,
    STATE(27), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(35), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4358), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [66914] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4192), 1,
      anon_sym_DQUOTE,
    ACTIONS(4194), 1,
      sym__string_base_other,
    ACTIONS(4198), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4200), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4374), 1,
      anon_sym_EQ,
    ACTIONS(4376), 1,
      anon_sym_EQ2,
    STATE(2243), 1,
      sym_string_with_spaces,
    ACTIONS(4196), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(400), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    STATE(1129), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string_with_spaces,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4188), 13,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [66978] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4192), 1,
      anon_sym_DQUOTE,
    ACTIONS(4194), 1,
      sym__string_base_other,
    ACTIONS(4198), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4200), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4374), 1,
      anon_sym_EQ,
    ACTIONS(4378), 1,
      anon_sym_EQ2,
    STATE(2498), 1,
      sym_string_with_spaces,
    ACTIONS(4196), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(400), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    STATE(1129), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string_with_spaces,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4188), 13,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [67042] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4380), 1,
      anon_sym_EQ3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2808), 6,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2806), 22,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [67088] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(863), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(861), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [67132] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(922), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(920), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [67176] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(900), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(898), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [67220] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(867), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(865), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [67264] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4388), 1,
      anon_sym_DOLLAR2,
    ACTIONS(4391), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1480), 1,
      sym__immediate_escape_sequence,
    ACTIONS(664), 2,
      anon_sym_DASH2,
      anon_sym_NULL,
    ACTIONS(4385), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(1125), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(669), 7,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      anon_sym_DQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4382), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [67320] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(904), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(902), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [67364] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3403), 1,
      anon_sym_DOLLAR,
    ACTIONS(3405), 1,
      anon_sym_DQUOTE,
    ACTIONS(3411), 1,
      sym__string_base_other,
    ACTIONS(3415), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3417), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1166), 1,
      sym__string_base,
    ACTIONS(3399), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(3413), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1196), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(2159), 2,
      sym_earthfile_ref,
      sym_string,
    STATE(994), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3397), 12,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [67428] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3827), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3830), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1480), 1,
      sym__immediate_escape_sequence,
    ACTIONS(680), 2,
      anon_sym_DASH2,
      anon_sym_NULL,
    ACTIONS(4226), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(1139), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(685), 7,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      anon_sym_DQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3814), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [67484] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3403), 1,
      anon_sym_DOLLAR,
    ACTIONS(3405), 1,
      anon_sym_DQUOTE,
    ACTIONS(3411), 1,
      sym__string_base_other,
    ACTIONS(3415), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3417), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1166), 1,
      sym__string_base,
    ACTIONS(3399), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(3413), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1196), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(2112), 2,
      sym_earthfile_ref,
      sym_string,
    STATE(994), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3397), 12,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [67548] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(680), 1,
      anon_sym_DASH2,
    ACTIONS(4010), 1,
      anon_sym_DOLLAR2,
    ACTIONS(4013), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1483), 1,
      sym__immediate_escape_sequence,
    ACTIONS(4145), 3,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
    ACTIONS(685), 4,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      anon_sym_DQUOTE2,
    STATE(1151), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4004), 14,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [67604] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1483), 1,
      sym__immediate_escape_sequence,
    STATE(1158), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(695), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(693), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [67652] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(933), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(931), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [67696] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(875), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(873), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [67740] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(851), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(849), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [67784] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4396), 1,
      anon_sym_DOLLAR,
    ACTIONS(4398), 1,
      anon_sym_DQUOTE,
    ACTIONS(4400), 1,
      sym__string_base_other,
    ACTIONS(4402), 1,
      sym__string_base_alpha,
    ACTIONS(4404), 1,
      sym__string_base_num,
    ACTIONS(4406), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4408), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1279), 1,
      sym_string,
    STATE(2560), 1,
      sym_variable,
    STATE(86), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(170), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4394), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [67848] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(859), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(857), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [67892] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(664), 1,
      anon_sym_DASH2,
    ACTIONS(4416), 1,
      anon_sym_DOLLAR2,
    ACTIONS(4419), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1483), 1,
      sym__immediate_escape_sequence,
    ACTIONS(4413), 3,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
    ACTIONS(669), 4,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      anon_sym_DQUOTE2,
    STATE(1158), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4410), 14,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [67948] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1480), 1,
      sym__immediate_escape_sequence,
    STATE(1125), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(695), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(693), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [67996] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3403), 1,
      anon_sym_DOLLAR,
    ACTIONS(3405), 1,
      anon_sym_DQUOTE,
    ACTIONS(3411), 1,
      sym__string_base_other,
    ACTIONS(3415), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3417), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1166), 1,
      sym__string_base,
    ACTIONS(3399), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(3413), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1196), 2,
      sym_expansion,
      sym_escape_sequence,
    STATE(2153), 2,
      sym_earthfile_ref,
      sym_string,
    STATE(994), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3397), 12,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [68060] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(918), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(916), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [68104] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2668), 1,
      anon_sym_DOLLAR,
    ACTIONS(2672), 1,
      anon_sym_DQUOTE,
    ACTIONS(2682), 1,
      sym__string_base_other,
    ACTIONS(2686), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2688), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4422), 1,
      anon_sym_EQ,
    ACTIONS(4424), 1,
      anon_sym_EQ3,
    STATE(2131), 1,
      sym_string,
    ACTIONS(2684), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(985), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1142), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2664), 13,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [68168] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4192), 1,
      anon_sym_DQUOTE,
    ACTIONS(4194), 1,
      sym__string_base_other,
    ACTIONS(4198), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4200), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4428), 1,
      anon_sym_NULL,
    ACTIONS(4196), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(400), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(4426), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(1165), 4,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string_with_spaces,
      aux_sym_string_with_spaces_repeat1,
    ACTIONS(4188), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [68230] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(834), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(832), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [68274] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(700), 1,
      anon_sym_DASH2,
    ACTIONS(4436), 1,
      anon_sym_DOLLAR2,
    ACTIONS(4439), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1483), 1,
      sym__immediate_escape_sequence,
    ACTIONS(4433), 3,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
    ACTIONS(705), 4,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      anon_sym_DQUOTE2,
    STATE(1158), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4430), 14,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [68330] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(855), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(853), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [68374] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(944), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(942), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [68418] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4449), 1,
      aux_sym_unknown_option_token1,
    STATE(1161), 2,
      sym_unknown_option,
      aux_sym_save_artifact_options_repeat1,
    ACTIONS(4444), 3,
      anon_sym_DASH2,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4446), 5,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
    ACTIONS(4442), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [68468] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4192), 1,
      anon_sym_DQUOTE,
    ACTIONS(4194), 1,
      sym__string_base_other,
    ACTIONS(4198), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4200), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4374), 1,
      anon_sym_EQ,
    ACTIONS(4452), 1,
      anon_sym_EQ2,
    STATE(2475), 1,
      sym_string_with_spaces,
    ACTIONS(4196), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(400), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    STATE(1129), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string_with_spaces,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4188), 13,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [68532] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4155), 1,
      anon_sym_DOLLAR,
    ACTIONS(4159), 1,
      anon_sym_DQUOTE,
    ACTIONS(4161), 1,
      sym__string_base_other,
    ACTIONS(4165), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4167), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4181), 1,
      anon_sym_EQ,
    ACTIONS(4454), 1,
      anon_sym_EQ3,
    STATE(2163), 1,
      sym_string,
    ACTIONS(4163), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(983), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1144), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4153), 13,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [68596] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(871), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(869), 24,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [68640] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4459), 1,
      anon_sym_DOLLAR,
    ACTIONS(4462), 1,
      anon_sym_DQUOTE,
    ACTIONS(4465), 1,
      sym__string_base_other,
    ACTIONS(4471), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4474), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4479), 1,
      anon_sym_NULL,
    ACTIONS(4468), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(400), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(4477), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(1165), 4,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string_with_spaces,
      aux_sym_string_with_spaces_repeat1,
    ACTIONS(4456), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [68702] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4490), 1,
      anon_sym_DOLLAR2,
    ACTIONS(4493), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1531), 1,
      sym__immediate_escape_sequence,
    STATE(1598), 1,
      aux_sym_earthfile_ref_repeat1,
    ACTIONS(685), 2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
    ACTIONS(1195), 2,
      anon_sym_AS,
      anon_sym_NULL,
    ACTIONS(4484), 2,
      anon_sym_EQ3,
      anon_sym_PLUS2,
    ACTIONS(4487), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    STATE(1174), 2,
      sym__immediate_expansion,
      aux_sym_unquoted_string_repeat1,
    STATE(1529), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(4496), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4481), 13,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
  [68766] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4499), 1,
      anon_sym_DASH_DASH,
    STATE(1585), 1,
      sym_escape_sequence,
    ACTIONS(1895), 2,
      anon_sym_LBRACK,
      anon_sym_DASH2,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    STATE(2511), 2,
      sym_shell_fragment,
      sym_string_array,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1891), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [68829] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4501), 1,
      anon_sym_DASH_DASH,
    STATE(1585), 1,
      sym_escape_sequence,
    ACTIONS(1895), 2,
      anon_sym_LBRACK,
      anon_sym_DASH2,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    STATE(2190), 2,
      sym_shell_fragment,
      sym_string_array,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1891), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [68892] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2455), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [68951] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2175), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [69010] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4505), 5,
      anon_sym_LPAREN,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4503), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [69053] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2718), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(2720), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(4511), 2,
      sym_allow_privileged,
      sym_pass_args,
    ACTIONS(4509), 3,
      anon_sym_DASH2,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1253), 3,
      sym_platform,
      sym_unknown_option,
      aux_sym_from_options_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4507), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [69104] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3139), 1,
      anon_sym_DOLLAR,
    ACTIONS(3141), 1,
      anon_sym_DQUOTE,
    ACTIONS(3149), 1,
      sym__string_base_other,
    ACTIONS(3153), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3155), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1220), 1,
      sym_string,
    ACTIONS(3151), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(194), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(378), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3135), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [69163] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4519), 1,
      anon_sym_DOLLAR2,
    ACTIONS(4522), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1567), 1,
      sym__immediate_escape_sequence,
    ACTIONS(664), 2,
      anon_sym_AS,
      anon_sym_NULL,
    ACTIONS(4516), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    STATE(1189), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(669), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4513), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [69218] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2424), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [69277] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2383), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [69336] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2891), 1,
      anon_sym_DOLLAR,
    ACTIONS(2893), 1,
      anon_sym_DQUOTE,
    ACTIONS(2899), 1,
      sym__string_base_other,
    ACTIONS(2903), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2905), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1041), 1,
      sym_string,
    ACTIONS(2901), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(167), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(268), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2887), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [69395] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3139), 1,
      anon_sym_DOLLAR,
    ACTIONS(3141), 1,
      anon_sym_DQUOTE,
    ACTIONS(3149), 1,
      sym__string_base_other,
    ACTIONS(3153), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3155), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1223), 1,
      sym_string,
    ACTIONS(3151), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(194), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(378), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3135), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [69454] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3139), 1,
      anon_sym_DOLLAR,
    ACTIONS(3141), 1,
      anon_sym_DQUOTE,
    ACTIONS(3149), 1,
      sym__string_base_other,
    ACTIONS(3153), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3155), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1252), 1,
      sym_string,
    ACTIONS(3151), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(194), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(378), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3135), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [69513] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4527), 1,
      anon_sym_DOLLAR,
    ACTIONS(4529), 1,
      anon_sym_DQUOTE,
    ACTIONS(4531), 1,
      sym__string_base_other,
    ACTIONS(4535), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4537), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2051), 1,
      sym_string,
    ACTIONS(4533), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(864), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1103), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4525), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [69572] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4541), 1,
      anon_sym_DOLLAR,
    ACTIONS(4543), 1,
      anon_sym_DQUOTE,
    ACTIONS(4545), 1,
      sym__string_base_other,
    ACTIONS(4549), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4551), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1316), 1,
      sym_string,
    ACTIONS(4547), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(84), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(164), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4539), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [69631] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1567), 1,
      sym__immediate_escape_sequence,
    STATE(1189), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(695), 5,
      anon_sym_AS,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(693), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [69678] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4541), 1,
      anon_sym_DOLLAR,
    ACTIONS(4543), 1,
      anon_sym_DQUOTE,
    ACTIONS(4545), 1,
      sym__string_base_other,
    ACTIONS(4549), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4551), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1319), 1,
      sym_string,
    ACTIONS(4547), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(84), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(164), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4539), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [69737] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3566), 1,
      anon_sym_DOLLAR,
    ACTIONS(3570), 1,
      anon_sym_DQUOTE,
    ACTIONS(3574), 1,
      sym__string_base_other,
    ACTIONS(3578), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3580), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1659), 1,
      sym_string,
    ACTIONS(3576), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(637), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(773), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3562), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [69796] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4555), 1,
      anon_sym_DOLLAR,
    ACTIONS(4557), 1,
      anon_sym_DQUOTE,
    ACTIONS(4559), 1,
      sym__string_base_other,
    ACTIONS(4563), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4565), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1308), 1,
      sym_string,
    ACTIONS(4561), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(99), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(166), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4553), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [69855] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4569), 1,
      anon_sym_DOLLAR,
    ACTIONS(4571), 1,
      anon_sym_DQUOTE,
    ACTIONS(4573), 1,
      sym__string_base_other,
    ACTIONS(4577), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4579), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1302), 1,
      sym_string,
    ACTIONS(4575), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(100), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(151), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4567), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [69914] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4583), 1,
      anon_sym_DOLLAR,
    ACTIONS(4585), 1,
      anon_sym_DQUOTE,
    ACTIONS(4587), 1,
      sym__string_base_other,
    ACTIONS(4591), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4593), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(677), 1,
      sym_string,
    ACTIONS(4589), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(30), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(39), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4581), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [69973] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4597), 1,
      anon_sym_DOLLAR,
    ACTIONS(4599), 1,
      anon_sym_DQUOTE,
    ACTIONS(4601), 1,
      sym__string_base_other,
    ACTIONS(4605), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4607), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1554), 1,
      sym_string,
    ACTIONS(4603), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(162), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(243), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4595), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [70032] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4615), 1,
      anon_sym_DOLLAR2,
    ACTIONS(4618), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1567), 1,
      sym__immediate_escape_sequence,
    ACTIONS(700), 2,
      anon_sym_AS,
      anon_sym_NULL,
    ACTIONS(4612), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    STATE(1189), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(705), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4609), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [70087] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4623), 1,
      anon_sym_DOLLAR,
    ACTIONS(4625), 1,
      anon_sym_DQUOTE,
    ACTIONS(4627), 1,
      sym__string_base_other,
    ACTIONS(4631), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4633), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1317), 1,
      sym_string,
    ACTIONS(4629), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(110), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(179), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4621), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [70146] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4637), 1,
      anon_sym_DOLLAR,
    ACTIONS(4639), 1,
      anon_sym_DQUOTE,
    ACTIONS(4641), 1,
      sym__string_base_other,
    ACTIONS(4645), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4647), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1494), 1,
      sym_string,
    ACTIONS(4643), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(146), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(220), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4635), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [70205] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3720), 1,
      anon_sym_DOLLAR,
    ACTIONS(3724), 1,
      anon_sym_DQUOTE,
    ACTIONS(3728), 1,
      sym__string_base_other,
    ACTIONS(3732), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3734), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1255), 1,
      sym_string,
    ACTIONS(3730), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(62), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(148), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3716), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [70264] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4651), 1,
      anon_sym_DOLLAR,
    ACTIONS(4653), 1,
      anon_sym_DQUOTE,
    ACTIONS(4655), 1,
      sym__string_base_other,
    ACTIONS(4659), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4661), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1416), 1,
      sym_string,
    ACTIONS(4657), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(124), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(195), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4649), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [70323] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4665), 1,
      anon_sym_DOLLAR,
    ACTIONS(4667), 1,
      anon_sym_DQUOTE,
    ACTIONS(4669), 1,
      sym__string_base_other,
    ACTIONS(4673), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4675), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1329), 1,
      sym_string,
    ACTIONS(4671), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(114), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(181), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4663), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [70382] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4679), 1,
      anon_sym_DOLLAR,
    ACTIONS(4681), 1,
      anon_sym_DQUOTE,
    ACTIONS(4683), 1,
      sym__string_base_other,
    ACTIONS(4687), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4689), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1666), 1,
      sym_string,
    ACTIONS(4685), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(653), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(942), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4677), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [70441] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4490), 1,
      anon_sym_DOLLAR2,
    ACTIONS(4493), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1567), 1,
      sym__immediate_escape_sequence,
    ACTIONS(680), 2,
      anon_sym_AS,
      anon_sym_NULL,
    ACTIONS(4691), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    STATE(1174), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(685), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4484), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [70496] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4696), 1,
      anon_sym_DOLLAR,
    ACTIONS(4698), 1,
      anon_sym_DQUOTE,
    ACTIONS(4700), 1,
      sym__string_base_other,
    ACTIONS(4704), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4706), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1484), 1,
      sym_string,
    ACTIONS(4702), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(144), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(212), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4694), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [70555] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2506), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [70614] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2504), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [70673] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2502), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [70732] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2497), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [70791] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3720), 1,
      anon_sym_DOLLAR,
    ACTIONS(3724), 1,
      anon_sym_DQUOTE,
    ACTIONS(3728), 1,
      sym__string_base_other,
    ACTIONS(3732), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3734), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1210), 1,
      sym_string,
    ACTIONS(3730), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(62), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(148), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3716), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [70850] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4710), 1,
      anon_sym_DOLLAR,
    ACTIONS(4712), 1,
      anon_sym_DQUOTE,
    ACTIONS(4714), 1,
      sym__string_base_other,
    ACTIONS(4718), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4720), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(894), 1,
      sym_string,
    ACTIONS(4716), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(33), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(44), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4708), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [70909] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4710), 1,
      anon_sym_DOLLAR,
    ACTIONS(4712), 1,
      anon_sym_DQUOTE,
    ACTIONS(4714), 1,
      sym__string_base_other,
    ACTIONS(4718), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4720), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(904), 1,
      sym_string,
    ACTIONS(4716), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(33), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(44), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4708), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [70968] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2891), 1,
      anon_sym_DOLLAR,
    ACTIONS(2893), 1,
      anon_sym_DQUOTE,
    ACTIONS(2899), 1,
      sym__string_base_other,
    ACTIONS(2903), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2905), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1042), 1,
      sym_string,
    ACTIONS(2901), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(167), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(268), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2887), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [71027] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4722), 1,
      anon_sym_DASH_DASH,
    STATE(1585), 1,
      sym_escape_sequence,
    ACTIONS(1895), 2,
      anon_sym_LBRACK,
      anon_sym_DASH2,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    STATE(2486), 2,
      sym_shell_fragment,
      sym_string_array,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1891), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [71090] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4192), 1,
      anon_sym_DQUOTE,
    ACTIONS(4194), 1,
      sym__string_base_other,
    ACTIONS(4198), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4200), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2327), 1,
      sym_string_with_spaces,
    ACTIONS(4196), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(400), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    STATE(1129), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string_with_spaces,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4188), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [71149] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4679), 1,
      anon_sym_DOLLAR,
    ACTIONS(4681), 1,
      anon_sym_DQUOTE,
    ACTIONS(4683), 1,
      sym__string_base_other,
    ACTIONS(4687), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4689), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1670), 1,
      sym_string,
    ACTIONS(4685), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(653), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(942), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4677), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [71208] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4679), 1,
      anon_sym_DOLLAR,
    ACTIONS(4681), 1,
      anon_sym_DQUOTE,
    ACTIONS(4683), 1,
      sym__string_base_other,
    ACTIONS(4687), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4689), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1671), 1,
      sym_string,
    ACTIONS(4685), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(653), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(942), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4677), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [71267] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3532), 5,
      anon_sym_LPAREN,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3530), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [71310] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2444), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [71369] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4583), 1,
      anon_sym_DOLLAR,
    ACTIONS(4585), 1,
      anon_sym_DQUOTE,
    ACTIONS(4587), 1,
      sym__string_base_other,
    ACTIONS(4591), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4593), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(720), 1,
      sym_string,
    ACTIONS(4589), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(30), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(39), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4581), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [71428] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2420), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [71487] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3566), 1,
      anon_sym_DOLLAR,
    ACTIONS(3570), 1,
      anon_sym_DQUOTE,
    ACTIONS(3574), 1,
      sym__string_base_other,
    ACTIONS(3578), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3580), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1646), 1,
      sym_string,
    ACTIONS(3576), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(637), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(773), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3562), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [71546] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2409), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [71605] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4192), 1,
      anon_sym_DQUOTE,
    ACTIONS(4194), 1,
      sym__string_base_other,
    ACTIONS(4198), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4200), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2374), 1,
      sym_string_with_spaces,
    ACTIONS(4196), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(400), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    STATE(1129), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string_with_spaces,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4188), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [71664] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2367), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [71723] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4637), 1,
      anon_sym_DOLLAR,
    ACTIONS(4639), 1,
      anon_sym_DQUOTE,
    ACTIONS(4641), 1,
      sym__string_base_other,
    ACTIONS(4645), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4647), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1507), 1,
      sym_string,
    ACTIONS(4643), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(146), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(220), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4635), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [71782] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4726), 5,
      anon_sym_LPAREN,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4724), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [71825] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2438), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [71884] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4192), 1,
      anon_sym_DQUOTE,
    ACTIONS(4194), 1,
      sym__string_base_other,
    ACTIONS(4198), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4200), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2223), 1,
      sym_string_with_spaces,
    ACTIONS(4196), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(400), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    STATE(1129), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string_with_spaces,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4188), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [71943] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4730), 5,
      anon_sym_LPAREN,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4728), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [71986] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2332), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [72045] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4583), 1,
      anon_sym_DOLLAR,
    ACTIONS(4585), 1,
      anon_sym_DQUOTE,
    ACTIONS(4587), 1,
      sym__string_base_other,
    ACTIONS(4591), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4593), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(679), 1,
      sym_string,
    ACTIONS(4589), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(30), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(39), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4581), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [72104] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4192), 1,
      anon_sym_DQUOTE,
    ACTIONS(4194), 1,
      sym__string_base_other,
    ACTIONS(4198), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4200), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2314), 1,
      sym_string_with_spaces,
    ACTIONS(4196), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(400), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    STATE(1129), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string_with_spaces,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4188), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [72163] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4734), 5,
      anon_sym_LPAREN,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4732), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [72206] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4651), 1,
      anon_sym_DOLLAR,
    ACTIONS(4653), 1,
      anon_sym_DQUOTE,
    ACTIONS(4655), 1,
      sym__string_base_other,
    ACTIONS(4659), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4661), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1434), 1,
      sym_string,
    ACTIONS(4657), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(124), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(195), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4649), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [72265] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4738), 5,
      anon_sym_LPAREN,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4736), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [72308] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4192), 1,
      anon_sym_DQUOTE,
    ACTIONS(4194), 1,
      sym__string_base_other,
    ACTIONS(4198), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4200), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2172), 1,
      sym_string_with_spaces,
    ACTIONS(4196), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(400), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    STATE(1129), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string_with_spaces,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4188), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [72367] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2363), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [72426] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4665), 1,
      anon_sym_DOLLAR,
    ACTIONS(4667), 1,
      anon_sym_DQUOTE,
    ACTIONS(4669), 1,
      sym__string_base_other,
    ACTIONS(4673), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4675), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1341), 1,
      sym_string,
    ACTIONS(4671), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(114), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(181), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4663), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [72485] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4583), 1,
      anon_sym_DOLLAR,
    ACTIONS(4585), 1,
      anon_sym_DQUOTE,
    ACTIONS(4587), 1,
      sym__string_base_other,
    ACTIONS(4591), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4593), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(696), 1,
      sym_string,
    ACTIONS(4589), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(30), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(39), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4581), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [72544] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2891), 1,
      anon_sym_DOLLAR,
    ACTIONS(2893), 1,
      anon_sym_DQUOTE,
    ACTIONS(2899), 1,
      sym__string_base_other,
    ACTIONS(2903), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2905), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1044), 1,
      sym_string,
    ACTIONS(2901), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(167), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(268), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2887), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [72603] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2373), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [72662] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4740), 1,
      anon_sym_DASH_DASH,
    STATE(1585), 1,
      sym_escape_sequence,
    ACTIONS(1895), 2,
      anon_sym_LBRACK,
      anon_sym_DASH2,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    STATE(2273), 2,
      sym_shell_fragment,
      sym_string_array,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1891), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [72725] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4555), 1,
      anon_sym_DOLLAR,
    ACTIONS(4557), 1,
      anon_sym_DQUOTE,
    ACTIONS(4559), 1,
      sym__string_base_other,
    ACTIONS(4563), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4565), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1298), 1,
      sym_string,
    ACTIONS(4561), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(99), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(166), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4553), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [72784] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4192), 1,
      anon_sym_DQUOTE,
    ACTIONS(4194), 1,
      sym__string_base_other,
    ACTIONS(4198), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4200), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2382), 1,
      sym_string_with_spaces,
    ACTIONS(4196), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(400), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    STATE(1129), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string_with_spaces,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4188), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [72843] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2258), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [72902] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2254), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [72961] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3566), 1,
      anon_sym_DOLLAR,
    ACTIONS(3570), 1,
      anon_sym_DQUOTE,
    ACTIONS(3574), 1,
      sym__string_base_other,
    ACTIONS(3578), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3580), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1649), 1,
      sym_string,
    ACTIONS(3576), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(637), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(773), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3562), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [73020] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3566), 1,
      anon_sym_DOLLAR,
    ACTIONS(3570), 1,
      anon_sym_DQUOTE,
    ACTIONS(3574), 1,
      sym__string_base_other,
    ACTIONS(3578), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3580), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1648), 1,
      sym_string,
    ACTIONS(3576), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(637), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(773), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3562), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [73079] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3566), 1,
      anon_sym_DOLLAR,
    ACTIONS(3570), 1,
      anon_sym_DQUOTE,
    ACTIONS(3574), 1,
      sym__string_base_other,
    ACTIONS(3578), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3580), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1660), 1,
      sym_string,
    ACTIONS(3576), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(637), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(773), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3562), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [73138] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2233), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [73197] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2220), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [73256] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2266), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [73315] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4623), 1,
      anon_sym_DOLLAR,
    ACTIONS(4625), 1,
      anon_sym_DQUOTE,
    ACTIONS(4627), 1,
      sym__string_base_other,
    ACTIONS(4631), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4633), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1310), 1,
      sym_string,
    ACTIONS(4629), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(110), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(179), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4621), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [73374] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2447), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [73433] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2284), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [73492] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4192), 1,
      anon_sym_DQUOTE,
    ACTIONS(4194), 1,
      sym__string_base_other,
    ACTIONS(4198), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4200), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2215), 1,
      sym_string_with_spaces,
    ACTIONS(4196), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(400), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    STATE(1129), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string_with_spaces,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4188), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [73551] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2216), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [73610] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4192), 1,
      anon_sym_DQUOTE,
    ACTIONS(4194), 1,
      sym__string_base_other,
    ACTIONS(4198), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4200), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2252), 1,
      sym_string_with_spaces,
    ACTIONS(4196), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(400), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    STATE(1129), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string_with_spaces,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4188), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [73669] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2312), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [73728] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4749), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(4752), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(4746), 2,
      sym_allow_privileged,
      sym_pass_args,
    ACTIONS(4744), 3,
      anon_sym_DASH2,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1253), 3,
      sym_platform,
      sym_unknown_option,
      aux_sym_from_options_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4742), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [73779] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1254), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(4755), 4,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(3702), 8,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(3694), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [73826] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2943), 5,
      anon_sym_LPAREN,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2941), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [73869] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(680), 1,
      anon_sym_NULL,
    ACTIONS(4352), 1,
      anon_sym_DOLLAR2,
    ACTIONS(4355), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4758), 1,
      sym__immediate_string_base_other,
    ACTIONS(4761), 1,
      sym__immediate_string_base_alpha,
    STATE(1536), 1,
      sym__immediate_escape_sequence,
    STATE(2121), 1,
      sym__immediate_identifier,
    STATE(1285), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(685), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4346), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [73928] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4192), 1,
      anon_sym_DQUOTE,
    ACTIONS(4194), 1,
      sym__string_base_other,
    ACTIONS(4198), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4200), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2317), 1,
      sym_string_with_spaces,
    ACTIONS(4196), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(400), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    STATE(1129), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string_with_spaces,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4188), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [73987] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4710), 1,
      anon_sym_DOLLAR,
    ACTIONS(4712), 1,
      anon_sym_DQUOTE,
    ACTIONS(4714), 1,
      sym__string_base_other,
    ACTIONS(4718), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4720), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(917), 1,
      sym_string,
    ACTIONS(4716), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(33), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(44), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4708), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [74046] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4710), 1,
      anon_sym_DOLLAR,
    ACTIONS(4712), 1,
      anon_sym_DQUOTE,
    ACTIONS(4714), 1,
      sym__string_base_other,
    ACTIONS(4718), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4720), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(907), 1,
      sym_string,
    ACTIONS(4716), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(33), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(44), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4708), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [74105] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4710), 1,
      anon_sym_DOLLAR,
    ACTIONS(4712), 1,
      anon_sym_DQUOTE,
    ACTIONS(4714), 1,
      sym__string_base_other,
    ACTIONS(4718), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4720), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(906), 1,
      sym_string,
    ACTIONS(4716), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(33), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(44), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4708), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [74164] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4764), 1,
      anon_sym_EQ3,
    ACTIONS(2808), 6,
      anon_sym_EQ,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(2806), 25,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [74209] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4541), 1,
      anon_sym_DOLLAR,
    ACTIONS(4543), 1,
      anon_sym_DQUOTE,
    ACTIONS(4545), 1,
      sym__string_base_other,
    ACTIONS(4549), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4551), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1300), 1,
      sym_string,
    ACTIONS(4547), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(84), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(164), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4539), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [74268] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4768), 5,
      anon_sym_LPAREN,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4766), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [74311] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4623), 1,
      anon_sym_DOLLAR,
    ACTIONS(4625), 1,
      anon_sym_DQUOTE,
    ACTIONS(4627), 1,
      sym__string_base_other,
    ACTIONS(4631), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4633), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1321), 1,
      sym_string,
    ACTIONS(4629), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(110), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(179), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4621), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [74370] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1254), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(4772), 4,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(4774), 8,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(4770), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [74417] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2891), 1,
      anon_sym_DOLLAR,
    ACTIONS(2893), 1,
      anon_sym_DQUOTE,
    ACTIONS(2899), 1,
      sym__string_base_other,
    ACTIONS(2903), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2905), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1032), 1,
      sym_string,
    ACTIONS(2901), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(167), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(268), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2887), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [74476] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2505), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [74535] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2377), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [74594] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2493), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [74653] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2429), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [74712] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2481), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [74771] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2433), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [74830] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4776), 1,
      anon_sym_EQ3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2808), 5,
      anon_sym_EQ,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2806), 22,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [74875] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4679), 1,
      anon_sym_DOLLAR,
    ACTIONS(4681), 1,
      anon_sym_DQUOTE,
    ACTIONS(4683), 1,
      sym__string_base_other,
    ACTIONS(4687), 1,
      anon_sym_SQUOTE2,
    ACTIONS(4689), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1673), 1,
      sym_string,
    ACTIONS(4685), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(653), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(942), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4677), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [74934] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3720), 1,
      anon_sym_DOLLAR,
    ACTIONS(3724), 1,
      anon_sym_DQUOTE,
    ACTIONS(3728), 1,
      sym__string_base_other,
    ACTIONS(3732), 1,
      anon_sym_SQUOTE2,
    ACTIONS(3734), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1281), 1,
      sym_string,
    ACTIONS(3730), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(62), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(148), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3716), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [74993] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2319), 1,
      anon_sym_DOLLAR,
    ACTIONS(2323), 1,
      anon_sym_DQUOTE,
    ACTIONS(2339), 1,
      sym__string_base_other,
    ACTIONS(2343), 1,
      anon_sym_SQUOTE2,
    ACTIONS(2345), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2457), 1,
      sym_string,
    ACTIONS(2341), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1001), 3,
      sym_double_quoted_string,
      sym_single_quoted_string,
      sym_unquoted_string,
    STATE(1284), 3,
      sym__string_base,
      sym_expansion,
      sym_escape_sequence,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2315), 14,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_PLUS,
  [75052] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4780), 5,
      anon_sym_LPAREN,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4778), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [75095] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1265), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(4784), 4,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(4786), 8,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(4782), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [75142] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4788), 1,
      anon_sym_EQ4,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2832), 5,
      anon_sym_EQ,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2830), 23,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
  [75187] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1544), 1,
      sym__immediate_escape_sequence,
    ACTIONS(695), 4,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    STATE(1282), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(693), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [75234] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4792), 5,
      anon_sym_LPAREN,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4790), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym_allow_privileged,
      anon_sym_DASH_DASHbuild_DASHarg,
      anon_sym_DASHf,
      anon_sym_DASH_DASHtarget,
      anon_sym_DASH_DASHplatform,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [75277] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(700), 1,
      anon_sym_NULL,
    ACTIONS(4800), 1,
      anon_sym_DOLLAR2,
    ACTIONS(4803), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1544), 1,
      sym__immediate_escape_sequence,
    ACTIONS(4797), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    STATE(1282), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(705), 7,
      anon_sym_ASLOCAL,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4794), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [75332] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4806), 1,
      anon_sym_EQ3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2808), 5,
      anon_sym_EQ,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2806), 22,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [75377] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4352), 1,
      anon_sym_DOLLAR2,
    ACTIONS(4355), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4758), 1,
      sym__immediate_string_base_other,
    STATE(1536), 1,
      sym__immediate_escape_sequence,
    ACTIONS(680), 2,
      sym__string_base_alpha,
      anon_sym_NULL,
    STATE(1285), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(685), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4346), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [75432] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4811), 1,
      sym__immediate_string_base_other,
    ACTIONS(4814), 1,
      anon_sym_DOLLAR2,
    ACTIONS(4817), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1536), 1,
      sym__immediate_escape_sequence,
    ACTIONS(664), 2,
      sym__string_base_alpha,
      anon_sym_NULL,
    STATE(1290), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(669), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4808), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [75487] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1536), 1,
      sym__immediate_escape_sequence,
    ACTIONS(695), 4,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    STATE(1290), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(693), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [75534] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(664), 1,
      anon_sym_NULL,
    ACTIONS(4826), 1,
      anon_sym_DOLLAR2,
    ACTIONS(4829), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1544), 1,
      sym__immediate_escape_sequence,
    ACTIONS(4823), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    STATE(1282), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(669), 7,
      anon_sym_ASLOCAL,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4820), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [75589] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(680), 1,
      anon_sym_NULL,
    ACTIONS(4838), 1,
      anon_sym_DOLLAR2,
    ACTIONS(4841), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1544), 1,
      sym__immediate_escape_sequence,
    ACTIONS(4835), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    STATE(1287), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(685), 7,
      anon_sym_ASLOCAL,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4832), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [75644] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4844), 1,
      anon_sym_EQ3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2808), 5,
      anon_sym_EQ,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2806), 23,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
  [75689] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4849), 1,
      sym__immediate_string_base_other,
    ACTIONS(4852), 1,
      anon_sym_DOLLAR2,
    ACTIONS(4855), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1536), 1,
      sym__immediate_escape_sequence,
    ACTIONS(700), 2,
      sym__string_base_alpha,
      anon_sym_NULL,
    STATE(1290), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(705), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4846), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [75744] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1895), 1,
      anon_sym_LBRACK,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1585), 1,
      sym_escape_sequence,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    STATE(2365), 2,
      sym_shell_fragment,
      sym_string_array,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1891), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [75804] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1895), 1,
      anon_sym_LBRACK,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1585), 1,
      sym_escape_sequence,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    STATE(2509), 2,
      sym_shell_fragment,
      sym_string_array,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1891), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [75864] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1895), 1,
      anon_sym_LBRACK,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1585), 1,
      sym_escape_sequence,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    STATE(2206), 2,
      sym_shell_fragment,
      sym_string_array,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1891), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [75924] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1895), 1,
      anon_sym_LBRACK,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1585), 1,
      sym_escape_sequence,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    STATE(2482), 2,
      sym_shell_fragment,
      sym_string_array,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1891), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [75984] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4858), 1,
      sym__immediate_string_base_other,
    ACTIONS(4861), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(1405), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(751), 4,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(749), 18,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [76032] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3143), 1,
      anon_sym_DASH_DASHbranch,
    ACTIONS(3147), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(4868), 1,
      sym_keep_ts,
    ACTIONS(4866), 3,
      anon_sym_DASH2,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1304), 3,
      sym_branch,
      sym_unknown_option,
      aux_sym_git_clone_options_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4864), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [76082] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1895), 1,
      anon_sym_LBRACK,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1585), 1,
      sym_escape_sequence,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    STATE(2230), 2,
      sym_shell_fragment,
      sym_string_array,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1891), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [76142] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4872), 5,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(4870), 26,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [76184] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1895), 1,
      anon_sym_LBRACK,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1585), 1,
      sym_escape_sequence,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    STATE(2492), 2,
      sym_shell_fragment,
      sym_string_array,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1891), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [76244] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2943), 4,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2941), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [76286] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(695), 1,
      anon_sym_DASH2,
    ACTIONS(3616), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3618), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1483), 1,
      sym__immediate_escape_sequence,
    ACTIONS(693), 2,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
    ACTIONS(4876), 3,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
    STATE(1158), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4874), 14,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [76340] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2943), 4,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2941), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym_force,
      sym_if_exists,
      sym_keep_own,
      sym_keep_ts,
      sym_symlink_no_follow,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [76382] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1895), 1,
      anon_sym_LBRACK,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1585), 1,
      sym_escape_sequence,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    STATE(2353), 2,
      sym_shell_fragment,
      sym_string_array,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1891), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [76442] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4882), 1,
      anon_sym_DASH_DASHbranch,
    ACTIONS(4885), 1,
      sym_keep_ts,
    ACTIONS(4888), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(4880), 3,
      anon_sym_DASH2,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1304), 3,
      sym_branch,
      sym_unknown_option,
      aux_sym_git_clone_options_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4878), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [76492] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4891), 1,
      sym__immediate_string_base_other,
    ACTIONS(4894), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(1440), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(751), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_PLUS,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(749), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [76540] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4899), 4,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4897), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
  [76582] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4901), 1,
      sym__immediate_string_base_other,
    STATE(1343), 1,
      aux_sym__immediate_string_base_repeat1,
    STATE(1589), 1,
      sym__immediate_string_base,
    ACTIONS(4903), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(751), 5,
      anon_sym_RPAREN,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(749), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_comment,
  [76632] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2943), 5,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(2941), 26,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHcache_DASHfrom,
      sym_cache_hint,
      sym_push,
      sym_without_earthly_labels,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [76674] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4905), 1,
      sym__immediate_string_base_other,
    ACTIONS(4908), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(1370), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(751), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(749), 17,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [76722] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3031), 4,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3029), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
  [76764] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1895), 1,
      anon_sym_LBRACK,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1585), 1,
      sym_escape_sequence,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    STATE(2269), 2,
      sym_shell_fragment,
      sym_string_array,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1891), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [76824] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1895), 1,
      anon_sym_LBRACK,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1585), 1,
      sym_escape_sequence,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    STATE(2366), 2,
      sym_shell_fragment,
      sym_string_array,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1891), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [76884] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4911), 1,
      sym__immediate_string_base_other,
    STATE(1346), 1,
      aux_sym__immediate_string_base_repeat1,
    STATE(1596), 1,
      sym__immediate_string_base,
    ACTIONS(4913), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(751), 5,
      anon_sym_RPAREN,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(749), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RPAREN4,
      sym_comment,
  [76934] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4915), 1,
      anon_sym_EQ3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2808), 5,
      anon_sym_EQ,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2806), 21,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [76978] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1895), 1,
      anon_sym_LBRACK,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1585), 1,
      sym_escape_sequence,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    STATE(2186), 2,
      sym_shell_fragment,
      sym_string_array,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1891), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [77038] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3528), 4,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3526), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [77080] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2943), 4,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2941), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
  [77122] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1895), 1,
      anon_sym_LBRACK,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1585), 1,
      sym_escape_sequence,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    STATE(2354), 2,
      sym_shell_fragment,
      sym_string_array,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1891), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [77182] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3532), 4,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3530), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym_allow_privileged,
      sym_auto_skip,
      anon_sym_DASH_DASHbuild_DASHarg,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [77224] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4917), 1,
      sym__immediate_string_base_other,
    STATE(1336), 1,
      aux_sym__immediate_string_base_repeat1,
    STATE(1586), 1,
      sym__immediate_string_base,
    ACTIONS(4919), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(751), 5,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(749), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [77274] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2947), 4,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2945), 24,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      sym_ssh,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
  [77316] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1895), 1,
      anon_sym_LBRACK,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1585), 1,
      sym_escape_sequence,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    STATE(2212), 2,
      sym_shell_fragment,
      sym_string_array,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1891), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [77376] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1895), 1,
      anon_sym_LBRACK,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1585), 1,
      sym_escape_sequence,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    STATE(2202), 2,
      sym_shell_fragment,
      sym_string_array,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1891), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [77436] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1895), 1,
      anon_sym_LBRACK,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1901), 1,
      anon_sym_LBRACK3,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1585), 1,
      sym_escape_sequence,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1373), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    STATE(2234), 2,
      sym_shell_fragment,
      sym_string_array,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(1891), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [77496] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1332), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(830), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(828), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [77539] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4923), 4,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4921), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [77580] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4927), 4,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4925), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [77621] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1349), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(4929), 4,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3600), 6,
      anon_sym_DOT2,
      anon_sym_DASH2,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3594), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE2,
  [77666] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3542), 4,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3540), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [77707] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4931), 1,
      anon_sym_EQ3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2808), 5,
      anon_sym_EQ,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2806), 20,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [77750] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4933), 1,
      sym__immediate_string_base_other,
    STATE(1331), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(4936), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(809), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(807), 17,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [77797] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1340), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(819), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(817), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [77840] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1333), 1,
      aux_sym_image_digest_repeat1,
    ACTIONS(4943), 3,
      anon_sym_COLON2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(4939), 6,
      anon_sym_COLON,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(4941), 20,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [77885] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4946), 1,
      sym__immediate_string_base_other,
    STATE(1334), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(4949), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(809), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_PLUS,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(807), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [77932] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1333), 1,
      aux_sym_image_digest_repeat1,
    ACTIONS(4956), 3,
      anon_sym_COLON2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(4952), 6,
      anon_sym_COLON,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(4954), 20,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [77977] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4962), 1,
      sym__immediate_string_base_other,
    STATE(1338), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(4964), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(4960), 5,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(4958), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [78024] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4966), 1,
      sym__immediate_string_base_other,
    ACTIONS(4969), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(1490), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(751), 4,
      anon_sym_PLUS,
      sym__string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(749), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [78071] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4972), 1,
      sym__immediate_string_base_other,
    STATE(1338), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(4975), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(809), 5,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(807), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [78118] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4978), 1,
      sym__immediate_string_base_other,
    STATE(1339), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(4981), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(809), 4,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(807), 18,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [78165] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1340), 1,
      aux_sym_variable_repeat1,
    ACTIONS(4984), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(823), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(821), 18,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [78210] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2943), 4,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2941), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHchmod,
      anon_sym_DASH_DASHid,
      sym_persist,
      anon_sym_DASH_DASHsharing,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [78251] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1335), 1,
      aux_sym_image_digest_repeat1,
    ACTIONS(4991), 3,
      anon_sym_COLON2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(4987), 6,
      anon_sym_COLON,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(4989), 20,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [78296] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4993), 1,
      sym__immediate_string_base_other,
    STATE(1348), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(4995), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4960), 5,
      anon_sym_RPAREN,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4958), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_comment,
  [78343] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1328), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(4997), 4,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3662), 6,
      anon_sym_DOT2,
      anon_sym_DASH2,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3656), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE2,
  [78388] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4999), 1,
      sym__immediate_string_base_other,
    STATE(1345), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5002), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(809), 5,
      anon_sym_RPAREN,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(807), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RPAREN4,
      sym_comment,
  [78435] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5005), 1,
      sym__immediate_string_base_other,
    STATE(1345), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5007), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4960), 5,
      anon_sym_RPAREN,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4958), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_RPAREN4,
      sym_comment,
  [78482] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5016), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5013), 2,
      sym_allow_privileged,
      sym_pass_args,
    STATE(1347), 2,
      sym_unknown_option,
      aux_sym_do_options_repeat1,
    ACTIONS(5011), 3,
      anon_sym_DASH2,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5009), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [78529] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5019), 1,
      sym__immediate_string_base_other,
    STATE(1348), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5022), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(809), 5,
      anon_sym_RPAREN,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(807), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_comment,
  [78576] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1349), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(5025), 4,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3702), 6,
      anon_sym_DOT2,
      anon_sym_DASH2,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3694), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE2,
  [78621] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3099), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5032), 2,
      sym_allow_privileged,
      sym_pass_args,
    STATE(1347), 2,
      sym_unknown_option,
      aux_sym_do_options_repeat1,
    ACTIONS(5030), 3,
      anon_sym_DASH2,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5028), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [78668] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2597), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [78722] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2695), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [78776] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1452), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5050), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5048), 5,
      anon_sym_EQ,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5046), 17,
      anon_sym_COLON,
      anon_sym_EQ2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE2,
  [78820] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2591), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [78874] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(695), 1,
      anon_sym_NULL,
    ACTIONS(3764), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3766), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5054), 1,
      sym__immediate_string_base_other,
    STATE(1536), 1,
      sym__immediate_escape_sequence,
    ACTIONS(693), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(1290), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5052), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [78926] = 9,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2484), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5058), 1,
      sym__immediate_string_base_other,
    ACTIONS(5060), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(633), 1,
      sym__immediate_escape_sequence,
    STATE(1592), 1,
      sym__immediate_unquoted_string,
    STATE(438), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5056), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [78976] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2594), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [79030] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5077), 1,
      sym__immediate_string_base_num,
    ACTIONS(5074), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    STATE(1528), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(751), 3,
      anon_sym_AS,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(749), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [79076] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2599), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [79130] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1408), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(819), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(817), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [79172] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2602), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [79226] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(904), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(902), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [79266] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(900), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(898), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [79306] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2604), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [79360] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2606), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [79414] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(863), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(861), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [79454] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(851), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(849), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [79494] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2610), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [79548] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2613), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [79602] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(944), 6,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(942), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [79642] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5083), 1,
      sym__immediate_string_base_num,
    ACTIONS(751), 2,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(5080), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    STATE(1560), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(749), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [79688] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2615), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [79742] = 13,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1897), 1,
      anon_sym_DQUOTE,
    ACTIONS(1899), 1,
      anon_sym_SQUOTE,
    ACTIONS(1917), 1,
      sym__string_base_other,
    ACTIONS(1921), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5088), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_NULL,
    STATE(1585), 1,
      sym_escape_sequence,
    ACTIONS(1919), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1381), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5091), 3,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5086), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
  [79800] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2617), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [79854] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2620), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [79908] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(834), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(832), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [79948] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2622), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [80002] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(875), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(873), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [80042] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2624), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [80096] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(914), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(912), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [80136] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5098), 1,
      anon_sym_DQUOTE,
    ACTIONS(5101), 1,
      anon_sym_SQUOTE,
    ACTIONS(5104), 1,
      sym__string_base_other,
    ACTIONS(5110), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5115), 1,
      anon_sym_NULL,
    STATE(1585), 1,
      sym_escape_sequence,
    ACTIONS(5107), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1381), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5113), 3,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5095), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [80192] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2533), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [80246] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2627), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [80300] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1384), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5117), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(823), 5,
      anon_sym_EQ,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(821), 17,
      anon_sym_COLON,
      anon_sym_EQ3,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE2,
  [80344] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2616), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [80398] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2632), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [80452] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2635), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [80506] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(937), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(935), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [80546] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2637), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [80600] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2639), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [80654] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(933), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(931), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [80694] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2641), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [80748] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1928), 1,
      anon_sym_SLASH,
    ACTIONS(1934), 1,
      anon_sym_DASH,
    STATE(1852), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(1931), 3,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(926), 4,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(924), 15,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [80796] = 10,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2026), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3975), 1,
      anon_sym_PLUS,
    ACTIONS(2641), 2,
      anon_sym_DASH2,
      anon_sym_NULL,
    ACTIONS(3987), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    ACTIONS(2024), 5,
      anon_sym_EQ3,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(2638), 5,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3983), 6,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(2019), 7,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
  [80848] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5120), 1,
      sym__immediate_string_base_other,
    STATE(1395), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5123), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(809), 4,
      anon_sym_PLUS,
      sym__string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(807), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [80894] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2544), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [80948] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(922), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(920), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [80988] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2643), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [81042] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2645), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [81096] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2647), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [81150] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2649), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [81204] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2652), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [81258] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1403), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5126), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(823), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(821), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [81302] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(859), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(857), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [81342] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(944), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(942), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [81382] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1406), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5129), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(823), 5,
      anon_sym_EQ,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(821), 17,
      anon_sym_COLON,
      anon_sym_EQ2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE2,
  [81426] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2589), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [81480] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1408), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5132), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(823), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(821), 17,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [81524] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2540), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [81578] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5135), 1,
      anon_sym_EQ3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2808), 5,
      anon_sym_EQ,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2806), 19,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [81620] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1360), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(830), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(828), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [81662] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2536), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [81716] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(867), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(865), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [81756] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5113), 1,
      anon_sym_RPAREN4,
    ACTIONS(5140), 1,
      anon_sym_RPAREN,
    ACTIONS(5143), 1,
      anon_sym_DQUOTE,
    ACTIONS(5146), 1,
      anon_sym_SQUOTE,
    ACTIONS(5149), 1,
      sym__string_base_other,
    ACTIONS(5155), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    ACTIONS(5152), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1414), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5137), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [81812] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2556), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [81866] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2943), 4,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2941), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [81906] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2555), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [81960] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5158), 1,
      anon_sym_EQ3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2808), 5,
      anon_sym_EQ,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2806), 19,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym_allow_privileged,
      sym_pass_args,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [82002] = 9,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(1726), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5162), 1,
      sym__immediate_string_base_other,
    ACTIONS(5164), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(398), 1,
      sym__immediate_escape_sequence,
    STATE(1226), 1,
      sym__immediate_unquoted_string,
    STATE(185), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5160), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [82052] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5170), 1,
      sym_allow_privileged,
    ACTIONS(5173), 1,
      aux_sym_unknown_option_token1,
    STATE(1420), 2,
      sym_unknown_option,
      aux_sym_import_options_repeat1,
    ACTIONS(5168), 3,
      anon_sym_DASH2,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5166), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [82098] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2654), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [82152] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2582), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [82206] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2656), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [82260] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2579), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [82314] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2658), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [82368] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(918), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(916), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [82408] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5091), 1,
      anon_sym_RPAREN4,
    ACTIONS(5178), 1,
      anon_sym_RPAREN,
    STATE(1606), 1,
      sym_escape_sequence,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1414), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5176), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [82464] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3409), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5184), 1,
      sym_allow_privileged,
    STATE(1420), 2,
      sym_unknown_option,
      aux_sym_import_options_repeat1,
    ACTIONS(5182), 3,
      anon_sym_DASH2,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5180), 18,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [82510] = 9,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3764), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3766), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5188), 1,
      sym__immediate_string_base_other,
    STATE(1536), 1,
      sym__immediate_escape_sequence,
    STATE(2724), 1,
      sym__immediate_unquoted_string,
    STATE(1355), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5186), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [82560] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2022), 1,
      anon_sym_DASH2,
    ACTIONS(3975), 1,
      anon_sym_PLUS,
    ACTIONS(2026), 4,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2024), 7,
      anon_sym_EQ3,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(2019), 12,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
  [82606] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2660), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [82660] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2662), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [82714] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2629), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [82768] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3532), 4,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3530), 21,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym_allow_privileged,
      sym_pass_args,
      anon_sym_DASH_DASHplatform,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [82808] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2548), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [82862] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1460), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5190), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(830), 5,
      anon_sym_EQ,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(828), 17,
      anon_sym_COLON,
      anon_sym_EQ3,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE2,
  [82906] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2575), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [82960] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2667), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [83014] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2670), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [83068] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(944), 6,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_PLUS,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(942), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [83108] = 9,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3616), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3618), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5194), 1,
      sym__immediate_string_base_other,
    STATE(1483), 1,
      sym__immediate_escape_sequence,
    STATE(1849), 1,
      sym__immediate_unquoted_string,
    STATE(1301), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5192), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [83158] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(834), 1,
      anon_sym_DASH2,
    ACTIONS(4055), 1,
      anon_sym_PLUS,
    ACTIONS(2038), 4,
      anon_sym_DASH,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(832), 7,
      anon_sym_EQ3,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(2035), 12,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
  [83204] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2543), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [83258] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5113), 1,
      anon_sym_RPAREN2,
    ACTIONS(5199), 1,
      anon_sym_RPAREN,
    ACTIONS(5202), 1,
      anon_sym_DQUOTE,
    ACTIONS(5205), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__string_base_other,
    ACTIONS(5214), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    ACTIONS(5211), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1444), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5196), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [83314] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2681), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [83368] = 9,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3616), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3618), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5194), 1,
      sym__immediate_string_base_other,
    STATE(1483), 1,
      sym__immediate_escape_sequence,
    STATE(1855), 1,
      sym__immediate_unquoted_string,
    STATE(1301), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5192), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [83418] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2572), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [83472] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2686), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [83526] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5091), 1,
      anon_sym_RPAREN2,
    ACTIONS(5219), 1,
      anon_sym_RPAREN,
    STATE(1590), 1,
      sym_escape_sequence,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1444), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5217), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [83582] = 9,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5224), 1,
      anon_sym_DASH,
    STATE(1665), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(926), 2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(4105), 2,
      anon_sym_DASH2,
      anon_sym_NULL,
    ACTIONS(5221), 3,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(1928), 5,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(924), 15,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [83632] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1473), 1,
      aux_sym_variable_repeat1,
    ACTIONS(830), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(828), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [83674] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1406), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5231), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5229), 5,
      anon_sym_EQ,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5227), 17,
      anon_sym_COLON,
      anon_sym_EQ2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE2,
  [83718] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2570), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [83772] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2554), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [83826] = 9,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3616), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3618), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5194), 1,
      sym__immediate_string_base_other,
    STATE(1483), 1,
      sym__immediate_escape_sequence,
    STATE(1840), 1,
      sym__immediate_unquoted_string,
    STATE(1301), 4,
      sym__immediate_string_base,
      sym__immediate_expansion,
      aux_sym__immediate_string_base_repeat1,
      aux_sym_unquoted_string_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5192), 16,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_PLUS2,
  [83876] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2568), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [83930] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(918), 6,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(916), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [83970] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2566), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [84024] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2564), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [84078] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1384), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5233), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(819), 5,
      anon_sym_EQ,
      sym__string_base_other,
      sym__string_base_alpha,
      sym__string_base_num,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(817), 17,
      anon_sym_COLON,
      anon_sym_EQ3,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE2,
  [84122] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(855), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(853), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [84162] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2706), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [84216] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2553), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [84270] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2714), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [84324] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2728), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [84378] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2562), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [84432] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4055), 1,
      anon_sym_PLUS,
    ACTIONS(834), 2,
      anon_sym_DASH2,
      anon_sym_NULL,
    ACTIONS(2038), 3,
      anon_sym_DASH,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(832), 10,
      anon_sym_EQ3,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2035), 13,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
  [84478] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5036), 1,
      anon_sym_DQUOTE,
    ACTIONS(5038), 1,
      anon_sym_SQUOTE,
    ACTIONS(5040), 1,
      sym__string_base_other,
    ACTIONS(5044), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1606), 1,
      sym_escape_sequence,
    STATE(2559), 1,
      sym_shell_fragment,
    ACTIONS(5042), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1427), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5034), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [84532] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(871), 5,
      anon_sym_DASH,
      aux_sym_unknown_option_token1,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(869), 20,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym_global,
      sym_required,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [84572] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(918), 6,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_PLUS,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(916), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [84612] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3975), 1,
      anon_sym_PLUS,
    ACTIONS(2022), 2,
      anon_sym_DASH2,
      anon_sym_NULL,
    ACTIONS(2026), 3,
      anon_sym_DASH,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2024), 10,
      anon_sym_EQ3,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2019), 13,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
  [84658] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5064), 1,
      anon_sym_DQUOTE,
    ACTIONS(5066), 1,
      anon_sym_SQUOTE,
    ACTIONS(5068), 1,
      sym__string_base_other,
    ACTIONS(5072), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1590), 1,
      sym_escape_sequence,
    STATE(2557), 1,
      sym_shell_fragment,
    ACTIONS(5070), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    STATE(1449), 2,
      sym__string_base,
      aux_sym_shell_fragment_repeat3,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5062), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      sym_comment,
  [84712] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1403), 1,
      aux_sym_variable_repeat1,
    ACTIONS(819), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(817), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [84754] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1492), 1,
      aux_sym_variable_repeat1,
    ACTIONS(830), 4,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(828), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [84795] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(918), 5,
      anon_sym_PLUS,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(916), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [84834] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(871), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(869), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [84873] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(871), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(869), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [84912] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(937), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(935), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [84951] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(904), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(902), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [84990] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(834), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(832), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [85029] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(900), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(898), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [85068] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(922), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(920), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [85107] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(834), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(832), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [85146] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2943), 4,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2941), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym_allow_privileged,
      sym_pass_args,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [85185] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(875), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(873), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [85224] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1520), 1,
      aux_sym_variable_repeat1,
    ACTIONS(830), 4,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(828), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [85265] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(914), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(912), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [85304] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5241), 1,
      anon_sym_NULL,
    STATE(935), 1,
      sym__eol,
    ACTIONS(5237), 3,
      anon_sym_LPAREN,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5239), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5235), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [85349] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(859), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(857), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [85388] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(944), 5,
      anon_sym_PLUS,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(942), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [85427] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5245), 1,
      anon_sym_NULL,
    STATE(779), 1,
      sym__eol,
    ACTIONS(5237), 3,
      anon_sym_LPAREN,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5243), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5235), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [85472] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1525), 1,
      aux_sym_variable_repeat1,
    ACTIONS(819), 4,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(817), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [85513] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5250), 1,
      sym__immediate_string_base_num,
    STATE(1493), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(809), 2,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(5247), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    ACTIONS(807), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [85558] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2943), 4,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2941), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [85597] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(855), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(853), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [85636] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5253), 1,
      anon_sym_EQ3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2808), 5,
      anon_sym_EQ,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2806), 18,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym_allow_privileged,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [85677] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(914), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(912), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [85716] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(867), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(865), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [85755] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5255), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(5258), 1,
      sym__immediate_string_base_num,
    STATE(1499), 1,
      aux_sym_variable_repeat1,
    ACTIONS(823), 4,
      anon_sym_AS,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(821), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [85800] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(875), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(873), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [85839] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1501), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5261), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(823), 4,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(821), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [85882] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(937), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(935), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [85921] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5266), 1,
      anon_sym_NULL,
    STATE(964), 1,
      sym__eol,
    ACTIONS(5237), 3,
      anon_sym_LPAREN,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5264), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5235), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [85966] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(904), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(902), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [86005] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(900), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(898), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [86044] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5271), 1,
      sym__immediate_string_base_num,
    STATE(1506), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5268), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    ACTIONS(809), 3,
      anon_sym_AS,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(807), 21,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [86089] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5276), 4,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5274), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHbranch,
      sym_keep_ts,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [86128] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(933), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(931), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [86167] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(863), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(861), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [86206] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5280), 1,
      anon_sym_NULL,
    STATE(702), 1,
      sym__eol,
    ACTIONS(5237), 3,
      anon_sym_LPAREN,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5278), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5235), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [86251] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1499), 1,
      aux_sym_variable_repeat1,
    ACTIONS(819), 5,
      anon_sym_AS,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(817), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [86292] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(855), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(853), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [86331] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(851), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(849), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [86370] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1511), 1,
      aux_sym_variable_repeat1,
    ACTIONS(830), 5,
      anon_sym_AS,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(828), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [86411] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(867), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(865), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [86450] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(933), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(931), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [86489] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5286), 1,
      anon_sym_COLON2,
    ACTIONS(5288), 1,
      anon_sym_AT2,
    ACTIONS(5282), 5,
      anon_sym_COLON,
      anon_sym_AT,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(5284), 21,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [86532] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(922), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(920), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [86571] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(863), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(861), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [86610] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1501), 1,
      aux_sym_variable_repeat1,
    ACTIONS(819), 4,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(817), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [86651] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(851), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(849), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [86690] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(859), 5,
      anon_sym_DASH,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(857), 19,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
  [86729] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5292), 1,
      anon_sym_NULL,
    STATE(850), 1,
      sym__eol,
    ACTIONS(5237), 3,
      anon_sym_LPAREN,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5290), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5235), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [86774] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5296), 1,
      anon_sym_NULL,
    STATE(690), 1,
      sym__eol,
    ACTIONS(5237), 3,
      anon_sym_LPAREN,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5294), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5235), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [86819] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5298), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(5301), 1,
      sym__immediate_string_base_num,
    STATE(1525), 1,
      aux_sym_variable_repeat1,
    ACTIONS(823), 3,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(821), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [86864] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(933), 4,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(931), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [86902] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(875), 5,
      anon_sym_AS,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(873), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [86940] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(944), 5,
      anon_sym_AS,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(942), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [86978] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2024), 5,
      anon_sym_EQ3,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(2026), 5,
      anon_sym_AS,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(2019), 17,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87018] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(900), 4,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(898), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87056] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(832), 5,
      anon_sym_EQ3,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
    ACTIONS(2038), 5,
      anon_sym_AS,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(2035), 17,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87096] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(918), 5,
      anon_sym_AS,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(916), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87134] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(914), 4,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(912), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87172] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(859), 4,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(857), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87210] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(875), 4,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(873), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87248] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(834), 4,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(832), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87286] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(904), 4,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(902), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87324] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(922), 5,
      anon_sym_AS,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(920), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87362] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(900), 4,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(898), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87400] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(863), 4,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(861), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87438] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(851), 4,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(849), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87476] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(922), 4,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(920), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87514] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(851), 5,
      anon_sym_AS,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(849), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87552] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(834), 4,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(832), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87590] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(863), 5,
      anon_sym_AS,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(861), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87628] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(933), 5,
      anon_sym_AS,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(931), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87666] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(875), 4,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(873), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87704] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(900), 5,
      anon_sym_AS,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(898), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87742] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(904), 5,
      anon_sym_AS,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(902), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87780] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(937), 5,
      anon_sym_AS,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(935), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87818] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(867), 5,
      anon_sym_AS,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(865), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87856] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(914), 4,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(912), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87894] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(855), 4,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(853), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [87932] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2943), 4,
      anon_sym_DASH2,
      aux_sym_unknown_option_token1,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2941), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym_allow_privileged,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [87970] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(871), 5,
      anon_sym_AS,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(869), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [88008] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(937), 4,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(935), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [88046] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(933), 4,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(931), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [88084] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(922), 4,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(920), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [88122] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(859), 4,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(857), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [88160] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(944), 4,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(942), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [88198] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(871), 4,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(869), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [88236] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(914), 5,
      anon_sym_AS,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(912), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [88274] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5308), 1,
      anon_sym_AT2,
    ACTIONS(5306), 4,
      anon_sym_AT,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(5304), 22,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [88314] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(855), 5,
      anon_sym_AS,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(853), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [88352] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(867), 4,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(865), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [88390] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(937), 4,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(935), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [88428] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(834), 5,
      anon_sym_AS,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(832), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [88466] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(863), 4,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(861), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [88504] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(851), 4,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(849), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [88542] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(867), 4,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(865), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [88580] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(918), 4,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(916), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [88618] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(904), 4,
      sym__string_base_alpha,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(902), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [88656] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(1928), 1,
      anon_sym_SLASH,
    STATE(1852), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(926), 3,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(1931), 4,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(924), 18,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [88700] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2022), 1,
      anon_sym_NULL,
    ACTIONS(3975), 1,
      anon_sym_PLUS,
    ACTIONS(2026), 2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(2024), 9,
      anon_sym_EQ3,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2019), 14,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
  [88744] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(834), 1,
      anon_sym_NULL,
    ACTIONS(4055), 1,
      anon_sym_PLUS,
    ACTIONS(2038), 2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(832), 9,
      anon_sym_EQ3,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2035), 14,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
  [88788] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(871), 4,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(869), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [88826] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(855), 4,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(853), 23,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_ASLOCAL,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [88864] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(859), 5,
      anon_sym_AS,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(857), 22,
      anon_sym_SLASH,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_SQUOTE,
      sym__immediate_string_base_num,
      anon_sym_DQUOTE2,
      anon_sym_PLUS2,
      anon_sym_DOLLAR2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [88902] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4505), 3,
      anon_sym_LPAREN,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4503), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [88939] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5312), 3,
      anon_sym_RPAREN,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5310), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
  [88976] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4726), 3,
      anon_sym_LPAREN,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4724), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [89013] = 9,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5322), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1619), 1,
      sym__immediate_escape_sequence,
    ACTIONS(5317), 2,
      anon_sym_AS,
      anon_sym_NULL,
    ACTIONS(5319), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    STATE(1582), 3,
      sym__immediate_string_base,
      aux_sym_earthfile_ref_repeat1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5325), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5314), 13,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
  [89060] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5329), 3,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(5327), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [89097] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5115), 3,
      anon_sym_RPAREN,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5113), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
  [89134] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5333), 3,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(5331), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [89171] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(944), 3,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(942), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [89208] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4730), 3,
      anon_sym_LPAREN,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4728), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [89245] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5312), 3,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(5310), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [89282] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(944), 3,
      anon_sym_RPAREN,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(942), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
  [89319] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5333), 3,
      anon_sym_RPAREN,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5331), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
  [89356] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4738), 3,
      anon_sym_LPAREN,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4736), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [89393] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4734), 3,
      anon_sym_LPAREN,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(4732), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [89430] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5237), 3,
      anon_sym_LPAREN,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5235), 19,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_LPAREN3,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
  [89467] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(922), 3,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(920), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [89504] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5115), 3,
      anon_sym_RPAREN,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5113), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_RPAREN4,
      sym_comment,
  [89541] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(944), 3,
      anon_sym_RPAREN,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(942), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_RPAREN4,
      sym_comment,
  [89578] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(914), 3,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(912), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [89615] = 9,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3754), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1619), 1,
      sym__immediate_escape_sequence,
    ACTIONS(5337), 2,
      anon_sym_AS,
      anon_sym_NULL,
    ACTIONS(5339), 2,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
    STATE(1582), 3,
      sym__immediate_string_base,
      aux_sym_earthfile_ref_repeat1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5341), 4,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5335), 13,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
  [89662] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(937), 3,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(935), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [89699] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5345), 3,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(5343), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [89736] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(922), 3,
      anon_sym_RPAREN,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(920), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_RPAREN4,
      sym_comment,
  [89773] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(867), 3,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(865), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [89810] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(922), 3,
      anon_sym_RPAREN,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(920), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
  [89847] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(859), 3,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(857), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_SQUOTE2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [89884] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5312), 3,
      anon_sym_RPAREN,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5310), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_RPAREN4,
      sym_comment,
  [89921] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5333), 3,
      anon_sym_RPAREN,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 4,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5331), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      anon_sym_RPAREN4,
      sym_comment,
  [89958] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5115), 3,
      sym__string_base_other,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(5113), 23,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__string_base_alpha,
      sym__string_base_num,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [89995] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5341), 1,
      anon_sym_PLUS,
    ACTIONS(5349), 1,
      sym__immediate_string_base_other,
    ACTIONS(5351), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1621), 1,
      sym__immediate_escape_sequence,
    STATE(1610), 3,
      sym__immediate_string_base,
      aux_sym_earthfile_ref_repeat1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5347), 14,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
  [90039] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5351), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5355), 1,
      anon_sym_PLUS,
    ACTIONS(5357), 1,
      sym__immediate_string_base_other,
    STATE(1621), 1,
      sym__immediate_escape_sequence,
    STATE(1608), 3,
      sym__immediate_string_base,
      aux_sym_earthfile_ref_repeat1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5353), 14,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
  [90083] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5325), 1,
      anon_sym_PLUS,
    ACTIONS(5362), 1,
      sym__immediate_string_base_other,
    ACTIONS(5365), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1621), 1,
      sym__immediate_escape_sequence,
    STATE(1610), 3,
      sym__immediate_string_base,
      aux_sym_earthfile_ref_repeat1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5359), 14,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
  [90127] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3645), 2,
      aux_sym_unknown_option_token1,
      anon_sym_NULL,
    ACTIONS(5371), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(1611), 3,
      sym__immediate_string_base,
      aux_sym_image_name_repeat1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5368), 4,
      anon_sym_SLASH,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(3647), 13,
      anon_sym_COLON2,
      anon_sym_AT2,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [90168] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3738), 2,
      aux_sym_unknown_option_token1,
      anon_sym_NULL,
    ACTIONS(5376), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(1611), 3,
      sym__immediate_string_base,
      aux_sym_image_name_repeat1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5374), 4,
      anon_sym_SLASH,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(3740), 13,
      anon_sym_COLON2,
      anon_sym_AT2,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [90209] = 9,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5380), 1,
      anon_sym_PLUS,
    ACTIONS(5382), 1,
      sym__string_base_other,
    STATE(1609), 1,
      sym__string_base,
    STATE(1915), 1,
      sym_target_ref,
    STATE(2600), 1,
      sym_earthfile_ref,
    ACTIONS(5384), 2,
      sym__string_base_alpha,
      sym__string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5378), 12,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH2,
      anon_sym_COMMA,
      anon_sym_AT,
      anon_sym_DOT2,
      anon_sym_DASH2,
  [90253] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5386), 1,
      sym_allow_privileged,
    ACTIONS(5388), 1,
      anon_sym_DASH_DASHcache_DASHid,
    ACTIONS(5390), 1,
      anon_sym_DASH_DASHcompose,
    ACTIONS(5392), 1,
      anon_sym_DASH_DASHload,
    ACTIONS(5394), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(5396), 1,
      anon_sym_DASH_DASHpull,
    ACTIONS(5398), 1,
      anon_sym_DASH_DASHservice,
    ACTIONS(5400), 1,
      aux_sym_unknown_option_token1,
    STATE(2445), 1,
      sym_with_docker_options,
    STATE(2446), 1,
      sym__eol,
    ACTIONS(5402), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
    STATE(1622), 8,
      sym_cache_id,
      sym_compose,
      sym_load,
      sym_platform,
      sym_pull,
      sym_service,
      sym_unknown_option,
      aux_sym_with_docker_options_repeat1,
  [90307] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(751), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5404), 1,
      sym__immediate_string_base_other,
    ACTIONS(5407), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    STATE(1624), 2,
      sym__immediate_string_base,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(749), 13,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_PLUS,
  [90347] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5386), 1,
      sym_allow_privileged,
    ACTIONS(5388), 1,
      anon_sym_DASH_DASHcache_DASHid,
    ACTIONS(5390), 1,
      anon_sym_DASH_DASHcompose,
    ACTIONS(5392), 1,
      anon_sym_DASH_DASHload,
    ACTIONS(5394), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(5396), 1,
      anon_sym_DASH_DASHpull,
    ACTIONS(5398), 1,
      anon_sym_DASH_DASHservice,
    ACTIONS(5400), 1,
      aux_sym_unknown_option_token1,
    STATE(2337), 1,
      sym_with_docker_options,
    STATE(2530), 1,
      sym__eol,
    ACTIONS(5410), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
    STATE(1622), 8,
      sym_cache_id,
      sym_compose,
      sym_load,
      sym_platform,
      sym_pull,
      sym_service,
      sym_unknown_option,
      aux_sym_with_docker_options_repeat1,
  [90401] = 14,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5386), 1,
      sym_allow_privileged,
    ACTIONS(5388), 1,
      anon_sym_DASH_DASHcache_DASHid,
    ACTIONS(5390), 1,
      anon_sym_DASH_DASHcompose,
    ACTIONS(5392), 1,
      anon_sym_DASH_DASHload,
    ACTIONS(5394), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(5396), 1,
      anon_sym_DASH_DASHpull,
    ACTIONS(5398), 1,
      anon_sym_DASH_DASHservice,
    ACTIONS(5400), 1,
      aux_sym_unknown_option_token1,
    STATE(2404), 1,
      sym__eol,
    STATE(2411), 1,
      sym_with_docker_options,
    ACTIONS(5412), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
    STATE(1622), 8,
      sym_cache_id,
      sym_compose,
      sym_load,
      sym_platform,
      sym_pull,
      sym_service,
      sym_unknown_option,
      aux_sym_with_docker_options_repeat1,
  [90455] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(809), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5414), 1,
      sym__immediate_string_base_other,
    STATE(1618), 1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5417), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(807), 13,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_PLUS,
  [90494] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4055), 5,
      anon_sym_AS,
      sym__immediate_string_base_other,
      sym__immediate_string_base_alpha,
      aux_sym__immediate_escape_sequence_token1,
      anon_sym_NULL,
    ACTIONS(5420), 17,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      sym__immediate_string_base_num,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [90527] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5422), 1,
      sym_allow_privileged,
    ACTIONS(5425), 1,
      anon_sym_DASH_DASHcache_DASHid,
    ACTIONS(5428), 1,
      anon_sym_DASH_DASHcompose,
    ACTIONS(5431), 1,
      anon_sym_DASH_DASHload,
    ACTIONS(5434), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(5437), 1,
      anon_sym_DASH_DASHpull,
    ACTIONS(5440), 1,
      anon_sym_DASH_DASHservice,
    ACTIONS(5443), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5446), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
    STATE(1620), 8,
      sym_cache_id,
      sym_compose,
      sym_load,
      sym_platform,
      sym_pull,
      sym_service,
      sym_unknown_option,
      aux_sym_with_docker_options_repeat1,
  [90575] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4055), 2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5420), 15,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_PLUS,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
  [90607] = 12,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5388), 1,
      anon_sym_DASH_DASHcache_DASHid,
    ACTIONS(5390), 1,
      anon_sym_DASH_DASHcompose,
    ACTIONS(5392), 1,
      anon_sym_DASH_DASHload,
    ACTIONS(5394), 1,
      anon_sym_DASH_DASHplatform,
    ACTIONS(5396), 1,
      anon_sym_DASH_DASHpull,
    ACTIONS(5398), 1,
      anon_sym_DASH_DASHservice,
    ACTIONS(5400), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5448), 1,
      sym_allow_privileged,
    ACTIONS(5450), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
    STATE(1620), 8,
      sym_cache_id,
      sym_compose,
      sym_load,
      sym_platform,
      sym_pull,
      sym_service,
      sym_unknown_option,
      aux_sym_with_docker_options_repeat1,
  [90655] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(918), 2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(916), 15,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_PLUS,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
  [90687] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(944), 2,
      sym__immediate_string_base_other,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(942), 15,
      anon_sym_SLASH,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_DASH,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_LBRACK2,
      anon_sym_RBRACK2,
      anon_sym_LBRACE2,
      anon_sym_RBRACE2,
      anon_sym_COMMA2,
      anon_sym_AT2,
      anon_sym_PLUS,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
  [90719] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4774), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5454), 1,
      anon_sym_DASH,
    STATE(1630), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(5452), 3,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(4770), 13,
      anon_sym_AT2,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [90755] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5456), 1,
      anon_sym_DASH_DASHmount,
    ACTIONS(5460), 1,
      anon_sym_DASH_DASHsecret,
    ACTIONS(5462), 1,
      anon_sym_DASH_DASHsep,
    ACTIONS(5464), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5466), 1,
      sym__string_base_alpha,
    STATE(2461), 1,
      sym_for_options,
    STATE(2735), 1,
      sym_variable,
    ACTIONS(5458), 3,
      sym_no_cache,
      sym_privileged,
      sym_ssh,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(1637), 5,
      sym_mount,
      sym_secret,
      sym_sep,
      sym_unknown_option,
      aux_sym_for_options_repeat1,
  [90799] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5456), 1,
      anon_sym_DASH_DASHmount,
    ACTIONS(5460), 1,
      anon_sym_DASH_DASHsecret,
    ACTIONS(5462), 1,
      anon_sym_DASH_DASHsep,
    ACTIONS(5464), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5466), 1,
      sym__string_base_alpha,
    STATE(2259), 1,
      sym_for_options,
    STATE(2634), 1,
      sym_variable,
    ACTIONS(5458), 3,
      sym_no_cache,
      sym_privileged,
      sym_ssh,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(1637), 5,
      sym_mount,
      sym_secret,
      sym_sep,
      sym_unknown_option,
      aux_sym_for_options_repeat1,
  [90843] = 11,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5456), 1,
      anon_sym_DASH_DASHmount,
    ACTIONS(5460), 1,
      anon_sym_DASH_DASHsecret,
    ACTIONS(5462), 1,
      anon_sym_DASH_DASHsep,
    ACTIONS(5464), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5466), 1,
      sym__string_base_alpha,
    STATE(2466), 1,
      sym_for_options,
    STATE(2738), 1,
      sym_variable,
    ACTIONS(5458), 3,
      sym_no_cache,
      sym_privileged,
      sym_ssh,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(1637), 5,
      sym_mount,
      sym_secret,
      sym_sep,
      sym_unknown_option,
      aux_sym_for_options_repeat1,
  [90887] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4786), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5470), 1,
      anon_sym_DASH,
    STATE(1625), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(5468), 3,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(4782), 13,
      anon_sym_AT2,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [90923] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3702), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5475), 1,
      anon_sym_DASH,
    STATE(1630), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(5472), 3,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(3694), 13,
      anon_sym_AT2,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [90959] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5480), 1,
      anon_sym_DASH,
    ACTIONS(5484), 1,
      aux_sym_unknown_option_token1,
    STATE(1632), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(5478), 3,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5482), 12,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [90994] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5454), 1,
      anon_sym_DASH,
    ACTIONS(5488), 1,
      aux_sym_unknown_option_token1,
    STATE(1630), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(5452), 3,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5486), 12,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91029] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3645), 2,
      anon_sym_DASH2,
      anon_sym_NULL,
    ACTIONS(5493), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(1633), 3,
      sym__immediate_string_base,
      aux_sym_image_name_repeat1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5490), 4,
      anon_sym_SLASH,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(3647), 7,
      anon_sym_COLON2,
      anon_sym_AT2,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [91064] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3738), 2,
      anon_sym_DASH2,
      anon_sym_NULL,
    ACTIONS(5498), 2,
      anon_sym_DASH,
      sym__immediate_string_base_other,
    STATE(1633), 3,
      sym__immediate_string_base,
      aux_sym_image_name_repeat1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5496), 4,
      anon_sym_SLASH,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(3740), 7,
      anon_sym_COLON2,
      anon_sym_AT2,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [91099] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4952), 1,
      aux_sym_unknown_option_token1,
    STATE(1639), 1,
      aux_sym_image_digest_repeat1,
    ACTIONS(5500), 3,
      anon_sym_COLON2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(4954), 12,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91131] = 9,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5502), 1,
      anon_sym_DASH_DASHmount,
    ACTIONS(5508), 1,
      anon_sym_DASH_DASHsecret,
    ACTIONS(5511), 1,
      anon_sym_DASH_DASHsep,
    ACTIONS(5514), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5517), 1,
      sym__string_base_alpha,
    ACTIONS(5505), 3,
      sym_no_cache,
      sym_privileged,
      sym_ssh,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(1636), 5,
      sym_mount,
      sym_secret,
      sym_sep,
      sym_unknown_option,
      aux_sym_for_options_repeat1,
  [91169] = 9,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5456), 1,
      anon_sym_DASH_DASHmount,
    ACTIONS(5460), 1,
      anon_sym_DASH_DASHsecret,
    ACTIONS(5462), 1,
      anon_sym_DASH_DASHsep,
    ACTIONS(5464), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5521), 1,
      sym__string_base_alpha,
    ACTIONS(5519), 3,
      sym_no_cache,
      sym_privileged,
      sym_ssh,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    STATE(1636), 5,
      sym_mount,
      sym_secret,
      sym_sep,
      sym_unknown_option,
      aux_sym_for_options_repeat1,
  [91207] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4987), 1,
      aux_sym_unknown_option_token1,
    STATE(1635), 1,
      aux_sym_image_digest_repeat1,
    ACTIONS(5523), 3,
      anon_sym_COLON2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(4989), 12,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91239] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4939), 1,
      aux_sym_unknown_option_token1,
    STATE(1639), 1,
      aux_sym_image_digest_repeat1,
    ACTIONS(5525), 3,
      anon_sym_COLON2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(4941), 12,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91271] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5530), 1,
      sym__immediate_string_base_other,
    ACTIONS(3740), 3,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_AT2,
    STATE(1641), 3,
      sym__immediate_string_base,
      aux_sym_image_name_repeat1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5528), 5,
      anon_sym_SLASH,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
  [91302] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5535), 1,
      sym__immediate_string_base_other,
    ACTIONS(3647), 3,
      anon_sym_EQ3,
      anon_sym_COLON2,
      anon_sym_AT2,
    STATE(1641), 3,
      sym__immediate_string_base,
      aux_sym_image_name_repeat1,
      aux_sym__immediate_string_base_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5532), 5,
      anon_sym_SLASH,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
  [91333] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5282), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5538), 1,
      anon_sym_COLON2,
    ACTIONS(5540), 1,
      anon_sym_AT2,
    ACTIONS(5284), 12,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91363] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2808), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5542), 1,
      anon_sym_EQ3,
    ACTIONS(2806), 12,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91390] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5306), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5544), 1,
      anon_sym_AT2,
    ACTIONS(5304), 12,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91417] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5546), 1,
      anon_sym_EQ3,
    ACTIONS(5550), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5548), 12,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91444] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3532), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(3530), 12,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91468] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5554), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5552), 12,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91492] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5558), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5556), 12,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91516] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5562), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5560), 12,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91540] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5566), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5564), 12,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91564] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1651), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(3694), 4,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_EQ3,
      anon_sym_AT2,
    ACTIONS(5568), 4,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [91590] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5329), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5327), 12,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91614] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5550), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5548), 12,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91638] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4786), 1,
      anon_sym_DASH2,
    ACTIONS(5573), 1,
      anon_sym_DASH,
    STATE(1664), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(5571), 3,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(4782), 7,
      anon_sym_AT2,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91668] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5345), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5343), 12,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91692] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5577), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5575), 12,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91716] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5581), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5579), 12,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91740] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(3702), 1,
      anon_sym_DASH2,
    ACTIONS(5586), 1,
      anon_sym_DASH,
    STATE(1658), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(5583), 3,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(3694), 7,
      anon_sym_AT2,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91770] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(2943), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(2941), 12,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91794] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5591), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5589), 12,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91818] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2832), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5593), 1,
      anon_sym_EQ4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2830), 7,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__string_base_alpha,
  [91844] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5597), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5595), 12,
      sym_allow_privileged,
      anon_sym_DASH_DASHcache_DASHid,
      anon_sym_DASH_DASHcompose,
      anon_sym_DASH_DASHload,
      anon_sym_DASH_DASHplatform,
      anon_sym_DASH_DASHpull,
      anon_sym_DASH_DASHservice,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91868] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2808), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5599), 1,
      anon_sym_EQ3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2806), 7,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__string_base_alpha,
  [91894] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4774), 1,
      anon_sym_DASH2,
    ACTIONS(5603), 1,
      anon_sym_DASH,
    STATE(1658), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(5601), 3,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(4770), 7,
      anon_sym_AT2,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91924] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5488), 1,
      anon_sym_DASH2,
    ACTIONS(5603), 1,
      anon_sym_DASH,
    STATE(1658), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(5601), 3,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5486), 6,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [91953] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2943), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2941), 7,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__string_base_alpha,
  [91976] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5607), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5609), 1,
      sym__string_base_alpha,
    STATE(2168), 1,
      sym_variable,
    STATE(2222), 1,
      sym_arg_options,
    ACTIONS(5605), 2,
      sym_global,
      sym_required,
    STATE(1858), 2,
      sym_unknown_option,
      aux_sym_arg_options_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [92007] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5484), 1,
      anon_sym_DASH2,
    ACTIONS(5613), 1,
      anon_sym_DASH,
    STATE(1665), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(5611), 3,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5482), 6,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [92036] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5607), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5609), 1,
      sym__string_base_alpha,
    STATE(2135), 1,
      sym_variable,
    STATE(2380), 1,
      sym_arg_options,
    ACTIONS(5605), 2,
      sym_global,
      sym_required,
    STATE(1858), 2,
      sym_unknown_option,
      aux_sym_arg_options_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [92067] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2947), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(2945), 7,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__string_base_alpha,
  [92090] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5617), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(5615), 7,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__string_base_alpha,
  [92113] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5607), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5609), 1,
      sym__string_base_alpha,
    STATE(2106), 1,
      sym_variable,
    STATE(2335), 1,
      sym_arg_options,
    ACTIONS(5605), 2,
      sym_global,
      sym_required,
    STATE(1858), 2,
      sym_unknown_option,
      aux_sym_arg_options_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [92144] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3031), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
    ACTIONS(3029), 7,
      anon_sym_DASH_DASHmount,
      sym_no_cache,
      sym_privileged,
      anon_sym_DASH_DASHsecret,
      anon_sym_DASH_DASHsep,
      sym_ssh,
      sym__string_base_alpha,
  [92167] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(875), 1,
      sym__eol,
    STATE(2236), 1,
      sym_build_args,
    STATE(1866), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(5623), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [92197] = 5,
    ACTIONS(3694), 1,
      anon_sym_EQ3,
    ACTIONS(3702), 1,
      anon_sym_SPACE,
    STATE(1675), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(5625), 4,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [92221] = 5,
    ACTIONS(830), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1677), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5628), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(828), 3,
      aux_sym_double_quoted_string_token1,
      anon_sym_DQUOTE2,
      anon_sym_DOLLAR2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [92245] = 5,
    ACTIONS(819), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1708), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5630), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(817), 3,
      aux_sym_double_quoted_string_token1,
      anon_sym_DQUOTE2,
      anon_sym_DOLLAR2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [92269] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1692), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(3656), 2,
      anon_sym_SLASH,
      anon_sym_COLON,
    ACTIONS(5632), 4,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [92293] = 7,
    ACTIONS(5634), 1,
      anon_sym_DQUOTE,
    ACTIONS(5636), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1694), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [92321] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(826), 1,
      sym__eol,
    STATE(2249), 1,
      sym_build_args,
    STATE(1866), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(5642), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [92351] = 5,
    STATE(1681), 1,
      aux_sym_variable_repeat1,
    ACTIONS(821), 2,
      aux_sym_double_quoted_string_token1,
      anon_sym_DOLLAR2,
    ACTIONS(823), 2,
      anon_sym_DQUOTE,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5644), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [92375] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3694), 1,
      anon_sym_DASH_DASH2,
    ACTIONS(3702), 1,
      anon_sym_DASH2,
    ACTIONS(5650), 1,
      anon_sym_DASH,
    STATE(1682), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(5647), 3,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [92403] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(670), 1,
      sym__eol,
    STATE(2500), 1,
      sym_build_args,
    STATE(1866), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(5653), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [92433] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4952), 1,
      anon_sym_DASH2,
    STATE(1693), 1,
      aux_sym_image_digest_repeat1,
    ACTIONS(5655), 3,
      anon_sym_COLON2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(4954), 6,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [92459] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(848), 1,
      sym__eol,
    STATE(2410), 1,
      sym_build_args,
    STATE(1866), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(5657), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [92489] = 5,
    STATE(1681), 1,
      aux_sym_variable_repeat1,
    ACTIONS(817), 2,
      aux_sym_double_quoted_string_token1,
      anon_sym_DOLLAR2,
    ACTIONS(819), 2,
      anon_sym_DQUOTE,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5659), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [92513] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(857), 1,
      sym__eol,
    STATE(2421), 1,
      sym_build_args,
    STATE(1866), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(5661), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [92543] = 5,
    STATE(1686), 1,
      aux_sym_variable_repeat1,
    ACTIONS(828), 2,
      aux_sym_double_quoted_string_token1,
      anon_sym_DOLLAR2,
    ACTIONS(830), 2,
      anon_sym_DQUOTE,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5663), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [92567] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(842), 1,
      sym__eol,
    STATE(2495), 1,
      sym_build_args,
    STATE(1866), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(5665), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [92597] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(714), 1,
      sym__eol,
    STATE(2313), 1,
      sym_build_args,
    STATE(1866), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(5667), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [92627] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(688), 1,
      sym__eol,
    STATE(2300), 1,
      sym_build_args,
    STATE(1866), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(5669), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [92657] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1651), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(3594), 2,
      anon_sym_SLASH,
      anon_sym_COLON,
    ACTIONS(5671), 4,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [92681] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4939), 1,
      anon_sym_DASH2,
    STATE(1693), 1,
      aux_sym_image_digest_repeat1,
    ACTIONS(5673), 3,
      anon_sym_COLON2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(4941), 6,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [92707] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5676), 1,
      anon_sym_DQUOTE,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [92735] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5680), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [92763] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5682), 1,
      anon_sym_DQUOTE,
    ACTIONS(5684), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1695), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [92791] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5686), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [92819] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5688), 1,
      anon_sym_DQUOTE,
    ACTIONS(5690), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1697), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [92847] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5694), 1,
      anon_sym_DQUOTE2,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [92875] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5700), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5702), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1699), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [92903] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5704), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [92931] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5706), 1,
      anon_sym_DQUOTE,
    ACTIONS(5708), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1701), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [92959] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5486), 1,
      anon_sym_DASH_DASH2,
    ACTIONS(5488), 1,
      anon_sym_DASH2,
    ACTIONS(5712), 1,
      anon_sym_DASH,
    STATE(1682), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(5710), 3,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [92987] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1704), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(5714), 4,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(3694), 6,
      anon_sym_COLON2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [93011] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5717), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93039] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5719), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5721), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1705), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93067] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5723), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93095] = 5,
    ACTIONS(823), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1708), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5725), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(821), 3,
      aux_sym_double_quoted_string_token1,
      anon_sym_DQUOTE2,
      anon_sym_DOLLAR2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93119] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1704), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(5728), 4,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(3594), 6,
      anon_sym_COLON2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [93143] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5730), 1,
      anon_sym_DQUOTE,
    ACTIONS(5732), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1707), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93171] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5734), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93199] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5736), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5738), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1711), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93227] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5740), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93255] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5742), 1,
      anon_sym_DQUOTE,
    ACTIONS(5744), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1713), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93283] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5746), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93311] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5748), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5750), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1715), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93339] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5752), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93367] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5754), 1,
      anon_sym_DQUOTE,
    ACTIONS(5756), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1717), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93395] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5758), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93423] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5760), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5762), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1719), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93451] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5764), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93479] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5766), 1,
      anon_sym_DQUOTE,
    ACTIONS(5768), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1721), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93507] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5770), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93535] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5772), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5774), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1723), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93563] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5776), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93591] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5778), 1,
      anon_sym_DQUOTE,
    ACTIONS(5780), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1725), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93619] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5782), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93647] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5784), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5786), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1727), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93675] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5788), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93703] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5790), 1,
      anon_sym_DQUOTE,
    ACTIONS(5792), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1729), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93731] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5794), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93759] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5796), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5798), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1731), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93787] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5800), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93815] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5802), 1,
      anon_sym_DQUOTE,
    ACTIONS(5804), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1733), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93843] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5806), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93871] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1651), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(4770), 2,
      anon_sym_EQ3,
      anon_sym_AT2,
    ACTIONS(5671), 4,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93895] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5808), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5810), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1735), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93923] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5812), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93951] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5814), 1,
      anon_sym_DQUOTE,
    ACTIONS(5816), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1738), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [93979] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5818), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94007] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5820), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5822), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1740), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94035] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5824), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94063] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5826), 1,
      anon_sym_DQUOTE,
    ACTIONS(5828), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1742), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94091] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5830), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94119] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5832), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5834), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1744), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94147] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5836), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94175] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5838), 1,
      anon_sym_DQUOTE,
    ACTIONS(5840), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1746), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94203] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5842), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94231] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5844), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5846), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1748), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94259] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5848), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94287] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5850), 1,
      anon_sym_DQUOTE,
    ACTIONS(5852), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1750), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94315] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5854), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94343] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5856), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5858), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1752), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94371] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5860), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94399] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5862), 1,
      anon_sym_DQUOTE,
    ACTIONS(5864), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1754), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94427] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5866), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94455] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1736), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(4782), 2,
      anon_sym_EQ3,
      anon_sym_AT2,
    ACTIONS(5868), 4,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94479] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5870), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5872), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1756), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94507] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5874), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94535] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5876), 1,
      anon_sym_DQUOTE,
    ACTIONS(5878), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1759), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94563] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5880), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94591] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5482), 1,
      anon_sym_DASH_DASH2,
    ACTIONS(5484), 1,
      anon_sym_DASH2,
    ACTIONS(5884), 1,
      anon_sym_DASH,
    STATE(1703), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(5882), 3,
      anon_sym_DOT,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94619] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5886), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5888), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1761), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94647] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5890), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94675] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(808), 1,
      sym__eol,
    STATE(2237), 1,
      sym_build_args,
    STATE(1866), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(5892), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [94705] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5894), 1,
      anon_sym_DQUOTE,
    ACTIONS(5896), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1764), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94733] = 5,
    ACTIONS(3656), 1,
      anon_sym_EQ3,
    ACTIONS(3662), 1,
      anon_sym_SPACE,
    STATE(1793), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(5898), 4,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94757] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5900), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94785] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5902), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5904), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1768), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94813] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5906), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94841] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5908), 1,
      anon_sym_DQUOTE,
    ACTIONS(5910), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1770), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94869] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5912), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94897] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5914), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5916), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1772), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94925] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5918), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94953] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5920), 1,
      anon_sym_DQUOTE,
    ACTIONS(5922), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1774), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [94981] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5924), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95009] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5926), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5928), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1776), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95037] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5930), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95065] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5932), 1,
      anon_sym_DQUOTE,
    ACTIONS(5934), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1778), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95093] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5936), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95121] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(948), 1,
      sym__eol,
    STATE(2318), 1,
      sym_build_args,
    STATE(1866), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(5938), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [95151] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5940), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5942), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1780), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95179] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5944), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95207] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5946), 1,
      anon_sym_DQUOTE,
    ACTIONS(5948), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1783), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95235] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(939), 1,
      sym__eol,
    STATE(2311), 1,
      sym_build_args,
    STATE(1866), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(5950), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [95265] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(937), 1,
      sym__eol,
    STATE(2307), 1,
      sym_build_args,
    STATE(1866), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(5952), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [95295] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5954), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95323] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5956), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5958), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1787), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95351] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(923), 1,
      sym__eol,
    STATE(2303), 1,
      sym_build_args,
    STATE(1866), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(5960), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [95381] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5962), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95409] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5964), 1,
      anon_sym_DQUOTE,
    ACTIONS(5966), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1790), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95437] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5968), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95465] = 5,
    ACTIONS(3594), 1,
      anon_sym_EQ3,
    ACTIONS(3600), 1,
      anon_sym_SPACE,
    STATE(1675), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(5970), 4,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95489] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5972), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5974), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1792), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95517] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5976), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95545] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5978), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5980), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1834), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95573] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5982), 1,
      anon_sym_DQUOTE,
    ACTIONS(5984), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1795), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95601] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5986), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95629] = 7,
    ACTIONS(5988), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5991), 1,
      anon_sym_DQUOTE2,
    ACTIONS(5993), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5996), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95657] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5999), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(6001), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1798), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95685] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(6003), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95713] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6005), 1,
      anon_sym_DQUOTE,
    ACTIONS(6007), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1801), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95741] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(883), 1,
      sym__eol,
    STATE(2247), 1,
      sym_build_args,
    STATE(1866), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(6009), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [95771] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6011), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95799] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1709), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(6013), 4,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(3656), 6,
      anon_sym_COLON2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [95823] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6015), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(6017), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1804), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95851] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(6019), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95879] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6021), 1,
      anon_sym_DQUOTE,
    ACTIONS(6023), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1807), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95907] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6025), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95935] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6027), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(6029), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1809), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95963] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [95991] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6033), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1811), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [96019] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6037), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [96047] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6039), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(6041), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1813), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [96075] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(703), 1,
      sym__eol,
    STATE(2345), 1,
      sym_build_args,
    STATE(1866), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(6043), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [96105] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(6045), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [96133] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(758), 1,
      sym__eol,
    STATE(2291), 1,
      sym_build_args,
    STATE(1866), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(6047), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [96163] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(781), 1,
      sym__eol,
    STATE(2297), 1,
      sym_build_args,
    STATE(1866), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(6049), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [96193] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6051), 1,
      anon_sym_DQUOTE,
    ACTIONS(6053), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1816), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [96221] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(851), 1,
      sym__eol,
    STATE(2310), 1,
      sym_build_args,
    STATE(1866), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(6055), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [96251] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(655), 1,
      sym__eol,
    STATE(2326), 1,
      sym_build_args,
    STATE(1866), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(6057), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [96281] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6059), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [96309] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6061), 1,
      anon_sym_DQUOTE,
    ACTIONS(6063), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1833), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [96337] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(676), 1,
      sym__eol,
    STATE(2491), 1,
      sym_build_args,
    STATE(1866), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(6065), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [96367] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(673), 1,
      sym__eol,
    STATE(2494), 1,
      sym_build_args,
    STATE(1866), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(6067), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [96397] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6069), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(6071), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1822), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [96425] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(6073), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [96453] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(671), 1,
      sym__eol,
    STATE(2496), 1,
      sym_build_args,
    STATE(1866), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(6075), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [96483] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(877), 1,
      sym__eol,
    STATE(2239), 1,
      sym_build_args,
    STATE(1866), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(6077), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [96513] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(868), 1,
      sym__eol,
    STATE(2229), 1,
      sym_build_args,
    STATE(1866), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(6079), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [96543] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6081), 1,
      anon_sym_DQUOTE,
    ACTIONS(6083), 1,
      aux_sym_double_quoted_string_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1827), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [96571] = 7,
    ACTIONS(6085), 1,
      anon_sym_DQUOTE,
    ACTIONS(6087), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(6090), 1,
      anon_sym_DOLLAR2,
    ACTIONS(6093), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [96599] = 7,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5640), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(5678), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(6096), 1,
      anon_sym_DQUOTE,
    STATE(2099), 1,
      sym__immediate_escape_sequence,
    STATE(1832), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [96627] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6098), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [96655] = 7,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6100), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(6102), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1836), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [96683] = 7,
    ACTIONS(5692), 1,
      aux_sym_double_quoted_string_token1,
    ACTIONS(5696), 1,
      anon_sym_DOLLAR2,
    ACTIONS(5698), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6104), 1,
      anon_sym_DQUOTE2,
    STATE(2083), 1,
      sym__immediate_escape_sequence,
    STATE(1799), 2,
      sym__immediate_expansion,
      aux_sym_double_quoted_string_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [96711] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4987), 1,
      anon_sym_DASH2,
    STATE(1684), 1,
      aux_sym_image_digest_repeat1,
    ACTIONS(6106), 3,
      anon_sym_COLON2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(4989), 6,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [96737] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6108), 1,
      anon_sym_DASH2,
    ACTIONS(6110), 1,
      anon_sym_RPAREN3,
    ACTIONS(6112), 1,
      anon_sym_DASH_DASH2,
    STATE(2712), 1,
      sym_build_args,
    STATE(1881), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [96764] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6114), 1,
      anon_sym_END,
    ACTIONS(6116), 1,
      anon_sym_ELSEIF,
    ACTIONS(6118), 1,
      anon_sym_ELSE,
    STATE(1967), 1,
      aux_sym_if_command_repeat1,
    STATE(2120), 1,
      sym_elif_block,
    STATE(2711), 1,
      sym_else_block,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [96793] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6108), 1,
      anon_sym_DASH2,
    ACTIONS(6112), 1,
      anon_sym_DASH_DASH2,
    ACTIONS(6120), 1,
      anon_sym_RPAREN3,
    STATE(2665), 1,
      sym_build_args,
    STATE(1881), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [96820] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(6122), 1,
      sym__string_base_alpha,
    STATE(921), 1,
      sym__eol,
    STATE(2344), 1,
      sym_identifier,
    STATE(1851), 2,
      sym_label,
      aux_sym_label_command_repeat1,
    ACTIONS(6124), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [96847] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6116), 1,
      anon_sym_ELSEIF,
    ACTIONS(6118), 1,
      anon_sym_ELSE,
    ACTIONS(6126), 1,
      anon_sym_END,
    STATE(1839), 1,
      aux_sym_if_command_repeat1,
    STATE(2120), 1,
      sym_elif_block,
    STATE(2718), 1,
      sym_else_block,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [96876] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6116), 1,
      anon_sym_ELSEIF,
    ACTIONS(6118), 1,
      anon_sym_ELSE,
    ACTIONS(6128), 1,
      anon_sym_END,
    STATE(1846), 1,
      aux_sym_if_command_repeat1,
    STATE(2120), 1,
      sym_elif_block,
    STATE(2689), 1,
      sym_else_block,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [96905] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6108), 1,
      anon_sym_DASH2,
    ACTIONS(6112), 1,
      anon_sym_DASH_DASH2,
    ACTIONS(6130), 1,
      anon_sym_RPAREN3,
    STATE(2684), 1,
      sym_build_args,
    STATE(1881), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [96932] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6116), 1,
      anon_sym_ELSEIF,
    ACTIONS(6118), 1,
      anon_sym_ELSE,
    ACTIONS(6132), 1,
      anon_sym_END,
    STATE(1967), 1,
      aux_sym_if_command_repeat1,
    STATE(2120), 1,
      sym_elif_block,
    STATE(2723), 1,
      sym_else_block,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [96961] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6116), 1,
      anon_sym_ELSEIF,
    ACTIONS(6118), 1,
      anon_sym_ELSE,
    ACTIONS(6134), 1,
      anon_sym_END,
    STATE(1967), 1,
      aux_sym_if_command_repeat1,
    STATE(2120), 1,
      sym_elif_block,
    STATE(2683), 1,
      sym_else_block,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [96990] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(6122), 1,
      sym__string_base_alpha,
    STATE(697), 1,
      sym__eol,
    STATE(2344), 1,
      sym_identifier,
    STATE(1854), 2,
      sym_label,
      aux_sym_label_command_repeat1,
    ACTIONS(6136), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [97017] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5482), 1,
      anon_sym_SLASH,
    STATE(1852), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(6138), 4,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97040] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6108), 1,
      anon_sym_DASH2,
    ACTIONS(6112), 1,
      anon_sym_DASH_DASH2,
    ACTIONS(6140), 1,
      anon_sym_RPAREN3,
    STATE(2678), 1,
      sym_build_args,
    STATE(1881), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97067] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6108), 1,
      anon_sym_DASH2,
    ACTIONS(6112), 1,
      anon_sym_DASH_DASH2,
    ACTIONS(6142), 1,
      anon_sym_RPAREN3,
    STATE(2717), 1,
      sym_build_args,
    STATE(1881), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97094] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(6122), 1,
      sym__string_base_alpha,
    STATE(892), 1,
      sym__eol,
    STATE(2344), 1,
      sym_identifier,
    STATE(1898), 2,
      sym_label,
      aux_sym_label_command_repeat1,
    ACTIONS(6144), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [97121] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5486), 1,
      anon_sym_SLASH,
    STATE(1651), 1,
      aux_sym__immediate_identifier_repeat1,
    ACTIONS(5671), 4,
      anon_sym_DOT,
      anon_sym_DASH,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97144] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6149), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(6152), 1,
      sym__string_base_alpha,
    ACTIONS(6146), 2,
      sym_global,
      sym_required,
    STATE(1853), 2,
      sym_unknown_option,
      aux_sym_arg_options_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97169] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(6122), 1,
      sym__string_base_alpha,
    STATE(711), 1,
      sym__eol,
    STATE(2344), 1,
      sym_identifier,
    STATE(1898), 2,
      sym_label,
      aux_sym_label_command_repeat1,
    ACTIONS(6154), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [97196] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6108), 1,
      anon_sym_DASH2,
    ACTIONS(6112), 1,
      anon_sym_DASH_DASH2,
    ACTIONS(6156), 1,
      anon_sym_RPAREN3,
    STATE(2740), 1,
      sym_build_args,
    STATE(1881), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97223] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(6122), 1,
      sym__string_base_alpha,
    STATE(798), 1,
      sym__eol,
    STATE(2344), 1,
      sym_identifier,
    STATE(1898), 2,
      sym_label,
      aux_sym_label_command_repeat1,
    ACTIONS(6158), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [97250] = 8,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6116), 1,
      anon_sym_ELSEIF,
    ACTIONS(6118), 1,
      anon_sym_ELSE,
    ACTIONS(6160), 1,
      anon_sym_END,
    STATE(1845), 1,
      aux_sym_if_command_repeat1,
    STATE(2120), 1,
      sym_elif_block,
    STATE(2690), 1,
      sym_else_block,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97279] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5607), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(6164), 1,
      sym__string_base_alpha,
    ACTIONS(6162), 2,
      sym_global,
      sym_required,
    STATE(1853), 2,
      sym_unknown_option,
      aux_sym_arg_options_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97304] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(6122), 1,
      sym__string_base_alpha,
    STATE(796), 1,
      sym__eol,
    STATE(2344), 1,
      sym_identifier,
    STATE(1856), 2,
      sym_label,
      aux_sym_label_command_repeat1,
    ACTIONS(6166), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [97331] = 6,
    ACTIONS(6168), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6170), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1888), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97355] = 6,
    ACTIONS(6174), 1,
      anon_sym_SQUOTE,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97379] = 6,
    ACTIONS(6180), 1,
      anon_sym_SQUOTE,
    ACTIONS(6182), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6185), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97403] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6188), 1,
      anon_sym_END,
    ACTIONS(6190), 1,
      anon_sym_SAVEARTIFACT,
    STATE(2679), 1,
      sym_try_command_finally_block,
    STATE(2063), 2,
      sym_save_artifact_command,
      aux_sym_try_command_finally_block_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97427] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6192), 1,
      ts_builtin_sym_end,
    ACTIONS(6194), 1,
      sym__string_base_alpha,
    STATE(2704), 1,
      sym_identifier,
    STATE(1864), 2,
      sym_target,
      aux_sym_source_file_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97451] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1945), 1,
      aux_sym_variable_repeat1,
    ACTIONS(6197), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5227), 6,
      anon_sym_EQ,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [97473] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5619), 1,
      anon_sym_DASH2,
    ACTIONS(5621), 1,
      anon_sym_DASH_DASH2,
    STATE(1988), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(6199), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [97497] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6190), 1,
      anon_sym_SAVEARTIFACT,
    ACTIONS(6201), 1,
      anon_sym_END,
    STATE(2676), 1,
      sym_try_command_finally_block,
    STATE(2063), 2,
      sym_save_artifact_command,
      aux_sym_try_command_finally_block_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97521] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6203), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6205), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1990), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97545] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6207), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6209), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1870), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97569] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6211), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97593] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6215), 1,
      anon_sym_SQUOTE,
    ACTIONS(6217), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1872), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97617] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6219), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97641] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6221), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97665] = 5,
    ACTIONS(6223), 1,
      anon_sym_SQUOTE,
    ACTIONS(6225), 1,
      aux_sym_shell_fragment_token2,
    ACTIONS(6227), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2008), 2,
      sym__immediate_escape_sequence,
      aux_sym_shell_fragment_repeat2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97687] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6229), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6231), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1873), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97711] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1865), 1,
      aux_sym_variable_repeat1,
    ACTIONS(6233), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5046), 6,
      anon_sym_EQ,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [97733] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6235), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97757] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6237), 1,
      anon_sym_SQUOTE,
    ACTIONS(6239), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1877), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97781] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6241), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97805] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6243), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6245), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1884), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97829] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6108), 1,
      anon_sym_DASH2,
    ACTIONS(6112), 1,
      anon_sym_DASH_DASH2,
    ACTIONS(6199), 1,
      anon_sym_RPAREN3,
    STATE(1952), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97853] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6247), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6249), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1879), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97877] = 5,
    ACTIONS(6223), 1,
      anon_sym_DQUOTE,
    ACTIONS(6251), 1,
      aux_sym_shell_fragment_token1,
    ACTIONS(6253), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2005), 2,
      sym__immediate_escape_sequence,
      aux_sym_shell_fragment_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97899] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6255), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97923] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6257), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97947] = 5,
    ACTIONS(6225), 1,
      aux_sym_shell_fragment_token2,
    ACTIONS(6227), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6259), 1,
      anon_sym_SQUOTE,
    STATE(2008), 2,
      sym__immediate_escape_sequence,
      aux_sym_shell_fragment_repeat2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97969] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6261), 1,
      anon_sym_SQUOTE,
    ACTIONS(6263), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1885), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [97993] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6265), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98017] = 5,
    ACTIONS(6251), 1,
      aux_sym_shell_fragment_token1,
    ACTIONS(6253), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6259), 1,
      anon_sym_DQUOTE,
    STATE(2005), 2,
      sym__immediate_escape_sequence,
      aux_sym_shell_fragment_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98039] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6267), 1,
      anon_sym_SQUOTE,
    ACTIONS(6269), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1892), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98063] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6271), 1,
      anon_sym_SQUOTE,
    ACTIONS(6273), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1982), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98087] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6275), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98111] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6277), 1,
      ts_builtin_sym_end,
    ACTIONS(6279), 1,
      sym__string_base_alpha,
    STATE(2704), 1,
      sym_identifier,
    STATE(1864), 2,
      sym_target,
      aux_sym_source_file_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98135] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6281), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98159] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6283), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98183] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6285), 1,
      anon_sym_SQUOTE,
    ACTIONS(6287), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1895), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98207] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6289), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98231] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(6291), 1,
      sym__string_base_alpha,
    STATE(2344), 1,
      sym_identifier,
    STATE(1898), 2,
      sym_label,
      aux_sym_label_command_repeat1,
    ACTIONS(6294), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [98255] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6296), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6298), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1897), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98279] = 5,
    ACTIONS(6253), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6300), 1,
      anon_sym_DQUOTE,
    ACTIONS(6302), 1,
      aux_sym_shell_fragment_token1,
    STATE(1883), 2,
      sym__immediate_escape_sequence,
      aux_sym_shell_fragment_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98301] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6304), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6306), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1904), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98325] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6279), 1,
      sym__string_base_alpha,
    ACTIONS(6308), 1,
      ts_builtin_sym_end,
    STATE(2704), 1,
      sym_identifier,
    STATE(1864), 2,
      sym_target,
      aux_sym_source_file_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98349] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6279), 1,
      sym__string_base_alpha,
    ACTIONS(6310), 1,
      ts_builtin_sym_end,
    STATE(2704), 1,
      sym_identifier,
    STATE(1926), 2,
      sym_target,
      aux_sym_source_file_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98373] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6312), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98397] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6314), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98421] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6316), 1,
      anon_sym_SQUOTE,
    ACTIONS(6318), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1905), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98445] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6320), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98469] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6322), 1,
      anon_sym_SQUOTE,
    ACTIONS(6324), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1916), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98493] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6326), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6328), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1907), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98517] = 5,
    ACTIONS(6227), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6300), 1,
      anon_sym_SQUOTE,
    ACTIONS(6330), 1,
      aux_sym_shell_fragment_token2,
    STATE(1874), 2,
      sym__immediate_escape_sequence,
      aux_sym_shell_fragment_repeat2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98539] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6332), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98563] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6334), 1,
      anon_sym_SQUOTE,
    ACTIONS(6336), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1911), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98587] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6338), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98611] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4941), 1,
      anon_sym_EQ3,
    STATE(1914), 1,
      aux_sym_image_digest_repeat1,
    ACTIONS(6340), 3,
      anon_sym_COLON2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98633] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6108), 1,
      anon_sym_DASH2,
    ACTIONS(6112), 1,
      anon_sym_DASH_DASH2,
    STATE(2743), 1,
      sym_build_args,
    STATE(1881), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98657] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6343), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98681] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6190), 1,
      anon_sym_SAVEARTIFACT,
    ACTIONS(6345), 1,
      anon_sym_END,
    STATE(2742), 1,
      sym_try_command_finally_block,
    STATE(2063), 2,
      sym_save_artifact_command,
      aux_sym_try_command_finally_block_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98705] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2808), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(6347), 1,
      anon_sym_EQ3,
    ACTIONS(2806), 3,
      sym_global,
      sym_required,
      sym__string_base_alpha,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98727] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6349), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6351), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1913), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98751] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6353), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6355), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1924), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98775] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6357), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98799] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6359), 1,
      anon_sym_SQUOTE,
    ACTIONS(6361), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1921), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98823] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6363), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98847] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6365), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98871] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6367), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6369), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1923), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98895] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6279), 1,
      sym__string_base_alpha,
    ACTIONS(6371), 1,
      ts_builtin_sym_end,
    STATE(2704), 1,
      sym_identifier,
    STATE(1864), 2,
      sym_target,
      aux_sym_source_file_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98919] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6373), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98943] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6375), 1,
      anon_sym_SQUOTE,
    ACTIONS(6377), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1927), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98967] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6379), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [98991] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6381), 1,
      anon_sym_SQUOTE,
    ACTIONS(6383), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1932), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99015] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6385), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6387), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1929), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99039] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6389), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99063] = 5,
    ACTIONS(6227), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6391), 1,
      anon_sym_SQUOTE,
    ACTIONS(6393), 1,
      aux_sym_shell_fragment_token2,
    STATE(1886), 2,
      sym__immediate_escape_sequence,
      aux_sym_shell_fragment_repeat2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99085] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6395), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99109] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6397), 1,
      anon_sym_SQUOTE,
    ACTIONS(6399), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1934), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99133] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6401), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99157] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4954), 1,
      anon_sym_EQ3,
    STATE(1914), 1,
      aux_sym_image_digest_repeat1,
    ACTIONS(6403), 3,
      anon_sym_COLON2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99179] = 5,
    ACTIONS(6253), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6391), 1,
      anon_sym_DQUOTE,
    ACTIONS(6405), 1,
      aux_sym_shell_fragment_token1,
    STATE(1889), 2,
      sym__immediate_escape_sequence,
      aux_sym_shell_fragment_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99201] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6407), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6409), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1936), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99225] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6411), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6413), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1948), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99249] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6415), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99273] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6417), 1,
      anon_sym_SQUOTE,
    ACTIONS(6419), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1941), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99297] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6421), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99321] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6190), 1,
      anon_sym_SAVEARTIFACT,
    ACTIONS(6423), 1,
      anon_sym_END,
    STATE(2734), 1,
      sym_try_command_finally_block,
    STATE(2063), 2,
      sym_save_artifact_command,
      aux_sym_try_command_finally_block_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99345] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1945), 1,
      aux_sym_variable_repeat1,
    ACTIONS(6425), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(821), 6,
      anon_sym_EQ,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [99367] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6428), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6430), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1943), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99391] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6432), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6434), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1894), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99415] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6436), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99439] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6438), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99463] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6440), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6442), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1980), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99487] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6444), 1,
      anon_sym_SQUOTE,
    ACTIONS(6446), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1949), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99511] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6448), 1,
      anon_sym_DASH2,
    ACTIONS(6451), 1,
      anon_sym_RPAREN3,
    ACTIONS(6453), 1,
      anon_sym_DASH_DASH2,
    STATE(1952), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99535] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6456), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99559] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6458), 1,
      anon_sym_SQUOTE,
    ACTIONS(6460), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1958), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99583] = 5,
    ACTIONS(6253), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6462), 1,
      anon_sym_DQUOTE,
    ACTIONS(6464), 1,
      aux_sym_shell_fragment_token1,
    STATE(1986), 2,
      sym__immediate_escape_sequence,
      aux_sym_shell_fragment_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99605] = 5,
    ACTIONS(6227), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6462), 1,
      anon_sym_SQUOTE,
    ACTIONS(6466), 1,
      aux_sym_shell_fragment_token2,
    STATE(1987), 2,
      sym__immediate_escape_sequence,
      aux_sym_shell_fragment_repeat2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99627] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6468), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6470), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1953), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99651] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6472), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99675] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6474), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99699] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6476), 1,
      anon_sym_SQUOTE,
    ACTIONS(6478), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1959), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99723] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6480), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99747] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6482), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6484), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1965), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99771] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6486), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6488), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1961), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99795] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6490), 1,
      anon_sym_SQUOTE,
    ACTIONS(6492), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1996), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99819] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6494), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99843] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6496), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99867] = 7,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6498), 1,
      anon_sym_END,
    ACTIONS(6500), 1,
      anon_sym_ELSEIF,
    ACTIONS(6503), 1,
      anon_sym_ELSE,
    STATE(1967), 1,
      aux_sym_if_command_repeat1,
    STATE(2120), 1,
      sym_elif_block,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99893] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6505), 1,
      anon_sym_SQUOTE,
    ACTIONS(6507), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1966), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99917] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6509), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99941] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6511), 1,
      anon_sym_SQUOTE,
    ACTIONS(6513), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1972), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99965] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6515), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6517), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1969), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [99989] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6519), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100013] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6521), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100037] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1973), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100061] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6527), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100085] = 6,
    ACTIONS(6529), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6531), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6534), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100109] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4989), 1,
      anon_sym_EQ3,
    STATE(1937), 1,
      aux_sym_image_digest_repeat1,
    ACTIONS(6537), 3,
      anon_sym_COLON2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100131] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6539), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6541), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1981), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100155] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6543), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6545), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1975), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100179] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6547), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100203] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6549), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100227] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6551), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100251] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6553), 1,
      anon_sym_SQUOTE,
    ACTIONS(6555), 1,
      aux_sym_single_quoted_string_token1,
    STATE(2009), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100275] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6557), 1,
      anon_sym_SQUOTE,
    ACTIONS(6559), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1861), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100299] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6561), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100323] = 5,
    ACTIONS(6251), 1,
      aux_sym_shell_fragment_token1,
    ACTIONS(6253), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6563), 1,
      anon_sym_DQUOTE,
    STATE(2005), 2,
      sym__immediate_escape_sequence,
      aux_sym_shell_fragment_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100345] = 5,
    ACTIONS(6225), 1,
      aux_sym_shell_fragment_token2,
    ACTIONS(6227), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6563), 1,
      anon_sym_SQUOTE,
    STATE(2008), 2,
      sym__immediate_escape_sequence,
      aux_sym_shell_fragment_repeat2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100367] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(6565), 1,
      anon_sym_DASH2,
    ACTIONS(6568), 1,
      anon_sym_DASH_DASH2,
    STATE(1988), 2,
      sym_build_arg,
      aux_sym_build_args_repeat1,
    ACTIONS(6451), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [100391] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6571), 1,
      anon_sym_SQUOTE,
    ACTIONS(6573), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1992), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100415] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6575), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100439] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6577), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6579), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1985), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100463] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6581), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100487] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6583), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100511] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6585), 1,
      anon_sym_SQUOTE,
    ACTIONS(6587), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1993), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100535] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6589), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100559] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6591), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100583] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6593), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6595), 1,
      aux_sym_single_quoted_string_token1,
    STATE(2012), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100607] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6597), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6599), 1,
      aux_sym_single_quoted_string_token1,
    STATE(1995), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100631] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6190), 1,
      anon_sym_SAVEARTIFACT,
    ACTIONS(6601), 1,
      anon_sym_END,
    STATE(2699), 1,
      sym_try_command_finally_block,
    STATE(2063), 2,
      sym_save_artifact_command,
      aux_sym_try_command_finally_block_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100655] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6603), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100679] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6605), 1,
      anon_sym_SQUOTE,
    ACTIONS(6607), 1,
      aux_sym_single_quoted_string_token1,
    STATE(2000), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100703] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6609), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100727] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(77), 1,
      ts_builtin_sym_end,
    ACTIONS(6279), 1,
      sym__string_base_alpha,
    STATE(2704), 1,
      sym_identifier,
    STATE(1864), 2,
      sym_target,
      aux_sym_source_file_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100751] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6611), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6613), 1,
      aux_sym_single_quoted_string_token1,
    STATE(2002), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100775] = 5,
    ACTIONS(6615), 1,
      anon_sym_DQUOTE,
    ACTIONS(6617), 1,
      aux_sym_shell_fragment_token1,
    ACTIONS(6620), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2005), 2,
      sym__immediate_escape_sequence,
      aux_sym_shell_fragment_repeat1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100797] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5282), 1,
      anon_sym_DASH2,
    ACTIONS(6623), 1,
      anon_sym_COLON2,
    ACTIONS(6625), 1,
      anon_sym_AT2,
    ACTIONS(5284), 6,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [100821] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6627), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100845] = 5,
    ACTIONS(6629), 1,
      anon_sym_SQUOTE,
    ACTIONS(6631), 1,
      aux_sym_shell_fragment_token2,
    ACTIONS(6634), 1,
      aux_sym__immediate_escape_sequence_token1,
    STATE(2008), 2,
      sym__immediate_escape_sequence,
      aux_sym_shell_fragment_repeat2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100867] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6637), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100891] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6639), 1,
      anon_sym_SQUOTE,
    ACTIONS(6641), 1,
      aux_sym_single_quoted_string_token1,
    STATE(2007), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100915] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6643), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100939] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6213), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6645), 1,
      anon_sym_SQUOTE2,
    STATE(1976), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100963] = 6,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6647), 1,
      anon_sym_SQUOTE,
    ACTIONS(6649), 1,
      aux_sym_single_quoted_string_token1,
    STATE(2015), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [100987] = 6,
    ACTIONS(6172), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6651), 1,
      anon_sym_SQUOTE2,
    ACTIONS(6653), 1,
      aux_sym_single_quoted_string_token1,
    STATE(2011), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2162), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101011] = 6,
    ACTIONS(6176), 1,
      aux_sym_single_quoted_string_token1,
    ACTIONS(6178), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6655), 1,
      anon_sym_SQUOTE,
    STATE(1862), 1,
      aux_sym_single_quoted_string_repeat1,
    STATE(2118), 1,
      sym__immediate_escape_sequence,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101035] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6190), 1,
      anon_sym_SAVEARTIFACT,
    ACTIONS(6657), 1,
      anon_sym_END,
    STATE(2703), 1,
      sym_try_command_finally_block,
    STATE(2063), 2,
      sym_save_artifact_command,
      aux_sym_try_command_finally_block_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101059] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6279), 1,
      sym__string_base_alpha,
    ACTIONS(6659), 1,
      ts_builtin_sym_end,
    STATE(2704), 1,
      sym_identifier,
    STATE(1893), 2,
      sym_target,
      aux_sym_source_file_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101083] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6661), 1,
      anon_sym_LPAREN2,
    ACTIONS(6663), 1,
      anon_sym_LBRACE2,
    ACTIONS(6665), 1,
      sym__immediate_string_base_alpha,
    STATE(1378), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101106] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6667), 1,
      anon_sym_LPAREN2,
    ACTIONS(6669), 1,
      anon_sym_LBRACE2,
    ACTIONS(6671), 1,
      sym__immediate_string_base_alpha,
    STATE(507), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101129] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(828), 1,
      anon_sym_RBRACE2,
    STATE(2056), 1,
      aux_sym_variable_repeat1,
    ACTIONS(6673), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101150] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(817), 1,
      anon_sym_RBRACE,
    STATE(1406), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5231), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101171] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6675), 1,
      anon_sym_LPAREN2,
    ACTIONS(6677), 1,
      anon_sym_LBRACE2,
    ACTIONS(6679), 1,
      sym__immediate_string_base_alpha,
    STATE(305), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101194] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6681), 1,
      anon_sym_LPAREN2,
    ACTIONS(6683), 1,
      anon_sym_LBRACE2,
    ACTIONS(6685), 1,
      sym__immediate_string_base_alpha,
    STATE(629), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101217] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6687), 1,
      anon_sym_LPAREN2,
    ACTIONS(6689), 1,
      anon_sym_LBRACE2,
    ACTIONS(6691), 1,
      sym__immediate_string_base_alpha,
    STATE(616), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101240] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6693), 1,
      anon_sym_LPAREN2,
    ACTIONS(6695), 1,
      anon_sym_LBRACE2,
    ACTIONS(6697), 1,
      sym__immediate_string_base_alpha,
    STATE(394), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101263] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6699), 1,
      anon_sym_LPAREN2,
    ACTIONS(6701), 1,
      anon_sym_LBRACE2,
    ACTIONS(6703), 1,
      sym__immediate_string_base_alpha,
    STATE(1576), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101286] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(823), 1,
      anon_sym_IN,
    ACTIONS(6705), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6708), 1,
      sym__immediate_string_base_num,
    STATE(2027), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101309] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6703), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6711), 1,
      anon_sym_LPAREN2,
    ACTIONS(6713), 1,
      anon_sym_LBRACE2,
    STATE(1547), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101332] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6715), 1,
      anon_sym_LPAREN2,
    ACTIONS(6717), 1,
      anon_sym_LBRACE2,
    ACTIONS(6719), 1,
      sym__immediate_string_base_alpha,
    STATE(136), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101355] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5306), 1,
      anon_sym_DASH2,
    ACTIONS(6721), 1,
      anon_sym_AT2,
    ACTIONS(5304), 6,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [101376] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6665), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6723), 1,
      anon_sym_LPAREN2,
    ACTIONS(6725), 1,
      anon_sym_LBRACE2,
    STATE(1469), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101399] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6727), 1,
      anon_sym_LPAREN2,
    ACTIONS(6729), 1,
      anon_sym_LBRACE2,
    ACTIONS(6731), 1,
      sym__immediate_string_base_alpha,
    STATE(467), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101422] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6733), 1,
      anon_sym_LPAREN2,
    ACTIONS(6735), 1,
      anon_sym_LBRACE2,
    ACTIONS(6737), 1,
      sym__immediate_string_base_alpha,
    STATE(1476), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101445] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6679), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6739), 1,
      anon_sym_LPAREN2,
    ACTIONS(6741), 1,
      anon_sym_LBRACE2,
    STATE(286), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101468] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6743), 1,
      anon_sym_LPAREN2,
    ACTIONS(6745), 1,
      anon_sym_LBRACE2,
    ACTIONS(6747), 1,
      sym__immediate_string_base_alpha,
    STATE(2101), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101491] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6691), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6749), 1,
      anon_sym_LPAREN2,
    ACTIONS(6751), 1,
      anon_sym_LBRACE2,
    STATE(612), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101514] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6753), 1,
      anon_sym_LPAREN2,
    ACTIONS(6755), 1,
      anon_sym_LBRACE2,
    ACTIONS(6757), 1,
      sym__immediate_string_base_alpha,
    STATE(1147), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101537] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6697), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6759), 1,
      anon_sym_LPAREN2,
    ACTIONS(6761), 1,
      anon_sym_LBRACE2,
    STATE(388), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101560] = 3,
    ACTIONS(918), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(916), 3,
      aux_sym_double_quoted_string_token1,
      anon_sym_DQUOTE2,
      anon_sym_DOLLAR2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101577] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(6765), 1,
      anon_sym_LBRACE2,
    ACTIONS(6767), 1,
      sym__immediate_string_base_alpha,
    STATE(2103), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101600] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6769), 1,
      anon_sym_LPAREN2,
    ACTIONS(6771), 1,
      anon_sym_LBRACE2,
    ACTIONS(6773), 1,
      sym__immediate_string_base_alpha,
    STATE(1054), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101623] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6719), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6775), 1,
      anon_sym_LPAREN2,
    ACTIONS(6777), 1,
      anon_sym_LBRACE2,
    STATE(129), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101646] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6671), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6779), 1,
      anon_sym_LPAREN2,
    ACTIONS(6781), 1,
      anon_sym_LBRACE2,
    STATE(553), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101669] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6783), 1,
      anon_sym_LPAREN2,
    ACTIONS(6785), 1,
      anon_sym_LBRACE2,
    ACTIONS(6787), 1,
      sym__immediate_string_base_alpha,
    STATE(420), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101692] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6731), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6789), 1,
      anon_sym_LPAREN2,
    ACTIONS(6791), 1,
      anon_sym_LBRACE2,
    STATE(471), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101715] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6793), 1,
      anon_sym_LPAREN2,
    ACTIONS(6795), 1,
      anon_sym_LBRACE2,
    ACTIONS(6797), 1,
      sym__immediate_string_base_alpha,
    STATE(559), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101738] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6799), 1,
      anon_sym_LPAREN2,
    ACTIONS(6801), 1,
      anon_sym_LBRACE2,
    ACTIONS(6803), 1,
      sym__immediate_string_base_alpha,
    STATE(1535), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101761] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6805), 1,
      anon_sym_LPAREN2,
    ACTIONS(6807), 1,
      anon_sym_LBRACE2,
    ACTIONS(6809), 1,
      sym__immediate_string_base_alpha,
    STATE(254), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101784] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6757), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6811), 1,
      anon_sym_LPAREN2,
    ACTIONS(6813), 1,
      anon_sym_LBRACE2,
    STATE(1164), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101807] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(6817), 1,
      anon_sym_LBRACE2,
    ACTIONS(6819), 1,
      sym__immediate_string_base_alpha,
    STATE(534), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101830] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2943), 1,
      aux_sym_unknown_option_token1,
    ACTIONS(2941), 3,
      sym_global,
      sym_required,
      sym__string_base_alpha,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101849] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6821), 1,
      anon_sym_LPAREN2,
    ACTIONS(6823), 1,
      anon_sym_LBRACE2,
    ACTIONS(6825), 1,
      sym__immediate_string_base_alpha,
    STATE(455), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101872] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6773), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6827), 1,
      anon_sym_LPAREN2,
    ACTIONS(6829), 1,
      anon_sym_LBRACE2,
    STATE(1086), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101895] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6831), 1,
      anon_sym_LPAREN2,
    ACTIONS(6833), 1,
      anon_sym_LBRACE2,
    ACTIONS(6835), 1,
      sym__immediate_string_base_alpha,
    STATE(381), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101918] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6737), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6837), 1,
      anon_sym_LPAREN2,
    ACTIONS(6839), 1,
      anon_sym_LBRACE2,
    STATE(1500), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101941] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(817), 1,
      anon_sym_RBRACE2,
    STATE(494), 1,
      aux_sym_variable_repeat1,
    ACTIONS(6841), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101962] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6787), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6843), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACE2,
    STATE(429), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [101985] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6847), 1,
      anon_sym_LPAREN2,
    ACTIONS(6849), 1,
      anon_sym_LBRACE2,
    ACTIONS(6851), 1,
      sym__immediate_string_base_alpha,
    STATE(332), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102008] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6809), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6853), 1,
      anon_sym_LPAREN2,
    ACTIONS(6855), 1,
      anon_sym_LBRACE2,
    STATE(249), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102031] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6857), 1,
      anon_sym_LPAREN2,
    ACTIONS(6859), 1,
      anon_sym_LBRACE2,
    ACTIONS(6861), 1,
      sym__immediate_string_base_alpha,
    STATE(1555), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102054] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6863), 1,
      anon_sym_LPAREN2,
    ACTIONS(6865), 1,
      anon_sym_LBRACE2,
    ACTIONS(6867), 1,
      sym__immediate_string_base_alpha,
    STATE(539), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102077] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5048), 1,
      anon_sym_IN,
    ACTIONS(6869), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6871), 1,
      sym__immediate_string_base_num,
    STATE(2066), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102100] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6190), 1,
      anon_sym_SAVEARTIFACT,
    ACTIONS(6873), 1,
      anon_sym_END,
    STATE(2070), 2,
      sym_save_artifact_command,
      aux_sym_try_command_finally_block_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102121] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6819), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6875), 1,
      anon_sym_LPAREN2,
    ACTIONS(6877), 1,
      anon_sym_LBRACE2,
    STATE(533), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102144] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6879), 1,
      anon_sym_RBRACK,
    ACTIONS(6881), 1,
      anon_sym_DQUOTE,
    STATE(2145), 1,
      aux_sym_string_array_repeat1,
    STATE(2296), 1,
      sym_double_quoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102167] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5229), 1,
      anon_sym_IN,
    ACTIONS(6883), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6885), 1,
      sym__immediate_string_base_num,
    STATE(2027), 1,
      aux_sym_variable_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102190] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6825), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6887), 1,
      anon_sym_LPAREN2,
    ACTIONS(6889), 1,
      anon_sym_LBRACE2,
    STATE(453), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102213] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6891), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACE2,
    ACTIONS(6895), 1,
      sym__immediate_string_base_alpha,
    STATE(79), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102236] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6835), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6897), 1,
      anon_sym_LPAREN2,
    ACTIONS(6899), 1,
      anon_sym_LBRACE2,
    STATE(370), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102259] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6901), 1,
      anon_sym_END,
    ACTIONS(6903), 1,
      anon_sym_SAVEARTIFACT,
    STATE(2070), 2,
      sym_save_artifact_command,
      aux_sym_try_command_finally_block_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102280] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6906), 1,
      anon_sym_LPAREN2,
    ACTIONS(6908), 1,
      anon_sym_LBRACE2,
    ACTIONS(6910), 1,
      sym__immediate_string_base_alpha,
    STATE(615), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102303] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6912), 1,
      sym_version_major_minor,
    ACTIONS(6914), 1,
      sym_feature_flag,
    STATE(2161), 1,
      aux_sym_version_options_repeat1,
    STATE(2696), 1,
      sym_version_options,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102326] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6861), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6916), 1,
      anon_sym_LPAREN2,
    ACTIONS(6918), 1,
      anon_sym_LBRACE2,
    STATE(1527), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102349] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6803), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6920), 1,
      anon_sym_LPAREN2,
    ACTIONS(6922), 1,
      anon_sym_LBRACE2,
    STATE(1561), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102372] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6924), 1,
      anon_sym_LPAREN2,
    ACTIONS(6926), 1,
      anon_sym_LBRACE2,
    ACTIONS(6928), 1,
      sym__immediate_string_base_alpha,
    STATE(61), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102395] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6851), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6930), 1,
      anon_sym_LPAREN2,
    ACTIONS(6932), 1,
      anon_sym_LBRACE2,
    STATE(324), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102418] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(828), 1,
      anon_sym_RBRACE,
    STATE(2021), 1,
      aux_sym_variable_repeat1,
    ACTIONS(6934), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102439] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6936), 1,
      anon_sym_LPAREN2,
    ACTIONS(6938), 1,
      anon_sym_LBRACE2,
    ACTIONS(6940), 1,
      sym__immediate_string_base_alpha,
    STATE(281), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102462] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5046), 1,
      anon_sym_EQ3,
    STATE(2081), 1,
      aux_sym_variable_repeat1,
    ACTIONS(6942), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102483] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6867), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6944), 1,
      anon_sym_LPAREN2,
    ACTIONS(6946), 1,
      anon_sym_LBRACE2,
    STATE(530), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102506] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5227), 1,
      anon_sym_EQ3,
    STATE(494), 1,
      aux_sym_variable_repeat1,
    ACTIONS(6841), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102527] = 3,
    ACTIONS(916), 2,
      aux_sym_double_quoted_string_token1,
      anon_sym_DOLLAR2,
    ACTIONS(918), 2,
      anon_sym_DQUOTE,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102544] = 3,
    ACTIONS(6950), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(6948), 3,
      aux_sym_double_quoted_string_token1,
      anon_sym_DQUOTE2,
      anon_sym_DOLLAR2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102561] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6952), 1,
      anon_sym_LPAREN2,
    ACTIONS(6954), 1,
      anon_sym_LBRACE2,
    ACTIONS(6956), 1,
      sym__immediate_string_base_alpha,
    STATE(569), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102584] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6958), 1,
      anon_sym_LPAREN2,
    ACTIONS(6960), 1,
      anon_sym_LBRACE2,
    ACTIONS(6962), 1,
      sym__immediate_string_base_alpha,
    STATE(312), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102607] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6895), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6964), 1,
      anon_sym_LPAREN2,
    ACTIONS(6966), 1,
      anon_sym_LBRACE2,
    STATE(87), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102630] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6968), 1,
      anon_sym_LPAREN2,
    ACTIONS(6970), 1,
      anon_sym_LBRACE2,
    ACTIONS(6972), 1,
      sym__immediate_string_base_alpha,
    STATE(1066), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102653] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6910), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6974), 1,
      anon_sym_LPAREN2,
    ACTIONS(6976), 1,
      anon_sym_LBRACE2,
    STATE(617), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102676] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6928), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6978), 1,
      anon_sym_LPAREN2,
    ACTIONS(6980), 1,
      anon_sym_LBRACE2,
    STATE(60), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102699] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6940), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6982), 1,
      anon_sym_LPAREN2,
    ACTIONS(6984), 1,
      anon_sym_LBRACE2,
    STATE(335), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102722] = 3,
    ACTIONS(855), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(853), 3,
      aux_sym_double_quoted_string_token1,
      anon_sym_DQUOTE2,
      anon_sym_DOLLAR2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102739] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6962), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6986), 1,
      anon_sym_LPAREN2,
    ACTIONS(6988), 1,
      anon_sym_LBRACE2,
    STATE(318), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102762] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6972), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6990), 1,
      anon_sym_LPAREN2,
    ACTIONS(6992), 1,
      anon_sym_LBRACE2,
    STATE(1076), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102785] = 3,
    ACTIONS(853), 2,
      aux_sym_double_quoted_string_token1,
      anon_sym_DOLLAR2,
    ACTIONS(855), 2,
      anon_sym_DQUOTE,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102802] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6797), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(6994), 1,
      anon_sym_LPAREN2,
    ACTIONS(6996), 1,
      anon_sym_LBRACE2,
    STATE(564), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102825] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6998), 1,
      anon_sym_LPAREN2,
    ACTIONS(7000), 1,
      anon_sym_LBRACE2,
    ACTIONS(7002), 1,
      sym__immediate_string_base_alpha,
    STATE(373), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102848] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6956), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(7004), 1,
      anon_sym_LPAREN2,
    ACTIONS(7006), 1,
      anon_sym_LBRACE2,
    STATE(592), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102871] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5227), 1,
      anon_sym_EQ4,
    STATE(1012), 1,
      aux_sym_variable_repeat1,
    ACTIONS(7008), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102892] = 3,
    ACTIONS(6948), 2,
      aux_sym_double_quoted_string_token1,
      anon_sym_DOLLAR2,
    ACTIONS(6950), 2,
      anon_sym_DQUOTE,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102909] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7010), 1,
      anon_sym_LPAREN2,
    ACTIONS(7012), 1,
      anon_sym_LBRACE2,
    ACTIONS(7014), 1,
      sym__immediate_string_base_alpha,
    STATE(1477), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102932] = 3,
    ACTIONS(869), 2,
      aux_sym_double_quoted_string_token1,
      anon_sym_DOLLAR2,
    ACTIONS(871), 2,
      anon_sym_DQUOTE,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102949] = 6,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7014), 1,
      sym__immediate_string_base_alpha,
    ACTIONS(7016), 1,
      anon_sym_LPAREN2,
    ACTIONS(7018), 1,
      anon_sym_LBRACE2,
    STATE(1485), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102972] = 3,
    ACTIONS(871), 1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(869), 3,
      aux_sym_double_quoted_string_token1,
      anon_sym_DQUOTE2,
      anon_sym_DOLLAR2,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [102989] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7020), 1,
      anon_sym_AS,
    STATE(891), 1,
      sym__eol,
    ACTIONS(7022), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [103009] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7024), 1,
      anon_sym_COLON2,
    STATE(902), 1,
      sym__eol,
    ACTIONS(7026), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [103029] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7028), 1,
      anon_sym_EQ,
    STATE(806), 1,
      sym__eol,
    ACTIONS(7030), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [103049] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7032), 1,
      sym_version_major_minor,
    ACTIONS(7034), 1,
      sym_feature_flag,
    STATE(2107), 1,
      aux_sym_version_options_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103069] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7037), 1,
      anon_sym_EQ,
    STATE(789), 1,
      sym__eol,
    ACTIONS(7039), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [103089] = 3,
    ACTIONS(916), 1,
      aux_sym_shell_fragment_token1,
    ACTIONS(918), 2,
      anon_sym_DQUOTE,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103105] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5566), 1,
      anon_sym_DASH2,
    ACTIONS(5564), 6,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [103123] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7041), 1,
      anon_sym_ASLOCAL,
    STATE(736), 1,
      sym__eol,
    ACTIONS(7043), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [103143] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7045), 1,
      anon_sym_AS,
    STATE(728), 1,
      sym__eol,
    ACTIONS(7047), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [103163] = 2,
    ACTIONS(918), 3,
      anon_sym_SQUOTE,
      aux_sym_single_quoted_string_token1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103177] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1655), 1,
      sym_image_digest,
    ACTIONS(7049), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103195] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7051), 1,
      anon_sym_ASLOCAL,
    STATE(884), 1,
      sym__eol,
    ACTIONS(7053), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [103215] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(2146), 1,
      sym_image_digest,
    ACTIONS(7055), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103233] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(2030), 1,
      sym_image_tag,
    ACTIONS(7057), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103251] = 2,
    ACTIONS(7059), 3,
      anon_sym_SQUOTE,
      aux_sym_single_quoted_string_token1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103265] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7061), 1,
      anon_sym_ASLOCAL,
    STATE(887), 1,
      sym__eol,
    ACTIONS(7063), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [103285] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7067), 1,
      anon_sym_ELSE,
    ACTIONS(7065), 2,
      anon_sym_END,
      anon_sym_ELSEIF,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103303] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5566), 1,
      anon_sym_DASH2,
    ACTIONS(5564), 2,
      anon_sym_SLASH,
      anon_sym_DASH_DASH2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103321] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5554), 1,
      anon_sym_DASH2,
    ACTIONS(5552), 2,
      anon_sym_SLASH,
      anon_sym_DASH_DASH2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103339] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7069), 1,
      anon_sym_EQ,
    STATE(672), 1,
      sym__eol,
    ACTIONS(7071), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [103359] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7073), 1,
      anon_sym_COLON2,
    STATE(663), 1,
      sym__eol,
    ACTIONS(7075), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [103379] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7077), 1,
      sym_number,
    ACTIONS(7079), 1,
      sym__string_base_alpha,
    STATE(2378), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103399] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7081), 1,
      anon_sym_AS,
    STATE(680), 1,
      sym__eol,
    ACTIONS(7083), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [103419] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5345), 1,
      anon_sym_DASH2,
    ACTIONS(5343), 6,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [103437] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7085), 1,
      anon_sym_DASH2,
    ACTIONS(7087), 6,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [103455] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7091), 1,
      anon_sym_ELSE,
    ACTIONS(7089), 2,
      anon_sym_END,
      anon_sym_ELSEIF,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103473] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(2127), 1,
      sym_image_digest,
    ACTIONS(7055), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103491] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7093), 1,
      anon_sym_DASH2,
    ACTIONS(7095), 6,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [103509] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7097), 1,
      anon_sym_COLON2,
    STATE(760), 1,
      sym__eol,
    ACTIONS(7099), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [103529] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(2573), 1,
      sym_image_digest,
    ACTIONS(7101), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103547] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7079), 1,
      sym__string_base_alpha,
    ACTIONS(7103), 1,
      sym_number,
    STATE(2124), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103567] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7105), 1,
      anon_sym_EQ,
    STATE(683), 1,
      sym__eol,
    ACTIONS(7107), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [103587] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7109), 1,
      anon_sym_ASLOCAL,
    STATE(833), 1,
      sym__eol,
    ACTIONS(7111), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [103607] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7085), 1,
      anon_sym_DASH2,
    ACTIONS(7087), 2,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103625] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7113), 1,
      anon_sym_ASLOCAL,
    STATE(2412), 1,
      sym__eol,
    ACTIONS(7115), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [103645] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1600), 1,
      sym_image_digest,
    ACTIONS(7117), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103663] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7121), 1,
      anon_sym_ELSE,
    ACTIONS(7119), 2,
      anon_sym_END,
      anon_sym_ELSEIF,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103681] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7125), 1,
      anon_sym_ELSE,
    ACTIONS(7123), 2,
      anon_sym_END,
      anon_sym_ELSEIF,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103699] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1644), 1,
      sym_image_tag,
    ACTIONS(7127), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103717] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1652), 1,
      sym_image_digest,
    ACTIONS(7049), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103735] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7129), 1,
      anon_sym_AS,
    STATE(800), 1,
      sym__eol,
    ACTIONS(7131), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [103755] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6881), 1,
      anon_sym_DQUOTE,
    STATE(2150), 1,
      aux_sym_string_array_repeat1,
    STATE(2282), 1,
      sym_double_quoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103775] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5329), 1,
      anon_sym_DASH2,
    ACTIONS(5327), 6,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [103793] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1563), 1,
      sym_image_tag,
    ACTIONS(7133), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103811] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(1583), 1,
      sym_image_digest,
    ACTIONS(7117), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103829] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7079), 1,
      sym__string_base_alpha,
    ACTIONS(7135), 1,
      sym_number,
    STATE(2132), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103849] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7137), 1,
      anon_sym_DQUOTE,
    STATE(2150), 1,
      aux_sym_string_array_repeat1,
    STATE(2733), 1,
      sym_double_quoted_string,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103869] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7140), 1,
      anon_sym_ASLOCAL,
    STATE(2370), 1,
      sym__eol,
    ACTIONS(7142), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [103889] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7079), 1,
      sym__string_base_alpha,
    ACTIONS(7144), 1,
      sym_number,
    STATE(2203), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103909] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7146), 1,
      anon_sym_AS,
    STATE(962), 1,
      sym__eol,
    ACTIONS(7148), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [103929] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(2618), 1,
      sym_image_digest,
    ACTIONS(7101), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103947] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    STATE(2322), 1,
      sym_image_tag,
    ACTIONS(7150), 2,
      sym__immediate_string_base_alpha,
      sym__immediate_string_base_num,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [103965] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(5554), 1,
      anon_sym_DASH2,
    ACTIONS(5552), 6,
      anon_sym_DASH_DASH2,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [103983] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7154), 1,
      sym__indent,
    ACTIONS(7152), 2,
      ts_builtin_sym_end,
      sym__string_base_alpha,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104001] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7079), 1,
      sym__string_base_alpha,
    ACTIONS(7156), 1,
      sym_number,
    STATE(2391), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104021] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7158), 1,
      anon_sym_AS,
    STATE(811), 1,
      sym__eol,
    ACTIONS(7160), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104041] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7162), 1,
      anon_sym_EQ,
    STATE(911), 1,
      sym__eol,
    ACTIONS(7164), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104061] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7166), 1,
      sym_version_major_minor,
    ACTIONS(7168), 1,
      sym_feature_flag,
    STATE(2107), 1,
      aux_sym_version_options_repeat1,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104081] = 3,
    ACTIONS(7170), 1,
      anon_sym_SQUOTE2,
    ACTIONS(7059), 2,
      aux_sym_single_quoted_string_token1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104097] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7093), 1,
      anon_sym_DASH2,
    ACTIONS(7095), 2,
      anon_sym_RPAREN3,
      anon_sym_DASH_DASH2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104115] = 3,
    ACTIONS(916), 1,
      anon_sym_SQUOTE2,
    ACTIONS(918), 2,
      aux_sym_single_quoted_string_token1,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104131] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7172), 1,
      anon_sym_ASLOCAL,
    STATE(771), 1,
      sym__eol,
    ACTIONS(7174), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104151] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5284), 1,
      anon_sym_EQ3,
    ACTIONS(7176), 1,
      anon_sym_COLON2,
    ACTIONS(7178), 1,
      anon_sym_AT2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104171] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7180), 1,
      anon_sym_ASLOCAL,
    STATE(741), 1,
      sym__eol,
    ACTIONS(7182), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104191] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7184), 1,
      anon_sym_EQ,
    STATE(861), 1,
      sym__eol,
    ACTIONS(7186), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104211] = 5,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7079), 1,
      sym__string_base_alpha,
    ACTIONS(7188), 1,
      sym_number,
    STATE(2105), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104231] = 3,
    ACTIONS(916), 1,
      aux_sym_shell_fragment_token2,
    ACTIONS(918), 2,
      anon_sym_SQUOTE,
      aux_sym__immediate_escape_sequence_token1,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104247] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2651), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104264] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(835), 1,
      sym__eol,
    ACTIONS(7192), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104281] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(4), 1,
      sym__eol,
    ACTIONS(7194), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104298] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(694), 1,
      sym__eol,
    ACTIONS(7196), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104315] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(843), 1,
      sym__eol,
    ACTIONS(7198), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104332] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7079), 1,
      sym__string_base_alpha,
    STATE(2351), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104349] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(654), 1,
      sym__eol,
    ACTIONS(7200), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104366] = 3,
    ACTIONS(7202), 1,
      anon_sym_EQ3,
    ACTIONS(7204), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104381] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2601), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104398] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(727), 1,
      sym__eol,
    ACTIONS(7206), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104415] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(838), 1,
      sym__eol,
    ACTIONS(7208), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104432] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2603), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104449] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7212), 1,
      sym__immediate_string_base_alpha,
    STATE(1647), 1,
      sym__immediate_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104466] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(729), 1,
      sym__eol,
    ACTIONS(7214), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104483] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(691), 1,
      sym__eol,
    ACTIONS(7216), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104500] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(807), 1,
      sym__eol,
    ACTIONS(7218), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104517] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7220), 1,
      sym__string_base_alpha,
    STATE(1327), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104534] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7079), 1,
      sym__string_base_alpha,
    STATE(2294), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104551] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(687), 1,
      sym__eol,
    ACTIONS(7222), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104568] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(799), 1,
      sym__eol,
    ACTIONS(7224), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104585] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(686), 1,
      sym__eol,
    ACTIONS(7226), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104602] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2605), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104619] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(765), 1,
      sym__eol,
    ACTIONS(7228), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104636] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1944), 1,
      sym__eol,
    ACTIONS(7230), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104653] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2563), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104670] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2609), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104687] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(730), 1,
      sym__eol,
    ACTIONS(7232), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104704] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(778), 1,
      sym__eol,
    ACTIONS(7234), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104721] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7236), 1,
      anon_sym_RUN,
    STATE(2727), 1,
      sym_run_command,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104738] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7220), 1,
      sym__string_base_alpha,
    STATE(1326), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104755] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2561), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104772] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(878), 1,
      sym__eol,
    ACTIONS(7238), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104789] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(732), 1,
      sym__eol,
    ACTIONS(7240), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104806] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(886), 1,
      sym__eol,
    ACTIONS(7242), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104823] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2611), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104840] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(762), 1,
      sym__eol,
    ACTIONS(7244), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104857] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(2016), 1,
      sym__eol,
    ACTIONS(7246), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104874] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2614), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104891] = 3,
    ACTIONS(7248), 1,
      anon_sym_EQ3,
    ACTIONS(7250), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [104906] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(822), 1,
      sym__eol,
    ACTIONS(7252), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104923] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(2630), 1,
      sym__eol,
    ACTIONS(7254), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104940] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(871), 1,
      sym__eol,
    ACTIONS(7256), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104957] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(901), 1,
      sym__eol,
    ACTIONS(7258), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104974] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(870), 1,
      sym__eol,
    ACTIONS(7260), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [104991] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(738), 1,
      sym__eol,
    ACTIONS(7262), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105008] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(739), 1,
      sym__eol,
    ACTIONS(7264), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105025] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(903), 1,
      sym__eol,
    ACTIONS(4028), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105042] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2584), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105059] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2619), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105076] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(905), 1,
      sym__eol,
    ACTIONS(7266), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105093] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2621), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105110] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5609), 1,
      sym__string_base_alpha,
    STATE(2160), 1,
      sym_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105127] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(945), 1,
      sym__eol,
    ACTIONS(7268), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105144] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(818), 1,
      sym__eol,
    ACTIONS(7270), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105161] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2729), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105178] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2558), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105195] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(865), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105210] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2623), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105227] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(926), 1,
      sym__eol,
    ACTIONS(7272), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105244] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(852), 1,
      sym__eol,
    ACTIONS(7274), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105261] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2625), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105278] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(919), 1,
      sym__eol,
    ACTIONS(7276), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105295] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(930), 1,
      sym__eol,
    ACTIONS(7278), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105312] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(743), 1,
      sym__eol,
    ACTIONS(7280), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105329] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(922), 1,
      sym__eol,
    ACTIONS(7282), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105346] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(940), 1,
      sym__eol,
    ACTIONS(7284), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105363] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(819), 1,
      sym__eol,
    ACTIONS(7286), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105380] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2598), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105397] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(941), 1,
      sym__eol,
    ACTIONS(7288), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105414] = 3,
    ACTIONS(7290), 1,
      anon_sym_EQ3,
    ACTIONS(7292), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105429] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2626), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105446] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2552), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105463] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(943), 1,
      sym__eol,
    ACTIONS(7294), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105480] = 3,
    ACTIONS(7296), 1,
      anon_sym_EQ3,
    ACTIONS(7298), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105495] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2628), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105512] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(783), 1,
      sym__eol,
    ACTIONS(7300), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105529] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(949), 1,
      sym__eol,
    ACTIONS(7302), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105546] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2538), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105563] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(810), 1,
      sym__eol,
    ACTIONS(7304), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105580] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2535), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105597] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(955), 1,
      sym__eol,
    ACTIONS(7306), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105614] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(746), 1,
      sym__eol,
    ACTIONS(7308), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105631] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(748), 1,
      sym__eol,
    ACTIONS(7310), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105648] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(957), 1,
      sym__eol,
    ACTIONS(7312), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105665] = 3,
    ACTIONS(7314), 1,
      anon_sym_EQ3,
    ACTIONS(7316), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105680] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2631), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105697] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2547), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105714] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(958), 1,
      sym__eol,
    ACTIONS(7318), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105731] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5466), 1,
      sym__string_base_alpha,
    STATE(2674), 1,
      sym_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105748] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2633), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105765] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2549), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105782] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(959), 1,
      sym__eol,
    ACTIONS(7320), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105799] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2534), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105816] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7322), 1,
      sym__immediate_string_base_alpha,
    STATE(1155), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105833] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2537), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105850] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(700), 1,
      sym__eol,
    ACTIONS(7324), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105867] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7079), 1,
      sym__string_base_alpha,
    STATE(2499), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105884] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2541), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105901] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(2608), 1,
      sym__eol,
    ACTIONS(7326), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105918] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2636), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [105935] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(726), 1,
      sym__eol,
    ACTIONS(7328), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105952] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(11), 1,
      sym__eol,
    ACTIONS(7330), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105969] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(2607), 1,
      sym__eol,
    ACTIONS(7332), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [105986] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2638), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106003] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2545), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106020] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(19), 1,
      sym__eol,
    ACTIONS(7334), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106037] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2640), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106054] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7336), 1,
      sym__string_base_alpha,
    STATE(2550), 1,
      sym_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106071] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7338), 1,
      sym__immediate_string_base_alpha,
    STATE(2156), 1,
      sym__immediate_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106088] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(713), 1,
      sym__eol,
    ACTIONS(7340), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106105] = 3,
    ACTIONS(7342), 1,
      anon_sym_EQ3,
    ACTIONS(7344), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106120] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7346), 1,
      anon_sym_RBRACK,
    ACTIONS(7348), 1,
      anon_sym_COMMA,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106137] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2596), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106154] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(717), 1,
      sym__eol,
    ACTIONS(7350), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106171] = 3,
    ACTIONS(7352), 1,
      anon_sym_EQ3,
    ACTIONS(7354), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106186] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2642), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106203] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7336), 1,
      sym__string_base_alpha,
    STATE(2551), 1,
      sym_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106220] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(972), 1,
      sym__eol,
    ACTIONS(7356), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106237] = 3,
    ACTIONS(7358), 1,
      anon_sym_EQ3,
    ACTIONS(7360), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106252] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2644), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106269] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(855), 1,
      sym__eol,
    ACTIONS(7362), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106286] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(973), 1,
      sym__eol,
    ACTIONS(7364), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106303] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7079), 1,
      sym__string_base_alpha,
    STATE(2253), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106320] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(970), 1,
      sym__eol,
    ACTIONS(7366), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106337] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(712), 1,
      sym__eol,
    ACTIONS(7368), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106354] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7348), 1,
      anon_sym_COMMA,
    ACTIONS(7370), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106371] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(854), 1,
      sym__eol,
    ACTIONS(7372), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106388] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(704), 1,
      sym__eol,
    ACTIONS(7374), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106405] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(967), 1,
      sym__eol,
    ACTIONS(7376), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106422] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(747), 1,
      sym__eol,
    ACTIONS(7378), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106439] = 3,
    ACTIONS(7380), 1,
      anon_sym_EQ3,
    ACTIONS(7382), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106454] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6279), 1,
      sym__string_base_alpha,
    STATE(2539), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106471] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(965), 1,
      sym__eol,
    ACTIONS(7384), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106488] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2646), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106505] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(828), 1,
      sym__eol,
    ACTIONS(7386), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106522] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7388), 1,
      sym__string_base_alpha,
    STATE(1277), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106539] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(963), 1,
      sym__eol,
    ACTIONS(7390), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106556] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(823), 1,
      sym__eol,
    ACTIONS(7392), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106573] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(21), 1,
      sym__eol,
    ACTIONS(7394), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106590] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(846), 1,
      sym__eol,
    ACTIONS(7396), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106607] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(961), 1,
      sym__eol,
    ACTIONS(7398), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106624] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(705), 1,
      sym__eol,
    ACTIONS(7400), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106641] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(668), 1,
      sym__eol,
    ACTIONS(7402), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106658] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(960), 1,
      sym__eol,
    ACTIONS(7404), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106675] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2648), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106692] = 3,
    ACTIONS(7406), 1,
      anon_sym_EQ3,
    ACTIONS(7408), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106707] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(675), 1,
      sym__eol,
    ACTIONS(7410), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106724] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(956), 1,
      sym__eol,
    ACTIONS(7412), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106741] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2567), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106758] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(857), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106773] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7322), 1,
      sym__immediate_string_base_alpha,
    STATE(1163), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106790] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5304), 1,
      anon_sym_EQ3,
    ACTIONS(7414), 1,
      anon_sym_AT2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106807] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7416), 1,
      sym__immediate_string_base_alpha,
    STATE(2122), 1,
      sym__immediate_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106824] = 3,
    ACTIONS(7418), 1,
      anon_sym_EQ3,
    ACTIONS(7420), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106839] = 3,
    ACTIONS(7422), 1,
      anon_sym_EQ3,
    ACTIONS(7424), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106854] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(701), 1,
      sym__eol,
    ACTIONS(7426), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106871] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(853), 1,
      sym__eol,
    ACTIONS(7428), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106888] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2653), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106905] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6279), 1,
      sym__string_base_alpha,
    STATE(2700), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106922] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2655), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106939] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7079), 1,
      sym__string_base_alpha,
    STATE(2531), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106956] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(951), 1,
      sym__eol,
    ACTIONS(7430), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [106973] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2593), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [106990] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2657), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [107007] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5609), 1,
      sym__string_base_alpha,
    STATE(2108), 1,
      sym_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [107024] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(950), 1,
      sym__eol,
    ACTIONS(7432), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107041] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(2487), 1,
      sym__eol,
    ACTIONS(7434), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107058] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(840), 1,
      sym__eol,
    ACTIONS(7436), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107075] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(947), 1,
      sym__eol,
    ACTIONS(7438), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107092] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(839), 1,
      sym__eol,
    ACTIONS(7440), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107109] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7336), 1,
      sym__string_base_alpha,
    STATE(2592), 1,
      sym_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [107126] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(946), 1,
      sym__eol,
    ACTIONS(7442), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107143] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2659), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [107160] = 3,
    ACTIONS(7444), 1,
      anon_sym_EQ3,
    ACTIONS(7446), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [107175] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(665), 1,
      sym__eol,
    ACTIONS(7448), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107192] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(912), 1,
      sym__eol,
    ACTIONS(7450), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107209] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2661), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [107226] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2590), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [107243] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7079), 1,
      sym__string_base_alpha,
    STATE(2425), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [107260] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2664), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [107277] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(836), 1,
      sym__eol,
    ACTIONS(7452), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107294] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2565), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [107311] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(2587), 1,
      sym__eol,
    ACTIONS(7454), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107328] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(656), 1,
      sym__eol,
    ACTIONS(7456), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107345] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(792), 1,
      sym__eol,
    ACTIONS(7458), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107362] = 3,
    ACTIONS(7460), 1,
      anon_sym_EQ3,
    ACTIONS(7462), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [107377] = 3,
    ACTIONS(7464), 1,
      anon_sym_EQ3,
    ACTIONS(7466), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [107392] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2666), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [107409] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(682), 1,
      sym__eol,
    ACTIONS(7468), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107426] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7470), 1,
      sym__immediate_string_base_alpha,
    STATE(2122), 1,
      sym__immediate_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [107443] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(5), 1,
      sym__eol,
    ACTIONS(7472), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107460] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2669), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [107477] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7474), 6,
      sym__string_base_alpha,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107492] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3205), 2,
      anon_sym_END,
      anon_sym_SAVEARTIFACT,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [107507] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(834), 1,
      sym__eol,
    ACTIONS(7476), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107524] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(669), 1,
      sym__eol,
    ACTIONS(7478), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107541] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(2416), 1,
      sym__eol,
    ACTIONS(7480), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107558] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(693), 1,
      sym__eol,
    ACTIONS(7482), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107575] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7079), 1,
      sym__string_base_alpha,
    STATE(2342), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [107592] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3169), 2,
      anon_sym_END,
      anon_sym_SAVEARTIFACT,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [107607] = 3,
    ACTIONS(7484), 1,
      anon_sym_EQ3,
    ACTIONS(7486), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [107622] = 3,
    ACTIONS(7488), 1,
      anon_sym_EQ3,
    ACTIONS(7490), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [107637] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(832), 1,
      sym__eol,
    ACTIONS(7492), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107654] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(938), 1,
      sym__eol,
    ACTIONS(7494), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107671] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(17), 1,
      sym__eol,
    ACTIONS(7496), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107688] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1867), 1,
      sym__eol,
    ACTIONS(7498), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107705] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(723), 1,
      sym__eol,
    ACTIONS(7500), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107722] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(936), 1,
      sym__eol,
    ACTIONS(7502), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107739] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(813), 1,
      sym__eol,
    ACTIONS(7504), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107756] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5609), 1,
      sym__string_base_alpha,
    STATE(2123), 1,
      sym_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [107773] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(934), 1,
      sym__eol,
    ACTIONS(7506), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107790] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(831), 1,
      sym__eol,
    ACTIONS(7508), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107807] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(820), 1,
      sym__eol,
    ACTIONS(7510), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107824] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(933), 1,
      sym__eol,
    ACTIONS(7512), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107841] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(13), 1,
      sym__eol,
    ACTIONS(7514), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107858] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(761), 1,
      sym__eol,
    ACTIONS(7516), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107875] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1917), 1,
      sym__eol,
    ACTIONS(7518), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107892] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(859), 1,
      sym__eol,
    ACTIONS(7520), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107909] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2680), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [107926] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7236), 1,
      anon_sym_RUN,
    STATE(2682), 1,
      sym_run_command,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [107943] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(830), 1,
      sym__eol,
    ACTIONS(7522), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107960] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(710), 1,
      sym__eol,
    ACTIONS(7524), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107977] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(829), 1,
      sym__eol,
    ACTIONS(7526), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [107994] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(695), 1,
      sym__eol,
    ACTIONS(7528), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108011] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6279), 1,
      sym__string_base_alpha,
    STATE(2576), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108028] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7336), 1,
      sym__string_base_alpha,
    STATE(2585), 1,
      sym_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108045] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(699), 1,
      sym__eol,
    ACTIONS(7530), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108062] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(931), 1,
      sym__eol,
    ACTIONS(7532), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108079] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1863), 1,
      sym__eol,
    ACTIONS(7534), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108096] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2685), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108113] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7336), 1,
      sym__string_base_alpha,
    STATE(2586), 1,
      sym_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108130] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(929), 1,
      sym__eol,
    ACTIONS(7536), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108147] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2569), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108164] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7236), 1,
      anon_sym_RUN,
    STATE(2687), 1,
      sym_run_command,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108181] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(745), 1,
      sym__eol,
    ACTIONS(7538), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108198] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(768), 1,
      sym__eol,
    ACTIONS(4032), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108215] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(821), 1,
      sym__eol,
    ACTIONS(7540), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108232] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7336), 1,
      sym__string_base_alpha,
    STATE(2612), 1,
      sym_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108249] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(2440), 1,
      sym__eol,
    ACTIONS(7542), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108266] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(814), 1,
      sym__eol,
    ACTIONS(7544), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108283] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(2390), 1,
      sym__eol,
    ACTIONS(7546), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108300] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3315), 2,
      anon_sym_END,
      anon_sym_SAVEARTIFACT,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108315] = 3,
    ACTIONS(7548), 1,
      anon_sym_EQ3,
    ACTIONS(7550), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108330] = 3,
    ACTIONS(7552), 1,
      anon_sym_EQ3,
    ACTIONS(7554), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108345] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7556), 1,
      sym__string_base_alpha,
    STATE(1176), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108362] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3313), 2,
      anon_sym_END,
      anon_sym_SAVEARTIFACT,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108377] = 3,
    ACTIONS(7558), 1,
      anon_sym_EQ3,
    ACTIONS(7560), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108392] = 3,
    ACTIONS(7562), 1,
      anon_sym_EQ3,
    ACTIONS(7564), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108407] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(12), 1,
      sym__eol,
    ACTIONS(7566), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108424] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(2451), 1,
      sym__eol,
    ACTIONS(7568), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108441] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(815), 1,
      sym__eol,
    ACTIONS(7570), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108458] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(812), 1,
      sym__eol,
    ACTIONS(7572), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108475] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(927), 1,
      sym__eol,
    ACTIONS(7574), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108492] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(827), 1,
      sym__eol,
    ACTIONS(7576), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108509] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(804), 1,
      sym__eol,
    ACTIONS(7578), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108526] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(925), 1,
      sym__eol,
    ACTIONS(7580), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108543] = 3,
    ACTIONS(7582), 1,
      anon_sym_EQ3,
    ACTIONS(7584), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108558] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(8), 1,
      sym__eol,
    ACTIONS(7586), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108575] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(797), 1,
      sym__eol,
    ACTIONS(7588), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108592] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(924), 1,
      sym__eol,
    ACTIONS(7590), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108609] = 3,
    ACTIONS(7592), 1,
      anon_sym_EQ3,
    ACTIONS(7594), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108624] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7556), 1,
      sym__string_base_alpha,
    STATE(1238), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108641] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(791), 1,
      sym__eol,
    ACTIONS(7596), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108658] = 3,
    ACTIONS(7598), 1,
      anon_sym_EQ3,
    ACTIONS(7600), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108673] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(787), 1,
      sym__eol,
    ACTIONS(7602), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108690] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(803), 1,
      sym__eol,
    ACTIONS(7604), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108707] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7470), 1,
      sym__immediate_string_base_alpha,
    STATE(2121), 1,
      sym__immediate_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108724] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(844), 1,
      sym__eol,
    ACTIONS(7606), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108741] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7608), 2,
      ts_builtin_sym_end,
      sym__string_base_alpha,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108756] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3217), 2,
      anon_sym_END,
      anon_sym_SAVEARTIFACT,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108771] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7610), 1,
      sym__string_base_alpha,
    STATE(1132), 1,
      sym_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108788] = 3,
    ACTIONS(7612), 1,
      anon_sym_EQ3,
    ACTIONS(7614), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108803] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(20), 1,
      sym__eol,
    ACTIONS(7616), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108820] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(2465), 1,
      sym__eol,
    ACTIONS(7618), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108837] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(2199), 1,
      sym__eol,
    ACTIONS(7620), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108854] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7236), 1,
      anon_sym_RUN,
    STATE(2694), 1,
      sym_run_command,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108871] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(716), 1,
      sym__eol,
    ACTIONS(7622), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108888] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3197), 2,
      anon_sym_END,
      anon_sym_SAVEARTIFACT,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108903] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(14), 1,
      sym__eol,
    ACTIONS(7624), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108920] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(766), 1,
      sym__eol,
    ACTIONS(7626), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108937] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3207), 2,
      anon_sym_END,
      anon_sym_SAVEARTIFACT,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108952] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7610), 1,
      sym__string_base_alpha,
    STATE(1162), 1,
      sym_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [108969] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(841), 1,
      sym__eol,
    ACTIONS(7628), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [108986] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(918), 1,
      sym__eol,
    ACTIONS(7630), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109003] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(777), 1,
      sym__eol,
    ACTIONS(7632), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109020] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(920), 1,
      sym__eol,
    ACTIONS(7634), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109037] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(759), 1,
      sym__eol,
    ACTIONS(7636), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109054] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(916), 1,
      sym__eol,
    ACTIONS(7638), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109071] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(767), 1,
      sym__eol,
    ACTIONS(7640), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109088] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(769), 1,
      sym__eol,
    ACTIONS(7642), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109105] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5466), 1,
      sym__string_base_alpha,
    STATE(2736), 1,
      sym_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [109122] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(915), 1,
      sym__eol,
    ACTIONS(7644), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109139] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7646), 2,
      ts_builtin_sym_end,
      sym__string_base_alpha,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [109154] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(772), 1,
      sym__eol,
    ACTIONS(7648), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109171] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3115), 2,
      anon_sym_END,
      anon_sym_SAVEARTIFACT,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [109186] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5466), 1,
      sym__string_base_alpha,
    STATE(2739), 1,
      sym_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [109203] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(775), 1,
      sym__eol,
    ACTIONS(7650), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109220] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(914), 1,
      sym__eol,
    ACTIONS(7652), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109237] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(18), 1,
      sym__eol,
    ACTIONS(7654), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109254] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(1999), 1,
      sym__eol,
    ACTIONS(7656), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109271] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(845), 1,
      sym__eol,
    ACTIONS(7658), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109288] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(788), 1,
      sym__eol,
    ACTIONS(7660), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109305] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(9), 1,
      sym__eol,
    ACTIONS(7662), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109322] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(667), 1,
      sym__eol,
    ACTIONS(7664), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109339] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(856), 1,
      sym__eol,
    ACTIONS(7666), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109356] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(681), 1,
      sym__eol,
    ACTIONS(7668), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109373] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(896), 1,
      sym__eol,
    ACTIONS(7670), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109390] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(661), 1,
      sym__eol,
    ACTIONS(7672), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109407] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2588), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [109424] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(664), 1,
      sym__eol,
    ACTIONS(3918), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109441] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(666), 1,
      sym__eol,
    ACTIONS(7674), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109458] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(890), 1,
      sym__eol,
    ACTIONS(7676), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109475] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2705), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [109492] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(2157), 1,
      sym__eol,
    ACTIONS(7678), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109509] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2583), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [109526] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(889), 1,
      sym__eol,
    ACTIONS(7680), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109543] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7236), 1,
      anon_sym_RUN,
    STATE(2707), 1,
      sym_run_command,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [109560] = 3,
    ACTIONS(7682), 1,
      anon_sym_EQ3,
    ACTIONS(7684), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [109575] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2580), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [109592] = 3,
    ACTIONS(7686), 1,
      anon_sym_EQ3,
    ACTIONS(7688), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [109607] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(692), 1,
      sym__eol,
    ACTIONS(7690), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109624] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(885), 1,
      sym__eol,
    ACTIONS(7692), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109641] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(698), 1,
      sym__eol,
    ACTIONS(7694), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109658] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(706), 1,
      sym__eol,
    ACTIONS(7696), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109675] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(849), 1,
      sym__eol,
    ACTIONS(7698), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109692] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(707), 1,
      sym__eol,
    ACTIONS(7700), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109709] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(881), 1,
      sym__eol,
    ACTIONS(7702), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109726] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(709), 1,
      sym__eol,
    ACTIONS(7704), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109743] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(718), 1,
      sym__eol,
    ACTIONS(7706), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109760] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(715), 1,
      sym__eol,
    ACTIONS(7708), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109777] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(721), 1,
      sym__eol,
    ACTIONS(7710), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109794] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(879), 1,
      sym__eol,
    ACTIONS(7712), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109811] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(770), 1,
      sym__eol,
    ACTIONS(7714), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109828] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(873), 1,
      sym__eol,
    ACTIONS(7716), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109845] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(724), 1,
      sym__eol,
    ACTIONS(7718), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109862] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(872), 1,
      sym__eol,
    ACTIONS(7720), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109879] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(725), 1,
      sym__eol,
    ACTIONS(7722), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109896] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2577), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [109913] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(731), 1,
      sym__eol,
    ACTIONS(7724), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109930] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(794), 1,
      sym__eol,
    ACTIONS(7726), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109947] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(733), 1,
      sym__eol,
    ACTIONS(7728), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [109964] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7210), 1,
      sym__immediate_string_base_alpha,
    STATE(2574), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [109981] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(6122), 1,
      sym__string_base_alpha,
    STATE(2325), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [109998] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2697), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110015] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(737), 1,
      sym__eol,
    ACTIONS(7730), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [110032] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7079), 1,
      sym__string_base_alpha,
    STATE(2402), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110049] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7610), 1,
      sym__string_base_alpha,
    STATE(1133), 1,
      sym_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110066] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2571), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110083] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7556), 1,
      sym__string_base_alpha,
    STATE(1267), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110100] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(740), 1,
      sym__eol,
    ACTIONS(7732), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [110117] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(7), 1,
      sym__eol,
    ACTIONS(7734), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [110134] = 3,
    ACTIONS(7736), 1,
      anon_sym_EQ3,
    ACTIONS(7738), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110149] = 3,
    ACTIONS(7740), 1,
      anon_sym_EQ3,
    ACTIONS(7742), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110164] = 3,
    ACTIONS(7744), 1,
      anon_sym_EQ3,
    ACTIONS(7746), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110179] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(719), 1,
      sym__eol,
    ACTIONS(7748), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [110196] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(784), 1,
      sym__eol,
    ACTIONS(7750), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [110213] = 3,
    ACTIONS(7752), 1,
      anon_sym_EQ3,
    ACTIONS(7754), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110228] = 3,
    ACTIONS(7756), 1,
      anon_sym_EQ3,
    ACTIONS(7758), 1,
      anon_sym_SPACE,
    ACTIONS(3), 6,
      sym_line_continuation,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110243] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7079), 1,
      sym__string_base_alpha,
    STATE(2210), 1,
      sym_identifier,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110260] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7236), 1,
      anon_sym_RUN,
    STATE(2715), 1,
      sym_run_command,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110277] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    STATE(742), 1,
      sym__eol,
    ACTIONS(7760), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [110294] = 4,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7190), 1,
      sym__immediate_string_base_alpha,
    STATE(2713), 1,
      sym__immediate_variable,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110311] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7762), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110325] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7764), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110339] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7766), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110353] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7768), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110367] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7768), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110381] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7770), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110395] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7772), 1,
      anon_sym_SLASH,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110409] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7774), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110423] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7774), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110437] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7776), 1,
      anon_sym_PLUS,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110451] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7778), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110465] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7780), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110479] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7780), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110493] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7782), 1,
      anon_sym_SLASH,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110507] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7778), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110521] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7784), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110535] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7784), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110549] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7786), 1,
      anon_sym_EQ3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110563] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7788), 1,
      anon_sym_EQ3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110577] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7790), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110591] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7770), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110605] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7766), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110619] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7764), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110633] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7792), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110647] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7790), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110661] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7794), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110675] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7794), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110689] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(4788), 1,
      anon_sym_EQ4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110703] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7796), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110717] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7796), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110731] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7798), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110745] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7798), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110759] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7800), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110773] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7800), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110787] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7802), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110801] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7802), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110815] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7804), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110829] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7804), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110843] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7806), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110857] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7806), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110871] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5343), 1,
      anon_sym_EQ3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110885] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7808), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110899] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7808), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110913] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7810), 1,
      anon_sym_SLASH,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110927] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7812), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110941] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7814), 1,
      anon_sym_PLUS,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110955] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7812), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110969] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7816), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110983] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7818), 1,
      anon_sym_SLASH,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [110997] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7816), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111011] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7792), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111025] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7820), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111039] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7822), 1,
      anon_sym_EQ3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111053] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7824), 1,
      anon_sym_EQ3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111067] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3317), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111081] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7826), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111095] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7826), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111109] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7828), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111123] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7828), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111137] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7830), 1,
      anon_sym_EQ3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111151] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7832), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111165] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7832), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111179] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(2834), 1,
      anon_sym_EQ4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111193] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7834), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111207] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7834), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111221] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7836), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111235] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7836), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111249] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7838), 1,
      anon_sym_PLUS,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111263] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7840), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111277] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7840), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111291] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7842), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111305] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7842), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111319] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7844), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111333] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7844), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111347] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3221), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111361] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3233), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111375] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7846), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111389] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7846), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111403] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7848), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111417] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7850), 1,
      anon_sym_EQ3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111431] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7848), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111445] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7852), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111459] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7852), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111473] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7854), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111487] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7820), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111501] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5327), 1,
      anon_sym_EQ3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111515] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7856), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111529] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7856), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111543] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7858), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111557] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7858), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111571] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7860), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111585] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7860), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111599] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7762), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111613] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7862), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111627] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7862), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111641] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7854), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111655] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7864), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111669] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(3211), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111683] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7866), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111697] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7866), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111711] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7868), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111725] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7870), 1,
      anon_sym_IN,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111739] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7868), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111753] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7872), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111767] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7872), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111781] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7874), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111795] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7874), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111809] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7876), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111823] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7876), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111837] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7878), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111851] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7878), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111865] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7880), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111879] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7880), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111893] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7882), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111907] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7882), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111921] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7884), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111935] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7884), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111949] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7886), 1,
      anon_sym_SLASH,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111963] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7888), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111977] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7888), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [111991] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7890), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112005] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7890), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112019] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7892), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112033] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7892), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112047] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7894), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112061] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7894), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112075] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7896), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112089] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7896), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112103] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7898), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112117] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7898), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112131] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4503), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [112145] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7864), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112159] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7900), 1,
      anon_sym_RPAREN3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112173] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7902), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112187] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7902), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112201] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7904), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [112215] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7906), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112229] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7906), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112243] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7908), 1,
      anon_sym_SLASH,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112257] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7910), 1,
      anon_sym_PLUS,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112271] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4724), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [112285] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7912), 1,
      anon_sym_IN,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112299] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7914), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112313] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7916), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112327] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7918), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112341] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7920), 1,
      anon_sym_RPAREN3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112355] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7922), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112369] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7924), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112383] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7924), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112397] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7926), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112411] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7928), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112425] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7930), 1,
      anon_sym_RPAREN3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112439] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7932), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112453] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7932), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112467] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7934), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112481] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7936), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112495] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7938), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112509] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7940), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112523] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4728), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [112537] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7942), 1,
      anon_sym_FINALLY,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112551] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7944), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112565] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7946), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112579] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7948), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112593] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7950), 1,
      sym_version_major_minor,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112607] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7948), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112621] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7952), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112635] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7954), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112649] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7956), 1,
      anon_sym_SLASH,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112663] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7958), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112677] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7960), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112691] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7962), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112705] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7964), 1,
      anon_sym_COLON,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112719] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7966), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112733] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7966), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112747] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7968), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112761] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7970), 1,
      ts_builtin_sym_end,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112775] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(7972), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [112789] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7974), 1,
      anon_sym_DQUOTE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112803] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7976), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112817] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7978), 1,
      anon_sym_RPAREN3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112831] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7980), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112845] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7980), 1,
      anon_sym_RPAREN4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112859] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7982), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112873] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7984), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112887] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7986), 1,
      anon_sym_RPAREN3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112901] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7988), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112915] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5593), 1,
      anon_sym_EQ4,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112929] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7990), 1,
      anon_sym_SLASH,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112943] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7992), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112957] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7994), 1,
      anon_sym_FINALLY,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112971] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7996), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [112985] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4732), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [112999] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(4736), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [113013] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5546), 1,
      anon_sym_EQ3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [113027] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7998), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [113041] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(8000), 1,
      anon_sym_RPAREN2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [113055] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(8000), 1,
      anon_sym_RBRACE2,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [113069] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(8002), 1,
      anon_sym_SLASH,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [113083] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(5), 1,
      sym_line_continuation_comment,
    ACTIONS(8004), 5,
      sym_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
      anon_sym_NULL,
  [113097] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(8006), 1,
      anon_sym_FINALLY,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [113111] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(7348), 1,
      anon_sym_COMMA,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [113125] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(8008), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [113139] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(8010), 1,
      anon_sym_IN,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [113153] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(8012), 1,
      anon_sym_IN,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [113167] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(8014), 1,
      sym__dedent,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [113181] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(8016), 1,
      anon_sym_IN,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [113195] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(8018), 1,
      anon_sym_IN,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [113209] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(8020), 1,
      anon_sym_RPAREN3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [113223] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(8022), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [113237] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(8024), 1,
      anon_sym_END,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
  [113251] = 3,
    ACTIONS(3), 1,
      sym_line_continuation,
    ACTIONS(8026), 1,
      anon_sym_RPAREN3,
    ACTIONS(5), 5,
      sym_comment,
      sym_line_continuation_comment,
      anon_sym_LF,
      anon_sym_CR_LF,
      anon_sym_FF,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(48)] = 0,
  [SMALL_STATE(49)] = 79,
  [SMALL_STATE(50)] = 158,
  [SMALL_STATE(51)] = 233,
  [SMALL_STATE(52)] = 310,
  [SMALL_STATE(53)] = 385,
  [SMALL_STATE(54)] = 457,
  [SMALL_STATE(55)] = 547,
  [SMALL_STATE(56)] = 619,
  [SMALL_STATE(57)] = 691,
  [SMALL_STATE(58)] = 763,
  [SMALL_STATE(59)] = 835,
  [SMALL_STATE(60)] = 907,
  [SMALL_STATE(61)] = 979,
  [SMALL_STATE(62)] = 1051,
  [SMALL_STATE(63)] = 1141,
  [SMALL_STATE(64)] = 1231,
  [SMALL_STATE(65)] = 1303,
  [SMALL_STATE(66)] = 1377,
  [SMALL_STATE(67)] = 1449,
  [SMALL_STATE(68)] = 1527,
  [SMALL_STATE(69)] = 1599,
  [SMALL_STATE(70)] = 1671,
  [SMALL_STATE(71)] = 1743,
  [SMALL_STATE(72)] = 1817,
  [SMALL_STATE(73)] = 1889,
  [SMALL_STATE(74)] = 1961,
  [SMALL_STATE(75)] = 2037,
  [SMALL_STATE(76)] = 2111,
  [SMALL_STATE(77)] = 2183,
  [SMALL_STATE(78)] = 2254,
  [SMALL_STATE(79)] = 2343,
  [SMALL_STATE(80)] = 2414,
  [SMALL_STATE(81)] = 2485,
  [SMALL_STATE(82)] = 2574,
  [SMALL_STATE(83)] = 2663,
  [SMALL_STATE(84)] = 2734,
  [SMALL_STATE(85)] = 2823,
  [SMALL_STATE(86)] = 2894,
  [SMALL_STATE(87)] = 2983,
  [SMALL_STATE(88)] = 3054,
  [SMALL_STATE(89)] = 3143,
  [SMALL_STATE(90)] = 3232,
  [SMALL_STATE(91)] = 3303,
  [SMALL_STATE(92)] = 3392,
  [SMALL_STATE(93)] = 3463,
  [SMALL_STATE(94)] = 3534,
  [SMALL_STATE(95)] = 3605,
  [SMALL_STATE(96)] = 3676,
  [SMALL_STATE(97)] = 3747,
  [SMALL_STATE(98)] = 3818,
  [SMALL_STATE(99)] = 3889,
  [SMALL_STATE(100)] = 3978,
  [SMALL_STATE(101)] = 4067,
  [SMALL_STATE(102)] = 4138,
  [SMALL_STATE(103)] = 4209,
  [SMALL_STATE(104)] = 4298,
  [SMALL_STATE(105)] = 4375,
  [SMALL_STATE(106)] = 4464,
  [SMALL_STATE(107)] = 4552,
  [SMALL_STATE(108)] = 4626,
  [SMALL_STATE(109)] = 4714,
  [SMALL_STATE(110)] = 4786,
  [SMALL_STATE(111)] = 4874,
  [SMALL_STATE(112)] = 4950,
  [SMALL_STATE(113)] = 5038,
  [SMALL_STATE(114)] = 5126,
  [SMALL_STATE(115)] = 5214,
  [SMALL_STATE(116)] = 5286,
  [SMALL_STATE(117)] = 5355,
  [SMALL_STATE(118)] = 5424,
  [SMALL_STATE(119)] = 5493,
  [SMALL_STATE(120)] = 5562,
  [SMALL_STATE(121)] = 5631,
  [SMALL_STATE(122)] = 5700,
  [SMALL_STATE(123)] = 5769,
  [SMALL_STATE(124)] = 5838,
  [SMALL_STATE(125)] = 5925,
  [SMALL_STATE(126)] = 6014,
  [SMALL_STATE(127)] = 6083,
  [SMALL_STATE(128)] = 6152,
  [SMALL_STATE(129)] = 6239,
  [SMALL_STATE(130)] = 6308,
  [SMALL_STATE(131)] = 6377,
  [SMALL_STATE(132)] = 6464,
  [SMALL_STATE(133)] = 6533,
  [SMALL_STATE(134)] = 6618,
  [SMALL_STATE(135)] = 6687,
  [SMALL_STATE(136)] = 6756,
  [SMALL_STATE(137)] = 6825,
  [SMALL_STATE(138)] = 6941,
  [SMALL_STATE(139)] = 7027,
  [SMALL_STATE(140)] = 7113,
  [SMALL_STATE(141)] = 7199,
  [SMALL_STATE(142)] = 7315,
  [SMALL_STATE(143)] = 7395,
  [SMALL_STATE(144)] = 7475,
  [SMALL_STATE(145)] = 7561,
  [SMALL_STATE(146)] = 7647,
  [SMALL_STATE(147)] = 7733,
  [SMALL_STATE(148)] = 7805,
  [SMALL_STATE(149)] = 7885,
  [SMALL_STATE(150)] = 8001,
  [SMALL_STATE(151)] = 8080,
  [SMALL_STATE(152)] = 8159,
  [SMALL_STATE(153)] = 8230,
  [SMALL_STATE(154)] = 8309,
  [SMALL_STATE(155)] = 8380,
  [SMALL_STATE(156)] = 8465,
  [SMALL_STATE(157)] = 8544,
  [SMALL_STATE(158)] = 8629,
  [SMALL_STATE(159)] = 8708,
  [SMALL_STATE(160)] = 8793,
  [SMALL_STATE(161)] = 8878,
  [SMALL_STATE(162)] = 8957,
  [SMALL_STATE(163)] = 9042,
  [SMALL_STATE(164)] = 9113,
  [SMALL_STATE(165)] = 9192,
  [SMALL_STATE(166)] = 9277,
  [SMALL_STATE(167)] = 9356,
  [SMALL_STATE(168)] = 9441,
  [SMALL_STATE(169)] = 9520,
  [SMALL_STATE(170)] = 9599,
  [SMALL_STATE(171)] = 9678,
  [SMALL_STATE(172)] = 9763,
  [SMALL_STATE(173)] = 9842,
  [SMALL_STATE(174)] = 9927,
  [SMALL_STATE(175)] = 9998,
  [SMALL_STATE(176)] = 10082,
  [SMALL_STATE(177)] = 10160,
  [SMALL_STATE(178)] = 10238,
  [SMALL_STATE(179)] = 10322,
  [SMALL_STATE(180)] = 10400,
  [SMALL_STATE(181)] = 10478,
  [SMALL_STATE(182)] = 10556,
  [SMALL_STATE(183)] = 10634,
  [SMALL_STATE(184)] = 10718,
  [SMALL_STATE(185)] = 10802,
  [SMALL_STATE(186)] = 10878,
  [SMALL_STATE(187)] = 10948,
  [SMALL_STATE(188)] = 11018,
  [SMALL_STATE(189)] = 11102,
  [SMALL_STATE(190)] = 11180,
  [SMALL_STATE(191)] = 11264,
  [SMALL_STATE(192)] = 11341,
  [SMALL_STATE(193)] = 11416,
  [SMALL_STATE(194)] = 11493,
  [SMALL_STATE(195)] = 11576,
  [SMALL_STATE(196)] = 11653,
  [SMALL_STATE(197)] = 11736,
  [SMALL_STATE(198)] = 11819,
  [SMALL_STATE(199)] = 11888,
  [SMALL_STATE(200)] = 11959,
  [SMALL_STATE(201)] = 12025,
  [SMALL_STATE(202)] = 12101,
  [SMALL_STATE(203)] = 12177,
  [SMALL_STATE(204)] = 12247,
  [SMALL_STATE(205)] = 12315,
  [SMALL_STATE(206)] = 12399,
  [SMALL_STATE(207)] = 12467,
  [SMALL_STATE(208)] = 12569,
  [SMALL_STATE(209)] = 12637,
  [SMALL_STATE(210)] = 12739,
  [SMALL_STATE(211)] = 12809,
  [SMALL_STATE(212)] = 12881,
  [SMALL_STATE(213)] = 12957,
  [SMALL_STATE(214)] = 13027,
  [SMALL_STATE(215)] = 13129,
  [SMALL_STATE(216)] = 13209,
  [SMALL_STATE(217)] = 13311,
  [SMALL_STATE(218)] = 13387,
  [SMALL_STATE(219)] = 13463,
  [SMALL_STATE(220)] = 13533,
  [SMALL_STATE(221)] = 13609,
  [SMALL_STATE(222)] = 13679,
  [SMALL_STATE(223)] = 13745,
  [SMALL_STATE(224)] = 13820,
  [SMALL_STATE(225)] = 13889,
  [SMALL_STATE(226)] = 13952,
  [SMALL_STATE(227)] = 14019,
  [SMALL_STATE(228)] = 14086,
  [SMALL_STATE(229)] = 14155,
  [SMALL_STATE(230)] = 14222,
  [SMALL_STATE(231)] = 14285,
  [SMALL_STATE(232)] = 14368,
  [SMALL_STATE(233)] = 14431,
  [SMALL_STATE(234)] = 14510,
  [SMALL_STATE(235)] = 14579,
  [SMALL_STATE(236)] = 14644,
  [SMALL_STATE(237)] = 14707,
  [SMALL_STATE(238)] = 14770,
  [SMALL_STATE(239)] = 14835,
  [SMALL_STATE(240)] = 14898,
  [SMALL_STATE(241)] = 14967,
  [SMALL_STATE(242)] = 15032,
  [SMALL_STATE(243)] = 15107,
  [SMALL_STATE(244)] = 15182,
  [SMALL_STATE(245)] = 15245,
  [SMALL_STATE(246)] = 15320,
  [SMALL_STATE(247)] = 15387,
  [SMALL_STATE(248)] = 15462,
  [SMALL_STATE(249)] = 15537,
  [SMALL_STATE(250)] = 15600,
  [SMALL_STATE(251)] = 15667,
  [SMALL_STATE(252)] = 15730,
  [SMALL_STATE(253)] = 15795,
  [SMALL_STATE(254)] = 15870,
  [SMALL_STATE(255)] = 15933,
  [SMALL_STATE(256)] = 15996,
  [SMALL_STATE(257)] = 16061,
  [SMALL_STATE(258)] = 16126,
  [SMALL_STATE(259)] = 16189,
  [SMALL_STATE(260)] = 16254,
  [SMALL_STATE(261)] = 16321,
  [SMALL_STATE(262)] = 16388,
  [SMALL_STATE(263)] = 16457,
  [SMALL_STATE(264)] = 16520,
  [SMALL_STATE(265)] = 16585,
  [SMALL_STATE(266)] = 16652,
  [SMALL_STATE(267)] = 16715,
  [SMALL_STATE(268)] = 16782,
  [SMALL_STATE(269)] = 16857,
  [SMALL_STATE(270)] = 16920,
  [SMALL_STATE(271)] = 16983,
  [SMALL_STATE(272)] = 17070,
  [SMALL_STATE(273)] = 17145,
  [SMALL_STATE(274)] = 17214,
  [SMALL_STATE(275)] = 17276,
  [SMALL_STATE(276)] = 17338,
  [SMALL_STATE(277)] = 17400,
  [SMALL_STATE(278)] = 17462,
  [SMALL_STATE(279)] = 17524,
  [SMALL_STATE(280)] = 17592,
  [SMALL_STATE(281)] = 17654,
  [SMALL_STATE(282)] = 17716,
  [SMALL_STATE(283)] = 17778,
  [SMALL_STATE(284)] = 17840,
  [SMALL_STATE(285)] = 17914,
  [SMALL_STATE(286)] = 17976,
  [SMALL_STATE(287)] = 18038,
  [SMALL_STATE(288)] = 18100,
  [SMALL_STATE(289)] = 18164,
  [SMALL_STATE(290)] = 18226,
  [SMALL_STATE(291)] = 18290,
  [SMALL_STATE(292)] = 18352,
  [SMALL_STATE(293)] = 18420,
  [SMALL_STATE(294)] = 18482,
  [SMALL_STATE(295)] = 18544,
  [SMALL_STATE(296)] = 18606,
  [SMALL_STATE(297)] = 18670,
  [SMALL_STATE(298)] = 18732,
  [SMALL_STATE(299)] = 18798,
  [SMALL_STATE(300)] = 18860,
  [SMALL_STATE(301)] = 18922,
  [SMALL_STATE(302)] = 18984,
  [SMALL_STATE(303)] = 19058,
  [SMALL_STATE(304)] = 19120,
  [SMALL_STATE(305)] = 19182,
  [SMALL_STATE(306)] = 19244,
  [SMALL_STATE(307)] = 19306,
  [SMALL_STATE(308)] = 19368,
  [SMALL_STATE(309)] = 19432,
  [SMALL_STATE(310)] = 19494,
  [SMALL_STATE(311)] = 19556,
  [SMALL_STATE(312)] = 19620,
  [SMALL_STATE(313)] = 19682,
  [SMALL_STATE(314)] = 19744,
  [SMALL_STATE(315)] = 19810,
  [SMALL_STATE(316)] = 19876,
  [SMALL_STATE(317)] = 19938,
  [SMALL_STATE(318)] = 20012,
  [SMALL_STATE(319)] = 20074,
  [SMALL_STATE(320)] = 20136,
  [SMALL_STATE(321)] = 20198,
  [SMALL_STATE(322)] = 20260,
  [SMALL_STATE(323)] = 20322,
  [SMALL_STATE(324)] = 20384,
  [SMALL_STATE(325)] = 20446,
  [SMALL_STATE(326)] = 20508,
  [SMALL_STATE(327)] = 20572,
  [SMALL_STATE(328)] = 20634,
  [SMALL_STATE(329)] = 20700,
  [SMALL_STATE(330)] = 20774,
  [SMALL_STATE(331)] = 20842,
  [SMALL_STATE(332)] = 20904,
  [SMALL_STATE(333)] = 20966,
  [SMALL_STATE(334)] = 21028,
  [SMALL_STATE(335)] = 21090,
  [SMALL_STATE(336)] = 21152,
  [SMALL_STATE(337)] = 21214,
  [SMALL_STATE(338)] = 21288,
  [SMALL_STATE(339)] = 21350,
  [SMALL_STATE(340)] = 21412,
  [SMALL_STATE(341)] = 21474,
  [SMALL_STATE(342)] = 21536,
  [SMALL_STATE(343)] = 21610,
  [SMALL_STATE(344)] = 21672,
  [SMALL_STATE(345)] = 21734,
  [SMALL_STATE(346)] = 21796,
  [SMALL_STATE(347)] = 21862,
  [SMALL_STATE(348)] = 21924,
  [SMALL_STATE(349)] = 21986,
  [SMALL_STATE(350)] = 22050,
  [SMALL_STATE(351)] = 22112,
  [SMALL_STATE(352)] = 22174,
  [SMALL_STATE(353)] = 22236,
  [SMALL_STATE(354)] = 22298,
  [SMALL_STATE(355)] = 22360,
  [SMALL_STATE(356)] = 22422,
  [SMALL_STATE(357)] = 22484,
  [SMALL_STATE(358)] = 22546,
  [SMALL_STATE(359)] = 22608,
  [SMALL_STATE(360)] = 22676,
  [SMALL_STATE(361)] = 22743,
  [SMALL_STATE(362)] = 22804,
  [SMALL_STATE(363)] = 22911,
  [SMALL_STATE(364)] = 22972,
  [SMALL_STATE(365)] = 23033,
  [SMALL_STATE(366)] = 23104,
  [SMALL_STATE(367)] = 23177,
  [SMALL_STATE(368)] = 23238,
  [SMALL_STATE(369)] = 23345,
  [SMALL_STATE(370)] = 23408,
  [SMALL_STATE(371)] = 23469,
  [SMALL_STATE(372)] = 23534,
  [SMALL_STATE(373)] = 23597,
  [SMALL_STATE(374)] = 23658,
  [SMALL_STATE(375)] = 23719,
  [SMALL_STATE(376)] = 23780,
  [SMALL_STATE(377)] = 23853,
  [SMALL_STATE(378)] = 23914,
  [SMALL_STATE(379)] = 23987,
  [SMALL_STATE(380)] = 24048,
  [SMALL_STATE(381)] = 24109,
  [SMALL_STATE(382)] = 24170,
  [SMALL_STATE(383)] = 24231,
  [SMALL_STATE(384)] = 24292,
  [SMALL_STATE(385)] = 24353,
  [SMALL_STATE(386)] = 24460,
  [SMALL_STATE(387)] = 24521,
  [SMALL_STATE(388)] = 24592,
  [SMALL_STATE(389)] = 24653,
  [SMALL_STATE(390)] = 24714,
  [SMALL_STATE(391)] = 24775,
  [SMALL_STATE(392)] = 24836,
  [SMALL_STATE(393)] = 24897,
  [SMALL_STATE(394)] = 24958,
  [SMALL_STATE(395)] = 25019,
  [SMALL_STATE(396)] = 25080,
  [SMALL_STATE(397)] = 25141,
  [SMALL_STATE(398)] = 25202,
  [SMALL_STATE(399)] = 25263,
  [SMALL_STATE(400)] = 25324,
  [SMALL_STATE(401)] = 25395,
  [SMALL_STATE(402)] = 25456,
  [SMALL_STATE(403)] = 25523,
  [SMALL_STATE(404)] = 25584,
  [SMALL_STATE(405)] = 25649,
  [SMALL_STATE(406)] = 25716,
  [SMALL_STATE(407)] = 25777,
  [SMALL_STATE(408)] = 25838,
  [SMALL_STATE(409)] = 25899,
  [SMALL_STATE(410)] = 25960,
  [SMALL_STATE(411)] = 26021,
  [SMALL_STATE(412)] = 26082,
  [SMALL_STATE(413)] = 26142,
  [SMALL_STATE(414)] = 26202,
  [SMALL_STATE(415)] = 26274,
  [SMALL_STATE(416)] = 26336,
  [SMALL_STATE(417)] = 26396,
  [SMALL_STATE(418)] = 26462,
  [SMALL_STATE(419)] = 26522,
  [SMALL_STATE(420)] = 26584,
  [SMALL_STATE(421)] = 26644,
  [SMALL_STATE(422)] = 26704,
  [SMALL_STATE(423)] = 26764,
  [SMALL_STATE(424)] = 26824,
  [SMALL_STATE(425)] = 26884,
  [SMALL_STATE(426)] = 26944,
  [SMALL_STATE(427)] = 27004,
  [SMALL_STATE(428)] = 27064,
  [SMALL_STATE(429)] = 27130,
  [SMALL_STATE(430)] = 27190,
  [SMALL_STATE(431)] = 27252,
  [SMALL_STATE(432)] = 27314,
  [SMALL_STATE(433)] = 27378,
  [SMALL_STATE(434)] = 27438,
  [SMALL_STATE(435)] = 27502,
  [SMALL_STATE(436)] = 27568,
  [SMALL_STATE(437)] = 27628,
  [SMALL_STATE(438)] = 27694,
  [SMALL_STATE(439)] = 27764,
  [SMALL_STATE(440)] = 27824,
  [SMALL_STATE(441)] = 27890,
  [SMALL_STATE(442)] = 27949,
  [SMALL_STATE(443)] = 28014,
  [SMALL_STATE(444)] = 28073,
  [SMALL_STATE(445)] = 28134,
  [SMALL_STATE(446)] = 28193,
  [SMALL_STATE(447)] = 28252,
  [SMALL_STATE(448)] = 28311,
  [SMALL_STATE(449)] = 28370,
  [SMALL_STATE(450)] = 28429,
  [SMALL_STATE(451)] = 28488,
  [SMALL_STATE(452)] = 28553,
  [SMALL_STATE(453)] = 28612,
  [SMALL_STATE(454)] = 28671,
  [SMALL_STATE(455)] = 28732,
  [SMALL_STATE(456)] = 28791,
  [SMALL_STATE(457)] = 28850,
  [SMALL_STATE(458)] = 28909,
  [SMALL_STATE(459)] = 28968,
  [SMALL_STATE(460)] = 29031,
  [SMALL_STATE(461)] = 29094,
  [SMALL_STATE(462)] = 29153,
  [SMALL_STATE(463)] = 29212,
  [SMALL_STATE(464)] = 29273,
  [SMALL_STATE(465)] = 29332,
  [SMALL_STATE(466)] = 29391,
  [SMALL_STATE(467)] = 29456,
  [SMALL_STATE(468)] = 29515,
  [SMALL_STATE(469)] = 29574,
  [SMALL_STATE(470)] = 29639,
  [SMALL_STATE(471)] = 29698,
  [SMALL_STATE(472)] = 29757,
  [SMALL_STATE(473)] = 29822,
  [SMALL_STATE(474)] = 29883,
  [SMALL_STATE(475)] = 29942,
  [SMALL_STATE(476)] = 30007,
  [SMALL_STATE(477)] = 30068,
  [SMALL_STATE(478)] = 30127,
  [SMALL_STATE(479)] = 30192,
  [SMALL_STATE(480)] = 30251,
  [SMALL_STATE(481)] = 30310,
  [SMALL_STATE(482)] = 30369,
  [SMALL_STATE(483)] = 30428,
  [SMALL_STATE(484)] = 30487,
  [SMALL_STATE(485)] = 30546,
  [SMALL_STATE(486)] = 30605,
  [SMALL_STATE(487)] = 30664,
  [SMALL_STATE(488)] = 30725,
  [SMALL_STATE(489)] = 30799,
  [SMALL_STATE(490)] = 30857,
  [SMALL_STATE(491)] = 30915,
  [SMALL_STATE(492)] = 30973,
  [SMALL_STATE(493)] = 31033,
  [SMALL_STATE(494)] = 31091,
  [SMALL_STATE(495)] = 31153,
  [SMALL_STATE(496)] = 31217,
  [SMALL_STATE(497)] = 31281,
  [SMALL_STATE(498)] = 31339,
  [SMALL_STATE(499)] = 31399,
  [SMALL_STATE(500)] = 31457,
  [SMALL_STATE(501)] = 31515,
  [SMALL_STATE(502)] = 31573,
  [SMALL_STATE(503)] = 31631,
  [SMALL_STATE(504)] = 31689,
  [SMALL_STATE(505)] = 31747,
  [SMALL_STATE(506)] = 31805,
  [SMALL_STATE(507)] = 31863,
  [SMALL_STATE(508)] = 31921,
  [SMALL_STATE(509)] = 31979,
  [SMALL_STATE(510)] = 32039,
  [SMALL_STATE(511)] = 32097,
  [SMALL_STATE(512)] = 32155,
  [SMALL_STATE(513)] = 32213,
  [SMALL_STATE(514)] = 32271,
  [SMALL_STATE(515)] = 32329,
  [SMALL_STATE(516)] = 32387,
  [SMALL_STATE(517)] = 32445,
  [SMALL_STATE(518)] = 32509,
  [SMALL_STATE(519)] = 32567,
  [SMALL_STATE(520)] = 32625,
  [SMALL_STATE(521)] = 32683,
  [SMALL_STATE(522)] = 32741,
  [SMALL_STATE(523)] = 32799,
  [SMALL_STATE(524)] = 32857,
  [SMALL_STATE(525)] = 32915,
  [SMALL_STATE(526)] = 32973,
  [SMALL_STATE(527)] = 33031,
  [SMALL_STATE(528)] = 33093,
  [SMALL_STATE(529)] = 33191,
  [SMALL_STATE(530)] = 33251,
  [SMALL_STATE(531)] = 33309,
  [SMALL_STATE(532)] = 33367,
  [SMALL_STATE(533)] = 33429,
  [SMALL_STATE(534)] = 33487,
  [SMALL_STATE(535)] = 33545,
  [SMALL_STATE(536)] = 33603,
  [SMALL_STATE(537)] = 33661,
  [SMALL_STATE(538)] = 33719,
  [SMALL_STATE(539)] = 33777,
  [SMALL_STATE(540)] = 33835,
  [SMALL_STATE(541)] = 33933,
  [SMALL_STATE(542)] = 33997,
  [SMALL_STATE(543)] = 34055,
  [SMALL_STATE(544)] = 34113,
  [SMALL_STATE(545)] = 34171,
  [SMALL_STATE(546)] = 34233,
  [SMALL_STATE(547)] = 34291,
  [SMALL_STATE(548)] = 34349,
  [SMALL_STATE(549)] = 34411,
  [SMALL_STATE(550)] = 34469,
  [SMALL_STATE(551)] = 34527,
  [SMALL_STATE(552)] = 34601,
  [SMALL_STATE(553)] = 34699,
  [SMALL_STATE(554)] = 34757,
  [SMALL_STATE(555)] = 34818,
  [SMALL_STATE(556)] = 34875,
  [SMALL_STATE(557)] = 34932,
  [SMALL_STATE(558)] = 34989,
  [SMALL_STATE(559)] = 35046,
  [SMALL_STATE(560)] = 35103,
  [SMALL_STATE(561)] = 35160,
  [SMALL_STATE(562)] = 35217,
  [SMALL_STATE(563)] = 35274,
  [SMALL_STATE(564)] = 35331,
  [SMALL_STATE(565)] = 35388,
  [SMALL_STATE(566)] = 35445,
  [SMALL_STATE(567)] = 35502,
  [SMALL_STATE(568)] = 35559,
  [SMALL_STATE(569)] = 35616,
  [SMALL_STATE(570)] = 35673,
  [SMALL_STATE(571)] = 35730,
  [SMALL_STATE(572)] = 35787,
  [SMALL_STATE(573)] = 35844,
  [SMALL_STATE(574)] = 35905,
  [SMALL_STATE(575)] = 35962,
  [SMALL_STATE(576)] = 36019,
  [SMALL_STATE(577)] = 36076,
  [SMALL_STATE(578)] = 36133,
  [SMALL_STATE(579)] = 36192,
  [SMALL_STATE(580)] = 36249,
  [SMALL_STATE(581)] = 36308,
  [SMALL_STATE(582)] = 36365,
  [SMALL_STATE(583)] = 36424,
  [SMALL_STATE(584)] = 36481,
  [SMALL_STATE(585)] = 36538,
  [SMALL_STATE(586)] = 36595,
  [SMALL_STATE(587)] = 36652,
  [SMALL_STATE(588)] = 36713,
  [SMALL_STATE(589)] = 36770,
  [SMALL_STATE(590)] = 36827,
  [SMALL_STATE(591)] = 36888,
  [SMALL_STATE(592)] = 36949,
  [SMALL_STATE(593)] = 37006,
  [SMALL_STATE(594)] = 37069,
  [SMALL_STATE(595)] = 37126,
  [SMALL_STATE(596)] = 37183,
  [SMALL_STATE(597)] = 37240,
  [SMALL_STATE(598)] = 37302,
  [SMALL_STATE(599)] = 37356,
  [SMALL_STATE(600)] = 37412,
  [SMALL_STATE(601)] = 37468,
  [SMALL_STATE(602)] = 37524,
  [SMALL_STATE(603)] = 37578,
  [SMALL_STATE(604)] = 37638,
  [SMALL_STATE(605)] = 37694,
  [SMALL_STATE(606)] = 37750,
  [SMALL_STATE(607)] = 37844,
  [SMALL_STATE(608)] = 37900,
  [SMALL_STATE(609)] = 37956,
  [SMALL_STATE(610)] = 38050,
  [SMALL_STATE(611)] = 38106,
  [SMALL_STATE(612)] = 38160,
  [SMALL_STATE(613)] = 38214,
  [SMALL_STATE(614)] = 38270,
  [SMALL_STATE(615)] = 38364,
  [SMALL_STATE(616)] = 38420,
  [SMALL_STATE(617)] = 38474,
  [SMALL_STATE(618)] = 38530,
  [SMALL_STATE(619)] = 38586,
  [SMALL_STATE(620)] = 38644,
  [SMALL_STATE(621)] = 38698,
  [SMALL_STATE(622)] = 38752,
  [SMALL_STATE(623)] = 38808,
  [SMALL_STATE(624)] = 38864,
  [SMALL_STATE(625)] = 38920,
  [SMALL_STATE(626)] = 38974,
  [SMALL_STATE(627)] = 39030,
  [SMALL_STATE(628)] = 39088,
  [SMALL_STATE(629)] = 39157,
  [SMALL_STATE(630)] = 39212,
  [SMALL_STATE(631)] = 39267,
  [SMALL_STATE(632)] = 39322,
  [SMALL_STATE(633)] = 39415,
  [SMALL_STATE(634)] = 39470,
  [SMALL_STATE(635)] = 39539,
  [SMALL_STATE(636)] = 39632,
  [SMALL_STATE(637)] = 39725,
  [SMALL_STATE(638)] = 39797,
  [SMALL_STATE(639)] = 39869,
  [SMALL_STATE(640)] = 39955,
  [SMALL_STATE(641)] = 40027,
  [SMALL_STATE(642)] = 40099,
  [SMALL_STATE(643)] = 40185,
  [SMALL_STATE(644)] = 40257,
  [SMALL_STATE(645)] = 40343,
  [SMALL_STATE(646)] = 40417,
  [SMALL_STATE(647)] = 40491,
  [SMALL_STATE(648)] = 40563,
  [SMALL_STATE(649)] = 40618,
  [SMALL_STATE(650)] = 40689,
  [SMALL_STATE(651)] = 40744,
  [SMALL_STATE(652)] = 40815,
  [SMALL_STATE(653)] = 40896,
  [SMALL_STATE(654)] = 40967,
  [SMALL_STATE(655)] = 41015,
  [SMALL_STATE(656)] = 41063,
  [SMALL_STATE(657)] = 41111,
  [SMALL_STATE(658)] = 41183,
  [SMALL_STATE(659)] = 41231,
  [SMALL_STATE(660)] = 41309,
  [SMALL_STATE(661)] = 41357,
  [SMALL_STATE(662)] = 41405,
  [SMALL_STATE(663)] = 41453,
  [SMALL_STATE(664)] = 41501,
  [SMALL_STATE(665)] = 41549,
  [SMALL_STATE(666)] = 41597,
  [SMALL_STATE(667)] = 41645,
  [SMALL_STATE(668)] = 41693,
  [SMALL_STATE(669)] = 41741,
  [SMALL_STATE(670)] = 41789,
  [SMALL_STATE(671)] = 41837,
  [SMALL_STATE(672)] = 41885,
  [SMALL_STATE(673)] = 41933,
  [SMALL_STATE(674)] = 41981,
  [SMALL_STATE(675)] = 42029,
  [SMALL_STATE(676)] = 42077,
  [SMALL_STATE(677)] = 42125,
  [SMALL_STATE(678)] = 42177,
  [SMALL_STATE(679)] = 42255,
  [SMALL_STATE(680)] = 42307,
  [SMALL_STATE(681)] = 42355,
  [SMALL_STATE(682)] = 42403,
  [SMALL_STATE(683)] = 42451,
  [SMALL_STATE(684)] = 42499,
  [SMALL_STATE(685)] = 42547,
  [SMALL_STATE(686)] = 42625,
  [SMALL_STATE(687)] = 42673,
  [SMALL_STATE(688)] = 42721,
  [SMALL_STATE(689)] = 42769,
  [SMALL_STATE(690)] = 42817,
  [SMALL_STATE(691)] = 42865,
  [SMALL_STATE(692)] = 42913,
  [SMALL_STATE(693)] = 42961,
  [SMALL_STATE(694)] = 43009,
  [SMALL_STATE(695)] = 43057,
  [SMALL_STATE(696)] = 43105,
  [SMALL_STATE(697)] = 43157,
  [SMALL_STATE(698)] = 43205,
  [SMALL_STATE(699)] = 43253,
  [SMALL_STATE(700)] = 43301,
  [SMALL_STATE(701)] = 43349,
  [SMALL_STATE(702)] = 43397,
  [SMALL_STATE(703)] = 43445,
  [SMALL_STATE(704)] = 43493,
  [SMALL_STATE(705)] = 43541,
  [SMALL_STATE(706)] = 43589,
  [SMALL_STATE(707)] = 43637,
  [SMALL_STATE(708)] = 43685,
  [SMALL_STATE(709)] = 43733,
  [SMALL_STATE(710)] = 43781,
  [SMALL_STATE(711)] = 43829,
  [SMALL_STATE(712)] = 43877,
  [SMALL_STATE(713)] = 43925,
  [SMALL_STATE(714)] = 43973,
  [SMALL_STATE(715)] = 44021,
  [SMALL_STATE(716)] = 44069,
  [SMALL_STATE(717)] = 44117,
  [SMALL_STATE(718)] = 44165,
  [SMALL_STATE(719)] = 44213,
  [SMALL_STATE(720)] = 44261,
  [SMALL_STATE(721)] = 44313,
  [SMALL_STATE(722)] = 44361,
  [SMALL_STATE(723)] = 44413,
  [SMALL_STATE(724)] = 44461,
  [SMALL_STATE(725)] = 44509,
  [SMALL_STATE(726)] = 44557,
  [SMALL_STATE(727)] = 44605,
  [SMALL_STATE(728)] = 44653,
  [SMALL_STATE(729)] = 44701,
  [SMALL_STATE(730)] = 44749,
  [SMALL_STATE(731)] = 44797,
  [SMALL_STATE(732)] = 44845,
  [SMALL_STATE(733)] = 44893,
  [SMALL_STATE(734)] = 44941,
  [SMALL_STATE(735)] = 44989,
  [SMALL_STATE(736)] = 45067,
  [SMALL_STATE(737)] = 45115,
  [SMALL_STATE(738)] = 45163,
  [SMALL_STATE(739)] = 45211,
  [SMALL_STATE(740)] = 45259,
  [SMALL_STATE(741)] = 45307,
  [SMALL_STATE(742)] = 45355,
  [SMALL_STATE(743)] = 45403,
  [SMALL_STATE(744)] = 45451,
  [SMALL_STATE(745)] = 45499,
  [SMALL_STATE(746)] = 45547,
  [SMALL_STATE(747)] = 45595,
  [SMALL_STATE(748)] = 45643,
  [SMALL_STATE(749)] = 45691,
  [SMALL_STATE(750)] = 45772,
  [SMALL_STATE(751)] = 45853,
  [SMALL_STATE(752)] = 45934,
  [SMALL_STATE(753)] = 46021,
  [SMALL_STATE(754)] = 46094,
  [SMALL_STATE(755)] = 46181,
  [SMALL_STATE(756)] = 46262,
  [SMALL_STATE(757)] = 46329,
  [SMALL_STATE(758)] = 46416,
  [SMALL_STATE(759)] = 46464,
  [SMALL_STATE(760)] = 46512,
  [SMALL_STATE(761)] = 46560,
  [SMALL_STATE(762)] = 46608,
  [SMALL_STATE(763)] = 46656,
  [SMALL_STATE(764)] = 46718,
  [SMALL_STATE(765)] = 46796,
  [SMALL_STATE(766)] = 46844,
  [SMALL_STATE(767)] = 46892,
  [SMALL_STATE(768)] = 46940,
  [SMALL_STATE(769)] = 46988,
  [SMALL_STATE(770)] = 47036,
  [SMALL_STATE(771)] = 47084,
  [SMALL_STATE(772)] = 47132,
  [SMALL_STATE(773)] = 47180,
  [SMALL_STATE(774)] = 47242,
  [SMALL_STATE(775)] = 47290,
  [SMALL_STATE(776)] = 47338,
  [SMALL_STATE(777)] = 47386,
  [SMALL_STATE(778)] = 47434,
  [SMALL_STATE(779)] = 47482,
  [SMALL_STATE(780)] = 47530,
  [SMALL_STATE(781)] = 47584,
  [SMALL_STATE(782)] = 47632,
  [SMALL_STATE(783)] = 47680,
  [SMALL_STATE(784)] = 47728,
  [SMALL_STATE(785)] = 47776,
  [SMALL_STATE(786)] = 47824,
  [SMALL_STATE(787)] = 47902,
  [SMALL_STATE(788)] = 47950,
  [SMALL_STATE(789)] = 47998,
  [SMALL_STATE(790)] = 48046,
  [SMALL_STATE(791)] = 48094,
  [SMALL_STATE(792)] = 48142,
  [SMALL_STATE(793)] = 48190,
  [SMALL_STATE(794)] = 48268,
  [SMALL_STATE(795)] = 48316,
  [SMALL_STATE(796)] = 48364,
  [SMALL_STATE(797)] = 48412,
  [SMALL_STATE(798)] = 48460,
  [SMALL_STATE(799)] = 48508,
  [SMALL_STATE(800)] = 48556,
  [SMALL_STATE(801)] = 48604,
  [SMALL_STATE(802)] = 48682,
  [SMALL_STATE(803)] = 48736,
  [SMALL_STATE(804)] = 48784,
  [SMALL_STATE(805)] = 48832,
  [SMALL_STATE(806)] = 48884,
  [SMALL_STATE(807)] = 48932,
  [SMALL_STATE(808)] = 48980,
  [SMALL_STATE(809)] = 49028,
  [SMALL_STATE(810)] = 49076,
  [SMALL_STATE(811)] = 49124,
  [SMALL_STATE(812)] = 49172,
  [SMALL_STATE(813)] = 49220,
  [SMALL_STATE(814)] = 49268,
  [SMALL_STATE(815)] = 49316,
  [SMALL_STATE(816)] = 49364,
  [SMALL_STATE(817)] = 49426,
  [SMALL_STATE(818)] = 49474,
  [SMALL_STATE(819)] = 49522,
  [SMALL_STATE(820)] = 49570,
  [SMALL_STATE(821)] = 49618,
  [SMALL_STATE(822)] = 49666,
  [SMALL_STATE(823)] = 49714,
  [SMALL_STATE(824)] = 49762,
  [SMALL_STATE(825)] = 49824,
  [SMALL_STATE(826)] = 49886,
  [SMALL_STATE(827)] = 49934,
  [SMALL_STATE(828)] = 49982,
  [SMALL_STATE(829)] = 50030,
  [SMALL_STATE(830)] = 50078,
  [SMALL_STATE(831)] = 50126,
  [SMALL_STATE(832)] = 50174,
  [SMALL_STATE(833)] = 50222,
  [SMALL_STATE(834)] = 50270,
  [SMALL_STATE(835)] = 50318,
  [SMALL_STATE(836)] = 50366,
  [SMALL_STATE(837)] = 50414,
  [SMALL_STATE(838)] = 50476,
  [SMALL_STATE(839)] = 50524,
  [SMALL_STATE(840)] = 50572,
  [SMALL_STATE(841)] = 50620,
  [SMALL_STATE(842)] = 50668,
  [SMALL_STATE(843)] = 50716,
  [SMALL_STATE(844)] = 50764,
  [SMALL_STATE(845)] = 50812,
  [SMALL_STATE(846)] = 50860,
  [SMALL_STATE(847)] = 50908,
  [SMALL_STATE(848)] = 50956,
  [SMALL_STATE(849)] = 51004,
  [SMALL_STATE(850)] = 51052,
  [SMALL_STATE(851)] = 51100,
  [SMALL_STATE(852)] = 51148,
  [SMALL_STATE(853)] = 51196,
  [SMALL_STATE(854)] = 51244,
  [SMALL_STATE(855)] = 51292,
  [SMALL_STATE(856)] = 51340,
  [SMALL_STATE(857)] = 51388,
  [SMALL_STATE(858)] = 51436,
  [SMALL_STATE(859)] = 51499,
  [SMALL_STATE(860)] = 51546,
  [SMALL_STATE(861)] = 51625,
  [SMALL_STATE(862)] = 51672,
  [SMALL_STATE(863)] = 51739,
  [SMALL_STATE(864)] = 51806,
  [SMALL_STATE(865)] = 51873,
  [SMALL_STATE(866)] = 51952,
  [SMALL_STATE(867)] = 52029,
  [SMALL_STATE(868)] = 52112,
  [SMALL_STATE(869)] = 52159,
  [SMALL_STATE(870)] = 52220,
  [SMALL_STATE(871)] = 52267,
  [SMALL_STATE(872)] = 52314,
  [SMALL_STATE(873)] = 52361,
  [SMALL_STATE(874)] = 52408,
  [SMALL_STATE(875)] = 52485,
  [SMALL_STATE(876)] = 52532,
  [SMALL_STATE(877)] = 52613,
  [SMALL_STATE(878)] = 52660,
  [SMALL_STATE(879)] = 52707,
  [SMALL_STATE(880)] = 52754,
  [SMALL_STATE(881)] = 52801,
  [SMALL_STATE(882)] = 52848,
  [SMALL_STATE(883)] = 52931,
  [SMALL_STATE(884)] = 52978,
  [SMALL_STATE(885)] = 53025,
  [SMALL_STATE(886)] = 53072,
  [SMALL_STATE(887)] = 53119,
  [SMALL_STATE(888)] = 53166,
  [SMALL_STATE(889)] = 53213,
  [SMALL_STATE(890)] = 53260,
  [SMALL_STATE(891)] = 53307,
  [SMALL_STATE(892)] = 53354,
  [SMALL_STATE(893)] = 53401,
  [SMALL_STATE(894)] = 53484,
  [SMALL_STATE(895)] = 53533,
  [SMALL_STATE(896)] = 53580,
  [SMALL_STATE(897)] = 53627,
  [SMALL_STATE(898)] = 53674,
  [SMALL_STATE(899)] = 53755,
  [SMALL_STATE(900)] = 53838,
  [SMALL_STATE(901)] = 53885,
  [SMALL_STATE(902)] = 53932,
  [SMALL_STATE(903)] = 53979,
  [SMALL_STATE(904)] = 54026,
  [SMALL_STATE(905)] = 54075,
  [SMALL_STATE(906)] = 54122,
  [SMALL_STATE(907)] = 54171,
  [SMALL_STATE(908)] = 54220,
  [SMALL_STATE(909)] = 54267,
  [SMALL_STATE(910)] = 54346,
  [SMALL_STATE(911)] = 54409,
  [SMALL_STATE(912)] = 54456,
  [SMALL_STATE(913)] = 54503,
  [SMALL_STATE(914)] = 54550,
  [SMALL_STATE(915)] = 54597,
  [SMALL_STATE(916)] = 54644,
  [SMALL_STATE(917)] = 54691,
  [SMALL_STATE(918)] = 54740,
  [SMALL_STATE(919)] = 54787,
  [SMALL_STATE(920)] = 54834,
  [SMALL_STATE(921)] = 54881,
  [SMALL_STATE(922)] = 54928,
  [SMALL_STATE(923)] = 54975,
  [SMALL_STATE(924)] = 55022,
  [SMALL_STATE(925)] = 55069,
  [SMALL_STATE(926)] = 55116,
  [SMALL_STATE(927)] = 55163,
  [SMALL_STATE(928)] = 55210,
  [SMALL_STATE(929)] = 55257,
  [SMALL_STATE(930)] = 55304,
  [SMALL_STATE(931)] = 55351,
  [SMALL_STATE(932)] = 55398,
  [SMALL_STATE(933)] = 55481,
  [SMALL_STATE(934)] = 55528,
  [SMALL_STATE(935)] = 55575,
  [SMALL_STATE(936)] = 55622,
  [SMALL_STATE(937)] = 55669,
  [SMALL_STATE(938)] = 55716,
  [SMALL_STATE(939)] = 55763,
  [SMALL_STATE(940)] = 55810,
  [SMALL_STATE(941)] = 55857,
  [SMALL_STATE(942)] = 55904,
  [SMALL_STATE(943)] = 55965,
  [SMALL_STATE(944)] = 56012,
  [SMALL_STATE(945)] = 56089,
  [SMALL_STATE(946)] = 56136,
  [SMALL_STATE(947)] = 56183,
  [SMALL_STATE(948)] = 56230,
  [SMALL_STATE(949)] = 56277,
  [SMALL_STATE(950)] = 56324,
  [SMALL_STATE(951)] = 56371,
  [SMALL_STATE(952)] = 56418,
  [SMALL_STATE(953)] = 56501,
  [SMALL_STATE(954)] = 56582,
  [SMALL_STATE(955)] = 56665,
  [SMALL_STATE(956)] = 56712,
  [SMALL_STATE(957)] = 56759,
  [SMALL_STATE(958)] = 56806,
  [SMALL_STATE(959)] = 56853,
  [SMALL_STATE(960)] = 56900,
  [SMALL_STATE(961)] = 56947,
  [SMALL_STATE(962)] = 56994,
  [SMALL_STATE(963)] = 57041,
  [SMALL_STATE(964)] = 57088,
  [SMALL_STATE(965)] = 57135,
  [SMALL_STATE(966)] = 57182,
  [SMALL_STATE(967)] = 57263,
  [SMALL_STATE(968)] = 57310,
  [SMALL_STATE(969)] = 57357,
  [SMALL_STATE(970)] = 57410,
  [SMALL_STATE(971)] = 57457,
  [SMALL_STATE(972)] = 57518,
  [SMALL_STATE(973)] = 57565,
  [SMALL_STATE(974)] = 57612,
  [SMALL_STATE(975)] = 57666,
  [SMALL_STATE(976)] = 57720,
  [SMALL_STATE(977)] = 57786,
  [SMALL_STATE(978)] = 57852,
  [SMALL_STATE(979)] = 57928,
  [SMALL_STATE(980)] = 57982,
  [SMALL_STATE(981)] = 58058,
  [SMALL_STATE(982)] = 58112,
  [SMALL_STATE(983)] = 58178,
  [SMALL_STATE(984)] = 58244,
  [SMALL_STATE(985)] = 58322,
  [SMALL_STATE(986)] = 58388,
  [SMALL_STATE(987)] = 58442,
  [SMALL_STATE(988)] = 58520,
  [SMALL_STATE(989)] = 58596,
  [SMALL_STATE(990)] = 58654,
  [SMALL_STATE(991)] = 58732,
  [SMALL_STATE(992)] = 58798,
  [SMALL_STATE(993)] = 58876,
  [SMALL_STATE(994)] = 58930,
  [SMALL_STATE(995)] = 58995,
  [SMALL_STATE(996)] = 59060,
  [SMALL_STATE(997)] = 59133,
  [SMALL_STATE(998)] = 59198,
  [SMALL_STATE(999)] = 59263,
  [SMALL_STATE(1000)] = 59334,
  [SMALL_STATE(1001)] = 59399,
  [SMALL_STATE(1002)] = 59464,
  [SMALL_STATE(1003)] = 59539,
  [SMALL_STATE(1004)] = 59604,
  [SMALL_STATE(1005)] = 59657,
  [SMALL_STATE(1006)] = 59710,
  [SMALL_STATE(1007)] = 59785,
  [SMALL_STATE(1008)] = 59858,
  [SMALL_STATE(1009)] = 59929,
  [SMALL_STATE(1010)] = 60002,
  [SMALL_STATE(1011)] = 60067,
  [SMALL_STATE(1012)] = 60132,
  [SMALL_STATE(1013)] = 60182,
  [SMALL_STATE(1014)] = 60230,
  [SMALL_STATE(1015)] = 60282,
  [SMALL_STATE(1016)] = 60334,
  [SMALL_STATE(1017)] = 60400,
  [SMALL_STATE(1018)] = 60448,
  [SMALL_STATE(1019)] = 60496,
  [SMALL_STATE(1020)] = 60548,
  [SMALL_STATE(1021)] = 60616,
  [SMALL_STATE(1022)] = 60668,
  [SMALL_STATE(1023)] = 60738,
  [SMALL_STATE(1024)] = 60788,
  [SMALL_STATE(1025)] = 60834,
  [SMALL_STATE(1026)] = 60892,
  [SMALL_STATE(1027)] = 60960,
  [SMALL_STATE(1028)] = 61016,
  [SMALL_STATE(1029)] = 61068,
  [SMALL_STATE(1030)] = 61126,
  [SMALL_STATE(1031)] = 61184,
  [SMALL_STATE(1032)] = 61252,
  [SMALL_STATE(1033)] = 61322,
  [SMALL_STATE(1034)] = 61388,
  [SMALL_STATE(1035)] = 61440,
  [SMALL_STATE(1036)] = 61510,
  [SMALL_STATE(1037)] = 61578,
  [SMALL_STATE(1038)] = 61646,
  [SMALL_STATE(1039)] = 61704,
  [SMALL_STATE(1040)] = 61756,
  [SMALL_STATE(1041)] = 61826,
  [SMALL_STATE(1042)] = 61896,
  [SMALL_STATE(1043)] = 61966,
  [SMALL_STATE(1044)] = 62018,
  [SMALL_STATE(1045)] = 62088,
  [SMALL_STATE(1046)] = 62156,
  [SMALL_STATE(1047)] = 62226,
  [SMALL_STATE(1048)] = 62294,
  [SMALL_STATE(1049)] = 62350,
  [SMALL_STATE(1050)] = 62418,
  [SMALL_STATE(1051)] = 62486,
  [SMALL_STATE(1052)] = 62532,
  [SMALL_STATE(1053)] = 62588,
  [SMALL_STATE(1054)] = 62636,
  [SMALL_STATE(1055)] = 62681,
  [SMALL_STATE(1056)] = 62728,
  [SMALL_STATE(1057)] = 62781,
  [SMALL_STATE(1058)] = 62842,
  [SMALL_STATE(1059)] = 62889,
  [SMALL_STATE(1060)] = 62934,
  [SMALL_STATE(1061)] = 63005,
  [SMALL_STATE(1062)] = 63062,
  [SMALL_STATE(1063)] = 63129,
  [SMALL_STATE(1064)] = 63192,
  [SMALL_STATE(1065)] = 63263,
  [SMALL_STATE(1066)] = 63308,
  [SMALL_STATE(1067)] = 63353,
  [SMALL_STATE(1068)] = 63420,
  [SMALL_STATE(1069)] = 63491,
  [SMALL_STATE(1070)] = 63536,
  [SMALL_STATE(1071)] = 63581,
  [SMALL_STATE(1072)] = 63626,
  [SMALL_STATE(1073)] = 63675,
  [SMALL_STATE(1074)] = 63742,
  [SMALL_STATE(1075)] = 63789,
  [SMALL_STATE(1076)] = 63834,
  [SMALL_STATE(1077)] = 63879,
  [SMALL_STATE(1078)] = 63950,
  [SMALL_STATE(1079)] = 63999,
  [SMALL_STATE(1080)] = 64044,
  [SMALL_STATE(1081)] = 64089,
  [SMALL_STATE(1082)] = 64156,
  [SMALL_STATE(1083)] = 64201,
  [SMALL_STATE(1084)] = 64246,
  [SMALL_STATE(1085)] = 64291,
  [SMALL_STATE(1086)] = 64336,
  [SMALL_STATE(1087)] = 64381,
  [SMALL_STATE(1088)] = 64448,
  [SMALL_STATE(1089)] = 64511,
  [SMALL_STATE(1090)] = 64576,
  [SMALL_STATE(1091)] = 64625,
  [SMALL_STATE(1092)] = 64670,
  [SMALL_STATE(1093)] = 64715,
  [SMALL_STATE(1094)] = 64784,
  [SMALL_STATE(1095)] = 64847,
  [SMALL_STATE(1096)] = 64916,
  [SMALL_STATE(1097)] = 64977,
  [SMALL_STATE(1098)] = 65034,
  [SMALL_STATE(1099)] = 65079,
  [SMALL_STATE(1100)] = 65124,
  [SMALL_STATE(1101)] = 65189,
  [SMALL_STATE(1102)] = 65234,
  [SMALL_STATE(1103)] = 65279,
  [SMALL_STATE(1104)] = 65336,
  [SMALL_STATE(1105)] = 65381,
  [SMALL_STATE(1106)] = 65446,
  [SMALL_STATE(1107)] = 65509,
  [SMALL_STATE(1108)] = 65576,
  [SMALL_STATE(1109)] = 65643,
  [SMALL_STATE(1110)] = 65712,
  [SMALL_STATE(1111)] = 65775,
  [SMALL_STATE(1112)] = 65842,
  [SMALL_STATE(1113)] = 65887,
  [SMALL_STATE(1114)] = 65932,
  [SMALL_STATE(1115)] = 65977,
  [SMALL_STATE(1116)] = 66030,
  [SMALL_STATE(1117)] = 66101,
  [SMALL_STATE(1118)] = 66164,
  [SMALL_STATE(1119)] = 66209,
  [SMALL_STATE(1120)] = 66254,
  [SMALL_STATE(1121)] = 66305,
  [SMALL_STATE(1122)] = 66350,
  [SMALL_STATE(1123)] = 66395,
  [SMALL_STATE(1124)] = 66466,
  [SMALL_STATE(1125)] = 66510,
  [SMALL_STATE(1126)] = 66566,
  [SMALL_STATE(1127)] = 66610,
  [SMALL_STATE(1128)] = 66674,
  [SMALL_STATE(1129)] = 66724,
  [SMALL_STATE(1130)] = 66786,
  [SMALL_STATE(1131)] = 66850,
  [SMALL_STATE(1132)] = 66914,
  [SMALL_STATE(1133)] = 66978,
  [SMALL_STATE(1134)] = 67042,
  [SMALL_STATE(1135)] = 67088,
  [SMALL_STATE(1136)] = 67132,
  [SMALL_STATE(1137)] = 67176,
  [SMALL_STATE(1138)] = 67220,
  [SMALL_STATE(1139)] = 67264,
  [SMALL_STATE(1140)] = 67320,
  [SMALL_STATE(1141)] = 67364,
  [SMALL_STATE(1142)] = 67428,
  [SMALL_STATE(1143)] = 67484,
  [SMALL_STATE(1144)] = 67548,
  [SMALL_STATE(1145)] = 67604,
  [SMALL_STATE(1146)] = 67652,
  [SMALL_STATE(1147)] = 67696,
  [SMALL_STATE(1148)] = 67740,
  [SMALL_STATE(1149)] = 67784,
  [SMALL_STATE(1150)] = 67848,
  [SMALL_STATE(1151)] = 67892,
  [SMALL_STATE(1152)] = 67948,
  [SMALL_STATE(1153)] = 67996,
  [SMALL_STATE(1154)] = 68060,
  [SMALL_STATE(1155)] = 68104,
  [SMALL_STATE(1156)] = 68168,
  [SMALL_STATE(1157)] = 68230,
  [SMALL_STATE(1158)] = 68274,
  [SMALL_STATE(1159)] = 68330,
  [SMALL_STATE(1160)] = 68374,
  [SMALL_STATE(1161)] = 68418,
  [SMALL_STATE(1162)] = 68468,
  [SMALL_STATE(1163)] = 68532,
  [SMALL_STATE(1164)] = 68596,
  [SMALL_STATE(1165)] = 68640,
  [SMALL_STATE(1166)] = 68702,
  [SMALL_STATE(1167)] = 68766,
  [SMALL_STATE(1168)] = 68829,
  [SMALL_STATE(1169)] = 68892,
  [SMALL_STATE(1170)] = 68951,
  [SMALL_STATE(1171)] = 69010,
  [SMALL_STATE(1172)] = 69053,
  [SMALL_STATE(1173)] = 69104,
  [SMALL_STATE(1174)] = 69163,
  [SMALL_STATE(1175)] = 69218,
  [SMALL_STATE(1176)] = 69277,
  [SMALL_STATE(1177)] = 69336,
  [SMALL_STATE(1178)] = 69395,
  [SMALL_STATE(1179)] = 69454,
  [SMALL_STATE(1180)] = 69513,
  [SMALL_STATE(1181)] = 69572,
  [SMALL_STATE(1182)] = 69631,
  [SMALL_STATE(1183)] = 69678,
  [SMALL_STATE(1184)] = 69737,
  [SMALL_STATE(1185)] = 69796,
  [SMALL_STATE(1186)] = 69855,
  [SMALL_STATE(1187)] = 69914,
  [SMALL_STATE(1188)] = 69973,
  [SMALL_STATE(1189)] = 70032,
  [SMALL_STATE(1190)] = 70087,
  [SMALL_STATE(1191)] = 70146,
  [SMALL_STATE(1192)] = 70205,
  [SMALL_STATE(1193)] = 70264,
  [SMALL_STATE(1194)] = 70323,
  [SMALL_STATE(1195)] = 70382,
  [SMALL_STATE(1196)] = 70441,
  [SMALL_STATE(1197)] = 70496,
  [SMALL_STATE(1198)] = 70555,
  [SMALL_STATE(1199)] = 70614,
  [SMALL_STATE(1200)] = 70673,
  [SMALL_STATE(1201)] = 70732,
  [SMALL_STATE(1202)] = 70791,
  [SMALL_STATE(1203)] = 70850,
  [SMALL_STATE(1204)] = 70909,
  [SMALL_STATE(1205)] = 70968,
  [SMALL_STATE(1206)] = 71027,
  [SMALL_STATE(1207)] = 71090,
  [SMALL_STATE(1208)] = 71149,
  [SMALL_STATE(1209)] = 71208,
  [SMALL_STATE(1210)] = 71267,
  [SMALL_STATE(1211)] = 71310,
  [SMALL_STATE(1212)] = 71369,
  [SMALL_STATE(1213)] = 71428,
  [SMALL_STATE(1214)] = 71487,
  [SMALL_STATE(1215)] = 71546,
  [SMALL_STATE(1216)] = 71605,
  [SMALL_STATE(1217)] = 71664,
  [SMALL_STATE(1218)] = 71723,
  [SMALL_STATE(1219)] = 71782,
  [SMALL_STATE(1220)] = 71825,
  [SMALL_STATE(1221)] = 71884,
  [SMALL_STATE(1222)] = 71943,
  [SMALL_STATE(1223)] = 71986,
  [SMALL_STATE(1224)] = 72045,
  [SMALL_STATE(1225)] = 72104,
  [SMALL_STATE(1226)] = 72163,
  [SMALL_STATE(1227)] = 72206,
  [SMALL_STATE(1228)] = 72265,
  [SMALL_STATE(1229)] = 72308,
  [SMALL_STATE(1230)] = 72367,
  [SMALL_STATE(1231)] = 72426,
  [SMALL_STATE(1232)] = 72485,
  [SMALL_STATE(1233)] = 72544,
  [SMALL_STATE(1234)] = 72603,
  [SMALL_STATE(1235)] = 72662,
  [SMALL_STATE(1236)] = 72725,
  [SMALL_STATE(1237)] = 72784,
  [SMALL_STATE(1238)] = 72843,
  [SMALL_STATE(1239)] = 72902,
  [SMALL_STATE(1240)] = 72961,
  [SMALL_STATE(1241)] = 73020,
  [SMALL_STATE(1242)] = 73079,
  [SMALL_STATE(1243)] = 73138,
  [SMALL_STATE(1244)] = 73197,
  [SMALL_STATE(1245)] = 73256,
  [SMALL_STATE(1246)] = 73315,
  [SMALL_STATE(1247)] = 73374,
  [SMALL_STATE(1248)] = 73433,
  [SMALL_STATE(1249)] = 73492,
  [SMALL_STATE(1250)] = 73551,
  [SMALL_STATE(1251)] = 73610,
  [SMALL_STATE(1252)] = 73669,
  [SMALL_STATE(1253)] = 73728,
  [SMALL_STATE(1254)] = 73779,
  [SMALL_STATE(1255)] = 73826,
  [SMALL_STATE(1256)] = 73869,
  [SMALL_STATE(1257)] = 73928,
  [SMALL_STATE(1258)] = 73987,
  [SMALL_STATE(1259)] = 74046,
  [SMALL_STATE(1260)] = 74105,
  [SMALL_STATE(1261)] = 74164,
  [SMALL_STATE(1262)] = 74209,
  [SMALL_STATE(1263)] = 74268,
  [SMALL_STATE(1264)] = 74311,
  [SMALL_STATE(1265)] = 74370,
  [SMALL_STATE(1266)] = 74417,
  [SMALL_STATE(1267)] = 74476,
  [SMALL_STATE(1268)] = 74535,
  [SMALL_STATE(1269)] = 74594,
  [SMALL_STATE(1270)] = 74653,
  [SMALL_STATE(1271)] = 74712,
  [SMALL_STATE(1272)] = 74771,
  [SMALL_STATE(1273)] = 74830,
  [SMALL_STATE(1274)] = 74875,
  [SMALL_STATE(1275)] = 74934,
  [SMALL_STATE(1276)] = 74993,
  [SMALL_STATE(1277)] = 75052,
  [SMALL_STATE(1278)] = 75095,
  [SMALL_STATE(1279)] = 75142,
  [SMALL_STATE(1280)] = 75187,
  [SMALL_STATE(1281)] = 75234,
  [SMALL_STATE(1282)] = 75277,
  [SMALL_STATE(1283)] = 75332,
  [SMALL_STATE(1284)] = 75377,
  [SMALL_STATE(1285)] = 75432,
  [SMALL_STATE(1286)] = 75487,
  [SMALL_STATE(1287)] = 75534,
  [SMALL_STATE(1288)] = 75589,
  [SMALL_STATE(1289)] = 75644,
  [SMALL_STATE(1290)] = 75689,
  [SMALL_STATE(1291)] = 75744,
  [SMALL_STATE(1292)] = 75804,
  [SMALL_STATE(1293)] = 75864,
  [SMALL_STATE(1294)] = 75924,
  [SMALL_STATE(1295)] = 75984,
  [SMALL_STATE(1296)] = 76032,
  [SMALL_STATE(1297)] = 76082,
  [SMALL_STATE(1298)] = 76142,
  [SMALL_STATE(1299)] = 76184,
  [SMALL_STATE(1300)] = 76244,
  [SMALL_STATE(1301)] = 76286,
  [SMALL_STATE(1302)] = 76340,
  [SMALL_STATE(1303)] = 76382,
  [SMALL_STATE(1304)] = 76442,
  [SMALL_STATE(1305)] = 76492,
  [SMALL_STATE(1306)] = 76540,
  [SMALL_STATE(1307)] = 76582,
  [SMALL_STATE(1308)] = 76632,
  [SMALL_STATE(1309)] = 76674,
  [SMALL_STATE(1310)] = 76722,
  [SMALL_STATE(1311)] = 76764,
  [SMALL_STATE(1312)] = 76824,
  [SMALL_STATE(1313)] = 76884,
  [SMALL_STATE(1314)] = 76934,
  [SMALL_STATE(1315)] = 76978,
  [SMALL_STATE(1316)] = 77038,
  [SMALL_STATE(1317)] = 77080,
  [SMALL_STATE(1318)] = 77122,
  [SMALL_STATE(1319)] = 77182,
  [SMALL_STATE(1320)] = 77224,
  [SMALL_STATE(1321)] = 77274,
  [SMALL_STATE(1322)] = 77316,
  [SMALL_STATE(1323)] = 77376,
  [SMALL_STATE(1324)] = 77436,
  [SMALL_STATE(1325)] = 77496,
  [SMALL_STATE(1326)] = 77539,
  [SMALL_STATE(1327)] = 77580,
  [SMALL_STATE(1328)] = 77621,
  [SMALL_STATE(1329)] = 77666,
  [SMALL_STATE(1330)] = 77707,
  [SMALL_STATE(1331)] = 77750,
  [SMALL_STATE(1332)] = 77797,
  [SMALL_STATE(1333)] = 77840,
  [SMALL_STATE(1334)] = 77885,
  [SMALL_STATE(1335)] = 77932,
  [SMALL_STATE(1336)] = 77977,
  [SMALL_STATE(1337)] = 78024,
  [SMALL_STATE(1338)] = 78071,
  [SMALL_STATE(1339)] = 78118,
  [SMALL_STATE(1340)] = 78165,
  [SMALL_STATE(1341)] = 78210,
  [SMALL_STATE(1342)] = 78251,
  [SMALL_STATE(1343)] = 78296,
  [SMALL_STATE(1344)] = 78343,
  [SMALL_STATE(1345)] = 78388,
  [SMALL_STATE(1346)] = 78435,
  [SMALL_STATE(1347)] = 78482,
  [SMALL_STATE(1348)] = 78529,
  [SMALL_STATE(1349)] = 78576,
  [SMALL_STATE(1350)] = 78621,
  [SMALL_STATE(1351)] = 78668,
  [SMALL_STATE(1352)] = 78722,
  [SMALL_STATE(1353)] = 78776,
  [SMALL_STATE(1354)] = 78820,
  [SMALL_STATE(1355)] = 78874,
  [SMALL_STATE(1356)] = 78926,
  [SMALL_STATE(1357)] = 78976,
  [SMALL_STATE(1358)] = 79030,
  [SMALL_STATE(1359)] = 79076,
  [SMALL_STATE(1360)] = 79130,
  [SMALL_STATE(1361)] = 79172,
  [SMALL_STATE(1362)] = 79226,
  [SMALL_STATE(1363)] = 79266,
  [SMALL_STATE(1364)] = 79306,
  [SMALL_STATE(1365)] = 79360,
  [SMALL_STATE(1366)] = 79414,
  [SMALL_STATE(1367)] = 79454,
  [SMALL_STATE(1368)] = 79494,
  [SMALL_STATE(1369)] = 79548,
  [SMALL_STATE(1370)] = 79602,
  [SMALL_STATE(1371)] = 79642,
  [SMALL_STATE(1372)] = 79688,
  [SMALL_STATE(1373)] = 79742,
  [SMALL_STATE(1374)] = 79800,
  [SMALL_STATE(1375)] = 79854,
  [SMALL_STATE(1376)] = 79908,
  [SMALL_STATE(1377)] = 79948,
  [SMALL_STATE(1378)] = 80002,
  [SMALL_STATE(1379)] = 80042,
  [SMALL_STATE(1380)] = 80096,
  [SMALL_STATE(1381)] = 80136,
  [SMALL_STATE(1382)] = 80192,
  [SMALL_STATE(1383)] = 80246,
  [SMALL_STATE(1384)] = 80300,
  [SMALL_STATE(1385)] = 80344,
  [SMALL_STATE(1386)] = 80398,
  [SMALL_STATE(1387)] = 80452,
  [SMALL_STATE(1388)] = 80506,
  [SMALL_STATE(1389)] = 80546,
  [SMALL_STATE(1390)] = 80600,
  [SMALL_STATE(1391)] = 80654,
  [SMALL_STATE(1392)] = 80694,
  [SMALL_STATE(1393)] = 80748,
  [SMALL_STATE(1394)] = 80796,
  [SMALL_STATE(1395)] = 80848,
  [SMALL_STATE(1396)] = 80894,
  [SMALL_STATE(1397)] = 80948,
  [SMALL_STATE(1398)] = 80988,
  [SMALL_STATE(1399)] = 81042,
  [SMALL_STATE(1400)] = 81096,
  [SMALL_STATE(1401)] = 81150,
  [SMALL_STATE(1402)] = 81204,
  [SMALL_STATE(1403)] = 81258,
  [SMALL_STATE(1404)] = 81302,
  [SMALL_STATE(1405)] = 81342,
  [SMALL_STATE(1406)] = 81382,
  [SMALL_STATE(1407)] = 81426,
  [SMALL_STATE(1408)] = 81480,
  [SMALL_STATE(1409)] = 81524,
  [SMALL_STATE(1410)] = 81578,
  [SMALL_STATE(1411)] = 81620,
  [SMALL_STATE(1412)] = 81662,
  [SMALL_STATE(1413)] = 81716,
  [SMALL_STATE(1414)] = 81756,
  [SMALL_STATE(1415)] = 81812,
  [SMALL_STATE(1416)] = 81866,
  [SMALL_STATE(1417)] = 81906,
  [SMALL_STATE(1418)] = 81960,
  [SMALL_STATE(1419)] = 82002,
  [SMALL_STATE(1420)] = 82052,
  [SMALL_STATE(1421)] = 82098,
  [SMALL_STATE(1422)] = 82152,
  [SMALL_STATE(1423)] = 82206,
  [SMALL_STATE(1424)] = 82260,
  [SMALL_STATE(1425)] = 82314,
  [SMALL_STATE(1426)] = 82368,
  [SMALL_STATE(1427)] = 82408,
  [SMALL_STATE(1428)] = 82464,
  [SMALL_STATE(1429)] = 82510,
  [SMALL_STATE(1430)] = 82560,
  [SMALL_STATE(1431)] = 82606,
  [SMALL_STATE(1432)] = 82660,
  [SMALL_STATE(1433)] = 82714,
  [SMALL_STATE(1434)] = 82768,
  [SMALL_STATE(1435)] = 82808,
  [SMALL_STATE(1436)] = 82862,
  [SMALL_STATE(1437)] = 82906,
  [SMALL_STATE(1438)] = 82960,
  [SMALL_STATE(1439)] = 83014,
  [SMALL_STATE(1440)] = 83068,
  [SMALL_STATE(1441)] = 83108,
  [SMALL_STATE(1442)] = 83158,
  [SMALL_STATE(1443)] = 83204,
  [SMALL_STATE(1444)] = 83258,
  [SMALL_STATE(1445)] = 83314,
  [SMALL_STATE(1446)] = 83368,
  [SMALL_STATE(1447)] = 83418,
  [SMALL_STATE(1448)] = 83472,
  [SMALL_STATE(1449)] = 83526,
  [SMALL_STATE(1450)] = 83582,
  [SMALL_STATE(1451)] = 83632,
  [SMALL_STATE(1452)] = 83674,
  [SMALL_STATE(1453)] = 83718,
  [SMALL_STATE(1454)] = 83772,
  [SMALL_STATE(1455)] = 83826,
  [SMALL_STATE(1456)] = 83876,
  [SMALL_STATE(1457)] = 83930,
  [SMALL_STATE(1458)] = 83970,
  [SMALL_STATE(1459)] = 84024,
  [SMALL_STATE(1460)] = 84078,
  [SMALL_STATE(1461)] = 84122,
  [SMALL_STATE(1462)] = 84162,
  [SMALL_STATE(1463)] = 84216,
  [SMALL_STATE(1464)] = 84270,
  [SMALL_STATE(1465)] = 84324,
  [SMALL_STATE(1466)] = 84378,
  [SMALL_STATE(1467)] = 84432,
  [SMALL_STATE(1468)] = 84478,
  [SMALL_STATE(1469)] = 84532,
  [SMALL_STATE(1470)] = 84572,
  [SMALL_STATE(1471)] = 84612,
  [SMALL_STATE(1472)] = 84658,
  [SMALL_STATE(1473)] = 84712,
  [SMALL_STATE(1474)] = 84754,
  [SMALL_STATE(1475)] = 84795,
  [SMALL_STATE(1476)] = 84834,
  [SMALL_STATE(1477)] = 84873,
  [SMALL_STATE(1478)] = 84912,
  [SMALL_STATE(1479)] = 84951,
  [SMALL_STATE(1480)] = 84990,
  [SMALL_STATE(1481)] = 85029,
  [SMALL_STATE(1482)] = 85068,
  [SMALL_STATE(1483)] = 85107,
  [SMALL_STATE(1484)] = 85146,
  [SMALL_STATE(1485)] = 85185,
  [SMALL_STATE(1486)] = 85224,
  [SMALL_STATE(1487)] = 85265,
  [SMALL_STATE(1488)] = 85304,
  [SMALL_STATE(1489)] = 85349,
  [SMALL_STATE(1490)] = 85388,
  [SMALL_STATE(1491)] = 85427,
  [SMALL_STATE(1492)] = 85472,
  [SMALL_STATE(1493)] = 85513,
  [SMALL_STATE(1494)] = 85558,
  [SMALL_STATE(1495)] = 85597,
  [SMALL_STATE(1496)] = 85636,
  [SMALL_STATE(1497)] = 85677,
  [SMALL_STATE(1498)] = 85716,
  [SMALL_STATE(1499)] = 85755,
  [SMALL_STATE(1500)] = 85800,
  [SMALL_STATE(1501)] = 85839,
  [SMALL_STATE(1502)] = 85882,
  [SMALL_STATE(1503)] = 85921,
  [SMALL_STATE(1504)] = 85966,
  [SMALL_STATE(1505)] = 86005,
  [SMALL_STATE(1506)] = 86044,
  [SMALL_STATE(1507)] = 86089,
  [SMALL_STATE(1508)] = 86128,
  [SMALL_STATE(1509)] = 86167,
  [SMALL_STATE(1510)] = 86206,
  [SMALL_STATE(1511)] = 86251,
  [SMALL_STATE(1512)] = 86292,
  [SMALL_STATE(1513)] = 86331,
  [SMALL_STATE(1514)] = 86370,
  [SMALL_STATE(1515)] = 86411,
  [SMALL_STATE(1516)] = 86450,
  [SMALL_STATE(1517)] = 86489,
  [SMALL_STATE(1518)] = 86532,
  [SMALL_STATE(1519)] = 86571,
  [SMALL_STATE(1520)] = 86610,
  [SMALL_STATE(1521)] = 86651,
  [SMALL_STATE(1522)] = 86690,
  [SMALL_STATE(1523)] = 86729,
  [SMALL_STATE(1524)] = 86774,
  [SMALL_STATE(1525)] = 86819,
  [SMALL_STATE(1526)] = 86864,
  [SMALL_STATE(1527)] = 86902,
  [SMALL_STATE(1528)] = 86940,
  [SMALL_STATE(1529)] = 86978,
  [SMALL_STATE(1530)] = 87018,
  [SMALL_STATE(1531)] = 87056,
  [SMALL_STATE(1532)] = 87096,
  [SMALL_STATE(1533)] = 87134,
  [SMALL_STATE(1534)] = 87172,
  [SMALL_STATE(1535)] = 87210,
  [SMALL_STATE(1536)] = 87248,
  [SMALL_STATE(1537)] = 87286,
  [SMALL_STATE(1538)] = 87324,
  [SMALL_STATE(1539)] = 87362,
  [SMALL_STATE(1540)] = 87400,
  [SMALL_STATE(1541)] = 87438,
  [SMALL_STATE(1542)] = 87476,
  [SMALL_STATE(1543)] = 87514,
  [SMALL_STATE(1544)] = 87552,
  [SMALL_STATE(1545)] = 87590,
  [SMALL_STATE(1546)] = 87628,
  [SMALL_STATE(1547)] = 87666,
  [SMALL_STATE(1548)] = 87704,
  [SMALL_STATE(1549)] = 87742,
  [SMALL_STATE(1550)] = 87780,
  [SMALL_STATE(1551)] = 87818,
  [SMALL_STATE(1552)] = 87856,
  [SMALL_STATE(1553)] = 87894,
  [SMALL_STATE(1554)] = 87932,
  [SMALL_STATE(1555)] = 87970,
  [SMALL_STATE(1556)] = 88008,
  [SMALL_STATE(1557)] = 88046,
  [SMALL_STATE(1558)] = 88084,
  [SMALL_STATE(1559)] = 88122,
  [SMALL_STATE(1560)] = 88160,
  [SMALL_STATE(1561)] = 88198,
  [SMALL_STATE(1562)] = 88236,
  [SMALL_STATE(1563)] = 88274,
  [SMALL_STATE(1564)] = 88314,
  [SMALL_STATE(1565)] = 88352,
  [SMALL_STATE(1566)] = 88390,
  [SMALL_STATE(1567)] = 88428,
  [SMALL_STATE(1568)] = 88466,
  [SMALL_STATE(1569)] = 88504,
  [SMALL_STATE(1570)] = 88542,
  [SMALL_STATE(1571)] = 88580,
  [SMALL_STATE(1572)] = 88618,
  [SMALL_STATE(1573)] = 88656,
  [SMALL_STATE(1574)] = 88700,
  [SMALL_STATE(1575)] = 88744,
  [SMALL_STATE(1576)] = 88788,
  [SMALL_STATE(1577)] = 88826,
  [SMALL_STATE(1578)] = 88864,
  [SMALL_STATE(1579)] = 88902,
  [SMALL_STATE(1580)] = 88939,
  [SMALL_STATE(1581)] = 88976,
  [SMALL_STATE(1582)] = 89013,
  [SMALL_STATE(1583)] = 89060,
  [SMALL_STATE(1584)] = 89097,
  [SMALL_STATE(1585)] = 89134,
  [SMALL_STATE(1586)] = 89171,
  [SMALL_STATE(1587)] = 89208,
  [SMALL_STATE(1588)] = 89245,
  [SMALL_STATE(1589)] = 89282,
  [SMALL_STATE(1590)] = 89319,
  [SMALL_STATE(1591)] = 89356,
  [SMALL_STATE(1592)] = 89393,
  [SMALL_STATE(1593)] = 89430,
  [SMALL_STATE(1594)] = 89467,
  [SMALL_STATE(1595)] = 89504,
  [SMALL_STATE(1596)] = 89541,
  [SMALL_STATE(1597)] = 89578,
  [SMALL_STATE(1598)] = 89615,
  [SMALL_STATE(1599)] = 89662,
  [SMALL_STATE(1600)] = 89699,
  [SMALL_STATE(1601)] = 89736,
  [SMALL_STATE(1602)] = 89773,
  [SMALL_STATE(1603)] = 89810,
  [SMALL_STATE(1604)] = 89847,
  [SMALL_STATE(1605)] = 89884,
  [SMALL_STATE(1606)] = 89921,
  [SMALL_STATE(1607)] = 89958,
  [SMALL_STATE(1608)] = 89995,
  [SMALL_STATE(1609)] = 90039,
  [SMALL_STATE(1610)] = 90083,
  [SMALL_STATE(1611)] = 90127,
  [SMALL_STATE(1612)] = 90168,
  [SMALL_STATE(1613)] = 90209,
  [SMALL_STATE(1614)] = 90253,
  [SMALL_STATE(1615)] = 90307,
  [SMALL_STATE(1616)] = 90347,
  [SMALL_STATE(1617)] = 90401,
  [SMALL_STATE(1618)] = 90455,
  [SMALL_STATE(1619)] = 90494,
  [SMALL_STATE(1620)] = 90527,
  [SMALL_STATE(1621)] = 90575,
  [SMALL_STATE(1622)] = 90607,
  [SMALL_STATE(1623)] = 90655,
  [SMALL_STATE(1624)] = 90687,
  [SMALL_STATE(1625)] = 90719,
  [SMALL_STATE(1626)] = 90755,
  [SMALL_STATE(1627)] = 90799,
  [SMALL_STATE(1628)] = 90843,
  [SMALL_STATE(1629)] = 90887,
  [SMALL_STATE(1630)] = 90923,
  [SMALL_STATE(1631)] = 90959,
  [SMALL_STATE(1632)] = 90994,
  [SMALL_STATE(1633)] = 91029,
  [SMALL_STATE(1634)] = 91064,
  [SMALL_STATE(1635)] = 91099,
  [SMALL_STATE(1636)] = 91131,
  [SMALL_STATE(1637)] = 91169,
  [SMALL_STATE(1638)] = 91207,
  [SMALL_STATE(1639)] = 91239,
  [SMALL_STATE(1640)] = 91271,
  [SMALL_STATE(1641)] = 91302,
  [SMALL_STATE(1642)] = 91333,
  [SMALL_STATE(1643)] = 91363,
  [SMALL_STATE(1644)] = 91390,
  [SMALL_STATE(1645)] = 91417,
  [SMALL_STATE(1646)] = 91444,
  [SMALL_STATE(1647)] = 91468,
  [SMALL_STATE(1648)] = 91492,
  [SMALL_STATE(1649)] = 91516,
  [SMALL_STATE(1650)] = 91540,
  [SMALL_STATE(1651)] = 91564,
  [SMALL_STATE(1652)] = 91590,
  [SMALL_STATE(1653)] = 91614,
  [SMALL_STATE(1654)] = 91638,
  [SMALL_STATE(1655)] = 91668,
  [SMALL_STATE(1656)] = 91692,
  [SMALL_STATE(1657)] = 91716,
  [SMALL_STATE(1658)] = 91740,
  [SMALL_STATE(1659)] = 91770,
  [SMALL_STATE(1660)] = 91794,
  [SMALL_STATE(1661)] = 91818,
  [SMALL_STATE(1662)] = 91844,
  [SMALL_STATE(1663)] = 91868,
  [SMALL_STATE(1664)] = 91894,
  [SMALL_STATE(1665)] = 91924,
  [SMALL_STATE(1666)] = 91953,
  [SMALL_STATE(1667)] = 91976,
  [SMALL_STATE(1668)] = 92007,
  [SMALL_STATE(1669)] = 92036,
  [SMALL_STATE(1670)] = 92067,
  [SMALL_STATE(1671)] = 92090,
  [SMALL_STATE(1672)] = 92113,
  [SMALL_STATE(1673)] = 92144,
  [SMALL_STATE(1674)] = 92167,
  [SMALL_STATE(1675)] = 92197,
  [SMALL_STATE(1676)] = 92221,
  [SMALL_STATE(1677)] = 92245,
  [SMALL_STATE(1678)] = 92269,
  [SMALL_STATE(1679)] = 92293,
  [SMALL_STATE(1680)] = 92321,
  [SMALL_STATE(1681)] = 92351,
  [SMALL_STATE(1682)] = 92375,
  [SMALL_STATE(1683)] = 92403,
  [SMALL_STATE(1684)] = 92433,
  [SMALL_STATE(1685)] = 92459,
  [SMALL_STATE(1686)] = 92489,
  [SMALL_STATE(1687)] = 92513,
  [SMALL_STATE(1688)] = 92543,
  [SMALL_STATE(1689)] = 92567,
  [SMALL_STATE(1690)] = 92597,
  [SMALL_STATE(1691)] = 92627,
  [SMALL_STATE(1692)] = 92657,
  [SMALL_STATE(1693)] = 92681,
  [SMALL_STATE(1694)] = 92707,
  [SMALL_STATE(1695)] = 92735,
  [SMALL_STATE(1696)] = 92763,
  [SMALL_STATE(1697)] = 92791,
  [SMALL_STATE(1698)] = 92819,
  [SMALL_STATE(1699)] = 92847,
  [SMALL_STATE(1700)] = 92875,
  [SMALL_STATE(1701)] = 92903,
  [SMALL_STATE(1702)] = 92931,
  [SMALL_STATE(1703)] = 92959,
  [SMALL_STATE(1704)] = 92987,
  [SMALL_STATE(1705)] = 93011,
  [SMALL_STATE(1706)] = 93039,
  [SMALL_STATE(1707)] = 93067,
  [SMALL_STATE(1708)] = 93095,
  [SMALL_STATE(1709)] = 93119,
  [SMALL_STATE(1710)] = 93143,
  [SMALL_STATE(1711)] = 93171,
  [SMALL_STATE(1712)] = 93199,
  [SMALL_STATE(1713)] = 93227,
  [SMALL_STATE(1714)] = 93255,
  [SMALL_STATE(1715)] = 93283,
  [SMALL_STATE(1716)] = 93311,
  [SMALL_STATE(1717)] = 93339,
  [SMALL_STATE(1718)] = 93367,
  [SMALL_STATE(1719)] = 93395,
  [SMALL_STATE(1720)] = 93423,
  [SMALL_STATE(1721)] = 93451,
  [SMALL_STATE(1722)] = 93479,
  [SMALL_STATE(1723)] = 93507,
  [SMALL_STATE(1724)] = 93535,
  [SMALL_STATE(1725)] = 93563,
  [SMALL_STATE(1726)] = 93591,
  [SMALL_STATE(1727)] = 93619,
  [SMALL_STATE(1728)] = 93647,
  [SMALL_STATE(1729)] = 93675,
  [SMALL_STATE(1730)] = 93703,
  [SMALL_STATE(1731)] = 93731,
  [SMALL_STATE(1732)] = 93759,
  [SMALL_STATE(1733)] = 93787,
  [SMALL_STATE(1734)] = 93815,
  [SMALL_STATE(1735)] = 93843,
  [SMALL_STATE(1736)] = 93871,
  [SMALL_STATE(1737)] = 93895,
  [SMALL_STATE(1738)] = 93923,
  [SMALL_STATE(1739)] = 93951,
  [SMALL_STATE(1740)] = 93979,
  [SMALL_STATE(1741)] = 94007,
  [SMALL_STATE(1742)] = 94035,
  [SMALL_STATE(1743)] = 94063,
  [SMALL_STATE(1744)] = 94091,
  [SMALL_STATE(1745)] = 94119,
  [SMALL_STATE(1746)] = 94147,
  [SMALL_STATE(1747)] = 94175,
  [SMALL_STATE(1748)] = 94203,
  [SMALL_STATE(1749)] = 94231,
  [SMALL_STATE(1750)] = 94259,
  [SMALL_STATE(1751)] = 94287,
  [SMALL_STATE(1752)] = 94315,
  [SMALL_STATE(1753)] = 94343,
  [SMALL_STATE(1754)] = 94371,
  [SMALL_STATE(1755)] = 94399,
  [SMALL_STATE(1756)] = 94427,
  [SMALL_STATE(1757)] = 94455,
  [SMALL_STATE(1758)] = 94479,
  [SMALL_STATE(1759)] = 94507,
  [SMALL_STATE(1760)] = 94535,
  [SMALL_STATE(1761)] = 94563,
  [SMALL_STATE(1762)] = 94591,
  [SMALL_STATE(1763)] = 94619,
  [SMALL_STATE(1764)] = 94647,
  [SMALL_STATE(1765)] = 94675,
  [SMALL_STATE(1766)] = 94705,
  [SMALL_STATE(1767)] = 94733,
  [SMALL_STATE(1768)] = 94757,
  [SMALL_STATE(1769)] = 94785,
  [SMALL_STATE(1770)] = 94813,
  [SMALL_STATE(1771)] = 94841,
  [SMALL_STATE(1772)] = 94869,
  [SMALL_STATE(1773)] = 94897,
  [SMALL_STATE(1774)] = 94925,
  [SMALL_STATE(1775)] = 94953,
  [SMALL_STATE(1776)] = 94981,
  [SMALL_STATE(1777)] = 95009,
  [SMALL_STATE(1778)] = 95037,
  [SMALL_STATE(1779)] = 95065,
  [SMALL_STATE(1780)] = 95093,
  [SMALL_STATE(1781)] = 95121,
  [SMALL_STATE(1782)] = 95151,
  [SMALL_STATE(1783)] = 95179,
  [SMALL_STATE(1784)] = 95207,
  [SMALL_STATE(1785)] = 95235,
  [SMALL_STATE(1786)] = 95265,
  [SMALL_STATE(1787)] = 95295,
  [SMALL_STATE(1788)] = 95323,
  [SMALL_STATE(1789)] = 95351,
  [SMALL_STATE(1790)] = 95381,
  [SMALL_STATE(1791)] = 95409,
  [SMALL_STATE(1792)] = 95437,
  [SMALL_STATE(1793)] = 95465,
  [SMALL_STATE(1794)] = 95489,
  [SMALL_STATE(1795)] = 95517,
  [SMALL_STATE(1796)] = 95545,
  [SMALL_STATE(1797)] = 95573,
  [SMALL_STATE(1798)] = 95601,
  [SMALL_STATE(1799)] = 95629,
  [SMALL_STATE(1800)] = 95657,
  [SMALL_STATE(1801)] = 95685,
  [SMALL_STATE(1802)] = 95713,
  [SMALL_STATE(1803)] = 95741,
  [SMALL_STATE(1804)] = 95771,
  [SMALL_STATE(1805)] = 95799,
  [SMALL_STATE(1806)] = 95823,
  [SMALL_STATE(1807)] = 95851,
  [SMALL_STATE(1808)] = 95879,
  [SMALL_STATE(1809)] = 95907,
  [SMALL_STATE(1810)] = 95935,
  [SMALL_STATE(1811)] = 95963,
  [SMALL_STATE(1812)] = 95991,
  [SMALL_STATE(1813)] = 96019,
  [SMALL_STATE(1814)] = 96047,
  [SMALL_STATE(1815)] = 96075,
  [SMALL_STATE(1816)] = 96105,
  [SMALL_STATE(1817)] = 96133,
  [SMALL_STATE(1818)] = 96163,
  [SMALL_STATE(1819)] = 96193,
  [SMALL_STATE(1820)] = 96221,
  [SMALL_STATE(1821)] = 96251,
  [SMALL_STATE(1822)] = 96281,
  [SMALL_STATE(1823)] = 96309,
  [SMALL_STATE(1824)] = 96337,
  [SMALL_STATE(1825)] = 96367,
  [SMALL_STATE(1826)] = 96397,
  [SMALL_STATE(1827)] = 96425,
  [SMALL_STATE(1828)] = 96453,
  [SMALL_STATE(1829)] = 96483,
  [SMALL_STATE(1830)] = 96513,
  [SMALL_STATE(1831)] = 96543,
  [SMALL_STATE(1832)] = 96571,
  [SMALL_STATE(1833)] = 96599,
  [SMALL_STATE(1834)] = 96627,
  [SMALL_STATE(1835)] = 96655,
  [SMALL_STATE(1836)] = 96683,
  [SMALL_STATE(1837)] = 96711,
  [SMALL_STATE(1838)] = 96737,
  [SMALL_STATE(1839)] = 96764,
  [SMALL_STATE(1840)] = 96793,
  [SMALL_STATE(1841)] = 96820,
  [SMALL_STATE(1842)] = 96847,
  [SMALL_STATE(1843)] = 96876,
  [SMALL_STATE(1844)] = 96905,
  [SMALL_STATE(1845)] = 96932,
  [SMALL_STATE(1846)] = 96961,
  [SMALL_STATE(1847)] = 96990,
  [SMALL_STATE(1848)] = 97017,
  [SMALL_STATE(1849)] = 97040,
  [SMALL_STATE(1850)] = 97067,
  [SMALL_STATE(1851)] = 97094,
  [SMALL_STATE(1852)] = 97121,
  [SMALL_STATE(1853)] = 97144,
  [SMALL_STATE(1854)] = 97169,
  [SMALL_STATE(1855)] = 97196,
  [SMALL_STATE(1856)] = 97223,
  [SMALL_STATE(1857)] = 97250,
  [SMALL_STATE(1858)] = 97279,
  [SMALL_STATE(1859)] = 97304,
  [SMALL_STATE(1860)] = 97331,
  [SMALL_STATE(1861)] = 97355,
  [SMALL_STATE(1862)] = 97379,
  [SMALL_STATE(1863)] = 97403,
  [SMALL_STATE(1864)] = 97427,
  [SMALL_STATE(1865)] = 97451,
  [SMALL_STATE(1866)] = 97473,
  [SMALL_STATE(1867)] = 97497,
  [SMALL_STATE(1868)] = 97521,
  [SMALL_STATE(1869)] = 97545,
  [SMALL_STATE(1870)] = 97569,
  [SMALL_STATE(1871)] = 97593,
  [SMALL_STATE(1872)] = 97617,
  [SMALL_STATE(1873)] = 97641,
  [SMALL_STATE(1874)] = 97665,
  [SMALL_STATE(1875)] = 97687,
  [SMALL_STATE(1876)] = 97711,
  [SMALL_STATE(1877)] = 97733,
  [SMALL_STATE(1878)] = 97757,
  [SMALL_STATE(1879)] = 97781,
  [SMALL_STATE(1880)] = 97805,
  [SMALL_STATE(1881)] = 97829,
  [SMALL_STATE(1882)] = 97853,
  [SMALL_STATE(1883)] = 97877,
  [SMALL_STATE(1884)] = 97899,
  [SMALL_STATE(1885)] = 97923,
  [SMALL_STATE(1886)] = 97947,
  [SMALL_STATE(1887)] = 97969,
  [SMALL_STATE(1888)] = 97993,
  [SMALL_STATE(1889)] = 98017,
  [SMALL_STATE(1890)] = 98039,
  [SMALL_STATE(1891)] = 98063,
  [SMALL_STATE(1892)] = 98087,
  [SMALL_STATE(1893)] = 98111,
  [SMALL_STATE(1894)] = 98135,
  [SMALL_STATE(1895)] = 98159,
  [SMALL_STATE(1896)] = 98183,
  [SMALL_STATE(1897)] = 98207,
  [SMALL_STATE(1898)] = 98231,
  [SMALL_STATE(1899)] = 98255,
  [SMALL_STATE(1900)] = 98279,
  [SMALL_STATE(1901)] = 98301,
  [SMALL_STATE(1902)] = 98325,
  [SMALL_STATE(1903)] = 98349,
  [SMALL_STATE(1904)] = 98373,
  [SMALL_STATE(1905)] = 98397,
  [SMALL_STATE(1906)] = 98421,
  [SMALL_STATE(1907)] = 98445,
  [SMALL_STATE(1908)] = 98469,
  [SMALL_STATE(1909)] = 98493,
  [SMALL_STATE(1910)] = 98517,
  [SMALL_STATE(1911)] = 98539,
  [SMALL_STATE(1912)] = 98563,
  [SMALL_STATE(1913)] = 98587,
  [SMALL_STATE(1914)] = 98611,
  [SMALL_STATE(1915)] = 98633,
  [SMALL_STATE(1916)] = 98657,
  [SMALL_STATE(1917)] = 98681,
  [SMALL_STATE(1918)] = 98705,
  [SMALL_STATE(1919)] = 98727,
  [SMALL_STATE(1920)] = 98751,
  [SMALL_STATE(1921)] = 98775,
  [SMALL_STATE(1922)] = 98799,
  [SMALL_STATE(1923)] = 98823,
  [SMALL_STATE(1924)] = 98847,
  [SMALL_STATE(1925)] = 98871,
  [SMALL_STATE(1926)] = 98895,
  [SMALL_STATE(1927)] = 98919,
  [SMALL_STATE(1928)] = 98943,
  [SMALL_STATE(1929)] = 98967,
  [SMALL_STATE(1930)] = 98991,
  [SMALL_STATE(1931)] = 99015,
  [SMALL_STATE(1932)] = 99039,
  [SMALL_STATE(1933)] = 99063,
  [SMALL_STATE(1934)] = 99085,
  [SMALL_STATE(1935)] = 99109,
  [SMALL_STATE(1936)] = 99133,
  [SMALL_STATE(1937)] = 99157,
  [SMALL_STATE(1938)] = 99179,
  [SMALL_STATE(1939)] = 99201,
  [SMALL_STATE(1940)] = 99225,
  [SMALL_STATE(1941)] = 99249,
  [SMALL_STATE(1942)] = 99273,
  [SMALL_STATE(1943)] = 99297,
  [SMALL_STATE(1944)] = 99321,
  [SMALL_STATE(1945)] = 99345,
  [SMALL_STATE(1946)] = 99367,
  [SMALL_STATE(1947)] = 99391,
  [SMALL_STATE(1948)] = 99415,
  [SMALL_STATE(1949)] = 99439,
  [SMALL_STATE(1950)] = 99463,
  [SMALL_STATE(1951)] = 99487,
  [SMALL_STATE(1952)] = 99511,
  [SMALL_STATE(1953)] = 99535,
  [SMALL_STATE(1954)] = 99559,
  [SMALL_STATE(1955)] = 99583,
  [SMALL_STATE(1956)] = 99605,
  [SMALL_STATE(1957)] = 99627,
  [SMALL_STATE(1958)] = 99651,
  [SMALL_STATE(1959)] = 99675,
  [SMALL_STATE(1960)] = 99699,
  [SMALL_STATE(1961)] = 99723,
  [SMALL_STATE(1962)] = 99747,
  [SMALL_STATE(1963)] = 99771,
  [SMALL_STATE(1964)] = 99795,
  [SMALL_STATE(1965)] = 99819,
  [SMALL_STATE(1966)] = 99843,
  [SMALL_STATE(1967)] = 99867,
  [SMALL_STATE(1968)] = 99893,
  [SMALL_STATE(1969)] = 99917,
  [SMALL_STATE(1970)] = 99941,
  [SMALL_STATE(1971)] = 99965,
  [SMALL_STATE(1972)] = 99989,
  [SMALL_STATE(1973)] = 100013,
  [SMALL_STATE(1974)] = 100037,
  [SMALL_STATE(1975)] = 100061,
  [SMALL_STATE(1976)] = 100085,
  [SMALL_STATE(1977)] = 100109,
  [SMALL_STATE(1978)] = 100131,
  [SMALL_STATE(1979)] = 100155,
  [SMALL_STATE(1980)] = 100179,
  [SMALL_STATE(1981)] = 100203,
  [SMALL_STATE(1982)] = 100227,
  [SMALL_STATE(1983)] = 100251,
  [SMALL_STATE(1984)] = 100275,
  [SMALL_STATE(1985)] = 100299,
  [SMALL_STATE(1986)] = 100323,
  [SMALL_STATE(1987)] = 100345,
  [SMALL_STATE(1988)] = 100367,
  [SMALL_STATE(1989)] = 100391,
  [SMALL_STATE(1990)] = 100415,
  [SMALL_STATE(1991)] = 100439,
  [SMALL_STATE(1992)] = 100463,
  [SMALL_STATE(1993)] = 100487,
  [SMALL_STATE(1994)] = 100511,
  [SMALL_STATE(1995)] = 100535,
  [SMALL_STATE(1996)] = 100559,
  [SMALL_STATE(1997)] = 100583,
  [SMALL_STATE(1998)] = 100607,
  [SMALL_STATE(1999)] = 100631,
  [SMALL_STATE(2000)] = 100655,
  [SMALL_STATE(2001)] = 100679,
  [SMALL_STATE(2002)] = 100703,
  [SMALL_STATE(2003)] = 100727,
  [SMALL_STATE(2004)] = 100751,
  [SMALL_STATE(2005)] = 100775,
  [SMALL_STATE(2006)] = 100797,
  [SMALL_STATE(2007)] = 100821,
  [SMALL_STATE(2008)] = 100845,
  [SMALL_STATE(2009)] = 100867,
  [SMALL_STATE(2010)] = 100891,
  [SMALL_STATE(2011)] = 100915,
  [SMALL_STATE(2012)] = 100939,
  [SMALL_STATE(2013)] = 100963,
  [SMALL_STATE(2014)] = 100987,
  [SMALL_STATE(2015)] = 101011,
  [SMALL_STATE(2016)] = 101035,
  [SMALL_STATE(2017)] = 101059,
  [SMALL_STATE(2018)] = 101083,
  [SMALL_STATE(2019)] = 101106,
  [SMALL_STATE(2020)] = 101129,
  [SMALL_STATE(2021)] = 101150,
  [SMALL_STATE(2022)] = 101171,
  [SMALL_STATE(2023)] = 101194,
  [SMALL_STATE(2024)] = 101217,
  [SMALL_STATE(2025)] = 101240,
  [SMALL_STATE(2026)] = 101263,
  [SMALL_STATE(2027)] = 101286,
  [SMALL_STATE(2028)] = 101309,
  [SMALL_STATE(2029)] = 101332,
  [SMALL_STATE(2030)] = 101355,
  [SMALL_STATE(2031)] = 101376,
  [SMALL_STATE(2032)] = 101399,
  [SMALL_STATE(2033)] = 101422,
  [SMALL_STATE(2034)] = 101445,
  [SMALL_STATE(2035)] = 101468,
  [SMALL_STATE(2036)] = 101491,
  [SMALL_STATE(2037)] = 101514,
  [SMALL_STATE(2038)] = 101537,
  [SMALL_STATE(2039)] = 101560,
  [SMALL_STATE(2040)] = 101577,
  [SMALL_STATE(2041)] = 101600,
  [SMALL_STATE(2042)] = 101623,
  [SMALL_STATE(2043)] = 101646,
  [SMALL_STATE(2044)] = 101669,
  [SMALL_STATE(2045)] = 101692,
  [SMALL_STATE(2046)] = 101715,
  [SMALL_STATE(2047)] = 101738,
  [SMALL_STATE(2048)] = 101761,
  [SMALL_STATE(2049)] = 101784,
  [SMALL_STATE(2050)] = 101807,
  [SMALL_STATE(2051)] = 101830,
  [SMALL_STATE(2052)] = 101849,
  [SMALL_STATE(2053)] = 101872,
  [SMALL_STATE(2054)] = 101895,
  [SMALL_STATE(2055)] = 101918,
  [SMALL_STATE(2056)] = 101941,
  [SMALL_STATE(2057)] = 101962,
  [SMALL_STATE(2058)] = 101985,
  [SMALL_STATE(2059)] = 102008,
  [SMALL_STATE(2060)] = 102031,
  [SMALL_STATE(2061)] = 102054,
  [SMALL_STATE(2062)] = 102077,
  [SMALL_STATE(2063)] = 102100,
  [SMALL_STATE(2064)] = 102121,
  [SMALL_STATE(2065)] = 102144,
  [SMALL_STATE(2066)] = 102167,
  [SMALL_STATE(2067)] = 102190,
  [SMALL_STATE(2068)] = 102213,
  [SMALL_STATE(2069)] = 102236,
  [SMALL_STATE(2070)] = 102259,
  [SMALL_STATE(2071)] = 102280,
  [SMALL_STATE(2072)] = 102303,
  [SMALL_STATE(2073)] = 102326,
  [SMALL_STATE(2074)] = 102349,
  [SMALL_STATE(2075)] = 102372,
  [SMALL_STATE(2076)] = 102395,
  [SMALL_STATE(2077)] = 102418,
  [SMALL_STATE(2078)] = 102439,
  [SMALL_STATE(2079)] = 102462,
  [SMALL_STATE(2080)] = 102483,
  [SMALL_STATE(2081)] = 102506,
  [SMALL_STATE(2082)] = 102527,
  [SMALL_STATE(2083)] = 102544,
  [SMALL_STATE(2084)] = 102561,
  [SMALL_STATE(2085)] = 102584,
  [SMALL_STATE(2086)] = 102607,
  [SMALL_STATE(2087)] = 102630,
  [SMALL_STATE(2088)] = 102653,
  [SMALL_STATE(2089)] = 102676,
  [SMALL_STATE(2090)] = 102699,
  [SMALL_STATE(2091)] = 102722,
  [SMALL_STATE(2092)] = 102739,
  [SMALL_STATE(2093)] = 102762,
  [SMALL_STATE(2094)] = 102785,
  [SMALL_STATE(2095)] = 102802,
  [SMALL_STATE(2096)] = 102825,
  [SMALL_STATE(2097)] = 102848,
  [SMALL_STATE(2098)] = 102871,
  [SMALL_STATE(2099)] = 102892,
  [SMALL_STATE(2100)] = 102909,
  [SMALL_STATE(2101)] = 102932,
  [SMALL_STATE(2102)] = 102949,
  [SMALL_STATE(2103)] = 102972,
  [SMALL_STATE(2104)] = 102989,
  [SMALL_STATE(2105)] = 103009,
  [SMALL_STATE(2106)] = 103029,
  [SMALL_STATE(2107)] = 103049,
  [SMALL_STATE(2108)] = 103069,
  [SMALL_STATE(2109)] = 103089,
  [SMALL_STATE(2110)] = 103105,
  [SMALL_STATE(2111)] = 103123,
  [SMALL_STATE(2112)] = 103143,
  [SMALL_STATE(2113)] = 103163,
  [SMALL_STATE(2114)] = 103177,
  [SMALL_STATE(2115)] = 103195,
  [SMALL_STATE(2116)] = 103215,
  [SMALL_STATE(2117)] = 103233,
  [SMALL_STATE(2118)] = 103251,
  [SMALL_STATE(2119)] = 103265,
  [SMALL_STATE(2120)] = 103285,
  [SMALL_STATE(2121)] = 103303,
  [SMALL_STATE(2122)] = 103321,
  [SMALL_STATE(2123)] = 103339,
  [SMALL_STATE(2124)] = 103359,
  [SMALL_STATE(2125)] = 103379,
  [SMALL_STATE(2126)] = 103399,
  [SMALL_STATE(2127)] = 103419,
  [SMALL_STATE(2128)] = 103437,
  [SMALL_STATE(2129)] = 103455,
  [SMALL_STATE(2130)] = 103473,
  [SMALL_STATE(2131)] = 103491,
  [SMALL_STATE(2132)] = 103509,
  [SMALL_STATE(2133)] = 103529,
  [SMALL_STATE(2134)] = 103547,
  [SMALL_STATE(2135)] = 103567,
  [SMALL_STATE(2136)] = 103587,
  [SMALL_STATE(2137)] = 103607,
  [SMALL_STATE(2138)] = 103625,
  [SMALL_STATE(2139)] = 103645,
  [SMALL_STATE(2140)] = 103663,
  [SMALL_STATE(2141)] = 103681,
  [SMALL_STATE(2142)] = 103699,
  [SMALL_STATE(2143)] = 103717,
  [SMALL_STATE(2144)] = 103735,
  [SMALL_STATE(2145)] = 103755,
  [SMALL_STATE(2146)] = 103775,
  [SMALL_STATE(2147)] = 103793,
  [SMALL_STATE(2148)] = 103811,
  [SMALL_STATE(2149)] = 103829,
  [SMALL_STATE(2150)] = 103849,
  [SMALL_STATE(2151)] = 103869,
  [SMALL_STATE(2152)] = 103889,
  [SMALL_STATE(2153)] = 103909,
  [SMALL_STATE(2154)] = 103929,
  [SMALL_STATE(2155)] = 103947,
  [SMALL_STATE(2156)] = 103965,
  [SMALL_STATE(2157)] = 103983,
  [SMALL_STATE(2158)] = 104001,
  [SMALL_STATE(2159)] = 104021,
  [SMALL_STATE(2160)] = 104041,
  [SMALL_STATE(2161)] = 104061,
  [SMALL_STATE(2162)] = 104081,
  [SMALL_STATE(2163)] = 104097,
  [SMALL_STATE(2164)] = 104115,
  [SMALL_STATE(2165)] = 104131,
  [SMALL_STATE(2166)] = 104151,
  [SMALL_STATE(2167)] = 104171,
  [SMALL_STATE(2168)] = 104191,
  [SMALL_STATE(2169)] = 104211,
  [SMALL_STATE(2170)] = 104231,
  [SMALL_STATE(2171)] = 104247,
  [SMALL_STATE(2172)] = 104264,
  [SMALL_STATE(2173)] = 104281,
  [SMALL_STATE(2174)] = 104298,
  [SMALL_STATE(2175)] = 104315,
  [SMALL_STATE(2176)] = 104332,
  [SMALL_STATE(2177)] = 104349,
  [SMALL_STATE(2178)] = 104366,
  [SMALL_STATE(2179)] = 104381,
  [SMALL_STATE(2180)] = 104398,
  [SMALL_STATE(2181)] = 104415,
  [SMALL_STATE(2182)] = 104432,
  [SMALL_STATE(2183)] = 104449,
  [SMALL_STATE(2184)] = 104466,
  [SMALL_STATE(2185)] = 104483,
  [SMALL_STATE(2186)] = 104500,
  [SMALL_STATE(2187)] = 104517,
  [SMALL_STATE(2188)] = 104534,
  [SMALL_STATE(2189)] = 104551,
  [SMALL_STATE(2190)] = 104568,
  [SMALL_STATE(2191)] = 104585,
  [SMALL_STATE(2192)] = 104602,
  [SMALL_STATE(2193)] = 104619,
  [SMALL_STATE(2194)] = 104636,
  [SMALL_STATE(2195)] = 104653,
  [SMALL_STATE(2196)] = 104670,
  [SMALL_STATE(2197)] = 104687,
  [SMALL_STATE(2198)] = 104704,
  [SMALL_STATE(2199)] = 104721,
  [SMALL_STATE(2200)] = 104738,
  [SMALL_STATE(2201)] = 104755,
  [SMALL_STATE(2202)] = 104772,
  [SMALL_STATE(2203)] = 104789,
  [SMALL_STATE(2204)] = 104806,
  [SMALL_STATE(2205)] = 104823,
  [SMALL_STATE(2206)] = 104840,
  [SMALL_STATE(2207)] = 104857,
  [SMALL_STATE(2208)] = 104874,
  [SMALL_STATE(2209)] = 104891,
  [SMALL_STATE(2210)] = 104906,
  [SMALL_STATE(2211)] = 104923,
  [SMALL_STATE(2212)] = 104940,
  [SMALL_STATE(2213)] = 104957,
  [SMALL_STATE(2214)] = 104974,
  [SMALL_STATE(2215)] = 104991,
  [SMALL_STATE(2216)] = 105008,
  [SMALL_STATE(2217)] = 105025,
  [SMALL_STATE(2218)] = 105042,
  [SMALL_STATE(2219)] = 105059,
  [SMALL_STATE(2220)] = 105076,
  [SMALL_STATE(2221)] = 105093,
  [SMALL_STATE(2222)] = 105110,
  [SMALL_STATE(2223)] = 105127,
  [SMALL_STATE(2224)] = 105144,
  [SMALL_STATE(2225)] = 105161,
  [SMALL_STATE(2226)] = 105178,
  [SMALL_STATE(2227)] = 105195,
  [SMALL_STATE(2228)] = 105210,
  [SMALL_STATE(2229)] = 105227,
  [SMALL_STATE(2230)] = 105244,
  [SMALL_STATE(2231)] = 105261,
  [SMALL_STATE(2232)] = 105278,
  [SMALL_STATE(2233)] = 105295,
  [SMALL_STATE(2234)] = 105312,
  [SMALL_STATE(2235)] = 105329,
  [SMALL_STATE(2236)] = 105346,
  [SMALL_STATE(2237)] = 105363,
  [SMALL_STATE(2238)] = 105380,
  [SMALL_STATE(2239)] = 105397,
  [SMALL_STATE(2240)] = 105414,
  [SMALL_STATE(2241)] = 105429,
  [SMALL_STATE(2242)] = 105446,
  [SMALL_STATE(2243)] = 105463,
  [SMALL_STATE(2244)] = 105480,
  [SMALL_STATE(2245)] = 105495,
  [SMALL_STATE(2246)] = 105512,
  [SMALL_STATE(2247)] = 105529,
  [SMALL_STATE(2248)] = 105546,
  [SMALL_STATE(2249)] = 105563,
  [SMALL_STATE(2250)] = 105580,
  [SMALL_STATE(2251)] = 105597,
  [SMALL_STATE(2252)] = 105614,
  [SMALL_STATE(2253)] = 105631,
  [SMALL_STATE(2254)] = 105648,
  [SMALL_STATE(2255)] = 105665,
  [SMALL_STATE(2256)] = 105680,
  [SMALL_STATE(2257)] = 105697,
  [SMALL_STATE(2258)] = 105714,
  [SMALL_STATE(2259)] = 105731,
  [SMALL_STATE(2260)] = 105748,
  [SMALL_STATE(2261)] = 105765,
  [SMALL_STATE(2262)] = 105782,
  [SMALL_STATE(2263)] = 105799,
  [SMALL_STATE(2264)] = 105816,
  [SMALL_STATE(2265)] = 105833,
  [SMALL_STATE(2266)] = 105850,
  [SMALL_STATE(2267)] = 105867,
  [SMALL_STATE(2268)] = 105884,
  [SMALL_STATE(2269)] = 105901,
  [SMALL_STATE(2270)] = 105918,
  [SMALL_STATE(2271)] = 105935,
  [SMALL_STATE(2272)] = 105952,
  [SMALL_STATE(2273)] = 105969,
  [SMALL_STATE(2274)] = 105986,
  [SMALL_STATE(2275)] = 106003,
  [SMALL_STATE(2276)] = 106020,
  [SMALL_STATE(2277)] = 106037,
  [SMALL_STATE(2278)] = 106054,
  [SMALL_STATE(2279)] = 106071,
  [SMALL_STATE(2280)] = 106088,
  [SMALL_STATE(2281)] = 106105,
  [SMALL_STATE(2282)] = 106120,
  [SMALL_STATE(2283)] = 106137,
  [SMALL_STATE(2284)] = 106154,
  [SMALL_STATE(2285)] = 106171,
  [SMALL_STATE(2286)] = 106186,
  [SMALL_STATE(2287)] = 106203,
  [SMALL_STATE(2288)] = 106220,
  [SMALL_STATE(2289)] = 106237,
  [SMALL_STATE(2290)] = 106252,
  [SMALL_STATE(2291)] = 106269,
  [SMALL_STATE(2292)] = 106286,
  [SMALL_STATE(2293)] = 106303,
  [SMALL_STATE(2294)] = 106320,
  [SMALL_STATE(2295)] = 106337,
  [SMALL_STATE(2296)] = 106354,
  [SMALL_STATE(2297)] = 106371,
  [SMALL_STATE(2298)] = 106388,
  [SMALL_STATE(2299)] = 106405,
  [SMALL_STATE(2300)] = 106422,
  [SMALL_STATE(2301)] = 106439,
  [SMALL_STATE(2302)] = 106454,
  [SMALL_STATE(2303)] = 106471,
  [SMALL_STATE(2304)] = 106488,
  [SMALL_STATE(2305)] = 106505,
  [SMALL_STATE(2306)] = 106522,
  [SMALL_STATE(2307)] = 106539,
  [SMALL_STATE(2308)] = 106556,
  [SMALL_STATE(2309)] = 106573,
  [SMALL_STATE(2310)] = 106590,
  [SMALL_STATE(2311)] = 106607,
  [SMALL_STATE(2312)] = 106624,
  [SMALL_STATE(2313)] = 106641,
  [SMALL_STATE(2314)] = 106658,
  [SMALL_STATE(2315)] = 106675,
  [SMALL_STATE(2316)] = 106692,
  [SMALL_STATE(2317)] = 106707,
  [SMALL_STATE(2318)] = 106724,
  [SMALL_STATE(2319)] = 106741,
  [SMALL_STATE(2320)] = 106758,
  [SMALL_STATE(2321)] = 106773,
  [SMALL_STATE(2322)] = 106790,
  [SMALL_STATE(2323)] = 106807,
  [SMALL_STATE(2324)] = 106824,
  [SMALL_STATE(2325)] = 106839,
  [SMALL_STATE(2326)] = 106854,
  [SMALL_STATE(2327)] = 106871,
  [SMALL_STATE(2328)] = 106888,
  [SMALL_STATE(2329)] = 106905,
  [SMALL_STATE(2330)] = 106922,
  [SMALL_STATE(2331)] = 106939,
  [SMALL_STATE(2332)] = 106956,
  [SMALL_STATE(2333)] = 106973,
  [SMALL_STATE(2334)] = 106990,
  [SMALL_STATE(2335)] = 107007,
  [SMALL_STATE(2336)] = 107024,
  [SMALL_STATE(2337)] = 107041,
  [SMALL_STATE(2338)] = 107058,
  [SMALL_STATE(2339)] = 107075,
  [SMALL_STATE(2340)] = 107092,
  [SMALL_STATE(2341)] = 107109,
  [SMALL_STATE(2342)] = 107126,
  [SMALL_STATE(2343)] = 107143,
  [SMALL_STATE(2344)] = 107160,
  [SMALL_STATE(2345)] = 107175,
  [SMALL_STATE(2346)] = 107192,
  [SMALL_STATE(2347)] = 107209,
  [SMALL_STATE(2348)] = 107226,
  [SMALL_STATE(2349)] = 107243,
  [SMALL_STATE(2350)] = 107260,
  [SMALL_STATE(2351)] = 107277,
  [SMALL_STATE(2352)] = 107294,
  [SMALL_STATE(2353)] = 107311,
  [SMALL_STATE(2354)] = 107328,
  [SMALL_STATE(2355)] = 107345,
  [SMALL_STATE(2356)] = 107362,
  [SMALL_STATE(2357)] = 107377,
  [SMALL_STATE(2358)] = 107392,
  [SMALL_STATE(2359)] = 107409,
  [SMALL_STATE(2360)] = 107426,
  [SMALL_STATE(2361)] = 107443,
  [SMALL_STATE(2362)] = 107460,
  [SMALL_STATE(2363)] = 107477,
  [SMALL_STATE(2364)] = 107492,
  [SMALL_STATE(2365)] = 107507,
  [SMALL_STATE(2366)] = 107524,
  [SMALL_STATE(2367)] = 107541,
  [SMALL_STATE(2368)] = 107558,
  [SMALL_STATE(2369)] = 107575,
  [SMALL_STATE(2370)] = 107592,
  [SMALL_STATE(2371)] = 107607,
  [SMALL_STATE(2372)] = 107622,
  [SMALL_STATE(2373)] = 107637,
  [SMALL_STATE(2374)] = 107654,
  [SMALL_STATE(2375)] = 107671,
  [SMALL_STATE(2376)] = 107688,
  [SMALL_STATE(2377)] = 107705,
  [SMALL_STATE(2378)] = 107722,
  [SMALL_STATE(2379)] = 107739,
  [SMALL_STATE(2380)] = 107756,
  [SMALL_STATE(2381)] = 107773,
  [SMALL_STATE(2382)] = 107790,
  [SMALL_STATE(2383)] = 107807,
  [SMALL_STATE(2384)] = 107824,
  [SMALL_STATE(2385)] = 107841,
  [SMALL_STATE(2386)] = 107858,
  [SMALL_STATE(2387)] = 107875,
  [SMALL_STATE(2388)] = 107892,
  [SMALL_STATE(2389)] = 107909,
  [SMALL_STATE(2390)] = 107926,
  [SMALL_STATE(2391)] = 107943,
  [SMALL_STATE(2392)] = 107960,
  [SMALL_STATE(2393)] = 107977,
  [SMALL_STATE(2394)] = 107994,
  [SMALL_STATE(2395)] = 108011,
  [SMALL_STATE(2396)] = 108028,
  [SMALL_STATE(2397)] = 108045,
  [SMALL_STATE(2398)] = 108062,
  [SMALL_STATE(2399)] = 108079,
  [SMALL_STATE(2400)] = 108096,
  [SMALL_STATE(2401)] = 108113,
  [SMALL_STATE(2402)] = 108130,
  [SMALL_STATE(2403)] = 108147,
  [SMALL_STATE(2404)] = 108164,
  [SMALL_STATE(2405)] = 108181,
  [SMALL_STATE(2406)] = 108198,
  [SMALL_STATE(2407)] = 108215,
  [SMALL_STATE(2408)] = 108232,
  [SMALL_STATE(2409)] = 108249,
  [SMALL_STATE(2410)] = 108266,
  [SMALL_STATE(2411)] = 108283,
  [SMALL_STATE(2412)] = 108300,
  [SMALL_STATE(2413)] = 108315,
  [SMALL_STATE(2414)] = 108330,
  [SMALL_STATE(2415)] = 108345,
  [SMALL_STATE(2416)] = 108362,
  [SMALL_STATE(2417)] = 108377,
  [SMALL_STATE(2418)] = 108392,
  [SMALL_STATE(2419)] = 108407,
  [SMALL_STATE(2420)] = 108424,
  [SMALL_STATE(2421)] = 108441,
  [SMALL_STATE(2422)] = 108458,
  [SMALL_STATE(2423)] = 108475,
  [SMALL_STATE(2424)] = 108492,
  [SMALL_STATE(2425)] = 108509,
  [SMALL_STATE(2426)] = 108526,
  [SMALL_STATE(2427)] = 108543,
  [SMALL_STATE(2428)] = 108558,
  [SMALL_STATE(2429)] = 108575,
  [SMALL_STATE(2430)] = 108592,
  [SMALL_STATE(2431)] = 108609,
  [SMALL_STATE(2432)] = 108624,
  [SMALL_STATE(2433)] = 108641,
  [SMALL_STATE(2434)] = 108658,
  [SMALL_STATE(2435)] = 108673,
  [SMALL_STATE(2436)] = 108690,
  [SMALL_STATE(2437)] = 108707,
  [SMALL_STATE(2438)] = 108724,
  [SMALL_STATE(2439)] = 108741,
  [SMALL_STATE(2440)] = 108756,
  [SMALL_STATE(2441)] = 108771,
  [SMALL_STATE(2442)] = 108788,
  [SMALL_STATE(2443)] = 108803,
  [SMALL_STATE(2444)] = 108820,
  [SMALL_STATE(2445)] = 108837,
  [SMALL_STATE(2446)] = 108854,
  [SMALL_STATE(2447)] = 108871,
  [SMALL_STATE(2448)] = 108888,
  [SMALL_STATE(2449)] = 108903,
  [SMALL_STATE(2450)] = 108920,
  [SMALL_STATE(2451)] = 108937,
  [SMALL_STATE(2452)] = 108952,
  [SMALL_STATE(2453)] = 108969,
  [SMALL_STATE(2454)] = 108986,
  [SMALL_STATE(2455)] = 109003,
  [SMALL_STATE(2456)] = 109020,
  [SMALL_STATE(2457)] = 109037,
  [SMALL_STATE(2458)] = 109054,
  [SMALL_STATE(2459)] = 109071,
  [SMALL_STATE(2460)] = 109088,
  [SMALL_STATE(2461)] = 109105,
  [SMALL_STATE(2462)] = 109122,
  [SMALL_STATE(2463)] = 109139,
  [SMALL_STATE(2464)] = 109154,
  [SMALL_STATE(2465)] = 109171,
  [SMALL_STATE(2466)] = 109186,
  [SMALL_STATE(2467)] = 109203,
  [SMALL_STATE(2468)] = 109220,
  [SMALL_STATE(2469)] = 109237,
  [SMALL_STATE(2470)] = 109254,
  [SMALL_STATE(2471)] = 109271,
  [SMALL_STATE(2472)] = 109288,
  [SMALL_STATE(2473)] = 109305,
  [SMALL_STATE(2474)] = 109322,
  [SMALL_STATE(2475)] = 109339,
  [SMALL_STATE(2476)] = 109356,
  [SMALL_STATE(2477)] = 109373,
  [SMALL_STATE(2478)] = 109390,
  [SMALL_STATE(2479)] = 109407,
  [SMALL_STATE(2480)] = 109424,
  [SMALL_STATE(2481)] = 109441,
  [SMALL_STATE(2482)] = 109458,
  [SMALL_STATE(2483)] = 109475,
  [SMALL_STATE(2484)] = 109492,
  [SMALL_STATE(2485)] = 109509,
  [SMALL_STATE(2486)] = 109526,
  [SMALL_STATE(2487)] = 109543,
  [SMALL_STATE(2488)] = 109560,
  [SMALL_STATE(2489)] = 109575,
  [SMALL_STATE(2490)] = 109592,
  [SMALL_STATE(2491)] = 109607,
  [SMALL_STATE(2492)] = 109624,
  [SMALL_STATE(2493)] = 109641,
  [SMALL_STATE(2494)] = 109658,
  [SMALL_STATE(2495)] = 109675,
  [SMALL_STATE(2496)] = 109692,
  [SMALL_STATE(2497)] = 109709,
  [SMALL_STATE(2498)] = 109726,
  [SMALL_STATE(2499)] = 109743,
  [SMALL_STATE(2500)] = 109760,
  [SMALL_STATE(2501)] = 109777,
  [SMALL_STATE(2502)] = 109794,
  [SMALL_STATE(2503)] = 109811,
  [SMALL_STATE(2504)] = 109828,
  [SMALL_STATE(2505)] = 109845,
  [SMALL_STATE(2506)] = 109862,
  [SMALL_STATE(2507)] = 109879,
  [SMALL_STATE(2508)] = 109896,
  [SMALL_STATE(2509)] = 109913,
  [SMALL_STATE(2510)] = 109930,
  [SMALL_STATE(2511)] = 109947,
  [SMALL_STATE(2512)] = 109964,
  [SMALL_STATE(2513)] = 109981,
  [SMALL_STATE(2514)] = 109998,
  [SMALL_STATE(2515)] = 110015,
  [SMALL_STATE(2516)] = 110032,
  [SMALL_STATE(2517)] = 110049,
  [SMALL_STATE(2518)] = 110066,
  [SMALL_STATE(2519)] = 110083,
  [SMALL_STATE(2520)] = 110100,
  [SMALL_STATE(2521)] = 110117,
  [SMALL_STATE(2522)] = 110134,
  [SMALL_STATE(2523)] = 110149,
  [SMALL_STATE(2524)] = 110164,
  [SMALL_STATE(2525)] = 110179,
  [SMALL_STATE(2526)] = 110196,
  [SMALL_STATE(2527)] = 110213,
  [SMALL_STATE(2528)] = 110228,
  [SMALL_STATE(2529)] = 110243,
  [SMALL_STATE(2530)] = 110260,
  [SMALL_STATE(2531)] = 110277,
  [SMALL_STATE(2532)] = 110294,
  [SMALL_STATE(2533)] = 110311,
  [SMALL_STATE(2534)] = 110325,
  [SMALL_STATE(2535)] = 110339,
  [SMALL_STATE(2536)] = 110353,
  [SMALL_STATE(2537)] = 110367,
  [SMALL_STATE(2538)] = 110381,
  [SMALL_STATE(2539)] = 110395,
  [SMALL_STATE(2540)] = 110409,
  [SMALL_STATE(2541)] = 110423,
  [SMALL_STATE(2542)] = 110437,
  [SMALL_STATE(2543)] = 110451,
  [SMALL_STATE(2544)] = 110465,
  [SMALL_STATE(2545)] = 110479,
  [SMALL_STATE(2546)] = 110493,
  [SMALL_STATE(2547)] = 110507,
  [SMALL_STATE(2548)] = 110521,
  [SMALL_STATE(2549)] = 110535,
  [SMALL_STATE(2550)] = 110549,
  [SMALL_STATE(2551)] = 110563,
  [SMALL_STATE(2552)] = 110577,
  [SMALL_STATE(2553)] = 110591,
  [SMALL_STATE(2554)] = 110605,
  [SMALL_STATE(2555)] = 110619,
  [SMALL_STATE(2556)] = 110633,
  [SMALL_STATE(2557)] = 110647,
  [SMALL_STATE(2558)] = 110661,
  [SMALL_STATE(2559)] = 110675,
  [SMALL_STATE(2560)] = 110689,
  [SMALL_STATE(2561)] = 110703,
  [SMALL_STATE(2562)] = 110717,
  [SMALL_STATE(2563)] = 110731,
  [SMALL_STATE(2564)] = 110745,
  [SMALL_STATE(2565)] = 110759,
  [SMALL_STATE(2566)] = 110773,
  [SMALL_STATE(2567)] = 110787,
  [SMALL_STATE(2568)] = 110801,
  [SMALL_STATE(2569)] = 110815,
  [SMALL_STATE(2570)] = 110829,
  [SMALL_STATE(2571)] = 110843,
  [SMALL_STATE(2572)] = 110857,
  [SMALL_STATE(2573)] = 110871,
  [SMALL_STATE(2574)] = 110885,
  [SMALL_STATE(2575)] = 110899,
  [SMALL_STATE(2576)] = 110913,
  [SMALL_STATE(2577)] = 110927,
  [SMALL_STATE(2578)] = 110941,
  [SMALL_STATE(2579)] = 110955,
  [SMALL_STATE(2580)] = 110969,
  [SMALL_STATE(2581)] = 110983,
  [SMALL_STATE(2582)] = 110997,
  [SMALL_STATE(2583)] = 111011,
  [SMALL_STATE(2584)] = 111025,
  [SMALL_STATE(2585)] = 111039,
  [SMALL_STATE(2586)] = 111053,
  [SMALL_STATE(2587)] = 111067,
  [SMALL_STATE(2588)] = 111081,
  [SMALL_STATE(2589)] = 111095,
  [SMALL_STATE(2590)] = 111109,
  [SMALL_STATE(2591)] = 111123,
  [SMALL_STATE(2592)] = 111137,
  [SMALL_STATE(2593)] = 111151,
  [SMALL_STATE(2594)] = 111165,
  [SMALL_STATE(2595)] = 111179,
  [SMALL_STATE(2596)] = 111193,
  [SMALL_STATE(2597)] = 111207,
  [SMALL_STATE(2598)] = 111221,
  [SMALL_STATE(2599)] = 111235,
  [SMALL_STATE(2600)] = 111249,
  [SMALL_STATE(2601)] = 111263,
  [SMALL_STATE(2602)] = 111277,
  [SMALL_STATE(2603)] = 111291,
  [SMALL_STATE(2604)] = 111305,
  [SMALL_STATE(2605)] = 111319,
  [SMALL_STATE(2606)] = 111333,
  [SMALL_STATE(2607)] = 111347,
  [SMALL_STATE(2608)] = 111361,
  [SMALL_STATE(2609)] = 111375,
  [SMALL_STATE(2610)] = 111389,
  [SMALL_STATE(2611)] = 111403,
  [SMALL_STATE(2612)] = 111417,
  [SMALL_STATE(2613)] = 111431,
  [SMALL_STATE(2614)] = 111445,
  [SMALL_STATE(2615)] = 111459,
  [SMALL_STATE(2616)] = 111473,
  [SMALL_STATE(2617)] = 111487,
  [SMALL_STATE(2618)] = 111501,
  [SMALL_STATE(2619)] = 111515,
  [SMALL_STATE(2620)] = 111529,
  [SMALL_STATE(2621)] = 111543,
  [SMALL_STATE(2622)] = 111557,
  [SMALL_STATE(2623)] = 111571,
  [SMALL_STATE(2624)] = 111585,
  [SMALL_STATE(2625)] = 111599,
  [SMALL_STATE(2626)] = 111613,
  [SMALL_STATE(2627)] = 111627,
  [SMALL_STATE(2628)] = 111641,
  [SMALL_STATE(2629)] = 111655,
  [SMALL_STATE(2630)] = 111669,
  [SMALL_STATE(2631)] = 111683,
  [SMALL_STATE(2632)] = 111697,
  [SMALL_STATE(2633)] = 111711,
  [SMALL_STATE(2634)] = 111725,
  [SMALL_STATE(2635)] = 111739,
  [SMALL_STATE(2636)] = 111753,
  [SMALL_STATE(2637)] = 111767,
  [SMALL_STATE(2638)] = 111781,
  [SMALL_STATE(2639)] = 111795,
  [SMALL_STATE(2640)] = 111809,
  [SMALL_STATE(2641)] = 111823,
  [SMALL_STATE(2642)] = 111837,
  [SMALL_STATE(2643)] = 111851,
  [SMALL_STATE(2644)] = 111865,
  [SMALL_STATE(2645)] = 111879,
  [SMALL_STATE(2646)] = 111893,
  [SMALL_STATE(2647)] = 111907,
  [SMALL_STATE(2648)] = 111921,
  [SMALL_STATE(2649)] = 111935,
  [SMALL_STATE(2650)] = 111949,
  [SMALL_STATE(2651)] = 111963,
  [SMALL_STATE(2652)] = 111977,
  [SMALL_STATE(2653)] = 111991,
  [SMALL_STATE(2654)] = 112005,
  [SMALL_STATE(2655)] = 112019,
  [SMALL_STATE(2656)] = 112033,
  [SMALL_STATE(2657)] = 112047,
  [SMALL_STATE(2658)] = 112061,
  [SMALL_STATE(2659)] = 112075,
  [SMALL_STATE(2660)] = 112089,
  [SMALL_STATE(2661)] = 112103,
  [SMALL_STATE(2662)] = 112117,
  [SMALL_STATE(2663)] = 112131,
  [SMALL_STATE(2664)] = 112145,
  [SMALL_STATE(2665)] = 112159,
  [SMALL_STATE(2666)] = 112173,
  [SMALL_STATE(2667)] = 112187,
  [SMALL_STATE(2668)] = 112201,
  [SMALL_STATE(2669)] = 112215,
  [SMALL_STATE(2670)] = 112229,
  [SMALL_STATE(2671)] = 112243,
  [SMALL_STATE(2672)] = 112257,
  [SMALL_STATE(2673)] = 112271,
  [SMALL_STATE(2674)] = 112285,
  [SMALL_STATE(2675)] = 112299,
  [SMALL_STATE(2676)] = 112313,
  [SMALL_STATE(2677)] = 112327,
  [SMALL_STATE(2678)] = 112341,
  [SMALL_STATE(2679)] = 112355,
  [SMALL_STATE(2680)] = 112369,
  [SMALL_STATE(2681)] = 112383,
  [SMALL_STATE(2682)] = 112397,
  [SMALL_STATE(2683)] = 112411,
  [SMALL_STATE(2684)] = 112425,
  [SMALL_STATE(2685)] = 112439,
  [SMALL_STATE(2686)] = 112453,
  [SMALL_STATE(2687)] = 112467,
  [SMALL_STATE(2688)] = 112481,
  [SMALL_STATE(2689)] = 112495,
  [SMALL_STATE(2690)] = 112509,
  [SMALL_STATE(2691)] = 112523,
  [SMALL_STATE(2692)] = 112537,
  [SMALL_STATE(2693)] = 112551,
  [SMALL_STATE(2694)] = 112565,
  [SMALL_STATE(2695)] = 112579,
  [SMALL_STATE(2696)] = 112593,
  [SMALL_STATE(2697)] = 112607,
  [SMALL_STATE(2698)] = 112621,
  [SMALL_STATE(2699)] = 112635,
  [SMALL_STATE(2700)] = 112649,
  [SMALL_STATE(2701)] = 112663,
  [SMALL_STATE(2702)] = 112677,
  [SMALL_STATE(2703)] = 112691,
  [SMALL_STATE(2704)] = 112705,
  [SMALL_STATE(2705)] = 112719,
  [SMALL_STATE(2706)] = 112733,
  [SMALL_STATE(2707)] = 112747,
  [SMALL_STATE(2708)] = 112761,
  [SMALL_STATE(2709)] = 112775,
  [SMALL_STATE(2710)] = 112789,
  [SMALL_STATE(2711)] = 112803,
  [SMALL_STATE(2712)] = 112817,
  [SMALL_STATE(2713)] = 112831,
  [SMALL_STATE(2714)] = 112845,
  [SMALL_STATE(2715)] = 112859,
  [SMALL_STATE(2716)] = 112873,
  [SMALL_STATE(2717)] = 112887,
  [SMALL_STATE(2718)] = 112901,
  [SMALL_STATE(2719)] = 112915,
  [SMALL_STATE(2720)] = 112929,
  [SMALL_STATE(2721)] = 112943,
  [SMALL_STATE(2722)] = 112957,
  [SMALL_STATE(2723)] = 112971,
  [SMALL_STATE(2724)] = 112985,
  [SMALL_STATE(2725)] = 112999,
  [SMALL_STATE(2726)] = 113013,
  [SMALL_STATE(2727)] = 113027,
  [SMALL_STATE(2728)] = 113041,
  [SMALL_STATE(2729)] = 113055,
  [SMALL_STATE(2730)] = 113069,
  [SMALL_STATE(2731)] = 113083,
  [SMALL_STATE(2732)] = 113097,
  [SMALL_STATE(2733)] = 113111,
  [SMALL_STATE(2734)] = 113125,
  [SMALL_STATE(2735)] = 113139,
  [SMALL_STATE(2736)] = 113153,
  [SMALL_STATE(2737)] = 113167,
  [SMALL_STATE(2738)] = 113181,
  [SMALL_STATE(2739)] = 113195,
  [SMALL_STATE(2740)] = 113209,
  [SMALL_STATE(2741)] = 113223,
  [SMALL_STATE(2742)] = 113237,
  [SMALL_STATE(2743)] = 113251,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2436),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2408),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [77] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 1, 0, 0),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2443),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__conditional_block, 3, 0, 37),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__conditional_block, 2, 0, 14),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2302),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1669),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(606),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(642),
  [163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1312),
  [166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(149),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(754),
  [172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1318),
  [175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2517),
  [178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1050),
  [181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1626),
  [184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(635),
  [189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(385),
  [192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2397),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(786),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2519),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(750),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(860),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2278),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1847),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2394),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(209),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(735),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(540),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2287),
  [228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2443),
  [231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2134),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(988),
  [237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2521),
  [240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1616),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1271),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(6),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 1, 0, 0),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2430),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2441),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2396),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2449),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0),
  [335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2329),
  [338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1672),
  [341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(609),
  [344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(639),
  [347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1293),
  [350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(137),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(757),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1297),
  [359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2452),
  [362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1047),
  [365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1627),
  [368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(636),
  [371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(368),
  [374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2436),
  [377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(793),
  [380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2415),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(751),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(865),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2408),
  [392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1859),
  [395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2355),
  [398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(214),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(685),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(528),
  [407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2341),
  [410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2276),
  [413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2149),
  [416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(978),
  [419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2272),
  [422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1614),
  [425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1169),
  [428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(16),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2458),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, -1, 0),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, -1, 0),
  [451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_string, 2, -1, 0), SHIFT(1906),
  [454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 2, -1, 0), SHIFT(69),
  [461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(36),
  [464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(36),
  [469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1906),
  [474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1716),
  [477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2089),
  [480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(69),
  [483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2395),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1667),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(614),
  [492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(644),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1322),
  [498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(141),
  [501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(752),
  [504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2441),
  [510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1049),
  [513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1628),
  [516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(632),
  [519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(362),
  [522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2235),
  [525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(764),
  [528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2432),
  [531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(749),
  [534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(909),
  [537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2396),
  [540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1841),
  [543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2232),
  [546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(216),
  [549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(659),
  [552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(552),
  [555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2401),
  [558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2449),
  [561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2169),
  [564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(980),
  [567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2428),
  [570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1617),
  [573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1244),
  [576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(26),
  [579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 1, -1, 0),
  [581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 1, -1, 0),
  [583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_string, 1, -1, 0), SHIFT(1906),
  [586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 1, -1, 0), SHIFT(69),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(38),
  [593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_string, 2, -1, 0), SHIFT(1912),
  [596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 2, -1, 0), SHIFT(83),
  [603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(38),
  [606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(38),
  [609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1912),
  [612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1720),
  [615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2086),
  [618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(83),
  [621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_string, 1, -1, 0), SHIFT(1912),
  [624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 1, -1, 0), SHIFT(83),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 2, -1, 0), SHIFT(121),
  [640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(47),
  [643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(47),
  [646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1994),
  [649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1763),
  [652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2042),
  [655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(121),
  [658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 1, -1, 0), SHIFT(121),
  [661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(37),
  [664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0),
  [666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(37),
  [669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0),
  [671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2089),
  [674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(69),
  [677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(34),
  [680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0),
  [682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(34),
  [685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0),
  [687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2089),
  [690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(69),
  [693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__immediate_unquoted_string, 1, 0, 0),
  [695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__immediate_unquoted_string, 1, 0, 0),
  [697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(37),
  [700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0),
  [702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(37),
  [705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0),
  [707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2089),
  [710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(69),
  [713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(41),
  [716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(41),
  [719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2086),
  [722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(83),
  [725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(40),
  [728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(40),
  [731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2086),
  [734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(83),
  [737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(40),
  [740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(40),
  [743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2086),
  [746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(83),
  [749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0),
  [751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0),
  [753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variable, 1, 0, 0), REDUCE(sym__string_base, 1, 0, 0),
  [756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(76),
  [759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(71),
  [762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(43),
  [765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(43),
  [768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2042),
  [771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(121),
  [774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(45),
  [777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(45),
  [780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2042),
  [783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(121),
  [786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(43),
  [789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(43),
  [792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2042),
  [795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(121),
  [798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(76),
  [801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(102),
  [804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(102),
  [807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0),
  [809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0),
  [811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(49),
  [814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(49),
  [817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__immediate_variable, 2, 0, 0),
  [819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__immediate_variable, 2, 0, 0),
  [821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0),
  [823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0),
  [825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(51),
  [828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__immediate_variable, 1, 0, 0),
  [830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__immediate_variable, 1, 0, 0),
  [832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 1, 0, 8),
  [834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 1, 0, 8),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 2, -1, 0), SHIFT(239),
  [849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__immediate_double_quoted_string, 3, 0, 0),
  [851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__immediate_double_quoted_string, 3, 0, 0),
  [853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__immediate_expansion, 4, 0, 0),
  [855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__immediate_expansion, 4, 0, 0),
  [857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double_quoted_string, 2, -1, 0),
  [859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double_quoted_string, 2, -1, 0),
  [861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__immediate_single_quoted_string, 3, 0, 0),
  [863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__immediate_single_quoted_string, 3, 0, 0),
  [865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double_quoted_string, 3, -1, 0),
  [867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double_quoted_string, 3, -1, 0),
  [869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__immediate_expansion, 2, 0, 0),
  [871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__immediate_expansion, 2, 0, 0),
  [873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 2, 0, 0),
  [875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 2, 0, 0),
  [877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 1, -1, 0), SHIFT(239),
  [880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(147),
  [883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(147),
  [886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1951),
  [889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1741),
  [892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2059),
  [895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(239),
  [898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__immediate_double_quoted_string, 2, 0, 0),
  [900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__immediate_double_quoted_string, 2, 0, 0),
  [902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__immediate_single_quoted_string, 2, 0, 0),
  [904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__immediate_single_quoted_string, 2, 0, 0),
  [906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(67),
  [909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(67),
  [912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_single_quoted_string, 2, -1, 0),
  [914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_single_quoted_string, 2, -1, 0),
  [916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__immediate_escape_sequence, 1, 0, 0),
  [918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__immediate_escape_sequence, 1, 0, 0),
  [920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 1, 0, 0),
  [926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 1, 0, 0),
  [928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 1, 0, 0), REDUCE(aux_sym__immediate_string_base_repeat1, 1, 0, 0),
  [931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4, 0, 0),
  [933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4, 0, 0),
  [935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_single_quoted_string, 3, -1, 0),
  [937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_single_quoted_string, 3, -1, 0),
  [939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(74),
  [942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_base, 2, 0, 0),
  [944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_base, 2, 0, 0),
  [946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(154),
  [949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(154),
  [952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2010),
  [955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1773),
  [958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2034),
  [961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(325),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_string, 2, -1, 0), SHIFT(1928),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 2, -1, 0), SHIFT(322),
  [978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(163),
  [981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(163),
  [984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1896),
  [987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1712),
  [990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2090),
  [993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(276),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [1002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [1004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [1006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 1, -1, 0), SHIFT(325),
  [1009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_string, 1, -1, 0), SHIFT(1928),
  [1012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 1, -1, 0), SHIFT(322),
  [1015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(152),
  [1018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(152),
  [1021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1887),
  [1024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1706),
  [1027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2092),
  [1030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(283),
  [1033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 2, -1, 0), SHIFT(325),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [1042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [1046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 2, -1, 0), SHIFT(276),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [1059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 1, -1, 0), SHIFT(283),
  [1062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 1, -1, 0), SHIFT(276),
  [1065] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(174),
  [1068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(174),
  [1071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1928),
  [1074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1728),
  [1077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2076),
  [1080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(322),
  [1083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(116),
  [1086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(116),
  [1089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 2, -1, 0), SHIFT(283),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [1096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_string, 2, -1, 0), SHIFT(1935),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [1103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 2, -1, 0), SHIFT(396),
  [1106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(107),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [1119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 2, -1, 0), SHIFT(383),
  [1122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_string, 1, -1, 0), SHIFT(1935),
  [1125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 1, -1, 0), SHIFT(396),
  [1128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(111),
  [1131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(111),
  [1134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(187),
  [1137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(187),
  [1140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2001),
  [1143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1769),
  [1146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2038),
  [1149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(383),
  [1152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(186),
  [1155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(186),
  [1158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1935),
  [1161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1732),
  [1164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2069),
  [1167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(396),
  [1170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 1, -1, 0), SHIFT(383),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [1183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 1, -1, 0), SHIFT(425),
  [1186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(227),
  [1189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(142),
  [1192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(227),
  [1195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_earthfile_ref, 1, 0, 0), REDUCE(sym_unquoted_string, 1, -1, 0),
  [1198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2059),
  [1201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(239),
  [1204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 2, -1, 0), SHIFT(425),
  [1207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(198),
  [1210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(198),
  [1213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1960),
  [1216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1745),
  [1219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2057),
  [1222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(425),
  [1225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(142),
  [1228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(211),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [1275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 2, -1, 0), SHIFT(446),
  [1278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [1282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [1284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [1286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [1288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 2, -1, 0), SHIFT(479),
  [1291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(208),
  [1294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(208),
  [1297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1942),
  [1300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1737),
  [1303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2067),
  [1306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(479),
  [1309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(143),
  [1312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(143),
  [1315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2059),
  [1318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(239),
  [1321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(143),
  [1324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(143),
  [1327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2059),
  [1330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(239),
  [1333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 1, -1, 0), SHIFT(446),
  [1336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(206),
  [1339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(206),
  [1342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1984),
  [1345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1758),
  [1348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2045),
  [1351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(446),
  [1354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 1, -1, 0), SHIFT(479),
  [1357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(169),
  [1360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(169),
  [1363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2076),
  [1366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(322),
  [1369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(156),
  [1372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(156),
  [1375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2090),
  [1378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(276),
  [1381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(153),
  [1384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(153),
  [1387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2090),
  [1390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(276),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [1403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 2, -1, 0), SHIFT(547),
  [1406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(153),
  [1409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(153),
  [1412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2090),
  [1415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(276),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [1420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [1428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 2, -1, 0), SHIFT(543),
  [1431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(172),
  [1434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(172),
  [1437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2092),
  [1440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(283),
  [1443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(250),
  [1446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1930),
  [1449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(250),
  [1452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1800),
  [1455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2050),
  [1458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(547),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [1471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 2, -1, 0), SHIFT(504),
  [1474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(161),
  [1477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(161),
  [1480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2034),
  [1483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(325),
  [1486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 1, -1, 0), SHIFT(543),
  [1489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(168),
  [1492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(168),
  [1495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2034),
  [1498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(325),
  [1501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 1, -1, 0), SHIFT(504),
  [1504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(158),
  [1507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(158),
  [1510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2092),
  [1513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(283),
  [1516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 1, -1, 0), SHIFT(547),
  [1519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(161),
  [1522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(161),
  [1525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2034),
  [1528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(325),
  [1531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(169),
  [1534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(169),
  [1537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2076),
  [1540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(322),
  [1543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(150),
  [1546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(150),
  [1549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2076),
  [1552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(322),
  [1555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(260),
  [1558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(260),
  [1561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1970),
  [1564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1788),
  [1567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2019),
  [1570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(504),
  [1573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(172),
  [1576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(172),
  [1579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2092),
  [1582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(283),
  [1585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(226),
  [1588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(226),
  [1591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1922),
  [1594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1724),
  [1597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2080),
  [1600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(543),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [1613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 2, -1, 0), SHIFT(562),
  [1616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(176),
  [1619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(176),
  [1622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2096),
  [1625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(379),
  [1628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(189),
  [1631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(189),
  [1634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2038),
  [1637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(383),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [1644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [1650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 1, -1, 0), SHIFT(571),
  [1653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(182),
  [1656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(182),
  [1659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2069),
  [1662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(396),
  [1665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(180),
  [1668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(180),
  [1671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2069),
  [1674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(396),
  [1677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(177),
  [1680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(177),
  [1683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2038),
  [1686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(383),
  [1689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(180),
  [1692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(180),
  [1695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2069),
  [1698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(396),
  [1701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(328),
  [1704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1871),
  [1707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(328),
  [1710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1814),
  [1713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2084),
  [1716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(562),
  [1719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 2, -1, 0), SHIFT(571),
  [1722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [1724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [1728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 1, -1, 0), SHIFT(562),
  [1731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(189),
  [1734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(189),
  [1737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2038),
  [1740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(383),
  [1743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(315),
  [1746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(315),
  [1749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1891),
  [1752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1826),
  [1755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2095),
  [1758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(571),
  [1761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(193),
  [1764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(193),
  [1767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2057),
  [1770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(425),
  [1773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(351),
  [1776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(308),
  [1779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(193),
  [1782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(193),
  [1785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2057),
  [1788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(425),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [1801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 1, -1, 0), SHIFT(599),
  [1804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(191),
  [1807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(191),
  [1810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2057),
  [1813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(425),
  [1816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(371),
  [1819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1890),
  [1822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(371),
  [1825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1810),
  [1828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2071),
  [1831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(599),
  [1834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string, 2, -1, 0), SHIFT(599),
  [1837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(236),
  [1840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(236),
  [1843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(201),
  [1846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(201),
  [1849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2067),
  [1852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(479),
  [1855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(202),
  [1858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(202),
  [1861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2045),
  [1864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(446),
  [1867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(338),
  [1870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(338),
  [1873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(204),
  [1876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(527),
  [1879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(242),
  [1882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(527),
  [1885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2019),
  [1888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(504),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [1925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(351),
  [1928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__immediate_identifier, 1, 0, 0), REDUCE(aux_sym__immediate_string_base_repeat1, 1, 0, 0),
  [1931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 1, 0, 0), SHIFT(1852),
  [1934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 1, 0, 0), SHIFT(1852),
  [1937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(217),
  [1940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(217),
  [1943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2045),
  [1946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(446),
  [1949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(352),
  [1952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(352),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [1957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(242),
  [1960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(466),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [1965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(202),
  [1968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(202),
  [1971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2045),
  [1974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(446),
  [1977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(201),
  [1980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(201),
  [1983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2067),
  [1986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(479),
  [1989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(219),
  [1992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(219),
  [1995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(218),
  [1998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(218),
  [2001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2067),
  [2004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(479),
  [2007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(348),
  [2010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(348),
  [2013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(224),
  [2016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(224),
  [2019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_earthfile_ref_repeat1, 1, 0, 0), REDUCE(aux_sym_unquoted_string_repeat1, 1, 0, 0),
  [2022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 1, 0, 0),
  [2024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 1, 0, 0),
  [2026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_earthfile_ref_repeat1, 1, 0, 0), REDUCE(aux_sym_unquoted_string_repeat1, 1, 0, 0),
  [2029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(228),
  [2032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(228),
  [2035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_earthfile_ref_repeat1, 1, 0, 8), REDUCE(aux_sym_unquoted_string_repeat1, 1, 0, 8),
  [2038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_earthfile_ref_repeat1, 1, 0, 8), REDUCE(aux_sym_unquoted_string_repeat1, 1, 0, 8),
  [2041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(554),
  [2044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(302),
  [2047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(554),
  [2050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2095),
  [2053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(571),
  [2056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(302),
  [2059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(517),
  [2062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(375),
  [2065] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(375),
  [2068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(389),
  [2071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(389),
  [2074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(253),
  [2077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(253),
  [2080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2019),
  [2083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(504),
  [2086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(272),
  [2089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(272),
  [2092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2080),
  [2095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(543),
  [2098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(248),
  [2101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(248),
  [2104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2050),
  [2107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(547),
  [2110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(246),
  [2113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(247),
  [2116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(247),
  [2119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2080),
  [2122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(543),
  [2125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(248),
  [2128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(248),
  [2131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2050),
  [2134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(547),
  [2137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(253),
  [2140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(253),
  [2143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2019),
  [2146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(504),
  [2149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(261),
  [2152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(262),
  [2155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(262),
  [2158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(265),
  [2161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(267),
  [2164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(245),
  [2167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(245),
  [2170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2050),
  [2173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(547),
  [2176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(587),
  [2179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_image_name, 1, 0, 0), REDUCE(sym_unquoted_string, 1, -1, 0),
  [2182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(329),
  [2185] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_image_name, 1, 0, 0), REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(329),
  [2189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(587),
  [2192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_image_name, 1, 0, 0), REDUCE(sym_unquoted_string, 1, -1, 0),
  [2195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2084),
  [2198] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_image_name, 1, 0, 0), REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(562),
  [2202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(247),
  [2205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(247),
  [2208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2080),
  [2211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(543),
  [2214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(273),
  [2217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(273),
  [2220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(279),
  [2223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(279),
  [2226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(292),
  [2229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(292),
  [2232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(298),
  [2235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(342),
  [2238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(342),
  [2241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2095),
  [2244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(571),
  [2247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(314),
  [2250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(317),
  [2253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(317),
  [2256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2084),
  [2259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(562),
  [2262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(317),
  [2265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(317),
  [2268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2084),
  [2271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(562),
  [2274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(433),
  [2277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(433),
  [2280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(329),
  [2283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(562),
  [2286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(342),
  [2289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(342),
  [2292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2095),
  [2295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(571),
  [2298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(346),
  [2301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(359),
  [2304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(359),
  [2307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(360),
  [2310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(360),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [2317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [2347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_with_spaces_repeat1, 2, 0, 0), SHIFT_REPEAT(365),
  [2350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unquoted_string_with_spaces_repeat1, 2, 0, 0),
  [2352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_with_spaces_repeat1, 2, 0, 0), SHIFT_REPEAT(365),
  [2355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unquoted_string_with_spaces_repeat1, 2, 0, 0),
  [2357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_with_spaces_repeat1, 2, 0, 0), SHIFT_REPEAT(2024),
  [2360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_with_spaces_repeat1, 2, 0, 0), SHIFT_REPEAT(621),
  [2363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(366),
  [2366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(366),
  [2369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2071),
  [2372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(599),
  [2375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(366),
  [2378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(366),
  [2381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2071),
  [2384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(599),
  [2387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(376),
  [2390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(376),
  [2393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2071),
  [2396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(599),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unquoted_string_with_spaces, 2, -1, 0),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [2405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unquoted_string_with_spaces, 2, -1, 0),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [2409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string_with_spaces, 2, -1, 0), SHIFT(621),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unquoted_string_with_spaces, 1, -1, 0),
  [2416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [2418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unquoted_string_with_spaces, 1, -1, 0),
  [2420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string_with_spaces, 1, -1, 0), SHIFT(621),
  [2423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(462),
  [2426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(462),
  [2429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(404),
  [2432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(448),
  [2435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(448),
  [2438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(414),
  [2441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(414),
  [2444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2023),
  [2447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(631),
  [2450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(500),
  [2453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(500),
  [2456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(428),
  [2459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(428),
  [2462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(432),
  [2465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(434),
  [2468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(515),
  [2471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(515),
  [2474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(519),
  [2477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(519),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [2486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(440),
  [2489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(440),
  [2492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(568),
  [2495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(568),
  [2498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(451),
  [2501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(451),
  [2504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(459),
  [2507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(460),
  [2510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(575),
  [2513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(575),
  [2516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(472),
  [2519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(472),
  [2522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(475),
  [2525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(475),
  [2528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(478),
  [2531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(478),
  [2534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_run_options_repeat1, 2, 0, 0),
  [2536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_run_options_repeat1, 2, 0, 0),
  [2538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_run_options_repeat1, 2, 0, 0), SHIFT_REPEAT(488),
  [2541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_run_options_repeat1, 2, 0, 0), SHIFT_REPEAT(722),
  [2544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_run_options_repeat1, 2, 0, 0), SHIFT_REPEAT(722),
  [2547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_run_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2414),
  [2550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_run_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2356),
  [2553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_run_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2413),
  [2556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_run_options_repeat1, 2, 0, 0), SHIFT_REPEAT(648),
  [2559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(494),
  [2562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(604),
  [2565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(604),
  [2568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(496),
  [2571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(496),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [2576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [2586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [2588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [2594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [2598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [2600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(532),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [2607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(541),
  [2610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(541),
  [2613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(602),
  [2616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(602),
  [2619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_run_options, 1, 0, 0),
  [2621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_run_options, 1, 0, 0),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [2629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(573),
  [2632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(573),
  [2635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(580),
  [2638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_image_name_repeat1, 1, 0, 0), REDUCE(aux_sym_unquoted_string_repeat1, 1, 0, 0),
  [2641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_image_name_repeat1, 1, 0, 0), REDUCE(aux_sym_unquoted_string_repeat1, 1, 0, 0),
  [2644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(591),
  [2647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(593),
  [2650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(593),
  [2653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(597),
  [2656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(597),
  [2659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(603),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [2680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [2682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [2688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [2690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unquoted_string_with_spaces_repeat1, 1, 0, 8),
  [2692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unquoted_string_with_spaces_repeat1, 1, 0, 8),
  [2694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_copy_options_repeat1, 2, 0, 0),
  [2696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_copy_options_repeat1, 2, 0, 0),
  [2698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_copy_options_repeat1, 2, 0, 0), SHIFT_REPEAT(628),
  [2701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_copy_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2522),
  [2704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_copy_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2524),
  [2707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_copy_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2209),
  [2710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_copy_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2523),
  [2713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_copy_options_repeat1, 2, 0, 0), SHIFT_REPEAT(805),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [2720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [2722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_copy_options, 1, 0, 0),
  [2724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_copy_options, 1, 0, 0),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [2730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [2738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [2740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(802),
  [2743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(802),
  [2746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1878),
  [2749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1700),
  [2752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2093),
  [2755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1051),
  [2758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [2768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [2772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [2780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [2782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(780),
  [2785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(780),
  [2788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1968),
  [2791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1749),
  [2794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2053),
  [2797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1069),
  [2800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_string, 2, -1, 0), SHIFT(802),
  [2803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_string, 1, -1, 0), SHIFT(802),
  [2806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unknown_option, 1, 0, 0),
  [2808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unknown_option, 1, 0, 0),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [2812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(969),
  [2815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(969),
  [2818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1974),
  [2821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1753),
  [2824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2049),
  [2827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1154),
  [2830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_secret, 3, 0, 28),
  [2832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_secret, 3, 0, 28),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [2838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [2846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [2848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1030),
  [2851] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_image_name, 1, 0, 0), REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(763),
  [2855] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_image_name, 1, 0, 0), REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1028),
  [2859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1030),
  [2862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1028),
  [2865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_earthfile_ref, 1, 0, 0),
  [2867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(763),
  [2870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2093),
  [2873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1051),
  [2876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_command, 7, 0, 74),
  [2878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_command, 4, 0, 17),
  [2880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_entrypoint_command, 3, 0, 0),
  [2882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1028),
  [2885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_save_artifact_command, 3, 0, 16),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [2897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [2899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [2905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [2907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_save_image_command, 3, 0, 17),
  [2909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_save_image_command, 3, 0, 18),
  [2911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expose_command, 3, 0, 0),
  [2913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_command, 3, 0, 19),
  [2915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_volume_command, 3, 0, 0),
  [2917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_command, 5, 0, 26),
  [2919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_workdir_command, 3, 0, 0),
  [2921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_dockerfile_command, 3, 0, 12),
  [2923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_command, 5, 0, 17),
  [2925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cmd_command, 3, 0, 0),
  [2927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_command, 3, 0, 0),
  [2929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_command, 3, 0, 0),
  [2931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arg_command, 4, 0, 22),
  [2933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_command, 3, 0, 11),
  [2935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arg_command, 4, 0, 7),
  [2937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_env_command, 5, 0, 51),
  [2939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_build_command, 3, 0, 0),
  [2941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unknown_option, 3, 0, 21),
  [2943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unknown_option, 3, 0, 21),
  [2945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mount, 3, 0, 21),
  [2947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mount, 3, 0, 21),
  [2949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_command, 3, 0, 0),
  [2951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_run_command, 3, 0, 15),
  [2953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_command, 9, 0, 75),
  [2955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arg_command, 3, 0, 7),
  [2957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_volume_command, 2, 0, 0),
  [2959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_command, 8, 0, 76),
  [2961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_command, 8, 0, 71),
  [2963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_build_command, 4, 0, 17),
  [2965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_save_image_command, 2, 0, 0),
  [2967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_copy_command, 5, 0, 50),
  [2969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_command, 8, 0, 75),
  [2971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_build_command, 4, 0, 0),
  [2973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cache_command, 3, 0, 9),
  [2975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_command, 7, 0, 73),
  [2977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_locally_command, 2, 0, 0),
  [2979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_oidc, 3, 0, 41),
  [2981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_oidc, 3, 0, 41),
  [2983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_label_command, 2, 0, 0),
  [2985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cache_command, 4, 0, 24),
  [2987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_command, 2, 0, 0),
  [2989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_save_artifact_command, 7, 0, 72),
  [2991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_command, 5, 0, 17),
  [2993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_copy_command, 4, 0, 25),
  [2995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_command, 4, 0, 26),
  [2997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_command, 7, 0, 71),
  [2999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_git_clone_command, 5, 0, 52),
  [3001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_command, 4, 0, 11),
  [3003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_command, 4, 0, 0),
  [3005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expose_command, 2, 0, 0),
  [3007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_env_command, 4, 0, 27),
  [3009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_docker_command, 6, 0, 17),
  [3011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_label_command, 3, 0, 0),
  [3013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_command, 5, 0, 53),
  [3015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_command, 6, 0, 0),
  [3017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_command, 4, 0, 17),
  [3019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_command, 4, 0, 0),
  [3021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_save_artifact_command, 6, 0, 69),
  [3023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_save_artifact_command, 6, 0, 68),
  [3025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_command, 6, 0, 67),
  [3027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_command, 6, 0, 66),
  [3029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_secret, 5, 0, 63),
  [3031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_secret, 5, 0, 63),
  [3033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_dockerfile_command, 4, 0, 31),
  [3035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interactive, 1, 0, 0),
  [3037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interactive, 1, 0, 0),
  [3039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_git_clone_command, 4, 0, 32),
  [3041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_host_command, 4, 0, 33),
  [3043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_command, 4, 0, 34),
  [3045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_command, 5, 0, 54),
  [3047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arg_command, 6, 0, 62),
  [3049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_command, 4, 0, 17),
  [3051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_docker_command, 5, 0, 0),
  [3053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wait_command, 5, 0, 0),
  [3055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_run_command, 4, 0, 40),
  [3057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_command, 5, 0, 61),
  [3059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_run_command, 4, 0, 42),
  [3061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_save_artifact_command, 4, 0, 43),
  [3063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_save_artifact_command, 4, 0, 44),
  [3065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_save_image_command, 4, 0, 45),
  [3067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_command, 5, 0, 57),
  [3069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_save_artifact_command, 5, 0, 60),
  [3071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_wait_command, 4, 0, 0),
  [3073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_save_artifact_command, 5, 0, 59),
  [3075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_project_command, 5, 0, 47),
  [3077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_run_command, 5, 0, 58),
  [3079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arg_command, 5, 0, 22),
  [3081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arg_command, 5, 0, 48),
  [3083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_command, 5, 0, 57),
  [3085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_build_command, 5, 0, 17),
  [3087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_command, 5, 0, 56),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [3101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1072),
  [3104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1072),
  [3107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(763),
  [3110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1048),
  [3113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_command, 4, 0, 26),
  [3115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_artifact_command, 7, 0, 72),
  [3117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_command, 3, 0, 19),
  [3119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_image_command, 3, 0, 18),
  [3121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cmd_command, 3, 0, 0),
  [3123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(816),
  [3126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(816),
  [3129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2093),
  [3132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(1051),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [3137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [3147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [3149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [3155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [3157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_image_command, 4, 0, 45),
  [3159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_command, 7, 0, 71),
  [3161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_command, 7, 0, 73),
  [3163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_volume_command, 3, 0, 0),
  [3165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_command, 7, 0, 74),
  [3167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_docker_command, 6, 0, 17),
  [3169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_artifact_command, 4, 0, 44),
  [3171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_command, 8, 0, 75),
  [3173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_volume_command, 2, 0, 0),
  [3175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_command, 8, 0, 71),
  [3177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_image_command, 2, 0, 0),
  [3179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_workdir_command, 3, 0, 0),
  [3181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wait_command, 4, 0, 0),
  [3183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_copy_command, 5, 0, 50),
  [3185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_command, 4, 0, 17),
  [3187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_image_command, 3, 0, 17),
  [3189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_version_command, 3, 0, 6),
  [3191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_version_command, 3, 0, 6),
  [3193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_version_command, 4, 0, 20),
  [3195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_version_command, 4, 0, 20),
  [3197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_artifact_command, 3, 0, 16),
  [3199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_command, 6, 0, 0),
  [3201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_command, 9, 0, 75),
  [3203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arg_command, 4, 0, 22),
  [3205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_artifact_command, 4, 0, 43),
  [3207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_artifact_command, 6, 0, 69),
  [3209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_locally_command, 2, 0, 0),
  [3211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_run_command, 3, 0, 15),
  [3213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arg_command, 4, 0, 7),
  [3215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_label_command, 2, 0, 0),
  [3217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_artifact_command, 6, 0, 68),
  [3219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_label_command, 3, 0, 0),
  [3221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_run_command, 4, 0, 42),
  [3223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_command, 3, 0, 0),
  [3225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_command, 2, 0, 0),
  [3227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_command, 6, 0, 67),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [3231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arg_command, 3, 0, 7),
  [3233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_run_command, 4, 0, 40),
  [3235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_build_command, 4, 0, 17),
  [3237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expose_command, 2, 0, 0),
  [3239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_build_command, 4, 0, 0),
  [3241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_command, 4, 0, 17),
  [3243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_command, 6, 0, 66),
  [3245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_command, 4, 0, 34),
  [3247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_command, 4, 0, 11),
  [3249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_command, 4, 0, 0),
  [3251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(816),
  [3254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(816),
  [3257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2093),
  [3260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1051),
  [3263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arg_command, 5, 0, 22),
  [3265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arg_command, 5, 0, 48),
  [3267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_build_command, 5, 0, 17),
  [3269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_host_command, 4, 0, 33),
  [3271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arg_command, 6, 0, 62),
  [3273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_project_command, 5, 0, 47),
  [3275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_docker_command, 5, 0, 0),
  [3277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(824),
  [3280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(824),
  [3283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2053),
  [3286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1069),
  [3289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(837),
  [3292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(837),
  [3295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2053),
  [3298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1069),
  [3301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_build_command, 3, 0, 0),
  [3303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_git_clone_command, 4, 0, 32),
  [3305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_dockerfile_command, 3, 0, 12),
  [3307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wait_command, 5, 0, 0),
  [3309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_command, 5, 0, 61),
  [3311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_command, 5, 0, 57),
  [3313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_artifact_command, 5, 0, 60),
  [3315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_artifact_command, 5, 0, 59),
  [3317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_run_command, 5, 0, 58),
  [3319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_command, 5, 0, 57),
  [3321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_command, 5, 0, 56),
  [3323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(824),
  [3326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(824),
  [3329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2053),
  [3332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(1069),
  [3335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cache_command, 3, 0, 9),
  [3337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_command, 5, 0, 54),
  [3339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_command, 5, 0, 53),
  [3341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_dockerfile_command, 4, 0, 31),
  [3343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_command, 3, 0, 0),
  [3345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cache_command, 4, 0, 24),
  [3347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_git_clone_command, 5, 0, 52),
  [3349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_command, 8, 0, 76),
  [3351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_command, 5, 0, 17),
  [3353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expose_command, 3, 0, 0),
  [3355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_command, 3, 0, 11),
  [3357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_command, 4, 0, 0),
  [3359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_copy_command, 4, 0, 25),
  [3361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_command, 4, 0, 17),
  [3363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_entrypoint_command, 3, 0, 0),
  [3365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_env_command, 5, 0, 51),
  [3367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_command, 5, 0, 17),
  [3369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_command, 5, 0, 26),
  [3371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_env_command, 4, 0, 27),
  [3373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_command, 3, 0, 0),
  [3375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_from_dockerfile_options_repeat1, 2, 0, 0),
  [3377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_from_dockerfile_options_repeat1, 2, 0, 0),
  [3379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_dockerfile_options_repeat1, 2, 0, 0), SHIFT_REPEAT(858),
  [3382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_dockerfile_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2285),
  [3385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_dockerfile_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2289),
  [3388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_dockerfile_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2301),
  [3391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_dockerfile_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2372),
  [3394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_from_dockerfile_options_repeat1, 2, 0, 0), SHIFT_REPEAT(1134),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [3401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [3409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [3411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [3417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [3419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1090),
  [3422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1090),
  [3425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2013),
  [3428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1777),
  [3431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2031),
  [3434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1426),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [3439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [3447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [3457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [3465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [3471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [3473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(869),
  [3476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(869),
  [3479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2049),
  [3482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1154),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [3487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [3489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_copy_command_repeat1, 2, 0, 10), SHIFT_REPEAT(231),
  [3492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_copy_command_repeat1, 2, 0, 10), SHIFT_REPEAT(284),
  [3495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_copy_command_repeat1, 2, 0, 10), SHIFT_REPEAT(231),
  [3498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_copy_command_repeat1, 2, 0, 10), SHIFT_REPEAT(2046),
  [3501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_copy_command_repeat1, 2, 0, 10), SHIFT_REPEAT(233),
  [3504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_copy_command_repeat1, 2, 0, 10), SHIFT_REPEAT(1831),
  [3507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_copy_command_repeat1, 2, 0, 10), SHIFT_REPEAT(1077),
  [3510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_copy_command_repeat1, 2, 0, 10), SHIFT_REPEAT(469),
  [3513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_copy_command_repeat1, 2, 0, 10), SHIFT_REPEAT(469),
  [3516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_copy_command_repeat1, 2, 0, 10), SHIFT_REPEAT(1947),
  [3519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_copy_command_repeat1, 2, 0, 10), SHIFT_REPEAT(581),
  [3522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chown, 3, 0, 21),
  [3524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_chown, 3, 0, 21),
  [3526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_build_arg_deprecated, 3, 0, 21),
  [3528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_build_arg_deprecated, 3, 0, 21),
  [3530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_platform, 3, 0, 21),
  [3532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_platform, 3, 0, 21),
  [3534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_dockerfile_options, 1, 0, 0),
  [3536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_dockerfile_options, 1, 0, 0),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [3540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chmod, 3, 0, 21),
  [3542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_chmod, 3, 0, 21),
  [3544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(971),
  [3547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(971),
  [3550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2049),
  [3553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1154),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [3558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [3564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [3574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [3580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [3582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(869),
  [3585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(869),
  [3588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2049),
  [3591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(1154),
  [3594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 2, 0, 0),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [3598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [3600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 2, 0, 0),
  [3602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(1024),
  [3605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(1024),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [3610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [3618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [3620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1145),
  [3623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1145),
  [3626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1954),
  [3629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1794),
  [3632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2033),
  [3635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1457),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [3640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [3642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_image_name_repeat1, 2, 0, 0), SHIFT_REPEAT(979),
  [3645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_image_name_repeat1, 2, 0, 0),
  [3647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_image_name_repeat1, 2, 0, 0),
  [3649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_image_name_repeat1, 2, 0, 0), SHIFT_REPEAT(979),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [3654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [3656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [3660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [3662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [3664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1152),
  [3667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1152),
  [3670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1964),
  [3673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1796),
  [3676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2100),
  [3679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1470),
  [3682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [3684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [3692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [3694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__immediate_identifier_repeat1, 2, 0, 0),
  [3696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(986),
  [3699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(986),
  [3702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__immediate_identifier_repeat1, 2, 0, 0),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [3706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [3708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(1091),
  [3711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(1058),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [3718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [3728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [3734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [3738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_image_name, 2, 0, 0),
  [3740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_image_name, 2, 0, 0),
  [3742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [3748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [3754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [3760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [3762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [3766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [3772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [3778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [3780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_images, 1, 0, 0),
  [3782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_images, 1, 0, 0),
  [3784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1286),
  [3787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1983),
  [3790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1286),
  [3793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1835),
  [3796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2074),
  [3799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1475),
  [3802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(1091),
  [3805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1005),
  [3808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1005),
  [3811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1394),
  [3814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1139),
  [3817] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_image_name, 1, 0, 0), REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1471),
  [3821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1394),
  [3824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1471),
  [3827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2100),
  [3830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1470),
  [3833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_images_repeat1, 2, 0, 0), SHIFT_REPEAT(337),
  [3836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_images_repeat1, 2, 0, 0), SHIFT_REPEAT(2097),
  [3839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_images_repeat1, 2, 0, 0), SHIFT_REPEAT(1819),
  [3842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_images_repeat1, 2, 0, 0), SHIFT_REPEAT(442),
  [3845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_images_repeat1, 2, 0, 0), SHIFT_REPEAT(442),
  [3848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_images_repeat1, 2, 0, 0), SHIFT_REPEAT(1869),
  [3851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_images_repeat1, 2, 0, 0), SHIFT_REPEAT(589),
  [3854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_images_repeat1, 2, 0, 0),
  [3856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_images_repeat1, 2, 0, 0),
  [3858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1182),
  [3861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1908),
  [3864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1182),
  [3867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1806),
  [3870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2060),
  [3873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1532),
  [3876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1280),
  [3879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1989),
  [3882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1280),
  [3885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1782),
  [3888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2026),
  [3891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1571),
  [3894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(1012),
  [3897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1014),
  [3900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1014),
  [3903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1015),
  [3906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1015),
  [3909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1471),
  [3912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(1160),
  [3915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(1160),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [3920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [3924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [3934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [3940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [3944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [3946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(1023),
  [3949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__conditional_block_options, 2, 0, 0),
  [3951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__conditional_block_options, 2, 0, 0),
  [3953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__conditional_block_options, 2, 0, 0), SHIFT_REPEAT(2527),
  [3956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__conditional_block_options, 2, 0, 0), SHIFT_REPEAT(1306),
  [3959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__conditional_block_options, 2, 0, 0), SHIFT_REPEAT(2528),
  [3962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__conditional_block_options, 2, 0, 0), SHIFT_REPEAT(1289),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [3967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [3969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_build_options, 1, 0, 0),
  [3971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_build_options, 1, 0, 0),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [3975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_earthfile_ref_repeat1, 1, 0, 0),
  [3977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cache_options, 1, 0, 0),
  [3979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cache_options, 1, 0, 0),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [3983] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_earthfile_ref_repeat1, 1, 0, 0), REDUCE(aux_sym_image_name_repeat1, 1, 0, 0), REDUCE(aux_sym_unquoted_string_repeat1, 1, 0, 0),
  [3987] = {.entry = {.count = 3, .reusable = false}}, REDUCE(aux_sym_earthfile_ref_repeat1, 1, 0, 0), REDUCE(aux_sym_image_name_repeat1, 1, 0, 0), REDUCE(aux_sym_unquoted_string_repeat1, 1, 0, 0),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [3993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [4001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1430),
  [4004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1151),
  [4007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1430),
  [4010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2033),
  [4013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1457),
  [4016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1034),
  [4019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1034),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [4026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [4030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [4034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [4036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cache_options_repeat1, 2, 0, 0),
  [4038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_cache_options_repeat1, 2, 0, 0),
  [4040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cache_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2324),
  [4043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cache_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2281),
  [4046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cache_options_repeat1, 2, 0, 0), SHIFT_REPEAT(1038),
  [4049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cache_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2178),
  [4052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cache_options_repeat1, 2, 0, 0), SHIFT_REPEAT(1314),
  [4055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_earthfile_ref_repeat1, 1, 0, 8),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [4061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [4067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [4083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2364),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [4087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [4093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [4097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [4099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 1, 0, 0), SHIFT(1632),
  [4102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 1, 0, 0), SHIFT(1632),
  [4105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__immediate_identifier, 1, 0, 0), REDUCE(aux_sym__immediate_string_base_repeat1, 1, 0, 0),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [4110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [4114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [4116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_build_options_repeat1, 2, 0, 0),
  [4118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_build_options_repeat1, 2, 0, 0),
  [4120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_build_options_repeat1, 2, 0, 0), SHIFT_REPEAT(1052),
  [4123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_build_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2490),
  [4126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_build_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2488),
  [4129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_build_options_repeat1, 2, 0, 0), SHIFT_REPEAT(1283),
  [4132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_save_image_options_repeat1, 2, 0, 0),
  [4134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_save_image_options_repeat1, 2, 0, 0),
  [4136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_save_image_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2371),
  [4139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_save_image_options_repeat1, 2, 0, 0), SHIFT_REPEAT(1056),
  [4142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_save_image_options_repeat1, 2, 0, 0), SHIFT_REPEAT(1261),
  [4145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1151),
  [4148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1393),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [4161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [4167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [4169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1061),
  [4172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1061),
  [4175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2031),
  [4178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1426),
  [4181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [4183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_build_arg, 3, 0, 7), SHIFT(1144),
  [4186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_build_arg, 3, 0, 7),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [4194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [4200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [4204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [4208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [4210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(1078),
  [4213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_build_arg, 3, 0, 7), SHIFT(1142),
  [4216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_build_arg, 3, 0, 7),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [4220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [4222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_strings, 1, 0, 0),
  [4224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_strings, 1, 0, 0),
  [4226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1139),
  [4229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1450),
  [4232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(1061),
  [4235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(1061),
  [4238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2031),
  [4241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(1426),
  [4244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expose_command_repeat1, 2, 0, 0), SHIFT_REPEAT(337),
  [4247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expose_command_repeat1, 2, 0, 0), SHIFT_REPEAT(2097),
  [4250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expose_command_repeat1, 2, 0, 0), SHIFT_REPEAT(1819),
  [4253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expose_command_repeat1, 2, 0, 0), SHIFT_REPEAT(442),
  [4256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expose_command_repeat1, 2, 0, 0), SHIFT_REPEAT(442),
  [4259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expose_command_repeat1, 2, 0, 0), SHIFT_REPEAT(1869),
  [4262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expose_command_repeat1, 2, 0, 0), SHIFT_REPEAT(589),
  [4265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expose_command_repeat1, 2, 0, 0),
  [4267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expose_command_repeat1, 2, 0, 0),
  [4269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1097),
  [4272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1097),
  [4275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2031),
  [4278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1426),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [4283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [4287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [4291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [4293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_image_options, 1, 0, 0),
  [4295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_save_image_options, 1, 0, 0),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [4299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1120),
  [4302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1120),
  [4305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1125),
  [4308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1125),
  [4311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2100),
  [4314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1470),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [4323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [4331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [4333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_save_artifact_options, 1, 0, 0),
  [4335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_save_artifact_options, 1, 0, 0),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [4339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_with_spaces, 1, -1, 0),
  [4341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_with_spaces, 1, -1, 0),
  [4343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1574),
  [4346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1285),
  [4349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1574),
  [4352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2074),
  [4355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1475),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [4364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [4372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [4374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [4382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(1125),
  [4385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(1125),
  [4388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2100),
  [4391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(1470),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [4400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [4408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [4410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(1158),
  [4413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(1158),
  [4416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2033),
  [4419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(1457),
  [4422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [4426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_with_spaces, 2, -1, 0),
  [4428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_with_spaces, 2, -1, 0),
  [4430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1158),
  [4433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1158),
  [4436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2033),
  [4439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1457),
  [4442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_save_artifact_options_repeat1, 2, 0, 0),
  [4444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_save_artifact_options_repeat1, 2, 0, 0),
  [4446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_save_artifact_options_repeat1, 2, 0, 0), SHIFT_REPEAT(1161),
  [4449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_save_artifact_options_repeat1, 2, 0, 0), SHIFT_REPEAT(1273),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [4456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_with_spaces_repeat1, 2, 0, 0), SHIFT_REPEAT(400),
  [4459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_with_spaces_repeat1, 2, 0, 0), SHIFT_REPEAT(2036),
  [4462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_with_spaces_repeat1, 2, 0, 0), SHIFT_REPEAT(1779),
  [4465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_with_spaces_repeat1, 2, 0, 0), SHIFT_REPEAT(545),
  [4468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_with_spaces_repeat1, 2, 0, 0), SHIFT_REPEAT(545),
  [4471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_with_spaces_repeat1, 2, 0, 0), SHIFT_REPEAT(1978),
  [4474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_with_spaces_repeat1, 2, 0, 0), SHIFT_REPEAT(598),
  [4477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_with_spaces_repeat1, 2, 0, 0),
  [4479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_with_spaces_repeat1, 2, 0, 0),
  [4481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1529),
  [4484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1174),
  [4487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1529),
  [4490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2060),
  [4493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1532),
  [4496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_earthfile_ref, 1, 0, 0), REDUCE(sym_unquoted_string, 1, -1, 0),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [4503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_target_artifact_build_args, 6, 0, 0),
  [4505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_target_artifact_build_args, 6, 0, 0),
  [4507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_options, 1, 0, 0),
  [4509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_from_options, 1, 0, 0),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [4513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(1189),
  [4516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(1189),
  [4519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2060),
  [4522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(1532),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [4531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [4537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [4545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [4551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [4553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [4555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [4559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [4563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [4565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [4573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [4579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [4587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [4593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [4601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [4605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [4607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [4609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1189),
  [4612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1189),
  [4615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2060),
  [4618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1532),
  [4621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [4627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [4633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [4635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [4641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [4647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [4655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [4661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [4669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [4675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [4683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [4689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [4691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1174),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [4700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [4706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [4714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [4720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [4724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_target_artifact_build_args, 5, 0, 0),
  [4726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_target_artifact_build_args, 5, 0, 0),
  [4728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_target_artifact_build_args, 4, 0, 0),
  [4730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_target_artifact_build_args, 4, 0, 0),
  [4732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_target_artifact, 3, 0, 0),
  [4734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_target_artifact, 3, 0, 0),
  [4736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_target_artifact_build_args, 3, 0, 0),
  [4738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_target_artifact_build_args, 3, 0, 0),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [4742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_from_options_repeat1, 2, 0, 0),
  [4744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_from_options_repeat1, 2, 0, 0),
  [4746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_options_repeat1, 2, 0, 0), SHIFT_REPEAT(1253),
  [4749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2427),
  [4752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_from_options_repeat1, 2, 0, 0), SHIFT_REPEAT(1330),
  [4755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1254),
  [4758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1285),
  [4761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1573),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [4766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_docker_file, 3, 0, 21),
  [4768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_docker_file, 3, 0, 21),
  [4770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_image_tag, 2, 0, 0),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [4774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_image_tag, 2, 0, 0),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [4778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_docker_target, 3, 0, 21),
  [4780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_docker_target, 3, 0, 21),
  [4782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_image_tag, 1, 0, 0),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [4786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_image_tag, 1, 0, 0),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [4790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_docker_build_arg, 5, 0, 65),
  [4792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_docker_build_arg, 5, 0, 65),
  [4794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1282),
  [4797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1282),
  [4800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2026),
  [4803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1571),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [4808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(1290),
  [4811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(1290),
  [4814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2074),
  [4817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(1475),
  [4820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(1282),
  [4823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(1282),
  [4826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(2026),
  [4829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 2, -1, 0), SHIFT(1571),
  [4832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1287),
  [4835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1287),
  [4838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(2026),
  [4841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unquoted_string, 1, -1, 0), SHIFT(1571),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [4846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1290),
  [4849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1290),
  [4852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2074),
  [4855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unquoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1475),
  [4858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(1405),
  [4861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(1405),
  [4864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_git_clone_options, 1, 0, 0),
  [4866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_git_clone_options, 1, 0, 0),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [4870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cache_from, 3, 0, 21),
  [4872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cache_from, 3, 0, 21),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [4876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [4878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_git_clone_options_repeat1, 2, 0, 0),
  [4880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_git_clone_options_repeat1, 2, 0, 0),
  [4882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_git_clone_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2316),
  [4885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_git_clone_options_repeat1, 2, 0, 0), SHIFT_REPEAT(1304),
  [4888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_git_clone_options_repeat1, 2, 0, 0), SHIFT_REPEAT(1410),
  [4891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(1440),
  [4894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(1440),
  [4897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__conditional_block_options, 1, 0, 0),
  [4899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__conditional_block_options, 1, 0, 0),
  [4901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [4905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(1370),
  [4908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(1370),
  [4911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [4917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [4921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_id, 3, 0, 0),
  [4923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_id, 3, 0, 0),
  [4925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sharing, 3, 0, 0),
  [4927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sharing, 3, 0, 0),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [4933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1331),
  [4936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1331),
  [4939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_image_digest_repeat1, 2, 0, 0),
  [4941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_image_digest_repeat1, 2, 0, 0),
  [4943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_image_digest_repeat1, 2, 0, 0), SHIFT_REPEAT(1333),
  [4946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1334),
  [4949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1334),
  [4952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_image_digest, 2, 0, 0),
  [4954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_image_digest, 2, 0, 0),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [4958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__immediate_string_base, 1, 0, 0),
  [4960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__immediate_string_base, 1, 0, 0),
  [4962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [4964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [4966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(1490),
  [4969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(1490),
  [4972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1338),
  [4975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1338),
  [4978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1339),
  [4981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1339),
  [4984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(1340),
  [4987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_image_digest, 1, 0, 0),
  [4989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_image_digest, 1, 0, 0),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [4993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [4999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1345),
  [5002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1345),
  [5005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [5009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_do_options_repeat1, 2, 0, 0),
  [5011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_do_options_repeat1, 2, 0, 0),
  [5013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_do_options_repeat1, 2, 0, 0), SHIFT_REPEAT(1347),
  [5016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_do_options_repeat1, 2, 0, 0), SHIFT_REPEAT(1418),
  [5019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1348),
  [5022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1348),
  [5025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1349),
  [5028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_options, 1, 0, 0),
  [5030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_options, 1, 0, 0),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [5040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [5044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [5046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable, 1, 0, 0),
  [5048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable, 1, 0, 0),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [5054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [5056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [5058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [5060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [5066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [5068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [5070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [5072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [5074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(1528),
  [5077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(1528),
  [5080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(1560),
  [5083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(1560),
  [5086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [5088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_shell_fragment, 1, 0, 0), SHIFT(1381),
  [5091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_fragment, 1, 0, 0),
  [5093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_fragment, 1, 0, 0),
  [5095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_shell_fragment_repeat3, 2, 0, 0), SHIFT_REPEAT(1381),
  [5098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_shell_fragment_repeat3, 2, 0, 0), SHIFT_REPEAT(1900),
  [5101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_shell_fragment_repeat3, 2, 0, 0), SHIFT_REPEAT(1910),
  [5104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_shell_fragment_repeat3, 2, 0, 0), SHIFT_REPEAT(1320),
  [5107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_shell_fragment_repeat3, 2, 0, 0), SHIFT_REPEAT(1320),
  [5110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_shell_fragment_repeat3, 2, 0, 0), SHIFT_REPEAT(1594),
  [5113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_shell_fragment_repeat3, 2, 0, 0),
  [5115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_shell_fragment_repeat3, 2, 0, 0),
  [5117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(1384),
  [5120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1395),
  [5123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1395),
  [5126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(1403),
  [5129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(1406),
  [5132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(1408),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [5137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_shell_fragment_repeat3, 2, 0, 0), SHIFT_REPEAT(1414),
  [5140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_shell_fragment_repeat3, 2, 0, 0), SHIFT_REPEAT(1414),
  [5143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_shell_fragment_repeat3, 2, 0, 0), SHIFT_REPEAT(1955),
  [5146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_shell_fragment_repeat3, 2, 0, 0), SHIFT_REPEAT(1956),
  [5149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_shell_fragment_repeat3, 2, 0, 0), SHIFT_REPEAT(1313),
  [5152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_shell_fragment_repeat3, 2, 0, 0), SHIFT_REPEAT(1313),
  [5155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_shell_fragment_repeat3, 2, 0, 0), SHIFT_REPEAT(1601),
  [5158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [5160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [5162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [5164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [5166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_options_repeat1, 2, 0, 0),
  [5168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_options_repeat1, 2, 0, 0),
  [5170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_options_repeat1, 2, 0, 0), SHIFT_REPEAT(1420),
  [5173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_import_options_repeat1, 2, 0, 0), SHIFT_REPEAT(1496),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [5178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [5180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_options, 1, 0, 0),
  [5182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_options, 1, 0, 0),
  [5184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [5186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [5188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [5190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [5194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [5196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_shell_fragment_repeat3, 2, 0, 0), SHIFT_REPEAT(1444),
  [5199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_shell_fragment_repeat3, 2, 0, 0), SHIFT_REPEAT(1444),
  [5202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_shell_fragment_repeat3, 2, 0, 0), SHIFT_REPEAT(1938),
  [5205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_shell_fragment_repeat3, 2, 0, 0), SHIFT_REPEAT(1933),
  [5208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_shell_fragment_repeat3, 2, 0, 0), SHIFT_REPEAT(1307),
  [5211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_shell_fragment_repeat3, 2, 0, 0), SHIFT_REPEAT(1307),
  [5214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_shell_fragment_repeat3, 2, 0, 0), SHIFT_REPEAT(1603),
  [5217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [5219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [5221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 1, 0, 0), SHIFT(1665),
  [5224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 1, 0, 0), SHIFT(1665),
  [5227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable, 2, 0, 0),
  [5229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable, 2, 0, 0),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [5235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_copy_command_repeat1, 1, 0, 3),
  [5237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_copy_command_repeat1, 1, 0, 3),
  [5239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [5241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [5245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [5247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1493),
  [5250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1493),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [5255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(1499),
  [5258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(1499),
  [5261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(1501),
  [5264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [5266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [5268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1506),
  [5271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1506),
  [5274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_branch, 3, 0, 21),
  [5276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_branch, 3, 0, 21),
  [5278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [5280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [5282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_image_spec, 1, 0, 4),
  [5284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_image_spec, 1, 0, 4),
  [5286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [5288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [5290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [5292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [5294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [5296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [5298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(1525),
  [5301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(1525),
  [5304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_image_spec, 3, 0, 29),
  [5306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_image_spec, 3, 0, 29),
  [5308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [5310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_shell_fragment_repeat3, 3, 0, 0),
  [5312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_shell_fragment_repeat3, 3, 0, 0),
  [5314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_earthfile_ref_repeat1, 2, 0, 0), SHIFT_REPEAT(1582),
  [5317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_earthfile_ref_repeat1, 2, 0, 0),
  [5319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_earthfile_ref_repeat1, 2, 0, 0), SHIFT_REPEAT(1582),
  [5322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_earthfile_ref_repeat1, 2, 0, 0), SHIFT_REPEAT(1532),
  [5325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_earthfile_ref_repeat1, 2, 0, 0),
  [5327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_image_spec, 3, 0, 30),
  [5329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_image_spec, 3, 0, 30),
  [5331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_shell_fragment_repeat3, 1, 0, 2),
  [5333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_shell_fragment_repeat3, 1, 0, 2),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [5337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_earthfile_ref, 2, 0, 0),
  [5339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [5341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_earthfile_ref, 2, 0, 0),
  [5343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_image_spec, 5, 0, 64),
  [5345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_image_spec, 5, 0, 64),
  [5347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [5349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [5351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [5353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [5355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_earthfile_ref, 1, 0, 0),
  [5357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [5359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_earthfile_ref_repeat1, 2, 0, 0), SHIFT_REPEAT(1610),
  [5362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_earthfile_ref_repeat1, 2, 0, 0), SHIFT_REPEAT(1610),
  [5365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_earthfile_ref_repeat1, 2, 0, 0), SHIFT_REPEAT(1623),
  [5368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_image_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1611),
  [5371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_image_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1611),
  [5374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [5376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [5378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [5380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [5382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [5384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [5386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [5388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [5390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [5392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [5394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [5396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [5398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [5400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [5402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [5404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(1624),
  [5407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__string_base, 1, 0, 0), SHIFT(1624),
  [5410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [5412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [5414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1618),
  [5417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_string_base_repeat1, 2, 0, 0), SHIFT_REPEAT(1618),
  [5420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_earthfile_ref_repeat1, 1, 0, 8),
  [5422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_docker_options_repeat1, 2, 0, 0), SHIFT_REPEAT(1620),
  [5425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_docker_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2417),
  [5428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_docker_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2418),
  [5431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_docker_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2431),
  [5434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_docker_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2357),
  [5437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_docker_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2434),
  [5440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_docker_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2442),
  [5443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_with_docker_options_repeat1, 2, 0, 0), SHIFT_REPEAT(1643),
  [5446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_with_docker_options_repeat1, 2, 0, 0),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [5450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_docker_options, 1, 0, 0),
  [5452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [5454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [5456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [5458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [5460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [5462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [5464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [5466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [5468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [5470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [5472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1630),
  [5475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1630),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [5480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [5482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__immediate_identifier, 1, 0, 0),
  [5484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__immediate_identifier, 1, 0, 0),
  [5486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__immediate_identifier, 2, 0, 0),
  [5488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__immediate_identifier, 2, 0, 0),
  [5490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_image_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1633),
  [5493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_image_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1633),
  [5496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [5498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [5500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [5502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2240),
  [5505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_options_repeat1, 2, 0, 0), SHIFT_REPEAT(1636),
  [5508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2244),
  [5511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2255),
  [5514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_options_repeat1, 2, 0, 0), SHIFT_REPEAT(1663),
  [5517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_options_repeat1, 2, 0, 0),
  [5519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [5521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_options, 1, 0, 0),
  [5523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [5525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_image_digest_repeat1, 2, 0, 0), SHIFT_REPEAT(1639),
  [5528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [5530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [5532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_image_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1641),
  [5535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_image_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1641),
  [5538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [5540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [5542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [5544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [5546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [5548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load, 3, 0, 46),
  [5550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load, 3, 0, 46),
  [5552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_target_ref, 3, 0, 23),
  [5554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_target_ref, 3, 0, 23),
  [5556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compose, 3, 0, 21),
  [5558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compose, 3, 0, 21),
  [5560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cache_id, 3, 0, 21),
  [5562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cache_id, 3, 0, 21),
  [5564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_target_ref, 2, 0, 7),
  [5566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_target_ref, 2, 0, 7),
  [5568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1651),
  [5571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [5573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [5575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_target_ref_with_build_args, 4, 0, 0),
  [5577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_target_ref_with_build_args, 4, 0, 0),
  [5579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pull, 3, 0, 21),
  [5581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pull, 3, 0, 21),
  [5583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1658),
  [5586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1658),
  [5589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_service, 3, 0, 21),
  [5591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_service, 3, 0, 21),
  [5593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [5595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_load, 5, 0, 70),
  [5597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_load, 5, 0, 70),
  [5599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [5601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [5603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [5605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [5607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [5609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [5611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [5613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [5615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sep, 3, 0, 21),
  [5617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sep, 3, 0, 21),
  [5619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [5621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [5623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [5625] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1675),
  [5628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [5630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [5632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [5634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [5638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [5640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [5642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [5644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(1681),
  [5647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1682),
  [5650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__immediate_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1682),
  [5653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [5655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [5657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [5659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [5661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [5663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [5665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [5667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [5669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [5671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [5673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_image_digest_repeat1, 2, 0, 0), SHIFT_REPEAT(1693),
  [5676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [5680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [5682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [5684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [5686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [5688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [5690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [5698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [5702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [5704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [5706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [5712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [5714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__immediate_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1704),
  [5717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [5719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [5721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [5723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [5725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(1708),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [5730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [5740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [5742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [5750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [5752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [5754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [5764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [5766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [5770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [5774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [5776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [5778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [5780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [5782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [5784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [5788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [5790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [5792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [5800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [5802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [5806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [5812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [5814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [5822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [5824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [5826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [5836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [5838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [5840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [5848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [5850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [5860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [5862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [5866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [5874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [5876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [5878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [5884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [5890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [5894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [5906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [5908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [5910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [5912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [5914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [5918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [5920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [5924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [5926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [5930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [5932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [5936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [5938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [5940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [5944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [5946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [5948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [5950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [5952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [5954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [5960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [5962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [5964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [5972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [5976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [5982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [5986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [5988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_double_quoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1799),
  [5991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_double_quoted_string_repeat1, 2, 0, 0),
  [5993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_double_quoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2040),
  [5996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_double_quoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2039),
  [5999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [6001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [6003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [6005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [6007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [6013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [6015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [6017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [6019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [6021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [6023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [6025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [6027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [6029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [6031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [6033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [6035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [6037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [6039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [6041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [6043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [6045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [6047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [6049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [6051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [6053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [6055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [6057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [6059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [6061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [6063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [6065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [6067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [6069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [6071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [6073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [6075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [6077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [6079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [6081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [6083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [6085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_double_quoted_string_repeat1, 2, 0, 0),
  [6087] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_double_quoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1832),
  [6090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_double_quoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2035),
  [6093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_double_quoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2082),
  [6096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [6098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [6100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [6104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [6106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [6108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [6110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [6112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [6114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [6116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [6118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [6120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [6124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [6126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [6128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [6130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [6132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [6134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [6136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [6138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [6140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [6142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [6144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [6146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arg_options_repeat1, 2, 0, 0), SHIFT_REPEAT(1853),
  [6149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_arg_options_repeat1, 2, 0, 0), SHIFT_REPEAT(1918),
  [6152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arg_options_repeat1, 2, 0, 0),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [6158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [6160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [6164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arg_options, 1, 0, 0),
  [6166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [6168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [6170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [6172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [6174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [6176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [6178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [6180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_single_quoted_string_repeat1, 2, 0, 0),
  [6182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_single_quoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1862),
  [6185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_single_quoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2113),
  [6188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [6192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [6194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1678),
  [6197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [6199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_build_args, 1, 0, 0),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [6203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [6205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [6207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [6209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [6211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [6213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [6215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [6217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [6219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [6221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [6223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [6225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [6227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [6229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [6231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [6233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [6235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [6237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [6239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [6241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [6243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [6245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [6247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [6249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [6251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [6253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [6255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [6257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [6259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [6261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [6263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [6265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [6267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [6269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [6271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [6273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [6275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [6277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2, 0, 1),
  [6279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [6281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [6283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [6285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [6287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [6289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [6291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_label_command_repeat1, 2, 0, 0), SHIFT_REPEAT(1767),
  [6294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_label_command_repeat1, 2, 0, 0),
  [6296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [6298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [6300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [6302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [6304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [6306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [6308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2, 0, 0),
  [6310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2, 0, 5),
  [6312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [6314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [6316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [6318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [6320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [6322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [6324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [6326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [6328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [6330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [6332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [6334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [6336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [6338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [6340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_image_digest_repeat1, 2, 0, 0), SHIFT_REPEAT(1914),
  [6343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [6345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [6347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [6349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [6351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [6353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [6355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [6357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [6359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [6361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [6363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [6365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [6367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [6369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [6371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 3, 0, 5),
  [6373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [6375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [6377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [6379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [6381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [6383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [6387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [6389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [6391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [6393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [6395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [6397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [6399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [6401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [6403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [6405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [6407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [6409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [6411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [6413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [6415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [6417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [6419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [6421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [6423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [6425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(1945),
  [6428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [6430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [6432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [6434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [6438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [6440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [6442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [6444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [6446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [6448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_build_args_repeat1, 2, 0, 0), SHIFT_REPEAT(2321),
  [6451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_build_args_repeat1, 2, 0, 0),
  [6453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_build_args_repeat1, 2, 0, 0), SHIFT_REPEAT(2321),
  [6456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [6458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [6460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [6462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [6464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [6466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [6468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [6470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [6472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [6474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [6476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [6478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [6482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [6484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [6486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [6488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [6490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [6492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [6494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [6496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [6498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_command_repeat1, 2, 0, 36),
  [6500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_command_repeat1, 2, 0, 36), SHIFT_REPEAT(755),
  [6503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_command_repeat1, 2, 0, 36),
  [6505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [6507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [6509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [6511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [6513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [6515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [6517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [6519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [6521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [6523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [6525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [6527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [6529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_single_quoted_string_repeat1, 2, 0, 0),
  [6531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_single_quoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1976),
  [6534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_single_quoted_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2164),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [6539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [6541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [6543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [6545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [6551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [6553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [6555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [6557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [6559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [6561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [6563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [6565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_build_args_repeat1, 2, 0, 0), SHIFT_REPEAT(2264),
  [6568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_build_args_repeat1, 2, 0, 0), SHIFT_REPEAT(2264),
  [6571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [6573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [6579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [6581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [6583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [6585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [6587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [6589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [6591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [6593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [6595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [6597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [6599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [6603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [6605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [6607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [6609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [6611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [6613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [6615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_shell_fragment_repeat1, 2, 0, 0),
  [6617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_shell_fragment_repeat1, 2, 0, 0), SHIFT_REPEAT(2005),
  [6620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_shell_fragment_repeat1, 2, 0, 0), SHIFT_REPEAT(2109),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [6627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [6629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_shell_fragment_repeat2, 2, 0, 0),
  [6631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_shell_fragment_repeat2, 2, 0, 0), SHIFT_REPEAT(2008),
  [6634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_shell_fragment_repeat2, 2, 0, 0), SHIFT_REPEAT(2170),
  [6637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [6639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [6641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [6647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [6649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [6651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [6653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [6655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [6657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [6659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 1),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [6667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [6669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [6671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [6673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [6675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [6677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [6679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [6681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [6683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [6685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [6687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [6691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [6693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [6695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [6705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(2027),
  [6708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_repeat1, 2, 0, 0), SHIFT_REPEAT(2027),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [6715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [6733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [6751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [6761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [6763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [6771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [6773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [6793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [6795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [6803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [6817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [6819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [6823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [6825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [6829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [6851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [6863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [6865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [6869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [6871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [6873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_command_finally_block, 1, 0, 0),
  [6875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [6877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [6881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [6883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [6887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [6889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [6891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [6897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [6899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [6901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_command_finally_block_repeat1, 2, 0, 0),
  [6903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_command_finally_block_repeat1, 2, 0, 0), SHIFT_REPEAT(678),
  [6906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [6908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [6910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [6912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [6914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [6916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [6918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [6920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [6922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [6924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [6926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [6928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [6930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [6932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [6934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [6936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [6938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [6940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [6942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [6944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [6946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [6948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_double_quoted_string_repeat1, 1, 0, 8),
  [6950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_double_quoted_string_repeat1, 1, 0, 8),
  [6952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [6954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [6956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [6958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [6960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [6962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [6964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [6966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [6968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [6970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [6972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [6974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [6976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [6978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [6986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [6988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [6990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [6992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [6994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [6996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [7000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [7006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [7008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [7014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [7016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [7020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [7026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [7032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_version_options_repeat1, 2, 0, 0),
  [7034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_version_options_repeat1, 2, 0, 0), SHIFT_REPEAT(2107),
  [7037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [7039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [7041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [7043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [7045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [7047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [7049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [7053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [7059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_single_quoted_string_repeat1, 1, 0, 8),
  [7061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [7065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_command_repeat1, 1, 0, 13),
  [7067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_command_repeat1, 1, 0, 13),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [7085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_build_arg, 4, 0, 57),
  [7087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_build_arg, 4, 0, 57),
  [7089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__conditional_block, 4, 0, 55),
  [7091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__conditional_block, 4, 0, 55),
  [7093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_build_arg, 3, 0, 49),
  [7095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_build_arg, 3, 0, 49),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [7119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__conditional_block, 3, 0, 38),
  [7121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__conditional_block, 3, 0, 38),
  [7123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_block, 2, 0, 34),
  [7125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_block, 2, 0, 34),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [7133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [7135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [7137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1797),
  [7140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [7142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [7144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [7148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [7152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_target, 3, 0, 4),
  [7154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [7156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [7158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [7160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [7162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [7164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [7166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_version_options, 1, 0, 0),
  [7168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [7170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_single_quoted_string_repeat1, 1, 0, 8),
  [7172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [7174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [7178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [7180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [7182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [7184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [7186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [7188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [7190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [7192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [7194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [7196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [7198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [7200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [7202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [7204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [7208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [7210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [7212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [7214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [7216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [7218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [7220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [7222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [7224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [7226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [7228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [7230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [7236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [7238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [7240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [7242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [7244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [7246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [7248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [7250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [7252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [7254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [7258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [7260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [7262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [7264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [7266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [7268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [7270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [7272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [7274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [7276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [7278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [7280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [7282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [7284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [7286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [7288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [7290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [7292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [7294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [7296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [7298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [7300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [7302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [7304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [7306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [7308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [7310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [7312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [7314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [7316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [7318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [7320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [7322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [7324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [7326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [7328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [7330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [7332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [7334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [7336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [7338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [7340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [7342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [7344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [7346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [7348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [7350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [7352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [7354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [7356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [7358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [7360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [7362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [7364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [7366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [7368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [7370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [7372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [7374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [7376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [7378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [7380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [7382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [7384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [7386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [7388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [7390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [7392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [7394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [7396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [7398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [7400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [7402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [7404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [7406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [7408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [7410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [7412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [7414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [7416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [7418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [7420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [7422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [7424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [7426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [7428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [7430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [7432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [7434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [7436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [7438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [7440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [7444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [7446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [7448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [7454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [7458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [7462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [7464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [7466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [7468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [7472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [7474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_label, 3, 0, 39),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [7484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [7486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [7490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [7492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [7494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [7496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [7498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [7506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [7508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [7510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [7512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [7514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [7516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [7518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [7524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [7526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [7528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [7530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [7532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [7534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [7536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [7538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [7540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [7546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [7548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [7550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [7552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [7554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [7560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [7564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [7566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [7568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [7574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [7576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [7578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [7580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [7584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [7588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [7590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [7592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [7594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [7598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [7600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [7602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [7604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [7606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [7608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_target, 5, 0, 4),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [7612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [7614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [7618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [7620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [7622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [7624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [7628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [7632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [7634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [7646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_target, 6, 0, 4),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [7660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [7664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [7668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [7674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [7676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [7678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [7682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [7684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [7686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [7688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [7690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [7692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [7694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [7696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [7698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [7700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [7704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [7706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [7708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [7710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [7714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [7716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [7718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [7720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [7722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [7724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [7726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [7728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [7734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [7736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [7738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [7742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [7744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [7746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [7748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [7750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [7754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [7758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [7764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [7768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [7776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [7778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [7780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [7782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [7784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [7788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [7792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [7794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [7798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [7804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [7810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [7816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [7818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [7820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [7822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [7824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [7826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [7828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [7830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [7832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [7834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [7836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [7838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [7840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [7842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [7844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [7846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [7848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [7850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [7854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [7856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [7858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [7860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [7862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [7864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [7866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [7868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [7870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [7872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [7874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [7876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [7878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [7884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [7888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [7894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [7896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [7898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [7900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [7902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [7904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_array, 2, 0, 0),
  [7906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [7908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [7910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [7912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [7914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [7916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [7918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [7920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [7922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [7924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [7926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [7928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [7932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [7934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [7936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [7938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [7940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [7944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [7946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [7948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [7950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [7952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [7954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [7956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [7958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [7960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [7962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [7964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [7966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [7968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [7970] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [7972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_array, 3, 0, 0),
  [7974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_array_repeat1, 2, 0, 0),
  [7976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [7978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [7980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [7982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [7984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [7986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [7988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [7990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [7992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_block, 2, 0, 35),
  [7994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [7996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [7998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [8000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [8002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [8004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_array, 4, 0, 0),
  [8006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [8008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [8010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [8012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [8014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [8016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [8018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [8020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [8022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [8024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [8026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__indent = 0,
  ts_external_token__dedent = 1,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
};

static const bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
  },
  [2] = {
    [ts_external_token__dedent] = true,
  },
  [3] = {
    [ts_external_token__indent] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_earthfile_external_scanner_create(void);
void tree_sitter_earthfile_external_scanner_destroy(void *);
bool tree_sitter_earthfile_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_earthfile_external_scanner_serialize(void *, char *);
void tree_sitter_earthfile_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_earthfile(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_earthfile_external_scanner_create,
      tree_sitter_earthfile_external_scanner_destroy,
      tree_sitter_earthfile_external_scanner_scan,
      tree_sitter_earthfile_external_scanner_serialize,
      tree_sitter_earthfile_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
